package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * 资源配置
 * @TableName ld_resources_config
 */
@TableName(value ="ld_resources_config")
@Data
public class ResourcesConfig extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 类型 视频、图片、语音
     */
    @TableField(value = "type")
    private String type;

    /**
     * 名称
     */
    @TableField(value = "name")
    private String name;

    /**
     * 路径
     */
    @TableField(value = "path")
    private String path;

    /**
     * 跳转链接
     */
    @TableField(value = "url")
    private String url;

    /**
     * 所属类别
     */
    @TableField(value = "category")
    private String category;


    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
