package com.ruoyi.liandao.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.core.domain.BaseEntity;
import java.io.Serializable;
import java.util.Date;

import com.ruoyi.common.utils.DateUtils;
import lombok.Data;

/**
 * 导游预约
 * @TableName ld_tour_guide_appointment
 */
@TableName(value ="ld_tour_guide_appointment")
@Data
public class TourGuideAppointment extends BaseEntity implements Serializable {
    /**
     * 主键id
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 导游id
     */
    @TableField(value = "tour_guide_id")
    private Long tourGuideId;

    /**
     * 导游姓名
     */
    @TableField(value = "tour_guide_name")
    private String tourGuideName;

    /**
     * 开始时间
     */
    @JsonFormat(pattern = DateUtils.YYYY_MM_DD_HH_MM_SS)
    @TableField(value = "start_time")
    private Date startTime;

    /**
     * 结束时间
     */
    @JsonFormat(pattern = DateUtils.YYYY_MM_DD_HH_MM_SS)
    @TableField(value = "end_time")
    private Date endTime;

    /**
     * 联系电话
     */
    @TableField(value = "phone")
    private String phone;



    @TableField(exist = false)
    private static final long serialVersionUID = 1L;
}
