package com.ruoyi.liandao.service;

import cn.hutool.core.lang.tree.Tree;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.liandao.domain.ArticleType;
import com.ruoyi.liandao.dto.articleType.ArticleTypeAddReqDto;
import com.ruoyi.liandao.dto.articleType.ArticleTypeEditReqDto;
import com.ruoyi.liandao.dto.articleType.ArticleTypeListReqDto;
import com.ruoyi.liandao.dto.articleType.ArticleTypeListRespDto;

import java.util.List;

/**
 * @author admin
 * @description 针对表【ld_article_type(文章类型配置)】的数据库操作Service
 * @createDate 2024-03-14 10:51:08
 */
public interface ArticleTypeService extends IService<ArticleType> {

    /**
     * 获取列表
     *
     * @param dto
     * @return
     */
    List<Tree<Long>> getList(ArticleTypeListReqDto dto);

    /**
     * 新增
     *
     * @param dto
     */
    void add(ArticleTypeAddReqDto dto);

    /**
     * 修改
     *
     * @param dto
     */
    void edit(ArticleTypeEditReqDto dto);

    /**
     * 获取子类型的id集合
     * @param articleTypeId
     * @return
     */
    List<Long> getChildTypeIdList(Long articleTypeId);
}
