/*
 Navicat MySQL Data Transfer

 Source Server         : localhost_3306-57
 Source Server Type    : MySQL
 Source Server Version : 50737
 Source Host           : localhost:3306
 Source Schema         : liandao-offical-website

 Target Server Type    : MySQL
 Target Server Version : 50737
 File Encoding         : 65001

 Date: 27/05/2024 09:31:31
*/

SET NAMES utf8mb4;
SET FOREIGN_KEY_CHECKS = 0;

-- ----------------------------
-- Table structure for gen_table
-- ----------------------------
DROP TABLE IF EXISTS `gen_table`;
CREATE TABLE `gen_table`  (
  `table_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表名称',
  `table_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '表描述',
  `sub_table_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '关联子表的表名',
  `sub_table_fk_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '子表关联的外键名',
  `class_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '实体类名称',
  `tpl_category` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'crud' COMMENT '使用的模板（crud单表操作 tree树表操作）',
  `tpl_web_type` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '前端模板类型（element-ui模版 element-plus模版）',
  `package_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成包路径',
  `module_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成模块名',
  `business_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成业务名',
  `function_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能名',
  `function_author` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '生成功能作者',
  `gen_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '生成代码方式（0zip压缩包 1自定义路径）',
  `gen_path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '/' COMMENT '生成路径（不填默认项目路径）',
  `options` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '其它生成选项',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`table_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table
-- ----------------------------

-- ----------------------------
-- Table structure for gen_table_column
-- ----------------------------
DROP TABLE IF EXISTS `gen_table_column`;
CREATE TABLE `gen_table_column`  (
  `column_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '编号',
  `table_id` bigint(20) NULL DEFAULT NULL COMMENT '归属表编号',
  `column_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列名称',
  `column_comment` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列描述',
  `column_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '列类型',
  `java_type` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA类型',
  `java_field` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'JAVA字段名',
  `is_pk` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否主键（1是）',
  `is_increment` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否自增（1是）',
  `is_required` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否必填（1是）',
  `is_insert` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否为插入字段（1是）',
  `is_edit` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否编辑字段（1是）',
  `is_list` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否列表字段（1是）',
  `is_query` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否查询字段（1是）',
  `query_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'EQ' COMMENT '查询方式（等于、不等于、大于、小于、范围）',
  `html_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示类型（文本框、文本域、下拉框、复选框、单选框、日期控件）',
  `dict_type` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `sort` int(11) NULL DEFAULT NULL COMMENT '排序',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`column_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '代码生成业务表字段' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of gen_table_column
-- ----------------------------

-- ----------------------------
-- Table structure for ld_article_content
-- ----------------------------
DROP TABLE IF EXISTS `ld_article_content`;
CREATE TABLE `ld_article_content`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `article_type_id` bigint(20) NULL DEFAULT NULL COMMENT '文章类型id',
  `article_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '文章类型',
  `tittle` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '标题',
  `author` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '作者',
  `language` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '语言',
  `submit_time` date NULL DEFAULT NULL COMMENT '提交时间',
  `img` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '显示图片',
  `excerpt` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '摘要',
  `text_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '富文本' COMMENT '文本类型 文本、富文本',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '文章内容',
  `activity_time_range` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '活动时间范围',
  `activity_time` date NULL DEFAULT NULL COMMENT '活动时间',
  `activity_location` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '活动地点',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 512 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '文章内容' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_article_content
-- ----------------------------
INSERT INTO `ld_article_content` VALUES (1, 7, '景区动态', '2019景区员工“迎新春”文体活动', NULL, 'zh', '2019-06-17', '/profile/liandao_old_data/5db7fb8649127.png', NULL, '富文本', '<p>　　2019年1月28日，正值小年，在这个喜庆的日子里，连岛旅游开发有限公司组织的迎新春文体活动。</p><p>　　比赛的单位有机关代表队、大沙湾代表队、苏马湾代表队、客运公司代表队、城管代表队、游艇代表队、商发代表队，每支队伍均由男、女队员组成。</p><p style=\"text-align: center;\">　　<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572338455827546.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2019-06-17 16:37:06', 'system', '2019-06-17 16:37:06');
INSERT INTO `ld_article_content` VALUES (2, 7, '景区动态', '连岛12小时超级马拉松比赛', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db808c461f5b.png', NULL, '富文本', '<p>　　2019年连岛12小时超级马拉松比赛在连岛景区大沙湾广场前鸣枪起跑，900余名选手用脚步丈量连岛传递赛场的热情与活力。本次赛事规模最大，人数最多，来自马来西亚、澳大利亚及国内北京、上海、江苏等近千名选手齐聚海岛，他们用激情和速度体验不一样的超马盛会，用奔跑感受连岛景区新的一年昂扬向上的新姿态。</p><p>　　本次赛事是由江苏省体育竞赛管理中心指导，连云港市体育总会、连云区连岛街道办事处、江苏海州湾集团联合主办，江苏力然体育发展有限公司执行运营。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/en/profile/liandao_old_data/image/20191029/1572338833805782.png\" title=\"\" alt=\"image\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:44:33', 'system', '2019-10-29 16:44:33');
INSERT INTO `ld_article_content` VALUES (3, 7, '景区动态', '3月8日配合完成集团三月八日妇女节趣味活动', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db7ff3dad422.png', NULL, '富文本', '<p>　　值“三八”国际劳动妇女节的到来，江苏海州湾发展集团有限公司、海州湾文化旅游发展集团有限公司全体女职工欢聚连岛游客中心，共同庆祝“三八”妇女节，开展迎“三八”节妇女趣味活动。</p><p>　　参赛单位有海发集团、文旅集团、连岛旅游、海州湾旅游、前三岛旅游、海上云台山、连云港老街、海州湾商发、金海洋小贷、连海报税，十家单位300余人组成了10支代表队参加了此次活动。</p><p>　　江苏海州湾发展集团有限公司党委副书记王波、江苏海州湾发展集团有限公司妇联主席、财务总监徐敏、连岛旅游开发有限公司总经理王建刚出席本次活动。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572339513703650.jpg\" title=\"\" alt=\"11\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:48:06', 'system', '2019-10-29 16:48:06');
INSERT INTO `ld_article_content` VALUES (4, 7, '景区动态', '山海骑缘2019.连岛杯.马拉松自行车骑行大会', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db801bf9523e.png', NULL, '富文本', '<p>　　5月19日配合完成“一带一路”山海骑缘2019.连岛杯.马拉松自行车骑行大会并做好活动对接、活动宣传，在抖音、微博及微信公众号进行赛事宣传等。</p><p>　　本次骑行大会吸引了来自福建、浙江、安徽、河北、湖北、天津、山东、江苏等全国各地1200余名骑行爱好者齐聚连岛，一展骑行风采。</p><p>　　此次山海骑缘“连岛杯”马拉松自行车骑行大会精选了连云港市最具人文及自然风景的骑行路线。起、终点设在连岛景区游客中心，途径大沙湾景区、苏马湾景区、海滨大道、草莓小镇、月牙岛、阿育王塔、花果山、跨海大桥、高公岛、港口、亚欧大陆桥东桥头堡、海上云台山、连云老街、在海一方海滨公园，整个骑行路程200公里，力求为骑友们打造连云港市最美骑行路线，赛事分为半程组和全程组。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572340152661663.jpg\" title=\"\" alt=\"11\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:04:27', 'system', '2019-10-29 17:04:27');
INSERT INTO `ld_article_content` VALUES (5, 7, '景区动态', '2019年连云港铁人三项亚洲杯赛', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db807ae8ead2.png', NULL, '富文本', '<p>　　6月1日-6月2日配合并宣传“同科杯”2019年连云港铁人三项亚洲杯赛暨一带一路铁人三项赛，在抖音、微博及微信公众号进行赛事宣传等；</p><p>　　6月1日，“同科杯”2019年连云港铁人三项亚洲杯赛暨一带一路铁人三项赛在连岛景区大沙湾开赛。此次赛事由中国铁人三项运动协会、江苏省体育局、连云港市人民政府主办；江苏省体育竞赛管理中心、连云港市体育局、连云区人民政府联合承办。</p><p>　　此次赛事分为亚洲杯专业组（游泳1.5公里、骑行44公里、跑步10公里）、业余组，吸引了乌克兰、新西兰、俄罗斯、日本、韩国、澳大利亚、新加坡、泰国等多个国家近800名顶尖高手在赛场上同场竞技，也是在连岛举行赛事以来外籍选手最多的一次，选手们可充分领略海岛的独特魅力，感受连岛精神，相信风景优美的赛场，热情好客的观众，专业细致的赛事组织让所有的参赛选手体验一场独具特色的“大铁之旅”。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572340497781879.jpg\" title=\"\" alt=\"11\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:09:23', 'system', '2019-10-29 17:09:23');
INSERT INTO `ld_article_content` VALUES (6, 7, '景区动态', '6月7日-6月9日举行端午文化系列活动', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db8043860ed6.png', NULL, '富文本', '<p>　　6月7日-6月9日端午文化系列活动的策划及举办，在抖音、微博及微信公众号进行赛事宣传等；</p><p>　　又到一年端午时！连岛景区大沙湾内举办了“品味端午传承文化”系列端午民俗体验活动，包括“片片粽叶情，比比谁最行”包粽子、“龙兴天下，乐享端午”亲子旱地龙舟赛等系列互动体验活动，让游客在游玩观光的同时了解民俗知识，感受景区不一样的端午节日。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572340785943094.jpg\" title=\"\" alt=\"11\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:15:06', 'system', '2019-10-29 17:15:06');
INSERT INTO `ld_article_content` VALUES (7, 7, '景区动态', '山海100国际越野挑战赛', NULL, 'zh', '2019-10-29', '/profile/liandao_old_data/5db806f5bd177.png', NULL, '富文本', '<p>　　6月15-16日配合集团完成“山海100国际越野挑战赛”活动，在微信公众号进行宣传；</p><p>　　文化和体育，是一座城市、一个区域最有性格和吸引力的部分。6月15日早8点，苏北第一场百公里越野赛——2019连云港山海100国际越野挑战赛在连云港老街七一广场开跑。</p><p>　　本次赛事由江苏海州湾文化旅游发展集团冠名，连云港市体育总会、连云区体育总会主办，连云港市体育产业协会承办，连云街道办事处、连岛街道办事处、宿城街道办事处、高公岛街道办事处、连岛景区、海上云台山景区和连云港老街协办，力然赛事运营。山海100吸引了超800名选手参赛，其中100公里组参赛选手超230人，70公里组参赛选手超200人，35公里组参赛选手超300人，南非、德国、澳大利亚和新加坡等国家均有选手参加赛事。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191029/1572341488834630.jpg\" title=\"\" alt=\"11\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:19:55', 'system', '2019-10-29 17:19:55');
INSERT INTO `ld_article_content` VALUES (8, 7, '景区动态', '连岛直升机观光旅游项目首航仪式', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db932c001c7b.png', NULL, '富文本', '<p>　　6月16日连岛直升机观光旅游项目首航仪式，在抖音、微博及微信公众号进行赛事宣传等；</p><p>　　6月16日上午9点30分，一架R44II型直升机腾飞在连岛景区的上空，这是连岛景区直升机旅游通航项目首航，标志着连岛景区直升机通航项目正式启动。</p><p>　　直升机观光旅游是连云港市新兴的旅游项目，属高端旅游产品；空中阅山海，大美新连云，该项目的通航，不但满足了广大游客和飞行爱好者的空中观光体验需求。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572418233650417.jpg\" title=\"\" alt=\"228\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:46:49', 'system', '2019-10-30 14:46:49');
INSERT INTO `ld_article_content` VALUES (9, 7, '景区动态', '2019沙滩音乐狂欢节开幕式', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93383aa210.png', NULL, '富文本', '<p>　　7月1-5日配合连云港电视台共同完成2019沙滩音乐狂欢节开幕式；</p><p>　　连岛沙滩音乐狂欢节活动将持续到8月25日，每晚17:00至22:00现场还有乐队驻唱、文艺表演、啤酒美食烧烤、星空露营、亲子游戏互动、抽奖环节等精彩节目，不仅为市民和游客提供令人垂涎欲滴的美食大餐，还端上了海滨风情特色“文化大餐”。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572418430158955.jpg\" title=\"\" alt=\"228\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:50:44', 'system', '2019-10-30 14:50:44');
INSERT INTO `ld_article_content` VALUES (10, 7, '景区动态', '第三届连岛千人荧光夜跑即将来袭', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db9345714aee.png', NULL, '富文本', '<p>　　7月28日-8月2日与力然体育对接8月3日连岛荧光夜跑活动相关事宜，在微信公众号进行赛事前期造势宣传等；</p><p>　　第三届连岛千人荧光夜跑即将来袭！大步迈开，唤醒身体展现活力与激情的荧光夜跑不散场！</p><p>　　此次连岛荧光夜跑不同于以往“亲子跑”是此次的亮点之一带上你的家人一起点亮这个夏天！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572418642699096.jpg\" title=\"\" alt=\"228\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:53:59', 'system', '2019-10-30 14:53:59');
INSERT INTO `ld_article_content` VALUES (11, 7, '景区动态', '公司举行拾荒慢跑、高烧派对、荧光夜跑，一场流光溢彩的狂欢奔跑盛宴已经拉开序幕', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93555ba858.png', NULL, '富文本', '<p>　　8月3日拾荒慢跑、高烧派对、荧光夜跑配合完成当天活动，在抖音、微博及微信公众号进行赛事宣传等；</p><p>　　最酷最潮的健身方式“拾荒慢跑”是一种全新的健身方式，意为一边跑步，一边捡垃圾。作为一项新的运动，让个性化和私人化跑步与公益结合，赋予跑步以全新的意义，保护环境，从身边小事做起，从自身做起，从随手做起，让其有了更鲜明的公益色彩。</p><p>　　“百人快闪”成为靓丽风景线，一场青春快闪在大沙湾沙滩上欢快上演，连岛景区百余名工作人员与DN舞者一起撒欢现场！给游客带来新的视觉体验！</p><p>　　“高烧派对”舞动夏天晚上，性感的Jazz、动感的Poppin、炫酷的Breaking等多种舞蹈跟随舞者，在大沙湾沙滩上一起摇摆、律动起来！</p><p>　　你试过在活力四射的近千人中释放激情的夜跑吗？你感受过在动感炫目的荧光和音乐中夜跑吗？这是一场进行无排名之分、无速度之争的健身运动。当夜幕来临遇上漫天荧光，当欢乐暑期遇上活泼的孩子，当信念信仰遇上一群酷爱运动的跑友，一场流光溢彩的狂欢奔跑盛宴已经拉开序幕。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572418895364652.jpg\" title=\"\" alt=\"228\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:57:31', 'system', '2019-10-30 14:57:31');
INSERT INTO `ld_article_content` VALUES (12, 7, '景区动态', '“孔雀东南飞”实景表演', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93663de20d.png', NULL, '富文本', '<p>　　8月2日-8月31日，配合“孔雀东南飞”实景表演邀请舞蹈演员进行表演，每日三场，在抖音、微博及微信公众号进行赛事宣传等；</p><p>　　连岛景区推出《孔雀东南飞》实景表演，持续到8月30日，带您走进美丽的苏马湾，身临其境，与美丽的孔雀近距离的接触、互动，感受景区的主题文化。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572419167316405.jpg\" title=\"\" alt=\"22\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:01:45', 'system', '2019-10-30 15:01:45');
INSERT INTO `ld_article_content` VALUES (13, 7, '景区动态', '8月18日配合江苏体育竞赛有限公司举办海上云台山杯', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db9373869774.png', NULL, '富文本', '<p>　　8月18日配合江苏体育竞赛有限公司举办海上云台山杯.2019连岛国际公开水域游泳挑战赛暨星空音乐嘉年华活动。</p><p>　　备受关注的海上云台山杯·2019连岛国际公开水域游泳挑战赛在连岛举行。此次活动由连云区人民政府、连云港市体育局、江苏省体育产业集团有限公司主办，连云区文化体育和旅游局、江苏海州湾文旅集团、江苏省体育竞赛有限公司联合承办。</p><p>　　赛事吸引了徐州、淮安、南京、上海、青岛等全国各个省市千余名运动健儿相聚大沙湾，展示竞技风采，展现游泳魅力。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20191030/1572419380312820.jpg\" title=\"\" alt=\"22\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:06:15', 'system', '2019-10-30 15:06:15');
INSERT INTO `ld_article_content` VALUES (14, 7, '景区动态', '“邓小平和人民在一起”群雕公园简介', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db939a53a3d3.jpg', NULL, '富文本', '<p>　　因小平同志一生与连云港有着不解之缘，遵循其遗愿，1997年在胡锦涛总书记亲自护送下，邓小平同志的骨灰撒在了连岛菠萝山外的海域；为纪念伟人，2007年在连岛建设邓小平雕塑公园，现已成为国内知名的开展“不忘初心、牢记使命”等系列党性教育、爱国主义教育和廉政教育等红色教育基地，年接待游客35万人次。</p><p>　　“邓小平和人民在一起”雕塑公园位于连岛菠萝山，占地5万平方米，具体包括“邓小平和人民在一起”群雕、淮海战役前沿指挥部陈列馆、配套绿园、亮化设施、背景音乐等。雕塑由清华大学李象群教授亲自主持设计， 作品表现主题：伟人与以军人、劳动者、知识分子、女青年和儿童为代表的人民群众在一起，体现小平同志“我是中国人民的儿子，我深情地爱着我的祖国和人民”的精神内涵；体现党的领袖与人民群众的血肉联系；体现小平同志与连云港的不解之缘。</p><p>　　“邓小平和人民在一起”雕塑公园建成后具有重要意义，让人民更好的缅怀伟大领袖的丰功伟绩，同时，把小平同志对连云港的殷切希望，转化成激励全市人民团结向上、拼搏奋斗、跨越发展的强大动力，加快港城发展步伐。 雕塑公园的建成，使其和四川广安布衣邓小平、深圳莲花山公园邓小平雕像一起构成伟人一生不同时期三步曲。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:09:48', 'system', '2019-10-30 15:09:48');
INSERT INTO `ld_article_content` VALUES (15, 7, '景区动态', '党建带团建，连岛旅游公司党支部与东港小学团支部开展“守护海岸线，青春在行动”主题教育活动', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b40dc7e4.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:56', 'system', '2019-10-30 15:26:56');
INSERT INTO `ld_article_content` VALUES (16, 7, '景区动态', '党员干部重温入党誓词', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b410a9d2.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (17, 7, '景区动态', '国庆开展党员志愿服务，免费发放手持国旗、贴纸', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b413210f.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (18, 7, '景区动态', '淮海战役前指陈列馆1', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b4154797.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (19, 7, '景区动态', '公园日出', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b41772f7.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (20, 7, '景区动态', '集团党委班子重温入党誓词', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b4199871.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (21, 7, '景区动态', '集团党委举行纪念邓小平诞辰115周年活动', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b41bca35.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (22, 7, '景区动态', '开展“不忘初心、牢记使命”主题教育，重温入党誓词', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b41dd412.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:57', 'system', '2019-10-30 15:26:57');
INSERT INTO `ld_article_content` VALUES (23, 7, '景区动态', '开展“不忘初心、牢记使命”主题教育，慰问开山岛民兵', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b420b6fb.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:58', 'system', '2019-10-30 15:26:58');
INSERT INTO `ld_article_content` VALUES (24, 7, '景区动态', '迎国庆长堤慢跑', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b422ecba.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:58', 'system', '2019-10-30 15:26:58');
INSERT INTO `ld_article_content` VALUES (25, 7, '景区动态', '连岛旅游公司党支部在汇海战役前指陈列馆举行“七一”主题党日活动', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b4252f9f.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:58', 'system', '2019-10-30 15:26:58');
INSERT INTO `ld_article_content` VALUES (26, 7, '景区动态', '政协原副主席张怀西', NULL, 'zh', '2019-10-30', '/profile/liandao_old_data/5db93b4274356.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:26:58', 'system', '2019-10-30 15:26:58');
INSERT INTO `ld_article_content` VALUES (27, 7, '景区动态', '《幸福的小满》正在热映，主创人员重返取景地', NULL, 'zh', '2019-11-30', '/profile/liandao_old_data/5f2278e55e5ff.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596094893897316.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596094893107210.jpg\" style=\"\"/></p><p>2019年<span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">11月30日上午，“幸福的小满&nbsp; &nbsp;奋进的港城”电影《幸福的小满》主创人员重返山海港城取景地，走进</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">&quot;世外桃源&quot;宿城，走进</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">色彩斑斓的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">海上云台山景区、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">八间房民宿</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">在“全国十大美丽</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">海岛“-连岛，拥抱大</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">海，漫步在</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">山海石城民国</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">老街</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">共忆拍摄时的点点</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">滴滴，与游客近距离互动，乐享深秋初冬时节</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">醉</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">人</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">山</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">海风光</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" text-align:=\"\" background-color:=\"\" letter-spacing:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">编剧甘露表示，在拍摄这部电影的时候，发现连云港是一个个人命运和国家命运紧密相连的地方。在中哈（连云港）物流园的时候，见到了在物流园干了一辈子物流事业的“60后”，他的家国情怀让自己非常感动；</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" text-align:=\"\" background-color:=\"\" text-decoration:=\"\" letter-spacing:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">在港口集团采访的时候，有充满风采的港城女性，她们在中哈国际谈判的时候，兢兢业业，同时也在尝试着平衡自己的家庭生活和事业的关系；在连云港老街的时候，也被百姓日常的喜怒哀乐而感动，觉得来书写一个连云港的故事非常有意义。如果我们把自己的事业奋斗好了，把生活奋斗好了，我们幸福了，那么我们也为国家的建设做贡献了。奋斗的时代强音、“二胎政策”以及国家“一带一路”倡议，被制片方敏锐捕捉到，然后有了在连云港拍摄的这部电影《幸福的小满》，希望大家都能喜欢这部电影，在自己的生活中找到属于自己的幸福。</span></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" text-align:=\"\" background-color:=\"\" text-decoration:=\"\" letter-spacing:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-align: justify; text-indent: 0em; background-color: rgb(255, 255, 255); font-family: 微软雅黑; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; 导演钟海深情道来，一路走来感谢连云港市委宣传部、江苏海州湾文旅集团和河北电影制片厂等单位的信任，是他们的信任，得以有机会拍摄这部反映“一带一路”和连云港发展的电影。这部电影是以<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 2em; overflow-wrap: break-word !important;\">连云港高速发展为背景，展现都市职场女性现状，关注时代热点的一部轻喜剧电影</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-align: justify; background-color: rgb(255, 255, 255); font-family: 微软雅黑; text-indent: 2em; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，片中展现了连云港“一带一路”陆海交汇枢纽在区域经济发展中的战略地位，同时还聚焦“二胎”这个社会热点，展现了在新形势下职场女性面对家庭和事业的压力。《幸福的小满》可以说是一个小故事，人物不多，展现的时空也不大；但是它又是一部大电影。电影以小见大，从一位普通女性市民的身上，反映整个连云港具备的精气神，在多重压力下，绝不低头、艰苦自立的气概。它是一部有意义的电影，一部探讨生活观、价值观、世界观的电影，它包含的精神是强有力和有穿透性的。</span></span></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" text-align:=\"\" background-color:=\"\" text-decoration:=\"\" letter-spacing:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-align: justify; background-color: rgb(255, 255, 255); font-family: 微软雅黑; text-indent: 2em; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></span></span></p>', NULL, NULL, NULL, 'system', '2019-11-30 15:32:37', 'system', '2019-11-30 15:32:37');
INSERT INTO `ld_article_content` VALUES (28, 7, '景区动态', '暖冬有礼，美丽连岛，解锁你的温润和美好', NULL, 'zh', '2019-11-18', '/profile/liandao_old_data/5f227b161fcd5.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095024671871.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095024353453.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095025391758.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095025993498.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(15, 15, 16); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(51, 51, 51); letter-spacing: 1px; font-size: 14px;\">连岛景区风景优美、空气清新、环境清幽，独特的地理位置和景区特色，特别适合有氧、休闲、徒步、慢跑等活动，是举办公司年会、拓展训练、集体派对等大中型活动项目的首选之地</span></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(51, 51, 51); letter-spacing: 1px; font-size: 14px;\">2019年11月，北京奔驰“英雄本色&nbsp;·&nbsp;智享人生”，奔驰汽车试驾活动已是第二届在连岛景区开展，汽车试驾活动工程师利用连岛景区优越的条件，为试驾车型量身打造专属赛道</span></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(51, 51, 51); letter-spacing: 1px; font-size: 14px;\">让每一位试驾者都能尽情享受驾驶的乐趣，场地活动选址连岛游客中心，利用停车场宽阔的资源空间，打造精品场地赛道，年关将至，冬日暖阳</span></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(51, 51, 51); letter-spacing: 1px; font-size: 14px;\">连岛景区自然的海岛风光、丰富的人文资源，特别适合团体或者企事业单位开展，年底党建、团建、拓展活动，培养团队凝聚力，景区根据您的需求可以提供客房、餐饮、场地等服务</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-11-18 15:41:53', 'system', '2019-11-18 15:41:53');
INSERT INTO `ld_article_content` VALUES (29, 7, '景区动态', '元旦迎新祈福，在连岛把福气带回家', NULL, 'zh', '2019-12-17', '/profile/liandao_old_data/5f227cd29048c.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095569235228.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095569332752.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596095569781888.jpg\" style=\"\"/></p><p><span style=\"font-family: 微软雅黑; font-size: 15px; letter-spacing: 1px; text-align: center; background-color: rgb(255, 250, 233);\">元旦期间，在连岛景区孔雀园许愿长廊，游客可在景区免费提供的红丝带上写下对亲人的祝福语或写下自己的新年愿望。</span></p><p><span style=\"font-family: 微软雅黑; font-size: 15px; letter-spacing: 1px; text-align: center; background-color: rgb(255, 250, 233);\">值此辞旧迎新之际，连岛景区向长期以来支持和喜爱我们的所有朋友真心地道一声感谢。祝大家新年快乐，愿你们在新的一年中身体健康、工作顺利、阖家欢乐！</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(135, 23, 25); font-family: 微软雅黑; font-size: 15px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 250, 233); overflow-wrap: break-word !important;\"><br/></p>', NULL, NULL, NULL, 'system', '2019-12-17 15:47:36', 'system', '2019-12-17 15:47:36');
INSERT INTO `ld_article_content` VALUES (30, 7, '景区动态', '连云区“牵手”海南呀诺达圆融旅业,助推全域旅游发展再上新台阶', NULL, 'zh', '2019-12-21', '/profile/liandao_old_data/5f228090a4be9.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596096069803354.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596096069146872.jpg\" style=\"\"/></p><p>2019年12月20日下午，连云区人民政府与海南呀诺达圆融旅业股份公司就全域旅游发展、相关进去合作达成标识，江苏海州湾文旅集团与海南呀诺达圆融旅业股份公司双方代表在连云区行政中心签署战略合作框架协议，助推连云区全域旅游发展再上新台阶。</p><p>双方本着发挥各自优势、资源整合、共同发展的原则，拟在连云港连岛项目文化旅游领域，利用双方的优势资源，形成合力，优势互补，积极探讨多种合作可能。双方围绕景区管理水平提升(员工相互派遣工作)、连岛景区5A创建推进和Discovery项目合作介绍、品牌输出以及海州湾文旅集团上市等方面进行了交流座谈并达成战略合作。连云区人民政府区长李占超、连云区政协主席李君生、江苏海州湾文旅集团董事长洪健、连云区文化和体育旅游局副局长喻兰及双方相关景区分管领导参加了签约仪式。</p><p>呀诺达圆融旅业股份公司将利用其在文化旅游项目的运营管理经验以及营销推广、IP资源引进、衍生品开发等方面的优势，参与海州湾文旅集团在连云港连岛项目的规划、景区IP导入、项目落地、开发建设、运营管理等方面的工作，并积极参与海州湾文旅集团主导的该旅游和产业相结合的升级项目，引入战略合作资源，在业务上具备协同性，在文化上具备认同感。双方将充分发挥各自的资源优势，实现跨界合作，取长补短，共赢发展。</p>', NULL, NULL, NULL, 'system', '2019-12-21 15:55:52', 'system', '2019-12-21 15:55:52');
INSERT INTO `ld_article_content` VALUES (31, 7, '景区动态', '已是悬崖百丈冰，犹有花枝俏', NULL, 'zh', '2020-02-08', '/profile/liandao_old_data/5f2292357a8eb.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596100652129920.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596100652815976.jpg\" style=\"\"/></p><p><br/></p><p>为全力做好新型冠状病毒感染的肺炎疫情防控工作，避免因游人聚集而导致交叉感染，切实保障人民群众的健康和安全，连岛景区及时对外公告，于2020年1月24日起暂停对外开放，实行闭园管理，不对外接待游客，并做好退票服务，对景区的管理重新排班，加强值守，严防疫情扩散和传播。</p>', NULL, NULL, NULL, 'system', '2020-02-08 17:05:49', 'system', '2020-02-08 17:05:49');
INSERT INTO `ld_article_content` VALUES (32, 7, '景区动态', '春暖花开，静待君至', NULL, 'zh', '2020-02-27', '/profile/liandao_old_data/5f2513d6ce983.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200801/1596265127908923.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200801/1596265127356688.jpg\" style=\"\"/></p><p>近日，部分城市开始慢慢有序复工，但疫情还处于关键时期，防控不可松懈，连岛景区人在行动，坚决打赢疫情防控阻击战。<br/></p><p>待疫情结束，便可以出门，去见的人去看想念的风景。邀请你一起赏遍大美连岛的山花烂漫。</p>', NULL, NULL, NULL, 'system', '2020-02-27 14:54:00', 'system', '2020-02-27 14:54:00');
INSERT INTO `ld_article_content` VALUES (33, 7, '景区动态', '约“惠”女神节，连岛景区带给您不一样的浪漫', NULL, 'zh', '2020-03-08', '/profile/liandao_old_data/5f25152e80cf4.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200801/1596265735532561.jpg\" alt=\"微信图片_20200801150805\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0.544px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65);\">活动详情：</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">1、开园之日起至2020年3月31日，所有来连岛的游客享受景区淡季门票半价优惠<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">2、年龄在12周岁（含12周岁）儿童、身高在1.5米以内儿童免票</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">3、持年卡的游客，提供本人居民身份证进行实名登记入园<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">4、2020年全年，连岛景区对全国（含港澳台地区）持有医务相关证件的医护人员、医技人员免费</span><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0.544px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65);\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">5、<strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">美团网线上优惠活动，门票限时抢购，有效期至2020年7月31日</strong></span><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0.544px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65);\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">备注：</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\"></span></strong><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">1、入园时间：08:30~16:00<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(0, 0, 0); font-size: medium; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">2、景区日接待量2000人，目前仅开放大沙湾游乐园</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">3、游客须提前一天预约，当天预约无效，现场入园时请提供本人居民身份证进行实名登记。</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\">4、未戴口罩的游客一律禁止入园</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\"></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></strong></span></p><p><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 14px;\"><br/></span></strong></p></section></section></section></section></section></section><p><br/></p>', NULL, NULL, NULL, 'system', '2020-03-08 15:03:54', 'system', '2020-03-08 15:03:54');
INSERT INTO `ld_article_content` VALUES (34, 7, '景区动态', '连岛景区召开“创建国家5A级旅游景区工作标准及针对性实操介绍”培训会', NULL, 'zh', '2020-03-23', '/profile/liandao_old_data/5f251658aed50.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200801/1596266041171009.jpg\" alt=\"微信图片_20200801151251\"/><span style=\"color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">3月17日下午，连岛景区“创建国家5A级旅游景区工作标准及针对性实操介绍”培训会在连岛游客中心顺利召开。江苏海州湾文旅集团、连岛景区、海上云台山景区、连云港老街、前三岛旅游公司等中层以上管理人员近百人参加了培训。江苏海州湾文旅集团董事长洪健主持会议，蜗牛景区管理集团副总裁吴佳尧受邀主讲。</span></p><p><span style=\"color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255); font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">培训会上，吴佳尧深入解读连岛景区整改提升方案，围绕连岛景区5A创建中所面临和必须整改的项目和难点问题进行深入剖析，对景区交通组织、游览服务、公共服务设施、旅游安全、运营管理等方面进行对标讲解。通过本次培训旨在让景区所有员工更加深入了解连岛景区</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255); font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">5A</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">创</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">建</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">的标准和要求，要求各分公司、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">各部门要</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">加</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">大创5</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">A工</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">作宣传力度，为</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">成功</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">创</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">建5A景区营造良好的舆论氛围。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">在整改工作中</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">能</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: justify; background-color: rgb(255, 255, 255); font-size: 15px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">够按照国家5A旅游景区标准发现问题、分析问题、解决问题，从而使连岛景区资源、设施、服务等多方面进行改造、升级、优化，进一步推进连岛景区创建国家5A级景区工作进度。</span></span></p><p><span style=\"color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\"><span style=\"color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">连岛景区于2019年11月顺利通过了国家5A级旅游景区景观质量评审，成功列入国家5A级旅游景区创建名单，这标志着连岛景区在创建国家5A级旅游景区工作迈出了实质性的关键一步。下一步，连岛景区将按照5A级景区创建标准，在基础设施、功能完善、服务质量、市场拓展等方面扎实推进整改提升，力争早日成功创建国家5A级景区。</span></span></p>', NULL, NULL, NULL, 'system', '2020-03-23 15:10:27', 'system', '2020-03-23 15:10:27');
INSERT INTO `ld_article_content` VALUES (35, 7, '景区动态', '【春欲远，夏未至】来连岛，抓住春天的尾巴', NULL, 'zh', '2020-04-16', '/profile/liandao_old_data/5f261617b3b41.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596330842143734.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596330842937303.png\" style=\"\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596330920427961.png\" alt=\"12\"/></p><p>连岛景区游艇俱乐部帆船于4月16日正常运营。</p><p>乘风破浪、扬帆起航。这个春天，让我们换个方式去体验，去感受大海的无限风光。</p>', NULL, NULL, NULL, 'system', '2020-04-16 09:07:55', 'system', '2020-04-16 09:07:55');
INSERT INTO `ld_article_content` VALUES (36, 7, '景区动态', '连岛景区开展消防演练 筑牢安全防线', NULL, 'zh', '2020-04-16', '/profile/liandao_old_data/5f290057c509e.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596331676528239.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596331676251366.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-04-16 09:25:47', 'system', '2020-04-16 09:25:47');
INSERT INTO `ld_article_content` VALUES (37, 7, '景区动态', '气温将“奔三”，你想去哪儿玩', NULL, 'zh', '2020-04-30', '/profile/liandao_old_data/5f2901b7416b9.jpg', NULL, '富文本', '<p>五一活动预告</p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(55, 55, 74); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">连岛景区范围内所有景点</span></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(55, 55, 74); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" overflow-wrap:=\"\" break-word=\"\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px; color: rgb(255, 41, 65);\">全部对外开放！</span></strong></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(55, 55, 74); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">向全</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">国游客</span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(55, 55, 74); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">实行门票：</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 24px;\">45</span>元/人</strong></span></section><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-04-30 09:38:19', 'system', '2020-04-30 09:38:19');
INSERT INTO `ld_article_content` VALUES (38, 7, '景区动态', '最美职工，最美青春', NULL, 'zh', '2020-05-04', '/profile/liandao_old_data/5f261e99002ac.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596333684142361.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596333684861450.png\" style=\"\"/></p><section powered-by=\"xiumi.us\" style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; text-align: justify; white-space: normal; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px 15px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px; color: rgb(87, 60, 60); line-height: 1.8; letter-spacing: 1.8px;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px;\"><span class=\"Apple-converted-space\">&nbsp;</span>3月28日，连岛景区商业运营部</span><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 17px;\">单溆竣、余洋</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px;\">两位同志，积极请愿连云区隔离点安全防疫工作。为确保集中隔离场所人员安全，维护隔离场所秩序，在没有枪炮与硝烟的战役中奋斗至今。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); font-size: 15px; overflow-wrap: break-word !important;\">集中隔离期间，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); font-size: 17px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">单溆竣、余洋</strong></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); font-size: 15px; overflow-wrap: break-word !important;\">主要负责登记隔离人员个人信息及严密监视隔离人员动态，确保隔离人员不出房间，不在酒店擅自走动；维护集中区域安全和纪律，确保在第一时间快速稳妥处理隔离区内的突发事件。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">这两位年轻朝气的同志，每天穿着隔离装备，24小时不间断的监控观察隔离人员的情况，还要解决他们提出的一些困难并解决突发状况。由于隔离对象人数多，工作人员少，隔离期间总是出现各种问题单溆竣、余洋总是及时与相关负责人沟通并上报领导，——解决问题，他们耐心细致的沟通，周全合理的处理，由于处在特殊时间，他们更理解隔离人员的焦躁情绪，因此格外注意隔离区内的各项工作细节，注意语气和态度绝不影响隔离人的情绪，同时还要及时与医护人员沟通，学好个人防护意识，保障自身安全。</span></span></p></section></section><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); box-sizing: border-box !important; overflow-wrap: break-word !important;\">隔离人员解除隔离后，对房间进行清理消毒，更换房间布草及安排清洗布草，检查房间的水电安全隐患问题，垃圾的回收，每天都重复的做着这些工作。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); box-sizing: border-box !important; overflow-wrap: break-word !important;\">他们</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; background-color: rgb(255, 242, 238); box-sizing: border-box !important; overflow-wrap: break-word !important;\">兢兢业业、勤勤恳恳无私奉献，充分展现了连岛景区青年职工，不畏艰险、冲锋在前的担当精神，使命与担当同行。</span></p>', NULL, NULL, NULL, 'system', '2020-05-04 09:57:57', 'system', '2020-05-04 09:57:57');
INSERT INTO `ld_article_content` VALUES (39, 7, '景区动态', '无奋斗，不青春，无担当，不青春！', NULL, 'zh', '2020-05-04', '/profile/liandao_old_data/5f262c2be9d8f.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596337181265286.gif\" alt=\"微信图片_20200802105923\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1.8px;\">五一小长假旅游接待中</span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1.8px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">在这样一个特殊时期</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1.8px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区有这么一群年轻人</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1.8px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">他们冲锋陷阵在旅游的第一线</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">把疫情防控放在首位</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">在各个环节服务工作中履职尽责、严密防范</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">主动做好游客宣传引导</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(87, 60, 60); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.8px; white-space: normal; background-color: rgb(255, 255, 255); font-size: 14px; text-align: center; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">把游客的生命安全和身体健康放在第一位</span></p><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-05-04 10:44:16', 'system', '2020-05-04 10:44:16');
INSERT INTO `ld_article_content` VALUES (40, 7, '景区动态', '连岛景区“安全月”消防演练', NULL, 'zh', '2020-05-23', '/profile/liandao_old_data/5f26624726608.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351019384065.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351019710384.jpg\" style=\"\"/></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\">在全国第十九个“安全生产月”来临之际，为落实好连岛景区“安全月”活动安排，进一步加强消防安全管理水平，有效降低消防安全隐患，维护生产经营稳定。5月20日，连岛旅游公司安全监管部牵头，组织各部门进行消防安全知识培训，同时开展室内消防应急逃生和车辆自燃逃生疏散，各分公司、各部门员工参与了培训演练。</span></p>', NULL, NULL, NULL, 'system', '2020-05-23 14:48:36', 'system', '2020-05-23 14:48:36');
INSERT INTO `ld_article_content` VALUES (41, 7, '景区动态', '连岛景区5A创建，掀起培训学习热潮', NULL, 'zh', '2020-05-23', '/profile/liandao_old_data/5f26630e502ee.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351184980574.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351184940140.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351184506330.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; white-space: normal; background-color: rgba(255, 255, 255, 0.992); overflow-wrap: break-word !important;\">近日，连岛景区再次掀起学习培训热潮。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; white-space: normal; background-color: rgba(255, 255, 255, 0.992); overflow-wrap: break-word !important;\">5月22日，连岛景区与扬州大学就创建国家级5A景区的培训事宜达成了战略合作，并正式签约开课，为5A创建和景区未来的发展提供示范引领。</p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; background-color: rgba(255, 255, 255, 0.992);\">扬州大学旅游烹饪学院副院长侯兵、 扬州文化旅游局副局长、扬州大学旅游烹饪学院副院长毛卫东、连云区区政协主席李君生、 连云区副区长王庆林、连岛街道党工委书记程勇等领导出席了签约仪式。</span></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.8px; text-align: justify; background-color: rgba(255, 255, 255, 0.992);\">连岛景区5A创建工作以来，结合景区5A创建培训，为此连岛景区委托扬州大学旅游烹饪学院在2020年内，为连岛景区量身定做10次专业性培训，主要目的是为了提升景区工作人员业务素质和职业道德水平，建设一支政治坚定、业务精良、作风高尚、素质全面的旅游从业人员队伍，提高景区管理水平和旅游服务水平，为景区做出新的贡献。</span></p>', NULL, NULL, NULL, 'system', '2020-05-23 14:50:50', 'system', '2020-05-23 14:50:50');
INSERT INTO `ld_article_content` VALUES (42, 7, '景区动态', '连岛景区开展防恐防暴应急演练', NULL, 'zh', '2020-06-16', '/profile/liandao_old_data/5f26658590852.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596351853949461.jpg\" alt=\"微信图片_20200802150354\"/><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\">为进一步提升连岛景区在防恐防暴、现场处置、应急救援等方面的综合实战能力。6月16日上午，连岛景区安保部、港公安局北港派出所联合在游客中心开展反恐防暴应急演练。</span></p>', NULL, NULL, NULL, 'system', '2020-06-16 14:54:09', 'system', '2020-06-16 14:54:09');
INSERT INTO `ld_article_content` VALUES (43, 7, '景区动态', '【6.21父亲节】发圈“炫父”去', NULL, 'zh', '2020-06-18', '/profile/liandao_old_data/5f290164aac80.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352079401975.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352079141055.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352079299362.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352080822651.png\" style=\"\"/></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(246, 6, 13); font-size: 15px;\">活动时间：2020年6月21-24日&nbsp; &nbsp;</strong></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"color: rgb(246, 6, 13); font-size: 15px; text-align: center; margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">入住房型：景区自营酒店</strong></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"text-align: center; margin: 0px; padding: 0px; max-width: 100%; color: rgb(246, 6, 13); font-size: 20px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">特价：</strong></span><span style=\"text-align: center; margin: 0px; padding: 0px; max-width: 100%; color: rgb(246, 6, 13); font-size: 24px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">398</strong></span><span style=\"text-align: center; margin: 0px; padding: 0px; max-width: 100%; color: rgb(246, 6, 13); font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">元/间</strong></span></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(246, 6, 13);\">入住福利赠送：</span></strong></span></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(246, 6, 13);\">1、每间免门票2张</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(246, 6, 13);\">（票价50元/位）</span></strong></span></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(246, 6, 13);\">&nbsp; &nbsp; 免景交车票2张</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(246, 6, 13);\">（票价25元/位）</span></strong></span></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(246, 6, 13);\">2、<span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">赠送游船观光体验券1张</span></span></strong></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(246, 6, 13); text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; （票价50元/位）</span></strong></span></p><p style=\"margin-top: 10px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(25, 24, 24); font-family: PingFangSC-light; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); font-size: 14px; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: center; font-size: 15px; color: rgb(246, 6, 13); box-sizing: border-box !important; overflow-wrap: break-word !important;\">3、赠送海参汤一份</span></strong></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-06-18 15:04:40', 'system', '2020-06-18 15:04:40');
INSERT INTO `ld_article_content` VALUES (44, 7, '景区动态', '【端午】 与您约会一“夏”', NULL, 'zh', '2020-06-24', '/profile/liandao_old_data/5f2666fa0f79e.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352223596644.jpg\" alt=\"微信图片_20200802150943\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(93, 99, 52); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgba(255, 255, 255, 0); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; background-color: rgba(255, 255, 255, 0); letter-spacing: 1px; color: rgb(98, 76, 76);\">端午情浓，尽情放“粽”<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(93, 99, 52); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; background-color: rgba(255, 255, 255, 0); letter-spacing: 1px; color: rgb(98, 76, 76);\">端午假期期间<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(93, 99, 52); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgba(255, 255, 255, 0); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1px; background-color: rgba(255, 255, 255, 0); color: rgb(98, 76, 76);\">赢参与景区现场活动，赢取精美礼品！</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(93, 99, 52); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgba(255, 255, 255, 0); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1px; color: rgb(98, 76, 76);\">各种惊喜震撼来袭~<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(93, 99, 52); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgba(255, 255, 255, 0); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1px; color: rgb(98, 76, 76);\">为您的假期喜上加喜！</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-06-24 15:08:19', 'system', '2020-06-24 15:08:19');
INSERT INTO `ld_article_content` VALUES (45, 7, '景区动态', '青春不散场，来日再相见，连岛景区毕业旅行季', NULL, 'zh', '2020-06-28', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352433586850.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596352433999312.png\" style=\"\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">带着美好，带着憧憬</span></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">与同学一起<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">来</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 1px; color: rgb(255, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">开启一段毕业之旅<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">在旅行过程中忘记年龄、忘记烦恼<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">与同学尽情打成一片</span></section><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-06-28 15:10:53', 'system', '2020-06-28 15:10:53');
INSERT INTO `ld_article_content` VALUES (46, 7, '景区动态', '当情人节邂逅元宵节，心动藏不住！踏上海滨栈道，开启一段浪漫之旅！', NULL, 'zh', '2022-02-15', '/profile/liandao_old_data/620b5a9c4c711.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910305321820.jpg\" title=\"\" alt=\"微信图片_20220215152745\"/></p><p style=\"text-align: center;\">月圆时见你，是爱情最浪漫的开始</p><p style=\"text-align: center;\">正月十四情人节</p><p style=\"text-align: center;\">正月十五元宵节</p><p style=\"text-align: center;\">如此甜蜜浪漫的日子里</p><p style=\"text-align: center;\">与心爱的人一起手牵手</p><p style=\"text-align: center;\">漫步连岛海滨栈道</p><p style=\"text-align: center;\">看尽美景良辰，便是最幸福的事</p><p><br/></p><p style=\"text-align: center;\">和心爱的人</p><p style=\"text-align: center;\">去美丽的大沙湾逐浪戏水</p><p style=\"text-align: center;\">去环岛公路看海天一色</p><p style=\"text-align: center;\">去海滨栈道看遍海蚀地貌</p><p style=\"text-align: center;\">去苏马湾的民宿里等待日出</p><p style=\"text-align: center;\">··· ···</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910425558239.jpg\" title=\"\" alt=\"微信图片_20220215152821\"/></p><p style=\"text-align: center;\">甜蜜情人节，热闹过元宵</p><p style=\"text-align: center;\">情正浓 爱团圆</p><p style=\"text-align: center;\">浪漫相遇，邂逅双倍爱意</p><p style=\"text-align: center;\">连岛景区邀您来见证海誓山盟</p><p style=\"text-align: center;\">走爱情路，品山海情</p><p style=\"text-align: center;\">以青山为誓，请大海作证</p><p style=\"text-align: center;\">见证你们的爱情</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910460603154.jpg\" title=\"\" alt=\"微信图片_20220215152828\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>当情人节邂逅元宵节，浪漫团圆两不误</strong></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910503504735.jpg\" title=\"\" alt=\"微信图片_20220215152828\"/></strong></p><p style=\"text-align: center;\">元宵节是一个浪漫而诗情的节日</p><p style=\"text-align: center;\">是一个可以在瞬间催生爱情的节日</p><p style=\"text-align: center;\">当元宵节与情人节撞在一起</p><p style=\"text-align: center;\">多姿多彩的双节礼遇</p><p style=\"text-align: center;\">带上她一起</p><p style=\"text-align: center;\">来连岛寻觅一场浪漫之旅吧</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910532921270.jpg\" title=\"\" alt=\"微信图片_20220215152833\"/></p><p style=\"text-align: center;\">迎着清爽的海风</p><p style=\"text-align: center;\">让甜蜜的爱情，像山和海一样</p><p style=\"text-align: center;\">永恒不变、地久天长</p><p style=\"text-align: center;\">一起感受双倍爱意！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910622971404.jpg\" title=\"\" alt=\"微信图片_20220215152837\"/></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong>浪漫栈道，携手并进</strong></p><p style=\"text-align: center;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910642112074.jpg\" title=\"\" alt=\"微信图片_20220215152841\"/></strong></p><p style=\"text-align: center;\">牵手漫步于山海间</p><p style=\"text-align: center;\">穿过爱的檐廊</p><p style=\"text-align: center;\">隔绝尘世的喧嚣纷扰</p><p style=\"text-align: center;\">浓情深眸里映着最美的你</p><p style=\"text-align: center;\">每一步栈道</p><p style=\"text-align: center;\">每一片海浪</p><p style=\"text-align: center;\">每一阵风</p><p style=\"text-align: center;\">都会见证你们的爱情</p><p style=\"text-align: center;\">以及两人携手共赴未来的决心</p><p style=\"text-align: center;\">携手走过的浪漫，是对爱情最好的诠释</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910712832349.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910712312114.jpg\" style=\"\"/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>共赴苏马湾，见证海誓山盟</strong></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910756621265.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910756929646.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910756625189.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\">共赴苏马湾，见证海誓山盟</p><p style=\"text-align: center;\">漫步海滩</p><p style=\"text-align: center;\">细软的白沙轻抚脚底</p><p style=\"text-align: center;\">尽情地享受选离世俗喧闹的宁静与祥和</p><p style=\"text-align: center;\">这里唯一能够听到的</p><p style=\"text-align: center;\">除了心上人的甜言蜜语</p><p style=\"text-align: center;\">便是那阵阵的海涛声了</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910839542676.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910840960850.jpg\" style=\"\"/></p><p style=\"text-align: center;\">山为媒，海为证</p><p style=\"text-align: center;\">在连岛得到了完美体现</p><p style=\"text-align: center;\">准备婚拍的小伙伴们</p><p style=\"text-align: center;\">连岛苏马湾是你的不二选择</p><p style=\"text-align: center;\">苏马湾的海誓山盟见证了无数爱情故事</p><p style=\"text-align: center;\">是众多情侣打卡地</p><p><br/></p><p style=\"text-align: center;\">在此婚拍的新人们能够清晰地感受到</p><p style=\"text-align: center;\">空气中都弥漫着幸福的味道</p><p style=\"text-align: center;\">也足以完美体现出婚纱照的唯美</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910924491033.jpg\" title=\"\" alt=\"微信图片_20220215152910\"/></p><p><br/></p><p style=\"text-align: center;\">连岛，美在海中央</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910954238143.jpg\" title=\"\" alt=\"微信图片_20220215152916\"/></p><p>连岛，古称鹰游山，坐落在物产富饶的海州湾内，与新亚欧大陆桥东桥头堡--连云港港隔海相望。连岛，其形状狭长，东南、西北走向，海岸线长18公里，折列如画屏，俨然一座美丽的海上屏风。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644910983876231.jpg\" title=\"\" alt=\"微信图片_20220215152919\"/></p><p>大沙湾是拥有优质沙滩的天然海水浴场，在这里您或是追波踏浪，或是静卧沙滩，都可以尽享大海带来的无限柔情。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644911014225429.png\" title=\"\" alt=\"微信图片_20220215152923\"/></p><p>苏马湾汇萃青山、碧海、金滩、奇石于一体，森林覆盖率达80%，这里空气清新，堪称天然氧吧。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644911048917377.jpg\" title=\"\" alt=\"微信图片_20220215152930\"/></p><p>连接大沙湾和苏马湾景区的是一条2.5公里长的海滨栈道，它时而平缓时而蜿蜒，像一条卧龙，把两个景点连成一体，行走在上面，沿途的海景一览无遗。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644911073470592.jpg\" title=\"\" alt=\"微信图片_20220215152936\"/></p><p>置身于孔雀园，与孔雀零距离接触，感受大自然带来的独特魅力。</p><p><br/></p><p style=\"text-align: center;\">情人节遇上元宵节</p><p style=\"text-align: center;\">幸福团团圆圆</p><p style=\"text-align: center;\">爱情甜甜蜜蜜</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">带上心爱的她，走出家门，亲近自然</p><p style=\"text-align: center;\">在即将春暖花开的时节来到海边</p><p style=\"text-align: center;\">手牵手一起漫步在海滨栈道</p><p style=\"text-align: center;\">行走在山水之间</p><p style=\"text-align: center;\">看看大海，闻闻海风</p><p style=\"text-align: center;\">享受悠哉而自在的浪漫生活</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">朝暮与时岁并往</p><p style=\"text-align: center;\">四季有你，满心欢喜</p><p style=\"text-align: center;\">快来连岛景区开启你们的浪漫之旅吧！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220215/1644911168285965.jpg\" title=\"\" alt=\"微信图片_20220215152944\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-02-15 15:25:26', 'system', '2022-02-15 15:25:26');
INSERT INTO `ld_article_content` VALUES (47, 7, '景区动态', '【连岛】建党99周年，祝祖国繁荣昌盛', NULL, 'zh', '2020-08-02', '/profile/liandao_old_data/5f266b13541cd.png', NULL, '富文本', '<p>“七一”前夕，连岛景区开展主题党日和廉政教育活动，通过重温入党誓词、组织专题党课、参观廉政教育基地等方式，喜迎建党99周年纪念日，激励党员干部继承和弘扬党的优良传统，不忘初心、牢记使命，履职尽责，以更高标准、更严要求推进纪检监察工作高质量发展。</p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" display:=\"\" justify-content:=\"\" align-items:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></section><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596353288276888.jpg\" style=\"float:left;\" alt=\"微信图片_20200802152539\"/>公司各党支部按照公司党委、纪委要求，分层次、分领域、有针对性地集中学习了《中华人民共和国公职人员政务处分法》、习近平总书记关于中央八项规定精神的指示批示精神及有关文件，倡导全体党员干部知廉耻、明敬畏、守规矩，推进全面从严治党。</p>', NULL, NULL, NULL, 'system', '2020-08-02 15:15:16', 'system', '2020-08-02 15:15:16');
INSERT INTO `ld_article_content` VALUES (48, 7, '景区动态', '【7·18】浪里个浪！2020连岛沙滩音乐狂欢节劲爆来袭!', NULL, 'zh', '2020-07-11', '/profile/liandao_old_data/5f266f0c72d41.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596354311673045.jpg\" alt=\"微信图片_20200802154451\"/></p><p style=\"text-align: center;\">2020连岛沙滩音乐狂欢节</p><p style=\"text-align: center;\">7.18快乐再次出发</p>', NULL, NULL, NULL, 'system', '2020-07-11 15:42:12', 'system', '2020-07-11 15:42:12');
INSERT INTO `ld_article_content` VALUES (49, 7, '景区动态', '探索地质奇观，河海大学地质专业学生走进连岛景区地质考察！', NULL, 'zh', '2024-01-06', '/profile/liandao_old_data/6598b5231cd8e.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506466732812.jpg\" title=\"\" alt=\"640\"/></span></span></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">你是否曾对地球的奥秘感到好奇？是否想过那些奇特的地质景观是如何形成的？</span><span style=\"font-family:宋体\">1月4日，河海大学地质专业的学生们带着这些疑问，走进连岛景区，进行了一次深入的地质考察。</span></span></p><p style=\"line-height: 33px; text-indent: 0em;\"><span style=\"font-family: 宋体;\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506499846556.jpg\"/></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506499971665.jpg\"/></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\">连岛是江苏最大的基岩质海岛，海岸曲折，岬角向海突出，海湾向内隔角相连，海蚀地貌随处可见。海蚀记载着地球几十亿年形成与发展的历史，见证了地球气候的复杂多变。无数次海侵海退、沧海桑田的变迁，才形成了连岛极具特色的海蚀景观。</span></p><p style=\"line-height: 33px; text-indent: 0em;\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506532267371.jpg\"/></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506532130474.jpg\"/></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\">苏马湾是连岛风景绝佳的景点，这里的海蚀地貌有许多象形石，如龙后宫的龙头石、古海蚀崖的万卷书、宝塔石，海边的蟾蜍石、大象石等惟妙惟肖，堪称地质博物馆。</span></p><p style=\"line-height: 33px; text-indent: 0em;\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506558350174.jpg\" title=\"\" alt=\"640 (5)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506570520537.jpg\" title=\"\" alt=\"640 (6)\"/></span></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">大自然鬼斧神工般的造化，使岛上的岩石造型神奇，包罗万象。有的气势磅礴，雄伟壮观；有的肖形状物，惟妙惟肖</span><span style=\"font-family:宋体\">......</span></span></p><p style=\"line-height: 33px; text-indent: 0em;\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506588989926.jpg\" title=\"\" alt=\"640 (7)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506596387988.jpg\" title=\"\" alt=\"640 (8)\"/></span></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\">在这次考察中，学生们深入了解了连岛的地质构造、岩石类型和地质历史。他们通过实地观察、采样分析等方式，对连岛的地质特征有了更深入的认识。</span></p><p style=\"line-height: 33px; text-indent: 0em;\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506611708004.jpg\" title=\"\" alt=\"640 (9)\"/></p><p style=\"text-indent: 32px; line-height: 33px; text-align: justify;\"><span style=\";font-family:宋体;font-size:16px\">此次地质考察活动是河海大学地质专业教学的一次重要实践，也是学生们将理论知识与实际相结合的一次宝贵机会。相信通过这次研学之旅，学生们将更加深入地了解地质学科，为今后的学习和研究打下坚实的基础。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506645878580.jpg\"/></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240106/1704506645528858.jpg\"/></p>', NULL, NULL, NULL, 'system', '2024-01-06 09:59:51', 'system', '2024-01-06 09:59:51');
INSERT INTO `ld_article_content` VALUES (50, 7, '景区动态', '快看！这片海，会发光！', NULL, 'zh', '2024-01-11', '/profile/liandao_old_data/659f596134538.jpg', NULL, '富文本', '<p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">如果你见过了夏天的海</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">那不妨在这个静谧温柔的季节</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">来连岛看一看冬日的海吧</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">时而安静浪漫</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">时而热情奔放</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">每一帧影像都风光夺目</span> <span style=\"font-family:宋体\">拍照出圈</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941813805596.jpg\" title=\"\" alt=\"640 (2)\"/></span><span style=\"font-family: 宋体;\">印象中</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">冬日的海总是透着一丝萧瑟冷清</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">其实，暖阳透过云层</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">尽情倾洒在海面上</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">一切都变得柔和闪亮起来</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">快来看吧</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">这一片会发光的海</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941858575941.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941858369420.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941859581443.png\" style=\"\"/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\"font-family: 宋体;\">光影变幻奇妙</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">海面熠熠生辉</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">浮光跃金这四个字变得具象起来</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">此时此刻，你是否发觉</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">冬日的海，好像更加动人呢</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\"></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941894112343.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941894463266.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941894300027.jpg\" style=\"\"/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\"font-family: 宋体;\">出发吧</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">去看冬日的海</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">天光云影间，海光水色处</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">所见之处，皆为风景</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">遇见的每一幕</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:33px\"><span style=\";font-family:宋体;font-size:16px\">也都是回味无穷的悸动</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240111/1704941909121321.jpg\" title=\"\" alt=\"640 (8)\"/></p>', NULL, NULL, NULL, 'system', '2024-01-11 10:55:54', 'system', '2024-01-11 10:55:54');
INSERT INTO `ld_article_content` VALUES (51, 7, '景区动态', '来连岛感受音乐与体育的激情碰撞！', NULL, 'zh', '2020-07-26', '', NULL, '富文本', '<p style=\"text-align: center;\"><br/><strong>2020连云港之夏旅游节</strong></p><p style=\"text-align: center;\"><strong>连云港丝路音乐节</strong></p><p style=\"text-align: center;\"><strong>暨连岛沙滩音乐狂欢节</strong></p><p style=\"text-align: center;\"><strong>在连岛景区华丽开幕</strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596354785843374.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596354785115267.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596354785181197.jpg\" style=\"\"/></p><p>开幕当天，市演艺集团携手海州湾文旅集团为广大市民带来一场集歌舞、新民乐、小合唱、跨界融合表演、乐队、网红、DJ等多种表演元素，为本届开幕式活动注入现代时尚的活力。<br/></p><p>除了精彩时尚的开幕式演出，还有重点媒体及旅行社采风踩线活动、连岛荧光夜跑、非遗展示展销、美食节等丰富多彩的活动，并将持续一个月在连岛景区举办沙滩音乐狂欢节，全面宣传展示连云港海滨旅游城市形象，为游客营造一场盛大的沙滩音乐狂欢节。</p><p>随着夜间旅游的渐渐兴起，连岛景区依托连云区全域旅游文化，不断探索尝试，以旅游为载体通过业态产品互补，活动主题映衬，营销联动等系列举措，形成合力效力，满足广大游客多元化的连岛旅游升级新地标、旅游新亮点，为夏日度假增添又一好去处。</p>', NULL, NULL, NULL, 'system', '2020-07-26 15:45:58', 'system', '2020-07-26 15:45:58');
INSERT INTO `ld_article_content` VALUES (52, 7, '景区动态', '【不忘初心、牢记使命】主题教育实境课堂走进开山岛', NULL, 'zh', '2019-10-10', '/profile/liandao_old_data/5f29021e2111a.jpg', NULL, '富文本', '<p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" background-color:=\"\">10月9日上午，海风拂面，鲜艳的五星红旗迎风飘扬，开山岛上一片庄严肃穆。江苏海州湾发展集团、江苏海州湾文旅集团近60名党员代表赴开山岛开展“不忘初心、牢记使命”主题教育实境课堂学习，追寻英雄足迹，学习“时代楷模”王继才、王仕花夫妇“一寸赤心惟报国”的爱国守岛奉献精神。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200803/1596425325425380.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200803/1596425326149752.jpg\" style=\"\"/></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" background-color:=\"\"></span><br/></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" background-color:=\"\">海风阵阵忆往事，一草一木皆序章。岛上的灯塔、瞭望台、航标、测风仪仍在坚守，菜园、捕鱼点、水窖等还在，王继才亲手栽下的桃树，如今枝繁叶茂，长势喜人。被称为王继才夫妇精神之树的苦楝树，象征着永不屈服。经过树下，大家都不约而同地驻足一会儿，仿佛能通过这些石头缝隙间的生命，看到瘠薄岁月里开出的大美之花。</span></p><p><span style=\"font-size: 15px; letter-spacing: 1px; text-indent: 2em; color: rgb(63, 62, 63); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" text-align:=\"\">在岛顶的国旗广场，全体党员干部面向鲜红的党旗，举起右手，重温入党誓词。“我志愿加入中国共产党，拥护党的纲领，遵守党的章程.....”铿锵有力的宣誓声音，更加坚定了“不忘初心、牢记使命”的信念和决心。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 2em; font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></p><p><br/><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" background-color:=\"\"></span></p>', NULL, NULL, NULL, 'system', '2019-10-10 10:57:53', 'system', '2019-10-10 10:57:53');
INSERT INTO `ld_article_content` VALUES (53, 7, '景区动态', '走访慰问结对村 扶贫帮困暖人心', NULL, 'zh', '2020-01-16', '/profile/liandao_old_data/5f290d3526c39.gif', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; letter-spacing: 2px; text-align: justify; box-sizing: border-box !important; overflow-wrap: break-word !important;\">近日，江苏海州湾发展集团党委书记、董事长施军生，党委副书记、副总经理王波，党委委员、副总经理王书通带领集团工会、党群部相关人员，走访慰问了集团结对帮扶村</span><span style=\"font-family: 仿宋_GB2312; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255);\">——留云岭村、白果树村的4户困难党员和群众，为他们送上集团党委的关心和温暖。</span></p><p><span style=\"font-family: 仿宋_GB2312; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255);\">在白果树村，施军生一行看望了77岁的五组村民金建兰，金老是一名有着50年党龄的老党员，年老多病，常年吃药。施军生把慰问金送到金老手上，亲切询问她的家庭生活，关心她的身体近况及存在的困难等情况，一再叮嘱老人要多多保重身体。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596525871584972.jpg\" style=\"float:left;\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596525872601773.jpg\" style=\"float:left;\"/></p><p><span style=\"font-family: 仿宋_GB2312; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255);\"></span><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; color: rgb(203, 73, 55); letter-spacing: 1.8px; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">一直以来，海州湾发展集团党委始终将扶贫结对帮扶工作作为践行企业核心价值观，履行企业社会责任的重要举措，积极响应“百企联百村项目结对发展”活动的号召，践行初心使命，强化责任担当，积极开展扶贫结对工</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">作</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，努力探索新方法、新途径，不断增强帮扶工作的针对性和实效性，促进各项帮扶工作取得更好成果。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; letter-spacing: 2px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-01-16 14:55:12', 'system', '2020-01-16 14:55:12');
INSERT INTO `ld_article_content` VALUES (54, 7, '景区动态', '党建搭桥聚合力 初心共享谱新篇', NULL, 'zh', '2019-12-18', '/profile/liandao_old_data/5f290187c1cc0.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\">近日，中国铁建港航局集团第三工程有限公司连云港项目部党支部书记景田德一行受邀来到我司联合举行党建&quot;初心共享&quot;观摩学习交流活动。活动结束后，双方召开座谈会，就近期“不忘初心、牢记使命”主题教育方面的一些经验和做法进行了交流，分享了党建工作的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px;\">心得</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0px;\">和体会，探讨新时代党建工作的新思路、新途径、新方法。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521385936968.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521385326159.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0px;\"></span><br/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0px;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\">“贵企业在党建上学习研讨、政治仪式、专题党课和一次岗位实践的“3+1”模式非常有特色，有活力，受益匪浅”。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\">景书记认为我集团“不忘初心、牢记使命”主题教育特色做法非常有效，值得借鉴学习。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\">中国铁建港航局集团是一家集投资、设计、科研、施工、运维于一体的大型综合建设集团，也是世界500强-中国铁建股份有限公司旗下唯一一家以水工施工为主的全资子公司。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\">在党建做法上，该集团继承和发扬“支部建在连上”的优良传统，坚持把党组织建在工程项目上，围绕发展、坚持创新，成为该集团发展有力的“助推剂”。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; letter-spacing: 1px;\"></span></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 0px; font-family: 仿宋_GB2312;\"><br/></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0px;\"><br/></span><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-12-18 14:07:17', 'system', '2019-12-18 14:07:17');
INSERT INTO `ld_article_content` VALUES (55, 7, '景区动态', '海州湾发展集团召开春节前廉政警示教育会议', NULL, 'zh', '2020-01-08', '/profile/liandao_old_data/5f29131371a20.jpg', NULL, '富文本', '<section style=\"margin: 0px 0px 5px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; text-indent: 0em; white-space: normal; -webkit-text-stroke: rgb(0, 0, 0); background-color: rgb(255, 255, 255); font-stretch: normal; font-size: 22px; line-height: normal; font-family: Helvetica; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; -webkit-text-stroke-width: initial; font-family: Courier; font-size: 16px; text-indent: 32px; letter-spacing: 0.5px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; text-indent: 43px;\">2020</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; text-indent: 43px; font-family: 仿宋_GB2312;\">年春节将至，为持之以恒正风肃纪，营造风清气正的节日氛围，日前，江苏海州湾发展集团召开春节前廉政警示教育会议。集团纪委书记、监察专员周健主持会议，各部门、各子公司中层以上干部参加会议。</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; -webkit-text-stroke-width: initial; letter-spacing: 0.5px; font-family: 仿宋_GB2312; font-size: 15px; text-indent: 43px;\">会议提出三点意见</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; -webkit-text-stroke-width: initial; font-family: Courier; font-size: 16px; letter-spacing: 0.5px; text-indent: 32px;\">：<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596527371441587.jpg\" style=\"\" alt=\"微信图片_20200804154903\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596527371852504.jpg\" alt=\"微信图片_20200804154906\"/></p><p style=\"text-align: center\"><br/></p></span></section><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; -webkit-text-stroke-width: initial; font-family: Courier; font-size: 16px; letter-spacing: 0.5px; text-indent: 32px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 楷体_GB2312;\">一是落实</span>“<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 楷体_GB2312;\">一岗双责</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: &quot;Times New Roman&quot;;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 楷体_GB2312;\">。</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">各级领导干部要切实扛起作风纪律建设的政治责任，真正做到</span><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255);\">“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">想抓</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: &quot;Times New Roman&quot;; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: &quot;Times New Roman&quot;; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">会抓</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: &quot;Times New Roman&quot;; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: &quot;Times New Roman&quot;; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">敢抓</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: &quot;Times New Roman&quot;; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">。</span></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 43px; font-size: 15px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 楷体_GB2312;\">二是严守纪律规矩。</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312;\">时刻绷紧廉洁自律这根弦，严格执行中央八项规定精神，坚决纠治“四风”，守住</span>“<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312;\">底线</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: &quot;Times New Roman&quot;;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312;\">，不踩</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: &quot;Times New Roman&quot;;\">“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312;\">红线</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: &quot;Times New Roman&quot;;\">”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312;\">。</span></span></p><p><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 楷体_GB2312;\"><span class=\"Apple-converted-space\">&nbsp;</span>三是保持良好状态。</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\">做到思想不松懈、工作不松劲，严肃查处上班时间玩游戏、看影视、开网店、炒股票以及应急值守期间擅自脱岗等行为。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-indent: 43px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"color: rgb(51, 51, 51); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\">会议还传达学习了近年来市纪委查处的违反中央八项规定精神典型问题的通报，组织观看了廉政教育片《不要让你的贪心，成为儿女的伤心》《一念之间》。</span></span></p>', NULL, NULL, NULL, 'system', '2020-01-08 15:26:49', 'system', '2020-01-08 15:26:49');
INSERT INTO `ld_article_content` VALUES (56, 7, '景区动态', '高擎精神旗帜  锁定无悔初心 --集团组织党员干部职工观看电影“幸福的小满”', NULL, 'zh', '2019-12-20', '/profile/liandao_old_data/5f28fc53de8c5.png', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; font-size: 15px; text-align: justify; text-indent: 42.6667px; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">为深入学习贯彻党的十九大和十九届四中全会精神，推动共建“一带一路”沿着高质量发展方向不断前进，江苏海州湾发展集团组织880余名党员干部职工观看影片《幸福的小满</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; font-size: 15px; text-align: justify; text-indent: 42.6667px; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">》。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521547711949.jpg\" style=\"float:left;\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521547134013.jpg\" style=\"float:left;\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; font-size: 15px; text-align: justify; text-indent: 42.6667px; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">《幸福的小满》是一部讲述连云港</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“一带一路”建设故事的电影，一部全程在连云港取景拍摄的院线电影，一部当代都市青春励志轻喜剧电影，一部展示连云港山海风光人文风情的电影</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">；是以</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“一带一路”首个落地的实体项目“中哈物流</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">基地项目建设</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”为故事背景，以港口集团</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">收购哈萨克斯坦无水港事件为故事原型，讲述了职场女强人苏小满的家国情怀和奋斗故事。</span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" background-color:=\"\" text-align:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; color: rgb(0, 0, 0); letter-spacing: 0pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\">集团党委书记施军生说：该影片</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" background-color:=\"\" text-align:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; color: rgb(0, 0, 0); letter-spacing: 0pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\">是我们集团参与投资打造，大部分画面拍摄取自集团各个景区，并且小满的<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">工</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">作生活</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">故事，也</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">是我们集团</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">人、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">港城人</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">工作生活经历的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">缩影</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">。通</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">过观影活动，希望广大</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">职</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-indent: 42.6667px;\">工要</span>结合“不忘初心、牢记使命”主题教育精神实质，<span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 42.6667px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">充分</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 42.6667px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">展现新时代国企职工的初心坚守和使命担当，</span>真正领悟“</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; font-size: 15px; text-indent: 42.6667px; text-align: justify; box-sizing: border-box !important; overflow-wrap: break-word !important;\">用</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" background-color:=\"\" text-align:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; color: rgb(0, 0, 0); letter-spacing: 0pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\">98分来生活，用100分来奋斗</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 仿宋_GB2312; font-size: 15px; text-indent: 42.6667px; text-align: justify; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”的幸福真谛</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" background-color:=\"\" text-align:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; color: rgb(0, 0, 0); letter-spacing: 0pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial;\">，<span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 42.6667px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 42.6667px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">增强推动我市高质量发展的信心和决心</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-indent: 42.6667px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0pt; text-indent: 32pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">积极投身到</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0pt; text-indent: 32pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“一带一路”强支点城市建设的热潮中去。</span></span></span></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; text-indent: 32pt; color: rgb(0, 0, 0); font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: 0pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-12-20 14:10:01', 'system', '2019-12-20 14:10:01');
INSERT INTO `ld_article_content` VALUES (57, 7, '景区动态', '只争朝夕 不负韶华', NULL, 'zh', '2020-01-11', '/profile/liandao_old_data/5f28ffe23e6df.jpg', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: 仿宋; font-size: 15px; text-align: justify; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">新年伊始，万象更新，海州湾发展集团组织员工在总部大会议室参加办公室工作实务专题培训讲座</span><span style=\"color: rgb(51, 51, 51); font-family: 仿宋; font-size: 15px; text-align: justify; background-color: rgb(255, 255, 255);\">。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 0px; font-family: 仿宋; font-size: 15px;\">本次培训邀请了具有丰富理论知识和实践经验的刘鹏飞主任给大家授课，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 0px; font-family: 仿宋; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">现场学习氛围浓厚</span>，全体参培人员严格遵守培训纪律，认真听讲。</span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521683675271.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521683946246.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596521683611516.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 0px; font-family: 仿宋; font-size: 15px;\"></span><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 0px; font-family: 仿宋; font-size: 15px;\"><span style=\"color: rgb(51, 51, 51); font-family: 仿宋; font-size: 15px; text-align: justify; background-color: rgb(255, 255, 255);\">刘鹏飞主任在讲座中，深入浅出地以“办会、办事、办文”三个模块为大家讲解了平时在办公室工作中遇到的问题，以及如何规范化处理；他结合典型案例和自身丰富的工作实践，重点讲述了公文文稿的写作思路、方法技巧与</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: 仿宋; font-size: 15px; text-align: justify; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">规范要求</span><span style=\"color: rgb(51, 51, 51); font-family: 仿宋; font-size: 15px; text-align: justify; background-color: rgb(255, 255, 255);\">，使大家对办公室实务工作的科学规范处理有了深刻的理解和感悟。</span></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">集团自成立以来，十分重视人才培养工作，每年都会定期邀请高校或政府机关里的专家、学者为员工进行专题培训，通过理论与实践相结合的方式，力求不断拓展员工的知识面，夯实员工理论功底，丰富实践经验，提升综合素质。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">集团始终认为在企业高速发展的道路上，人才是企业的“发动机”，知识是前行的“源动力”，培训是沿途的“加油站”</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">。讲座结束后，学员们纷纷表示：</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">“此次培训，<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">课</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">程内容实</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">用</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">,</span>具有很强的针对性，对我们做好办公室工作帮助很大，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">希望集团能够继续开展一些专业知识性强的课题讲座，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">帮助我们不断进步。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); background-color: rgb(255, 255, 255); font-family: 仿宋; font-size: 15px; letter-spacing: 0px; text-indent: 85px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”</span></p>', NULL, NULL, NULL, 'system', '2020-01-11 14:12:39', 'system', '2020-01-11 14:12:39');
INSERT INTO `ld_article_content` VALUES (58, 7, '景区动态', '集体过“政治生日”，不忘初心，砥砺前行', NULL, 'zh', '2020-01-19', '/profile/liandao_old_data/5f29139ba3911.jpg', NULL, '富文本', '<p><span style=\"color: rgb(51, 51, 51); font-family: 宋体; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\">2020年新年伊始，中共江苏海州湾发展集团有限公司党委机关支部在集团</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255); font-family: Calibri; box-sizing: border-box !important; overflow-wrap: break-word !important;\">17</span><span style=\"color: rgb(51, 51, 51); font-family: 宋体; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\">楼会议室组织召开了新年第一次党员大会。在这次大会上，机关支部组织开展党员集体过“政治生日”活动。</span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596527511151320.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596527511418279.jpg\" style=\"\"/></p><p><span style=\"color: rgb(51, 51, 51); font-family: 宋体; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\"></span><br/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 宋体; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">每</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">位党员值得</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">牢记的两个日子，一是自己的出生生日，标志着一个生命的诞生，表示对生命的珍视和珍重。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">通过纪念生日，感恩母亲给予自己宝贵的生命。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">另一个是政治生日，从入党之日起，你的政治生命就开始了。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">代表着你对党的忠诚和信仰。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">通过纪念政治生日，强化共产主义信仰，激励党员不忘初心，砥砺前行</span>。</span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></section><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 宋体; font-size: 15px;\"><span style=\"color: rgb(51, 51, 51); font-family: 宋体; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(255, 255, 255);\">组织机关支部所有党员集体过政治生日，通过重温入党誓词形式，向党员同志发放政治生日贺卡，党员笔记本。激发了党员的政治热情，增强他们的政治荣誉感、归属感。使党员切实感受到党组织的温暖，增强党组织的凝聚力。</span></span></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 宋体; font-size: 15px;\">最后，机关党支部书记王书通讲话，他指出：一是充分认识到开展党员“政治生日”活动的重要意义；二是党员政治生日既是支部对党员的关怀和和爱护，更是一种激励和鞭策；三是全体党员要坚定理想信念，不忘初心，在各自岗位上发挥模范带头作用。</span></section><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 宋体; font-size: 15px;\"><br/></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-01-19 15:49:43', 'system', '2020-01-19 15:49:43');
INSERT INTO `ld_article_content` VALUES (59, 7, '景区动态', '海州湾发展集团召开“不忘初心、牢记使命”主题教育总结大会', NULL, 'zh', '2020-01-20', '/profile/liandao_old_data/5f291656dc571.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596528210975413.jpg\" alt=\"微信图片_20200804160309\"/></p><p>1月19日下午，集团党委召开“不忘初心、牢记使命”主题教育总结大会，贯彻落实中央和省市区委主题教育总结大会精神，全面回顾总结集团“不忘初心、牢记使命”主题教育工作，对进一步巩固主题教育成果进行部署。集团党委副书记王波主持会议，党委书记施军生作总结讲话。集团党委班子全体成员、机关支部全体党员及部分“两代表一党员”和群众代表参加会议。区委主题教育第五指导组副组长张小丽出席会议并讲话。</p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; text-indent: 2em; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">施军生对集团主题教育作了回顾总结。他说，主题教育启动以来</span><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(255, 255, 255);\">，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">集团党委始终严格按照中央部署和省市区委要求，紧扣目标任务要求，聚焦人民群众期待，结合工作实际，坚持“四个贯穿始终”，取得了预期成效。</span></p>', NULL, NULL, NULL, 'system', '2020-01-20 15:52:36', 'system', '2020-01-20 15:52:36');
INSERT INTO `ld_article_content` VALUES (60, 7, '景区动态', '新春喜气盈 寒冬暖意浓 集团领导亲切慰问景区一线职工', NULL, 'zh', '2020-02-20', '/profile/liandao_old_data/5f29182ebaf95.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-indent: 43px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596528676259872.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596528676767419.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596528676733045.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596528676171432.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-indent: 43px;\">金猪载誉辞旧岁，玉鼠携梦启新元。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-indent: 43px;\">1月25日农历大年初一，海州湾发展集团党委书记、董事长施军生，海州湾文旅集团党委书记、董事长洪健一行来到各个景区，向节日期间坚守岗位、敬业奉献的一线职工致以新年的祝福和亲切的问候。</span><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-indent: 43px;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;对于近期湖北武汉发生的新型冠状病毒感染的肺炎疫情情况，施军生</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal;\">强调，各景区要<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">不</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">断</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">提高全体员工的安全防范</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">意识</span>，<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">全力以赴</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">做好</span>新型肺炎疫情防控工作，切实保障广大员工生命健康安全，确保广大员工度过一个安定祥和的新春佳节。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-align: left; text-indent: 43px;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 仿宋_GB2312; font-size: 15px; letter-spacing: normal; text-align: left; text-indent: 43px;\">&nbsp; &nbsp; &nbsp; &nbsp; 集团领导的专程慰问，使广大员工深切地感受到了集团的关心、领导的关爱，纷纷表示将一如既往地做好本职工作，为集团新的一年再创佳绩贡献力量。</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-02-20 16:03:38', 'system', '2020-02-20 16:03:38');
INSERT INTO `ld_article_content` VALUES (61, 7, '景区动态', '以忠诚诠释初心 ，用担当践行使命一一海州湾发展集团党员先锋突击队在冲锋', NULL, 'zh', '2020-02-11', '/profile/liandao_old_data/5f2919bd0be0a.jpg', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-indent: 28px; font-family: Tahoma; letter-spacing: 1px; background: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">新冠肺炎疫情的蔓延，牵动着全国人民的心。为凝聚打赢疫情防控阻击战的强大合力，江苏海州湾发展集团党委积极响应号召，迅速行动，紧急战“疫”集结，第一时间组建党员先锋突击队。全体党员、积极分子踊跃报名，根据任务实际，最终确定先锋突击队员三十名，冲锋战“疫”第一线，<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">前往</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">我区主</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">要交通</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">卡口值守点</span>，助力疫情防控</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 1.5px; text-indent: 28px; background-color: rgb(254, 255, 250); font-family: 宋体; box-sizing: border-box !important; overflow-wrap: break-word !important;\">。</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596529080385531.jpg\" alt=\"微信图片_20200804161742\"/></p>', NULL, NULL, NULL, 'system', '2020-02-11 16:11:30', 'system', '2020-02-11 16:11:30');
INSERT INTO `ld_article_content` VALUES (62, 7, '景区动态', '集团领导到疫情防控一线亲切慰问党员先锋突击队', NULL, 'zh', '2020-02-13', '/profile/liandao_old_data/5f291aa408907.jpg', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-size: 14px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2月13日上午，海州湾发展集团党委书记、董事长施军生，文旅集团党委书记、董事长洪健来到党员突击队监测点，看望慰问奋战在防疫一线的突击队员。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-size: 14px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">集团领导王波、陈晨陪同慰问。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596529310128402.jpg\" style=\"float:right;\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596529310290616.jpg\" style=\"float:right;\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-size: 14px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span><br/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-indent: 0em; white-space: normal; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: &quot;Hiragino Sans GB&quot;, &quot;Helvetica Neue&quot;, Helvetica, STHeiTi, &quot;Microsoft Yahei&quot;, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp;施军生在各监测点详细了解了队员们疫情防控开展情况和防控中遇到的困难，</span>充分肯定了队员们在疫情防控工作中所做出的努力和付出，反复</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px;\">叮嘱执勤队员在开展好疫情防控的同时，也要注意加强自身防护，带好护目镜、口罩和手套。</span></section><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px;\"><span style=\"color: rgb(51, 51, 51); font-family: &quot;Hiragino Sans GB&quot;, &quot;Helvetica Neue&quot;, Helvetica, STHeiTi, &quot;Microsoft Yahei&quot;, sans-serif; font-size: 14px; letter-spacing: 0.544px; background-color: rgb(255, 255, 255);\"><span class=\"Apple-converted-space\">&nbsp;</span>做好疫情防控，是一场急难险重的战斗。不光有“横刀立马我先上、不破疫魔誓不还”的无畏担当，更有“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: &quot;Hiragino Sans GB&quot;, &quot;Helvetica Neue&quot;, Helvetica, STHeiTi, &quot;Microsoft Yahei&quot;, sans-serif; font-size: 14px; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">功成不必在我、功成必定有我”的真诚奉献</span><span style=\"color: rgb(51, 51, 51); font-family: &quot;Hiragino Sans GB&quot;, &quot;Helvetica Neue&quot;, Helvetica, STHeiTi, &quot;Microsoft Yahei&quot;, sans-serif; font-size: 14px; letter-spacing: 0.544px; background-color: rgb(255, 255, 255);\">。他们冲锋战“疫”一线，忘我工作，用实际行动展现着他们的勇气和决心，为人民群众生命健康安全筑起了一道道坚固的防线。</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-02-13 16:18:08', 'system', '2020-02-13 16:18:08');
INSERT INTO `ld_article_content` VALUES (63, 7, '景区动态', '再动员、再部署，在防疫攻坚战中担当尽责 ——让党旗高高飘扬在防控一线', NULL, 'zh', '2020-03-03', '/profile/liandao_old_data/5f291c1a717bf.jpg', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 宋体, \" microsoft=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596529686984799.jpg\" alt=\"微信图片_20200804162743\"/></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; font-size: 15px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">面对疫情</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，</span>海州湾发展集团坚决贯彻落实区委区政府防疫工作部署要求，第一时间组建党员突击队</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">前往</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; font-family: 宋体, \" microsoft=\"\" font-size:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">我区各卡口值守点助力疫情防控工作，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; font-size: 15px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">在</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">关键时刻，站得出来，冲得上去，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">用责任和担当贡献着自己的一份力量，圆满完成了工作任务，<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">让党旗高高飘扬在防控一线，</span></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 0.544px; background-color: rgb(255, 255, 255); font-family: 宋体, \" microsoft=\"\" font-size:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">受到了高度评价。</span></p><p><span style=\"font-family: 宋体, \" microsoft=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\"></span></p>', NULL, NULL, NULL, 'system', '2020-03-03 16:24:37', 'system', '2020-03-03 16:24:37');
INSERT INTO `ld_article_content` VALUES (64, 7, '景区动态', '燃！2020年海州湾发展集团基干民兵整组大点验！', NULL, 'zh', '2020-04-24', '/profile/liandao_old_data/5f291f4a72b33.png', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-indent: 28px; background: rgb(255, 254, 244); text-align: justify; font-family: 仿宋_GB2312; letter-spacing: 2px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">“向前！向前！向前！我们的队伍向太阳…”雄壮嘹亮的中国人民解放军军歌在红旗猎猎声中响起。4月23日，海州湾发展集团安全警戒连96名基干民兵带着对祖国的热爱之情、对党的忠诚之心和强军精武的崇高信念，以“正正之旗，堂堂之阵”之势，精神抖擞，士气高昂，在连岛游客中心集结接受点验。</span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596530500906098.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596530500279775.png\" style=\"\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-indent: 28px; background: rgb(255, 254, 244); text-align: justify; font-family: 仿宋_GB2312; letter-spacing: 2px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span><span style=\"color: rgb(0, 0, 0);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(242, 132, 97); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 254, 244); text-align: justify; text-indent: 27.1pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; letter-spacing: 1.5pt; font-size: 10.5pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span></strong><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(242, 132, 97); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 254, 244); text-align: justify; text-indent: 27.1pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 仿宋_GB2312; letter-spacing: 1.5pt; font-size: 10.5pt; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span></strong><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(242, 132, 97); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 254, 244); text-align: justify; text-indent: 27.1pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></strong></span><br/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 14px; text-indent: 28px; background: rgb(255, 254, 244); text-align: justify; font-family: 仿宋_GB2312; letter-spacing: 2px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">点验现场宣读了民兵安全警戒连干部任职命令，并进行人员呼点、民兵宣誓、入队民兵代表发言、表彰先进单位与个人、总结部署工作等议程。其中，入队民兵代表魏军的发言让人印象深刻，他说道：“离开部队6年，军歌响起，久违的声音，让我的心有些颤抖，闭上眼睛，12年军旅生涯中的一幕幕场景如放电影般浮现在脑海，难以忘怀；睁开眼睛，很荣幸，还能有机会穿上迷彩，找寻青春里穿着军服的模样，我曾是一位军人，现在是一位民兵，我将始终以饱满的精神、昂扬的斗志、实战的状态，为集团基干民兵安全警戒连的建设贡献自己的一份力量！”</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(242, 132, 97); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 254, 244); text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"color: rgb(0, 0, 0); margin: 0px; padding: 0px; max-width: 100%; text-align: justify; font-family: 仿宋_GB2312; letter-spacing: 2px; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; box-sizing: border-box !important; overflow-wrap: break-word !important;\">海州湾发展集团党委副书记王波在总结部署今年民兵工作时强调，近年来集团始终认真贯彻落实上级指示精神，牢记初心、不忘使命，全力打造一支“拉得出、用得上、起作用”的基干民兵队伍，特别是新冠肺炎疫情发生以来，集团第一时间组建党员突击队，基干民兵踊跃报名参加，积极参与疫情防控工作，冲锋一线，践行“整体防护的补充、前运后送的支援、帮扶群众的服务、舆论宣传的引导、稳定社会的配合、恢复生产的骨干”六个作用，用实际行动助力疫情防控，充分展现了集团基干民兵无私奉献的高尚道德品质与担当。</span></p><p><span style=\"color: rgb(0, 0, 0); margin: 0px; padding: 0px; max-width: 100%; font-size: 10.5pt; text-align: justify; background: rgb(255, 254, 244); text-indent: 27pt; font-family: 仿宋_GB2312; letter-spacing: 1.5pt; box-sizing: border-box !important; overflow-wrap: break-word !important;\">区人武部副部长刘玮对海州湾发展集团基干民兵在点验过程中展现出的过硬综合素质和良好精神面貌表示高度赞赏，他要求全体基干民兵要切实提高政治站位，树牢“四个意识”，践行“两个维护”，要以本次点验大会为契机，按照基干民兵建设的标准，着力建设一支“听党指挥、能打胜仗、作风优良”的优秀民兵队伍，以更加饱满的热情、更加昂扬的斗志、更加扎实的作风完成各项任务，锻炼过硬本领，提高军事素质，做到“召之即来、来之能战、战之能胜”，努力推进基干民兵建设再上新台阶，为加强国防后备力量建设和地方经济建设作出应有的贡献。</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-04-24 16:39:17', 'system', '2020-04-24 16:39:17');
INSERT INTO `ld_article_content` VALUES (65, 7, '景区动态', '战“疫”半边天-暖心！集团妇联慰问一线抗疫姐妹', NULL, 'zh', '2020-03-07', '/profile/liandao_old_data/5f291d698d2a8.jpg', NULL, '富文本', '<p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" min-height:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596530022696001.jpg\" alt=\"微信图片_20200804163320\"/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" min-height:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; text-indent: 2em;\">在第110个“三八”国际妇女节来临之际，3月6日，海州湾发展集团妇联主席徐敏，副主席解丽娟一行带着集团党委的关怀，来到大巷南路、紫荆花园等十余个疫情防控点开展节前走访活动，亲切慰问奋战在疫情防控一线的女突击队员，为她们送去节日的祝福和问候。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; text-indent: 2em;\"><br/></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-03-07 16:28:13', 'system', '2020-03-07 16:28:13');
INSERT INTO `ld_article_content` VALUES (66, 7, '景区动态', '【疫线担当】“白+黑 往返越千里 ”记海发集团境外隔离人员转运司机', NULL, 'zh', '2020-04-17', '/profile/liandao_old_data/5f291eb04f4ad.jpg', NULL, '富文本', '<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596530327479130.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596530327406688.jpg\" style=\"\"/></p><h1 style=\"margin: 0px; padding: 0px; font-weight: 400; font-size: 16px; max-width: 100%; color: rgb(255, 129, 36); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 35px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; color: rgb(34, 34, 34); letter-spacing: 0px; font-family: 仿宋_GB2312;\">看到这两张照片，一张是在路上，一张是准备出发，不同的拍摄地点，同样的无私担当，带给笔者的是深深的震撼与感动。龚维忠和孙和德--两个普通的司机，两个平凡的人，克服恐惧，选择前行。</span></h1><h1 style=\"margin: 0px; padding: 0px; font-weight: 400; font-size: 16px; max-width: 100%; color: rgb(255, 129, 36); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 35px; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; color: rgb(34, 34, 34); letter-spacing: 0px; font-family: 仿宋_GB2312;\">苏G</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; color: rgb(34, 34, 34); letter-spacing: 0px; font-family: 仿宋_GB2312;\"></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 14px; color: rgb(34, 34, 34); letter-spacing: 0px; font-family: 仿宋_GB2312;\">ZX719，苏G0016V，这是两辆转运境外隔离人员的车辆。乘客来自意大利、日本、韩国、英国、美国、南非、俄罗斯、柬埔寨等疫情国家的境外输入人群。3月7日上午接到指令，中午便开启机场--高铁站---高速出口--海滨疗养院--连岛阅海楼接送往返模式。</span></h1><p><br/></p>', NULL, NULL, NULL, 'system', '2020-04-17 16:36:17', 'system', '2020-04-17 16:36:17');
INSERT INTO `ld_article_content` VALUES (67, 7, '景区动态', '“聆听抗疫故事 感受榜样力量 激发干事热情” ——海州湾集团举办庆祝建党99周年暨身边人讲抗疫故事宣讲报告会', NULL, 'zh', '2020-07-02', '/profile/liandao_old_data/5f2921209e718.jpg', NULL, '富文本', '<p><span style=\"background-color: rgb(255, 255, 255); margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" text-align:=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596531093578305.png\" title=\"\" alt=\"微信图片_20200804164626\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596531099209073.jpg\" title=\"\" alt=\"微信图片_20200804164611\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596531123431570.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596531123555530.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596531123885289.jpg\" style=\"\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" text-align:=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">7</span><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">月1日下午，海州湾集团召开庆祝建党99周年暨身边人讲抗疫故事宣讲报告会，以此引导全体党员明确职责使命，牢记入党初心，以实际行动向建党99周年献礼。海州湾集团全体领导班子成员<span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">及各子公司干部职工、宿城社区卫生服务中心部分代表参加活动。</span></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" overflow-wrap:=\"\" break-word=\"\">活动中，来自连云港市东方医院、墟沟社区以及海州湾集团的<span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span>3名抗疫勇士结合自身经历和所思所感，通过讲故事、摆例子、话担当的方式，向全体党员同志讲述他们的抗疫故事。<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">陆业成，连云港市东方医院心内科副主任医师，江苏省第五批援鄂医疗队队员。他说：“我是一名共产党员，人民需要，我责无旁贷”，从他的讲述中，我们看到了一名党员、一名医者的责任与担当。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" overflow-wrap:=\"\" break-word=\"\">王亚，墟沟社区卫生服务中心主管护师。她说：“我在护理岗位上摸爬滚打了10余年，疫情面前，我选择坚守，用实际行动践行甘于奉献的职业操守”。<span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(53, 53, 53); font-family: \" microsoft=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">龚维忠，海州湾集团驾驶员。疫情面前，他以舍小家顾大家的勇气，挺身而出，往返千里转运境外隔离人员，他说：“出门在外，我心里最放不下的是我的老母亲”。</span></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">报告会最后，集团党委书记、董事长施军生传达了区委书记杨新忠同志在连云区庆祝建党99周年座谈会上的讲话精神并对本次活动进行点评，他指出，中国共产党人最不怕的就是困难与挫折，99年来正是一代代中国共产党人挺起精神脊梁、扛起时代担当，我们党才能战胜前进道路上一个又一个艰难险阻，使中华民族迎来了从站起来、富起来到强起来的伟大飞跃。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">他表示，此次疫情所带来的启示和影响，对于集团每名同志来讲，将是一个长远考验和终身课题，需要我们持续学习思考，汲取前行力量，希望集团全体党员干部职工积极向榜样看齐，以抗疫先锋为标杆，主动担当作为，并以庆祝建党99周年为契机，继承和发扬党的优良传统，为夺取战疫全面胜利和促进集团高质量发展做出应有贡献!</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">活动结束后，党员同志们纷纷表示：“通过聆听抗疫勇士们的战疫故事，使我们思想再一次得到洗礼和升华，党性观念得到了锤炼和加强。我们深刻领会到作为一名党员，要时刻不忘入党初心，用行动践行初心使命，强化党性意识、坚定理想信念，珍惜党员这个身份，信党爱党跟党走，在人民群众需要的时候敢于冲锋、勇于担当、立起党员好样子”</span><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\">。</span></p>', NULL, NULL, NULL, 'system', '2020-07-02 16:41:49', 'system', '2020-07-02 16:41:49');
INSERT INTO `ld_article_content` VALUES (68, 7, '景区动态', '连岛音乐节，带你清凉一整夏！', NULL, 'zh', '2020-10-28', '/profile/liandao_old_data/5f98c57c34ee6.jpg', NULL, '富文本', '<p style=\"margin: 0px 8px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">阳光沙滩、碧海蓝天，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">眼前的景色</span><span style=\"font-size: 15px; letter-spacing: 1px;\">无疑会把你融化在海的怀中，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">让你陶醉在物我两忘的境界里。</span><span style=\"font-size: 15px; letter-spacing: 1px;\">即使弄一身沙子，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">一个浪头卷过来，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">沙子瞬间就被冲洗地无影无踪，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">清清爽爽。</span></p><p style=\"margin: 0px 8px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847400328396.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847401409620.jpg\" style=\"\"/></p><p style=\"margin: 0px 8px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\"></span></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">八月，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1px; color: rgb(255, 0, 0);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">连岛的夜晚，</strong></span><span style=\"font-size: 15px; letter-spacing: 1px;\">人头攒动，热闹非凡，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">一曲曲激昂的音乐，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">一份份爽爆味蕾的美，</span><span style=\"font-size: 15px; letter-spacing: 1px;\">将市民和游客汇聚于此</span></section><p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 0, 0);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1px; font-size: 24px;\">2020.7.18-8.25</span></strong></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">开启了一场长达39天的夏日狂欢</span></section></p><p style=\"margin: 0px 8px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847532669699.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847532352185.jpg\" style=\"\"/></p><p style=\"margin: 0px 8px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\"><br/></span><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-10-28 09:03:50', 'system', '2020-10-28 09:03:50');
INSERT INTO `ld_article_content` VALUES (69, 7, '景区动态', '让你无处安放的暑期找到最好的去处—-连岛星空露营', NULL, 'zh', '2020-08-08', '/profile/liandao_old_data/5f98ccea884f9.jpg', NULL, '富文本', '<p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"color: rgb(62, 62, 62); margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">想象一下：</span><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">在漫天星河下</span><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">以沙滩为地，以帐篷为家，</span><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">夜深躺在沙滩搂着萌娃望着星空入梦，</span><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">这一定会成为孩子童年最奇幻的记忆。</span><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">走进自然，连岛景区邀</span><span style=\"color: rgb(62, 62, 62); margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">您与星空为伴。</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"color: rgb(62, 62, 62); font-size: 15px; letter-spacing: 1px;\">在沙滩露营会是怎样的体验呢！？</span><span style=\"color: rgb(62, 62, 62); letter-spacing: 1px; font-size: 15px; text-align: center;\">按耐住心中的小激动。</span><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">跟随小编一同去看看吧。</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">畅享7大特色主题：</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">1、畅玩大沙湾游乐园<br/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847871170611.jpg\" title=\"\" alt=\"微信图片_20201028090413\"/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">沙、水是孩子最喜欢玩和触摸的两种自然物质。对于孩子、沙子和水就像磁铁一样，吸引着他们自发地进行活动，沙滩为孩子提供了沙和水的天然玩乐场，让孩子尽情地乐在其中吧！</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">2、研学小课堂</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603847997577280.png\" title=\"\" alt=\"微信图片_20201028091906\"/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848020165412.png\" title=\"\" alt=\"微信图片_20201028091924\"/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">参观连岛渔村文化馆，感受独特的渔家风情，通过图文资料、实物展示等形式，展示渔村历史沿革、民俗风情等内容。参观红色爱过主义教育基地。邓小平和人民在一起雕塑公园，瞻仰伟人风采，感受红色教育熏陶。<br/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">3、亲子活动</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848228615687.png\" title=\"\" alt=\"微信图片_20201028092254\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848234773453.png\" title=\"\" alt=\"微信图片_20201028092258\"/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">海边的活动除了孩子自发性的活动外，在孩子体验单调、无聊时，家长应考虑借助些游戏创意和孩子建立联结，在游戏中和孩子一起体验快乐。</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\">4、沙滩音乐派对</span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848332761681.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848332433576.jpg\" style=\"\"/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><span style=\"font-size: 15px; letter-spacing: 1px; color: rgb(62, 62, 62); text-align: center;\"><br/></span>孩子的快乐，莫过于和爸爸妈妈一起疯玩！连岛沙滩音乐节：大海、沙滩、音乐、烧烤……这些集快乐元素于一体。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">尽情释放，尽情嗨！让孩子度过一个难忘的夜晚。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">5、沙滩星空露营</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848723389949.jpg\" title=\"\" alt=\"微信图片_20201028093111\"/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">在沙滩上和孩子一起，寻找“宅基地”搭建家庭帐篷小窝，至于小窝的美化，交给孩子们去想象吧。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">6、观海上日出</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603848873613754.jpg\" title=\"\" alt=\"微信图片_20201028093344\"/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">天空是什么颜色？</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">湛蓝？橙红？灰黑？五彩？</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">等待太阳的答案。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">陪着孩子一起看美妙绝伦的日出吧。一同体会震撼之美。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">7、海上游艇观光<br/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603849249516020.png\" title=\"\" alt=\"微信图片_20201028094002\"/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">乘风破浪、扬帆起航。</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\">陪着孩子乘上游轮，一睹连云大港的港口风貌</p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\">【<strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\">露营时间</strong>】</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(255, 129, 36);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\">2020年8月起每周一批</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(255, 129, 36); font-size: 15px;\">（注：报名人数不足10组家庭顺延至下期活动或退还当期活动费用）</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\">【<strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\">活动费用</strong>】</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65); font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\">一大一小=460元</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px; color: rgb(255, 129, 36);\">（包含：帐篷、睡袋、保险、培训费、早晚餐）</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px;\">（注：一大一小限一顶帐篷，如需增加人数（或帐篷）大人：300元；儿童180元）</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px;\">【<strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 16px;\">招募</span></strong><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 16px;\">名额</span></strong>】</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px; color: rgb(249, 110, 87);\">每期10-15组家庭</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 41, 65);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 14px;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 24px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(255, 41, 65); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\">报名热线：</span></strong></span><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 0px; color: rgb(255, 41, 65); font-size: 18px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 24px; letter-spacing: 0px;\">17605184139</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 12px; color: rgb(255, 41, 65);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 18px; letter-spacing: 0px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 12px; letter-spacing: 0px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">活动最终解释权归景区所有</span></strong></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 0px; line-height: 1.75em; overflow-wrap: break-word !important;\"><br/></p>', NULL, NULL, NULL, 'system', '2020-08-08 09:12:31', 'system', '2020-08-08 09:12:31');
INSERT INTO `ld_article_content` VALUES (70, 7, '景区动态', '【浪漫七夕】你有一份来自沙滩派对的邀请函（神秘大奖等你拿）', NULL, 'zh', '2020-08-19', '/profile/liandao_old_data/5f98ce36e9d22.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603849722101091.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603849723770296.png\" style=\"\"/></p><section data-autoskip=\"1\" style=\"margin: 12px 0px 0px; padding: 0px; max-width: 100%; color: rgb(148, 165, 204); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" text-align:=\"\" white-space:=\"\" letter-spacing:=\"\" line-height:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 20px auto; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; justify-content: center; align-items: center;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"></section></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; line-height: 1.75em;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 0);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区&amp;千年珠宝&nbsp;特举办“唯爱与生命不可辜负”七夕情人节活动。</span></strong></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(169, 77, 37); font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">通过现场情侣互动、集体告白等活动，促进情侣之间的感情。参与现场活动的情侣，有机会获得</span><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; color: rgb(255, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">千年珠宝赞助的神秘大奖</span></strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(169, 77, 37); font-size: 15px; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">。</span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></section></section><p></p><section style=\"margin: 20px auto; padding: 0px; max-width: 100%; color: rgb(148, 165, 204); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; justify-content: center; align-items: center;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"></section></section><section data-brushtype=\"text\" style=\"margin: 0px 0px -15px; padding: 5px 1.5em; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 16px; letter-spacing: 1.5px; background-color: rgb(234, 245, 254); transform: rotate(0deg);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 0, 0);\">活动时间</span></strong></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><br/></section></section></section></section><section data-autoskip=\"1\" style=\"margin: 12px 0px 0px; padding: 0px; max-width: 100%; color: rgb(148, 165, 204); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" text-align:=\"\" white-space:=\"\" letter-spacing:=\"\" line-height:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(255, 76, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">2020年8月25日（周二）</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(255, 76, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; letter-spacing: 1px;\">19:00-22：00</span></strong></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(148, 165, 204); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 20px auto; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; display: flex; justify-content: center; align-items: center;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"></section></section><section data-brushtype=\"text\" style=\"margin: 0px 0px -15px; padding: 5px 1.5em; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 16px; letter-spacing: 1.5px; background-color: rgb(234, 245, 254); transform: rotate(0deg);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 0, 0);\">活动地点</span></strong></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; width: 25px;\"><br/></section></section></section></section><section data-autoskip=\"1\" style=\"margin: 12px 0px 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; letter-spacing: 1.5px; line-height: 1.75em; font-size: 14px;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(255, 76, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; letter-spacing: 1px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛大沙湾游乐园</span></strong></span></p></section></section><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-08-19 09:44:14', 'system', '2020-08-19 09:44:14');
INSERT INTO `ld_article_content` VALUES (71, 7, '景区动态', '老师，这是连岛景区为您准备的节日礼物', NULL, 'zh', '2020-10-28', '/profile/liandao_old_data/5f98d0cc77812.jpg', NULL, '富文本', '<p>为了庆祝教师节，连岛景区特推出节日当天（2020.9.10当天）教师持有效证件门票免费的基础上，再免一陪同家属门票。</p>', NULL, NULL, NULL, 'system', '2020-10-28 09:53:51', 'system', '2020-10-28 09:53:51');
INSERT INTO `ld_article_content` VALUES (72, 7, '景区动态', '九月，连岛依然妖娆美丽', NULL, 'zh', '2020-09-17', '/profile/liandao_old_data/5f98d6473e895.jpg', NULL, '富文本', '<p>九月的连岛渐渐褪去了夏日的喧嚣，这个季节的连岛充满了温柔。连岛最自然的秋，比钢筋丛林里的秋美得多……</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603851611135195.jpg\" style=\"\"/></p><p>秋季的连岛好似萧条无影，却是处处风景</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603851611736396.gif\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603851611783861.gif\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603851611427037.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603851611840482.png\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-09-17 10:00:47', 'system', '2020-09-17 10:00:47');
INSERT INTO `ld_article_content` VALUES (73, 7, '景区动态', '深秋|带着画笔来“连岛”写生游！', NULL, 'zh', '2020-11-15', '/profile/liandao_old_data/5fb0b48d4094a.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460694841.jpg\" style=\"\"/></p><p style=\"line-height: normal; text-align: center;\">连岛的秋是美的</p><p style=\"line-height: normal; text-align: center;\">美在自然更美在人心</p><p style=\"line-height: normal; text-align: center;\">听着海水拍打礁石的声音</p><p style=\"line-height: normal; text-align: center;\">让浮躁的心慢慢安静下来</p><p style=\"line-height: normal; text-align: center;\">碧海蓝天倾泻而来</p><p style=\"line-height: normal; text-align: center;\">置身在此，心旷神怡</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460162365.jpg\" style=\"\"/></p><p style=\"text-align: center;\">连岛的美无处不在</p><p style=\"text-align: center;\">满眼的景色</p><p style=\"text-align: center;\">是任何华丽的语言都无法比拟的</p><p style=\"text-align: center;\">只有用心去慢慢体会</p><p style=\"text-align: center;\">慢慢聆听</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460123089.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460695429.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460579261.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415460256007.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461269800.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461147253.jpg\" style=\"\"/></p><p style=\"text-align: center;\">踏着丰收的节拍</p><p style=\"text-align: center;\">连岛景区</p><p style=\"text-align: center;\">迎来了写生的学生</p><p style=\"text-align: center;\">他们用心灵跟画笔去描绘</p><p style=\"text-align: center;\">连岛的秋之歌</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461479786.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461701384.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461790145.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461518412.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461697283.jpg\" style=\"\"/></p><p style=\"text-align: center;\">他们挥动手中的画笔</p><p style=\"text-align: center;\">体味着这别样的海边写生</p><p><br/></p><p style=\"text-align: center;\">在这欢乐的气氛中</p><p style=\"text-align: center;\">用身心触摸着大海、青山</p><p style=\"text-align: center;\">贪婪地呼吸着海岛上清新的空气</p><p><br/></p><p style=\"text-align: center;\">孩子的笑脸</p><p style=\"text-align: center;\">与优美的景色</p><p style=\"text-align: center;\">交相辉映成一幅绮丽的画卷</p><p style=\"text-align: center;\">给同学们留下了美丽的回忆</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461753834.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461837988.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461887522.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461498677.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461767789.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461328437.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461896824.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415461485995.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462332988.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462377451.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462403030.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462291975.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462802724.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462228929.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462277565.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462423312.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462291542.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462209969.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462113156.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201115/1605415462547668.jpg\" style=\"\"/></p><p style=\"text-align: center;\">倾听海风絮语</p><p style=\"text-align: center;\">潮汐无声</p><p style=\"text-align: center;\">来连岛海边</p><p style=\"text-align: center;\">许你一个完美的写生圣地！</p><p style=\"text-align: center;\">连岛景区联合江苏省内各大高校</p><p style=\"text-align: center;\">写生游第一季</p><p style=\"text-align: center;\">进行中......</p>', NULL, NULL, NULL, 'system', '2020-11-15 12:42:21', 'system', '2020-11-15 12:42:21');
INSERT INTO `ld_article_content` VALUES (74, 7, '景区动态', '初冬的连岛，随手一拍都是美的~', NULL, 'zh', '2020-11-25', '/profile/liandao_old_data/5fbdb77a29c37.jpg', NULL, '富文本', '<section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 120, 0); font-size: 20px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(31, 31, 31); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\">初冬</span></strong></span></section></section><p><br/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; font-size: 14px; line-height: 2; color: rgb(150, 143, 143); letter-spacing: 2px; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">思绪是惬意深邃的</span></section></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; font-size: 14px; line-height: 2; letter-spacing: 2px; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></section><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 120, 0); font-size: 20px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(31, 31, 31); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\">初冬</span></strong></span></section></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; font-size: 14px; color: rgb(94, 142, 124); line-height: 2; letter-spacing: 2px; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">心情是静谧沉默的</span></section></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; font-size: 14px; line-height: 2; color: rgb(150, 143, 143); letter-spacing: 2px; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></section></section></section></section><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; overflow-wrap: break-word !important;\"><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 10px 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 120, 0); font-size: 20px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(31, 31, 31); overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\">初冬时节</span></strong></span></section></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; text-align: center; line-height: 2; letter-spacing: 2px; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; color: rgb(150, 143, 143); font-size: 14px; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">寻一处看海的地方停下赶路的步伐</span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">放慢脚步走一走，散散心</span></section></section></section></section><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268523710415.jpg\" alt=\"1111\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">身未动，心已远<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></span></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">初冬的连岛一步一景</span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">每一个角落都是一幅美妙绝伦的风景画</span></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">也在这里</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">你能享受到娴静安逸的时光</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(150, 143, 143); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">温暖而又治愈</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268612294100.png\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">在冬日的暖阳下</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">连岛景区山海相连的美景</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">一眼望不到边的海天一色</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; background-color: rgb(250, 192, 143);\">带给游客无比闲适和惬意</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268646225405.png\" title=\"\" alt=\"image\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268661481642.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">漫步海边</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">听初冬絮语，微风吹过</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">柔和的阳光透过白云</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">感受来自海边的诗情画意</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268684256884.png\" title=\"\" alt=\"image\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268692203892.png\" title=\"\" alt=\"image\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268699135855.png\" title=\"\" alt=\"image\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268707335273.png\" title=\"\" alt=\"image\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268715383662.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">初冬时节安然静美</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">约小伙伴一起来连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; letter-spacing: 1px; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px;\">感受这里的初冬美景吧！</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201125/1606268727436389.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2020-11-25 09:38:43', 'system', '2020-11-25 09:38:43');
INSERT INTO `ld_article_content` VALUES (75, 7, '景区动态', '“水韵江苏”江苏省文旅形象拍摄组走进连岛景区', NULL, 'zh', '2020-12-01', '/profile/liandao_old_data/5fc5df2feb2d3.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2020-12-01 14:04:17', 'system', '2020-12-01 14:04:17');
INSERT INTO `ld_article_content` VALUES (76, 7, '景区动态', '@丁真，连岛邀你来看海！', NULL, 'zh', '2020-12-16', '/profile/liandao_old_data/5fd9ad758a277.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100868243529.gif\" title=\"\" alt=\"微信图片_20201216144002\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">那个“甜野男孩”</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">小编向往你的世界</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">有雪山、草地、冰川、白塔...</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">但是</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">世界之大，不仅有川藏</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); overflow-wrap: break-word !important;\">还有美在海中央的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 85, 0); overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">“连岛”</strong></span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100894962554.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">荟萃青山、碧海、金滩、茂林、奇石</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">于一体的海滨胜境...</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; text-shadow: rgb(255, 255, 255) 2px 2px 10px; color: rgb(255, 85, 0); overflow-wrap: break-word !important;\">@丁真</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; text-shadow: rgb(255, 255, 255) 2px 2px 10px; color: rgb(255, 85, 0); overflow-wrap: break-word !important;\">连岛景区邀你来看海！</span></strong></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100927940531.png\" title=\"\" alt=\"image\"/></p><section style=\"margin: 0px 0px -40px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); transform: translate3d(-20px, 0px, 0px); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; display: inline-block; width: 50px; height: 50px; vertical-align: top; overflow: hidden; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: center; transform: rotateY(180deg); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; vertical-align: middle; display: inline-block; line-height: 0; width: 50px; overflow-wrap: break-word !important;\"><img data-type=\"gif\" class=\"__bg_gif \" data-ratio=\"1.0092592592592593\" data-w=\"216\" data-src=\"https://mmbiz.qpic.cn/mmbiz_gif/H948N8IZqVgvCjvcCJnHpv2bGicAtg0Ibz5m128voMZ0zEEwnVib9fKiaK3pS9RxUtt39vuFribIbO6gZg8YoF5PkA/640?wx_fmt=gif\" _width=\"50px\" src=\"https://mmbiz.qpic.cn/mmbiz_gif/H948N8IZqVgvCjvcCJnHpv2bGicAtg0Ibz5m128voMZ0zEEwnVib9fKiaK3pS9RxUtt39vuFribIbO6gZg8YoF5PkA/640?wx_fmt=gif&tp=webp&wxfrom=5&wx_lazy=1\" data-order=\"3\" alt=\"图片\" data-fail=\"0\" style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; height: auto !important; vertical-align: middle; overflow-wrap: break-word !important; visibility: visible !important; width: 50px !important;\"/></section></section></section></section><p><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: center; white-space: normal; display: inline-block; width: 270px; vertical-align: top; background-color: rgb(16, 153, 212); line-height: 0; letter-spacing: 0px; border-width: 0px; border-radius: 0px; border-style: none; border-color: rgb(62, 62, 62); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: right; transform: translate3d(10px, 0px, 0px); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; display: inline-block; width: 20px; height: 5px; vertical-align: top; overflow: hidden; border-width: 0px; border-radius: 10px; border-style: none; border-color: rgb(62, 62, 62); background-color: rgb(17, 153, 212); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: justify; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></p></section></section></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; display: inline-block; width: 270px; vertical-align: middle; background-color: rgb(239, 243, 255); line-height: 2; letter-spacing: 0px; overflow-wrap: break-word !important;\"><section style=\"margin: 5px 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; transform: translate3d(5px, 0px, 0px); overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px 30px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 17px; letter-spacing: 4px; line-height: 1; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-shadow: rgb(74, 136, 198) 1px 1px 0px, rgb(74, 136, 198) 1px -1px 0px, rgb(74, 136, 198) -1px 1px 0px, rgb(74, 136, 198) -1px -1px 0px, rgb(74, 136, 198) 0px 1.4px 0px, rgb(74, 136, 198) 0px -1.4px 0px, rgb(74, 136, 198) -1.4px 0px 0px, rgb(74, 136, 198) 1.4px 0px 0px; color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">来自大海的盛情邀请</p></section></section></section></section></section></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100961424938.png\" title=\"\" alt=\"image\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100972332079.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 85, 0); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\">连岛景区</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">位于黄海之滨海州湾畔<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">是江苏省最大的海上岛屿<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">屹立于大海之中<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">与连云港港口隔海相望</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608100996120649.png\" title=\"\" alt=\"image\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608101008104922.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">富含负离子的海洋空气</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">海岛自然风光秀丽迷人</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">四季怡人的海滨气候</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgba(16, 153, 212, 0.047); text-align: center; color: rgb(51, 51, 51); font-size: 17px; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important;\">是您休闲娱乐度假疗养的理想之地</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608101026272523.png\" title=\"\" alt=\"image\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608101040537812.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); overflow-wrap: break-word !important;\">小编邀请您和全国游客</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; letter-spacing: 1px; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); overflow-wrap: break-word !important;\">来迎风踏浪，品尝最肥美的海鲜!</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201216/1608101066221763.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); overflow-wrap: break-word !important;\">丁真，还在等什么</span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(79, 129, 189); overflow-wrap: break-word !important;\">小编在连岛等你！</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-12-16 14:38:55', 'system', '2020-12-16 14:38:55');
INSERT INTO `ld_article_content` VALUES (77, 7, '景区动态', '冬至|连岛美景上线，美得令人陶醉', NULL, 'zh', '2020-12-22', '/profile/liandao_old_data/5fe15625758ed.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602667303632.png\" title=\"\" alt=\"image\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); font-size: 15px; overflow-wrap: break-word !important;\">12月21日<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\"/></span></p></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">迎来二十四节气中的“冬至”</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">古说，冬至是阴极之至</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">阳气始生，有冬至大如年的说法</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">冬至是一年之中，夜最长，日最短的一天</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602835511662.png\" title=\"\" alt=\"image\" style=\"font-family: sans-serif; font-size: 16px;\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">冬至到了</span></p></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">元旦还会远吗？</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">春节还会远吗？</span></p></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">想到这小编便按捺不住心中的激动</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0);\">期待去</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(217, 33, 66);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\">连岛</strong></span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0);\">看冬天的大海</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602866867091.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602884181059.png\" title=\"\" alt=\"image\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(217, 33, 66); box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛的冬天</span></strong></span></p></section><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">没有春天迷人的鸟语花香</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">没有夏天壮观的闪电雷鸣</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">没有秋天诱人的丰硕果实</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">它有献给大自然含蓄的美</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602938750791.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(217, 33, 66);\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛的冬天</span></strong></span><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">褪去了夏日的喧嚣</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">多了一些恬静的美</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">海面异常平静</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); font-size: 15px; letter-spacing: 0.544px;\">犹如一幅幅油画</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602963794733.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608602977275382.png\" title=\"\" alt=\"image\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608603053451923.png\" title=\"\" alt=\"image\"/></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">冬至的到来</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); font-size: 15px;\">寓意着寒冬将至</span></p></section><p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">如果这个冬天</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">只想着窝在家中躲避寒冷</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">未免过于浪费大好时光</span></p></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">这个冬天</span></p></section></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(95, 156, 239); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; color: rgb(0, 0, 0); overflow-wrap: break-word !important;\">小编在连岛等您</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; letter-spacing: 1px; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201222/1608603077764438.png\" title=\"\" alt=\"image\"/></p></section><p></p></section><p></p>', NULL, NULL, NULL, 'system', '2020-12-22 10:04:10', 'system', '2020-12-22 10:04:10');
INSERT INTO `ld_article_content` VALUES (78, 7, '景区动态', '2021|新年奉上连岛景区旅游大攻略，还要啥自行车！', NULL, 'zh', '2021-01-01', '/profile/liandao_old_data/5fee92d8dad59.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2021-01-01 10:55:02', 'system', '2021-01-01 10:55:02');
INSERT INTO `ld_article_content` VALUES (79, 7, '景区动态', '相约连岛，遇见2021年最美阳光~', NULL, 'zh', '2021-01-09', '/profile/liandao_old_data/5ff953e3058e1.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2021-01-09 14:53:16', 'system', '2021-01-09 14:53:16');
INSERT INTO `ld_article_content` VALUES (80, 7, '景区动态', '倡导就地过年！连云区A级景区春节假期免费游~', NULL, 'zh', '2021-02-01', '/profile/liandao_old_data/6017bd469e1d7.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2021-02-01 16:32:53', 'system', '2021-02-01 16:32:53');
INSERT INTO `ld_article_content` VALUES (81, 7, '景区动态', '就地过年，年味不减！快来畅玩连岛景区吧！', NULL, 'zh', '2021-02-19', '/profile/liandao_old_data/602f102173199.jpg', NULL, '富文本', '<p style=\"text-align: center;\">金牛迎福新春至</p><p style=\"text-align: center;\">一年一岁一团圆</p><p style=\"text-align: center;\">春节期间</p><p style=\"text-align: center;\">连岛景区到处洋溢着</p><p style=\"text-align: center;\">欢乐祥和的节日气氛</p><p style=\"text-align: center;\">迎新活动、民俗活动、竞技活动</p><p style=\"text-align: center;\">多种丰富多彩的活动</p><p style=\"text-align: center;\">正式开启2021欢乐中国年</p><p style=\"text-align: center;\">广大市民和游客纷纷走出家门</p><p style=\"text-align: center;\">看海踏春、祈福拜年</p><p style=\"text-align: center;\">感受浓浓的年味</p><p style=\"text-align: center;\">尽享假日生活的快乐！</p><p><br/></p><p style=\"text-align: center;\"><strong>新春够旺</strong></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391098235478.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391098431081.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>迎新春，转运气，新春“牛”起来</strong></p><p>&nbsp; &nbsp; &nbsp; 为活跃春节气氛，增加与游客互动，凡在景区购买门票的游客，凭订单信息免费抽奖，赢得连岛景区、海上云台山、帆船、游轮等游览票，现场的游客笑语声此起彼伏，通过转盘大家赚足了手气和运气，给海岛的尾冬增加了一抹新春的气息！</p><p><br/></p><p style=\"text-align: center;\"><strong>新春够快</strong></p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391168681652.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391168842970.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391168816384.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391168615249.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391168790740.jpg\" style=\"\"/></p><p><strong><br/></strong></p><p></p><p style=\"text-align: center;\"><strong>大年初一，相约连岛</strong></p><p style=\"text-align: center;\"><strong>让我们一起“犇”跑吧</strong></p><p>&nbsp; &nbsp; &nbsp; 辞旧迎新，怀揣着对新年的憧憬，连岛景区新春第一跑拉开了序幕，酷爱运动的跑友们以跑步的方式迎接新年的到来。跑友们在连岛景区“江苏最美跑步线路”——环岛路上，既锻炼了身体，又欣赏到了沿途独特的自然风光，一路奔跑，遇见美好！</p><p><br/></p><p style=\"text-align: center;\"><strong>新春祈愿</strong></p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391255380712.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391255887810.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391256398819.png\" style=\"\"/></p><p style=\"text-align: center;\"><strong><br/></strong><strong>“迎新祈福”，弘扬传统中华文化</strong></p><p>&nbsp; &nbsp; &nbsp; 今年的“祈福迎新”活动现场呈现出一幕幕温馨的画面，大人、孩子、情侣等在红丝带上写下祝福并虔诚祈愿，为家庭祈福、为学子祈福、为美好生活祈福，大家脸上洋溢着幸福而满足的笑容，浓浓的年味在孔雀园荡漾。</p><p><br/></p><p style=\"text-align: center;\"><strong>新春送福</strong><br/></p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391349968910.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391349522932.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391349955150.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391349274621.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391349343401.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><br/></strong><strong>“喜迎新春，写福送福”</strong></p><p>&nbsp; &nbsp; &nbsp; 连岛景区员工和广大游客温暖互动，现场挥毫泼墨，书写大大小的“福”，送给前来游玩的游客，祝福他们节日愉快，生活幸福，深受游客们的赞扬和好评，成为景区开展文明旅游活动的亮丽风景。</p><p><br/></p><p style=\"text-align: center;\"><strong>就地过年倍精彩</strong><br/></p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391425734519.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391425434333.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391425675524.jpg\" style=\"\"/></p><p><strong>&nbsp; &nbsp; </strong>&nbsp; 为鼓励连云港市企业外地职工春节期间，健康安全就地留连过节，丰富外地留连职工春节假期生活，连岛景区积极响应上级号召，推出“温暖有心，连就是家”的优惠举措，针对那些因工作和疫情风险不能返乡的员工，免费畅游连岛景区，给您家一样的温暖。让归乡的脚步在这个寒冬稍驻，让相聚的欢笑在下个春天绽放，心安定的彼处，亦是故乡。爱汇聚的地方，便有年味，就地过年，一样精彩！<br/></p><p><br/></p><p style=\"text-align: center;\"><strong>疫情防控不能松</strong><br/></p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391473861337.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391474994075.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616391474144468.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">&nbsp; &nbsp; &nbsp; 为确保广大游客度过欢乐祥和、健康安全的节日，连岛景区积极落实疫情防控措施，扎实做好春节期间疫情防控工作，保障广大游客假期健康安全出游。<br/></p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: center;\">经过疫情的考验</p><p style=\"text-align: center;\">我们更加清楚了健康的重要性</p><p style=\"text-align: center;\">春节期间来连岛</p><p style=\"text-align: center;\">进行一场身心放松的旅行吧</p><p style=\"text-align: center;\">呼吸新鲜空气，加强体育锻炼</p><p style=\"text-align: center;\">为新的一年奋斗储备能量</p><p><br/></p><p style=\"text-align: center;\"><strong>连岛景区还有更多活动</strong></p><p style=\"text-align: center;\"><strong>等你来解锁</strong></p><p style=\"text-align: center;\"><strong>总有一款适合你</strong></p><p style=\"text-align: center;\"><strong>心动了吗</strong></p><p style=\"text-align: center;\"><strong>抓紧来吧</strong></p><p style=\"text-align: justify;\"><br/></p>', NULL, NULL, NULL, 'system', '2021-02-19 09:08:52', 'system', '2021-02-19 09:08:52');
INSERT INTO `ld_article_content` VALUES (82, 7, '景区动态', '苍梧小学云山校区师生  “学党史·赏春天”走进连岛景区', NULL, 'zh', '2021-04-03', '/profile/liandao_old_data/6067ddb103117.png', NULL, '富文本', '<p style=\"white-space: normal; text-align: center;\"><strong>童心向党颂百年辉煌<br/></strong></p><p style=\"white-space: normal; text-align: center;\"><strong>春光明媚看家乡巨变</strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; white-space: normal; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(255, 255, 255); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 1.5px; text-align: right; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(0, 0, 0); box-sizing: border-box !important; overflow-wrap: break-word !important;\">——苍梧小学云山校区师生</span><span style=\"color: rgb(0, 0, 0);\">“学党史·赏春天”走进连岛景区</span></p><p style=\"white-space: normal;\">&nbsp;</p><p style=\"white-space: normal;\">&nbsp; &nbsp;&nbsp;4月2日，由连云港苍梧小学云山校区、江苏海州湾文旅集团联合主办的“童心向党颂百年辉煌 春光明媚看家乡巨变”2021“学党史·赏春天”系列活动走进连岛景区。500余名云山校区四、五年级的少先队员们和教师党员代表，在“邓小平和人民在一起” 党性教育基地前瞻仰伟人风采、聆听伟人故事、重温入党誓词，学党史、颂辉煌，赏春天、看连岛变迁。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 现场师生们开展了“童心向党颂百年辉煌——讲伟人故事”活动，来自四年级的少先队员献词《在大海中永生》，苍梧小学云山校区党总支书记章莉做特别致辞。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617418516893729.png\"/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617418517407278.png\"/></p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;</p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;江苏海州湾文旅集团代表给师生们介绍了“邓小平和人民在一起”雕塑公园相关情况，共同回顾了中国改革开放总设计师邓小平同志，波澜壮阔而又极富传奇色彩的一生。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617418567594141.png\" title=\"\" alt=\"微信图片_20210403105555\"/></p><p style=\"white-space: normal;\"><br/></p><p><section style=\"margin: 1em 0px 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; text-align: center; white-space: normal; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section data-autoskip=\"1\" style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; font-size: 14px; color: rgb(90, 159, 127); background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></section></section></p><p><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;&nbsp;深切缅怀邓小平同志为党、为祖国、为人民建立的不朽功勋，追思和学习他为党和人民事业不懈奋斗的崇高风范，进一步激励学生们树立自己的人生奋斗目标，激励党员代表们在新的时代条件下把中国特色社会主义事业推向前进。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419298514680.png\"/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419301226941.png\"/></p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 活动仪式在党员代表们重温入党誓词和全体学生齐唱《我们是共产主义接班人》的激昂歌声中结束，随后师生们走进集青山、碧海、金滩、奇石于一体的苏马湾生态园，惊叹这里空气清新，堪称天然氧吧，森林覆盖率达80%。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419395774212.png\"/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419395974452.png\"/></p><p style=\"white-space: normal;\"><br/></p><p><section style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 学生们兴高采烈地边走边看，领略东方大港的魅力，看连岛环岛路沿线各种花儿竞相开放，散发着淡淡幽香；看孔雀园里的孔雀惊艳开屏，春姑娘在山海间轻歌曼舞，浅酌低唱。</section></p><p style=\"white-space: normal;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></span></p><p style=\"white-space: normal;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419438524026.png\" title=\"\" alt=\"微信图片_20210403111029\"/></p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;&nbsp;一条2.5公里长的海边栈道，将连岛苏马湾和大沙湾两处景点相连，沿途海景曼妙，一览无遗，海天相连、旷远无垠。曼妙山海间，春光美如画卷。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419474854133.png\" title=\"\" alt=\"微信图片_20210403111105\"/></p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp;&nbsp;连岛古称“鹰游山”，与伟岸雄峻的北云台山相峙，与连云港港隔海相望。如今，连岛山海相连、碧水金沙、群礁嶙峋，构成了独特的海滨胜境。这里山势曲折，峰连岭涌，折列如画屏，俨然一座美丽的海上屏风。</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419541118379.png\"/></p><p style=\"white-space: normal; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20210403/1617419541416347.png\"/></p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal;\">&nbsp; &nbsp; &nbsp; 秀丽独特的海滨自然风光和别具特色的海岛人文景观，使连岛成为人们休闲娱乐、度假疗养的理想胜地，师生们感受着美丽连云家乡的变化，感受着美丽连岛提档升级的改变，陶醉在连岛美轮美奂的春日山海间。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-04-03 11:14:33', 'system', '2021-04-03 11:14:33');
INSERT INTO `ld_article_content` VALUES (83, 7, '景区动态', '雨后清明，春暖花开，在连岛与春天同行！', NULL, 'zh', '2021-04-06', '/profile/liandao_old_data/606c0ac05e4a6.jpg', NULL, '富文本', '<p style=\"white-space: normal; text-align: center;\">春回大地，万物复苏</p><p style=\"white-space: normal; text-align: center;\">四月天已暖，踏青赏花看海</p><p style=\"white-space: normal; text-align: center;\">四月的暖风让人更觉惬意</p><p style=\"white-space: normal; text-align: center;\">何不带上家人</p><p style=\"white-space: normal; text-align: center;\">来连岛景区拥抱春天</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\"><strong>游人如织 秩序井然</strong></p><p style=\"white-space: normal;\"><strong><br/></strong></p><p style=\"white-space: normal;\">长假第一天，天公不作美，也未能阻挡出行的游客，在春雨绵绵里看海也是别样的味道。4月4日，是小长假的第二天，连岛景区迎来了第一波客流高峰。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692797513231.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692797159362.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692798834193.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692798695572.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692798858940.png\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><strong>严格遵守疫情防控</strong><br/></p><p><strong><br/></strong></p><p>在大沙湾景区广场门口，防疫人员、引导人员早已准备到位，实名预约、戴口罩、测体温，防疫措施一样不少，广大游客有序入园。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692702471573.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692702116416.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>不容错过的活动</strong></p><p><br/></p><p>清明小长假期间，连岛景区特推出系列精彩活动，喜迎八方游客！</p><p><br/></p><p>为了宣传环保意识，倡导文明旅游，景区开展了“海岸清洁小卫士”活动，吸引了众多亲子家庭的眼球，纷纷带着孩子前来参与。一副手套、一只垃圾袋，通过清洁海滩的垃圾，培养孩子们爱护环境，保护海洋的意识，从身边做起，从家庭做起，用自己的实际行动来收获成长的果实。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692900719587.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692900416234.png\" style=\"\"/></p><p>假日期间纸鸢纷飞，孩子们在美好春光中放飞梦想。为了丰富和拓展孩子们丰富多彩的假期生活，感受童真的快乐，“徜徉蓝色大海、放飞春天梦想”活动在大沙湾火热进行，增进了亲子感情，促进了家庭的和谐，尽情享受节假日期间休闲旅游的美好时光。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692971722033.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692972201712.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617692972240666.png\" style=\"\"/></p><p>建党100周年，红色旅游成为主流。《邓小平和人民在一起》雕塑公园先后被评为市廉政文化教育基地、爱国主义教育基地、革命传统教育基地、“不忘初心、牢记使命”主题教育基地。清明期间，各大企事业单位、学校等单位纷纷前来瞻仰伟人的风采，景区安排讲解员每天开展三场红色故事传承讲解服务，受到了各单位和广大游客的好评和称赞。<br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693019130399.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693019594777.png\" style=\"\"/></p><p>清明期间，苏马湾孔雀园格外的热闹。园内随处可见自由漫步的孔雀，游客与孔雀亲密接触、拍照留念；游客还可以通过亲手投喂等方式与其进行互动，让游客充分感受人与自然的和谐共生。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693066718203.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693067765406.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>欢声笑语处处闻</strong></p><p><strong><br/></strong></p><p>游客们沉浸在出游的喜悦中，沙滩上、海岸边，到处洋溢着欢声笑语。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693236304862.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693238872507.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693238967352.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693238188354.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693239479208.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693239412056.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>各项工作有序进行</strong></p><p><strong><br/></strong></p><p>假日期间，连岛景区强力部署、精心组织，认真落实假日期间旅游接待工作，压实各部门工作责任，加大力度检查景区重点区域，加强疫情防控，信息收集、数据统计、工作质量督查、舆情监控等工作，有效保障了假日旅游安全顺畅、秩序井然，圆满完成清明小长假各项旅游接待工作。</p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693339557314.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693339896894.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693340426268.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210406/1617693340211572.png\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-04-06 14:44:11', 'system', '2021-04-06 14:44:11');
INSERT INTO `ld_article_content` VALUES (84, 7, '景区动态', '连岛景区开展消防安全培训演练活动', NULL, 'zh', '2021-04-22', '/profile/liandao_old_data/6081253273e5b.png', NULL, '富文本', '<p>为了迎接“五一”小长假及旅游旺季的到来，做好连岛景区旺季运营安全保障工作，进一步增强景区员工消防安全意识，强化应对火灾事故的应急处置能力。</p><p><br/></p><p>4月6日下午，连旅公司安监部牵头，邀请连云港安居培训中心殷晓教员，组织客运运营处、大沙湾运营中心、苏马湾运营中心、秩序管理部、商业运营部、办公区、物资保洁部、傲来仙境水晶文化艺术馆等各部门52名员工，在客运运营处会议室成功开展消防安全知识培训暨灭火演练工作。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076194616937.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076195907641.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076196490348.png\" style=\"\"/></p><p><br/></p><p>培训开始，公司安监部主任张锦永就本次培训目的及课堂纪律提出了相关要求；培训教员殷晓以近期典型的火灾事故案例为切入点，就消防基础常识，消防责任及相关安全法规，消防器材的使用方法，火灾的预防、各类火场初期扑救及应急逃生疏散方法进行了一一讲解。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076243180053.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076244404535.png\" style=\"\"/></p><p><br/></p><p>培训过程中，公司各部门员工认真学习，课堂秩序井然。培训结束后，组织全体人员在周边空地开展灭火实战演练。</p><p><br/></p><p>各部门员工按要求列队，分别使用百余瓶干粉灭火器对引燃的熊熊火堆进行了实战灭火演练：演练队员站在上风处3-5米均匀排开、颠倒瓶体数次、拉开保险栓、对准火源压低喷嘴进行喷射… 各参演队员配合默契，操作准确、规范，均能成功扑灭火堆。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076314438375.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076314246320.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076315603254.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076316440430.png\" style=\"\"/></p><p><br/></p><p>演练完毕后，负责安全保障的街道消防队员使用消防车高压水枪对演练现场进行打湿及清理工作，确保了本次演练圆满收官。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076346392647.png\" title=\"\" alt=\"微信图片_20210422152538\"/></p><p><br/></p><p>通过本次消防培训、演练，参训人员掌握了突发火灾的前期扑救方法，提高了消防安全知识与应变自救能力,达到了培训预期的目的和效果，也为景区旺季安全运营工作提供了有力保障。</p>', NULL, NULL, NULL, 'system', '2021-04-22 15:20:20', 'system', '2021-04-22 15:20:20');
INSERT INTO `ld_article_content` VALUES (85, 7, '景区动态', '五四正青春，炫酷“彩虹跑”激情开跑！', NULL, 'zh', '2021-04-22', '/profile/liandao_old_data/60812748cfa8a.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076697621613.png\" title=\"\" alt=\"微信图片_20210422152835\" style=\"text-align: center;\"/><br/></p><p>4月18日下午2:30，连云港移动公司、连云港核电、连云港恒瑞药业三家单位150余名青年汇聚在连岛苏马湾景区“江苏最美跑步线路”，用奔跑的方式，燃动青春，这也是连岛景区第三次举办大型彩虹跑活动。本次活动也是为了迎接即将到来的“五四青年节”，丰富青年生活，凝聚青春、青年的力量。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076735545182.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076736711417.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076739361416.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076740564323.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076741738358.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076745413523.png\" style=\"\"/></p><p>苏马湾东门活动现场人头攒动，大家沉浸在自拍、合影等热烈氛围中，用镜头、欢笑定格青春的脉动。因为是彩虹跑，地球上最快乐的五公里。绿色、快乐、健康，彰显自我。现场的年轻人用鲜亮的色彩、怪异的发套装饰着自己，为活动增添有一抹亮色。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076851336076.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076853627667.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076853796647.png\" style=\"\"/></p><p>随着一声号令，年轻人满怀激情地冲出起点。春意盎然，海天相接，所有人沿着海洋中醉美环岛路，只要你有激情，你有活力，正青春，欢迎来挑战。一路欢乐笑语，一路撒上的这些五颜六色让人心情特别的愉快，当一场色彩与温情春风相遇，增加了很多的趣味。最美的年华，正青春的你；最美的时光，最好的自己。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210422/1619076907577490.png\" title=\"\" alt=\"微信图片_20210422153045\"/></p><p>通过多彩奔跑体现青年多彩青春，勇敢拼搏的精神。活动中还设有红色互动学习，他们来到了邓小平雕塑公园，接受伟人的洗礼，瞻仰伟人的风采，促使当代青年不忘历史、不忘初心，体会当代青年担当，提升民族自豪感，深化五四青年节纪念意义，感受革命情怀。</p><p><br/></p><p>通过本次活动，希望通过旅游文化与体育休闲相结合的方式，促进全民健身，增强全民体质，诠释“体育＋旅游”融合发展理念，充分发掘连岛景区旅游资源优势，着力打造观光游、休闲游、度假游、研学游等多元化旅游目标，全方位唱响连岛旅游品牌。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-04-22 15:26:52', 'system', '2021-04-22 15:26:52');
INSERT INTO `ld_article_content` VALUES (86, 7, '景区动态', '凝心聚力促服务，技能比武展风采！', NULL, 'zh', '2021-04-23', '/profile/liandao_old_data/608267881a8d2.png', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158673471970.png\" title=\"\" alt=\"微信图片_20210423141442\"/></p><p><br/></p><p style=\"text-align: justify;\">倒车入库、侧方位停车、S弯、压大饼、装卸轮胎……对于驾驶员来说这些都是日常的基本技能，可这些简单的动作也有着不少的“门道”呢！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158706506644.png\" title=\"\" alt=\"微信图片_20210423141530\"/></p><p><br/></p><p style=\"text-align: justify;\">4月20日，连岛景区客运公司在王建刚总经理的致辞中开展了以“凝心聚力促服务 技能比武展风采”为主题的全体驾驶员安全技能大比武竞赛。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158742595744.png\" title=\"\" alt=\"微信图片_20210423141552\"/></p><p><br/></p><p style=\"text-align: justify;\">活动旨在加强交通安全管理，增强全体驾驶员的交通安全意识和业务技能水平，充分调动广大驾驶员的积极性、主动性，激发工作热情，掀起“比、学、赶、帮、超”的安全行车新局面。在“五一”小长假即将到来之际，全面展现精湛的技术技能和良好的精神风貌，为广大游客提供优质、安全、高效的旅游服务。</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158788277423.png\" title=\"\" alt=\"微信图片_20210423141649\"/></p><p><br/></p><p>本次比赛分为三大项：第一项倒装入库及侧方位停车；第二项曲线行驶及连续障碍；第三项轮胎拆装；比赛现场热烈又紧张，驾驶员们纷纷拿出看家本领，流畅的转弯、精准的停车、娴熟的拆装等，都展现出了驾驶员们扎实的业务水平、驾驶技术，赛出了风格，赛出了水平。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158824573193.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158825233550.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158826832279.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158829908182.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: justify;\">现场围观者的叫好声也是跌宕起伏，一浪高过一浪，无不为其竖起大拇指，点赞！经过激烈的角逐，最终各项评选出一、二、三等奖。</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158881781771.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210423/1619158882347784.png\" style=\"\"/></p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: justify;\">通过此次活动，客运公司全体驾驶员纷纷表示，以这次活动为契机，不断提高自身综合素质，相互学习、取长补短，争当技术能手和服务模范，将安全行车牢记于心、践于行，为连岛景区和谐发展保驾护航。</p>', NULL, NULL, NULL, 'system', '2021-04-23 14:17:13', 'system', '2021-04-23 14:17:13');
INSERT INTO `ld_article_content` VALUES (87, 7, '景区动态', '快乐五一 ，享受亲子徒步快乐时光！', NULL, 'zh', '2021-05-17', '/profile/liandao_old_data/60a20de053dc1.jpg', NULL, '富文本', '<p style=\"text-align: center;\">五一来连岛</p><p style=\"text-align: center;\">褪去疲惫的外衣，抖去奔波的尘埃</p><p style=\"text-align: center;\">卸下心头的倦意</p><p style=\"text-align: center;\">在美好节日到天空下沐浴</p><p style=\"text-align: center;\">趁阳光正好，趁微风不噪</p><p style=\"text-align: center;\">趁繁花还未开至荼蘼</p><p style=\"text-align: center;\">在这里，把一切都交给时间</p><p style=\"text-align: center;\">慢下来，和孩子一起去成长！</p><p style=\"text-align: center;\">徒步的乐趣在于沿途的自然风景</p><p style=\"text-align: center;\">日出云海，阳光沙滩</p><p style=\"text-align: center;\">2021连岛景区首届亲子徒步活动圆满完成</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232311807678.jpg\" title=\"\" alt=\"3a84a1731f6461bbae41c547807f598\"/></p><p style=\"text-align: justify;\">2021年5月1日连岛景区首届“徒步远足 永不言弃”为主题的亲子定向徒步行活动在大沙湾拉开序幕。此次活动为庆祝中国共产党建党100周年，连岛景区既是倡导全民积极参与户外运动，与自然和谐共处，也是进一步大力弘扬爱党、爱国主义精神，在广大青少年教育活动中厚植和传承红色基因，继承和发扬革命前辈勇往直前、吃苦耐劳、永不放弃的长征精神。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232408367793.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232408891153.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232408638177.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232409954079.png\" style=\"\"/></p><p style=\"text-align: justify;\">活动分为两个组别：3周岁-6周岁1.3公里组、7周岁-12周岁2.6公里组，吸引了50组亲子家庭近150人参加了活动。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232506929595.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232506172562.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232506524962.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232507422362.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">此次徒步活动的起点位设置在大沙湾，当天上午8:40，在激情澎湃的开幕式后，一对对家长带着孩子齐齐出发啦，沿着临海的步行道，观波澜壮阔的大海，聆听大自然的声音、闻漫山遍野的花香、赏风光秀丽的美景……活动以徒步、亲子游的形式，让孩子们近距离接触大自然美丽的春景，与孩子们共同完成一次徒步挑战。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232545493977.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232546252417.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232547923884.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232549288778.png\" style=\"\"/></p><p style=\"text-align: justify;\">活动中，家长和孩子们热情高涨，没有一个人抱怨和叫苦，所有的美景随着脚步变化而变化，放松身心。同时，家长们能够陪伴孩子一起运动，既促进了亲子间的交流互动，也促进了家庭和谐友好，培养孩子坚强的品格；家长们相互交流沟通，分享经验；孩子们在活动中结交爱好相同的朋友，多运动、多锻炼，一起探索深藏大自然的秘密，养成身心健康的生活方式！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232591468910.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232592417331.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232594131404.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232594616306.png\" style=\"\"/></p><p style=\"text-align: justify;\">比赛结束，在景区讲解员的带领下，家长和孩子们来到了小平雕塑公园，大家怀着无比崇敬的心情，认真倾听讲解员的讲解，接受伟人的洗礼，瞻仰伟人的风采，缅怀革命先烈的丰功伟绩，感受信仰、精神的力量。</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: justify;\">活动结束后，家长们纷纷表达了自己的感受，好评如潮！再次感谢所有家庭对本次活动的支持与配合，连岛景区也定会再接再厉，举办更多让游客满意的活动！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232779620484.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232779332469.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232779939317.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232780665988.jpg\" style=\"\"/></p><p style=\"text-align: justify;\"><br/></p>', NULL, NULL, NULL, 'system', '2021-05-17 14:17:41', 'system', '2021-05-17 14:17:41');
INSERT INTO `ld_article_content` VALUES (88, 7, '景区动态', '庆国庆，百人环岛赛助力连岛5A景区创建！', NULL, 'zh', '2021-10-07', '/profile/liandao_old_data/615ea32d5d3b8.jpg', NULL, '富文本', '<p>10月7日早上6点30分，“庆国庆 百人环岛赛助力连岛5A景区创建”在大沙湾激情开跑，连云区马拉松协会100余名跑步爱好者们齐聚现场，以健康跑的方式为连岛创建5A景区助力，为健康生活方式发声。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633591964681939.jpg\" title=\"\" alt=\"微信图片_20211007153130\"/></p><p>高抬腿、扩胸运动……每个人都朝气蓬勃，积极做着热身运动，以饱满的面貌、奋进的姿态整装待发。7点整，跑友们有序从大沙湾西门出发，大家情绪激昂，为连岛的清晨注入一丝活力。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633591989896651.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633591989415259.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633591990420734.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633591990221330.jpg\" style=\"\"/></p><p><br/></p><p>连岛环岛路全程11.3公里，跑友们来自各行各业跑步爱好者，他们迈着铿锵有力的步伐，与美丽的环岛路风光交相辉映。今天的他们以健康跑为载体，在增强体魄，享受快乐的同时，以自己的方式为连岛景区5A创建加油助威。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592015330696.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592015128752.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592015392589.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592015538358.jpg\" style=\"\"/></p><p>十月的连岛秋高气爽，凉风习习，正是运动的好时节。本次赛事充分展示了连岛环岛路最美跑线，沿途自然风光旖旎，空气清新秀丽，凸显了连岛景区的山水之美和人文风俗风韵，让选手们在挑战自我的同时饱览连岛自然风光。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592041351366.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592041580911.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592042896986.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592042309512.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592042289358.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211007/1633592042535613.jpg\" style=\"\"/></p><p>目前，连岛景区5A创建工作即将进入最后冲刺阶段。我们将紧紧围绕创建国家5A级景区的工作目标，以旅游+为契机，在文旅+体育高度融合上做文章，在创意创新发展上谋思路，将更多文体资源、体育要素转化为旅游产品，用健将的风姿、奔跑的速度向着国家5A级景区全力冲刺。</p><p></p>', NULL, NULL, NULL, 'system', '2021-10-07 15:31:07', 'system', '2021-10-07 15:31:07');
INSERT INTO `ld_article_content` VALUES (89, 7, '景区动态', '半价！519中国旅游日，连岛景区邀您来嗨玩！', NULL, 'zh', '2021-05-17', '/profile/liandao_old_data/60a2109016480.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>5·19 中国旅游日</strong></span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>即刻出发去远行</strong></span></p><p><br/></p><p style=\"text-align: center;\">所谓“阳光正好，微风不燥”</p><p style=\"text-align: center;\">初夏的天气和着晚春的暖风</p><p style=\"text-align: center;\">正是出游的最好季节</p><p><br/></p><p style=\"text-align: center;\">&nbsp;5·19中国旅游日将至&nbsp;</p><p style=\"text-align: center;\">&nbsp;@所有人，连岛景区惠民政策来喽！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233325708432.gif\" title=\"\" alt=\"微信图片_20210513154116\"/></p><p style=\"text-align: center;\"><strong><span style=\"color: rgb(255, 0, 0);\">No.1</span></strong></p><p style=\"text-align: center;\">活动时间：5月18日-20日</p><p style=\"text-align: center;\">连岛景区门票5折</p><p style=\"text-align: center;\">25元/人</p><p style=\"text-align: center;\">（挂牌价50元/人）</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"color: rgb(255, 0, 0);\">No.2</span></strong></p><p style=\"text-align: center;\">活动时间：5月17日-21日</p><p style=\"text-align: center;\">连岛景区游艇俱乐部</p><p style=\"text-align: center;\">帆船5折</p><p style=\"text-align: center;\">50元/人</p><p style=\"text-align: center;\">（挂牌价100元/人）</p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\">No.3</span></p><p style=\"text-align: center;\">活动时间：5月19日-25日</p><p style=\"text-align: center;\">连云港老街（铁路馆、历史馆、民俗馆）</p><p style=\"text-align: center;\">免票</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"color: rgb(255, 0, 0);\">No.4</span></strong></p><p style=\"text-align: center;\">活动时间：5月19日</p><p style=\"text-align: center;\">海上云台山、船山飞瀑免票</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"color: rgb(255, 0, 0);\">No.5</span></strong></p><p style=\"text-align: center;\">连岛天际酒店（大沙湾和苏马湾）</p><p style=\"text-align: center;\">宿城八间房民宿</p><p style=\"text-align: center;\">天际羊山岛集装箱海滨度假酒店</p><p style=\"text-align: center;\">享网络价的9折</p><p style=\"text-align: center;\">（须电话提前预定）</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233460830799.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233464883741.png\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\">立夏已过</p><p style=\"text-align: center;\">天气逐渐炎热起来</p><p style=\"text-align: center;\">是时候用一场海边旅行</p><p style=\"text-align: center;\">来滋润枯燥的生活了</p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233498659698.jpg\" title=\"\" alt=\"大沙湾游乐园 (2)\"/></p><p style=\"text-align: center;\">▲连岛景区大沙湾</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233526102856.png\" title=\"\" alt=\"微信图片_20200415093717\"/></p><p style=\"text-align: center;\">▲连岛景区苏马湾</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233549215419.jpg\" title=\"\" alt=\"微信图片_20200428100715\"/></p><p style=\"text-align: center;\">▲游艇俱乐部——帆船</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233568483424.png\" title=\"\" alt=\"微信图片_20201205143628\"/></p><p style=\"text-align: center;\">▲连岛天际酒店</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233616438430.jpg\" style=\"\"/></p><p style=\"text-align: center;\">▲海上云台山</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233616287220.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233616151417.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621233653995874.jpg\" title=\"\" alt=\"微信图片_20210513142406\"/></p><p style=\"text-align: center;\">▲连云港老街（铁路馆、历史馆、民俗馆）</p><p><br/></p><p style=\"text-align: center;\">不必恐惧拥堵的高速公路</p><p style=\"text-align: center;\">不必害怕人山人海的排队</p><p style=\"text-align: center;\">中国旅游日</p><p style=\"text-align: center;\">赶紧约上三五好友</p><p style=\"text-align: center;\">来连岛景区感受夏天的风、海水的蓝~</p><p style=\"text-align: center;\">我们在这里</p><p style=\"text-align: center;\">静待您的到来！</p><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-05-17 14:33:53', 'system', '2021-05-17 14:33:53');
INSERT INTO `ld_article_content` VALUES (90, 7, '景区动态', '实力演绎 不止百里 | 500余名骑手在连岛景区上演速度与激情！', NULL, 'zh', '2021-05-17', '/profile/liandao_old_data/60a213e967baa.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(255, 0, 0);\"><strong>山海·骑缘</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(255, 0, 0);\"><strong>自行车骑行大会在连岛景区开赛</strong></span></p><p><span style=\"font-size: 20px; color: rgb(255, 0, 0);\"><strong><br/></strong></span></p><p>5月16日，2021山海骑缘·环连云港自行车骑行大会在连岛景区游客中心拉开序幕！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234338292152.jpg\" title=\"\" alt=\"微信图片_20210517144432\"/></p><p style=\"text-align: justify;\">来自河南、山东、安徽、浙江、南京等全国各地的500余名骑行爱好者齐聚一堂，将“全国十大美丽海岛”之一的连岛自然风光、秀丽风景尽数饱览，充分感受连岛景区独具特色的生态环境和骑行乐趣。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234365698078.jpg\" title=\"\" alt=\"微信图片_20210517144448\"/></p><p style=\"text-align: justify;\">连云港市体育局副局长石磊、连云区文化体育和旅游局局长程学桃、连云区文化体育和旅游局副局长裴小龙、连云港海滨旅游度假区管理办公室副主任张体洋、江苏海州湾文旅集团副总经理胡洁君出席了开幕式，并为骑行大会启幕！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234445841365.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234445530457.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234445951772.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234445991238.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">本次赛事由江苏海州湾集团冠名；连云港市自行车运动协会主办；连云港市体育局、连云港市文化广电和旅游局、连云港市体育总会、连云港海滨旅游度假区管理办公室联合承办；蓝天救援队受邀协办。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234465488810.jpg\" title=\"\" alt=\"微信图片_20210517144512\"/></p><p style=\"text-align: justify;\">赛事组别设环骑山海团队组、环骑山海N+1组、环骑山海个人组、穿越山海组4个组别，赛道总里程约123公里。</p><p><br/></p><p style=\"text-align: justify;\">骑行线路精选了连云港最具人文及自然风景的骑行路线，从连岛游客中心出发，途径大沙湾、苏马湾、海滨大道、阿育王塔、花果山、跨海大桥、高公岛、港口、亚欧大陆桥东桥头堡、海上云台山、连云港老街、在海一方公园，沿海岸线骑行路程几乎占全程的一半，可谓是海滨风光一览无遗！</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234513491897.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234513320719.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234514904332.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234514834686.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234531671195.jpg\" title=\"\" alt=\"微信图片_20210517144635\"/></p><p style=\"text-align: justify;\">本次骑行大会融合了自行车骑行、风光旅游、文化感知等多重体验，有效地将体育+旅游+文化”完美融合，骑手们不仅可以享受速度与激情，还穿越风景名胜，邂逅“江苏最美跑步线路”，感受连云港海滨城市美丽风光，体味连云港渔港风情及历史文化氛围。</p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234562543291.jpg\" title=\"\" alt=\"微信图片_20210517144723\"/></p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: justify;\">经过激烈的角逐，各组选手们都获得了优异的成绩，为各自的队伍及个人争得了荣誉。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234595145521.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234595917659.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234595761237.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234596795439.jpg\" style=\"\"/></p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621234609913803.jpg\" title=\"\" alt=\"微信图片_20210517145018\"/></p><p style=\"text-align: justify;\">近年来，连岛景区依托得天独厚的资源优势，做新做好“运动+休闲”、“体育+旅游”文章，持续培育了一批知名体育赛事，“连岛12小时超级马拉松”、“连岛荧光夜跑”、 “亚洲杯暨一带一路铁人三项”等系列体育品牌赛事 ，推进休闲运动、体育竞技与连岛旅游发展深度融合，以创建国家5A级旅游景区为载体，助力连岛景区全力打造知名海岛休闲旅游目的地，实现“体育赋能旅游”的良性发展。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-05-17 14:44:00', 'system', '2021-05-17 14:44:00');
INSERT INTO `ld_article_content` VALUES (91, 7, '景区动态', '免费入园，提前带娃过节！连岛景区六一儿童节优惠来了！', NULL, 'zh', '2021-05-29', '/profile/liandao_old_data/60b18f25dbca1.jpg', NULL, '富文本', '<p style=\"text-align: center;\">一年里最可爱的节日要来啦！</p><p style=\"text-align: center;\">六一儿童节近在眼前</p><p style=\"text-align: center;\">大小朋友们都蠢蠢欲动了</p><p style=\"text-align: center;\">连岛景区为各位小朋友带来</p><p style=\"text-align: center;\">一份儿童节福利</p><p style=\"text-align: center;\">来连岛</p><p style=\"text-align: center;\">当个肆意快乐的小可爱吧！</p><p><br/></p><p style=\"text-align: center;\">虽然今年的儿童节在星期二</p><p style=\"text-align: center;\">但是连岛景区让您提前带娃过节</p><p style=\"text-align: center;\">14周岁以下即可免费入园</p><p style=\"text-align: center;\">免费！免费！免费！</p><p style=\"text-align: center;\">重要的事情说三遍！</p><p><br/></p><p style=\"text-align: center;\"><strong>儿童节特惠活动</strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\"><strong>活动时间</strong><br/></p><p style=\"text-align: center;\">5月29日-6月1日</p><p><br/></p><p style=\"text-align: center;\"><strong>活动详情</strong></p><p style=\"text-align: center;\">14周岁以下儿童免收门票</p><p>&nbsp; &nbsp; *需持身份证、医保卡、学生证、户口本原件或复印件等有效证件，直接至检票口免费入园游览。</p><p><br/></p><p style=\"text-align: center;\"><strong>活动地点</strong></p><p style=\"text-align: center;\">连云港连岛景区</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622248863598119.jpg\" title=\"\" alt=\"微信图片_20201204094730\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>体会海边挖沙子的快乐</strong></p><p>儿童节就要到了，给孩子最好的礼物无疑是让ta看得更多，走得更远，一场精彩的旅行再好不过了。而明媚的初夏，还有什么是比沙滩更好的目的地呢？</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249064234576.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249064489847.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249065237253.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249065391950.jpg\" style=\"\"/></p><p>得益于得天独厚的自然条件、优质的硬件设施以及服务水准，连岛景区有非常适合家庭出行的沙滩，家长们可以放心带孩子来享受阳光和大海，感受海滨胜境与沙滩风情。</p><p><br/></p><p style=\"text-align: center;\"><strong>连岛，美在海中央</strong></p><p>连岛位于江苏省连云港市东部城区，是“中国十大美丽海岛”之一，也是江苏省最大的海岛。连岛古称“鹰游山”，与伟岸雄峻的北云台山相峙，与连云港港隔海相望。山海相连、碧水金沙、群礁嶙峋，构成了独特的海滨胜境。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249162435187.jpg\" style=\"\"/></p><p><br/></p><p>连岛，形状狭长，东西直线距离5.5公里，南北直线距离0.9公里，拥有18公里的长长海岸线。这里山势曲折，峰连岭涌，折列如画屏，俨然一座美丽的海上屏风。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249189758192.jpg\" title=\"\" alt=\"微信图片_20210529084356\"/></p><p><br/></p><p>这里不仅拥有江苏最佳的天然优质海滨沙滩——大沙湾游乐园，还拥有荟萃青山、碧海、金滩、奇石于一体的苏马湾生态园，森林覆盖率达80%，这里空气清新，堪称天然氧吧。一条2.5公里长的海边栈道，将两处景点相连，沿途海景曼妙，一览无遗。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249207243944.jpg\" title=\"\" alt=\"微信图片_20210529084358\"/></p><p><br/></p><p>这里还拥有“江苏春季十大花海”之一的连岛花海基地，是江苏省唯一的AAAA级海滨旅游度假区。秀丽独特的海滨自然风光和别具特色的海岛人文景观使连岛成为人们休闲娱乐、度假疗养的理想胜地。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622249225745863.jpg\" title=\"\" alt=\"微信图片_20210529084401\"/></p><p style=\"text-align: center;\">童年只有一次，成长无法重来</p><p style=\"text-align: center;\">愿你我都能见证孩子成长路上的每一个脚步</p><p style=\"text-align: center;\">收获孩子脸上的每一个笑容</p><p style=\"text-align: center;\">儿童节来临之际</p><p style=\"text-align: center;\">快带着孩子来连岛景区吧！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-05-29 08:38:37', 'system', '2021-05-29 08:38:37');
INSERT INTO `ld_article_content` VALUES (92, 7, '景区动态', '叮~你有一封《春游邀请函》待查收！', NULL, 'zh', '2021-04-03', '/profile/liandao_old_data/6067c007c5b5c.png', NULL, '富文本', '<p style=\"text-align: center;\">春雨刚刚落停</p><p style=\"text-align: center;\">青草从梦呓中醒来</p><p style=\"text-align: center;\">微风把阳光轻抚</p><p style=\"text-align: center;\">鸽羽在空气中响着</p><p style=\"text-align: center;\">天空也多了好些云朵</p><p style=\"text-align: center;\">……</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411461575232.png\" title=\"\" alt=\"微信图片_20210402084441\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>连岛景区的春色正怡人</strong></span></p><p style=\"text-align: center;\">在这个好时候</p><p style=\"text-align: center;\">让我们一起去春游吧</p><p style=\"text-align: center;\">万物复苏，草长莺飞</p><p style=\"text-align: center;\">一切都恰逢其时</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411508564934.png\" title=\"\" alt=\"微信图片_20210402084649\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411600151644.png\" title=\"\" alt=\"微信图片_20210403085941\"/></p><p style=\"text-align: center;\">你知道什么叫面朝大海，春暖花开吗？</p><p style=\"text-align: center;\">在连岛，就有这么一个地方</p><p style=\"text-align: center;\">一边，是温柔多变的海景</p><p style=\"text-align: center;\">一边，是随风摇曳的花田</p><p style=\"text-align: center;\"><span style=\"color: rgb(0, 0, 0);\">她就是--</span><strong><span style=\"color: rgb(255, 0, 0);\">花海</span></strong></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411702225411.png\" title=\"\" alt=\"微信图片_20210403090108\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411801240222.png\" title=\"\" alt=\"微信图片_20210403090305\"/></p><p style=\"text-align: center;\">春游来<strong><span style=\"color: rgb(255, 0, 0);\">连岛</span></strong></p><p style=\"text-align: center;\">是一场<strong><span style=\"color: rgb(255, 0, 0);\">养眼之旅</span></strong></p><p style=\"text-align: center;\">蓝的天、白的云、清澈的海</p><p style=\"text-align: center;\">感受春天的气息</p><p style=\"text-align: center;\">清爽的海风</p><p style=\"text-align: center;\">干净分明的色彩</p><p style=\"text-align: center;\">绘出了最清新的春日画卷</p><p style=\"text-align: center;\">悄然盛开的山花</p><p style=\"text-align: center;\">则是不经意间的妙笔点缀</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411902938090.png\" title=\"\" alt=\"微信图片_20210403090454\"/></p><p style=\"text-align: center;\">春游来<strong><span style=\"color: rgb(255, 0, 0);\">连岛</span></strong></p><p style=\"text-align: center;\">更是一场<strong><span style=\"color: rgb(255, 0, 0);\">养肺之旅</span></strong></p><p style=\"text-align: center;\">这里植被茂盛、空气优良</p><p style=\"text-align: center;\">堪称<strong><span style=\"color: rgb(255, 0, 0);\">“天然氧吧”</span></strong></p><p style=\"text-align: center;\">在海滨栈道上行走</p><p style=\"text-align: center;\">在环岛路上奔跑</p><p style=\"text-align: center;\">痛痛快快地呼吸</p><p style=\"text-align: center;\">对于在汽车尾气中浸淫已久的肺</p><p style=\"text-align: center;\">可谓是一场再美好不过的“清洗”</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411984130648.png\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617411986861177.png\" style=\"\"/></p><p style=\"text-align: center;\">好啦！</p><p style=\"text-align: center;\">心动不如行动</p><p style=\"text-align: center;\">是时候给自己一个惬意的周末啦！</p><p style=\"text-align: center;\">一起来<strong><span style=\"color: rgb(255, 0, 0);\">连岛景区</span></strong></p><p style=\"text-align: center;\">邂逅春天的世外桃源</p><p style=\"text-align: center;\">一起驻足流连、拍照打卡</p><p style=\"text-align: center;\">惊艳朋友圈！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210403/1617412042819058.png\" title=\"\" alt=\"微信图片_20210403090710\"/></p><p style=\"text-align: center;\">阳光正好，春暖花开</p><p style=\"text-align: center;\">正是春游好时节</p><p style=\"text-align: center;\">邀请中小学校、幼儿园的团体来连岛春游，感受春天的美好!</p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>具体咨询4008282898</strong></span></p><p></p><p></p>', NULL, NULL, NULL, 'system', '2021-04-03 08:52:37', 'system', '2021-04-03 08:52:37');
INSERT INTO `ld_article_content` VALUES (93, 7, '景区动态', '免费！三八妇女节｜连岛景区送福利啦！', NULL, 'zh', '2021-03-06', '/profile/liandao_old_data/6042d036e0f41.jpg', NULL, '富文本', '<p style=\"text-align: center;\">38致可爱的你</p><p style=\"text-align: center;\">赚钱养家的是你，貌美如花的是你</p><p style=\"text-align: center;\">出得厅堂的是你，入得厨房的是你</p><p style=\"text-align: center;\">……</p><p style=\"text-align: center;\">两点一线，朝九晚六，忙忙又碌碌</p><p><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"/></p><p style=\"text-align: center;\">谁还不是下凡历劫的小仙女？</p><p style=\"text-align: center;\">人见人爱的小公举！</p><p><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"/></p><p style=\"text-align: center;\">在这个专属女性的节日里</p><p style=\"text-align: center;\">让我们卸下所有的身份与负担</p><p style=\"text-align: center;\">做“女王”</p><p style=\"text-align: center;\">共同欢度</p><p style=\"text-align: center;\">属于我们的美丽时光</p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390634579842.jpg\" title=\"\" alt=\"微信图片_20210322132256\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important; font-size: 15px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\"><strong><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\">女性独享免费游连岛</span></strong></span></p><p>&nbsp; &nbsp; &nbsp; 为庆祝第111个三八妇女节，连岛景区举办“女性独享免费游连岛”活动。“女王”们，在这春暖花开的季节，来连岛看海吧~</p><p><br/></p><p style=\"text-align: center;\"><strong>活动时间</strong></p><p style=\"text-align: center;\">2021年3月7日—2021年3月8日</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390708834936.jpg\" title=\"\" alt=\"微信图片_20210322132313\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>“女王”特权</strong></p><p style=\"text-align: justify;\">&nbsp; &nbsp; &nbsp; 假如你错过了这两天，没关系！为了更好的关爱女性，连岛景区还推出了转发集赞免费送门票的活动，让那些错过免门票看海的“女王”们，不留遗憾~</p><p><strong><br/></strong></p><p><br/></p><p style=\"white-space: normal; text-align: center;\"><strong>活动时间</strong></p><p style=\"white-space: normal; text-align: center;\">2021年3月2日—2021年3月15日</p><p><br/></p><p style=\"text-align: center;\"><br/><strong>活动形式</strong></p><p></p><p style=\"text-align: justify;\">&nbsp; &nbsp; &nbsp; 1、转发公众号“连云港连岛景区”任一微信内容到朋友圈，并集赞38个，截图发送留言，留下您的联系方式，获取免费门票两张。</p><p style=\"text-align: justify;\">&nbsp; &nbsp; &nbsp; 2、转发景区抖音号“连云港连岛景区”任一视频，并集赞38个，截图发送留言，留下您的联系方式，获取免费门票两张。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390815165227.jpg\" title=\"\" alt=\"微信图片_20210322132316\"/></p><p><br/></p><p style=\"text-align: center;\">“妇女节”</p><p style=\"text-align: center;\">是“福气”与“美丽”的碰撞<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"/></p><p style=\"text-align: center;\">“花时间取悦世界，不如抽空宠爱自己”</p><p style=\"text-align: center;\">祝福所有的女神们<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box; word-wrap: break-word !important;\"/></p><p style=\"text-align: center;\">节日快乐~</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-03-06 08:40:51', 'system', '2021-03-06 08:40:51');
INSERT INTO `ld_article_content` VALUES (94, 7, '景区动态', '【趣！连岛】一日海岛亲子嘉年华火热招募中！', NULL, 'zh', '2021-05-29', '/profile/liandao_old_data/60b195d516287.png', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>趣！连岛</strong></span></p><p style=\"text-align: center;\"><strong>一日海岛亲子嘉年华</strong></p><p><br/></p><p style=\"text-align: center;\">连岛景区携手七彩帆船营地</p><p style=\"text-align: center;\">开启端午节活动招募啦！</p><p style=\"text-align: center;\">沙滩寻宝游戏</p><p style=\"text-align: center;\">冲峰舟海上巡航</p><p style=\"text-align: center;\">OP帆船组装</p><p style=\"text-align: center;\">亲子皮划艇</p><p><br/></p><p style=\"text-align: center;\">为假期充值亲子欢乐时光</p><p style=\"text-align: center;\">在海岛上乐享亲子游</p><p style=\"text-align: center;\">守护孩子的童趣天真</p><p style=\"text-align: center;\">连岛亲子嘉年华</p><p style=\"text-align: center;\">快来报名吧！</p><p><br/></p><p style=\"text-align: center;\">四大</p><p style=\"text-align: center;\">你和孩子不能错过参与活动的理由</p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><strong>01</strong></p><p style=\"text-align: center;\">走进七彩帆船营地</p><p style=\"text-align: center;\">开启帆船航海的探秘之旅</p><p style=\"text-align: center;\">学习帆船航海知识</p><p style=\"text-align: center;\">组装OP帆船</p><p style=\"text-align: center;\">学习绳结技能</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250432142661.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250433871100.png\" style=\"\"/></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong>七彩帆船营地介绍</strong></p><p>连云港七彩帆船营地位于美丽的连岛，营地拥有OP级帆船30条，皮划艇30条，龙骨型大帆船2条，救生艇4条，是连云港地区唯一开展海上帆船运动的俱乐部。常年开展青少年OP帆船培训，帆船夏令营，成人大帆船培训，连云港中小学生帆船赛和研学旅行活动。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250493219912.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250494133053.png\" style=\"\"/></p><p>1、学习帆船航行原理，听风辨位，了解航海文化。</p><p>2、学习帆船绳结技能——单套结，平结，8字结。</p><p>3、感受船长的魅力——组装一条OP级帆船。</p><p><br/></p><p style=\"text-align: center;\"><strong>02</strong></p><p style=\"text-align: center;\">和海洋的亲密接触</p><p style=\"text-align: center;\">乘风破浪——亲子皮划艇</p><p style=\"text-align: center;\">速度与激情——冲锋舟海上巡航</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250539169042.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250539614760.png\" style=\"\"/></p><p style=\"text-align: center;\">亲子皮划艇，在海天一色间</p><p style=\"text-align: center;\">与孩子一起荡起双浆</p><p style=\"text-align: center;\">来一场皮划艇与海洋的亲密接触</p><p style=\"text-align: center;\">亲子指数极高</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250569566861.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250570264403.png\" style=\"\"/></p><p style=\"text-align: center;\">海上冲峰舟</p><p style=\"text-align: center;\">勇敢者的游戏</p><p style=\"text-align: center;\">看着在身后飞起的朵朵浪花</p><p style=\"text-align: center;\">拉紧安全绳，人船合一</p><p style=\"text-align: center;\">一起感受速度与激情</p><p><br/></p><p style=\"text-align: center;\"><strong>03</strong></p><p><br/></p><p style=\"text-align: center;\">全家总动员：挖噻北鼻~沙滩寻宝！</p><p style=\"text-align: center;\">最好的宝藏奖励最英勇的小神探</p><p><br/></p><p style=\"text-align: center;\">「这片沙滩你做主&nbsp; 小神探等你来挖掘大惊喜」</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250637643578.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250638504942.png\" style=\"\"/></p><p><strong><br/></strong></p><p>&nbsp; &nbsp; 在柔软的大沙湾沙滩上嬉戏玩耍，是每一个小朋友都无法抗拒的快乐诱惑，这里不仅有洁白的海砂和柔软的沙滩，还有神秘海盗埋下的众多宝藏：发挥神探一般的敏锐观察力就能寻找到带有神秘编号的彩色贝壳，夺得海盗宝藏——惊喜的大礼包。</p><p><br/></p><p>&nbsp; &nbsp; 全家总动员，让我们的孩子成为最英勇的小神探开启一场别开生面的“沙滩寻宝”之旅吧！让我们把宝藏带着把欢笑留在沙滩上。</p><p><br/></p><p style=\"text-align: center;\"><strong>04</strong></p><p><br/></p><p style=\"text-align: center;\">小螃蟹和小虾是我认识的新朋友</p><p style=\"text-align: center;\">爸爸妈妈带我去赶海拾贝啦</p><p><strong><br/></strong></p><p style=\"text-align: center;\">「沙滩上赶海拾贝&nbsp; 一同享受来自大海的赠与」</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250699587257.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250699458232.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250699717652.png\" style=\"\"/></p><p>&nbsp; &nbsp; 很多小朋友都有一个大海梦：住在海边，每天踏浪而歌和鱼儿一起畅游。牵着爸妈的手，挽起裤管，手提小水桶踩在细软的滩涂上，亲自动手挖小螃蟹、捡小贝壳，享受大海的赠与，收获属于自己的“大欢乐”。</p><p><br/></p><p style=\"text-align: center;\"><strong>行程安排</strong></p><p style=\"text-align: center;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250782791159.png\" title=\"\" alt=\"微信图片_20210528084231\"/></strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\"><strong>活动费用<br/></strong></p><p><br/></p><p style=\"text-align: center;\">一大一小：&nbsp; 398元</p><p style=\"text-align: center;\">单大：180元&nbsp; 单小：220元</p><p style=\"text-align: center;\">费用不含：餐费</p><p style=\"text-align: center;\">免费赠送意外保险，报名时须提供姓名，身份证号，电话。</p><p style=\"text-align: center;\"><strong><br/></strong><strong>每期人数</strong></p><p style=\"text-align: center;\">限40组家庭，满30组家庭开营。欢迎机构定制。</p><p><br/></p><p style=\"text-align: center;\"><strong>开营时间</strong></p><p style=\"text-align: center;\">6月14日开营</p><p><br/></p><p style=\"text-align: center;\"><strong>用餐选择</strong><br/></p><p style=\"text-align: center;\">1、旅行团餐：400元/桌（10人/桌），报名时请提前说明。</p><p style=\"text-align: center;\">2、中餐自行解决。</p><p><br/></p><p style=\"text-align: center;\"><strong>联系电话</strong></p><p style=\"text-align: center;\">13812341720&nbsp; &nbsp;张老师</p><p style=\"text-align: center;\">13812343696&nbsp; 卜老师&nbsp;</p><p><br/></p><p style=\"text-align: center;\"><strong>自备物品</strong></p><p style=\"text-align: center;\">凉鞋、换洗衣服一套，海边紫外线强，做好防嗮。</p><p style=\"text-align: center;\">注：海上项目按潮水时间而定</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210529/1622250948290170.gif\" title=\"\" alt=\"微信图片_20210519144030\"/></p><p style=\"text-align: center;\"><strong>快来报名吧！！</strong></p>', NULL, NULL, NULL, 'system', '2021-05-29 09:04:32', 'system', '2021-05-29 09:04:32');
INSERT INTO `ld_article_content` VALUES (95, 7, '景区动态', '六一儿童节 | 与爱同行 关爱残疾儿童', NULL, 'zh', '2021-06-02', '/profile/liandao_old_data/60b74818ebd78.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624009389714.jpg\" title=\"\" alt=\"IMG_4525_副本\"/></p><p>儿童是祖国的花朵，未来的希望，2021年6月1日上午，区残联、区法院、连岛景区、博爱康复中心联合开展庆六一特殊慰问活动，带领孩子们走进连岛景区，帮助孩子们融入社会、走进生活、亲近自然，度过一个快乐、有意义的节日，进一步增强残疾儿童的自尊、自信、自立、自强的信念，促进连云区特殊教育事业的健康发展。</p><p><br/></p><p style=\"text-align: center;\"><strong>六月 迎接美好</strong></p><p>博爱康复中心组织了23名在训残疾儿童、23位儿童家长、14位老师参加了本次活动，在连云区法院爱心法官、区残联党员同志、连岛景区党员志愿者的陪伴下安全有序地游览了连岛景区，度过了一个快乐的节日。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624049241054.jpg\" title=\"\" alt=\"IMG_4532_副本\"/></p><p>六月是歌的海洋，六月是花的沃土，六月是孩子们的季节，在“六一”国际儿童节当天，连岛景区为孩子们送来节日的祝福和精美的六一礼物。</p><p><br/></p><p style=\"text-align: center;\"><strong>近距离看孔雀</strong></p><p></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624098626571.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624098215930.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624099251529.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624099382238.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>大沙湾 看海玩沙</strong></p><p></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624146932918.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624146828655.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624147736755.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624147874111.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624173269795.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624173156876.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624175935474.jpg\" style=\"\"/></p><p>“看，大海真的很蓝！”第一次看到大海，孩子们不禁欢呼起来，挖沙子、踩水，一个个都玩得不亦乐乎，有许多孩子们都是第一次看到大海，高兴得手舞足蹈。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624203225632.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624204331744.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624205305584.jpg\" style=\"\"/></p><p>虽然海风此时仍有些微凉，但却无法阻挡孩子们的热情。捡贝壳、吹海风，光着小脚踩在柔软的沙滩上，孩子们激动异常。虽然他们中有人行走缓慢，有人动作僵硬不太协调，甚至有人只能坐在轮椅上，但面对蓝色的大海，所有孩子们都大声欢呼着，久久无法平静。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624260840196.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624260729450.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624261727581.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624261991678.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210602/1622624262421480.jpg\" style=\"\"/></p><p>本次活动连岛景区全方位做好后勤保障工作，为孩子和家长们精心准备零食了和玩具，让这一群折翼天使尽享爱的温暖，感受社会对他们的关心和关爱，度过一个快乐的节日，从而激发孩子们对美好生活的追求和对未来的信心。</p>', NULL, NULL, NULL, 'system', '2021-06-02 09:02:58', 'system', '2021-06-02 09:02:58');
INSERT INTO `ld_article_content` VALUES (96, 7, '景区动态', '高考加油 | 凭准考证免费入园，连岛景区为高考助力一“夏”！', NULL, 'zh', '2021-06-09', '/profile/liandao_old_data/60c018ce02b04.jpg', NULL, '富文本', '<p style=\"text-align: center;\"></p><p style=\"text-align: center;\"></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202058991163.jpg\" title=\"\" alt=\"图怪兽_aa30ef20982b7d2d63552e3a15d4f6cb_83600\"/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>全力以赴 未来很酷</strong></span></p><p><span style=\"font-size: 18px;\"><strong><br/></strong></span></p><p style=\"text-align: center;\">希望七八九号不会太热</p><p style=\"text-align: center;\">希望去考场的路上不堵车</p><p style=\"text-align: center;\">希望你发挥正常</p><p style=\"text-align: center;\">希望你能和一两个认识的同学</p><p style=\"text-align: center;\">在一个考场</p><p style=\"text-align: center;\">就为了抬头有个熟脸</p><p style=\"text-align: center;\">让你知道你不是一个人在战斗</p><p style=\"text-align: center;\">逐梦路上你最棒</p><p style=\"text-align: center;\">愿六月可以善待你</p><p style=\"text-align: center;\">愿你可以创造奇迹</p><p style=\"text-align: center;\">高三加油</p><p style=\"text-align: center;\">高考加油</p><p style=\"text-align: center;\">愿你合笔入盖的刹那</p><p style=\"text-align: center;\">有着侠客收剑入鞘的骄傲</p><p><br/></p><p style=\"text-align: center;\">一定要记得</p><p style=\"text-align: center;\">带上所有考试所需用品</p><p style=\"text-align: center;\">带上自信</p><p style=\"text-align: center;\">从容淡定</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">青春，就是一场勇往直前的旅行</span></strong></p><p style=\"text-align: center;\">为了激励即将高考的莘莘学子</p><p style=\"text-align: center;\">连岛景区为各位同学们</p><p style=\"text-align: center;\">带来了高考优惠！！！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201472829315.gif\" title=\"\" alt=\"微信图片_20210605164118\"/></p><p style=\"text-align: center;\"><strong>活动时间</strong></p><p style=\"text-align: center;\">2021年6月、7月、8月</p><p><br/></p><p style=\"text-align: center;\"><strong>活动对象</strong></p><p style=\"text-align: center;\">2021年高考学生</p><p><br/></p><p style=\"text-align: center;\"><strong>活动内容</strong></p><p style=\"text-align: center;\">凭2021年高考准考证免费入园！</p><p><br/></p><p style=\"text-align: center;\">青春是一场旅行</p><p style=\"text-align: center;\">即将迈入考场的你</p><p style=\"text-align: center;\">是否也想考完后疯狂一次</p><p style=\"text-align: center;\">那就带上准考证</p><p style=\"text-align: center;\">来一场说走就走的旅行吧！</p><p style=\"text-align: center;\">我在<span style=\"color: rgb(255, 0, 0);\"><strong>连岛景区</strong></span>等你！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201580145049.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201580337276.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201580301581.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">美丽的连岛</span></strong></p><p><br/></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\"><strong>连岛</strong></span>，古称鹰游山，坐落在物产富饶的海州湾内，与新亚欧大陆桥东桥头堡--连云港港隔海相望。连岛，其形状狭长，东南、西北走向，海岸线长18公里，折列如画屏，俨然一座美丽的海上屏风。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201916348669.jpg\" title=\"\" alt=\"微信图片_20210609092452\"/></p><p style=\"text-align: justify;\"><span style=\"color: rgb(255, 0, 0);\"><strong>大沙湾游乐园</strong></span>是拥有优质沙滩的天然海水浴场，在这里您或是追波踏浪，或是静卧沙滩，都可以尽享大海带来的无限柔情。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201935998132.png\" title=\"\" alt=\"微信图片_20210609092455\"/></p><p style=\"text-align: justify;\">连接大沙湾和苏马湾景区的是一条2.5公里长的<span style=\"color: rgb(255, 0, 0);\"><strong>海边栈道</strong></span>，它时而平缓时而蜿蜒，像一条卧龙，把两个景点连成一体，行走在上面，沿途的海景一览无遗。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201951723576.png\" title=\"\" alt=\"微信图片_20210609092500\"/></p><p style=\"text-align: justify;\">置身于<span style=\"color: rgb(255, 0, 0);\"><strong>孔雀园</strong></span>，与孔雀零距离接触，感受大自然带来的独特魅力。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201960255187.jpg\" title=\"\" alt=\"微信图片_20210609092503\"/></p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">连岛景区祝高考学子</span></strong></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong><span style=\"font-size: 18px;\">十年寒窗读书苦，一朝成名天下扬！</span></strong></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623201772123321.jpg\" title=\"\" alt=\"微信图片_20210609092240\"/></p>', NULL, NULL, NULL, 'system', '2021-06-09 09:15:16', 'system', '2021-06-09 09:15:16');
INSERT INTO `ld_article_content` VALUES (97, 7, '景区动态', '连岛景区开展反恐防暴应急演练！', NULL, 'zh', '2021-06-09', '/profile/liandao_old_data/60c01c1362425.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202525471409.jpg\" title=\"\" alt=\"微信图片_20210609093515\"/></p><p style=\"text-align: center;\"><strong>连岛景区反恐防暴应急演练</strong></p><p><br/></p><p>今年是江苏省第28个“安全生产月”，为了扎实推进“安全生产月”系列活动，有效防范和处置连岛景区公共场所突发伤害事件，切实保障景区员工及游客的人身安全，提高员工疏散游客、紧急避险、冷静处理能力，最大程度地预防和减少突发公共事件及其造成的损害，维护景区安全、稳定运行，值旅游旺季来临之际，连岛景区联合北港派出所开展了“反恐防暴”应急演练。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202585428759.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202585905573.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202586692446.png\" style=\"\"/></p><p>演练当日，一“不明身份男子”持铁棍劫持游客，紧接着一场惊心动魄的“反恐抓捕行动”展开了。谁知“暴徒”不顾劝阻持棍砸向安防员，安防员一边躲避，一边与之交涉周旋、争取缓解事件，并选择适当时机向应急指挥中心报告，拨打110请求支援。</p><p><br/></p><p>同时，将游客中心排队购票的游客迅速疏散并转移到安全空间，医疗救护紧急到位。经过统筹协调各应急小组赶赴现场，最终制服“暴徒”，解救“人质”，游客中心秩序恢复正常。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202622923402.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202622992595.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202623589730.jpg\" style=\"\"/></p><p>此次演练活动的组织开展，有效检验了连岛景区反恐防暴预案和演练方案的科学性、有效性。</p><p><br/></p><p>景区总经理王建刚表示，此次旅游旺季前的反恐演练，旨在进一步提升全景区应急处置和反恐防暴的工作能力，确保遇到恐怖袭击等突发情况时能够迅速有效应对，为营造旅游旺季期间景区安全和谐的游览环境打下坚实的基础。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>预演现场</strong></p><p>安监部主任张锦永，提前一天召集主要人员进行预案预演，讲解“反恐演练”脚本，不断提升演练质量。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202678655308.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202678144191.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>演练现场</strong></p><p>公司副总经理李学兵开展演练动员讲话，并邀请连云港港公安北港派出所副所长阮磊现场进行防暴器械的规范使用及实战技能教学。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202713411881.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202713984385.jpg\" style=\"\"/></p><p>演练开始，我司安保人员及反恐防暴应急队员迅速到达现场，与“歹徒”展开激烈搏斗，巧用反恐防暴器材，压制“歹徒”。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202738363276.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202739500946.png\" style=\"\"/></p><p>连云港港公安北港派出所接警后迅速赶到现场，逮捕“歹徒”。医务人员及时处理“人质”伤口，与工作人员一起安抚照顾受伤游客。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202770815834.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210609/1623202771702577.png\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-06-09 09:32:37', 'system', '2021-06-09 09:32:37');
INSERT INTO `ld_article_content` VALUES (98, 7, '景区动态', '快乐童年，趣味端午！', NULL, 'zh', '2021-06-15', '/profile/liandao_old_data/60c7fc3101054.jpg', NULL, '富文本', '<p style=\"text-align: center;\">2021年6月14日</p><p style=\"text-align: center;\">在端午节这天</p><p style=\"text-align: center;\">连岛景区携手七彩帆船营地</p><p style=\"text-align: center;\">联合开展“趣·连岛”</p><p style=\"text-align: center;\">一日海岛亲子嘉年华活动</p><p><br/></p><p style=\"text-align: center;\">快跟小编一起</p><p style=\"text-align: center;\">来回顾一下热闹的活动现场吧~</p><p><br/></p><p style=\"text-align: center;\"><strong>连岛景区&amp;七彩帆船营地</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718326447922.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718327451399.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">在本次活动中，学员们上午走进七彩帆船营地体验帆船运动；下午前往大沙湾景区进行“沙滩寻宝”，寓学于趣，边玩边学，通过一天的行程，让孩子们的端午小长假生活丰富多彩，提高孩子们对海洋、对生活、对大自然的热爱，同时增进亲子关系。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718635670040.jpg\" title=\"\" alt=\"微信图片_20210615085641\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>七彩帆船营地</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718671388704.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718671625985.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718671588613.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">上午在七彩帆船营地内，学员们体验了非常丰富的项目，首先学习了帆船航行原理，听风辨位，了解航海文化，然后进行了贝壳涂鸦，并通过亲子皮划艇、冲锋舟海上巡航体验了速度与激情，多样的趣味活动让大人、孩子们身临其境的互动体验，全方位了解水上运动，提高青少年综合竞争力，让学员们真正掌握帆船和皮划艇运动的要领，亲近海洋，在海上搏击风浪，扬帆起航。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718720426072.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718720903170.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718720904291.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718721225699.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718721378227.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>大沙湾游乐园</strong></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718847220231.jpg\" title=\"\" alt=\"微信图片_20210615090036\"/></p><p style=\"text-align: justify;\">下午全家总动员，开启了一场别开生面的“沙滩寻宝”之旅。沙滩上家长们带着孩子提着五颜六色的小桶开始作战起来，各个家庭自由组合，尽情发挥自己的想象力，用沙子堆城堡、海洋生物等，在规定时间内完成沙雕作品。</p><p><br/></p><p style=\"text-align: justify;\">随后来到“寻宝区”，沙滩里藏着许许多多的“宝贝”，小朋友们拿起小铁锹，拎起小桶，挖一挖、找一找，看看都有哪些“宝贝”，将挖到的宝贝放在自己的小桶里，看谁挖得多，挖得快，通过自己的劳动成果去兑换礼品，度过快乐的海边时光。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718870124826.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718870154295.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718870737786.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210615/1623718871673242.jpg\" style=\"\"/></p><p style=\"text-align: center;\">此次活动的开展</p><p style=\"text-align: center;\">让亲子家庭们充分地参与其中</p><p style=\"text-align: center;\">在操作过程中感受相互之间的合作与分享</p><p style=\"text-align: center;\">不仅能充分体验航海带来的刺激与挑战</p><p style=\"text-align: center;\">而且能够感受大自然赋予的快乐</p><p style=\"text-align: center;\">增进了家长与孩子们的亲情</p><p><br/></p><p style=\"text-align: right;\">图文：汪卫青</p>', NULL, NULL, NULL, 'system', '2021-06-15 08:50:00', 'system', '2021-06-15 08:50:00');
INSERT INTO `ld_article_content` VALUES (99, 7, '景区动态', '盛况空前！热血爆棚！直击第三届连岛沙滩音乐狂欢节现场，嗨爆了！', NULL, 'zh', '2021-07-08', '/profile/liandao_old_data/60e65b4d0e3ae.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">7月2日晚19:00</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">第三届连岛沙滩音乐狂欢节</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">在连岛景区大沙湾沙滩上激情开演</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">声声入耳、动人心弦的音乐</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">引得现场观众阵阵欢呼与掌声</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">没办法去现场的朋友们不要遗憾</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">本届沙滩音乐节将持续到</span><span style=\"font-family:Calibri\">8</span><span style=\"font-family:宋体\">月</span><span style=\"font-family:Calibri\">30</span><span style=\"font-family:宋体\">日</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708785716286.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708786347579.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708787567819.jpg\" style=\"\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">下面，小编带你们直击现场！</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">准备好跟着小编一起尖叫了吗？！</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">Are you ready</span><span style=\"font-family:宋体\">！</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708807469561.jpg\" style=\"\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">舞台灯光亮起</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">动感的旋律点燃了现场氛围</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">令现场观众在音乐盛典中回味无穷</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">每个人在酣畅淋漓的律动中</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">找到属于自己的节拍</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">现场气氛被推向一波高潮！</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708843301755.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708844889015.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625708845103944.jpg\" style=\"\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">此次音乐节</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">邀请了</span><span style=\"font-family:Calibri\">12</span><span style=\"font-family:宋体\">遗岛乐队</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">SEXY QUEEN</span><span style=\"font-family:宋体\">女团</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">LOLLIPOP</span><span style=\"font-family:宋体\">组合等汇聚连岛大沙湾</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">掀起强劲的音乐旋风</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709162973664.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709162424033.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709163916021.jpg\" style=\"\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">现场</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">尖叫声、掌声此起彼伏</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">动感刺激的摇滚</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">轻松自在的流行歌曲</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">掀起气氛高潮的观众互动</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">观众们举起手机</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">记录这激动人心的时刻！</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">音乐节开幕之夜够嗨、够狂热</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">这里只有音乐和快乐</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">大家沉浸在音乐与狂欢的海</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">一起随着音乐摇摆</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">收获这一场最震撼的视听盛宴</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709192331195.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709193998531.jpg\" style=\"\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">除了激情火爆的音乐节，</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">连岛景区还有数不清的</span><span style=\"font-family:宋体\">“看点”！</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">海鲜美食宴</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">全民的</span><span style=\"font-family:宋体\">“美味狂欢”</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">啤酒、烧烤、小龙虾、海鲜</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">众多风情美食</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">带你感受味蕾的狂欢！</span></span></p><p><br/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">这个夏天，来连岛沙滩音乐节</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">用属于海边的仪式感</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">珍藏最美好的夏日时光</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">沿着四季的脉络</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">收获充沛的成长</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">和对未来明亮的期待</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">我们在美丽的大沙湾</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">静待您的到来！</span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709237873867.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210708/1625709238675605.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-07-08 09:13:30', 'system', '2021-07-08 09:13:30');
INSERT INTO `ld_article_content` VALUES (100, 7, '景区动态', '“连岛杯”2021年连云港全国铁人三项冠军杯赛鸣枪开赛！', NULL, 'zh', '2021-07-18', '/profile/liandao_old_data/60f3af9d988a6.jpg', NULL, '富文本', '<p style=\"text-align: center;\">“连岛杯“2021连云港全国铁人三项冠军杯赛暨U系列冠军杯赛</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582804643395.jpg\" title=\"\" alt=\"微信图片_20210718122915\"/></p><p>7月10日，由中国铁人三项运动协会、江苏省体育局、连云港市人民政府主办的“连岛杯” 2021连云港全国铁人三项冠军杯赛暨U系列冠军杯赛在连岛景区举行。本次赛事历时2天，也是第十四届全国运动会铁人三项项目资格赛最后一站，来自全国各地120余名“铁人三项”的顶尖选手在“全国十大美丽海岛”开展激烈角逐，为广大游客奉上一场高水平的铁三盛宴。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582818263530.gif\" title=\"\" alt=\"微信图片_20210718123051\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582835962283.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582835658219.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582836505353.jpg\" style=\"\"/></p><p>七月的海岛热情似火，风景秀丽。伴随着发令枪的鸣响，选手们争先恐后，纵身一跃跳入海中，乘风破浪，开始了一场勇气与毅力的角逐。</p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582845255997.jpg\" title=\"\" alt=\"微信图片_20210718123103\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582875439305.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582876789960.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">短短20分钟的时间，选手们结束游泳的比赛，迅速跑到换项区进行环岛骑行，在“江苏最美跑步线路”上风驰电掣，用激情与速度，肆意挥洒着汗水，体验竞技运动带来的动感和快乐。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582892381955.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582892804550.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582892730073.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582893239816.jpg\" style=\"\"/></p><p>乘风破浪、自由骑行、纵情奔跑，铁人三项项目转换间，“铁人精神”被充分诠释，“铁人”运动的魅力尽显无疑，也为周末出游的市民和广大游客奉献上一场体育盛宴。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582900957692.jpg\" title=\"\" alt=\"微信图片_20210718123141\"/></p><p>在赛事开展前期，连岛景区全力配合赛事相关工作，抽调100余名工作人员开展全方位、全流程的赛事后勤保障服务。从前期举办的“连岛12小时超级马拉松”、“连岛荧光跑”、“山海骑缘骑行大会”、2019年“同科杯”连云港铁人三项亚洲杯赛暨一带一路铁人三项赛，到“连岛杯”2021连云港全国铁人三项冠军杯赛暨U系列冠军杯赛，这些赛事的成功举办，积极促进了体育与文旅的融合发展，也是宣传连云港旅游和城市形象的难得机会，充分展现了连云港市的海滨景色与人文风光，大大提升了连岛景区的知名度和美誉度！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626582908104571.jpg\" title=\"\" alt=\"微信图片_20210718123144\"/></p><p><br/></p><p style=\"text-align: right;\">图：王健民</p><p style=\"text-align: right;\">文：汪卫青</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-07-18 12:28:27', 'system', '2021-07-18 12:28:27');
INSERT INTO `ld_article_content` VALUES (101, 7, '景区动态', '即日起，连岛景区栈道实施封闭改造……', NULL, 'zh', '2021-07-18', '/profile/liandao_old_data/6152e06a26f86.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210718/1626583005636367.jpg\" title=\"\" alt=\"微信图片_20210517142840\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">尊敬的游客朋友们：<br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">&nbsp; &nbsp; &nbsp; 连岛景区海滨栈道实施封闭改造，暂停使用，封闭期间，如需徒步游览的游客，可沿景区游步道前往苏马湾。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">&nbsp; &nbsp; &nbsp; 望广大游客知悉相告，给您造成的不便敬请谅解！</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">连岛景区</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">2021年7月8日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-07-18 12:36:21', 'system', '2021-07-18 12:36:21');
INSERT INTO `ld_article_content` VALUES (102, 7, '景区动态', '祖国华诞，普天同庆 | 连岛景区国庆活动即将火热开启！', NULL, 'zh', '2021-10-04', '/profile/liandao_old_data/615a96e6373f8.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326162767508.jpg\" title=\"\" alt=\"微信图片_20211004134109\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326258867527.jpg\" title=\"\" alt=\"微信图片_20211004134127\"/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>“与国同庆”免费游&nbsp;&nbsp;</strong></span></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p></p><p style=\"text-align: center;\"><strong>活动时间</strong></p><p style=\"text-align: center;\">2021年10月1日-10月7日</p><p><br/></p><p style=\"text-align: center;\"><strong>活动内容</strong></p><p>1、10月1日出生的游客、姓名中带有“国庆”两字的游客，凭有效身份证可免费游览连岛景区；</p><p>2、10月1日出生且名字中带有“国庆”两字的游客，免费游览景区并赠送游轮或帆船体验票一张。</p><p><br/></p><p style=\"text-align: center;\"><strong>活动详情</strong></p><p>符合条件的游客持有效身份证件在大沙湾检票口处走证件通道，出示证件即可免票入园。</p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326266878586.jpg\" title=\"\" alt=\"微信图片_20211004134133\"/></strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center;\">喊上您身边叫“国庆”的朋友免费游园</p><p style=\"text-align: center;\">在连岛尽情游弋嬉戏</p><p style=\"text-align: center;\">徜徉于金滩、碧海、清风、阳光之中</p><p style=\"text-align: center;\">这里没有都市的喧嚣与浮华</p><p style=\"text-align: center;\">带给您的只有惬意和舒爽</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>戴上中国红，为祖国妈妈庆生</strong></span></p><p><br/></p><p style=\"text-align: center;\">&nbsp;我们生在红旗下，长在春风里</p><p style=\"text-align: center;\">目光所至皆为华夏</p><p style=\"text-align: center;\">五星闪耀皆为信仰</p><p style=\"text-align: center;\">“我爱你，中国！”</p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\"><strong>活动时间</strong></span><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center;\">2021年10月1日-10月7日</p><p><br/></p><p style=\"text-align: center;\"><strong>活动内容</strong></p><p style=\"text-align: center;\">每天随机发放500份连岛景区定制口罩，邀请游客戴上口罩并合照。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326343288570.jpg\" style=\"\"/></p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211004/1633326342417661.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326343417024.jpg\" style=\"\"/></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211004/1633326342638030.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p style=\"text-align: center;\"><span style=\"text-align: center;\">当戴口罩成为生活中的常态时</span></p><p style=\"text-align: center;\">这款中国风的口罩</p><p style=\"text-align: center;\">简直不要太好看</p><p style=\"text-align: center;\">戴上它营造出的出街国风潮流</p><p style=\"text-align: center;\">传扬的红色精神</p><p style=\"text-align: center;\">迅速成为出街新标识</p><p style=\"text-align: center;\">自然而成的成为了口罩界的C位</p><p style=\"text-align: center;\">如果信念有颜色</p><p style=\"text-align: center;\">那一定是中国红</p><p style=\"text-align: center;\">国庆在即</p><p style=\"text-align: center;\">戴上中国红，为祖国妈妈庆生</p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>星空有梦 耳畔有风&nbsp;</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326533719554.jpg\" title=\"\" alt=\"微信图片_20211004134159\"/></strong></span></p><p style=\"text-align: center;\">一头扎进自然里</p><p style=\"text-align: center;\">出门就是碧海、蓝天、金沙滩</p><p style=\"text-align: center;\">在伸手可触的星空下入梦</p><p style=\"text-align: center;\">在立体围绕鸟鸣声中苏醒</p><p style=\"text-align: center;\">……</p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326570107748.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326570671670.jpg\" style=\"\"/></p><p style=\"text-align: center;\">伴着星光和清风入眠</p><p style=\"text-align: center;\">在海浪声和虫鸣中醒来</p><p style=\"text-align: center;\">在海边迎接清晨第一缕阳光</p><p style=\"text-align: center;\">在大自然中享受惬意的亲子时光~</p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326602792380.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326602161249.jpg\" style=\"\"/></p><p style=\"text-align: center;\">10月2日-4日</p><p style=\"text-align: center;\">连岛景区携手山山林艺术教育</p><p style=\"text-align: center;\">开展国庆亲子露营艺术节活动</p><p style=\"text-align: center;\">为祖国妈妈献花礼与放飞气球</p><p style=\"text-align: center;\">增进亲子关系，同时培养孩子爱国情怀</p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326714375130.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326714657002.jpg\" style=\"\"/></p><p></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>庆国庆 百人环岛赛助力连岛5A景区创建</strong></span><br/></p><p style=\"text-align: center;\"></p><p style=\"text-align: center;\">秋风作乐、海景为伴</p><p style=\"text-align: center;\">10月7日上午，连岛景区将邀请连云区马拉松协会会员</p><p style=\"text-align: center;\">以健康跑的方式为连岛景区创建5A级景区助力</p><p style=\"text-align: center;\">为健康生活方式发声</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326761833852.png\" title=\"\" alt=\"微信图片_20211004134223\"/></p><p style=\"text-align: center;\">最后冲刺阶段</p><p style=\"text-align: center;\">我们将紧紧围绕创建国家5A级景区的工作目标</p><p style=\"text-align: center;\">以“旅游+”为契机</p><p style=\"text-align: center;\">在文旅+体育高度融合上做文章</p><p style=\"text-align: center;\">在创意创新发展上谋思路</p><p style=\"text-align: center;\">将更多文体资源、体育要素转化为旅游产品</p><p style=\"text-align: center;\">用健将的风姿、奔跑的速度向着国家5A级景区全力冲刺！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633326800633335.jpg\" title=\"\" alt=\"微信图片_20211004134225\"/></p>', NULL, NULL, NULL, 'system', '2021-10-04 13:40:38', 'system', '2021-10-04 13:40:38');
INSERT INTO `ld_article_content` VALUES (103, 7, '景区动态', '国庆小长假第三天： 连岛景区热闹非凡，活动精彩，人气够“燃”！', NULL, 'zh', '2021-10-04', '', NULL, '富文本', '<p>国庆小长假期间，港城天气晴朗，秋高气爽，连岛景区旅游人次不断攀升，工作人员各尽其职，在确保为游客营造良好旅游环境的同时，还为每一位游客免费赠送精美小礼品，旅游之余更是增添了一丝喜悦。</p><p><br/></p><p style=\"text-align: center;\"><strong>游人如织、人气爆棚</strong></p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327013566883.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327013761514.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327013917048.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327013110356.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>欢度国庆节</strong></span></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong>免费发放精美小礼品</strong></p><p><br/></p><p style=\"text-align: center;\">连岛景区由于内部提档升级</p><p style=\"text-align: center;\">给大家的游览带来了不便</p><p style=\"text-align: center;\">为表歉意，十一小长假期间入园的游客</p><p style=\"text-align: center;\">免费赠送小礼品一份</p><p style=\"text-align: center;\">还望能得到大家的理解和支持！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327046128545.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327046107177.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327046170748.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>免费发放小国旗</strong></p><p><br/></p><p style=\"text-align: center;\">连岛景区还为游客们</p><p style=\"text-align: center;\">精心准备了免费的小国旗</p><p style=\"text-align: center;\">游客朋友们手持红旗</p><p style=\"text-align: center;\">脸上洋溢着的骄傲的笑容</p><p style=\"text-align: center;\">定格成了一幅幅充满爱意的画面</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327107120661.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327107494828.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327107596665.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327107640647.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327107532626.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>星空露营</strong></p><p><br/></p><p style=\"text-align: center;\">在一望无际的金色沙滩</p><p style=\"text-align: center;\">我有一所“房子”</p><p style=\"text-align: center;\">逃离城市的喧嚣和枯燥生活</p><p style=\"text-align: center;\">全程沉浸式露营派对体验</p><p style=\"text-align: center;\">体会大海带给我们的惊喜和治愈</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327145427513.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327145834967.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327145538200.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327145233468.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327145494855.jpg\" style=\"\"/></p><p style=\"text-align: center;\">孩子们拿起五彩斑斓的画笔</p><p style=\"text-align: center;\">天马行空的创意投射在小小的心里和手中</p><p style=\"text-align: center;\">在国庆节之际，为祖国妈妈献花礼</p><p style=\"text-align: center;\">傍晚时分，孩子们一起放飞气球</p><p style=\"text-align: center;\">一个个彩色的心愿</p><p style=\"text-align: center;\">随着五颜六色的气球在空中飘动</p><p style=\"text-align: center;\">愿祖国繁华似锦，永不凋零</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327172834240.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327172822428.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>祝福祖国</strong></span></p><p><br/></p><p style=\"text-align: center;\">目光所至皆为华夏</p><p style=\"text-align: center;\">五星闪耀皆为信仰</p><p style=\"text-align: center;\">连岛景区全体职工</p><p style=\"text-align: center;\">为共庆祖国繁盛</p><p style=\"text-align: center;\">送上心意满满的祝福</p><p style=\"text-align: center;\">戴上定制的口罩</p><p style=\"text-align: center;\">愿伟大的祖国母亲</p><p style=\"text-align: center;\">生日快乐，繁荣昌盛</p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327242762208.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327242416823.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327242455574.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327242751558.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327242359971.jpg\" style=\"\"/></p><p><br/></p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"></span></span></p><p style=\"text-align: center;\">这个假期，景区每一位工作人员</p><p style=\"text-align: center;\">都是前线的“战士”</p><p style=\"text-align: center;\">游客的安全、舒心就是我们坚守的目标</p><p style=\"text-align: center;\">金秋十月，微风不凉，阳光不燥</p><p style=\"text-align: center;\">气温刚刚好，美景刚刚好</p><p style=\"text-align: center;\">你来了刚刚好！</p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"></span></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327264510635.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211004/1633327264868755.jpg\" style=\"\"/></p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"><br/></span></span><br/></p>', NULL, NULL, NULL, 'system', '2021-10-04 13:53:45', 'system', '2021-10-04 13:53:45');
INSERT INTO `ld_article_content` VALUES (104, 7, '景区动态', '春天赏花不打烊，赏花需趁早~', NULL, 'zh', '2021-03-22', '/profile/liandao_old_data/605829477951a.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><strong>春风十里 我在连岛等你</strong></p><p style=\"text-align: center;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390086875515.gif\" title=\"\" alt=\"赏花要趁早\"/></strong></p><p><br/></p><p style=\"text-align: center;\">一年中最浪漫的时光已经到了</p><p style=\"text-align: center;\">最近连岛的春天</p><p style=\"text-align: center;\">似乎真的“来了”</p><p style=\"text-align: center;\">樱花、梅花、油菜花......</p><p style=\"text-align: center;\">纷纷登场</p><p style=\"text-align: center;\">在这样一个“花花世界”里</p><p style=\"text-align: center;\">如果不去赏花岂不亏大了</p><p style=\"text-align: center;\">走~</p><p style=\"text-align: center;\">跟小编一起去连岛景区</p><p style=\"text-align: center;\">看看那些开的正艳的花儿们</p><p><br/></p><p style=\"text-align: center;\"><strong><br/></strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\"><strong>樱花</strong></p><p><strong><br/></strong></p><p></p><p style=\"text-align: center;\">春天里最浪漫的</p><p style=\"text-align: center;\">当属樱花</p><p style=\"text-align: center;\">樱花静悄悄地开</p><p style=\"text-align: center;\">粉嫩的花瓣随着微风轻轻地飘荡</p><p style=\"text-align: center;\">清香随着微风轻轻地溢满了空气</p><p style=\"text-align: center;\">让人神清气爽</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390148839083.jpg\" title=\"\" alt=\"微信图片_20210322131149\"/></p><p style=\"text-align: center;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; cursor: text; color: rgb(127, 127, 127); font-size: 15px; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; overflow-wrap: break-word !important; outline: none 0px !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390160239652.jpg\" title=\"\" alt=\"微信图片_20210322131152\"/></span></p><p style=\"text-align: center;\"><strong><br/></strong><strong>梅花</strong><br/></p><p><strong><br/></strong></p><p><br/></p><p style=\"text-align: center;\">景区内开的最欢的当属</p><p style=\"text-align: center;\">梅花</p><p style=\"text-align: center;\">阵阵幽香扑鼻而来</p><p style=\"text-align: center;\">沁人心脾</p><p style=\"text-align: center;\">一朵朵梅花挂满枝头</p><p style=\"text-align: center;\">有的含苞待放</p><p style=\"text-align: center;\">有的花絮初绽</p><p style=\"text-align: center;\">有的迎风怒放</p><p style=\"text-align: center;\">与大海相互映衬，形成一幅美丽画卷</p><p><strong><br/></strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390207385483.jpg\" title=\"\" alt=\"微信图片_20210322131243\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390215698709.jpg\" title=\"\" alt=\"微信图片_20210322131246\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390237276525.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390237799171.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390238736540.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><strong>迎春花</strong></p><p><strong><br/></strong></p><p><br/></p><p style=\"text-align: center;\">迎春花是春的使者</p><p style=\"text-align: center;\">春天还未到来</p><p style=\"text-align: center;\">它便早早地长出枝叶</p><p style=\"text-align: center;\">吐出花苞</p><p style=\"text-align: center;\">春天一到</p><p style=\"text-align: center;\">它便欣然怒放</p><p style=\"text-align: center;\">撑起金黄的小喇叭</p><p style=\"text-align: center;\">在灿烂阳光的照射下开得娇艳又惹眼</p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390292154529.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390292539659.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><br/></strong><strong>二月蓝</strong><br/></p><p><strong><br/></strong></p><p style=\"text-align: center;\">花海内</p><p style=\"text-align: center;\">二月蓝迎着春光盛放</p><p style=\"text-align: center;\">高高低低的样子</p><p style=\"text-align: center;\">一株株、一片片蓝紫色的花朵</p><p style=\"text-align: center;\">一朵一朵的小花铺成一层蓝紫色的地毯</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390354370776.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390354332428.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>玉兰花</strong></p><p><br/></p><p style=\"text-align: center;\">玉兰花的绽放总是那么的不显山露水</p><p style=\"text-align: center;\">从树底一直开到树梢</p><p style=\"text-align: center;\">纯粹的连叶子都多余</p><p style=\"text-align: center;\">还时不时散发出一阵阵清香</p><p style=\"text-align: center;\">优雅地绽开，亭亭玉立，风韵独特</p><p style=\"text-align: center;\">每一个花瓣上都凝着一层淡淡的从容</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390398764190.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390399116667.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>油菜花</strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\">春天如约而至</p><p style=\"text-align: center;\">正是油菜花烂漫的时节</p><p style=\"text-align: center;\">油菜花的外貌极其平凡</p><p style=\"text-align: center;\">它们没有月季、玫瑰、牡丹那样</p><p style=\"text-align: center;\">多变的姿态，多样的色彩</p><p style=\"text-align: center;\">它们自始至终只有黄色</p><p style=\"text-align: center;\">充满朝气的黄色</p><p></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390443981847.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210322/1616390443955052.jpg\" style=\"\"/></p><p><strong><br/></strong></p><p style=\"text-align: center;\">看到这么美丽的照片</p><p style=\"text-align: center;\">心动了吗？</p><p style=\"text-align: center;\">那就行动起来！</p><p style=\"text-align: center;\">趁着花期</p><p style=\"text-align: center;\">约上家人、朋友</p><p style=\"text-align: center;\">来连岛景区</p><p style=\"text-align: center;\">一起赏花吧！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-03-22 13:11:23', 'system', '2021-03-22 13:11:23');
INSERT INTO `ld_article_content` VALUES (105, 7, '景区动态', '嗨，秋天！秋日海边别样美，快来打卡连岛深秋美景！', NULL, 'zh', '2021-10-21', '/profile/liandao_old_data/6170d9860090b.jpg', NULL, '富文本', '<p style=\"text-align: center\"><strong><span style=\"font-size: 20px;\">你好！秋天</span></strong></p><p><strong><span style=\"font-size: 20px;\"><br/></span></strong></p><p style=\"text-align: center;\"><strong>连岛的秋天是沉静的</strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578286364.jpg\" style=\"\"/></p><p style=\"text-align: center;\">秋天的海宁静、治愈</p><p style=\"text-align: center;\">来海边走上一遭 仿佛可以忘记所有烦恼</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578109354.jpg\" style=\"\"/></p><p style=\"text-align: center;\">秋风渐浓</p><p style=\"text-align: center;\">暴晒、拥挤这些海岛夏天的烦恼都散去了</p><p style=\"text-align: center;\">没有了熙熙攘攘的游人</p><p style=\"text-align: center;\">只剩下温柔舒适的海风，如痴如醉的秋色</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578745735.jpg\" style=\"\"/></p><p style=\"text-align: center;\">这时海水留存着夏日的余温</p><p style=\"text-align: center;\">阳光也少了些许肆意的张扬</p><p style=\"text-align: center;\">甚至连沙滩都比往日更加的宁静</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578259743.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578654029.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578950257.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>连岛的秋天是金色的</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578472144.jpg\" style=\"\"/></p><p style=\"text-align: center;\">金色的沙滩，清澈的碧空</p><p style=\"text-align: center;\">多姿的彩云，绚丽的落日</p><p style=\"text-align: center;\">湛蓝天空与大海绘成一幅唯美画卷</p><p style=\"text-align: center;\">游客在这里可以尽情垂钓、拾贝、挖螺</p><p style=\"text-align: center;\">领略阳光、沙滩、海风的乐趣</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784578226869.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579981759.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579910885.jpg\" style=\"\"/></p><p style=\"text-align: center;\">偌大的海面</p><p style=\"text-align: center;\">仿佛包容了世间万物</p><p style=\"text-align: center;\">开阔了我们的眼界</p><p style=\"text-align: center;\">也抚平了我们躁动的心</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579374697.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579711533.jpg\" style=\"\"/></p><p style=\"text-align: center;\">在日出日落的时光里静享慢生活</p><p style=\"text-align: center;\">冬天太过于凛冽，夏天太过于浓烈</p><p style=\"text-align: center;\">唯有秋，静雅深沉，美过所有季节</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579656281.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>连岛的秋天是浓烈的</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579817230.jpg\" style=\"\"/></p><p style=\"text-align: center;\">如果你想要在秋日旅游</p><p style=\"text-align: center;\">欢迎来到连岛，感受北纬34°绝美风光</p><p style=\"text-align: center;\">这里拥有漂亮的海景和优质的海水浴场</p><p style=\"text-align: center;\">是滨海旅游度假的理想之地</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579840206.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579386131.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579808054.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579408829.jpg\" style=\"\"/></p><p style=\"text-align: center;\">连岛秋天总是短暂而美好</p><p style=\"text-align: center;\">以至于怎么玩都觉得浪费</p><p style=\"text-align: center;\">在经历了赤日炎炎和丝雨绵绵的双重夹击后</p><p style=\"text-align: center;\">在这个短暂又转瞬即逝的秋天</p><p style=\"text-align: center;\"><strong>去秋日的连岛</strong></p><p style=\"text-align: center;\"><strong>寻找秋海的浪漫</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211021/1634784579570406.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: right;\">图：茆建强</p>', NULL, NULL, NULL, 'system', '2021-10-21 10:49:15', 'system', '2021-10-21 10:49:15');
INSERT INTO `ld_article_content` VALUES (106, 7, '景区动态', '连岛游艇俱乐部“海上山3”、“海上山5”观光帆船顺利交付启航！', NULL, 'zh', '2021-10-22', '/profile/liandao_old_data/617258cf85530.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883549290329.jpg\" title=\"\" alt=\"微信图片_20211022141647\"/></p><p>2021年10月21日，连岛游艇俱乐部引进两艘新帆船，分别为海上山3”、“海上山5”，上午9点36分在游艇俱乐部码头开启剪彩启航仪式，连云区政协主席李君生、连云区人民政府副区长嵇轶、连云区海事处处长张磊、连云区海事处连岛监督大队大队长沈超、江苏海州湾发展集团董事长施军生、江苏海州湾发展集团总经理（江苏海州湾文旅集团董事长）洪健、江苏海州湾文旅集团副总经理胡洁君等嘉宾出席了剪彩启航仪式。&nbsp; &nbsp;</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883573964211.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883573828784.jpg\" style=\"\"/></p><p>伴随着游船启航鸣笛声的响起，“海上山3”、“海上山5”观光旅游船交接船暨首航仪式顺利完成。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883639436522.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883639649209.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883639180140.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883640508652.jpg\" style=\"\"/></p><p>连云港连岛旅游开发有限公司充分利用连岛的海洋资源优势和集团发展海洋旅游的有利条件，深入发掘海洋文化的丰富内涵，不断创新海洋旅游产品，提升海洋旅游品质。如今“海上山3”、“海上山5”顺利交付，标志着连岛游艇俱乐部海上旅游揭开了崭新篇章，必将助力连岛海洋旅游事业高质量发展。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883659478435.jpg\" title=\"\" alt=\"微信图片_20211022141802\"/></p><p style=\"text-align: right;\">△海上山3</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883679207468.jpg\" title=\"\" alt=\"微信图片_20211022141804\"/></p><p style=\"text-align: right;\">△海上山5</p><p style=\"text-align: justify;\">本次新引进的帆船长10.51米、宽5.6米、桅杆高11米，载客定额37人。</p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883725189131.jpg\" title=\"\" alt=\"微信图片_20211022141807\"/>“海上山3”、“海上山5”将于近期投入使用，主要用于游艇俱乐部近海及港口观光路线，让更多游客从海上欣赏连岛、感受连岛的魅力。</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211022/1634883754872114.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p>连岛游艇俱乐部是江苏省规模较大、设施完善且拥有“海上运输许可证”的专业从事海上旅游的国有独资企业。主要经营海上观光、海上婚礼、海上垂钓、前三岛观光等特色旅游项目，并重点发展以海岛观光、旅游休闲为主的现代化旅游服务产业。</p><p><br/></p><p>为满足企事业单位及个人包船业务的需要，公司高速豪华游艇完全按照商务设计需求，设施设备配备齐全，底层设商务厅、多功能厅，能满足商务会议、海上婚礼、海上摄影、生日派对等个性化包船需要，将连岛游艇俱乐部打造成国际知名的游艇企业。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883754928268.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883754322590.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211022/1634883754290214.jpg\" style=\"\"/></p><p style=\"text-align: justify;\"><br/></p>', NULL, NULL, NULL, 'system', '2021-10-22 14:18:41', 'system', '2021-10-22 14:18:41');
INSERT INTO `ld_article_content` VALUES (107, 7, '景区动态', '中秋佳节 | 共迎中秋日  别样团圆情', NULL, 'zh', '2021-09-29', '/profile/liandao_old_data/61550a60f0174.jpg', NULL, '富文本', '<p style=\"text-align: center;\">“海上生明月，天涯共此时”</p><p style=\"text-align: center;\">为了迎接中国传统节日中秋节的到来</p><p style=\"text-align: center;\">进一步弘扬中华民族传统艺术</p><p style=\"text-align: center;\">促进景区与社区之间的交流，增进彼此的感情</p><p style=\"text-align: center;\">9月20日上午</p><p style=\"text-align: center;\">连岛景区、大路口社区联合举办</p><p style=\"text-align: center;\">“剪纸话中秋&nbsp; 团扇贺团圆”活动</p><p style=\"text-align: center;\">飞舞剪刀，巧手粘扇</p><p style=\"text-align: center;\">为团圆的中秋营造了浓郁的节日氛围</p><p style=\"text-align: center;\">下面让我们一起回顾现场的精彩花絮吧</p><p><br/></p><p style=\"text-align: center;\">剪纸组：<br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883172832300.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883172185290.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883173103093.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883173639511.jpg\" style=\"\"/></p><p style=\"text-align: center;\">翻转、折叠</p><p style=\"text-align: center;\">灵巧的剪刀在指尖上飞舞</p><p style=\"text-align: center;\">跟着志愿者的指导</p><p style=\"text-align: center;\">大家开始剪纸创作</p><p style=\"text-align: center;\">一把普通的剪刀</p><p style=\"text-align: center;\">一张简单的彩纸</p><p style=\"text-align: center;\">一双双巧手</p><p style=\"text-align: center;\">慢工出细活</p><p style=\"text-align: center;\">剪纸的神奇之处在于对成品的未知</p><p style=\"text-align: center;\">当你徐徐展开纸张</p><p style=\"text-align: center;\">一幅幅剪纸作品才真正揭开神秘面纱</p><p style=\"text-align: center;\">让我们一起来看看成品吧！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883245341413.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883245372860.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883246616514.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883246546458.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883246471902.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883246864140.jpg\" style=\"\"/></p><p style=\"text-align: center;\">团扇组：<br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">自古团扇就融入了中国传统的吉祥寓意</p><p style=\"text-align: center;\">象征着团团圆美满，阖家欢乐</p><p style=\"text-align: center;\">十五位身着汉服的小朋友们亦是心灵手巧</p><p style=\"text-align: center;\">他们在指导老师的帮助下</p><p style=\"text-align: center;\">制作自己专属于的“中秋第一把团扇”</p><p style=\"text-align: center;\">将现代艺术与传统文化相结合</p><p style=\"text-align: center;\">充分自由发挥自己的创意和想象力</p><p style=\"text-align: center;\">将树叶、干枝、干花、毛绒品等通过巧妙的装饰</p><p style=\"text-align: center;\">原本素白的扇面渐渐呈现出一幅幅不同韵味的团扇扇面</p><p style=\"text-align: center;\">引来了许多游客驻足观赏</p><p style=\"text-align: center;\">为节日增添了新的意境</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883314752822.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883314937180.jpg\" style=\"\"/></p><p style=\"text-align: center;\">大家富有创意的设计，独具匠心</p><p style=\"text-align: center;\">每个人都制作出一把高颜值的团扇</p><p style=\"text-align: center;\">不仅能够纳凉消暑，还与众不同</p><p style=\"text-align: center;\">大家对于自己设计的作品非常满意</p><p style=\"text-align: center;\">纷纷拿着做好的团扇相互展示，拍照留念</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883365360856.jpg\" alt=\"微信图片_20210929103247\"/></p><p>游客中心外秋风瑟瑟，而室内是暖意融融，叔叔阿姨、小朋友们围坐在一起，剪纸、制团扇、话家常、吃月饼，感受浓浓传统节日的喜悦和温暖，现场的游客也分享大家的快乐，幸福指数满满的。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883385920734.jpg\" alt=\"微信图片_20210929103356\"/>穿汉服免费游景区</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883454354927.jpg\" alt=\"微信图片_20210929103401\"/></p><p style=\"text-align: center;\">连岛景区景区中秋小长假三天推出</p><p style=\"text-align: center;\">穿汉服免费游景区活动</p><p style=\"text-align: center;\">当国潮和秋色相融</p><p style=\"text-align: center;\">这里的人们身穿华服</p><p style=\"text-align: center;\">带你领略连岛海边的意境风光</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883487967558.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632883487300570.jpg\" style=\"\"/></p><p>虽然目前汉服的受众还很少，但是我们相信，当越来越多的人成为汉服爱好者，并推出更多与汉服、汉文化相关的中国传统文化活动，总有一天，汉服一定会流行开来，也会有越来越多的人追随。</p>', NULL, NULL, NULL, 'system', '2021-09-29 10:35:43', 'system', '2021-09-29 10:35:43');
INSERT INTO `ld_article_content` VALUES (108, 7, '景区动态', '中秋福利 | 穿汉服免费游园，解锁连岛秋日时光！', NULL, 'zh', '2021-09-18', '/profile/liandao_old_data/61550ab3038f7.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\">庆中秋团圆 穿汉服游园</span><br/></p><p>汉服，全称是“汉民族传统服饰”，又称汉衣冠、汉装、华服，是从黄帝即位到公元17世纪中叶（明末清初），在汉族的主要居住区，以“华夏－汉”文化为背景和主导思想，以华夏礼仪文化为中心，通过自然演化而形成的具有独特汉民族风貌性格，明显区别于其他民族的传统服装和配饰体系，是中国“衣冠上国”、“礼仪之邦”、“锦绣中华”、赛里斯国的体现，承载了汉族的染织绣等杰出工艺和美学，传承了30多项中国非物质文化遗产以及受保护的中国工艺美术。</p><p style=\"text-align: center;\">岂曰无衣 与子同袍</p><p style=\"text-align: center;\">所有喜欢汉服的同袍们</p><p style=\"text-align: center;\">你们的福利来咯！</p><p style=\"text-align: center;\">连岛景区中秋小长假推出</p><p style=\"text-align: center;\">穿汉服免费游园活动</p><p style=\"text-align: center;\">今年的中秋来连岛景区吧</p><p style=\"text-align: center;\">除了吃月饼赏月亮</p><p style=\"text-align: center;\">过个不一样的中秋节！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632895410938010.jpg\" title=\"\" alt=\"微信图片_20210929140425\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">穿汉服 免门票</span></p><p style=\"text-align: center;\">活动时间</p><p style=\"text-align: center;\">9月19日-9月21日</p><p style=\"text-align: center;\">活动地点</p><p style=\"text-align: center;\">连岛景区大沙湾</p><p style=\"text-align: center;\">活动内容</p><p style=\"text-align: center;\">凡是穿着汉服来到连岛景区的游客、即可免费入园参观</p><p style=\"text-align: center;\">并免费打印照片一张</p><p style=\"text-align: center;\">（照片打印地点：游客中心大厅）</p><p><br/></p><p style=\"text-align: center;\">精彩摄影作品欢迎投稿！</p><p style=\"text-align: center;\">可发送至微信公众号后台或</p><p style=\"text-align: center;\">一经采用，即可获得游艇俱乐部游轮体验票两张~</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632895673669814.jpg\" title=\"\" alt=\"微信图片_20210929140901\"/><span style=\"font-size: 20px;\">剪纸话中秋 团扇贺团圆</span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">活动时间</span><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">9月20日 上午9:00</span></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">活动时间</span></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">游客中心一楼大厅</span></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">活动内容</span></span></p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">巧手折剪，锦绣乾坤，方寸之间尽显深意。活动当天邀请社区阿姨及现场游客用剪刀和红纸剪出一幅幅精美的剪纸画，巧手制团扇，盼团圆，通过剪纸及制作团扇来寄托思念之情和对阖家团圆的美好期盼。</span></span></p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"></span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632895830825126.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632895830159652.jpg\" style=\"\"/></p><p style=\"text-align: center;\">汉服游园，解锁海边时光</p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"></span></span></p><p style=\"text-align: center;\">初秋的季节真是一个适合穿汉服的时节</p><p style=\"text-align: center;\">不冷不热，在海边也不会“热到融化”</p><p style=\"text-align: center;\">一说到汉服拍照圣地</p><p style=\"text-align: center;\">许多人首选名胜古迹或是小公园</p><p style=\"text-align: center;\">不过在海边拍照也是很不错的选择！</p><p style=\"text-align: center;\">连岛景区和汉服更配哦</p><p style=\"text-align: center;\">和家人一起带着孩子各自穿着不同的汉服</p><p style=\"text-align: center;\">穿越千年，扮演不同的角色</p><p style=\"text-align: center;\">留下最珍贵的影像</p><p style=\"text-align: center;\">何尝不是一种最有意义的中秋大团圆</p><p style=\"text-align: center;\">你看着我哈哈大笑</p><p style=\"text-align: center;\">我看着你忍俊不禁</p><p style=\"text-align: center;\">家人之间的温情在不知不觉中得到升华</p><p style=\"text-align: center;\">游园赏景，闲谈人生<br/></p><p style=\"text-align: center;\">带孩子来一场穿越之旅</p><p style=\"text-align: center;\">着我汉家衣裳，兴我礼仪之邦</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210929/1632896292726772.jpg\" title=\"\" alt=\"微信图片_20210929141917\"/><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"><br/></span></span><br/></p>', NULL, NULL, NULL, 'system', '2021-09-18 10:44:59', 'system', '2021-09-18 10:44:59');
INSERT INTO `ld_article_content` VALUES (109, 7, '景区动态', '传统节气 | 倏忽秋又尽 今朝恰立冬', NULL, 'zh', '2022-11-07', '/profile/liandao_old_data/636a00d67b643.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2022-11-07 14:59:14', 'system', '2022-11-07 14:59:14');
INSERT INTO `ld_article_content` VALUES (110, 7, '景区动态', '栈道八景', NULL, 'zh', '2021-11-01', '/profile/liandao_old_data/617facba8028b.jpg', NULL, '富文本', '<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026501620.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">碧海潮生</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026628122.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">海上明月</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026424682.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">海誓山盟</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026968088.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">海味跃钩</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026366572.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">礁鸣玉箫</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757026295965.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">拾贝赶海</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757027662126.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">碧海潮生</span></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211101/1635757027482708.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">旭日东升</span></span></strong></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-11-01 16:34:04', 'system', '2021-11-01 16:34:04');
INSERT INTO `ld_article_content` VALUES (111, 7, '景区动态', '2021年11月1日-12月31日连岛景区免费开放！', NULL, 'zh', '2021-11-11', '/profile/liandao_old_data/618c849086daf.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598840555208.jpg\" title=\"\" alt=\"旭日东升_副本\"/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>景区淡季免门票啦</strong></span></p><p><br/></p><p>&nbsp; &nbsp; 为推进旅游惠民，探索景区弹性门票制度，同时为答谢广大游客的关心和厚爱，连岛景区将实行2021年淡季门票免费政策，详情如下：</p><p>&nbsp; &nbsp; 2021年11月1日——2021年12月31日，连岛景区免费开放。自驾游客车辆统一停放在游客中心停车场，停车免费，游客中心至大沙湾往返景交车免费（苏马湾暂未开放）。</p><p>&nbsp; &nbsp; 免费开放期间，采取“预约、限量、错峰”的游览管理制度，关注“连云港连岛景区”、“连云港市连岛景区”微信公众号，点击“微信预约”，预约成功后方可免费入园。入园前，请积极配合景区工作人员做好体温检测、查验健康码、行程码工作，请大家按照疫情防控要求合理安排行程。</p><p>&nbsp; &nbsp; 另外，连岛景区在连云港高铁站提供免费班车，每日9:30、11:00、14:30发车，欢迎广大市民及游客乘坐直达景区的旅游专线。</p><p>&nbsp; &nbsp; &nbsp;望广大游客知悉相告，安排出行。</p><p>&nbsp; &nbsp; &nbsp;特此公告</p><p><br/></p><p style=\"text-align: right;\">&nbsp; &nbsp; &nbsp; &nbsp;连岛景区</p><p style=\"text-align: right;\">&nbsp; 2021年10月31日</p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>快来欣赏连岛景区秋冬美景</strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598890138466.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598890126489.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598890344318.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598891505120.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598891248369.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598891472130.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598891162070.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636598891721963.jpg\" style=\"\"/></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span><br/></p>', NULL, NULL, NULL, 'system', '2021-11-11 10:42:24', 'system', '2021-11-11 10:42:24');
INSERT INTO `ld_article_content` VALUES (112, 7, '景区动态', '连岛景区网红打卡点', NULL, 'zh', '2021-10-27', '/profile/liandao_old_data/6178f84e57bcf.jpg', NULL, '富文本', '<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317509250259.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>彩色路</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510268535.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>邓小平和人民在一起雕塑公园</strong><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510289284.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>观日亭</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510274715.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海天一色</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510591150.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海洋文化墙</strong><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510645227.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海韵广场</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510679059.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海之韵</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317510115637.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>环岛路</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317511900116.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>神龟探海</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317511575586.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>羊窝头观日</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317511209411.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>钟楼</strong><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317511284891.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海滨栈道</strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211027/1635317511613025.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>海誓山盟</strong></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-10-27 14:25:51', 'system', '2021-10-27 14:25:51');
INSERT INTO `ld_article_content` VALUES (113, 7, '景区动态', '停业不停工 夯实5A创建“软实力”', NULL, 'zh', '2021-08-06', '/profile/liandao_old_data/610cffe3dfd56.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><strong>旅游按下暂停键</strong></p><p style=\"text-align: center;\"><strong>线下培训忙不停</strong></p><p><br/></p><p>进入七月中下旬，随着南京新冠肺炎疫情的突发反弹，原本复苏的旅游业再次坠入“深渊”，疫情防控进入关键期，为避免人员聚集引发交叉感染，保障游客的人身健康，连云港市花果山、连岛景区、渔湾等37家景区暂停开放。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241527827801.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241527590102.jpg\" style=\"\"/></p><p><br/></p><p>疫情期间，虽然连云港市多家景区关闭，广大游客出行按下了“暂停”键，但连岛景区线下培训却依然在忙碌，“停业不停学”。 为全面推进连岛景区5A创建提升工作，提高运营管理水平，加强规范化、标准化服务，连岛景区近期开展为期一周的学习培训。</p><p><br/></p><p>针对各部门实际工作岗位范畴、职责、流程等内容进行实体实操，加强员工岗位业务能力、业务水平、业务技能的培训和提升，进一步加强连岛景区软环境建设，利用 “闲”下来的空间和时间，让全体员工享受独特的“特殊培训”的乐趣。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241565965750.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>人才培训</strong></p><p style=\"text-align: center;\">质检中心王主任对售票员进行岗位职责检查。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241565263406.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>服务培训</strong></p><p style=\"text-align: center;\">服务培训主要包括职业道德、形象礼仪、接待礼仪、文明用语、沟通技巧、突发事件处理等内容。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241565240102.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>岗前培训</strong></p><p style=\"text-align: center;\">岗前准备工作，着装检查培训。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241565820048.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>标准化流程培训</strong></p><p style=\"text-align: center;\">标准化工作流程培训，全面强化业务水平，提升旅游服务质量。</p><p><br/></p><p>大沙湾、苏马湾、商发、客运、秩序科、纳福等各部门全员参与，全员完成核酸检测，依然严格按照疫情防控要求：戴口罩、健康码、行程码、测体温、保持间距等多个流程严格有序进行。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628241833179418.jpg\" title=\"\" alt=\"微信图片_20210806171709\"/></p><p></p><p>连岛景区于2019年11月顺利通过了国家5A级旅游景区景观质量评审，成功列入国家5A级旅游景区创建名单。此次培训各部门对照岗位工作制度、工作标准、工作流程，要求每位员工在实践操作中“有语言、有动作、有状态”，部门之间相互讨论、相互观摩，切切实实将员工培训落到实处、深处，提升连岛景区从业人员的综合素质和服务水平，为广大游客提供更加优质的旅游服务！</p><p><br/></p><p style=\"text-align: right;\">文：汪卫青</p>', NULL, NULL, NULL, 'system', '2021-08-06 17:16:16', 'system', '2021-08-06 17:16:16');
INSERT INTO `ld_article_content` VALUES (114, 7, '景区动态', '携手战“疫”，见图如面；足不出户，“云”游连岛！', NULL, 'zh', '2021-08-06', '/profile/liandao_old_data/610d0158a4bcc.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>携手战“疫”</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>见图如面</strong></span></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p></p><p style=\"text-align: center;\">受疫情的影响</p><p style=\"text-align: center;\">大家又开始了宅家模式</p><p style=\"text-align: center;\">为了自己，为了家人，为了他人</p><p style=\"text-align: center;\">特殊时期不出门</p><p style=\"text-align: center;\">“宅家旅游”，也何尝不可！</p><p style=\"text-align: center;\">这就和小编来一场“云旅游”吧！</p><p><br/></p><p style=\"text-align: center;\"><strong>诗意山海，曼妙连岛</strong></p><p>连岛位于江苏省连云港市东部城区，是“中国十大美丽海岛”之一，也是江苏省最大的海岛。连岛古称“鹰游山”，与伟岸雄峻的北云台山相峙，与连云港港隔海相望。山海相连、碧水金沙、群礁嶙峋，构成了独特的海滨胜境。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242009979077.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242009447546.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242010796645.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242010189771.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242010519579.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242010416348.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242011498504.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242011539616.jpg\" style=\"\"/></p><p style=\"text-align: center\"><br/></p><p style=\"text-align: center;\"><strong>连岛，美在海中央</strong></p><p>这里不仅拥有江苏最佳的天然优质海滨沙滩——大沙湾游乐园，还拥有荟萃青山、碧海、金滩、奇石于一体的苏马湾生态园，森林覆盖率达80%，这里空气清新，堪称天然氧吧。一条2.5公里长的海边栈道，将两处景点相连，沿途海景曼妙，一览无遗。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242011162778.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242011828655.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242012739973.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242012398931.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242012577645.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242012557039.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242013916138.jpg\" style=\"\"/></p><p style=\"text-align: center\"><br/></p><p>这里还拥有“江苏春季十大花海”之一的连岛花海基地，是江苏省唯一的AAAA级海滨旅游度假区。秀丽独特的海滨自然风光和别具特色的海岛人文景观使连岛成为人们休闲娱乐、度假疗养的理想胜地。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242013130743.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242013992492.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242013210084.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242013379543.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242014899977.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210806/1628242014960477.jpg\" style=\"\"/></p><p style=\"text-align: center;\">你不用出门</p><p style=\"text-align: center;\">我把连岛拍给你看！</p><p style=\"text-align: center;\">如果你有旅行的机会</p><p style=\"text-align: center;\">请一定留给连岛</p><p style=\"text-align: center;\">带一台相机，背一个小包</p><p style=\"text-align: center;\">把连岛的美好回忆和美景一起带走~</p><p style=\"text-align: center;\">待到战“疫”胜利时</p><p style=\"text-align: center;\">我们再次相聚连岛！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-08-06 17:24:56', 'system', '2021-08-06 17:24:56');
INSERT INTO `ld_article_content` VALUES (115, 7, '景区动态', '明确任务，压实责任，全力冲刺连岛景区5A创建！', NULL, 'zh', '2021-08-26', '/profile/liandao_old_data/61273afa4c9f8.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\">#争创连岛5A级旅游景区#&nbsp; &nbsp;&nbsp;</span></strong></p><p>&nbsp; &nbsp; 8月22日，海州湾文旅集团带领景区主要负责人、蜗牛驻场指导等一行人，深入现场逐一排查。根据创建八大项旅游交通、游览、旅游安全、卫生、邮电、旅游购物、综合管理、资源和环境保护，层层梳理共整理163项整改项目。</p><p>&nbsp; &nbsp; 2019年11月9日，连岛景区以92.4分通过景观质量评审，顺利列入5A级旅游创建预备名单。连岛景区按照创建工作方案和计划任务稳步开展创建工作，景区创建氛围如火如荼。</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\"># 停车场 #</span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960287294979.jpg\" title=\"\" alt=\"微信图片_20210826143559\"/></span></strong></p><p>&nbsp; &nbsp; 抓住关键，突出重点，精准施策，继续完善游客服务中心、停车场项目设计方案，在保证质量的前提下，加快项目建设进度，确保按既定时间节点完成建设任务。<br/></p><p><strong style=\"text-align: center; white-space: normal;\"><span style=\"font-size: 20px;\"><br/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\"></span></strong><strong style=\"text-align: center; white-space: normal;\"><span style=\"font-size: 20px;\"># 商业街 #</span></strong></p><p><strong style=\"text-align: center; white-space: normal;\"><span style=\"font-size: 20px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960410847127.jpg\" title=\"\" alt=\"微信图片_20210826144344\"/></span></strong></p><p>&nbsp; &nbsp; 加强景区建设的整体管控，严格群众建房规范管理。</p><p><strong style=\"text-align: center; white-space: normal;\"><span style=\"font-size: 20px;\"></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960422488720.jpg\" style=\"\"/></p><p>&nbsp; &nbsp; 加强经营管理，全面统筹，优化提升综合服务管理水平。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960422820328.jpg\" style=\"\"/></p><p><span style=\"font-size: 16px;\">&nbsp; &nbsp; 按照5A级旅游景区的标准不断完善景区设施和服务功能，工作稳步推进。</span><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong># 大沙湾 #</strong></span><br/></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960522714476.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960522925084.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960522918701.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960522270327.jpg\" style=\"\"/></p><p>&nbsp; &nbsp; 加强创建工作组织领导，严格落实部门责任，相互协调配合，保证创建工作有力有效推进。<span style=\"font-size: 20px;\"><strong><br/></strong></span><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\"># 海滨栈道 #</span></strong></p><p><strong><span style=\"font-size: 20px;\"></span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960579170827.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960579191601.jpg\" style=\"\"/></p><p>&nbsp; &nbsp; 七月初开工建设的海滨栈道提升改造项目也在全力推进中，完工后将以更美好的形象和服务，迎接广大游客和市民。</p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\"><br/></span></strong><span style=\"font-size: 20px;\"><strong># 苏马湾 #</strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960634264664.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960634300433.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210826/1629960634815304.jpg\" style=\"\"/></p><p>&nbsp; &nbsp; 坚持软硬结合，进一步完善景区导览、生活服务，旅游公厕、标识标牌等设施，强化旅游秩序综合整治，优化提升综合服务管理水平，丰富景区文化内涵，保证各项指标全面达标，提升5A景区创建质量。</p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\"><br/></span></span></p><p><span style=\"font-size: 20px;\"><span style=\"font-size: 16px;\">&nbsp; &nbsp; 在5A创建过程中，连岛景区各相关部门切实统一思想，深化认识，认真对标5A创建工作要求和职责分工，狠抓任务落实，合力攻坚，确保连岛景区及早通过5A级景区评审，实现旅游产业发展提档升级，在推进港城经济社会高质量发展中发挥更大、更好的作用。</span></span><br/></p>', NULL, NULL, NULL, 'system', '2021-08-26 14:32:58', 'system', '2021-08-26 14:32:58');
INSERT INTO `ld_article_content` VALUES (116, 7, '景区动态', '连岛景区恢复开放的公告', NULL, 'zh', '2021-09-28', '/profile/liandao_old_data/6152c07368024.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 24px;\"><strong>公告</strong></span></p><p>尊敬的游客朋友：</p><p><br/></p><p>&nbsp; &nbsp; &nbsp; 根据上级要求，在严格落实疫情防控工作的前提下，连岛景区定于9月3日恢复开放，景区内部分景点提升改造中，暂不开放。开放期间，采取“预约、限量、错峰”的游览管理制度，请大家按照疫情防控要求合理安排行程。景区游客中心、交通车辆、卫生间、娱乐等公共区域，严格按照疫情防控规定执行防控消杀，请广大游客放心游览。</p><p><br/></p><p>&nbsp; &nbsp; &nbsp; 特此公告。</p><p><br/></p><p style=\"text-align: center;\"><strong>01 开放时间</strong></p><p style=\"text-align: center;\">2021年9月3日&nbsp;&nbsp;</p><p><br/></p><p style=\"text-align: center;\"><strong>02营业时间</strong></p><p style=\"text-align: center;\">08:30—17:30（17:00停止售票）</p><p><br/></p><p style=\"text-align: center;\"><strong>03门票价格&nbsp;</strong></p><p style=\"text-align: center;\">门票半价优惠：25元/人</p><p style=\"text-align: center;\">游客中心至大沙湾往返景交车：免费</p><p><br/></p><p style=\"text-align: center;\"><strong>04预约、线上购票游览</strong></p><p>景区采取分时段实名预约游览制度，实行线上购票，电子支付。</p><p>1、关注“连云港连岛景区”、“连云港市连岛景区”微信公众号，点击“微信预约”，预约成功后方可购票入园。</p><p>2、在微信公众号内点击“微信购票”，实现无接触购票入园。</p><p><br/></p><p style=\"text-align: center;\"><strong>05友情提醒</strong></p><p>1、入园前，请积极配合景区工作人员做好体温检测，通过查验健康码、行程码、身份信息后方可入园。</p><p>2、健康码和行程码显示黄码、红码的游客禁止入园。</p><p>3、有发热或明显咳嗽、咳痰、呼吸急促等症状的游客禁止入园。</p><p>4、进入景区请全程佩戴口罩，不聚集，保持安全距离，文明游览。</p><p>5、景区将组织安全专员对游客距离进行提示，加强巡视检查，在景区出入口、重要参观点等易聚集区域安排工作人员，确保防控到位。</p><p>6、景区每日最大承载量和瞬时最大承载量均调整至核定值的50%，同时景区将对入园游客进行实时监控，根据实际情况对在园人数做适当调整。</p><p>7、因疫情防控需要，景区暂不接待来自中、高风险地区游客参观。</p><p>8、请广大游客朋友积极配合景区相关规定，由此带来的不便，敬请谅解。</p><p>9、景区咨询电话：400-828-2898</p><p>游艇俱乐部咨询电话：0518-82601126</p><p>感谢您的支持与配合！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632804359359178.png\" title=\"\" alt=\"微信图片_20200415093717\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>诗意山海，美丽连岛</strong></p><p style=\"text-align: center;\"><strong>好久不见，十分想念</strong></p><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-09-28 12:34:51', 'system', '2021-09-28 12:34:51');
INSERT INTO `ld_article_content` VALUES (117, 7, '景区动态', '不忘恩师 | 教师专属福利，免费畅游连岛景区啦！', NULL, 'zh', '2021-09-28', '/profile/liandao_old_data/6152d74389add.jpg', NULL, '富文本', '<p style=\"text-align: center;\">金秋九月</p><p style=\"text-align: center;\">是一个满载收获的季节</p><p style=\"text-align: center;\">也是一个充满感恩的季节</p><p style=\"text-align: center;\">辛勤耕耘、默默奉献的教师们</p><p style=\"text-align: center;\">用青春与知识陪伴学生们成长、成才</p><p style=\"text-align: center;\">而在这忙忙碌碌之中</p><p style=\"text-align: center;\">我们也迎来了属于老师们的第37个教师节</p><p><br/></p><p style=\"text-align: center;\">铭记每一位教师的循循善诱、谆谆教导</p><p style=\"text-align: center;\">化作我们的浓浓尊师意、款款爱师情</p><p style=\"text-align: center;\">为致敬广大教师群体</p><p style=\"text-align: center;\">为致敬可爱的教师们</p><p style=\"text-align: center;\">连岛景区为教师群体献上一份厚礼</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>教师专属福利</strong></span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0); font-size: 20px;\"><strong>凭教师资格证</strong></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0); font-size: 20px;\"><strong>全年免费畅游连岛景区！</strong></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0); font-size: 20px;\"><strong>谨以此</strong></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0); font-size: 20px;\"><strong>表达对恩师最真挚的感谢和祝福</strong></span></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\">您常常告诉我：</p><p style=\"text-align: center;\">“读万卷书，行万里路“</p><p style=\"text-align: center;\">可是您已经多久没给自己放过假了？</p><p style=\"text-align: center;\">讲台三尺，世界万千</p><p style=\"text-align: center;\">教师节之际</p><p style=\"text-align: center;\">我想带您看看这个有山有水有美景的地方——连岛景区！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818886543937.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818886780102.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818886631954.jpg\" style=\"\"/></p><p>作为人民教师，忙碌工作的同时，也要给自己放一个假，连岛空气清新，鲜氧环绕，是“中国十大美丽海岛”之一，山海相连、碧水金沙、群礁嶙峋，是独特的海滨胜境。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818897811800.jpg\" title=\"\" alt=\"微信图片_20210913140016\"/></p><p>初秋的连岛早已美成一幅画，常年在粉笔灰尘中工作的您，走在海边会感受到，每一口呼吸，都是在给内脏做SPA。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818915934367.jpg\" title=\"\" alt=\"微信图片_20210913140018\"/></p><p>漫步在环岛路上，自由呼吸新鲜的氧气，给身心做个保健，享受不一样的清凉，不一样的幽静，感受大自然的绿色纯净。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818935186004.jpg\" title=\"\" alt=\"微信图片_20210913140021\"/></p><p>西连岛是古老的渔村，来这里感受连岛人文情怀，最合适不过了。有时云海翻涌，山峰时隐时现，变幻无穷，景象万千，光怪陆离。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632818954344758.jpg\" title=\"\" alt=\"微信图片_20210913140023\"/></p><p>年华似水，师恩难忘，美好秋日里，真诚欢迎我们的恩师来连岛景区，共同开启一段轻松欢乐之旅。</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\">三寸粉笔，一颗丹心</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\">恰逢教师节、中秋节之际</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\">让我们对辛勤的老师们道一声：</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0); font-size: 18px;\"><strong><span style=\"color: rgb(255, 0, 0);\">您辛苦了，节日快乐！</span></strong></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-09-28 16:44:10', 'system', '2021-09-28 16:44:10');
INSERT INTO `ld_article_content` VALUES (118, 7, '景区动态', '【5A创建进行时】完善景区基础设施 提升旅游服务品质', NULL, 'zh', '2021-09-28', '/profile/liandao_old_data/6152dfcfb06fd.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632819175167124.jpg\" title=\"\" alt=\"微信图片_20210928165145\"/></p><p>今年以来，连岛景区借助国家5A级景区创建契机，加大基础设施建设力度，不断加强资源整合，进一步完善基础设施，不断提升景区服务能力，启动一批新的基础设施项目，对海滨栈道、淋浴间、卫生厕所、景区停车场、大沙湾游客中心进行升级完善，同时加大智慧旅游综合服务平台建设，大大提升游客的游玩体验质量。</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>大沙湾综合服务楼</strong></span></p><p>改造目标：以自然、海洋、生态主题为先导，打造成一个休闲娱乐和海文化特色景观一体的海边圣地。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632819322950599.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632819322290908.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632819323340196.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632819323816289.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>大沙湾游客中心</strong></span></p><p><span style=\"font-size: 16px;\">改造目标：塑造景区精神堡垒和具有仪式感的停车区入口形象，现有游客集散区域商业建筑外立面整体梳理。</span></p><p><span style=\"font-size: 16px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820915836101.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820915573120.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820915280809.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820915348989.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\"><br/></span><strong>大沙湾室外旅游公厕</strong></p><p><span style=\"font-size: 16px;\">改造目标：严格按照国家旅游厕所2A级标准，增加厕卫数量，满足更多需求，创新外立面造型，增强与周边环境协调性。</span></p><p><span style=\"font-size: 16px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820991613120.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820991830042.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632820991793516.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\"><br/></span><span style=\"font-size: 18px;\"><strong>慢行系统海滨栈道</strong></span></p><p>改造目标：改善景观风貌，增加服务功能，如停留空间、公厕、观景平台、秋千、座椅等，加固木质栏杆，统一栈道材质。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821040698685.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821040250461.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821041426246.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>苏马湾东门与服务设施</strong></span></p><p>改造目标：现有场地设施进行改造，增加服务接待、公厕、换乘等候等功能，优化地面高差，更换公交站台，维修粉刷大门，改造售票处，亮化人行检票口。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821088433510.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821088914700.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821088874660.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821088938915.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821088389044.png\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>苏马湾沙滩服务区</strong></span></p><p>改造目标：打造连岛最具有诗意气质的景区，保证建设不突破既有建筑区域，整合现有资源构建度假区集群。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821138925453.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821138602930.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821138899627.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821138320746.jpg\" style=\"\"/></p><p style=\"text-align: center\">改造目标</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210928/1632821138138782.png\" style=\"\"/></p><p><br/></p><p>连岛景区严格对照国家5A级旅游景区创建标准，认真筹划，全力做好景区基础配套设施建设工作，通过调查认真梳理创建过程中存在的问题和短板，聚焦薄弱环节，加大统筹协调力度，把创建工作做细做实，以创促建，全力抓好景区提质行动，加快推进景区高质量发展。</p><p><br/></p><p>下一步，连岛景区将继续保持高压态势，再接再厉，以必胜的信念扎实推进各项创建工作。</p>', NULL, NULL, NULL, 'system', '2021-09-28 16:50:14', 'system', '2021-09-28 16:50:14');
INSERT INTO `ld_article_content` VALUES (119, 7, '景区动态', '连岛游艇俱乐部帆船八折特惠！', NULL, 'zh', '2021-11-11', '', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>连岛游艇俱乐部帆船优惠啦</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599010539013.jpg\" title=\"\" alt=\"微信图片_20201204093110\"/></strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center;\">2021年11月1日-12月31日</p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(255, 0, 0);\"><strong>连岛游艇俱乐部帆船八折特惠</strong></span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through;\">门市价：100元/人</span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><span style=\"color: rgb(255, 0, 0);\">特惠价：80元/人</span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599077954579.jpg\" title=\"\" alt=\"微信图片_20211022141647\"/></p><p style=\"text-align: center;\">扬帆出海</p><p style=\"text-align: center;\">感受大海的壮阔</p><p style=\"text-align: center;\">享受大海航行的乐趣</p><p style=\"text-align: center;\">专业教练陪您亲自出海</p><p style=\"text-align: center;\">好玩又休闲</p><p style=\"text-align: center;\">听最纯粹的海浪声</p><p style=\"text-align: center;\">感受帆船的魅力</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599119837868.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599119470982.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599119353288.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-11-11 10:49:05', 'system', '2021-11-11 10:49:05');
INSERT INTO `ld_article_content` VALUES (120, 7, '景区动态', '【5A创建进行时】连岛景区创建国家5A级旅游景区工作纪实', NULL, 'zh', '2021-11-22', '/profile/liandao_old_data/619af99c4204a.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 24px;\"><strong>决战决胜，誓保功成</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 24px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637545900479073.jpg\" title=\"\" alt=\"微信图片_20211122091739\"/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>再部署、再强化、再落实！</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>连岛景区在行动</strong></span></p><p><span style=\"font-size: 16px;\">连岛景区5A创建工程项目在现有景区设施基础上进行提升改造，对标5A创建要求，对景区配套服务设施（如景区入口、游客接待、景区旅游公厕、换乘服务点等）进行升级，对存在危险隐患的区域（如海滨栈道等）进行重建，总的改造内容分为三个部分，九个子项，分布于各区域。</span><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>PART01&nbsp; 大沙湾</strong></p><p>大沙湾综合楼增加室外配套景观，原有建筑外立面已重新粉刷完毕，充分利用原有空间，改善老旧设施，合理布置功能流线，室外旅游公厕已完成施工，满足日常使用需求，使整体功能满足5A创建要求。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546051990892.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546051749698.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546051452346.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>PART02&nbsp; 海滨栈道</strong></p><p>海滨栈道已完成木栏杆铺装工作，原有铁索桥将增加藤状护栏及木铺装，目前木质栏杆的加固及观景平台的建设工作已完成，不断完善服务功能，优化海滨栈道环境，满足游客多样化需求，提高游客满意度。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546096746000.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546096323978.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>PART03&nbsp; 苏马湾</strong></p><p></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546146983877.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546146253206.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546147603556.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546147609707.jpg\" style=\"\"/></p><p>苏马湾增加沙滩躺椅及趣味垃圾桶，浴场服务用房已建设完毕，配电箱涂鸦美化，优化景区内部道路，对环岛路人行游步道进行精细化处理，全力以赴做好连岛景区5A创建迎检准备工作。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546162902336.jpg\" title=\"\" alt=\"微信图片_20211122095121\"/><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>PART04&nbsp; 大沙湾游客中心</strong></p><p></p><p>大沙湾游客中心整体建筑已施工完毕，内部装修已完成，也标志着5A创建和发展翻开新的一页。</p><p><br/></p><p>大沙湾游客服务中心在原有基础上增加412平方米面积，便于服务接待、换乘等候，增加公厕等功能，并增加大面积等候场地，便于高峰时期人流集散。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546271356863.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546271137128.jpg\" style=\"\"/></p><p></p><p></p><p style=\"text-align: center;\"><strong><br/></strong></p><p style=\"text-align: center;\"><strong>PART05&nbsp; 苏马湾东门</strong></p><p>苏马湾东门服务设施改造已结束，售票处整体建筑已完成，新增服务接待、公厕、换乘等候等功能区，不断完善服务功能，优化旅游环境，满足游客多样化需求。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546320885216.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546320304890.jpg\" style=\"\"/></p><p><strong><br/></strong></p><p><strong>坚持标准导向</strong></p><p>要坚持标准导向，严格对照新的标准，及时研究新的管理办法，理出工作清单，积极查漏补缺，确保力气花在要害上。</p><p><br/></p><p><strong>坚持问题导向</strong></p><p>要坚持问题导向，聚焦连岛景区整体环境、景区产品、旅游服务质量等问题，逐个研究，专班解决。</p><p><br/></p><p><strong>坚持一流导向</strong></p><p>要坚持一流导向，始终聚焦高品质，内外统筹、全面互动、软硬兼施，全力打造一流精品景区、一流旅游环境、一流服务水平。</p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637546369668477.jpg\" title=\"\" alt=\"微信图片_20211122095130\"/></p><p>当前机遇千载难逢，形势也极其严峻。要发挥自身独特优势，坚定信心，不断强化创建工作。要紧扣标准，补齐短板，细化时间节点，明确任务举措。要强化组织，压实责任，健全工作机制，保质保量完成各项创建工作任务，营造浓厚氛围，为创建工作提供良好环境，打一场彻底、完胜的创5A攻坚战！</p>', NULL, NULL, NULL, 'system', '2021-11-22 09:07:45', 'system', '2021-11-22 09:07:45');
INSERT INTO `ld_article_content` VALUES (121, 7, '景区动态', '12月1日，升级改造后的苏马湾全新亮相！', NULL, 'zh', '2021-12-04', '/profile/liandao_old_data/61ab25351cdc9.jpg', NULL, '富文本', '<p style=\"text-align: center;\">来啦，来啦</p><p style=\"text-align: center;\">它来啦！</p><p style=\"text-align: center;\">经过漫长等待</p><p style=\"text-align: center;\">连岛景区苏马湾</p><p style=\"text-align: center;\">恢复开放了！</p><p style=\"text-align: center;\">明日起（12月1日）</p><p style=\"text-align: center;\">正式恢复开放啦</p><p style=\"text-align: center;\">截至12月31日，连岛景区免门票</p><p style=\"text-align: center;\">免费！免费！免费！</p><p style=\"text-align: center;\">重要的事情说三遍</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605526878887.jpg\" title=\"\" alt=\"微信图片_20211204161023\"/></p><p style=\"text-align: center;\">一起跟随小编去看看</p><p style=\"text-align: center;\">苏马湾</p><p style=\"text-align: center;\">增添了哪些魅力</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605604867380.png\" title=\"\" alt=\"微信图片_20211204161335\"/></p><p style=\"text-align: center;\">为更好地满足游客需求</p><p style=\"text-align: center;\">丰富游客游玩体验，提升景区品质</p><p style=\"text-align: center;\">苏马湾沙滩多处升级改造</p><p style=\"text-align: center;\">提升景点舒适度与趣味性</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605623713831.jpg\" style=\"\"/></p><p style=\"text-align: center;\">△<span style=\"text-align: center;\">增加沙滩躺椅</span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605623401215.jpg\" style=\"\"/></p><p style=\"text-align: center;\">△增加多处景点指示牌</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605623782262.jpg\" style=\"\"/></p><p style=\"text-align: center;\">△完善母婴室服务设施</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605623855275.jpg\" style=\"\"/></p><p style=\"text-align: center;\">△环岛路增加多处彩绘</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605623376663.jpg\" style=\"\"/></p><p style=\"text-align: center;\">△美化改造饮马井</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>苏马湾美景</strong></span></p><p style=\"text-align: center;\">好久不见，甚是想念</p><p style=\"text-align: center;\">一组美景</p><p style=\"text-align: center;\">唤醒你对苏马湾的记忆</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605741282839.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605741402054.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638605741680302.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606021594905.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606021617415.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606021885390.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>海滨栈道</strong></p><p style=\"text-align: center;\">随着苏马湾工程的结束</p><p style=\"text-align: center;\">海滨栈道也一并投入使用</p><p style=\"text-align: center;\">栈道总体统一采用菠萝格防腐木</p><p style=\"text-align: center;\">部分路段新建观海平台</p><p style=\"text-align: center;\">带您领略海天一色之美</p><p style=\"text-align: center;\">夜间有灯带亮化</p><p style=\"text-align: center;\">共投入资金1500余万元</p><p><br/></p><p style=\"text-align: center;\">海滨栈道是沿海岸线建于海边岩石之上</p><p style=\"text-align: center;\">用于游览的步行栈道</p><p style=\"text-align: center;\">连接大沙湾与苏马湾</p><p style=\"text-align: center;\">全长2.5公里</p><p style=\"text-align: center;\">依山就势、逶迤曲折、高低起伏</p><p style=\"text-align: center;\">沿途有观日亭、悬索桥、炮台</p><p style=\"text-align: center;\">及钓鱼台等景点</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606075112050.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606075178829.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606075110927.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606075337229.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211204/1638606075212115.jpg\"/></p><p><br/></p><p style=\"text-align: center;\">苏马湾恢复开放的同时</p><p style=\"text-align: center;\">景交车实行淡季优惠票</p><p style=\"text-align: center;\">往返15元/人</p><p><br/></p><p style=\"text-align: center;\">目前连岛景区执行淡季营业时间</p><p style=\"text-align: center;\">16:40 停止售票</p><p style=\"text-align: center;\">17:10 停止入园</p><p><br/></p><p style=\"text-align: center;\"><strong>旅游，是一场心得旅程！</strong></p><p style=\"text-align: center;\"><strong>累了，就去旅游~</strong></p><p style=\"text-align: center;\"><strong>连岛景区喜迎八方游客</strong></p><p style=\"text-align: center;\"><strong>欢迎您来玩！</strong></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-12-04 16:09:02', 'system', '2021-12-04 16:09:02');
INSERT INTO `ld_article_content` VALUES (122, 7, '景区动态', '提升服务质量 共创优质景区 | 连岛景区保洁技能竞赛落下帷幕！', NULL, 'zh', '2021-12-08', '/profile/liandao_old_data/61b002d645b7a.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924903869928.jpg\" title=\"\" alt=\"微信图片_20211208085445\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>技能大比拼，争做引领者</strong></span></p><p><br/></p><p>在连岛景区创建国家5A级旅游景区之际，为了促进景区旅游环境质量的提升，提高保洁人员的技能水平，近期，连岛景区与纳福项目部携手举办了“2021年度连岛景区纳福项目部员工技能比赛”。</p><p><br/></p><p>本次比赛主要内容是保洁标准化操作流程，是对保洁工作熟练度及操作技能的全方位考验。经过初赛的海选，共有10名优秀保洁选手进入决赛。景区办公室的李主任、茆主任和运营监管部王主任应邀作为决赛评委。<br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924936414256.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924937736194.jpg\" style=\"\"/></p><p><br/></p><p>比赛开始后，参赛选手通过抽签的方式决定出场顺序。从整理着装、佩戴口罩开始，他们熟练运用各种保洁工具，依次有序的清理着玻璃、洗手台、便池、挂壁设施和地面，直至清理完并在清洁表上签字，整个保洁操作流程才算结束。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924964280616.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924964162973.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924964918762.jpg\" style=\"\"/></p><p><br/></p><p>参赛选手认真、细致、专心的比赛过程，充分体现了景区保洁人员“不怕苦、不怕脏、不怕累”的三不怕精神。</p><p><br/></p><p>经过长达4个小时的激烈角逐，最终保洁人员武建华以49.5分（满分50分）的高分获得第一名，赢得一等奖；保洁人员丁乐梅和董云德获得比赛二等奖；保洁人员伏彩露、王保云和李春花获得三等奖。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924991961431.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924991570357.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638924991580949.jpg\" style=\"\"/></p><p></p><p>通过比赛，我们不仅让景区保洁人员工作技能得到了提升，也进一步强化了保洁人员的服务意识，提高了保洁人员的敬业精神和工作态度，促使他们更加重视细节，认真做好本职工作，使景区保洁工作逐步走向制度化、规范化，提高景区环境质量，全力为游客提供一个干净、整洁的出行环境。</p>', NULL, NULL, NULL, 'system', '2021-12-08 08:49:40', 'system', '2021-12-08 08:49:40');
INSERT INTO `ld_article_content` VALUES (123, 7, '景区动态', '重磅推介！连岛景区宣传片刷屏央视，全力助推连岛景区创5A！', NULL, 'zh', '2021-12-08', '', NULL, '富文本', '<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925083368073.jpg\" style=\"\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgba(41, 36, 36, 0.9); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgba(41, 36, 36, 0.9); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\">连岛景区又上央视啦！</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgba(41, 36, 36, 0.9); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgba(41, 36, 36, 0.9); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\">近日，CCTV-1、CCTV-7、CCTV-13、CCTV-17播出了连岛景区宣传片，对连岛景区进行了隆重推介，拉开了本次连岛景区旅游宣传片在央视推广的序幕。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgba(41, 36, 36, 0.9); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); overflow-wrap: break-word !important;\"><video class=\"edui-upload-video  vjs-default-skin video-js\" controls=\"\" preload=\"none\" width=\"420\" height=\"280\" src=\"http://192.168.3.11:8080/profile/liandao_old_data/video/20211208/1638925129268923.mp4\" data-setup=\"{}\"><source src=\"http://192.168.3.11:8080/profile/liandao_old_data/video/20211208/1638925129268923.mp4\" type=\"video/mp4\"/></video></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925083763900.gif\" style=\"\"/></p><p></p><p><br/></p><p>此次连岛景区宣传片登陆央视，旨在借力央视，进一步加大连岛景区旅游品牌宣推效果，让更多游客足不出户了解连岛，选择来连岛观光休闲，旅游度假。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925188479056.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925188539472.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925188413967.gif\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>连岛景区</strong></span></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p><span style=\"font-size: 16px;\">连岛，古称鹰游山，座落在物产富饶的海州湾内，与伟岸雄峻的北云台山相峙，与著名的新亚欧大陆桥的东桥头堡-连云港港隔海相望。连岛，其形状狭长，东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18公里，最高峰大桅尖海拔357.8米，山势曲折，峰连岭涌，折列如画屏，俨然一座美丽的海上屏风。</span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925322602815.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925322455980.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925322294515.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>大沙湾</strong></span></p><p><br/></p><p>大沙湾是拥有优质沙滩的天然海水浴场，在这里您或是追波踏浪，或是静卧沙滩，都可以尽享大海带来的无限柔情。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925387724893.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925387818748.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>苏马湾</strong></span></p><p><br/></p><p>苏马湾汇萃青山、碧海、金滩、奇石于一体，森林覆盖率达80%，这里空气清新，堪称天然氧吧。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925558403004.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925558254859.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925558120384.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>海滨栈道</strong></span></p><p><br/></p><p>连接大沙湾和苏马湾景区的是一条2.5公里长的海边栈道，它时而平缓时而蜿蜒，像一条卧龙，把两个景点连成一体，行走在上面，沿途的海景一览无遗。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925872773773.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925872528020.jpg\" style=\"\"/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>游艇俱乐部</strong></span></p><p><br/></p><p>游艇俱乐部是江苏省规模较大、设施完善的专业从事海上旅游的国有独资企业。公司主要经营海上观光、海上婚礼、海上垂钓。前三岛观光等多项特色旅游项目，并重点发展以海岛观光、旅游休闲为主的现代化旅游服务产业。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925916788834.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638925916999381.gif\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>连岛景区等你来~</strong></span></p>', NULL, NULL, NULL, 'system', '2021-12-08 08:56:57', 'system', '2021-12-08 08:56:57');
INSERT INTO `ld_article_content` VALUES (124, 7, '景区动态', '看这里！大沙湾主题沙雕夺目亮相！快来打卡！', NULL, 'zh', '2021-12-08', '/profile/liandao_old_data/61b00808b5df8.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>大沙湾主题沙雕夺目亮相</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>主题沙雕抢先看</strong></span></p><p><br/></p><p style=\"text-align: center;\">走进大沙湾沙雕区创作现场就会看到</p><p style=\"text-align: center;\">大多数沙雕作品的主体已经完工</p><p style=\"text-align: center;\">沙雕师们正在对沙雕进行精心雕刻</p><p style=\"text-align: center;\">紧锣密鼓地为这些作品做着最后的细节处理</p><p style=\"text-align: center;\">确保向大众完美呈现</p><p style=\"text-align: center;\">眼前这座名为“铁人三项赛”的沙雕</p><p style=\"text-align: center;\">是整个沙雕展的引领沙雕</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926092675151.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926092332735.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926092160371.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\">据设计师介绍</p><p style=\"text-align: center;\">这里的每座沙雕在成型前都经过</p><p style=\"text-align: center;\">实地考察采撷素材，画出样稿</p><p style=\"text-align: center;\">最后定版参照图纸雕刻</p><p style=\"text-align: center;\">而工艺都是采用自然堆砌</p><p style=\"text-align: center;\">整体结构为金字塔状</p><p style=\"text-align: center;\">主要利用沙子遇水后的黏性进行雕刻</p><p style=\"text-align: center;\">每个沙雕大小都不一样，有宽有窄</p><p style=\"text-align: center;\">每个题材都有专门的尺寸堆起来</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>01哪吒</strong></span></p><p style=\"text-align: center;\">哪吒是中国一位家喻户晓的神话人物</p><p style=\"text-align: center;\">被世人定义为“妖怪”的哪吒</p><p style=\"text-align: center;\">用自己“生而为魔，那又如何”的态度</p><p style=\"text-align: center;\">与命运进行着斗争</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926151984872.jpg\" title=\"\" alt=\"微信图片_20211208091408\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>02海绵宝宝</strong></span></p><p style=\"text-align: center;\">这座沙雕的创意来源于动画片《海绵宝宝》</p><p style=\"text-align: center;\">主角就是海绵宝宝和他的好朋友派大星、邻居章鱼哥</p><p style=\"text-align: center;\">海绵宝宝虽然会闯祸，但总能摆脱困境</p><p style=\"text-align: center;\">身上更具备勇敢、乐观、慷慨、充满斗志的精神</p><p style=\"text-align: center;\">这座沙雕就是以童真、有趣的方式</p><p style=\"text-align: center;\">传递一种乐观积极的生活态度</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926193378622.jpg\" title=\"\" alt=\"微信图片_20211208091410\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>03海底世界</strong></span></p><p style=\"text-align: center;\">大海是一个五彩缤纷的世界</p><p style=\"text-align: center;\">生物沐浴在光亮温暖的海水中</p><p style=\"text-align: center;\">凶猛的鲨鱼漫游在绚丽的珊瑚丛中</p><p style=\"text-align: center;\">奇异可爱的贝类、海草</p><p style=\"text-align: center;\">在波浪涌动下翩翩起舞</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926232513823.jpg\" alt=\"微信图片_20211208091413\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>04大鱼海棠</strong></span></p><p style=\"text-align: center;\">一个掌管海棠花的少女</p><p style=\"text-align: center;\">与人类男孩鲲的灵魂奇幻故事</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926267771637.jpg\" alt=\"微信图片_20211208091416\"/></p><p><br/></p><p style=\"text-align: center;\">大沙湾5座沙雕气势宏伟、栩栩如生</p><p style=\"text-align: center;\">吸引不少游客前来参观、拍照</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926300359450.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211208/1638926300328527.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\">初冬时节</p><p style=\"text-align: center;\">正是错峰出游的好时机！</p><p style=\"text-align: center;\">避开人海，敞开心扉</p><p style=\"text-align: center;\">寻一片远离喧嚣的海岛</p><p style=\"text-align: center;\">携亲子共度宁静美好时光</p><p style=\"text-align: center;\">是年底度假的完美选择！</p><p style=\"text-align: center;\">欢迎游客朋友们登岛观赏，拍照打卡！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-12-08 09:12:55', 'system', '2021-12-08 09:12:55');
INSERT INTO `ld_article_content` VALUES (125, 7, '景区动态', '防患于未“燃” | 连岛景区举行2021年森林消防应急演练', NULL, 'zh', '2021-12-22', '/profile/liandao_old_data/61c2d8830f9e9.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>连岛景区森林消防应急演练</strong></span></p><p><br/></p><p>为认真贯彻落实“预防为主，积极消灭”的森林防火工作方针，检验景区各灭火队伍应急响应、协同作战能力，锻炼队员灭火实战技能，保护连岛景区森林资源及人民群众生命财产安全，在冬至森林火灾高发期来临之际，连岛景区邀请连岛街道消防队、墟沟消防队、连岛游艇俱乐部防火队共同开展森林火灾扑救应急演练。</p><p><br/></p><p><br/></p><p>12月7日下午2时30分，各演练队伍集结完毕，连岛旅游公司副总经理李学兵进行演练动员讲话，并下达演练开始口令。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121541019.jpg\" style=\"\"/></p><p><br/></p><p>现场指挥员张锦永将演练队伍带达演练现场。</p><p><br/></p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211222/1640159121827076.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p><p>连岛街道、文旅集团、连云区消防大队等领导莅临现场观摩指导。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121745362.jpg\" style=\"\"/></p><p><br/></p><p>点火员用少量柴油浇灌1号垛火堆，并用火把引燃，模拟突发森林火灾，火堆充分燃烧后，演练现场指挥员下达火灾扑救命令。</p><p style=\"text-align: center\"><br/></p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211222/1640159121149458.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>器材灭火</strong></span></p><p>公司森林火灾应急救援队队员利用灭火耙、灭火弹、风力灭火机，进行协同灭火救援工作。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121597509.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121192283.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>水泵接力灭火</strong></span></p><p>接到驰援指令后，连岛街道消防队员立即乘坐消防应急车辆到达火灾现场约150米处，采用多台水泵及水带接力形式，将野外水源引至火灾扑救现场，使用水枪对余火展开进一步扑救工作。</p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121509014.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121695339.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>消防车扑救</strong></p><p>景区拨打火警电话请求支援，墟沟消防队中队长孙杰接警后带领消防队伍立即乘坐消防车赶赴现场。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121668739.jpg\" style=\"\"/></p><p><br/></p><p>消防车到达现场，消防员迅速展开、连接水带，启动车辆消防泵，利用高压水枪对点燃火堆实施扑救，确保将火堆彻底扑灭，无法复燃。</p><p style=\"text-align: center\"><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121503113.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121611282.jpg\" style=\"\"/></p><p style=\"text-align: center\"><br/></p><p>火堆彻底扑灭后，连云区消防大队副大队长唐烨对本次演练进行点评总结。</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159121288149.jpg\" style=\"\"/></p><p><br/></p><p>通过开展此次应急演练活动，进一步提升了景区干部职工的森林防火意识与火灾扑救技能，强化了景区工作人员对突发火情的救援反应能力，强化了各火灾救援队伍的协同作战能力，为连岛景区森林防灭火工作的有序、高效开展奠定了坚实基础。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-12-22 15:42:38', 'system', '2021-12-22 15:42:38');
INSERT INTO `ld_article_content` VALUES (126, 7, '景区动态', '免费报名 | 连岛景区元旦亲子研学活动开始招募啦！', NULL, 'zh', '2021-12-22', '/profile/liandao_old_data/61c2db5610971.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><strong><span style=\"font-size: 24px;\">我为连岛来加油</span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\">冬季研学之旅</span></strong></p><p style=\"text-align: center;\">一起感受连岛冬日的魅力</p><p><br/></p><p style=\"text-align: center;\">&nbsp;2022元旦第一天</p><p style=\"text-align: center;\">连岛景区亲子研学招募令</p><p><br/></p><p>亲爱的小朋友及家长：</p><p>&nbsp; &nbsp; 见信佳。</p><p>&nbsp; &nbsp; 2022元旦第一天，连岛景区推出“我为连岛来加油”为主题的亲子研学之旅，免费报名！</p><p>&nbsp; &nbsp; 俗语说：读万卷书不如行万里路。在我们看来，行路的目的并不是为了“行”，而是在行路中，就着某个目的去深入了解、探究。过程中引领孩子进行独立思辨，培养孩子专注力、线性思维能力以及创新能力。</p><p>&nbsp; &nbsp; 教育本无边界，有时候，边界打开了，孩子学习的源动力自然就形成了。</p><p>&nbsp; &nbsp; 元旦第一天，带上愉悦和好奇的心情，我们一起：</p><p>&nbsp; &nbsp; 体验海天一色的海滨栈道，感受壮观的海蚀地貌，在邓小平雕塑公园进行爱国主义教育，接受伟人的洗礼，感受中国共产党百年奋斗历程......</p><p>&nbsp; &nbsp; 这个冬天，和我们一起走进曼妙的连岛景区吧！</p><p><br/></p><p style=\"text-align: center;\"><strong>活动安排</strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\"><strong>01</strong></p><p style=\"text-align: center;\">亲子家庭自行前往连岛景区</p><p style=\"text-align: center;\">在大沙湾检票口签到集合</p><p style=\"text-align: center;\">免费领取虎年玩偶一个</p><p></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159488320691.jpg\" alt=\"微信图片_20211222155157\"/></p><p style=\"text-align: center;\">注：每组家庭限领一个玩偶，图片仅供参考<br/></p><p><br/></p><p style=\"text-align: center;\"><strong>02</strong><br/></p><p style=\"text-align: center;\">在景区工作人员的组织和带领下</p><p style=\"text-align: center;\">前往海滨栈道</p><p style=\"text-align: center;\">开启一场新年的难忘之旅</p><p style=\"text-align: center;\">体验独特的海天一色海滨栈道</p><p style=\"text-align: center;\">感受海蚀地貌的壮观</p><p style=\"text-align: center;\">沿途拍照打卡</p><p style=\"text-align: center;\">家长们需要关注小朋友的安全</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159692204473.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159692868605.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159693851546.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\">03</p><p><br/></p><p style=\"text-align: center;\">在孔雀园站所有家庭统一乘车</p><p style=\"text-align: center;\">前往邓小平雕塑公园</p><p style=\"text-align: center;\">由讲解员进行爱国主义教育</p><p style=\"text-align: center;\">接受伟人的洗礼</p><p style=\"text-align: center;\">感受中国共产党建党百年的奋斗历程</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640159982735462.jpg\" alt=\"微信图片_20211222155605_副本\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>04</strong></p><p style=\"text-align: center;\">活动结束后</p><p style=\"text-align: center;\">统一乘车将家长及孩子送至景区内</p><p style=\"text-align: center;\">家庭可自行游玩或结束行程</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 24px;\"><strong>我要报名</strong></span></p><p><span style=\"font-size: 24px;\"></span></p><p style=\"text-align: center;\">一、活动时间</p><p style=\"text-align: center;\">2022年1月1日 上午9:30</p><p><br/></p><p style=\"text-align: center;\">二、报名条件</p><p style=\"text-align: center;\">每组至少一位大人、一位儿童</p><p style=\"text-align: center;\">儿童年龄为 5-12 岁</p><p style=\"text-align: center;\">本次报名限前50组家庭，报满即止。</p><p><br/></p><p style=\"text-align: center;\">三、报名方式</p><p style=\"text-align: center;\">添加市场部QQ：2522051971</p><p style=\"text-align: center;\">（备注：参加元旦活动）</p><p style=\"text-align: center;\">报名截止时间：2021年12月31日</p><p><br/></p><p style=\"text-align: center;\">四、报名费用</p><p style=\"text-align: center;\">本次活动无需报名费用</p><p><span style=\"font-size: 24px;\"><strong><br/></strong></span></p><p style=\"text-align: center;\">在大自然中孩子们可以自由的探索</p><p style=\"text-align: center;\">用双眼可以感受大自然的色彩</p><p style=\"text-align: center;\">用鼻子能够嗅到大自然的芬芳</p><p style=\"text-align: center;\">用手去触摸大自然的温度</p><p style=\"text-align: center;\">去感知、去发现、去探索</p><p style=\"text-align: center;\">“我为连岛来加油”元旦主题研学活动</p><p style=\"text-align: center;\">等你来报名！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-12-22 15:49:26', 'system', '2021-12-22 15:49:26');
INSERT INTO `ld_article_content` VALUES (127, 7, '景区动态', '年末盘点 | 一起回顾连岛景区的2021年……', NULL, 'zh', '2021-12-30', '/profile/liandao_old_data/61cd663463d9c.png', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850517482255.jpg\" title=\"\" alt=\"微信图片_20211230154606\"/></p><p style=\"text-align: center;\">“旧岁已展千重锦，新年再进百尺杆”</p><p style=\"text-align: center;\">回顾这一年</p><p style=\"text-align: center;\">我们初心不忘、步履不停</p><p style=\"text-align: center;\">我们经历了磨炼、也拥抱了精彩</p><p style=\"text-align: center;\">我们承载着责任与担当，步履不停，坚定前行</p><p><br/></p><p style=\"text-align: center;\">这一年中</p><p style=\"text-align: center;\">那些令我们骄傲、温暖的时刻</p><p style=\"text-align: center;\">串联成2021年连岛景区最闪耀的光芒~</p><p style=\"text-align: center;\">在新年来临之际</p><p style=\"text-align: center;\">让我们一起回顾连岛景区2021年的“精彩瞬间”</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>春季</strong></span><br/></p><p style=\"text-align: center;\">春天连岛的海边很美</p><p style=\"text-align: center;\">没有夏日的人潮</p><p style=\"text-align: center;\">没有夏日的酷晒</p><p style=\"text-align: center;\">春风不燥，海水微凉</p><p style=\"text-align: center;\">一切都美得刚刚好</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850571955136.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850571816251.jpg\" style=\"\"/></p><p style=\"text-align: center;\">在阳光甚好的日子里</p><p style=\"text-align: center;\">紧随着春天雀跃的脚步</p><p style=\"text-align: center;\">无边无际的蓝</p><p style=\"text-align: center;\">从大海一直到天空</p><p style=\"text-align: center;\">柔细的沙质，蔚蓝的海水</p><p style=\"text-align: center;\">感受大海带给我们的舒适和惬意</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850602121129.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850602202760.jpg\" style=\"\"/></p><p style=\"text-align: center;\">抓住春季的小尾巴</p><p style=\"text-align: center;\">连岛景区成功举办首届亲子徒步活动</p><p style=\"text-align: center;\">同时，值此建党百年之际</p><p style=\"text-align: center;\">迎来多个学校、单位在邓小平雕塑公园</p><p style=\"text-align: center;\">开启“学党史 守初心”红色教育实践活动</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850623220986.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850623297494.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>夏季</strong></span></p><p style=\"text-align: center;\">夏天，来苏马湾走走</p><p style=\"text-align: center;\">这里的山体完全被混交林覆盖</p><p style=\"text-align: center;\">绿化面积达80%以上</p><p style=\"text-align: center;\">深深呼吸，这久违的清新氧气！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850662497366.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850662994179.jpg\" style=\"\"/></p><p style=\"text-align: center;\">夏日炎炎</p><p style=\"text-align: center;\">在这种汗水与荷尔蒙都爆发的日子里</p><p style=\"text-align: center;\">就应该到海边去撒一下野~</p><p style=\"text-align: center;\">玩玩水，冲冲浪</p><p style=\"text-align: center;\">感受夏日清凉一刻~</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850687347223.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850687443305.jpg\" style=\"\"/></p><p style=\"text-align: center;\">火辣的夏天，涌动的人潮</p><p style=\"text-align: center;\">HIGH翻天的音浪</p><p style=\"text-align: center;\">今年暑假的沙滩音乐节</p><p style=\"text-align: center;\">在大沙湾沙滩上激情开演</p><p style=\"text-align: center;\">现场狂欢氛围一度达到顶峰</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850707780583.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850707151207.jpg\" style=\"\"/></p><p style=\"text-align: center;\">不仅如此</p><p style=\"text-align: center;\">“连岛杯”2021连云港全国铁人三项冠军杯赛暨U系列冠军杯赛</p><p style=\"text-align: center;\">在连岛景区成功举办</p><p style=\"text-align: center;\">为广大游客奉上一场高水平的铁三盛宴</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850731863272.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850731606848.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>秋季</strong></span></p><p style=\"text-align: center;\">秋天的连岛宁静、治愈</p><p style=\"text-align: center;\">来海边走上一遭 仿佛可以忘记所有烦恼</p><p style=\"text-align: center;\">在连岛的海边</p><p style=\"text-align: center;\">不仅有海浪轻柔 海风清爽</p><p style=\"text-align: center;\">还有宜人的美丽景色</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850762996403.jpg\" alt=\"微信图片_20211230154707\"/></p><p style=\"text-align: center;\">秋天的海水在秋阳下波光粼粼</p><p style=\"text-align: center;\">像在大海上撒下了无数的碎金</p><p style=\"text-align: center;\">与海滩上许多奇形怪状的贝壳</p><p style=\"text-align: center;\">和石头反射的小小光芒</p><p style=\"text-align: center;\">一起熠熠生辉</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850807652058.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850807290842.jpg\" style=\"\"/></p><p style=\"text-align: center;\">逃离城市的喧嚣和枯燥生活</p><p style=\"text-align: center;\">我们在秋天举办了全程沉浸式露营派对体验</p><p style=\"text-align: center;\">体会大海带给我们的惊喜和治愈</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850830368368.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850830390667.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>冬季</strong></span></p><p style=\"text-align: center;\">冬天的连岛，嬉闹的人群逐渐散去</p><p style=\"text-align: center;\">连岛重回安静与深沉</p><p style=\"text-align: center;\">人们临海而立</p><p style=\"text-align: center;\">享受与海独处的时光</p><p style=\"text-align: center;\">万籁俱寂中，充盈着乐声与笑声</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850857566926.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850857324466.jpg\" style=\"\"/></p><p style=\"text-align: center;\">如果说</p><p style=\"text-align: center;\">夏秋的连岛是热情活泼的假小子</p><p style=\"text-align: center;\">那迈入初冬的它</p><p style=\"text-align: center;\">则温婉得如美人般令人惊艳</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850879135792.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850879815493.jpg\" style=\"\"/></p><p style=\"text-align: center;\">这个冬天，我们邀请非遗进景区</p><p style=\"text-align: center;\">感受传统文化的艺术魅力</p><p style=\"text-align: center;\">助力提升景区人文环境</p><p style=\"text-align: center;\">营造非遗保护的良好社会氛围</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850898262323.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850898286402.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>2022年再相约</strong></span></p><p style=\"text-align: center;\">岁月更迭，四季轮回</p><p style=\"text-align: center;\">2021年连岛景区感恩一路有您！</p><p style=\"text-align: center;\">匆匆忙忙已到年末</p><p style=\"text-align: center;\">不知不觉中</p><p style=\"text-align: center;\">2021的美好尚未散去</p><p style=\"text-align: center;\">2022的凛冽已悄然来临</p><p style=\"text-align: center;\">不知近水花先发，疑是经冬雪未销</p><p style=\"text-align: center;\">只愿向时光道一声</p><p style=\"text-align: center;\">2021再见，2022你好！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640850925801852.jpg\" title=\"\" alt=\"微信图片_20211230154744\"/></p>', NULL, NULL, NULL, 'system', '2021-12-30 15:36:51', 'system', '2021-12-30 15:36:51');
INSERT INTO `ld_article_content` VALUES (128, 7, '景区动态', '【公告】连岛景区2022年1月1日起恢复售票', NULL, 'zh', '2021-12-30', '/profile/liandao_old_data/61cd66a98c55d.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640851038788055.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p><p style=\"text-align: center;\">连云港市连岛景区</p><p style=\"text-align: center;\"><strong>将于2022年1月1日起</strong></p><p style=\"text-align: center;\">恢复景区的门票售卖啦！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211230/1640851069723703.jpg\" title=\"\" alt=\"连岛全景DJI_0606_副本\"/></p><p><br/></p><p style=\"text-align: center;\">连岛景区恢复售票公告</p><p><br/></p><p>亲爱的游客朋友们：</p><p><br/></p><p>&nbsp; &nbsp; 2021年11月1日——2021年12月31日期间，连云港市连岛景区为贯彻落实 “国有管理景区实行淡季（11月、12月）门票免费”的要求，对广大游客实行免费政策。</p><p><br/></p><p>&nbsp; &nbsp; 经过两个月的免费优惠，连云港市连岛景区将于<strong>2022年1月1日</strong>起恢复售票。届时，游览景区将继续<strong>凭票凭卡</strong>进入。</p><p><br/></p><p>&nbsp; &nbsp; 景交车实行淡季优惠票，<strong>往返15元/人。</strong></p><p><br/></p><p>&nbsp; &nbsp; 望广大游客知悉相告，安排出行。</p><p><br/></p><p>&nbsp; &nbsp; 特此公告</p><p><br/></p><p style=\"text-align: right;\">连岛景区&nbsp; &nbsp;&nbsp;</p><p style=\"text-align: right;\">2021年12月30日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-12-30 15:56:39', 'system', '2021-12-30 15:56:39');
INSERT INTO `ld_article_content` VALUES (129, 7, '景区动态', '元旦快乐 | 连岛景区热闹非凡，更有诗歌征集活动等你来！', NULL, 'zh', '2022-01-03', '/profile/liandao_old_data/61d24a9543cf6.jpg', NULL, '富文本', '<p style=\"text-align: center;\">时间是一辆永不停止的列车</p><p style=\"text-align: center;\">将你我带入无法估量的历史长河</p><p style=\"text-align: center;\">眨眼间，2022悄然而至</p><p style=\"text-align: center;\">新年的钟声已经敲响</p><p style=\"text-align: center;\">值此2021年新年来临之际</p><p style=\"text-align: center;\">连岛景区在这里祝大家</p><p style=\"text-align: center;\">元旦快乐，心想事成</p><p><br/></p><p style=\"text-align: center;\">2021至2022的新岁跨年之旅</p><p style=\"text-align: center;\">我们以丰富的活动与欢乐的氛围</p><p style=\"text-align: center;\">在新一年的开篇</p><p style=\"text-align: center;\">让无数个想象中的美好瞬间成为现实</p><p style=\"text-align: center;\">快跟着小编一起来回顾吧！</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>我为连岛来加油</strong></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171348675042.jpg\" title=\"\" alt=\"微信图片_20220103084952\"/></p><p style=\"text-align: center;\">迎接2022年新年的第一缕阳光</p><p style=\"text-align: center;\">不如带孩子走进大自然秘境</p><p style=\"text-align: center;\">来一场意义十足的亲子徒步！</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171363763065.jpg\" title=\"\" alt=\"微信图片_20220103085012\"/></p><p style=\"text-align: center;\">亲近大自然是每个孩子释放天性最好的方式</p><p style=\"text-align: center;\">在广阔的户外天地中吸取清新空气</p><p style=\"text-align: center;\">连岛景区亲子徒步活动</p><p style=\"text-align: center;\">亲子携手一同走栈道、爬山</p><p style=\"text-align: center;\">给2022年的第一天带来独特的欢乐和美好</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171377593747.jpg\" title=\"\" alt=\"微信图片_20220103085015\"/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>参观沙雕</strong></p><p><br/></p><p style=\"text-align: center;\">一进入大沙湾</p><p style=\"text-align: center;\">映入眼帘的便是五座大型</p><p style=\"text-align: center;\">沙雕孩子们兴奋地冲下去参观沙雕并合影留念</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171395888646.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171395499205.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>启程出发啦</strong></p><p><br/></p><p style=\"text-align: center;\">参观沙雕过后</p><p style=\"text-align: center;\">大家便一同来到大沙湾彩色海洋广场</p><p style=\"text-align: center;\">大家一起拍照留念</p><p style=\"text-align: center;\">并做好热身准备工作</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171418460634.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171418798267.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>栈道初体验</strong></p><p><br/></p><p style=\"text-align: center;\">依山傍海，观景听风</p><p style=\"text-align: center;\">漫步在海滨栈道上</p><p style=\"text-align: center;\">我们可以欣赏不同角度的海景</p><p style=\"text-align: center;\">全方位拥抱大海</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171437638138.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171437769751.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171437126997.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171437170615.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>研学活动圆满结束</strong></p><p><br/></p><p style=\"text-align: center;\">孩子们不仅在大自然中得到了锻炼</p><p style=\"text-align: center;\">也提高了综合素质，陶冶情操</p><p style=\"text-align: center;\">体会红色精神，传承红色基因</p><p style=\"text-align: center;\">感受到信仰、精神的力量</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171450827351.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171450853935.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>“情暖冬日 献歌连岛”诗歌征集活动</strong></span></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">新年新气象</p><p style=\"text-align: center;\">针对连岛景区新变化、冬日景象</p><p style=\"text-align: center;\">以及海滨栈道“新装亮相”</p><p style=\"text-align: center;\">在崭新的一年</p><p style=\"text-align: center;\">开启迎新年庆元旦，诗歌征集活动</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>征稿主题</strong></p><p style=\"text-align: center;\">“情暖冬日 献歌连岛”诗歌征集活动</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>征稿要求</strong></p><p style=\"text-align: center;\">1.本次活动面向所有热爱诗歌的创作者，围绕主题征集诗歌作品。</p><p style=\"text-align: center;\">2.新诗5首以内，不超过50行，散文诗不超过1200字。每人限投一次，多投无效。</p><p style=\"text-align: center;\">3.应征稿件应为未在公开出版物上发表过的原创作品，抄袭稿件一经发现或举报属实，将被取消参与资格。</p><p style=\"text-align: center;\">4.来稿请注明作者姓名、笔名、联系方式。</p><p style=\"text-align: center;\">5.本次活动不收参赛费和评审费，凡获奖作品，作品版权归连岛景区所有。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>征稿时间</strong></p><p style=\"text-align: center;\">即日起至2022年1月25日</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>征稿奖项</strong></p><p style=\"text-align: center;\">一等奖一名</p><p style=\"text-align: center;\">奖品为天际酒店住宿体验券1张、帆船体验票4张</p><p><br/></p><p style=\"text-align: center;\">二等奖两名</p><p style=\"text-align: center;\">奖品为天际酒店住宿体验券1张、游轮体验票4张</p><p><br/></p><p style=\"text-align: center;\">三等奖三名</p><p style=\"text-align: center;\">奖品为天际酒店住宿体验券1张、景区门票4张</p><p><br/></p><p style=\"text-align: center;\">奖品有效期一年</p><p style=\"text-align: center;\">诗歌版权归景区所属</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>评选方式</strong></p><p style=\"text-align: center;\">连岛景区市场部组成初评、复评小组审阅应征稿件，并进行终评。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>投稿方式</strong></p><p style=\"text-align: center;\">为倡导低碳、环保、快捷理念，提倡电子投稿。<span style=\"color: rgb(255, 0, 0);\"><strong>本次诗赛专用电子邮箱：2522051971@qq.com&nbsp;</strong></span></p><p style=\"text-align: center;\">来稿请注明“诗歌征集活动”字样。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171461615751.jpg\" title=\"\" alt=\"微信图片_20220103085508\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>“山海之间，我们最蓝”&nbsp;</strong></span></p><p><br/></p><p>徒步迎新，迎接新一年的美好。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171470418994.jpg\" title=\"\" alt=\"微信图片_20220103085510\"/></p><p>本次职工徒步活动，旨在进一步增强连岛景区职工的凝聚力和向心力，丰富职工的精神文化生活，积极展示连岛景区员工健康向上的精神面貌。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171483640671.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171483282540.jpg\" style=\"\"/></p><p>栈道徒步过程中，员工们不仅奋勇争先、争做排头兵，同时不忘相互鼓励、向上攀爬。<br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171503171211.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171503463738.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171503361248.jpg\" style=\"\"/></p><p>一路上欢声笑语，不仅可以沿途欣赏美景，近距离感受连岛景区冬日旖旎风光，还通过健身运动加强沟通交流，放松心情，展现员工朝气和风采！<br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171528972192.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171528662784.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220103/1641171528897009.jpg\" style=\"\"/></p><p>在本次栈道徒步中领悟做人，不要总是凝视远方，要踏踏实实走好脚下的每一步；在徒步中体会做事，不要轻言放弃，唯有坚持才能获得胜利。我们的生活与工作也要像在奔走中一样，抛开所有杂念，脚下生风，勇往直前，踏歌而行，2022年，踏上征程再出发。</p><p><br/></p><p style=\"text-align: center;\">2021，感谢有你</p><p style=\"text-align: center;\">凛冬散尽，星河长明，万事顺遂</p><p style=\"text-align: center;\">愿所有的遗憾，都是惊喜的铺垫</p><p><br/></p><p style=\"text-align: center;\">2022，万事可期</p><p style=\"text-align: center;\">一年之计，始于元旦</p><p style=\"text-align: center;\">愿新年，胜旧年</p><p style=\"text-align: center;\">一切都是最好的安排</p><p style=\"text-align: center;\">万象初新，我们告别过去</p><p style=\"text-align: center;\">怀着一颗感恩的心</p><p style=\"text-align: center;\">迎接最美好的2022</p><p style=\"text-align: center;\"><strong>连岛景区</strong></p><p style=\"text-align: center;\"><strong>欢迎您的到来！</strong></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-01-03 08:47:58', 'system', '2022-01-03 08:47:58');
INSERT INTO `ld_article_content` VALUES (130, 7, '景区动态', '久等了|连岛景区超多网红景点等你来打卡~', NULL, 'zh', '2022-06-13', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">美好假期，想好去哪里玩吗？</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">今天推荐的这个地方有海、沙滩、落日....</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">个个令人惊艳！</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">肯定不会让你失望！</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">这些尽在连岛</span></p><p style=\"line-height: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090263415843.jpg\" title=\"\" alt=\"微信图片_20220613111151\"/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">躲在海岛的一个角落听着海浪拍打的声音&nbsp;</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">&nbsp;这样的惬意舒适真是不可多得&nbsp;</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">神龟探海</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090295448054.jpg\" title=\"\" alt=\"微信图片_20220613111207\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">沧海桑田，海水冲击褶皱了的变质岩，形成神态各异的海蚀现象，沿褶皱的纹理形成一根根长短粗细不一的海蚀枝条，苏马湾基石海岸上的群龟昂首遥望黄海，迎波踏浪，形象生动，大潮时海水向群龟袭来，惊涛拍岸，掀起千层雪，“神龟”劈波斩浪，若隐若现实乃绝妙的自然景观。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><br/></p><p style=\"text-indent: 2em; line-height: 2em;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">观日亭</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090347287730.jpg\" title=\"\" alt=\"微信图片_20220613111211\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">观日亭，采用明清北派风格，亭高12米，占地80平方米。苏马湾典故有云“海天一色今犹在，碧海蓝天山水间”。登“观日亭”远远望去，明朗的蓝天万里无云、浩淼的大海与巍巍的青山净收眼底，令人顿感海阔天空，心旷神怡，流连忘返。</span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">海滨栈道</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090370453745.jpg\" title=\"\" alt=\"微信图片_20220613111213\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; text-indent: 2em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); text-shadow: none; letter-spacing: 2px; font-family: PingFangSC-light; font-size: 18px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">全长2.5公里，连接大沙湾和苏马湾，主要采用木板铺设而成。沿途有木板游步道、观海亭、悬索桥、炮台、孔雀园及钓鱼台等景观小品。整个栈道依山就势，紧贴大海，蜿蜒曲折，绵延与海蚀岩石之上，穿行于海边茂林之中。漫步海滨栈道，人们可以尽享自然之美，深刻感受山海诗意之地。</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">海誓山盟</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090543510058.jpg\" title=\"\" alt=\"微信图片_20220613111216\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">苏马湾沙滩的东北角，有两块巨石，上面分别刻着“海誓山盟”四个大字，这里是浪漫的世界，爱情的殿堂。景区结合浪漫海景以及优质的森林、海滩资源，打造婚纱摄影主题产品，为新人提供婚纱摄影。苏马湾青山碧海，山林茂密幽深，风景秀美，而“海誓山盟”巨石，是众多新人拍摄打卡的首选绝佳之地。</span></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">羊窝头</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090563442322.jpg\" title=\"\" alt=\"微信图片_20220613111219\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">鹰游山的最东端聚集着大量的海蚀礁岩，远远的看过去好像羊群聚集在那里，因此得名羊窝头。羊窝头，是观日出的最佳位置。</span></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">彩色路</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090582155378.jpg\" title=\"\" alt=\"微信图片_20220613111222\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">彩色路位于大沙湾广场两侧，全长200米，5300平方米，采用蓝、紫陶瓷颗粒相间拼接，经过三次碾压而成，优美的线型，缤纷的色彩，令游客在进入景区观光旅游前不可错过的一道靓丽风景线，也是旅拍、婚纱摄影打卡之地，记录多彩生活。</span></p><p style=\"text-indent: 2em; line-height: 2em;\">海誓山盟</p><section style=\"margin: -30px 0px 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; color: rgb(34, 34, 34); font-size: 14px; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255); isolation: isolate; font-family: PingFangSC-light;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; text-align: center; font-size: 18px; color: rgb(255, 255, 255); letter-spacing: 11px;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; vertical-align: inherit; overflow-wrap: break-word !important;\"><br/></p></section></section><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">邓小平和人民在一起雕塑公园</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090616310840.jpg\" title=\"\" alt=\"微信图片_20220613111225\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">为了纪念小平同志的骨灰撒在连岛菠萝山外的海域，2007年连云港市委、市政府在连岛景区依山傍海、视野开阔的菠萝山建设了“邓小平和人民在一起”雕塑公园。该雕塑由清华大学李象群教授设计，群雕背依青山，三面环海，气势恢宏。雕塑公园现已成为全国重要的开展“不忘初心•牢记使命”等系列党性教育、爱国主义教育和廉政教育等红色教育基地。</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">海洋文化墙</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090636894388.jpg\" title=\"\" alt=\"微信图片_20220613111228\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; vertical-align: inherit; text-indent: 2em; line-height: 2em; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); text-shadow: none; letter-spacing: 2px; font-family: PingFangSC-light; font-size: 18px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">大沙湾海洋文化墙，全长约200米，汇集了各类海洋鱼类、贝类、鸟类和其他海洋生物近200个。30幅浅浮雕画面，展示了海洋生命起源、物种进化、海洋开发和人类文明的发展，昭示了我们认识海洋、保护海洋、开发海洋、发展海洋的重要性。</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">钟楼</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090662134913.jpg\" title=\"\" alt=\"微信图片_20220613111231\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">钟楼耸立于大沙湾景区大门东侧，建在方形基座之上，四角顶，内有楼梯可盘旋而上。钟楼红瓦白墙，四周镶嵌时钟，在苍翠的绿色和蓝天白云烘托下，既是风景又是提醒游客游玩注意时间，成为景点地标建筑。</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">海韵广场</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090686725907.jpg\" title=\"\" alt=\"微信图片_20220613111233\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">海韵广场是游艇俱乐部地标性建筑，采用软雕塑张拉膜，以四片“大白帆”相互叠加，下面采用海洋元素“八爪鱼”休闲椅供游客纳凉休憩，寓意“扬帆起航 乘风破浪”，在此观赏海上风景和极速驰骋的游艇，可谓是悠闲自得，惬意的很！&nbsp;</span></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">海天一色</span></p><p style=\"line-height: 2em; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090702548934.jpg\" title=\"\" alt=\"微信图片_20220613111236\"/>&nbsp; &nbsp; <span style=\"font-size: 18px;\">&nbsp;<span style=\"color: rgb(34, 34, 34); font-family: PingFangSC-light; letter-spacing: 2px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">海天一色</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); letter-spacing: 2px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255); font-family: 宋体; box-sizing: border-box !important; overflow-wrap: break-word !important;\">，</span><span style=\"color: rgb(34, 34, 34); font-family: PingFangSC-light; letter-spacing: 2px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">是入苏马湾后的第一观景处，在这里可以领略连岛独特的“青山碧海茂林岩石”之美，观赏天之涯、海之角最佳去处，极目远眺海天相接，正是“海阔天空万里蓝，三面青山绕碧海”。</span></span></p><p style=\"line-height: 2em; text-indent: 0em;\"><span style=\"color: rgb(34, 34, 34); font-family: PingFangSC-light; font-size: 15px; letter-spacing: 2px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\"><br/></span></p><p style=\"line-height: 2em; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220613/1655090721754397.jpg\" title=\"\" alt=\"微信图片_20220613111239\"/></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; color: rgb(34, 34, 34); font-size: 14px; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255); line-height: 2.5; font-family: PingFangSC-light;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; text-align: center; vertical-align: inherit; overflow-wrap: break-word !important;\"><span style=\"font-size: 18px;\">这种美妙的体验是不是身未动，心已动</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; text-align: center; vertical-align: inherit; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; color: rgb(115, 61, 20); font-size: 18px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\">那还等什么，冲冲冲</strong></span></p></section><p></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; color: rgb(34, 34, 34); font-size: 14px; letter-spacing: 2px; text-align: justify; background-color: rgb(255, 255, 255); font-family: PingFangSC-light;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; vertical-align: inherit; overflow-wrap: break-word !important;\"><br/></p></section><p></p>', NULL, NULL, NULL, 'system', '2022-06-13 11:17:11', 'system', '2022-06-13 11:17:11');
INSERT INTO `ld_article_content` VALUES (131, 7, '景区动态', '2022.02.22 | 来连岛景区开启“2”倍浪漫！！', NULL, 'zh', '2022-03-13', '', NULL, '富文本', '<p style=\"text-align: center;\"><strong>2022.02.22</strong></p><p style=\"text-align: center;\"><strong>壬寅虎年正月廿二</strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155070988052.jpg\" title=\"\" alt=\"微信图片_20220313145259\"/></p><p style=\"text-align: center;\">“最有爱的一天”</p><p style=\"text-align: center;\">2022年2月22日是星期二，</p><p style=\"text-align: center;\">也是壬寅虎年正月廿二，</p><p style=\"text-align: center;\">还是百年难遇的最二的日子，</p><p style=\"text-align: center;\">一共“8”个2，</p><p style=\"text-align: center;\">假如要找一个比2022年2月22日还2的日子，</p><p style=\"text-align: center;\">那只能等到2222年2月22日，</p><p style=\"text-align: center;\">要到两百年以后了。</p><p><br/></p><p style=\"text-align: center;\">关于“2”的巧合</p><p style=\"text-align: center;\">你知道2022那些关于2的巧合吗？</p><p style=\"text-align: center;\">2022有两个腊八</p><p style=\"text-align: center;\">2022，新春迎接冬奥，中秋遇上亚运</p><p style=\"text-align: center;\">2022，问天、梦天两舱发射…</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155150378081.jpg\" title=\"\" alt=\"微信图片_20220313145335\"/></p><p style=\"text-align: center;\">吾爱有三，日月与卿；</p><p style=\"text-align: center;\">日为朝，月为暮，</p><p style=\"text-align: center;\">卿为朝朝暮暮。</p><p><br/></p><p style=\"text-align: center;\">2022年有惊喜的地方可多着呢，来看看这些日子。</p><p style=\"text-align: center;\">2022年4月4日，星期一，事事如意日</p><p style=\"text-align: center;\">2022年6月6日，星期一，六六大顺日</p><p style=\"text-align: center;\">2022年8月8日，星期一，八八大发日</p><p style=\"text-align: center;\">2022年10月10日，星期一，十全十美日</p><p style=\"text-align: center;\">2022年12月12日，还是星期一</p><p><br/></p><p style=\"text-align: center;\">在这一年里，</p><p style=\"text-align: center;\">恰巧就是这几个双数，</p><p style=\"text-align: center;\">撞上了星期一。</p><p style=\"text-align: center;\">双数是中国人眼里的吉数，</p><p style=\"text-align: center;\">预示这一年将会是好事成双，吉祥如意。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155361917856.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155361281021.jpg\" style=\"\"/></p><p style=\"text-align: center;\">面朝大海，春暖花开。</p><p style=\"text-align: center;\">这是许多人的梦想，</p><p style=\"text-align: center;\">也是许多人所期望的生活。</p><p style=\"text-align: center;\">海滩是一个充满了浪漫的景点，</p><p style=\"text-align: center;\">&nbsp;在海滩看青山绿水、海天一色、碧波白沙相映成趣，</p><p style=\"text-align: center;\">光脚踩着细腻的沙滩，</p><p style=\"text-align: center;\">感受咸味的海风，</p><p style=\"text-align: center;\">听海浪涛涛，</p><p style=\"text-align: center;\">是多么美的享受。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155526549962.jpg\" title=\"\" alt=\"微信图片_20220313145353\"/></p><p style=\"text-align: center;\">面朝大海</p><p style=\"text-align: center;\">春暖花开</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155541564805.jpg\" title=\"\" alt=\"微信图片_20220313145356\"/></p><p style=\"text-align: center;\">青山绿水</p><p style=\"text-align: center;\">海天一色</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220313/1647155576829538.jpg\" title=\"\" alt=\"微信图片_20220313145400\"/></p><p style=\"text-align: center;\">碧海蓝天</p><p style=\"text-align: center;\">心旷神怡</p><p><br/></p><p style=\"text-align: center;\">2月22日 双倍幸运日，</p><p style=\"text-align: center;\">在这个美好的日子里我要，</p><p style=\"text-align: center;\">愿你与爱人“比翼双飞”，</p><p style=\"text-align: center;\">愿你与亲人“福寿双全”，</p><p style=\"text-align: center;\">愿你与友人“名利双收”，</p><p style=\"text-align: center;\">愿你与贵人“成双成对”，</p><p style=\"text-align: center;\">让好事成双，幸福永远，快乐久久！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-03-13 14:46:49', 'system', '2022-03-13 14:46:49');
INSERT INTO `ld_article_content` VALUES (132, 7, '景区动态', '连岛景区组织党员群众观看二十大开幕会现场直播', NULL, 'zh', '2022-10-16', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221028/1666945893561430.png\" title=\"\" alt=\"image\" width=\"700\" height=\"542\" border=\"0\" vspace=\"0\" style=\"width: 700px; height: 542px;\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221028/1666945926421164.png\" title=\"\" alt=\"image\" width=\"700\" height=\"393\" border=\"0\" vspace=\"0\" style=\"width: 700px; height: 393px;\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221028/1666945953503890.png\" title=\"\" alt=\"image\" width=\"700\" height=\"520\" border=\"0\" vspace=\"0\" style=\"width: 700px; height: 520px;\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 16px;\">2022年10月16日上午10时，中国共产党第二十次全国代表大会在北京人民大会堂隆重召开。 连岛景区全部党员干部群众怀着无比喜悦的心情，通过电视、网络等形式收听收看党的二十大开幕会直播，认真聆听习近平代表第十九届中央委员会向大会所作的报告。</span></p>', NULL, NULL, NULL, 'system', '2022-10-16 16:28:17', 'system', '2022-10-16 16:28:17');
INSERT INTO `ld_article_content` VALUES (133, 7, '景区动态', '因为一座岛，爱上一座城！', NULL, 'zh', '2022-05-09', '/profile/liandao_old_data/627870a5a96c7.png', NULL, '富文本', '<p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">&nbsp;山海深处，连岛有约。</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059667283912.jpg\" title=\"\" alt=\"微信图片_20220509092354\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">一本记录连岛旅游的口袋书，此书从不同角度记录了连岛的点点滴滴，充分呈现诗意山海曼妙连岛。就此让我们以另类方式打开连岛、走进连岛、认识连岛……</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">因为一座岛，爱上一座城！</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059687894714.png\" title=\"\" alt=\"微信图片_20220509092412\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">从字面意思理解，连岛即是连云港有座岛。</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">无论从地理还是历史上来讲，这片土地都占据着重要的位置。过去的交通门户，现在的亚欧大陆桥头堡......</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">这些关键词叠加起来，你就知道这座小岛不简单。</span></p><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059724567206.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059724635777.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">更为重要的是，它还色香味俱全。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059782162409.png\" title=\"\" alt=\"微信图片_20220509092429\"/></p><p dir=\"rtl\" style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">你说你喜欢海</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059814515803.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059815326514.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">背山面海，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">每天拉开窗帘就能看到广阔的海面，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">入夜酣睡时海浪声回响在耳边，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">这是多少“日理万机”的“打工人”向往的生活？</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">海洋经年累月的冲刷，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">又让岸边的石头变得更加多姿。</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">独特的海蚀地貌、罕见的红色岩石、</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">巨浪冲击卷起的“雪花”......</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">这至尊的景色体验可不是哪里都能给的。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059850195042.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059851685342.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059851547183.png\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">连岛是江苏最大的岛，连岛所在的海州湾是全国八大渔场之一，有着丰富的海洋资源。什么大小黄鱼、对虾、鲳鱼、马鲅鱼......来了连岛，全部管够！这片海域还是全国主要的紫菜生产基地之一，紫菜产线的另一种产品是海苔。你在超市里买到的很多大牌产品，都是源自这里。</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">冲浪、 摩托艇、露天音乐派对，旺季的连岛上，人们肆意挥洒着对海洋的热爱。乘风破浪中，品尝着生活本该有的味道。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059929129360.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059929659717.png\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">在夏日海滩的比基尼、冲浪之外，秋冬季的连岛也带着让人神往的气息。没有夏日阳光的热烈，也没有空气中滚烫的热情。除了码头每天依旧热闹外，这个时间的连岛像是郊外隐秘的角落，静谧且清幽。只是到了午后，山野间的几声鸟叫像是提醒人们，不要过度沉浸在这座世外桃源中。在这里充满“电”之后，人世间还有很多“砖”等待着你去搬。</span></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">就是这座小岛，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">在你步履艰难的时候，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">它能给予你能量；</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">在你披荆斩棘的时候，</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">它能给予你想象。</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">谁会不爱呢？</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652059975746518.png\" alt=\"微信图片_20220509092455\"/></p><p>以上内容出自情调苏州工作室</p>', NULL, NULL, NULL, 'system', '2022-05-09 09:22:14', 'system', '2022-05-09 09:22:14');
INSERT INTO `ld_article_content` VALUES (134, 7, '景区动态', '亲子徒步行|走一次就爱上的路，来一次就着迷的岛！', NULL, 'zh', '2022-05-09', '/profile/liandao_old_data/62787a44e907c.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>五一小长假怎么安排？</strong></span></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">熟悉我们的朋友肯定已经猜到了，是的，万众期待的“五一亲子乐 快乐你我他”的徒步活动已启动，就在这个热情的五一，与其出门人挤人，又或者宅家闲过，不如和我们一起踏上这条充满惊喜与魅力的成长之路吧！</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\"><br/></span></p><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062478418085.jpg\" title=\"\" alt=\"微信图片_20220509101314\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>来挑战吗？</strong></span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">如果说在孩子成年以前你只能送他们一样礼物，你会选择什么呢？一个有固定收益的账户？一套知识渊博的百科全书？还是一段刻骨铭心的成长之旅？ 让我来选，那必定是第三种。钱会花完，书会看完，唯有成长不会褪色。而成长的首要条件就是挑战，不断地挑战，去打磨意志，有人说这对孩子是不是太早了，是不是过于残酷了？孩子不是应该有一个完整的童年吗？事实上，挑战，也应该是童年的一部分。</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\"><br/></span></p><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062518672470.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062518151390.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062518749063.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062518341953.png\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">此次徒步活动的起点位设置在大沙湾，当天上午9:00，家长们带着孩子一起出发啦，沿着海滨栈道，观波澜壮阔的大海，聆听大自然的声音、闻漫山遍野的花香、赏风光秀丽的美景……</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">跟着小编一起看看整个打卡过程吧~</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062562216316.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062562549991.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062563848500.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062563867415.jpg\" style=\"\"/></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 18px;\"><br/></span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">哪一种运动最适合家长与孩子们一起快乐，亲子徒步！</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">哪一种运动最能让家长与孩子们亲密沟通，亲子徒步！</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">哪一种运动最能感受到与孩子们一起进步，亲子徒步！</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">你可能以为你的孩子很娇小软弱；</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">可能以为他们不能吃苦；</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">可能以为他们不能坚持；</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 16px;\">只是可能，现在我们就来试试，他们是否有着你不知道的潜能。</span></p><p style=\"line-height: 1.5em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062600321299.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062600485188.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652062600292486.png\" style=\"\"/></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">徒步旅行</span></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">让这个世界在孩子的眼中</span></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">由象征和符号逐渐鲜活起来</span></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">在过去的时间里</span></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">亲子徒步我们也一起走过</span></p><p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 16px;\">我们也非常期待下一次的相约</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-05-09 09:51:12', 'system', '2022-05-09 09:51:12');
INSERT INTO `ld_article_content` VALUES (135, 7, '景区动态', '在春光里久别重逢', NULL, 'zh', '2022-04-08', '/profile/liandao_old_data/624fde5f84003.jpg', NULL, '富文本', '<p>&nbsp; &nbsp; <strong><span style=\"font-size: 18px;\">&nbsp; &nbsp;阳光总在风雨后，春风，拂过时光阡陌，轻轻推开季节的门扉，连岛走进了人间最美的四月。</span></strong></p><p><strong><span style=\"font-size: 18px;\">&nbsp; &nbsp; &nbsp;此时，春风和煦，草长莺飞。小麦拔节，油菜花香。4月1日，我们在春光里久别重逢！</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649400082510979.jpg\" title=\"\" alt=\"微信图片_20220408143944\"/></p><p style=\"text-align: center;\"><strong>开放时间：2022年4月1日&nbsp;</strong></p><p style=\"text-align: center;\"><strong>营业时间 ：08:30—17:30（17:00停止售票）</strong></p><p style=\"text-align: center;\">预约、线上购票游览</p><p>&nbsp; &nbsp; 景区每天实时控制入园人员密度，均启动网上预约游览政策，购票或享受免票优惠政策的游客（含连云港旅游年卡），均须预约参观入园。</p><p><br/></p><p>1、关注“连云港连岛景区”、“连云港市连岛景区”微信公众号，点击“微信预约”，预约成功后方可购票入园。</p><p>2、在微信公众号内点击“微信购票”，实现无接触购票入园。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649400159707615.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649400159489793.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649400159624976.jpg\" style=\"\"/></p><p style=\"text-align: center;\">友情提醒</p><p>1、景区严格落实“限量、预约、错峰”的开放政策，实行实名网络预约登记入园，严控人员聚集，游客接待量不超过最大承载量的50%。</p><p><br/></p><p>2、请积极配合景区工作人员做好体温检测，出示健康码、行程码，经查验身份信息登记后方可入园。体温检测异常或有明显咳嗽、发热、呼吸急促等可疑症状人员，景区将引导至临时隔离场所临时隔离并由120转运到就近发热门诊就诊。</p><p><br/></p><p>3、进入景区请做好个人防护，全程佩戴口罩，服从工作人员引导，分散游览，保持距离，有序参观，不得进行人员聚集性活动。</p><p><br/></p><p>4、 因疫情防控需要，景区暂不接待来自中、高风险地区的游客。给您带来不便敬请谅解，感谢您的理解与配合！</p><p><br/></p><p>景区咨询电话：400-828-2898</p><p><br/></p><p>游艇俱乐部咨询电话：0518-82601126</p><p><br/></p><p>感谢您的支持与配合！</p><p><br/></p><p><br/></p><p><br/></p><p>&nbsp; &nbsp; &nbsp;为感恩回馈广大医务人员及人民警察的辛勤付出与无私奉献，连岛景区面向全省医务人员及全国警察免票！持本人有效证件即可免票入园。</p><p style=\"text-align: center;\"><strong>免费时间</strong></p><p style=\"text-align: center;\"><strong>2022年4月1日至2022年12月31日</strong></p><p><br/></p><p style=\"text-align: center;\"><strong>免费对象</strong></p><p style=\"text-align: center;\"><strong>全省医护人员及全国警察</strong></p><p style=\"text-align: center;\"><strong>（凭有效证件享受免门票优惠）</strong></p><p><br/></p><p>&nbsp;温馨提示：游艇俱乐部针对全省医务人员享受7折优惠；持有连云港旅游年卡的市民享受8折优惠！！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649401027921807.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649401027742475.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220408/1649401027614500.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-04-08 14:38:14', 'system', '2022-04-08 14:38:14');
INSERT INTO `ld_article_content` VALUES (136, 7, '景区动态', '【邂逅夏日连岛】 6.1儿童节的完美打开方式', NULL, 'zh', '2022-06-08', '/profile/liandao_old_data/62a00a6ddf8b8.jpg', NULL, '富文本', '<p style=\"text-align: center; line-height: 1.75em;\">儿童节遇上端午节</p><p style=\"text-align: center; line-height: 1.75em;\">大儿童小回忆~</p><p style=\"text-align: center; line-height: 1.75em;\">当历史悠久的传统节日</p><p style=\"text-align: center; line-height: 1.75em;\">和六一元素巧妙搭配在一起</p><p style=\"text-align: center; line-height: 1.75em;\">来连岛</p><p style=\"text-align: center; line-height: 1.75em;\">定会让童心未泯的你</p><p style=\"text-align: center; line-height: 1.75em;\">和孩子度过一个难忘的假期</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655299464059.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655300410053.jpg\" style=\"\"/></p><p style=\"text-align: center; line-height: 2em;\">五月将要结束，</p><p style=\"text-align: center; line-height: 2em;\">六月的喧闹带着浪花的晶莹，</p><p style=\"text-align: center; line-height: 2em;\">向我们更热情的招手。</p><p style=\"text-align: center; line-height: 2em;\">让人更期待的海岛夏天，</p><p style=\"text-align: center; line-height: 2em;\">愈发旺盛。</p><p style=\"text-align: center; line-height: 2em;\">那谁又能不向往连岛呢？</p><p style=\"text-align: center; line-height: 2em;\">山海灿烂，</p><p style=\"text-align: center; line-height: 2em;\">渔村悠然，</p><p style=\"text-align: center; line-height: 2em;\">最美好的旅行目的地就是连岛呀！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655319102744.jpg\" title=\"\" alt=\"微信图片_20220608102455\"/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">大沙湾</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655338910389.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655338935998.jpg\" style=\"\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">大沙湾位于连岛中部，是江苏省唯一拥有优质沙滩的天然海水浴场。大沙湾游乐设施丰富，是景区内海边娱乐休闲的主要场所。徜徉于蓝天、碧海、沙滩、阳光之中，没有都市的喧嚣与浮华，尽情感受惬意与舒爽！</p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">苏马湾</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655376813499.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655376572710.jpg\" style=\"\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">苏马湾，坐落在连岛东部，位于两山岬角环抱之中，环境清幽，海湾风光怡人，属典型的新月形沙滩。沙滩面积5万平方米，沙质优良，细腻柔软，是优质的天然海水场。这里山、海、林、石、滩融为一体，山林茂密幽深，环抱碧水金滩，入林寻幽，溪响淙淙，鸟鸣啾啾，是不可多得的天然海岛生态园。</p><p style=\"line-height: 1.75em; text-indent: 2em;\"><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">邓小平雕塑公园</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655404801424.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654655404781175.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">2007年在连岛景区依山傍海、视野开阔的菠萝山建设了“邓小平 和人 民 在一 起”雕塑公园。该雕塑由清华大学李象群教授设计，群雕背依青山 ，三面环海 ，气势恢宏 。现已成为全国重要的开展“不忘初心、牢记使命”等系列党性教育、爱国主义教育和廉政教育等红色教育基地。</p><p><br/></p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">六月降临</p><p style=\"text-align: center; line-height: 1.75em;\">六一儿童节和端午佳节携手而来</p><p style=\"text-align: center; line-height: 1.75em;\">海岛的旅游旺季也近了</p><p style=\"text-align: center; line-height: 1.75em;\">来连岛看海吧</p><p style=\"text-align: center; line-height: 1.75em;\">让日子和天边的云朵一样明媚</p><p style=\"text-align: center; line-height: 1.75em;\">让假期和海上的浪花一样悠扬</p><p style=\"text-align: center; line-height: 1.75em;\">然后再来体验一次不一样的连岛</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-08 10:27:09', 'system', '2022-06-08 10:27:09');
INSERT INTO `ld_article_content` VALUES (137, 7, '景区动态', '端午假期结束了？不！连岛的精彩才开始', NULL, 'zh', '2022-06-08', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\">六月的连岛，浪漫又多情。</p><p style=\"text-align: center; line-height: 2em;\">微风常伴，大自然万物复苏。</p><p style=\"text-align: center; line-height: 2em;\">端午小长假已接近尾声，</p><p style=\"text-align: center; line-height: 2em;\">跟着小编一起来回顾下连岛的热闹端午吧~</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668340726662.jpg\" title=\"\" alt=\"微信图片_20220608103637\"/></p><p style=\"text-align: center;\">叮铃铃 叮铃铃</p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">坐在观光小火车上，火车缓缓前行，眼前的风景一览无余，游玩时的疲惫感瞬间消失，沿途经过的地方是不是看到有人拿着手机不停的给火车拍照，有句话是这样说的，“乘坐在观光小火车上看风景，自己反而成了别人眼中的风景”。真是一种不错的体验呢~</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668362506614.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668362243915.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>金沙碧海</strong></span></p><p><br/></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">徜徉在金沙滩上</p><p style=\"text-align: center; line-height: 2em;\">碧波涌涌人头涌涌</p><p style=\"text-align: center; line-height: 2em;\">好似包围在大海的环抱中</p><p style=\"text-align: center; line-height: 2em;\">无疑会陶醉在眼前的美景中</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668384122730.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668384544048.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>确定不要踩踩水吗？</strong></span></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">金色的沙滩&nbsp;&nbsp;</p><p style=\"text-align: center; line-height: 2em;\">海浪此起彼伏&nbsp; &nbsp;</p><p style=\"text-align: center; line-height: 2em;\">打赤脚走在绵软温柔</p><p style=\"text-align: center; line-height: 2em;\">又广阔无边的金沙滩上</p><p style=\"text-align: center; line-height: 2em;\">小孩子不再让你抱着</p><p style=\"text-align: center; line-height: 2em;\">你也不担心他摔倒</p><p style=\"text-align: center; line-height: 2em;\">大人小孩随时疯嗨起来</p><p style=\"text-align: center; line-height: 2em;\">小螃蟹从脚边爬过&nbsp;</p><p style=\"text-align: center; line-height: 2em;\">&nbsp;兜里装满了小贝壳&nbsp;&nbsp;</p><p style=\"text-align: center; line-height: 2em;\">沐浴温暖阳光</p><p style=\"text-align: center; line-height: 2em;\">实在太惬意</p><p style=\"line-height: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668415965353.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668415481607.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668415876435.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668416830933.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">一群可爱的工作人员</span></p><p><br/></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">端午假期即将结束</p><p style=\"text-align: center; line-height: 2em;\">很多人可能在旅游后的归途中</p><p style=\"text-align: center; line-height: 2em;\">但您可能没有留意身边那些无声的美</p><p style=\"text-align: center; line-height: 2em;\">那些依然坚守岗位的普通工作者</p><p style=\"text-align: center; line-height: 2em;\">在人群中树立起靓丽的风景线</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668514315847.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668514314173.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668514193910.jpg\" style=\"\"/></p><p style=\"text-align: center; line-height: 2em;\">景区防疫工作人员</p><p style=\"text-align: center; line-height: 2em;\">是游客到景区最先接触到的工作人员</p><p style=\"text-align: center; line-height: 2em;\">他们认真负责，各尽其职</p><p style=\"text-align: center; line-height: 2em;\">用心对待每一位游客</p><p style=\"text-align: center; line-height: normal;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668539886270.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668539652557.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668539106283.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668539324546.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>多方联动&nbsp; 共同打造舒适的旅游环境</strong></span></p><p><br/></p><p><br/></p><p style=\"text-indent: 2em; line-height: 2em;\">端午小长假期间，为了给游客们提供舒适、畅快、安心的旅游环境，连岛景区里除了全体工作人员坚守在岗之外，还有这样一群人，他们坚守岗位，打击违法、消除隐患、处理事故、疏导交通，全力应战人流车流高峰，只为让你的出行多一份安全和舒畅。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668562586715.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668562452035.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654668562713002.jpg\" style=\"\"/></p><p style=\"text-align: center;\">我们把镜头对准火热的一线工作者</p><p><br/></p><p style=\"text-align: center;\">见证他们的热情和汗水</p><p><br/></p><p style=\"text-align: center;\">记录他们的责任和担当</p><p><br/></p><p style=\"text-align: center;\">他们认真工作的样子</p><p><br/></p><p style=\"text-align: center;\">真的很美！！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-08 14:04:29', 'system', '2022-06-08 14:04:29');
INSERT INTO `ld_article_content` VALUES (138, 7, '景区动态', '去海边，去露营，深度拥抱连岛之夜，能量满满', NULL, 'zh', '2022-06-08', '/profile/liandao_old_data/62a057a7b08a3.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674839315573.jpg\" title=\"\" alt=\"微信图片_20220608155015\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>Part 01</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>露营节</strong></span><br/></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">&nbsp;<span style=\"font-size: 18px;\">拥抱大自然，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">仰望璀璨星空，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">吹响端午露营季集结号角，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">2022年连岛景区首届亲子星光露营节来了。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-align: center; line-height: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674861102277.jpg\" style=\"\"/></p><p style=\"line-height: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674866160480.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">疫情复苏后的端午小长假在6月4日这一天，大沙湾景区显得格外热闹，来自市区80组家庭200余人浩浩荡荡集合游客中心。自驾车队排列有序，双闪打开，长龙一般沿着海边行进，虽说天公不作美，确另有一番特别，行走在如画风景中。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">一场野趣横生的亲子星光露营会激情上演。</span></p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">Part 02<br/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">搭帐篷啦</span></strong></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674890819995.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674890581596.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674890524200.jpg\" style=\"\"/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">在金滩上安营扎寨，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">各组家庭相互配合，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">三五分钟就把各自的“小窝”搭建好，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">小桌小椅、铺垫等一应具有，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">大小朋友席地而坐开始造起来，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">其乐融融，非常兴奋。</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674935611320.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674935587202.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674935739646.jpg\" style=\"\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">童趣沙雕尽享童趣时光，父子上阵，母女携手，化身沙雕大师，挖坑堆沙，共同体验玩沙创作的奇妙，感受家人合作的乐趣。</p><p style=\"line-height: 2em; text-indent: 2em;\"><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674950527231.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674950395512.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">夜幕降临，海洋广场灯火通明，户外大舞台载歌载舞、小朋友们自编自演丰富多彩文娱节目一片欢腾，引来场下观看的家庭阵阵掌声，只有真正身在其中，才能体验到这一刻的精彩。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674966846264.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674966865496.jpg\" style=\"\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">灯光熠熠、观潮听涛、欢乐派对、海边烧烤……使得大沙湾成为不夜之城。在浩瀚银河下伴着海风肆意吹面，众多娱乐项目于一体，这次海滨亲子星光露营节让更多的家庭亲近自然，融于自然，尽情享受质朴自然野奢亲子时光，享受一场不容错过的自然之旅！&nbsp;</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674989707778.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674989887681.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674989762287.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220608/1654674989882288.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-08 15:53:30', 'system', '2022-06-08 15:53:30');
INSERT INTO `ld_article_content` VALUES (139, 7, '景区动态', '【铁三热浪引爆连岛今夏】2022“连岛杯”全国铁人三项冠军杯赛开赛', NULL, 'zh', '2022-06-26', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 1.75em;\"><span style=\"font-size: 18px;\">6月25日</span></p><p style=\"text-align: center; line-height: 1.75em;\"><span style=\"font-size: 18px;\">2022“连岛杯”连云港全国铁人三项冠军杯系列赛</span></p><p style=\"text-align: center; line-height: 1.75em;\"><span style=\"font-size: 18px;\">暨U系列冠军杯赛在连岛</span></p><p style=\"text-align: center; line-height: 1.75em;\"><span style=\"font-size: 18px;\">在连岛举行</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656226928804332.jpg\" title=\"\" alt=\"微信图片_20220626145735\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">6月25日，2022“连岛杯”连云港全国铁人三项冠军杯系列赛暨U系列冠军杯赛在连岛大沙湾鸣枪开赛。来自全国各地12个省、市、自治区的130多名运动员竞逐青山碧海间，在25-26日两天里，为现场客奉献了一场“游骑跑”精彩酷热的铁人大战。</p><p><br/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">本次赛事由中国铁人三项运动协会、连云港市人民政府、江苏省体育局、连云港市体育局、连云区人民政府承办。赛事设全程、半程、短距离、超短距离、游跑两项、混合接力6个项目。25日当天上午为专业组和U系列组个人赛；26日为团队混合接力赛。比赛全程为游泳1.5公里，自行车40公里，跑步10公里。游泳赛道设在大沙湾景区环游两圈，选手们完成游泳赛段后，从大沙湾由内往外环岛四圈，转至铁人三项海韵广场至游客中心路段进行跑步。</p><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021434505.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021726312.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021861953.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021936776.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021523656.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021634933.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227021243984.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227022643741.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">本次比赛高手云集，通过百度直播，让铁三运动更加直观地呈现在游客面前，铁三健儿竞逐青山碧海间，他们拼的是耐力与韧劲，经过激烈的争锋角逐，最后奖项各归其主。这是一场高标准、高质量、高水平且极具观赏性的一场体育盛宴。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227049336707.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227049765755.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">连岛自然风光秀美，旅游资源优越，是开展户外休闲体育运动的绝佳之地。连岛景区已成功打造“连岛12小时超级马拉松”、“山海骑缘骑行大会”、“连岛荧光夜跑”等多个知名体育赛事品牌。目前景区已连续承办了五届铁人三项，其中2019年同科杯”连云港铁人三项亚洲杯赛暨一带一路铁人三项赛，是连云港市有史以来举办的规格最高的国际赛事；2021年7月“连岛杯” 连云港全国铁人三项冠军杯赛暨U系列冠军杯赛是第十四届全国运动会铁人三项项目资格赛最后一站。</p><p><br/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">此次举办2022 “连岛杯”连云港全国铁人三项冠军赛，是今年国内第一场铁人三项赛，高质量的比赛，擦亮了“游在连云”，“赛在连岛”的一张金名片，有效提升连岛旅游特色内涵和体育运动产业整体形象。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227076666613.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227076342229.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220626/1656227076406267.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-26 15:01:20', 'system', '2022-06-26 15:01:20');
INSERT INTO `ld_article_content` VALUES (140, 7, '景区动态', '2022连岛第四届沙滩音乐狂欢节今晚不见不散！', NULL, 'zh', '2022-07-09', '/profile/liandao_old_data/62c92cb854311.jpg', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 20px;\">行动，自由，肆意，躁动</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 20px;\">狂野而尽欢</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 20px;\">这个正是音乐节的灵魂所在</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350842689831.jpg\" title=\"\" alt=\"微信图片_20220709150653\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">夜场时间</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">7月9日-8月30日</span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">经营时间</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">18:30-22:00</span></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">夜场票价</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">票价：25元/位</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">18:30-21:00售夜场票，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">购票送同价格烧烤抵用券，</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">21:00后景区停止售票、入园。</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">（夜场期间年卡不可用）</span></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">夜场地址</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">连岛景区大沙湾内</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350861755900.jpg\" title=\"\" alt=\"微信图片_20220709150659\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 24px;\"><strong>抹茶海浪乐队</strong></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350907134113.png\" title=\"\" alt=\"微信图片_20220709150703\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">乐队歌单</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">遇见</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">爱你</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">亲密爱人</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">后来</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">喜欢你</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">当你</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">我是一只鱼</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">告白气球</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">第一次爱的人</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">can take my eyes of you</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">发如雪</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">勇气</span></p><p><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 24px;\">SEXY QUEEN</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350934727680.png\" title=\"\" alt=\"微信图片_20220709150743\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350940227660.png\" title=\"\" alt=\"微信图片_20220709150747\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">国内首创派对轰炸的演绎团队</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">中国独一无二的组合</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">解禁比基尼背后的秘密</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">炸毁你束缚已久的禁锢</span></p><p><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 24px;\">嘉宾DJ&nbsp; MC</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350968604187.png\" title=\"\" alt=\"微信图片_20220709150751\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657350974955280.png\" title=\"\" alt=\"微信图片_20220709150754\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">曾先后驻店 上海SOS 、无锡FELLING、无锡97 、无锡OCTAGON 、宿迁S.one 等一系列中国知名先锋CLUB，现场演出经验相当丰富。</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657351019267805.jpg\" title=\"\" alt=\"微信图片_20220709150757\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">最受欢迎的港城主持人-李书庭</span></p><p><br/></p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">接下来是陪着我们嗨爆三届沙滩音乐节的老朋友，今年的音乐节将继续携手，酷炫潮流的音乐、嗨翻天的气氛、肆意挥舞的双手…</span></p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">这个夏天，来连岛沙滩音乐节释放激情，感受满满的活力。</span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 24px;\">特斯拉集市</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657351087401724.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657351087830602.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220709/1657351087932957.jpg\" style=\"\"/></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">当汽车不再只是交通工具，当科技已经触手可及。</span></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">邂逅特斯拉，以及热爱特斯拉的一群人，他们眼中有星辰，心中有山海。</span></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">对生活的探索和对美好的追求使大家不期而遇。特斯拉中国车友官方俱乐部由此诞生。</span></p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">特斯拉苏北车友俱乐部&nbsp;</span></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\"font-size: 18px;\">这个前背箱市集也是此次活动的亮点。这次特斯拉苏北车友俱乐部会带着50余台特斯拉参与活动带来惊喜</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-07-09 15:05:23', 'system', '2022-07-09 15:05:23');
INSERT INTO `ld_article_content` VALUES (141, 7, '景区动态', '【海边赏月·不一样的中秋】睡在漫天星空下，醒在霞光万丈里', NULL, 'zh', '2022-09-19', '/profile/liandao_old_data/63280bd5899db.jpg', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">有人说，短暂的秋天</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">是连云港一年中最舒服的季节</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">趁着秋天、假期和好天气</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">不妨来一场说走就走的露营</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(247, 150, 70);\">01 享受慢下来的生活</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568481994314.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568481924903.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568481559362.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">“海上生明月，天涯共此时”</span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">“明月几时有，千里共婵娟”</span></p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">一年一度的中秋佳节越来越近，很多朋友都在发愁，今年的中秋节活动，要去哪里玩？怎么玩？小编建议您，不如以露营赏月为名，带着孩子家人，来连岛景区吹着海风赏月看星空，用简单淳朴的方式过一个独特的中秋！</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(247, 150, 70);\">02美好的不是风景而是过程</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568567493723.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568567154895.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568567139649.jpg\" style=\"\"/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">装备齐全</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">吃的玩的都有</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">幸福指数100%</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642149337.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642542394.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642288198.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642356079.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642270097.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642347067.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220919/1663568642952660.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\">九月份的露营是一个蛮不错的选择。在海边，可以感受涛声。</p><p style=\"text-indent: 2em; line-height: 2em;\">您可以在这个中秋节，带着家人，带着帐篷，选择一个海边露营目的地，感受涛声，在沙滩边脚踏细沙，追逐戏浪，仰望星空，与月亮对话，听着浪花哼起的催眠曲，与星星共眠，守候日出！</p><p style=\"text-indent: 2em; line-height: 2em;\">清晨，被涛声催床的“铃声”是不是有点特别，看着海天一色，晨风照面，期待清晨的第一缕阳光，总感觉最美好的瞬间，值得让人去等待，追求！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-09-19 14:20:10', 'system', '2022-09-19 14:20:10');
INSERT INTO `ld_article_content` VALUES (142, 7, '景区动态', '赏家门口的风景丨国庆假期中的连岛', NULL, 'zh', '2022-10-07', '/profile/liandao_old_data/633fcd8a98205.jpg', NULL, '富文本', '<p style=\"text-align: center; line-height: 1.75em;\">国庆假期已进行到第五天</p><p style=\"text-align: center; line-height: 1.75em;\">有艳阳高照也有秋风细雨</p><p style=\"text-align: center; line-height: 1.75em;\">游客纷至沓来</p><p style=\"text-align: center; line-height: 1.75em;\">乐享假期时光</p><p style=\"text-align: center; line-height: 1.75em;\">景区齐心协力</p><p style=\"text-align: center; line-height: 1.75em;\">使景区呈现出安全有序、欢乐祥和的良好局面</p><p style=\"text-align: center; line-height: 1.75em;\">连岛景区欢迎您！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125193558134.jpg\" title=\"\" alt=\"微信图片_20221007144321\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px; color: rgb(0, 112, 192);\">童心</span></p><p><br/></p><p style=\"text-align: center;\">国庆当天天气晴好</p><p style=\"text-align: center;\">连岛景区携手众森文化</p><p style=\"text-align: center;\">来自港城各教育机构的孩子们</p><p style=\"text-align: center;\">通过唱歌、跳舞、小提琴、钢琴、中国鼓的艺术形式</p><p style=\"text-align: center;\">开展迎国庆颂祖国的活动</p><p style=\"text-align: center;\">精彩的表演吸引了大批游客</p><p style=\"text-align: center;\">到处弥漫着欢乐的节日气息</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237867711.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237183005.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237748899.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237254288.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237239140.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125237992842.jpg\" style=\"\"/></p><p style=\"text-align: center; line-height: 1.75em;\"><span style=\"color: rgb(0, 112, 192);\">舒心</span></p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">苏马湾</p><p style=\"text-align: center; line-height: 1.75em;\">大自然的天然氧吧</p><p style=\"text-align: center; line-height: 1.75em;\">是连岛的名片</p><p style=\"text-align: center; line-height: 1.75em;\">游人们畅游在悠悠青山里</p><p style=\"text-align: center; line-height: 1.75em;\">沉浸于浪漫海风中</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125268349916.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125268549600.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125268124954.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125268762750.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"color: rgb(0, 112, 192); font-size: 20px;\">决心</span></p><p><br/></p><p style=\"text-align: center;\">国庆期间</p><p style=\"text-align: center;\">景区严格执行疫情防控要求</p><p style=\"text-align: center;\">精心组织、科学运营</p><p style=\"text-align: center;\">确保游客良好的游玩体验</p><p style=\"text-align: center;\">让游客度过一个安全、有序、文明、祥和的假期</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308360003.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308944678.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308237832.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308957407.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308827931.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125308652962.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125309350306.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125309845645.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(0, 112, 192);\">省心</span></p><p><br/></p><p style=\"text-align: center;\">假期出行高峰</p><p style=\"text-align: center;\">公安、交警节日期间全程坚守</p><p style=\"text-align: center;\">发布路况、疏堵保畅</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125333558848.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125333985052.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(0, 112, 192); font-size: 20px;\">用心</span></p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">景区立足游客需求</p><p style=\"text-align: center; line-height: 1.75em;\">丰富旅游观光产品</p><p style=\"text-align: center; line-height: 1.75em;\">推出了空中游玩项目</p><p style=\"text-align: center; line-height: 1.75em;\">直升机观光</p><p style=\"text-align: center; line-height: 1.75em;\">连岛景区海陆空面面俱到</p><p style=\"text-align: center; line-height: 1.75em;\">满足了广大游客多样化、个性化的出游需求</p><p style=\"line-height: 1.75em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125354487922.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125354619606.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(0, 112, 192);\">暖心</span></p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">景区工作人员</p><p style=\"text-align: center; line-height: 1.75em;\">坚守岗位</p><p style=\"text-align: center; line-height: 1.75em;\">保障景区秩序良好的同时</p><p style=\"text-align: center; line-height: 1.75em;\">为广大游客们提供高品质的服务</p><p style=\"text-align: center; line-height: 1.75em;\">让游客感受家的温暖</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386391936.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386105177.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386869187.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386319740.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386297566.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125386261387.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125387932600.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"color: rgb(0, 112, 192); font-size: 20px;\">开心</span></p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">沙滩漫步觅轻闲</p><p style=\"text-align: center; line-height: 1.75em;\">与家人、朋友</p><p style=\"text-align: center; line-height: 1.75em;\">寻一处小天地</p><p style=\"text-align: center; line-height: 1.75em;\">一桌几椅一帐篷</p><p style=\"text-align: center; line-height: 1.75em;\">一人一酒一心静</p><p style=\"text-align: center; line-height: 1.75em;\">打开帐篷就是面朝大海</p><p style=\"text-align: center; line-height: 1.75em;\">这些在岛上的美好假日时光</p><p style=\"text-align: center; line-height: 1.75em;\">都是来自内心的喜乐</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125417852531.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125417266880.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125417789898.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125417284612.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125417315995.jpg\" style=\"\"/></p><p style=\"text-align: center;\">温馨提示</p><p><br/></p><p style=\"text-align: center; line-height: 1.75em;\">请大家外出或游玩时</p><p style=\"text-align: center; line-height: 1.75em;\">自觉遵守公民防疫基本行为准则</p><p style=\"text-align: center; line-height: 1.75em;\">做好个人防护</p><p style=\"text-align: center; line-height: 1.75em;\">祝大家国庆快乐</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125444714927.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125444258708.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221007/1665125444419492.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-10-07 14:45:33', 'system', '2022-10-07 14:45:33');
INSERT INTO `ld_article_content` VALUES (143, 7, '景区动态', '新起点新征程——连岛景区开展新员工专题培训', NULL, 'zh', '2022-11-05', '/profile/liandao_old_data/636a17050ad02.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"color: rgb(15, 162, 114); font-size: 24px;\">2022年度工作纪律培训会</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(15, 162, 114); font-size: 24px;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">工</strong></span><span style=\"color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(15, 162, 114); font-size: 24px;\">作纪律专题培训会</span></strong></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCdXbDcaIia08INWFfiazEiaNOLAsBib3NWnfjjdn4SOgyLpLiavFV8M72h3Q/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><span style=\"color: rgb(15, 162, 114); font-size: 20px;\"><strong data-brushtype=\"text\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">工作纪律培训会</strong></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\"><span style=\"text-align: center; font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\">连岛景区</span><span style=\"text-align: center; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">为了让各位新入职同事在连岛景区工作期间，</span></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"text-align: center; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">能够以严谨的工作作风要求自己，认真履行工作职责，</span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"text-align: center; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">更好地体现自我价值，以优质的行动服务于每一位游客。</span></strong></span><span style=\"color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(15, 162, 114); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\" font-size:=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(63, 63, 63); font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCcwIrRVKOXkX6gcpeg8eaoxUobuBrnL24xWv5MyYRHp4v296YFCicmxQ/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">今天上午9时，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">在游客中心会议室，</span></strong><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">由景区质检部门组织开展了新员工入职专题培训会。</span></strong></span><span style=\"color: rgb(0, 176, 80);\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></strong><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></strong><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"></span></strong></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCh8LrFI8uQu7p1GhNjk6HKJKQeoZaTBOZNTrTwfKibc5picb1ZHibahKQQ/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-size: 20px;\"><strong><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red;\" microsoft=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">专题培训</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" font-size:=\"\"><br/></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); text-indent: 37px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">首先，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"font-size: 14px; text-indent: 37px; color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">质检中心王主任代表连岛景区对新入职员工的到来表示欢迎并提出期望和要求，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"font-size: 14px; text-indent: 37px; color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">希望新员工能在以后的工作中严格遵守景区的各项管理规章制度。</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible; font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCcwIrRVKOXkX6gcpeg8eaoxUobuBrnL24xWv5MyYRHp4v296YFCicmxQ/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><span style=\"text-indent: 37px; color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible; font-size: 20px;\">工作纪律培训会</span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br/></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible; text-indent: 28px;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">&nbsp;随后，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80); font-size: 14px;\"><strong><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">依据</span></strong></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"text-indent: 37px; color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-indent:=\"\" background-color:=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\"></span><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red;\" microsoft=\"\">《连岛景区质量监察标准》为基本准则，</span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red;\" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">对连岛景区新入职员工的工作纪律、仪容仪表、</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red;\" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">对客服务以及景区环境卫生等方面举行了专题培训。</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCBXWWWZqtSkFic7gOzucYrpL9lFoUMMO3VCWJe9N0fElDE5ByNmxqHQA/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red; font-size: 20px;\">培训专题测试</span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red; font-size: 20px;\"><br/></span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" font-size:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCcwIrRVKOXkX6gcpeg8eaoxUobuBrnL24xWv5MyYRHp4v296YFCicmxQ/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><span style=\"letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; font-size: 14px; color: rgb(0, 176, 80);\">会后，</span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-size: 14px; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">为了给广大新入职的员工加深印象，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-size: 14px; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">并举行了专题培训考试。新同事认真听讲，仔细答题，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-size: 14px; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">并最终取得了良好的成绩，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-size: 14px; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">为本次培训画上了圆满的句号</span></strong><strong><span style=\"color: rgb(0, 176, 80); font-size: 14px; text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">。</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; font-family: 微软雅黑, \" microsoft=\"\" visibility:=\"\" color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red; font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCC6DLWj6uSW2nibtdXJyV54OtoK1U5icyScmanaLmyAhlBgQwudUzumjQ/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><img src=\"https://mmbiz.qpic.cn/mmbiz_jpg/FmLBjvHCxleRMnaO8ichgFx0lDu05xWqCCfANYIibnhLNshL7OOpuXNF5klFwQUJtQzuK6ia9KaNvqUWLzibyaOqIA/640?wx_fmt=jpeg&wxfrom=5&wx_lazy=1&wx_co=1\"/><span style=\"visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: rgb(255, 0, 0); color: rgb(0, 176, 80);\">经过此次培训，</span></span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: rgb(255, 0, 0);\" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">相信新入职同事在连岛景区工作期间，一定能够以严格要求自己，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: rgb(255, 0, 0);\" microsoft=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">认真履行各自的工作职责，更好地体现自我价值，</span></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; vertical-align: inherit; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; color: rgb(0, 176, 80);\"><strong><span style=\"color: rgb(0, 176, 80); text-indent: 37px; visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; caret-color: red;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(0, 176, 80); visibility: visible; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 14px; letter-spacing: 1.5px; background-color: rgb(255, 255, 255); text-indent: 37px; caret-color: rgb(255, 0, 0);\" microsoft=\"\">为连岛景区的发展添砖加瓦</span><span style=\"color: rgb(0, 176, 80); margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 37px; caret-color: red; visibility: visible;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" background-color:=\"\">。</span></span></strong></span></p>', NULL, NULL, NULL, 'system', '2022-11-05 16:24:48', 'system', '2022-11-05 16:24:48');
INSERT INTO `ld_article_content` VALUES (144, 7, '景区动态', '连岛景区森林防火工作紧抓不懈', NULL, 'zh', '2022-12-02', '', '连岛景区森林防火工作紧抓不懈', '富文本', NULL, NULL, NULL, NULL, 'system', '2022-12-02 14:42:33', 'system', '2022-12-02 14:42:33');
INSERT INTO `ld_article_content` VALUES (145, 7, '景区动态', '连岛景区工会开展趣味运动会喜迎新春', NULL, 'zh', '2023-01-18', '', NULL, '富文本', '<p style=\"text-indent: 2em; line-height: 1.75em;\"><span style=\"font-size: 16px;\">金虎辞岁寒风尽，瑞兔迎春喜气来！2023新春佳节来临之际，为进一步提升队伍士气、凝聚奋进活力，昨日，在游客中心连岛景区工会组织开展了迎新春职工趣味运动会。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644641150180.jpg\" style=\"width: 600px; height: 377px;\" width=\"600\" height=\"377\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p dir=\"ltr\" style=\"line-height: 1.75em; text-indent: 2em;\">本次趣味运动会项目设置了掼蛋、平衡接力跑、百发百中垃圾入篓、心心相印、数字炸弹、新春“大锅蹲”以及王者荣耀等活动项目。整场运动会以微运动、益智类、娱乐性、广泛性为目的，做到人人都参加，人人都出力。下午13:00整，游客中心气氛热烈，连岛景区大家庭所有成员欢聚一堂，积极投入，共享节日喜悦。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644676870664.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644677979334.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644677933417.jpg\" style=\"width: 600px; height: 461px;\" width=\"600\" height=\"461\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">赛场上，各部门参赛队员们以饱满的热情全身心投入，开动脑筋，运用技巧，同心协力，团结协作，用团体的智慧激烈角逐；每一位队员拼尽全力，个人展示妙趣横生，只要赢得胜利，什么表情、什么怪招、什么姿色、什么肢体都展现得淋漓尽致…….个个卧虎藏龙。</p><p style=\"text-indent: 2em; line-height: 1.75em;\">场外啦啦队的喝彩声络绎不绝，呐喊、加油此起彼伏。经过3个小时的团队较量，一场精彩欢乐，气氛热烈，欢声不断的趣味运动会圆满落幕。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644677848250.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">本次趣味运动会的圆满举办，展现了连岛景区员工们良好的精神面貌和青春活力，增强了集体荣誉感、凝聚力和团队向心力；也强化了员工之间的团结协作精神，增加部门与部门、员工与员工之间的交流；同时在团队的各项活动中，大家彼此增进了感情、信任，也收获了快乐。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644677873146.jpg\" style=\"width: 600px; height: 416px;\" width=\"600\" height=\"416\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675644677398140.jpg\" style=\"width: 600px; height: 429px;\" width=\"600\" height=\"429\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">最后，引用连岛景区工会主席范杰同志讲话“2022年过去了，2023年已经到来了，让我们新年开好运，新年开好局，继续携手奋进，凝聚力量，团结拼搏，锐意进取，迎接灿烂美好的2023！”</p>', NULL, NULL, NULL, 'system', '2023-01-18 08:08:09', 'system', '2023-01-18 08:08:09');
INSERT INTO `ld_article_content` VALUES (146, 7, '景区动态', '嗨皮兔YOU | “欢喜过大年 文旅迎新春”景区活动嗨翻天', NULL, 'zh', '2023-01-27', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 1.75em;\">游人如织，年味浓</p><p style=\"text-align: center; line-height: 1.75em;\">“烟火气”正式回归</p><p style=\"text-align: center; line-height: 1.75em;\">岛内外处处张灯结彩</p><p style=\"text-align: center; line-height: 1.75em;\">大红灯笼、中国结、春联福</p><p style=\"text-align: center; line-height: 1.75em;\">欢天喜地“耀新春”</p><p style=\"text-align: center; line-height: 1.75em;\">假期虽已进入倒计时</p><p style=\"text-align: center; line-height: 1.75em;\">但连岛的热力指数依旧不减</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675645894947950.jpg\" style=\"width: 600px; height: 452px;\" width=\"600\" height=\"452\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675645894569699.jpg\" style=\"width: 600px; height: 406px;\" width=\"600\" height=\"406\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center; line-height: 1.75em;\">春节的“年味”就是坚守</p><p style=\"text-align: center; line-height: 1.75em;\">不一样的新春，一样的热忱</p><p style=\"text-align: center; line-height: 1.75em;\">对值守在岗的人来说</p><p style=\"text-align: center; line-height: 1.75em;\">春节的“年味”就是坚守</p><p style=\"text-align: center; line-height: 1.75em;\">今天，</p><p style=\"text-align: center; line-height: 1.75em;\">让我们把镜头留给</p><p style=\"text-align: center; line-height: 1.75em;\">这些可爱的人</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646561725853.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646562827830.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646562198204.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: left; line-height: 1.75em; text-indent: 2em;\">人间烟火色，最是春节时。</p><p style=\"text-align: left; line-height: 1.75em; text-indent: 2em;\">大沙湾门口的打卡拍照点，游客朋友们纷纷留影，迫不及待地更新微信朋友圈，新年新开头，开启了2023年新篇章。</p><p style=\"text-align: left; line-height: 1.75em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646617111552.jpg\" alt=\"微信图片_20230127091230\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" style=\"width: 600px; height: 450px;\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">新春活动设置了新语心愿、新年留影、送红包等环节，参与的游客热情高涨，现场气氛热烈。活动伊始，游客纷纷来到大沙湾内广场，在“新语心愿”墙上写下2023年新年心声，“希望家人健康平安”“希望今年能考上研究生，金榜题名”……各式各样的寄语诉说着大家对美好生活的期许。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646660962279.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646660807421.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675646660782371.jpg\" style=\"width: 600px; height: 472px;\" width=\"600\" height=\"472\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">春节期间，苏马湾许愿长廊，解锁过年新姿势！</p><p style=\"text-indent: 2em; line-height: 1.75em;\">漂亮的许愿丝带，</p><p style=\"text-indent: 2em; line-height: 1.75em;\">藏着新年的美好期许，</p><p style=\"text-indent: 2em; line-height: 1.75em;\">或是对梦想的追逐，</p><p style=\"text-indent: 2em; line-height: 1.75em;\">或是对家人的祝福，</p><p style=\"text-indent: 2em; line-height: 1.75em;\">或是对朋友的牵挂……</p><p style=\"text-indent: 2em; line-height: 1.75em;\">又是一处靓丽的打卡地！</p><p style=\"text-indent: 2em; line-height: 1.75em;\">过年期间气温骤低，很多游客受天气原因无法走出家门，没到现场的游客也不用着急啦，景区直播间的两位兔导，代劳许愿祈福！“你来说，我来写”，直播间热闹非凡！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647094493464.jpg\" style=\"width: 600px; height: 337px;\" width=\"600\" height=\"337\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647097805795.jpg\" style=\"width: 300px; height: 650px;\" width=\"300\" height=\"650\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center; line-height: 2em;\">快来看</p><p style=\"text-align: center; line-height: 2em;\">快来看</p><p style=\"text-align: center; line-height: 2em;\">快来看</p><p style=\"text-align: center; line-height: 2em;\">重要的事情说三遍！！！</p><p style=\"text-align: center; line-height: 2em;\">连岛景区抖音寻宝活动就要结束啦！</p><p style=\"text-align: center; line-height: 2em;\">看看哪些朋友寻到宝啦~</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647157917287.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647157483547.jpg\" style=\"width: 600px; height: 450px;\" width=\"600\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647157141392.jpg\" style=\"width: 338px; height: 450px;\" width=\"338\" height=\"450\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647157658276.jpg\" style=\"width: 600px; height: 270px;\" width=\"600\" height=\"270\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center; line-height: 2em;\">今天</p><p style=\"text-align: center; line-height: 2em;\">春节长假的最后一天</p><p style=\"text-align: center; line-height: 2em;\">无聊的 眷恋的</p><p style=\"text-align: center; line-height: 2em;\">想走的 难舍的</p><p style=\"text-align: center; line-height: 2em;\">明天都要回归本位了</p><p style=\"text-align: center; line-height: 2em;\">希望还在假期中的可以继续愉快的享受假期</p><p style=\"text-align: center; line-height: 2em;\">明天就要上班的也能尽快调整自己的状态哦</p><p style=\"text-align: center; line-height: 2em;\">收拾心情继续前行</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675647229524220.jpg\" alt=\"微信图片_20230127091340\"/></p>', NULL, NULL, NULL, 'system', '2023-01-27 08:54:35', 'system', '2023-01-27 08:54:35');
INSERT INTO `ld_article_content` VALUES (147, 7, '景区动态', '趣味、团圆，幸福“霄”遥游', NULL, 'zh', '2023-02-06', '', '趣味、团圆，幸福“霄”遥游', '富文本', '<p style=\"text-align: center;\">农历正月十五是元宵节</p><p style=\"text-align: center;\">连岛景区加班加点为游客们<span style=\"letter-spacing: 1.4px;\">打造节日的氛围</span></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">也是庆贺新春的延续</span></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">在这张灯结彩的日子里</span></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">连岛景区举办了主题系列活动</span></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">活动现场气氛十足</span></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">让我们一起来看看吧</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670808693036.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\">猜灯谜活动</p><p style=\"text-align: center;\">热闹非凡</p><p style=\"text-align: center;\">游客带着孩子</p><p style=\"text-align: center;\">纷纷参与到猜灯谜活动</p><p style=\"text-align: center;\">看着一张张灯谜</p><p style=\"text-align: center;\">陷入了沉思</p><p style=\"text-align: center;\">游客开动脑筋</p><p style=\"text-align: center;\">努力为这美好的日子讨一份好彩头</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670808387050.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670809856438.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670809330153.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\">连岛景区官方直播间</p><p style=\"text-align: center;\">也洋溢着节日的气氛</p><p style=\"text-align: center;\">直播间的铁粉们</p><p style=\"text-align: center;\">纷纷参与到线上猜灯谜活动</p><p style=\"text-align: center;\">抢答对的铁粉们还能获得一份意外惊喜</p><p style=\"text-align: center;\">一边猜灯谜</p><p style=\"text-align: center;\">一边和兔导们一起云游连岛的美丽风光</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670810254593.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670810216870.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670810415876.png\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\">正月十五吃元宵</p><p style=\"text-align: center;\">在我国也由来已久</p><p style=\"text-align: center;\">最早叫&quot; 浮元子&quot;后称&quot;元宵&quot;&nbsp;</p><p style=\"text-align: center;\">生意人还美其名曰&quot;元宝&quot;&nbsp;</p><p style=\"text-align: center;\">有团圆美满之意</p><p style=\"text-align: center;\">热热火火</p><p style=\"text-align: center;\">团团圆圆</p><p style=\"text-align: center;\">景区还为大家准备了五彩汤圆</p><p style=\"text-align: center;\">让游客在游玩之余</p><p style=\"text-align: center;\">还能品尝到热腾腾的汤圆</p><p style=\"text-align: center;\">与连岛一起欢庆这美好的日子</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670811438613.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670811803128.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670812364191.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">乘坐游艇的</span><span style=\"letter-spacing: 1.4px;\">游客们说</span><br/></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">在这团圆的日子里</span></p><p style=\"text-align: center;\">乘船观海的体验更上让人心情愉悦</p><p style=\"text-align: center;\">整个心胸都对着大海敞开了</p><p style=\"text-align: center;\">这是游客们对大海的情怀</p><p style=\"text-align: center;\">节日期间只需半价</p><p style=\"text-align: center;\">即可享受帆船之旅</p><p style=\"text-align: center;\">让我们一起乘风破浪闹元宵</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670812436390.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><span style=\"letter-spacing: 1.4px;\">孩子们</span><br/></p><p style=\"text-align: center;\">在金色沙滩上尽情的玩耍嬉闹</p><p style=\"text-align: center;\">玩的入神，玩的尽兴</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670812312451.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230206/1675670813631753.jpg\" style=\"max-width: 100%;\"/></p><p style=\"text-align: center;\"><br style=\"white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-02-06 10:14:08', 'system', '2023-02-06 10:14:08');
INSERT INTO `ld_article_content` VALUES (148, 7, '景区动态', '连岛景区开展安全专项检查', NULL, 'zh', '2023-02-22', '', NULL, '富文本', '<p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">近日，连岛景区召开了安全专题会议，景区领导班子、大沙湾、苏马湾、客运公司等部门的主要负责人参加了会议。开会前，与会人员观看了针对海上安全、车辆运行、酒店管理等易出现的安全隐患视频案例，要求各部门要引以重视，安全是景区各项生产运营的“生命线”！</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047599415514.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047599295518.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047599199432.jpg\" style=\"\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">会议强调，景区各部门负责人时刻紧绷安全这根弦，严格把控属地管理的各项安全生产，提高全体员工的安全意识，强化安全教育，并落实到行动中。各部门要积极开展安全隐患自查、排查、整改、落实等工作；海上安全、车辆运营、护林防火、酒店管理、栈道等，以及各部门办公用电、设施设备等进行全面排查；对于近期重点防火工作，应急保障要储备到位，定期检查，确保防火器材正常使用。安全专项检查由安监部牵头、质检部、基建部配合，迅速开展安全生产全面检查排查，切实消除本单位安全生产隐患，实现景区安全无事故。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782616659.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782499029.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782753345.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782417544.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782806137.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782644694.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230222/1677047782488642.jpg\" style=\"\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">最后，王建刚总经理强调：安全生产无小事，安全责任大于天，思想上必须重视安全生产，强化安全教育，完善安全应急预案，积极开展应急预案演练活动，提高突发应急处置能力；对照签订的安全目标责任书查漏补缺，细化责任，尽职尽责，坚决筑牢安全防线，确保连岛景区安全生产工作万无一失。</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-02-22 14:25:55', 'system', '2023-02-22 14:25:55');
INSERT INTO `ld_article_content` VALUES (149, 7, '景区动态', '【春日海岛计划】连岛全域皆景，游山看海', NULL, 'zh', '2023-03-02', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738744146565.jpg\" title=\"\" alt=\"_M2A0249\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 534px;\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">春风已带来暖意</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">即将迎来烟花一样的三月</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">被寒冬冰封的心已经开始躁动了吧</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">踏青、赏花行动起来</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">给平淡的生活添一些浪漫与诗意</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738837362623.jpg\" style=\"width: 800px; height: 528px;\" width=\"800\" height=\"528\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738837431709.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738837989966.jpg\" style=\"width: 800px; height: 533px;\" width=\"800\" height=\"533\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738837540992.jpg\" style=\"width: 800px; height: 463px;\" width=\"800\" height=\"463\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">从南到北，都是春的讯息，桃花，杏花，油菜花已经蓄势待发，准备迎接这盛大的春色。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">为了使广大游客有更好的游览体验，友情提醒：3月1日起景区恢复淡季门票执行30元/人、景交车全线车票执行25元/人，所有车辆有序停放在游客中心停车场。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738995615395.jpg\" style=\"width: 800px; height: 534px;\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738995445712.jpg\" style=\"width: 800px; height: 534px;\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738995654722.jpg\" style=\"width: 800px; height: 534px;\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677738995853878.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center; line-height: 2em;\"><br/></p><p style=\"line-height: 2em; text-align: center;\"><span style=\"font-size: 18px;\">春天将至</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">来连岛</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">开启一场春日海岛游吧~</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">吃喝玩乐住</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">一篇揽下所有你需要</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-03-02 14:29:10', 'system', '2023-03-02 14:29:10');
INSERT INTO `ld_article_content` VALUES (150, 7, '景区动态', '撕下标签，你就是女神！您的专属特权都在这里啦......', NULL, 'zh', '2023-03-02', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\">春风有信</p><p style=\"text-align: center; line-height: 2em;\">花开有期</p><p style=\"text-align: center; line-height: 2em;\">妇女姐妹专属的节日</p><p style=\"text-align: center; line-height: 2em;\">将如约而至</p><p style=\"text-align: center; line-height: 2em;\">为了迎接第113个“三八”国际妇女节</p><p style=\"text-align: center; line-height: 2em;\">连岛景区</p><p style=\"text-align: center; line-height: 2em;\">推出一系列内容丰富、亮点纷呈的活动</p><p style=\"text-align: center; line-height: 2em;\">女神节专属福利</p><p style=\"text-align: center; line-height: 2em;\">快来收下这一份重磅惊喜</p><p style=\"text-align: center; line-height: 2em;\">尽情享受一年一度的女神特权吧</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677744304677169.jpg\" style=\"width: 800px; height: 533px;\" width=\"800\" height=\"533\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677744304353675.jpg\" style=\"width: 800px; height: 533px;\" width=\"800\" height=\"533\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">欢乐连岛，女神驾到</span></p><p>1.活动时间:2023年3月8日</p><p>2.活动地点:连岛景区</p><p>3.活动内容:3月8日当天针对所有女性，在大沙湾入口处定位“连岛景区”打卡配文“我的节日我做主，畅游连岛景区”（图片、视频均可以）发朋友圈，即可购买景区“女神0元票”免费入园。</p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">女神来打卡，连岛送门票</span></p><p><br/></p><p><br/></p><p>1.活动时间:2023年3月4日-2023年3月8日</p><p>2.活动地点:连岛景区</p><p>3.活动内容:</p><p>针对女性游客（情侣亦可）在3月4日-8日期间，在连岛景区拍抖音短视频打卡并@连云港连岛景区；集赞88个即可免费赠送门票1张、集赞188个即可免费赠送门票2张；</p><p>兑奖方式：3月8日22点前截止，后台私信连岛景区官方抖音账号将集赞视频截图发送并备注姓名、联系方式，同一抖音昵称集赞不可兼得。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677744505496017.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230302/1677744506546628.png\" style=\"width: 800px; height: 531px;\" width=\"800\" height=\"531\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">住宿特惠</span></p><p><br/></p><p style=\"text-align: center;\">活动时间：3月6日-8日</p><p style=\"text-align: center;\"><strong>优惠价 ¥380/间</strong></p><p style=\"text-align: center;\">咨询电话：</p><p style=\"text-align: center;\">天际大沙湾：0518-80528988</p><p style=\"text-align: center;\">天际苏马湾：0518-8260099</p><p><br/></p><p style=\"text-align: center;\">女神特惠套餐：</p><p style=\"text-align: center;\">海景大床房</p><p style=\"text-align: center;\">双人自助早餐</p><p style=\"text-align: center;\">双人景区门票</p><p style=\"text-align: center;\">双人景区全线车票</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-03-02 14:44:26', 'system', '2023-03-02 14:44:26');
INSERT INTO `ld_article_content` VALUES (151, 7, '景区动态', '连岛又见温暖！客运驾驶员背扶老人上下车获点赞~', NULL, 'zh', '2023-03-15', '', NULL, '富文本', '<p style=\"line-height: 2em; text-align: center;\"><span style=\"font-size: 16px;\">一次欢乐的旅程，不是见山见海，看美景；</span></p><p style=\"line-height: 2em; text-align: center;\"><span style=\"font-size: 16px;\">一次味蕾的极致，不是山珍海味，人间绝美；</span></p><p style=\"line-height: 2em; text-align: center;\"><span style=\"font-size: 16px;\">旅行是一种享受，一种内心升华，一种温暖的体验。<br/></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230315/1678846829809830.jpg\" alt=\"微信图片_20230314162721\" width=\"500\" height=\"1083\" border=\"0\" vspace=\"0\" style=\"width: 500px; height: 1083px;\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\"><br/></span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">“以客为尊&nbsp; 卓越服务”是连岛景区的质量方针和宗旨，景区一直致力于优质服务、文明服务、人性化服务；让游客在连岛尽享放心、安心、暖心！</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">2023年3月3日的一个下午，来自河南游客一家人，带着老母亲来连岛景区观光旅游。景区观光车行驶至大沙湾游客中心下车时，客运运营部司机程杭海发现一位老人行动不便，颤颤巍巍，便主动迎上前，帮助他们拿行李箱和轮椅；随后搀扶着老人慢慢下车，看到她的家人无法将“连人带车”的轮椅推上坡道，便弯下腰将老人稳稳地背了起来往坡上爬，把老人安全地安置在轮椅上。河南游客非常感激，一个劲地连说“谢谢、谢谢、谢谢......”，程杭海直摆手，便回到了自己的岗位上。</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">“无巧不成书”，一切的偶然皆是必然。这个河南游客家庭返程的时候，恰巧又遇上正在值班的程杭海，二话不说，又一次将老人抱上了返程的车。这短短的暖心一幕被她的家人用手机拍了下来，发给了“连云港发布”新媒体，希望通过媒体向不知姓名的司机表达下家人的谢意。而这一切，程杭海并不知情。</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\"></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230315/1678846891567593.jpg\" style=\"width: 500px; height: 1083px;\" width=\"500\" height=\"1083\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230315/1678846897766479.jpg\" style=\"width: 500px; height: 1083px;\" width=\"500\" height=\"1083\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"line-height: 2em; text-indent: 2em;\"><br/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">事后，小编通过当事人了解：程杭海说，做这些并不是为了表扬什么，这本身就是我们应该做的。当游客遇到困难，第一时间伸出援助之手，我们每天在景区来来回回的路上，不就是为了给游客提供游览观光的便利嘛，也是我们景区每个员工分内之事。</span></p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">服务暖心，细致贴心的服务给景区增添了别样的“连岛温度”，拾金不昧、排忧解难、紧急救助等温暖瞬间频繁“上演”，诠释着连岛景区“以客为尊 卓越服务”这一服务宗旨。</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 16px;\">连岛温度，最美景区人，温暖游客心......一切如春风扑面而来！</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-03-15 10:12:18', 'system', '2023-03-15 10:12:18');
INSERT INTO `ld_article_content` VALUES (152, 7, '景区动态', '连岛的春天总是来的很慢，但烂漫的春花依旧值得期待', NULL, 'zh', '2023-03-30', '', NULL, '富文本', '<p><br/></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">一年一度的“赏花季”已至</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">连岛早已有了春天的感觉</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">天气将暖，春意将浓</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">一起来看看这份</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">连岛春季赏花攻略吧</span></p><p style=\"line-height: 2em;\"><span style=\"font-size: 16px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">油菜花. PART.01</span></p><p></p><p><span style=\"font-size: 18px;\"><br/></span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">油菜花是自由的</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">海的一角</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">开得恣肆汪洋</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 16px;\">满目金黄，明艳热闹</span></p><p><span style=\"font-size: 18px;\"><br/></span><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680160883472967.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680160884684684.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\">一望无际的灿烂金黄，看似朴实无华，但胜却万紫千红</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680160884567658.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\">迎春花. PART.02</p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">迎春花一丛丛、一簇簇地</p><p style=\"text-align: center; line-height: 2em;\">冒出了嫩绿色的新叶</p><p style=\"text-align: center; line-height: 2em;\">开出了灿烂的小花</p><p style=\"text-align: center; line-height: 2em;\">花儿一层层的</p><p style=\"text-align: center; line-height: 2em;\">中间的花蕊星星点点</p><p style=\"text-align: center; line-height: 2em;\">远看就像是一群金黄色的蝴蝶在翩翩起舞</p><p style=\"text-align: center; line-height: 2em;\">好像是在欢迎春天的到来</p><p style=\"text-align: center; line-height: 2em;\">邂逅这一路芳香，心情也随之温柔起来</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161096748612.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161096878587.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">梅花. PART.03</span></p><p><span style=\"font-size: 18px;\"><br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161150188832.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161150317180.jpg\" style=\"\"/></p><p style=\"white-space: normal; text-align: center;\">灼灼梅花 树树粉红</p><p style=\"white-space: normal; text-align: center;\">朵朵娇媚 瓣瓣香溢</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161150136069.jpg\" style=\"\"/></p><p><br/></p><p><br/></p><p>朵朵梅花在树梢绽放</p><p><br/></p><p>散发淡淡清香</p><p><br/></p><p>粉嫩嫣然，娇俏迷人~</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">棠梨花. PART.04</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680161259182127.jpg\" alt=\"微信图片_20230330083325\"/></p><p>春风十里，吹散了阵阵棠梨花香。</p><p><br/></p><p>似桃花争开不待叶，棠梨花也是先叶开放，</p><p><br/></p><p>花色纯白，清新淡雅。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">月季香. PART.05</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163096410738.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163096473241.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163097773538.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163097916897.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163097817009.jpg\" style=\"\"/></p><p style=\"text-align: center;\">层层叠叠，灼灼灿灿，甚是动人</p><p style=\"text-align: center;\">阳光透过花瓣的间隙</p><p style=\"text-align: center;\">美得宛若人间仙境</p><p style=\"text-align: center;\">一阵风经过</p><p style=\"text-align: center;\">吹起少女的裙摆</p><p style=\"text-align: center;\">“转身，回眸，咔嚓”</p><p style=\"text-align: center;\">定格下最美的春日照</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\">既然到连岛了，别忘了来打卡哦！</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163799864506.jpg\" style=\"\"/></p><p style=\"white-space: normal; text-align: center;\">苏马湾天际酒店</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\">花样萌兔，巧送祝福</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\">连岛景区遍布“兔”元素打卡点</p><p style=\"white-space: normal;\"><br/></p><p style=\"white-space: normal; text-align: center;\">快来打卡巨型卡通图吧~</p><p style=\"white-space: normal;\"><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163799213482.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163799504440.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230330/1680163799848794.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><br/></p><p><br/></p><p style=\"text-align: center;\">这个春天</p><p><br/></p><p style=\"text-align: center;\">总有一种花会是你的心头好</p><p><br/></p><p style=\"text-align: center;\">收藏好这篇攻略</p><p><br/></p><p style=\"text-align: center;\">正是春日好时节</p><p><br/></p><p style=\"text-align: center;\">来连岛吧</p><p><br/></p><p style=\"text-align: center;\">准备迎接浪漫吧！</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-03-30 14:02:51', 'system', '2023-03-30 14:02:51');
INSERT INTO `ld_article_content` VALUES (153, 7, '景区动态', '连岛风筝节精彩逐个看→花式风筝表演赛、亲子涂鸦、拍照打卡......', NULL, 'zh', '2023-04-09', '', NULL, '富文本', '<p style=\"text-align: left; text-indent: 2em;\">阳光明媚，轻风吹云,正是放风筝的好时节。4月8日上午9时，在连岛景区大沙湾举办了“风动春潮 筝鸣连岛”风筝放飞表演赛，掀起了独特的周末度假热潮。</p><p style=\"text-align: left; text-indent: 2em;\"><br/></p><p style=\"text-align: left; text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341601352231.jpg\" title=\"\" alt=\"IMG_3350\" width=\"800\" height=\"605\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 605px;\"/></p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">巨型深海大章鱼、鳐鱼、法国翼龙、滚地龙、孙悟空 等数十只造型各异的风筝在大沙湾蓝天白云下迎风摇曳、翩翩起舞，自由翱翔景象蔚为壮观，迎来游客观赏。当然，一些风筝爱好者也加入其中，享受自由放飞体验。</p><p style=\"text-align: left; text-indent: 2em;\"><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341630514992.jpg\" style=\"width: 800px; height: 503px;\" width=\"800\" height=\"503\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341630880609.jpg\" style=\"width: 800px; height: 540px;\" width=\"800\" height=\"540\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341630346317.jpg\" style=\"width: 800px; height: 515px;\" width=\"800\" height=\"515\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341630706852.jpg\" style=\"width: 800px; height: 533px;\" width=\"800\" height=\"533\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: left; text-indent: 2em;\">活动还配套组织亲子DIY风筝彩绘体验活动环节。风筝、彩笔、五颜六色的颜料一应俱全。海绵宝宝、白雪公主、小马宝莉......一个个经典卡通形象着实让孩子们高兴不已。他们挑选自己喜欢的专属图案，一笔一划的进行涂鸦。转眼间一个个色彩鲜明，形态各异的风筝图案栩栩如生地展现出来了。最后，在家长们的帮助下，孩子们一起放飞风筝，放飞梦想。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341713735819.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341713402767.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: left; text-indent: 2em;\">大朋友也童心未泯，总要尝试一下，瞧这三位小姐姐，认真涂鸦的样子不输小朋友嘞！</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341739548933.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681341739453079.jpg\" style=\"width: 800px; height: 1133px;\" width=\"800\" height=\"1133\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-04-09 07:11:49', 'system', '2023-04-09 07:11:49');
INSERT INTO `ld_article_content` VALUES (154, 7, '景区动态', '连岛景区千人竞骑 上演激情与速度', NULL, 'zh', '2023-04-16', '', NULL, '富文本', '<p style=\"line-height: 2em; text-indent: 2em;\">2023年4月16日，来自国内千余名骑行爱好者齐聚连岛景区，山海骑缘•2023“茅台1935杯”连岛景区第九届环连云港自行车骑行大会在阳光明媚中激情开赛。</p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20230419/1681867647910596.jpg\" title=\"\" alt=\"IMG_3543_副本\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" style=\"white-space: normal; width: 800px; height: 600px;\"/></p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">本次赛事由连云港市体育局、连云港市文化广电和旅游局支持；连云港市体育总会主办，连云港市自行车运动协会承办；江苏海州湾集团、连岛景区、海上云台山赞助。赛事组别设团队组、个人组，赛道总里程112公里。</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867767207845.jpg\" style=\"width: 800px; height: 532px;\" width=\"800\" height=\"532\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867767154355.jpg\" style=\"width: 800px; height: 532px;\" width=\"800\" height=\"532\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p></p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">连云港市体育总会秘书长许贵堂、连云港市文化广电和旅游局旅游推广处处长张思腾、连云区文化体育和旅游局副局长袁清涛、江苏海州湾文旅集团副总经理胡洁君、连云港连岛旅游开发有限公司总经理王建刚、贵州茅台酱香酒营销有限公司区域经理杨代玉、连云港市中糖酒业有限公司董事长叶如云出席开幕会，并为骑行大会启幕。</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867831539763.jpg\" title=\"\" alt=\"IMG_3669(20230416-132347)_副本\" width=\"800\" height=\"510\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 510px;\"/></p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">本次骑行路线跨越山海，除了部分城市道路，更多的是海滨风景公路：醉美连岛环岛路、在海一方公园、民国风情老街、长虹卧波跨海大桥、郁郁苍梧海上云台山等。雨后港城绿意盎然，盘山绿道、跨海直行，让选手们获得了酣畅淋漓的骑行体验。</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867860192783.jpg\" style=\"width: 800px; height: 565px;\" width=\"800\" height=\"565\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867860520222.jpg\" style=\"width: 800px; height: 535px;\" width=\"800\" height=\"535\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p></p><p><br/></p><p style=\"line-height: 2em; text-indent: 2em;\">连岛景区先后举办了四届自行车骑行大会，2023年的骑行大赛为连岛景区体育赛事承办上开了个好局。</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867890786403.jpg\" title=\"\" alt=\"微信图片_20230416163816_副本\" width=\"800\" height=\"337\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 337px;\"/></p><p style=\"line-height: 2em; text-indent: 2em;\">来自山东潍坊骑迹车队获得了团队第一名，鼓掌鼓掌~</p><p><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230419/1681867911387622.jpg\" title=\"\" alt=\"IMG_3670(20230416-132352)_副本\" width=\"600\" height=\"935\" border=\"0\" vspace=\"0\" style=\"width: 600px; height: 935px;\"/></p><p style=\"line-height: 2em; text-indent: 2em;\">近年来，连岛景区积极响应国民休闲旅游和文化旅游融合发展趋势，推动连岛山海游、文化游、体育游等多种旅游齐头并进。今后，连岛景区将致力于多元素“旅游+体育”等模式完美融合，积极打造各项品牌赛事，成为连岛景区一张靓丽名片。</p>', NULL, NULL, NULL, 'system', '2023-04-16 16:56:24', 'system', '2023-04-16 16:56:24');
INSERT INTO `ld_article_content` VALUES (155, 7, '景区动态', '五一去哪儿｜连岛景区精彩活动、吃喝玩乐，你要的都在这里', NULL, 'zh', '2023-04-26', '', NULL, '富文本', '<p style=\"text-align: center;\">各位小伙伴们</p><p style=\"text-align: center;\">人间四月天即将过去</p><p style=\"text-align: center;\">我们迎来了五一劳动节</p><p style=\"text-align: center;\">大家是不是已经搓着小手手</p><p style=\"text-align: center;\">准备欢度假期啦</p><p style=\"text-align: center;\">想好去哪儿打卡了吗？</p><p style=\"text-align: center;\">连岛推出系列特色活动</p><p style=\"text-align: center;\">看看有哪些假期活动吧</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498154383941.png\" title=\"\" alt=\"微信图片_20230426152422\"/></p><p><br/></p><p style=\"text-align: center;\">我给大海上点颜色</p><p><br/></p><p style=\"text-align: center;\">活动时间：4月29日</p><p><br/></p><p style=\"text-align: center;\">活动地点：大沙湾</p><p><br/></p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\">活动内容：小朋友们⼿握画笔，用颜色碰撞出了对大海的美好愿望，希望以童心看海洋的方式，用画笔描绘出儿童关爱海洋现状，展望海洋美好未来的憧憬与梦想，儿童的世界，大海是色彩斑斓、充满想象的，充分展现少年儿童对故乡大海的热爱。</p><p><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498692891950.jpg\" style=\"width: 700px; height: 933px;\" width=\"700\" height=\"933\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498692398708.jpg\" style=\"width: 700px; height: 933px;\" width=\"700\" height=\"933\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\">拥抱大海&nbsp; 鼓动精彩</p><p><br/></p><p style=\"text-align: center;\">活动时间：5月2日下午14:30-16:30</p><p><br/></p><p style=\"text-align: center;\">活动地点：大沙湾海洋广场</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动内容：为丰富孩子们的假期生活，对孩子们一个阶段学习爵士鼓的总结、展示，景区与星宇艺术中心联合开展“拥抱大海&nbsp; 鼓动精彩”爵士鼓专场活动。30多位小鼓手们用活力的鼓点征服了我们的耳朵，阳光、自信、热爱音乐，给观众呈现了一场精彩的动感爵士鼓盛宴。《龙拳》《苦咖啡》《隆里电丝》《精卫》《莫问》《生生世世爱》《loser 》 ......敬请期待！</p><p><br/></p><p><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498777658307.jpg\" style=\"width: 700px; height: 466px;\" width=\"700\" height=\"466\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498777881844.jpg\" style=\"width: 700px; height: 700px;\" width=\"700\" height=\"700\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">海阔天空 一起来运动</p><p><br/></p><p style=\"text-align: center;\">活动时间：5月3日上午10:00</p><p><br/></p><p style=\"text-align: center;\">活动地点：大沙湾海洋广场</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动内容：将体育运动与假日生活无缝对接，营造了浓厚的全民健身氛围；倡导全民健身，科学运动，现场教学、示范、互动；让我们动起来，共同开启不一样的假日模式，运动蹦床、普拉提小球、普拉提魔力圈、普拉提脊柱桥、瑜伽，多样化运动乐享“五一”小长假！这个假期专业教练团队带你一起飞，共享全民健身精彩！</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498830760151.jpg\" style=\"width: 700px; height: 525px;\" width=\"700\" height=\"525\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498830401882.jpg\" style=\"width: 700px; height: 525px;\" width=\"700\" height=\"525\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p>&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</p><p><br/></p><p style=\"text-align: center;\">小小卫士清洁海岸护家园</p><p><br/></p><p style=\"text-align: center;\">活动时间：4月29日-5月3日</p><p><br/></p><p style=\"text-align: center;\">活动地点：大沙湾景区</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动内容：结合五一劳动节，劳动最光荣，倡议广大游客爱护环境，保护自己家园意识。景区在五一期间开展“小小卫士清洁海岸护家园”活动，引导捡拾海岸垃圾，清洁沙滩，用自己的小小行动保护家园</p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">骑着“三蹦”去直播，是不是很拉风、很独特、很新奇；没错，直播的新座驾闪亮登场。五一期间连岛景区讲解员将带着大家线上游览景区的美丽风光；当然还有十多位网红博主达人强势助阵，吃喝玩乐一样不少。特别是景区新推出的小吃“紫菜饼”、“云吞小馄饨”、“我爱连岛冰激凌”等，海岛元素尤为浓厚，快来品尝独具特色的美食吧。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230426/1682498919322259.jpg\" title=\"\" alt=\"IMG_3331.JPG\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 534px;\"/></p><p><br/></p><p><br/></p><p>集美们，51期间游艇俱乐部有福利来袭哦~</p><p><br/></p><p>来游艇俱乐部坐船，只要和游艇俱乐部旗下的船只合影发朋友圈打卡定位，就可以获得精美的伴手礼~同时，通过抖音发布乘船视频并且@“连岛海上游艇俱乐部”抖音，也可以获得文创产品和伴手礼哦~！</p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p>市区专线旅游直通车</p><p>五一期间，开往连岛景区游客中心两条旅游专线：（每天专线8辆车，计16辆）</p><p><br/></p><p>1.花果山-连岛景区旅游专线：经停花果山景区、花果山酒店、神州宾馆、连岛景区游客中心4个站点，单程约70分钟。花果山景区发车时间为8:30-17:00连岛景区游客中心发车时间为9:00-17:30，班次间隔30分钟，全程票价5元。</p><p><br/></p><p><br/></p><p>2.火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00连岛景区游客中心发车时间为10:00-19:00，班次间隔30分钟，全程票价10元。</p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p>西连岛专线直通车</p><p><br/></p><p>连岛景区新增站点--西连岛站（海鲜大排档站点），路线西连岛——二级游客中心（往返），景区营业期间车辆畅通，每班次间隔15分钟。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">最后重点来啦！！</p><p><br/></p><p>为了迎接“五一”小长假的到来，连岛景区召开了“五一”小长假旅游接待专项会议；大沙湾、苏马湾、秩序科、客运、商发全力以赴，各司其职：在现有6500个停车位上，进一步提高停车空间，平整3万方土地新增拓展临时车位900个；大沙湾、苏马湾强化安全意识、设置安全隔离带、泳区和娱乐设施活动区域游玩区分；增加沙滩伞区和沙滩椅；两处景区增设了免费“洗脚处”，更体现了便民设施的体贴到位；</p><p><br/></p><p>客运部在现有车辆上再租用公交车10辆用于返程高峰接驳使用；商发积极备战综合楼商业业态，好吃的、好玩的，游客朋友们尽管畅游连岛，应有尽有！</p><p><br/></p><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-04-26 16:33:58', 'system', '2023-04-26 16:33:58');
INSERT INTO `ld_article_content` VALUES (156, 7, '景区动态', '连岛景区五一旅游接待工作圆满收官！精彩不止于此，期待与您再相逢！', NULL, 'zh', '2023-05-04', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 2em;\">哈喽呀友友们</p><p style=\"text-align: center; line-height: 2em;\">假期最后一天&nbsp; &nbsp;大家现在都在哪里呀</p><p style=\"text-align: center; line-height: 2em;\">（应该都是在返程的路上喔~）</p><p style=\"text-align: center; line-height: 2em;\">今年五一节</p><p style=\"text-align: center; line-height: 2em;\">可以说是史上最疯狂的了</p><p style=\"text-align: center; line-height: 2em;\">热门景点</p><p style=\"text-align: center; line-height: 2em;\">全部约满</p><p><br/></p><p><br/></p><p style=\"text-align: center; line-height: 2em;\">小编先带大家欣赏一下</p><p style=\"text-align: center; line-height: 2em;\">连岛五一假期的精彩活动</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361890540590.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361890628775.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361890211915.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361891121297.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361891926685.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683361891262453.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-align: center; line-height: 2em;\">这次五一假期出行人数</p><p style=\"text-align: center; line-height: 2em;\">据官方预测将创五年以来的新高</p><p style=\"text-align: center; line-height: 2em;\">甚至有可能是历史新高嘞</p><p style=\"text-align: center; line-height: 2em;\">等了好久终于等到今天~</p><p style=\"text-align: center; line-height: 2em;\">常人说：“不登山，不知山高；</p><p style=\"text-align: center; line-height: 2em;\">不涉水，不晓水深；不赏奇景，怎知其绝妙。”</p><p style=\"text-align: center; line-height: 2em;\">我曾经跨过人山人海</p><p style=\"text-align: center; line-height: 2em;\">五一出游的人很多</p><p style=\"text-align: center; line-height: 2em;\">但旅游途中收获的喜悦和放松</p><p style=\"text-align: center; line-height: 2em;\">可以让人忽略掉那些人挤人的“场面”</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683362042352052.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683362042858035.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683362042701459.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230506/1683362042981925.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"line-height: 2em; text-align: center;\">疯狂五一&nbsp;</p><p style=\"text-align: center; line-height: 2em;\">大家继续嗨嗨嗨</p><p style=\"text-align: center; line-height: 2em;\">小编也溜喽</p><p style=\"text-align: center; line-height: 2em;\">拜拜啦各位宝子们</p><p style=\"text-align: center; line-height: 2em;\">感谢大家对连岛的喜爱</p><p style=\"text-align: center; line-height: 2em;\">同时也想对假期坚守一线的工作人员说声“辛苦了”</p><p style=\"text-align: center; line-height: 2em;\">祝大家五一快乐</p><p style=\"text-align: center; line-height: 2em;\">明年五一再会</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-05-04 16:05:50', 'system', '2023-05-04 16:05:50');
INSERT INTO `ld_article_content` VALUES (157, 7, '景区动态', '【母亲节 画呀画呀画】“以爱之名 感恩有你”DIY手工包活动开始报名啦~', NULL, 'zh', '2023-05-13', '', NULL, '富文本', '<p style=\"text-align: center;\">妈妈做的饭，是吃不腻的人间美味</p><p><br/></p><p style=\"text-align: center;\">妈妈的唠叨，是听不烦的耳间呢喃</p><p><br/></p><p style=\"text-align: center;\">......</p><p><br/></p><p style=\"text-align: center;\">妈妈不是超人</p><p><br/></p><p style=\"text-align: center;\">却为我们变得无所不能</p><p><br/></p><p style=\"text-align: center;\">在初夏的微风中</p><p><br/></p><p style=\"text-align: center;\">我们迎来了又一个母亲节</p><p><br/></p><p style=\"text-align: center;\">祝福全天下的母亲</p><p><br/></p><p style=\"text-align: center;\">节日快乐</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230513/1683961247799161.jpg\" title=\"\" alt=\"图怪兽_74ff1f4e3dddbf0d85d4545287d53834_32252\"/></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;活动主题：“以爱之名&nbsp; 感恩有你”</p><p><br/></p><p style=\"text-align: center; text-indent: 2em;\">DIY手工活动</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动时间：2023年5月14日（周日） 上午9：30-11：00&nbsp;</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动地点：连岛大沙湾</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">报名时间：5月10日11：00-5月13日17：00&nbsp;</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动对象：年龄12岁及以上的孩子，15组亲子家庭（每组两人，母子或母女均可报名）。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">报名方式：在报名时间内，景区共招募15组亲子家庭（母子、母女），有意向的朋友们可电话报名哦，报名电话：0518-82600860，DIY手工活动免费参与，名额有限，报完即止。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">活动要求：1、此次报名成功的活动人员，DIY手绘不收取任何费用，免费赠送手绘DIY手拎包；</p><p style=\"text-align: left; text-indent: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;2、已报名参加活动的人员，如有特殊情况无法参加，请提前一天和景区沟通，联系电话：0518-82600860。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-05-13 14:48:27', 'system', '2023-05-13 14:48:27');
INSERT INTO `ld_article_content` VALUES (158, 7, '景区动态', '【醉美连岛 浪漫海滩】连云港全城招募最浪漫的求婚者', NULL, 'zh', '2023-05-13', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230513/1683961725252367.jpg\" title=\"\" alt=\"海报\"/></p>', NULL, NULL, NULL, 'system', '2023-05-13 15:07:13', 'system', '2023-05-13 15:07:13');
INSERT INTO `ld_article_content` VALUES (159, 7, '景区动态', '你知道吗，“520”“521”不仅仅是告白日……', NULL, 'zh', '2023-05-21', '', NULL, '富文本', '<p style=\"text-align: left; text-indent: 2em; line-height: 2em;\">一提起520，大多数人都会有所感受，有男女朋友的人可能会想到要送对方礼物了，而没有对象的人可能会在昨天晚上就闭网，避免在今天受到不必要的伤害。</p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\">520只是情侣之间的专属节日吗？</p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\">No！答案是否定的。520的谐音是我爱你，那么，表达这个情感的对象肯定不只是自己的对象呀！对于年轻一代人来说，爱情可能是占据自己感情一大部分的一种情感。</p><p style=\"text-align: left; text-indent: 2em; line-height: 2em;\">但是对于所有人来说，亲情，友情等等情感也占据了不小的部分。爱情可能并不会陪伴我们一生，但是亲情会一直陪伴我们一生。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651402649814.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651402166904.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651402722764.jpg\" style=\"width: 800px; height: 532px;\" width=\"800\" height=\"532\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651402511486.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651403695384.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651403527222.jpg\" style=\"width: 800px; height: 532px;\" width=\"800\" height=\"532\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651403988535.jpg\" style=\"width: 800px; height: 532px;\" width=\"800\" height=\"532\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651403481791.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230521/1684651403631226.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"line-height: 2em; text-align: center;\">记得通一个电话</p><p style=\"line-height: 2em; text-align: center;\">告诉那些牵挂你的人“我爱你”</p><p style=\"line-height: 2em; text-align: center;\">也记得要叮嘱他们好好照顾自己</p><p style=\"line-height: 2em; text-align: center;\">互相牵挂才有一份期盼</p><p style=\"line-height: 2em; text-align: center;\">才能有更好的相聚</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-05-21 14:32:19', 'system', '2023-05-21 14:32:19');
INSERT INTO `ld_article_content` VALUES (160, 7, '景区动态', '【有奖征文】“面朝大海 春暖花开”征文活动，邀您来参加！', NULL, 'zh', '2023-04-06', '', NULL, '富文本', '<p style=\"text-align: center;\">在海风的滋润下</p><p style=\"text-align: center;\">感受海边的美好时光</p><p style=\"text-align: center;\">现下时节</p><p style=\"text-align: center;\">安排一场海边之行</p><p style=\"text-align: center;\">开启快乐的每一天</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681340729746537.jpg\" title=\"\" alt=\"IMG_3359.JPG\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 534px;\"/></p><p style=\"text-align: center;\"><strong>活动时间</strong></p><p><br/></p><p style=\"text-align: center;\">2023年4月5日-6月30日</p><p><br/></p><p style=\"text-align: center;\"><strong>活动地点</strong></p><p style=\"text-align: center;\">连岛景区</p><p><br/></p><p style=\"text-align: center;\"><strong>活动内容</strong></p><p style=\"text-align: left; text-indent: 2em;\">以连岛景区大沙湾、苏马湾、邓小平和人民在一起雕塑公园、海蚀地貌、游艇俱乐部为依托；海滨栈道、饮马井、海誓山盟、汉代界域石刻等精品小景为辅。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">①游记类。可以是记录行程为主的记叙型攻略；可以是描写风景、抒发感情为主的抒情型散文；可以是描绘景物、景观为主的写景型游记，以小见大，开拓视野，升华情感，反映连岛自然风光之美。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">②诗歌类。以快速发展的连岛景区为依托，通过高度凝练的诗歌语言，结合一定的节奏和韵律，形象表达作者的丰富情感，颂扬旅游，讴歌生活，展望抒怀，传递正能量，引领旅游新风尚。</p><p><br/></p><p style=\"text-align: center;\"><strong>作品要求</strong></p><p><strong><br/></strong></p><p style=\"text-align: left; text-indent: 2em;\">1.题目自拟，体裁不限，字数不限，可适当配图片，拒绝抄袭。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">2.以景区各素材为主，内容积极向上、富有正能量、弘扬主旋律。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">3.主题突出、真实生动、立意新颖、有感染力。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">4.针对所有文学爱好者、爱好旅行，喜欢记录旅行日记的社会人士，以及各大、中学校的学生均可参加。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">5、提交作品时，应附作者信息(包括姓名、工作单位或学校及班级、辅导教师，通讯地址、联系电话等)。</p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><strong>投递方式</strong></p><p style=\"text-align: left; text-indent: 2em;\">请将作品以电子文件方式发送到电子邮箱（投稿可图文并茂，图片须原图）：2522051971@qq.com，联系电话：0518—82600860</p><p><br/></p><p style=\"text-align: center;\"><strong>评选办法</strong></p><p style=\"text-align: left; text-indent: 2em;\">1.每月根据作品推送量的比例，按月进行评比，游记、诗歌分别评选一、二、三等奖；优秀奖五名；</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">2.优选作品版权归连岛景区，将在连岛景区微信公众号、微博、网站等新媒体平台刊发；</p><p><br/></p><p style=\"text-align: center;\"><strong>奖项设置</strong></p><p><strong><br/></strong></p><p style=\"text-align: center;\">第一名奖金500元</p><p><br/></p><p style=\"text-align: center;\">第二名奖金300元</p><p><br/></p><p style=\"text-align: center;\">第三名奖金200元</p><p><br/></p><p style=\"text-align: center;\">优秀奖门票2张</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230413/1681340831738275.jpg\" title=\"\" alt=\"IMG_3155.JPG\" width=\"800\" height=\"534\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 534px;\"/></p>', NULL, NULL, NULL, 'system', '2023-04-06 07:04:47', 'system', '2023-04-06 07:04:47');
INSERT INTO `ld_article_content` VALUES (161, 7, '景区动态', '连岛音乐节｜6月16日「明日」18:00正式开售！', NULL, 'zh', '2023-06-15', '/profile/liandao_old_data/648abf440bdca.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686814993529731.jpg\" title=\"\" alt=\"640\" width=\"600\" height=\"1067\" border=\"0\" vspace=\"0\" style=\"width: 600px; height: 1067px;\"/></p><p><br/></p><p style=\"text-align: center;\">夏日的浪漫与激情，在连岛相遇，</p><p><br/></p><p style=\"text-align: center;\">七月的连岛，想要带你奔赴山海。</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">演出信息</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">时间 | TIME</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">2023.07.15-07.16</p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">地点 | ADDRESS</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">连云港 • 连岛景区</p><p><br/></p><p style=\"text-align: center;\">游艇俱乐部向东200米</p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">票价 | PRICE</p><p><br/></p><p><br/></p><p style=\"text-align: center;\">早鸟票：299元/天</p><p><br/></p><p style=\"text-align: center;\">仅大麦有售</p><p style=\"text-align: center;\">实名制购票，每人仅可购票两张</p><p><br/></p><p style=\"text-align: center;\">手慢无 冲冲冲</p><p><br/></p><p style=\"text-align: center;\">', NULL, NULL, NULL, 'system', '2023-06-15 15:26:49', 'system', '2023-06-15 15:26:49');
INSERT INTO `ld_article_content` VALUES (162, 7, '景区动态', '【与“粽”不同】端午将至，除了吃粽子、赛龙舟，连岛景区这样欢度端午节', NULL, 'zh', '2023-06-22', '', NULL, '富文本', '<p style=\"text-align: center;\">一年一度，端午又将至</p><p style=\"text-align: center;\">三天小长假</p><p style=\"text-align: center;\">计划去哪里玩呢？</p><p style=\"text-align: center;\">不想走太远？</p><p style=\"text-align: center;\">那就来连云港连岛景区</p><p style=\"text-align: center;\">端午小长假</p><p style=\"text-align: center;\">在岛上这样玩嗨翻天</p><p><br/></p><p></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230622/1687398988422910.jpg\" title=\"\" alt=\"IMG_4207\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" style=\"width: 800px; height: 600px;\"/></p><p style=\"text-align: center;\">沙滩排球</p><p style=\"text-indent: 2em;\">一到夏季，人们便涌向海滩，架起球网，在阳光下尽情跳跃、垫球、扣球、鱼跃。人们还把游泳、冲浪、打排球结合起来，享受着大自然带给人类的乐趣。现在这种在海滩上娱乐的形式被越来越多的崇尚户外运动的人所喜爱。</p><p><br/></p><p style=\"text-align: center;\">活动时间：全年</p><p><br/></p><p style=\"text-align: center;\">&nbsp;活动地点：连岛景区大沙湾</p><p><br/></p><p style=\"text-align: center;\">活动说明：排球场地免费提供使用</p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230622/1687400251764678.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230622/1687400251670964.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p></p><p><br/></p><p style=\"text-align: center;\">沙滩车</p><p><br/></p><p style=\"text-align: center;\">驰骋在海边</p><p><br/></p><p style=\"text-align: center;\">任凭海风在脸上肆意吹拂</p><p><br/></p><p style=\"text-align: center;\">不远处的海浪仿佛也在欢呼鼓掌</p><p><br/></p><p style=\"text-align: center;\">……</p><p><br/></p><p style=\"text-align: center;\">啊~感觉体内的机车灵魂已经燃起来了！</p><p><br/></p><p style=\"text-align: center;\">不仅野野野，更耶耶耶！</p><p><br/></p><p style=\"text-align: center;\">无论是带娃出行的家长，</p><p><br/></p><p style=\"text-align: center;\">还是结伴而来的朋友，</p><p><br/></p><p style=\"text-align: center;\">都能肆意驰骋在蓝天下</p><p><br/></p><p style=\"text-align: center;\">野酷的“靓仔们”已经准备就绪</p><p><br/></p><p style=\"text-align: center;\">就等你们挑选上车喽~</p><p><br/></p><p style=\"text-align: center;\">活动时间：全年</p><p><br/></p><p style=\"text-align: center;\">活动地点：连岛大沙湾</p><p><br/></p><p style=\"text-align: center;\">沙滩车价格：¥ 20元/10分钟&nbsp;</p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230622/1687400506653756.jpg\" title=\"\" alt=\"微信图片_20230618164550\"/></p><p><br/></p><p style=\"text-align: center;\">跑步轮胎挑战赛</p><p><br/></p><p style=\"text-align: center;\">“最强壮的人”跑步轮胎挑战赛</p><p><br/></p><p style=\"text-align: center;\">等你来</p><p><br/></p><p style=\"text-align: center;\">报名电话：82600240</p><p><br/></p><p style=\"text-align: center;\">活动时间：全年</p><p><br/></p><p style=\"text-align: center;\">活动地点：连岛大沙湾</p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-06-22 09:50:57', 'system', '2023-06-22 09:50:57');
INSERT INTO `ld_article_content` VALUES (163, 7, '景区动态', '连岛|七月的第一个周末 超燃！', NULL, 'zh', '2023-07-04', '/profile/liandao_old_data/', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">六月终，七月启</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"font-family: 宋体, SimSun; text-align: justify; caret-color: red;\">一年过半，仲夏来临</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; text-align: center; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">让我们怀着美好的步履</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"font-family: 宋体, SimSun;\">迎接如“七”而至的七月</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><br/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437160335274.png\" title=\"\" alt=\"87ea76a731887232826ecb304eeebb02_640_wx_fmt=png&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437176618459.jpg\" title=\"\" alt=\"8ad076445ef802b170e6ee826dac2ec6_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><br/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\" text-align:=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">随着暑期的到来</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">连岛景区迎来旅游热</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">众多游客来到连岛</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">看云卷云舒</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">望潮起潮落</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><br/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" vertical-align:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437194264823.jpg\" title=\"\" alt=\"1e9304a3712cdc37fa472df83ac17b2b_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437201392894.jpg\" title=\"\" alt=\"666d562b69647d68f9927e33e4174298_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">7月的首个周末</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun;\">连岛大沙湾、苏马湾</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">迎来了暑期旅游高峰</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">&nbsp; 游客中心、沙滩上、台阶上、商业休闲区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">......</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun;\">哪哪都是人</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">纷纷来到海边戏水纳凉</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"font-family: 宋体, SimSun;\">来海边度假的心情可想而知</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\" text-align:=\"\"><span style=\"font-size: 16px; font-family: 微软雅黑, \" microsoft=\"\"><span style=\"font-size: 16px; font-family: 微软雅黑, \" microsoft=\"\" color:=\"\"><img src=\"http://img.baidu.com/hi/jx2/j_0044.gif\"/></span><br/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); text-align: center;\" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\" text-align:=\"\"><span style=\"color: rgb(0, 0, 0);\"><strong><span style=\"font-size: 16px; font-family: 宋体, SimSun;\">NO.1 游客中心</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><strong><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437304841593.jpg\" title=\"\" alt=\"274cfdc6bb6ff734fa658077ec3f87d7_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437318594710.jpg\" title=\"\" alt=\"a5573963f111ec951582858677a19ffb_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437334679851.jpg\" title=\"\" alt=\"bba8bee786c0d923a800140d5ca502e6_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></strong></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\">NO.2 沙滩上</span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437496128250.jpg\" title=\"\" alt=\"280cf1e5239ff40653f2f8754c8a072d_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437543571715.png\" title=\"\" alt=\"7d86f097b57b11e9ec4cbed61fc7bbcf_640_wx_fmt=png&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437560367072.jpg\" title=\"\" alt=\"333d121ce9e288a7d0839fe65d1bf197_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\">NO.3 台阶上</span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437658834923.jpg\" title=\"\" alt=\"08ef6da3542eb84676b5da194edcbaff_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437672940257.jpg\" title=\"\" alt=\"6452291c107c5b555e6b2d1f2d826dc9_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\">NO.4 商业休闲区</span></strong></span></strong></span></p><p><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><br/></span></strong></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><strong style=\"text-align: center; white-space: normal; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\"><span style=\"font-size: 16px; font-family: 宋体, SimSun;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437757565915.jpg\" title=\"\" alt=\"909245d363257b4e11513b7ff7b711a2_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230704/1688437766523326.jpg\" title=\"\" alt=\"dc6bf7e3c9f5daa68424e2df3a9676e6_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://img.baidu.com/hi/jx2/j_0002.gif\"/></span></strong></span></strong></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">愿你我在七月</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">遇见所有美好</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">心随喜乐向阳</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">笑里全是坦荡</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">未来光芒万丈</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></p>', NULL, NULL, NULL, 'system', '2023-07-04 10:13:40', 'system', '2023-07-04 10:13:40');
INSERT INTO `ld_article_content` VALUES (164, 7, '景区动态', '连岛音乐节｜演出时间表正式公布', NULL, 'zh', '2023-07-09', '/profile/liandao_old_data/64aa8ae7bf0d6.jpg', NULL, '富文本', '<p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">千呼万唤始出来</span></strong></span></p><p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">大家久等了</span></strong></span></p><p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">连岛音乐节</span></strong></span></p><p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; text-size-adjust: inherit; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">演出时间表正式公布</span></strong></span></p><p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">可收藏保存</span></strong></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\"></span></strong></span></p><p style=\"margin: 0px 10px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); line-height: 2em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; line-height: 2.13em; letter-spacing: 2px; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; line-height: 2.15em; color: rgb(89, 89, 89); caret-color: red; font-family: 微软雅黑, &quot;Microsoft YaHei&quot;; visibility: visible;\">以供参考</span></strong></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230709/1688898244100578.jpg\" title=\"\" alt=\"演出时间\" width=\"600\" height=\"1067\" border=\"0\" vspace=\"0\" style=\"width: 600px; height: 1067px;\"/></p>', NULL, NULL, NULL, 'system', '2023-07-09 18:23:34', 'system', '2023-07-09 18:23:34');
INSERT INTO `ld_article_content` VALUES (165, 7, '景区动态', '连岛音乐节接驳车路线', NULL, 'zh', '2023-07-13', '/profile/liandao_old_data/64af4ca60dd4a.jpg', '夏日的浪漫与激情，在连岛相遇，七月的连岛，想要带你奔赴山海。', '富文本', NULL, NULL, NULL, NULL, 'system', '2023-07-13 08:48:42', 'system', '2023-07-13 08:48:42');
INSERT INTO `ld_article_content` VALUES (166, 7, '景区动态', '带你奔赴山海 用音乐点燃盛夏', NULL, 'zh', '2023-07-18', '/profile/liandao_old_data/64b634fde9ca5.jpg', NULL, '富文本', '<p style=\"text-indent: 2em; text-align: center;\"><span style=\"font-size: 16px;\">为了一场音乐节，</span></p><p style=\"text-indent: 2em; text-align: center;\"><span style=\"font-size: 16px;\">奔赴一座城，</span></p><p style=\"text-indent: 2em; text-align: center;\"><span style=\"font-size: 16px;\">一座美丽的海滨城市连云港，</span></p><p style=\"text-indent: 2em; text-align: center;\"><span style=\"font-size: 16px;\">一座多情的魅力小岛连岛。</span></p><p style=\"text-indent: 2em; text-align: center;\"><span style=\"font-size: 16px;\">激情的舞台，狂欢的夜晚，今夜将无眠！</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662557132141.jpg\" title=\"\" alt=\"1689494563586\"/></span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">自4月以来，连岛景区联合创意周末，着手打造连岛景区首届“想要带你奔赴山海”大型音乐节。音乐节场地在景区外一处空地，经过两个多月的精心打造和筹备，跨度40米的舞台面朝大海，80米*10米的三屏连接成曲面屏，老帅了；通讯保障、医疗救护、消防救援、接驳车辆等各项音乐节准备工作有力、有序、高效推进、一切为了呈现一场前所未有的音乐盛典。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662582201345.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662582354653.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">现场不仅是一场音乐节那么简单，还有多种新玩法。演出现场创意十足的集市、露营休闲集市区、网红打卡区等人气满满；各种特色小食应有尽有：墨西哥鸡肉卷、网红烤肠鸡翅、钵钵鸡、桥头排骨、鱿鱼烤串、干炒牛河、鲜榨西瓜汁、冰镇水果、冰粉等美食聚集；原创手工艺术品、手绘DIY、不厝脏脏辫、怪有趣设计商店、喷绘纹身以及扎染非遗，为乐迷们带来好玩、好听的多重体验，其乐无穷。</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662596797428.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662621273955.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662621541597.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662621271611.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662622469893.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662622595774.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">随着音乐响起，开启了今夏连岛音乐盛典。演出阵容非常强大朴树、二手玫瑰、刺猬、新学校合唱团、海底时光机、跳大海、郭旭、迷路鲸鱼，他们都有各自的演唱风格和特色，是不是很期待、很惊喜。夜色渐浓亦醉人，音乐却狂欢。来自各个城市的乐迷们齐聚海岛，多元曲风轮番开场，是一场久违的真正狂欢，也是潮玩的万人Party。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662651322441.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662651641199.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662652375099.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">二手玫瑰的乐迷们个性服装着实让人眼前一亮，东北的花衬衫、花裤衩，有的甚至一块大花布裹在身上，手拿扇子，超越时尚的打扮，怎么穿都不为过。“东边不亮西边亮啊，晒尽残阳我晒忧伤……”二手玫瑰一首首脍炙人口的歌曲将音乐节推到了高潮。聚光灯随着音乐起伏不断变化着，由红到紫，由明到暗；此起彼伏的乐迷呐喊着自己喜欢的歌手和乐队，高潮一浪高过一浪，你根本想象不到现场有多么燃、多么炫酷，这里是青春安放的最好舞台。</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662677636104.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662677441388.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662677645377.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">画家帽、水墨T恤、破洞牛仔，朴树歌曲时而浅唱，时而激情，耳熟能详的歌曲感染着现场乐迷，备受追捧。有人说，只要朴树还在歌唱，青春就永远不会退场，只要朴树还在歌唱，就能在生活里看到浪漫和阳光。乐迷们久久不肯离场，《生如夏花》、《平凡之路》阵阵涌上心头，仿佛每首歌曲就是一个故事；最后以一首《送别》完美结束连岛音乐节。</span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">短暂的离别是为了再次的相聚。</span></p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230718/1689662694697524.jpg\" alt=\"1689493828361\"/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">连岛景区按照音乐节工作预案，全体员工全力以赴，从前期的场地建设、设备设施搭建到音乐节当日的兑换票、答疑解惑、咨询引导、车辆接驳等各项工作有序，按照制定合理的进场路线，确保观众能够安全有序入场。活动结束，景区全体员工加班加点为乐迷们安全撤场保驾护航，确保大家顺利返程。</span></p><p><br/></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 16px;\">文：汪卫青</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-07-18 14:37:58', 'system', '2023-07-18 14:37:58');
INSERT INTO `ld_article_content` VALUES (167, 7, '景区动态', '刷爆朋友圈！！连岛又一个新的团建场所！活动一定要来这', NULL, 'zh', '2023-07-26', '', NULL, '富文本', '<p><br/></p><p style=\"text-align: center;\">团建出游计划</p><p><br/></p><p style=\"text-align: center;\">面朝大海&nbsp; 环抱青山&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</p><p><br/></p><p></p><p style=\"text-align: center;\">身未动，心已远。</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690357922252420.jpg\" title=\"\" alt=\"1689493590425\"/></p><p></p><p style=\"text-align: center;\">各位互联网的友友们~</p><p><br/></p><p style=\"text-align: center;\">连岛首届音乐节虽已过去</p><p><br/></p><p style=\"text-align: center;\">但是余温依旧</p><p><br/></p><p style=\"text-align: center;\">大家有在许愿清单上留言第二届最想见到的嘉宾吗？</p><p><br/></p><p style=\"text-align: center;\">音乐节的场地规模大家应该也刷到了</p><p><br/></p><p style=\"text-align: center;\">草坪三万平米&nbsp;</p><p><br/></p><p style=\"text-align: center;\">现在场地对外开放啦</p><p><br/></p><p style=\"text-align: center;\">如果您需要一个美丽、大方、温暖、安静的空间搞点活动，</p><p><br/></p><p style=\"text-align: center;\">找连岛景区就对了！</p><p><br/></p><p style=\"text-align: center;\">露天主题团建，绝对是这个夏天的最佳选择！</p><p><br/></p><p style=\"text-align: center;\">户外玩一玩，让员工们从紧张的工作氛围中脱离出来～</p><p><br/></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690357759807885.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690357759970626.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690357760698409.jpg\" style=\"\"/></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">久居都市</p><p><br/></p><p style=\"text-align: center;\">你一定幻想过这样的浪漫场景</p><p><br/></p><p style=\"text-align: center;\">伴海风，枕星月而入眠</p><p><br/></p><p style=\"text-align: center;\">让全身与广阔天地融为一体</p><p><br/></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\">基础设施：水、电、卫生间均提供</p><p><br/></p><p style=\"text-align: center;\">地址：连岛景区游艇俱乐部向东200米</p><p><br/></p><p style=\"text-align: center;\">停车：停车便利，连岛游客中心免费停车场</p><p><br/></p><p style=\"text-align: center;\">场地租用联系电话：0518-82600860</p><p><br/></p><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-07-26 15:48:19', 'system', '2023-07-26 15:48:19');
INSERT INTO `ld_article_content` VALUES (168, 7, '景区动态', '你是乐迷你说了算！第二届连岛音乐节许愿清单！', NULL, 'zh', '2023-07-22', '/profile/liandao_old_data/64bb2da5234cc.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">上周的欢歌还都萦绕在我们耳旁</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">我们无比想念与你们一起度过的现场时光</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">也听到了大家的呼声</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">去现场 见所爱</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">你想在下一届连岛音乐节听到谁、看到谁</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">以及想有什么更好的现场体验</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; text-align: center; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\">扫码填写下方乐迷许愿清单</p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230722/1689988476480783.jpg\" title=\"\" alt=\"640\"/></p>', NULL, NULL, NULL, 'system', '2023-07-22 09:13:55', 'system', '2023-07-22 09:13:55');
INSERT INTO `ld_article_content` VALUES (169, 7, '景区动态', '驾驶员的一天，坚守岗位 ，服务游客不停歇！', NULL, 'zh', '2023-08-23', '', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2023-08-23 10:10:31', 'system', '2023-08-23 10:10:31');
INSERT INTO `ld_article_content` VALUES (170, 7, '景区动态', '赶海咯！挖螺拾贝捡螃蟹，连岛赶海让你满载而归~', NULL, 'zh', '2023-09-30', '/profile/liandao_old_data/6517cc736cd22.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2023-09-30 15:18:30', 'system', '2023-09-30 15:18:30');
INSERT INTO `ld_article_content` VALUES (171, 7, '景区动态', '新春出游最全玩法就在这里，连岛景区精彩活动让这个春节年味更浓！', NULL, 'zh', '2024-01-31', '', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2024-01-31 16:44:53', 'system', '2024-01-31 16:44:53');
INSERT INTO `ld_article_content` VALUES (172, 7, '景区动态', '@所有人 孟非邀你来连岛啦！', NULL, 'zh', '2023-11-17', '/profile/liandao_old_data/655eaf1502d87.png', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 14px;\">走过了小桥流水</span><br/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">也走过了山川河流</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">《你所不知道的水韵江苏》本季最后一站</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">走进了海滨小镇</span><span style=\"font-family:宋体\">——连岛</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">让我们跟随嘉宾们的脚步</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">共同寻访连岛独特的海洋文化</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703366387678.png\" title=\"\" alt=\"640\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">太阳慢慢升起</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">缓缓穿过云层</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">天空朦朦胧胧</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">如同笼罩着金色的纱幔</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">呈现出一幅迷人的日出景观</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">每个目睹过海上日出的人</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">都不会忘记那份黎明时分的悸动</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">如果你也想体验一下</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">那就来连岛</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">我们共同开启一场逐日之旅</span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"></span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703413827454.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703413114900.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703414502027.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703414787236.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703414729886.png\" style=\"\"/></p><p><span style=\"font-family: Calibri; font-size: 14px; text-align: center;\">&nbsp;</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">资深钓友说</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:Calibri\">“</span><span style=\"font-family:宋体\">海钓，尝试一次就欲罢不能。</span><span style=\"font-family:Calibri\">”</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">挑一个风平浪静的日子</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">约上三五钓友来到连岛</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在海边英姿飒爽地甩出钓竿</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">感受跟鱼儿博弈的刺激感</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">你会</span>get<span style=\"font-family:宋体\">到当</span><span style=\"font-family:Calibri\">“</span><span style=\"font-family:宋体\">海王</span><span style=\"font-family:Calibri\">”</span><span style=\"font-family:宋体\">的快乐</span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"></span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703475659006.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703477797653.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703477500084.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703484402564.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在西连岛的小山脚下</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">各种贩卖海鲜的摊点直线排列</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">走近摊位时嗅闻到空气中的咸腥味道</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">这就是最朴实的渔村气息了</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><br/></span></p><p><span style=\";font-family:Calibri;font-size:14px\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703598254830.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703600576611.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703602654106.png\" style=\"\"/></p><p><span style=\";font-family:Calibri;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在依海而建的民宿</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">嘉宾们真正</span><span style=\"font-family:Calibri\">“</span><span style=\"font-family:宋体\">面朝大海</span><span style=\"font-family:Calibri\">”</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">享用最新鲜的海鲜烧烤与渔家特色菜</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">快约上家人、朋友来这里</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">品尝美味海鲜，观身后海景</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">我们相信，这里将是您远离城市喧嚣</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">放松身心的理想之地</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">来这里，把生活过成诗</span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703853944963.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703855145618.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703856518291.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703856521665.png\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\">&nbsp;</span><br/></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在海边，无论是叹息还是歌声都会随海风散去</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">最后一聚，嘉宾们来到苏马湾在沙滩上开起沙滩音乐会</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">用海浪作伴奏，以海风为节拍，向海而歌</span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\"></span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703893671818.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703900641447.png\" style=\"\"/></p><p><span style=\"font-family: Calibri; font-size: 14px; text-align: center;\">&nbsp;</span></p><p style=\"text-align: justify; text-indent: 2em;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">这是我国迄今为止发现的最早的界域石刻，就在这浪漫海滩的尽头。内容为：</span><strong><span style=\"font-family:Calibri\">“</span><span style=\"font-family:宋体\">东海郡朐与琅琊郡柜为界，因诸山以南属朐，水以北属柜，西直况其。朐与柜分高顶为界，东各承无极。始建国四年四月朔乙卯，以使者徐州牧治所书造。</span><span style=\"font-family:Calibri\">”</span></strong></span></p><p style=\"text-align: justify; text-indent: 2em;\"><span style=\";font-family:Calibri;font-size:14px\"><strong><span style=\"font-family:Calibri\"><br/></span></strong></span></p><p style=\"text-align: justify; text-indent: 0em;\"><span style=\";font-family:Calibri;font-size:14px\"><strong><span style=\"font-family:Calibri\"></span></strong></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703959806089.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703959667345.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703961292307.png\" style=\"\"/></p><p style=\"text-align: justify; text-indent: 0em;\"><span style=\"font-family: Calibri; font-size: 14px; text-align: center;\">&nbsp;</span><span style=\";font-family:Calibri;font-size:14px\"><strong><span style=\"font-family:Calibri\"><br/></span></strong></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">连岛是江苏最大的基岩质海岛</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">沧海桑田，千万年的浪打风吹，千万年的潮至汐退</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">使连岛形成了极具特色的海蚀地貌</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">有的气势磅礴，雄伟壮观</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">有的肖形状物，惟妙惟肖</span>......</span></p><p style=\"text-align: center;\"><span style=\";font-family:Calibri;font-size:14px\">&nbsp;</span></p><p><span style=\";font-family:Calibri;font-size:14px\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703995911101.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703995599381.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700703997374864.png\" style=\"\"/></p>', NULL, NULL, NULL, 'system', '2023-11-17 09:31:29', 'system', '2023-11-17 09:31:29');
INSERT INTO `ld_article_content` VALUES (173, 7, '景区动态', '喜报！海州湾集团斩获多项长三角十佳慢生活旅游网红打卡目的地奖项！', NULL, 'zh', '2023-11-26', '/profile/liandao_old_data/6565a6ac6028c.png', NULL, '富文本', '<p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">2023长三角慢生活旅游发展大会于11月25日在浙江省金华市举办。本届旅发大会由新民晚报社、江苏省现代服务业联合会文化旅游专委会、上海现代服务业联合会自驾房车露营地服务专委会、南京大学创意产业研究中心、长三角慢生活旅游发展大会组委会共同主办。以“体验成就游客心中的最佳旅游目的地”为核心议题，进行深入探讨交流，引导和促进长三角旅游业的健康发展。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><br/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160141233778.jpg\" title=\"\" alt=\"640\"/></span></p><p style=\"line-height: 150%; text-indent: 0em;\"><br/></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">11月25日上午，大会评选颁奖典礼揭晓“长三角十佳慢生活旅游网红打卡目的地”系列评选活动榜单。</span><span style=\"font-family: 宋体;\">&nbsp;</span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><span style=\"font-family:宋体\">连云港市连云区获得</span><span style=\"font-family:宋体\">“长三角十佳慢生活旅游网红打卡城市”、连岛海滨风情小镇获得“长三角十佳慢生活旅游网红打卡特色小镇”、海上云台山景区获得“长三角十佳慢生活旅游网红打卡景区”、宿城八间房民宿获得“长三角十佳慢生活旅游网红打卡民宿酒店”！</span></span></p><p style=\"line-height: 150%; text-indent: 0em;\"><br/></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160192785147.png\" title=\"\" alt=\"640\"/></p><p style=\"line-height: 150%; text-indent: 0em;\"><br/></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">海州湾集团斩获多项长三角十佳慢生活旅游网红打卡目的地奖项，并在大会现场作案例交流分享，展示连云区旅游资源及发展旅游的成功与经验。</span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><br/></span></p><p style=\"line-height: 150%; text-indent: 0em;\"></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160247720823.jpg\" title=\"\" alt=\"640 (1)\"/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;</span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><span style=\"font-family:宋体\">连云区是连云港市</span><span style=\"font-family:宋体\">“一市双城”的东部港口城区，是新亚欧大陆桥东端起点，连云港港口所在地，是唯一具有美丽海滨风光的城区。</span></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><br/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160278272241.png\" title=\"\" alt=\"641\"/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;</span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">连岛景区是江苏省最大的基岩质海岛，与连云港港口隔海相望，是中国十大美丽海岛、江苏最美水地标。其中连岛海滨风情小镇是江苏省首批省级特色小镇，是以旅游产业发展为导向，以海岛特色资源为基础，以文化体验游和休闲度假游为核心，以项目建设为抓手，努力打造集滨海观光、休闲海钓、渔家体验、文化养生、休闲度假等多功能于一体的海岛旅游综合服务小镇。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160297117611.png\" title=\"\" alt=\"海滨风情小镇1\"/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160305562419.jpg\" title=\"\" alt=\"海滨风情小镇2\"/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><br/></span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: justify;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><span style=\"font-family:宋体\">海上云台山即传说中的东海仙山</span><span style=\"font-family:宋体\">——瀛洲，由云山、围屏山、桅尖山、吕端山、宿城山等58座山峰组成。主峰大桅尖，海拔605.4米，为江苏第二高峰。北邻新亚欧大陆桥的起点东方大港连云港，南环中国十佳村镇慢游地，素有“世外桃源”美誉的宿城乡。其中这宿城八间房便位于宿城街道的核心区，该民宿将自然界的一草一木与生活美学巧妙结合，突出原创的建筑智慧，成为连云港独有的创意民宿空间。</span></span></p><p><br/></p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160323459731.png\" title=\"\" alt=\"海上云台山2\"/></p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160370174810.png\" title=\"\" alt=\"海上云台山3\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231128/1701160593489779.png\" title=\"\" alt=\"640 (1)\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-11-26 16:22:14', 'system', '2023-11-26 16:22:14');
INSERT INTO `ld_article_content` VALUES (174, 7, '景区动态', '喜报！连岛景区荣获2023年度“中国4A级旅游景区影响力100强”奖！', NULL, 'zh', '2023-11-30', '/profile/liandao_old_data/65684e3cb9622.jpg', NULL, '富文本', '<p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;好消息！好消息！</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">连岛景区又获奖啦</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">2023年11月29日</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">连岛景区荣获</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">2023年度</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">“</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 16px\"><span style=\"font-family:宋体\">中国</span><span style=\"font-family:宋体\">AAAA级旅游景区影响力100强</span></span></strong><span style=\";font-family:宋体;line-height:150%;font-size:16px\">”</span></p><p style=\"text-indent: 32px; line-height: 150%; text-align: center;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334326674355.jpg\" title=\"\" alt=\"640\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><br/></span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">大会介绍</span></strong></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">2023年11月29日，2023迈点文旅住宿节暨第五届文旅投资运营大会在苏州国际会议酒店隆重开幕，本场盛会立足公益，汇聚政府机构、文旅集团、酒店、景区和产业服务企业，围绕文旅、酒店及景区的招商推介、投资策略、运营管理等核心话题，与行业共同探索文旅融合新模式，激活产业发展新动能。</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><br/></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334351364679.jpg\" title=\"\" alt=\"640 (1)\"/>&nbsp;</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">2023年度研究成果发布盛典，现场颁发了中国文旅集团营收榜TOP50、中国AAAAA级影响力景区、中国AAAA级影响力景区、MBI 年度影响力文旅人物、MBI 年度影响力文旅项目等重磅奖项。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334379518855.jpg\" title=\"\" alt=\"e7a0ea8168e3ee4e304d1c524c18920\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><br/></span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">连岛景区</span></strong></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><span style=\"font-family:宋体\">连岛古称</span><span style=\"font-family:宋体\">“鹰游山”，与伟岸雄峻的北云台山相峙，与连云港港口隔海相望。连岛也是江苏省最大的基岩质海岛，是中国十大美丽海岛、江苏最美水地标。山海相连、碧水金沙、群礁嶙峋，构成了独特的海滨胜境，每个角落都散发着独特的魅力，在这里，你可以找到久违的快乐与宁静。</span></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:16px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334401378752.jpg\" title=\"\" alt=\"640 (2)\"/><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△大沙湾</span></p><p style=\"text-align: center;\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334441345306.jpg\" title=\"\" alt=\"640 (3)\"/><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△海滨栈道</span></span></p><p><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334458876307.jpg\" title=\"\" alt=\"640 (4)\"/></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△孔雀园</span></span></p><p><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334494841375.jpg\" title=\"\" alt=\"640 (5)\"/></span></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△苏马湾</span></span></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334508814204.jpg\" title=\"\" alt=\"640 (6)\"/><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△邓小平和人民在一起雕塑公园</span></span></span></p><p><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701334544586458.jpg\" title=\"\" alt=\"640 (7)\"/></span></span></p><p style=\"text-align: center;\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\"><span style=\"color: rgb(127, 127, 127); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 13px; letter-spacing: 1.5px; text-align: center; text-wrap: wrap; background-color: rgb(255, 250, 244);\">△环岛路</span></span></span></p>', NULL, NULL, NULL, 'system', '2023-11-30 16:51:29', 'system', '2023-11-30 16:51:29');
INSERT INTO `ld_article_content` VALUES (175, 7, '景区动态', '音乐 海边 日落 微风 你 我 我们......', NULL, 'zh', '2024-01-12', '/profile/liandao_old_data/65b3177b96e5d.jpg', NULL, '富文本', '<p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:38px\">属于我们的回忆</span></strong></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:16px\">-我们与连岛音乐节的回忆-</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235674237909.jpg\" title=\"\" alt=\"640\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">你们的愿望以及照片</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">我！都！收！到！了！</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">你们满满的热情我真的太感动了</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">原来我们都一样</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">一样期待</span><span style=\"font-family:宋体\">2024年音乐节的到来</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235695508314.jpg\" title=\"\" alt=\"640 (6)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">不得不说</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">你们的照片拍的</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">太太太太太棒了</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">来吧！展示！</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235706972174.jpg\" title=\"\" alt=\"640 (1)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235712900284.jpg\" title=\"\" alt=\"640 (2)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235721551392.jpg\" title=\"\" alt=\"640 (3)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235734818272.jpg\" title=\"\" alt=\"640 (4)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">青春没有售价</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">疯狂就在当下</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">我们来自不同的地方</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">一起为热爱呐喊</span> <span style=\"font-family:宋体\">为青春而歌</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706235750909338.jpg\" title=\"\" alt=\"640 (5)\"/>&nbsp;</span><span style=\"font-family: 宋体; font-size: 19px;\">以上所有的照片都来自我们</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">美丽善良</span> <span style=\"font-family:宋体\">英俊帅气的乐迷粉丝们</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">感谢你们一如既往的支持</span><span style=\"font-family: 宋体; font-size: 19px;\">&nbsp;</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">我们共同期待吧</span></p>', NULL, NULL, NULL, 'system', '2024-01-12 17:20:32', 'system', '2024-01-12 17:20:32');
INSERT INTO `ld_article_content` VALUES (176, 7, '景区动态', '人间至味是团圆 | 连岛景区2024年夜饭火热预定中！', NULL, 'zh', '2024-01-29', '/profile/liandao_old_data/65b716470b82f.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">年关将近，春节近在眼前</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">人间烟火气，最抚凡人心</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一年的辛勤工作</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">都将在年夜饭的烟火气里得到慰藉</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">今年让妈妈们解放双手</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一起共赏人间烟火</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">连岛景区年夜饭</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">火热预定中</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">速来！</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497275580071.jpg\" title=\"\" alt=\"640\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">要问每年最香的一顿饭</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">大部人会回答年夜饭</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">不是其它的饭不好</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">而是团圆更香</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497304971587.jpg\" title=\"\" alt=\"640 (1)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497312792338.jpg\" title=\"\" alt=\"640 (2)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497319175031.jpg\" title=\"\" alt=\"640 (3)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497327491042.jpg\" title=\"\" alt=\"640 (4)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">大厨甄选优质食材</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">为您精心烹制年味佳肴</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一道道菜肴端上饭桌</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一家人其乐融融</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">望着窗外浩瀚的大海</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">给今年画上完美的句号</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497342205536.jpg\" title=\"\" alt=\"640 (5)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">天际酒店位置极佳</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">环境幽静，安逸悠闲</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">拥有推窗看海的一线海景</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一眼望去海平面与天空衔为一体</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497360144447.jpg\" title=\"\" alt=\"640 (8)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">年夜饭</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">是中国人最具仪式感的欢聚时刻</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">充满人情味与烟火气</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">融年味于美食</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">打造团圆时刻</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">现在预订还有多重好礼等你亲自解锁</span><span style=\"font-family: 宋体; font-size: 19px;\">&nbsp;</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497403280532.jpg\" title=\"\" alt=\"640 (6)\" style=\"font-family: 宋体; font-size: 19px;\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497418515690.jpg\" title=\"\" alt=\"640 (7)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:19px\">用餐地点</span><span style=\";font-family:宋体;font-size:19px\">：</span><span style=\";font-family:宋体;font-size:19px\">连岛大沙湾天际酒店</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:19px\">活动时间</span><span style=\";font-family:宋体;font-size:19px\">：</span><span style=\";font-family:宋体;font-size:19px\">2024年2月7日-17日</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 19px;\">订餐电话</span><span style=\"font-family: 宋体; font-size: 19px;\">：</span><span style=\"font-family: 宋体; font-size: 19px;\">15150997633</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497462957914.jpg\" title=\"\" alt=\"640 (9)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">凡订餐顾客可享受</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">免费专车往返苏马湾</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">你没听错</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">免费、专车、往返</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">2024这个新年</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">全家人一起来连岛过年吧</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497472501000.jpg\" title=\"\" alt=\"640 (10)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">亲朋好友共聚海边</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">享受海岛的美丽风景</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">临近傍晚，乘车回到酒店</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">丰盛的饭菜摆满</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">合家欢聚，围坐桌旁</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">踏实感和满足感不言而喻</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497484738259.jpg\" title=\"\" alt=\"640 (11)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">不仅如此</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">订餐消费满</span><span style=\"font-family:宋体\">1600元</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">不仅额外赠送海景大床房一间一晚</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">还可以享受优惠订房价</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497493771416.jpg\" title=\"\" alt=\"640 (12)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">住一间面海的房</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">晚上听着海风和海浪的声音入眠</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">清晨迎着朝阳</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">和家人看一场海上新年日出</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">共同开启充满希望和活力的一年</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497565379576.jpg\" title=\"\" alt=\"640 (13)\" style=\"font-family: 宋体; font-size: 19px;\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497577365860.jpg\" title=\"\" alt=\"640 (13)\" style=\"font-family: 宋体; font-size: 19px;\"/><span style=\"font-family: 宋体; font-size: 19px;\">小编再提一句</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">去羊窝头看日出免费接送</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">打卡道具也免费提供</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">吃喝玩乐一条龙还包接送</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">就这还不心动吗</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497587746852.jpg\" title=\"\" alt=\"640 (14)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">走遍山湖江海</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">至味人间是团圆</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240129/1706497596399651.jpg\" title=\"\" alt=\"640 (15)\"/>&nbsp;</span><span style=\"font-family: 宋体; font-size: 19px;\">把温馨时刻留给亲友</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">把团圆盛宴交给我们</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">这一顿年夜饭绝对</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">会给您带来与众不同的新年体验</span></p>', NULL, NULL, NULL, 'system', '2024-01-29 10:59:03', 'system', '2024-01-29 10:59:03');
INSERT INTO `ld_article_content` VALUES (177, 7, '景区动态', '秋冬的海岛永远令人心动，来连岛就得这么玩......', NULL, 'zh', '2023-10-29', '/profile/liandao_old_data/65406f9c7b4f9.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">今日消息：</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">连岛景区免门票啦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">免票时间：</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">2023</span><span style=\"font-family:宋体\">年</span><span style=\"font-family:Calibri\">11</span><span style=\"font-family:宋体\">月</span><span style=\"font-family:Calibri\">1</span><span style=\"font-family:宋体\">日</span><span style=\"font-family:Calibri\">-2024</span><span style=\"font-family:宋体\">年</span><span style=\"font-family:Calibri\">2</span><span style=\"font-family:宋体\">月</span><span style=\"font-family:Calibri\">29</span><span style=\"font-family:宋体\">日</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">特别注意：春节假期除外</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">@</span><span style=\"font-family:宋体\">全国游客 </span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">连岛邀你来玩啦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">避开旅游高峰，反季旅行真的很香！！！</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721229106525.jpg\" title=\"\" alt=\"264d67445e1641a36d48c2751721f8ae_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">每一个海边小城</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">都是一个浪漫的梦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">作为沿海地区的连云港</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">更是一座充满浪漫气息的城市</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">南通州，北通州，南北通州通南北；</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">东连岛，西连岛，东西连岛连东西。</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">这里的东西连岛，便是这了</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">连岛景区人杰地灵</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">拥有着种种神秘传说</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">走向那片风景</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">来感受大海的辽阔</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">和那份山海相依的曼妙情怀</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721250826338.jpg\" title=\"\" alt=\"e82b1dacaef32f8f3fa2bc702d675508_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">秋冬的海</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">不像夏日波涛汹涌</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">而是静谧而深邃</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">没有熙熙攘攘的人群</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">褪去了夏日的喧闹</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">秋冬的海</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">多了一丝安好恬静的气息</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">走在一眼望不到头的大海边</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">享受碧海蓝天带来的心灵震撼</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721269525136.jpg\" title=\"\" alt=\"5a086ea3ae852e11176cb96626873a59_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">漫步沙滩</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">捡贝壳、捉螃蟹、挖蛤蜊</span><span style=\"font-family:Calibri\">......</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">出手皆是收货</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">体验赶海人的乐趣</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">零距离感受大海的魅力</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">向连岛出发</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">欣赏秋冬不一样的风景</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721285798726.jpg\" title=\"\" alt=\"7c74cfaa46074170488116dc17448ece_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721288550610.jpg\" title=\"\" alt=\"282ac43e1c4f1b290668bad3b6ab07da_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">在徒步中看风景</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">满眼醉人</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 14px;\">攒足内排肽</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">为冬天蓄能</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">让运动都变温柔</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">一条</span><span style=\"font-family:Calibri\">2.5</span><span style=\"font-family:宋体\">公里长的海滨栈道</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">将大沙湾、苏马湾两处景点相连</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">沿途海景曼妙，一览无遗</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721645852453.jpg\" title=\"\" alt=\"456c4f2bb5113a5372cae10e25247232_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698721649749837.jpg\" title=\"\" alt=\"737ac47dd3ccf539ed98dbfbbc208efb_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-10-29 16:53:36', 'system', '2023-10-29 16:53:36');
INSERT INTO `ld_article_content` VALUES (178, 7, '景区动态', '我们的口号是：一起薅羊毛，快乐不打烊！', NULL, 'zh', '2023-10-31', '/profile/liandao_old_data/6540b5378e4d7.JPG', NULL, '富文本', '<section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: center; text-indent: 2.2142em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(71, 54, 46); font-size: 15px; text-shadow: none; letter-spacing: 2px; font-family: \" helvetica=\"\" hiragino=\"\" sans=\"\" apple=\"\" color=\"\" emoji=\"\" symbols=\"\" segoe=\"\" ui=\"\">为让游客朋友感受不同于夏天的海</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: center; text-indent: 2.2142em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(71, 54, 46); font-size: 15px; text-shadow: none; letter-spacing: 2px; font-family: \" helvetica=\"\" hiragino=\"\" sans=\"\" apple=\"\" color=\"\" emoji=\"\" symbols=\"\" segoe=\"\" ui=\"\">连岛景区特推出优惠政策面向全国游客免门票啦</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: center; text-indent: 2.2142em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"color: rgb(71, 54, 46); font-size: 15px; letter-spacing: 2px; text-indent: 2.2142em;\">快带着快乐一起出发吧</span></p></section></section></section><p><br/></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698739488414818.png\" title=\"\" alt=\"c42e13277d9a220368564cb21a9f69a\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698739680533047.png\" title=\"\" alt=\"679cc09c113c3d863c722fc1020afe2\"/></p></section><p><br/></p>', NULL, NULL, NULL, 'system', '2023-10-31 16:03:23', 'system', '2023-10-31 16:03:23');
INSERT INTO `ld_article_content` VALUES (179, 7, '景区动态', '低至6.9折！连岛游艇俱乐部优惠来啦~', NULL, 'zh', '2023-10-27', '/profile/liandao_old_data/6540c1d659336.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">乐享水上慢生活</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">征程蓝色梦想</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">游享海阔天空</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">连岛游艇俱乐部带您畅游大海</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742521607719.jpg\" title=\"\" alt=\"640 (1)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><strong><span style=\";font-family:黑体;font-size:16px\">帆船</span></strong></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">6.9折特惠</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">门市价：</span><span style=\"font-family:黑体\">100元/人</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">特惠价：</span><span style=\"font-family:黑体\">69元/人</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">使用时间：</span><span style=\";font-family:黑体;font-size:16px\">2023年11月1日-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742546124649.jpg\" title=\"\" alt=\"640 (2)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">只需</span><span style=\"font-family:黑体\">69元</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">即可体验长达</span><span style=\"font-family:黑体\">30分钟的海上帆船观光</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">坐在驰骋的帆船上</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">海天一色，远离市区</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">少了嘈杂和浮躁</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">多得是内心里的平静和安详</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742556327180.jpg\" title=\"\" alt=\"640 (3)\"/></span></p><p style=\"text-align: center;\"><strong><span style=\";font-family:黑体;font-size:16px\"><br/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\";font-family:黑体;font-size:16px\">快艇</span></strong></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">8.8折特惠</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">门市价：</span><span style=\"font-family:黑体\">100元/人</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">特惠价：</span><span style=\"font-family:黑体\">88元/人</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">使用时间：</span><span style=\";font-family:黑体;font-size:16px\">2023年11月1日-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\"font-family: 黑体;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-family: 黑体;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742626552973.jpg\" title=\"\" alt=\"640 (4)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">谁说玩快艇只是夏季娱乐活动</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">谁说冬季只能把快艇束之高阁</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">海风徐徐，涛声阵阵</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">在海面上肆意驰骋</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">享受冬日的暖阳</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">体验乘风破浪的速度</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742642620730.jpg\" title=\"\" alt=\"640 (5)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><strong><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">专属定制包船来了</span><span style=\"font-family:黑体\">~</span></span></strong></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">门市价：</span><span style=\"font-family:黑体\">5000元/小时</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">特惠价：</span><span style=\"font-family:黑体\">3088元/小时</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">2023年11月1日-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">限</span><span style=\"font-family:黑体\">30人以内，需提前预约</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">还有好礼相送</span><span style=\"font-family:黑体\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><span style=\"font-family:黑体\">预约咨询电话：</span><span style=\"font-family:黑体\">0518-82601166</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742683717797.jpg\" title=\"\" alt=\"640 (8)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">阳光的金色碎片落在广垠蔚蓝的海面上</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">坐上豪华游船</span><span style=\"font-family: 黑体;\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">同客户朋友、家庭亲友畅饮</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">共享无限海景</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:16px\">远离城市的喧嚣</span></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231031/1698742694285202.jpg\" title=\"\" alt=\"640 (9)\"/></p>', NULL, NULL, NULL, 'system', '2023-10-27 16:54:52', 'system', '2023-10-27 16:54:52');
INSERT INTO `ld_article_content` VALUES (180, 7, '景区动态', '直播预告 | 低至9.9元？更多双十一优惠详情速来直播间！', NULL, 'zh', '2023-10-31', '/profile/liandao_old_data/6541b71bd066c.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805614357049.png\" title=\"\" alt=\"7dc1f5b8d4137509ca0fa79d72f3fc5\"/></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\">价格低到意想不到！</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\">冲冲冲呀！！！！</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\">打开抖音搜索</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\">“连云港连岛景区”</span></p><p style=\"text-align: center;\"><span style=\"font-family: 宋体; font-size: 16px;\">或扫描下方二维码</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805204299591.png\" title=\"\" alt=\"ab8b2243c529210522e15ffc5eb21110_640_wx_fmt=png&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">进入直播间</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">参与景区超值优惠门票抢购活动</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805251136678.gif\" title=\"\" alt=\"640\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><span style=\"font-family: 黑体, SimHei;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;门票特惠</span><span style=\"font-family: 宋体;\"></span></span><span style=\"font-family: 宋体;\">&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through; font-size: 16px; font-family: 宋体;\">原价：30元</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">抢购价：9.9元</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">使用时间：2024年3月1日-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805266176434.jpg\" title=\"\" alt=\"6412439e7db30006d98753a9b3f4548f_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\"font-family: 黑体, SimHei; font-size: 18px;\">景交车特惠</span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through; font-size: 16px; font-family: 宋体;\">原价：20元</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">抢购价：11.11元 </span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">使用时间：即日起-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805274640433.jpg\" title=\"\" alt=\"4d78e6bf40dd5d5133bc9ec7f39d7db9_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805285553369.jpg\" title=\"\" alt=\"f6111d74553f7a134dcfa57063c7524b_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:黑体;font-size:21px\">游艇俱乐部优惠</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805311595712.jpg\" title=\"\" alt=\"640\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">体验</span><span style=\";font-family:黑体;font-size:19px\">帆船</span><span style=\";font-family:宋体;font-size:16px\">的激情畅游</span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through; font-size: 16px; font-family: 宋体;\">原价：100元/人</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">抢购价：??元/人</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805360213837.jpg\" title=\"\" alt=\"640 (2)\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">体验</span><span style=\";font-family:黑体;font-size:19px\">快艇</span><span style=\"font-size: 16px; font-family: 宋体;\">带来的“速度与激情”</span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through; font-size: 16px; font-family: 宋体;\">原价：100元/人 </span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">抢购价：??元/人</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805371779483.jpg\" title=\"\" alt=\"640 (4)\"/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">专属定制</span><span style=\";font-family:黑体;font-size:19px\">包船</span><span style=\"font-size: 16px; font-family: 宋体;\">来了~</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">双体豪华客船</span></p><p style=\"text-align: center;\"><span style=\"text-decoration: line-through; font-size: 16px; font-family: 宋体;\">原价：5000元/小时 </span><span style=\";font-family:宋体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">抢购价：2???元/小时</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">30人以内都可预约哦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">（小编偷偷说一句：这船是新的新的新的！！！）</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805387957662.jpg\" title=\"\" alt=\"640 (8)\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805396848323.jpg\" title=\"\" alt=\"640 (9)\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">游艇俱乐部以上使用期限：2023年11月1日-2024年4月27日</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231101/1698805446504989.png\" title=\"\" alt=\"640\"/></span></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">钜惠享不停~</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">双十一，你准备好了吗？</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">更多详情请</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\">锁定“连云港连岛景区”抖音直播间</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">我们不见不散！</span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px; font-family: 宋体;\"><br/></span><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-10-31 10:17:45', 'system', '2023-10-31 10:17:45');
INSERT INTO `ld_article_content` VALUES (181, 7, '景区动态', '秋游正当时，快走出教室，赴一场大自然之约~', NULL, 'zh', '2023-11-04', '/profile/liandao_old_data/654603c7c96dd.png', NULL, '富文本', '<p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding:0 0 0 0 ;text-align:center;line-height:25px\"><span style=\"font-family: 仿宋;font-size: 19px\"><span style=\"font-family:仿宋\">秋已深</span> <span style=\"font-family:仿宋\">冬未至</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding:0 0 0 0 ;text-align:center;line-height:25px\"><span style=\"font-family: 仿宋;font-size: 19px\">一切都刚刚好</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding:0 0 0 0 ;text-align:center;line-height:25px\"><span style=\"font-family: 仿宋;font-size: 19px\"><span style=\"font-family:仿宋\">秋色温柔</span> <span style=\"font-family:仿宋\">秋风不燥</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding:0 0 0 0 ;text-align:center;line-height:25px\"><span style=\"font-family: 仿宋;font-size: 19px\"><span style=\"font-family:仿宋\">生活无解</span> <span style=\"font-family:仿宋\">户外撒野</span></span></p><p style=\"margin: 0px; padding: 0px; text-align: center; line-height: 25px; text-indent: 0em;\"><span style=\"font-family: 仿宋;font-size: 19px\">学生秋游活动可以安排起来啦</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699086990729873.png\" title=\"\" alt=\"640 (1)\"/></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 2em;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px\"><span style=\"font-family:仿宋\"><br/></span></span></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 2em;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px\"><span style=\"font-family:仿宋\">秋天是收获的季节，当然也是孩子们收获快乐的季节啦</span><span style=\"font-family:仿宋\">~在秋天，抓螃蟹、捡贝壳、挖花蛤、踏海浪......带孩子们在广阔的海滩上肆意奔跑、快乐赶海，这也“泰酷辣”！！！</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px\">来海边观察和认识有趣的海洋生物，学习赶海技巧，作为海城长大的孩子，更加需要了解保护海洋的重要性。</span></p><p><br/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087008611976.jpg\" title=\"\" alt=\"640 (2)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087064121167.jpg\" title=\"\" alt=\"640 (4)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087072427670.jpg\" title=\"\" alt=\"640 (3)\"/></p><p><br/></p><p style=\"margin: 0px; text-indent: 28px; padding: 0px; line-height: 25px; text-align: justify;\"><span style=\";font-family:仿宋;letter-spacing:2px;font-size:19px\"><span style=\"font-family:仿宋\">海边游戏什么最好玩？那当然是沙滩排球！不接受反驳！踩着柔软的沙子，拍着大大的排球，和好友在阳光下尽情跳跃、垫球、扣球、鱼跃</span><span style=\"font-family:仿宋\">.....别提有多惬意了！</span></span></p><p style=\"margin: 0px; text-indent: 28px; padding: 0px; line-height: 25px; text-align: justify;\"><span style=\";font-family:仿宋;color:rgb(51,51,51);letter-spacing:2px;font-size:19px;background:rgb(255,255,255)\"><span style=\"font-family:仿宋\">沙滩排球的魅力在于它融合了竞技性、团队合作和户外活动的乐趣。在沙滩上进行这项运动，学生可以享受到阳光、海风和沙滩的美景，同时锻炼身体和提高协调能力。沙滩排球也是一项很好的有氧运动，可以增强心肺功能、提高耐力和灵活性。</span></span></p><p style=\"margin: 0px; padding: 0px; line-height: 25px; text-align: center; text-indent: 0em;\"><span style=\";font-family:仿宋;color:rgb(51,51,51);letter-spacing:2px;font-size:19px;background:rgb(255,255,255)\"><span style=\"font-family:仿宋\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087098569051.jpg\" title=\"\" alt=\"640 (5)\"/></span></span></p><p style=\"margin: 0px; padding: 0px; line-height: 25px; text-align: justify; text-indent: 0em;\"><span style=\";font-family:仿宋;color:rgb(51,51,51);letter-spacing:2px;font-size:19px;background:rgb(255,255,255)\"><span style=\"font-family:仿宋\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087121368904.jpg\" title=\"\" alt=\"640 (6)\"/></span></span></p><p style=\"margin: 0px; text-indent: 28px; padding: 0px; line-height: 25px; text-align: justify;\"><br/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;line-height:25px\"><span style=\";font-family:仿宋;color:rgb(51,51,51);letter-spacing:2px;font-size:19px;background:rgb(255,255,255)\"><span style=\"font-family:仿宋\"></span></span></p><p style=\"text-indent: 2em; text-align: justify;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px;background: rgb(255, 255, 255)\"><span style=\"font-family:仿宋\">都说孩子最好的朋友是大自然，他们在其中自由奔跑，探索未知的世界，让孩子学会了勇敢。徒步是一种有氧运动，通过徒步孩子们可以锻炼肌肉，增强耐力和灵活性，提高心肺功能。秋天的天气不冷不热，正是户外徒步好时机，短暂丢开课本，走出课堂，来一场在连岛的浪漫邂逅</span><span style=\"font-family:仿宋\">~</span></span></p><p style=\"margin: 0px; padding: 0px; line-height: 25px; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087157783568.jpg\" title=\"\" alt=\"640 (8)\"/></p><p style=\"margin: 0px; padding: 0px; line-height: 25px; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087168160900.jpg\" title=\"\" alt=\"640 (7)\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;line-height:25px\"><br/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px\">作为连岛中心区域的景点，苏马湾可谓集合了整个景区的精华，包含苏马湾瀑布、海天一色、海誓山盟、海蚀石等景点，整个区域三面环山，一面为海，既有幽静的海湾，也有深邃的高山。</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 19px\"><span style=\"font-family:仿宋\">阳光、沙滩、野餐才是秋天的正确打开方式，在沙滩上席地而坐，感受秋高气爽的惬意，回归大自然的世界。邂逅秋天，快乐童行</span><span style=\"font-family:仿宋\">~</span></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087180960424.jpg\" title=\"\" alt=\"640 (9)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087191457698.jpg\" title=\"\" alt=\"640 (11)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087199507439.jpg\" title=\"\" alt=\"640 (10)\"/></p><p><br/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\">相信大家都看过绚丽的孔雀开屏，但是否看过震撼的孔雀齐飞呢？在苏马湾沙滩上野餐，观赏成百只孔雀展翅高飞。悠扬的古筝、欢快的萨克斯、柔软的孔雀舞配合着孔雀东南飞实景表演，成群的孔雀在苏马湾上空盘旋，场面尤为壮观，已然成为苏马湾一道靓丽的风景。</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:仿宋\">演艺与景区的深度融合，会带来全新的旅游体验哦！快带孩子们来亲近自然开拓孩子的视野，打破孩子们只知道孔雀开屏的认知！表演时间：上午</span><span style=\"font-family:仿宋\">10:00、下午15:00（千万不要错过）</span></span></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 0em;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:仿宋\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087211602848.jpg\" title=\"\" alt=\"640 (12)\"/></span></span></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 0em;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:仿宋\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087221743660.jpg\" title=\"\" alt=\"640 (13)\"/></span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><br/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:仿宋\"></span></span></p><p style=\"text-indent: 2em; text-align: justify;\"><span style=\";font-family:仿宋;letter-spacing:1px;font-size:19px\"><span style=\"font-family:仿宋\">当秋日</span><span style=\"font-family:仿宋\">“美拉德”遇上连岛“红之旅”，在欣赏美景的同时感悟红色记忆，一定别有一番风景韵味。来到“邓小平和人民在一起”雕塑公园，追忆那激情燃烧的革命岁月，接受革命的洗礼。老师向学生讲述邓小平同志对改革开放作出的巨大贡献，帮助学生深入了解祖国的历史和文化，去感受先辈为现在的繁荣昌盛所付出的努力，将红色基因的种子厚植于每位学生的心灵，引导孩子们树立人生榜样！</span></span></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 0em;\"><span style=\"font-family: 仿宋;color: rgb(51, 51, 51);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:仿宋\"></span></span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087232290819.jpg\" title=\"\" alt=\"640 (16)\"/></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087240454640.jpg\" title=\"\" alt=\"640 (14)\"/></p><p style=\"margin: 0px; padding: 0px; text-align: justify; line-height: 25px; background: rgb(255, 255, 255); text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231104/1699087271434178.jpg\" title=\"\" alt=\"640 (17)\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:28px;padding:0 0 0 0 ;text-align:justify;text-justify:inter-ideograph;line-height:25px;background:rgb(255,255,255)\"><br/></p><p style=\"margin: 0px; padding: 0px; line-height: 22px; text-align: center;\"><strong><span style=\"font-family: 仿宋;color: rgb(199, 97, 2);font-size: 19px\">学期过半，秋游正当时</span></strong></p><p style=\"margin: 0px; padding: 0px; line-height: 22px; text-align: center;\"><strong><span style=\"font-family: 仿宋;color: rgb(199, 97, 2);font-size: 19px\">学校的第一场秋游之旅安排好了吗？</span></strong></p><p style=\"margin: 0px; padding: 0px; line-height: 22px; text-align: center;\"><strong><span style=\"font-family: 仿宋;color: rgb(199, 97, 2);font-size: 19px\">快快走出教室，来感受秋风</span></strong></p><p style=\"margin: 0px; padding: 0px; line-height: 22px; text-align: center;\"><strong><span style=\"font-family: 仿宋;color: rgb(199, 97, 2);font-size: 19px\"><span style=\"font-family:仿宋\">赴一场大自然之旅</span><span style=\"font-family:仿宋\">~</span></span></strong></p><p style=\"margin: 0px; padding: 0px; text-align: center;\"><span style=\";font-family:仿宋;font-size:19px\"><span style=\"font-family:仿宋\">咨询电话：</span><span style=\"font-family:仿宋\">0518-82600860</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-11-04 16:33:39', 'system', '2023-11-04 16:33:39');
INSERT INTO `ld_article_content` VALUES (182, 7, '景区动态', '不负秋日好时光，快乐研学助成长！', NULL, 'zh', '2023-11-09', '/profile/liandao_old_data/654c97994b280.JPG', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">此时节，天转寒凉</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">秋意却未散尽</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">橙黄橘绿，霜叶缤纷</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">各种色彩</span><span style=\"font-family:宋体\">“碰撞”交织</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">染出一幅幅五彩斑斓的画卷</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">老师带着孩子们</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">来连岛告别秋天啦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699517825328809.jpg\" title=\"\" alt=\"IMG_9183(20231108-163031).JPG\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">秋天，是一个藏着秘密的季节，秋天的大自然是一个大课堂，赋予孩子们取之不尽的源泉。</span><span style=\"font-family:Calibri\">11</span><span style=\"font-family:宋体\">月</span><span style=\"font-family:Calibri\">8</span><span style=\"font-family:宋体\">日上午，云山小学五、六年级的学子踏着秋日的晨光，吹着微凉的金风，和着银铃般的欢声笑语，趣游连岛开展秋游活动，让我们跟随镜头，来感受这场孩子们与秋天的约会。</span></span></p><p style=\"text-align: left; text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-align: left; text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699517945752542.jpg\" title=\"\" alt=\"640 (2)\"/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span><span style=\"font-family: 宋体; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">一切准备就绪！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">9:00</span><span style=\"font-family:宋体\">随着车辆的停靠</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">孩子们到达连岛景区啦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">一个个的像放飞的小鸟</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">满脸洋溢着兴奋</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">高高兴兴地向大沙湾出发</span><span style=\"font-family:Calibri\">~</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699517971255362.jpg\" title=\"\" alt=\"640 (3)\"/>&nbsp;</span><span style=\"font-family: 宋体; font-size: 14px;\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699517997990931.jpg\" title=\"\" alt=\"640 (1)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">自由与欢乐的时光</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">弥足珍贵</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">孩子们在大沙湾沙滩上</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">嬉笑游戏、肆意奔跑</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">和好朋友比拼</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">看看谁跑的更快呢</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518032653483.jpg\" title=\"\" alt=\"640 (4)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518102305332.jpg\" title=\"\" alt=\"640 (6)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518111315229.jpg\" title=\"\" alt=\"640 (5)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518118190035.jpg\" title=\"\" alt=\"640 (7)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">微风不燥，阳光正好</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">“野餐大派对”开始啦！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">铺上野餐垫</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">打开小书包</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">好朋友们围坐在一起</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">分享着各自带来的美食</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">一起享受这秋日时光里的野餐之趣</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518134923298.jpg\" title=\"\" alt=\"640 (8)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518146698223.jpg\" title=\"\" alt=\"640 (10)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">古有</span><span style=\"font-family:宋体\">“举杯邀明月”</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">现有举杯庆秋游</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518158394417.jpg\" title=\"\" alt=\"640 (11)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">看小编铺捉到了一位同学在干嘛？</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">嘿嘿</span><span style=\"font-family:Calibri\">~</span><span style=\"font-family:宋体\">现实版“画个圈圈诅咒你”</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518169663529.jpg\" title=\"\" alt=\"640 (12)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">大沙湾玩够了</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">我们出发下一站！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">海滨栈道我们来咯</span><span style=\"font-family:Calibri\">~</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518204235054.jpg\" title=\"\" alt=\"640 (13)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518217602847.jpg\" title=\"\" alt=\"640 (14)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">扛着小旗子</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">迈着整齐的步伐</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">我们出发！</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518229356906.jpg\" title=\"\" alt=\"640 (16)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518239539948.jpg\" title=\"\" alt=\"640 (17)\"/></span></p><p><br/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">一条</span><span style=\"font-family:Calibri\">2.5</span><span style=\"font-family:宋体\">公里长的海滨栈道</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">沿途海景曼妙，一览无遗</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">同学们不时发出阵阵惊叹声</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">“真的好漂亮”</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">“我们的大海真美”</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">“秋游不算白来”</span></p><p style=\"text-align: center;\"><br/></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518259653865.jpg\" title=\"\" alt=\"640 (15)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">途中路过贝壳沙滩</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">还拾了不少的漂亮贝壳呢</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">都带回家做个贝壳画吧</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518272347873.jpg\" title=\"\" alt=\"640 (18)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">和好朋友们待在一起</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">就是快乐！快乐！快乐！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">一点都不会觉得累</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">不知不觉就到孔雀园了</span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518285354315.jpg\" title=\"\" alt=\"640 (19)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">最后一站！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">孔雀园我们来了</span><span style=\"font-family:Calibri\">~</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518297610942.jpg\" title=\"\" alt=\"640 (20)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">一路走到这</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">看出来同学们都有点疲惫了</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">看看漂亮的孔雀</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">就要返程啦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">幸运的话</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">还能看见孔雀开屏哦</span><span style=\"font-family:Calibri\">~</span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231109/1699518313313997.jpg\" title=\"\" alt=\"640 (21)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\">秋游可不是孩子们的专属哦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">你瞧！老师们也很喜欢秋游呢</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-align: center;\"><br/></p>', NULL, NULL, NULL, 'system', '2023-11-09 16:16:08', 'system', '2023-11-09 16:16:08');
INSERT INTO `ld_article_content` VALUES (183, 7, '景区动态', '雪后连岛，这美景如你所愿！', NULL, 'zh', '2023-12-20', '/profile/liandao_old_data/6586997183cf4.jpg', NULL, '富文本', '<p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">等待一场大雪也是等待一种心情</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">每个人心里都有久违的一场大雪</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">仿佛只有一场大雪过后</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">才觉得这个冬天像是冬天</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">让我们共同走入雪中的世外之境</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">感受冬天的纯净与浪漫</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053163693874.jpg\" title=\"\" alt=\"640\"/></span><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">就在12月18日</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">2023连岛的初雪翩然而至</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">纷纷雪花如原野之歌</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">奔赴温柔缄默的人间</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">一夜的无声落下</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">冬日之海被簌簌的雪花写成了一首诗</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">这是海边冬天最极致的浪漫</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">也是每个人心中小小的期盼</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053193339754.jpg\" title=\"\" alt=\"640 (4)\"/>&nbsp;</span><span style=\"background-color: rgb(255, 255, 255); letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">下雪最快乐的事情莫过于堆雪人了</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><span style=\"letter-spacing: 2px; font-size: 16px; background: rgb(255, 255, 255); font-family: 宋体;\">可以说是仪式感满满~</span><span style=\"font-size: 16px; background-color: rgb(255, 255, 255); font-family: 宋体; letter-spacing: 2px;\">&nbsp;</span></span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053211810414.jpg\" title=\"\" alt=\"640 (2)\" style=\"font-family: 宋体; letter-spacing: 2px;\"/></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">一场大雪纷飞而至</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">一朵朵白色精灵安然降落</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">扑簌簌的</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">落在沙滩上、栈道上......</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">连岛景区像是披上了薄薄的白纱</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">若隐若现，美得不像话</span></p><p style=\"margin: 0px; padding: 0px; line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053226729233.jpg\" title=\"\" alt=\"640 (4)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053248391732.jpg\" title=\"\" alt=\"640 (8)\"/>春有百花秋有月</span></p><p style=\"margin: 0px; padding: 0px; line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">夏有凉风冬有雪</span></p><p style=\"margin: 0px; padding: 0px; line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">下雪是海边城市的终极浪漫</span></p><p style=\"margin: 0px; padding: 0px; line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">看遍了山川里千篇一律的雪景</span></p><p style=\"margin: 0px; padding: 0px; line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">不妨来连岛的海边看看</span></p><p style=\"margin: 0px; padding: 0px; text-align: center; line-height: 33px;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053275473741.jpg\" title=\"\" alt=\"640 (3)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053281360364.jpg\" title=\"\" alt=\"640 (7)\"/></span><span style=\"letter-spacing: 2px; background-color: rgb(255, 255, 255); font-family: 宋体, SimSun; font-size: 16px;\">雪落连岛 无声胜有声</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">当雪恰逢海</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">你想象不到有多美</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">银装素裹的连岛</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">有你未曾见过的冬日雪景</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">用镜头记录下初雪的记忆</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">将这份幸运与浪漫寄送给远方的你</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053294716828.jpg\" title=\"\" alt=\"640 (5)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053302921263.jpg\" title=\"\" alt=\"640 (10)\"/>当12月的连岛</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">迎来了一场漫天飞舞的大雪</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">天地间银装素裹，一尘不染</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">海不再喧嚣，重归深沉静默</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">树落尽叶子，再不受风摇撼</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">整个连岛显得格外安静</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053318646810.jpg\" title=\"\" alt=\"640 (11)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053325890424.jpg\" title=\"\" alt=\"640 (13)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053354458921.jpg\" title=\"\" alt=\"640 (14)\"/>雪地的浪漫当然是写写画画咯~</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">雪可是天然的画布</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">遇上了岂能浪费？</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\"><span style=\"letter-spacing: 2px; font-size: 16px; font-family: 宋体;\">看我们以雪为纸</span> <span style=\"letter-spacing: 2px; font-size: 16px; font-family: 宋体;\">以手为笔</span></span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">来作画一幅</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">打开雪地新玩法</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; text-align: center; line-height: 33px; background: rgb(255, 255, 255);\"><span style=\"letter-spacing: 2px; font-family: 宋体, SimSun; font-size: 16px;\">我们都是雪地里的小画家~</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053368139818.jpg\" title=\"\" alt=\"640 (15)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053376792057.jpg\" title=\"\" alt=\"640 (16)\"/>雪地里还留下了许多小动物的脚印</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">看来这冬日里美好的景象</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">已经有人替我们先睹为快了</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053389887786.jpg\" title=\"\" alt=\"640 (17)\"/>快一起到雪地里撒欢</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">南有海，北有海</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">不如来连岛看山连海</span></p><p style=\"line-height: 33px; text-align: center;\"><span style=\"font-family: 宋体, SimSun; font-size: 16px;\">连岛海边看雪景，美哉！美哉！</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231220/1703053411696230.jpg\" title=\"\" alt=\"640 (6)\"/></p>', NULL, NULL, NULL, 'system', '2023-12-20 14:13:37', 'system', '2023-12-20 14:13:37');
INSERT INTO `ld_article_content` VALUES (184, 7, '景区动态', '连岛音乐节的后劲实在太大了，2024我们现场见！', NULL, 'zh', '2023-12-22', '/profile/liandao_old_data/65850b3060f42.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">音乐节的欢歌仿佛还萦绕在我们耳旁</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">我们无比想念与你们一起度过的现场时光</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">也听到了大家的呼声</span></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">去现场</span> <span style=\"font-family:宋体\">见所爱</span></span></strong></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">两天的夏日狂欢</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">所有人都揣满了幸福，满载而归</span><span style=\"font-family: 宋体; font-size: 14px;\">&nbsp;</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217531297050.jpg\" title=\"\" alt=\"b9fd76ff8b8080d7312fad5a9bbf8ecf_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\" style=\"font-family: 宋体; font-size: 14px;\"/></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p><span style=\";font-family:宋体;font-size:14px\"></span></p><p style=\"text-align: center;\"><strong><span style=\"font-family: &#39;Microsoft YaHei UI&#39;;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 16px\">关于我们的热爱</span></strong></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:16px\">回顾盛况</span></strong><span style=\";font-family:宋体;font-size:16px\">MUSIC FESTIVAL</span></p><p><span style=\";font-family:宋体;font-size:16px\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">全国乐迷从各地赶来</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">在连岛留下了难忘的回忆</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">连岛首届音乐节刷爆全网、好评不断</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">网友们纷纷赞不绝口</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">堪称音乐节天花板</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">在夏天的海边，吹着清爽的风</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">听着喜欢的乐队唱歌</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">还有什么比这更完美呢</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217563156797.png\" title=\"\" alt=\"7ac1e3b4a35292f4adf4eeeca11bdc8\"/>&nbsp;</span><span style=\"font-family: 宋体;\">你们还记得那场绝美落日吗？</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">落日下的连岛</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">壮观浪漫的晚霞弥漫半边天空</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">在落日下</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">轻盈的音符镀满金黄色的余晖</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">真是占尽天时地利人和</span><span style=\"font-family: 宋体;\">&nbsp;</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217588617468.jpg\" title=\"\" alt=\"17a4f0aa775b74e7d88d7847414b7dd3_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span><span style=\"font-family: 宋体;\">两天时间声与身的共振</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">年轻人想要的快乐真的非常简单</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">在落日下，与三两好友尽情狂欢</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">收获快乐，感受爱与自由</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">这里就是青春安放的最好舞台</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217698263789.png\" title=\"\" alt=\"66c5270669df7e45c3dcaf94897e677\"/>&nbsp;</span></p><p style=\"text-align: justify; text-indent: 2em;\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">网友调侃：</span><span style=\"font-family:宋体\">“我老年人了，在后排沙发区，也可以将整个大屏尽收眼底。”国内音乐节罕见的全弧面大屏、炫目的光影、宽广的音场、肆意的摇旗放冷焰、大型开火车、极致的视觉享受......现场氛围真的没话说，超赞！</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217707618401.png\" title=\"\" alt=\"d2eaf85954c8f94f257951d25c4fd0b\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217713458434.jpg\" title=\"\" alt=\"d694f1ef03ddb43dda817605c7d39ed2_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span><span style=\"font-family: 宋体;\">当拉下帷幕，乐队歌者相继登场</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">瞬间嗨翻全场！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">众多乐迷在音乐人的带领下</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">狂嗨不止，呐喊不停</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217726419200.png\" title=\"\" alt=\"dd5a53e651bba5612d222ddcfc910ab\"/>&nbsp;</span><span style=\"font-family: 宋体;\">肆意的狂欢后总会迎来巨大的虚无感</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">但现场的音乐不会在此停驻</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">我们永远期待</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">期待下一次相遇</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">期待下一次集浪漫于一身的连岛音乐节</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217794722350.jpg\" title=\"\" alt=\"640 (19)\"/>&nbsp;</span></p><p style=\"text-align: center;\"><strong><span style=\"font-family: &#39;Microsoft YaHei UI&#39;;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 16px\">再次相聚</span></strong></p><p><strong><span style=\"font-family: &#39;Microsoft YaHei UI&#39;;color: rgb(51, 51, 51);letter-spacing: 2px;font-size: 16px\"><br/></span></strong></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“厕所有纸的音乐节，下次还来”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“旗帜 开火车 冷焰火 氛围超级好！下次还来！”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“连岛音乐节真的很棒，后劲太大了”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“还在回味，简直太浪漫了”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“谁能拒绝在日落的时候听落日飞车啊！”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“连岛音乐节真的很牛逼，服务、环境、质量，都杠杠的！期待明年现场”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">●“多余的话不用说，只一句厕所里有纸，一直都有，足以看出主办方是多么真诚”</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">（此处省略一万字，太多了夸不完）</span></p><p style=\"text-align: left;\"><span style=\";font-family:宋体;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217739659807.jpg\" title=\"\" alt=\"be14c85f2176e8adafd1270df147f202_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">真诚永远是必杀技</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">真的承蒙广大乐迷粉丝的支持和厚爱</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">我们会继续努力的</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">我想你们也早已期待</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">明年连岛音乐节盛典会是什么样子</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">小编也是同样超级期待</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217778421780.png\" title=\"\" alt=\"3243a13951a5a61f5a2d7c4d02020c2\"/>&nbsp;</span><span style=\"font-family: 宋体;\">别急，听好了！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">2024连岛音乐节即将和我们见面！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">你想在下一届连岛音乐节有什么更好的现场体验</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">你对连岛音乐节有哪些更好的建议</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">这次，连岛想作为一位倾听者</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">所以乐迷们可以后台私信小编哦</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">说不定就实现了呢</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">（偷偷泄密：</span><span style=\"font-family:宋体\">2024年预计举办2场哦）</span></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231222/1703217810799355.jpg\" title=\"\" alt=\"1e459d48b24c36cde878f8b03d9e943e_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span><span style=\"font-family: 宋体;\">还有一件重要的事情！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">小编想：</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">在线征集你们参加连岛首届音乐节的美照</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">想看看各位帅哥美女</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">再给你们整个回顾大合集</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:16px\">你们瞧着怎么样？</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-12-22 11:53:35', 'system', '2023-12-22 11:53:35');
INSERT INTO `ld_article_content` VALUES (185, 7, '景区动态', '又发现一处赶海宝地！走！去苏马湾！', NULL, 'zh', '2023-12-12', '/profile/liandao_old_data/6577ffc412d27.jpg', NULL, '富文本', '<p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">冬日赶海季</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">我们总能在网上刷到赶海视频</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">好奇之余，总想亲身体验一番</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">今天推荐的地方</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">有蛤蜊、花甲、海螺</span><span style=\"font-family:宋体\">...</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">绝对不会让你失望</span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362714456003.jpg\" title=\"\" alt=\"640\"/></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;font-size: 16px\">苏马湾赶海</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;font-size: 14px\">（</span></strong><strong><span style=\"font-family: 宋体;font-size: 14px\">冬日暖阳</span></strong><strong><span style=\"font-family: 宋体;font-size: 14px\">&nbsp;</span></strong><strong><span style=\"font-family: 宋体;font-size: 14px\">满载而归</span></strong><strong><span style=\"font-family: 宋体;font-size: 14px\">）</span></strong></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362734335445.jpg\" title=\"\" alt=\"640 (1)\"/></span></p><p style=\"margin-left:28px;text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:Wingdings;font-size:16px\">l&nbsp;</span><span style=\";font-family:宋体;font-size:16px\">退潮赶海的乐趣，只有体验了才会流连忘返；</span></p><p style=\"margin-left:28px;text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:Wingdings;font-size:16px\">l&nbsp;</span><span style=\";font-family:宋体;font-size:16px\">“1.2.3.4.5.6.7，蛤蜊快进我桶里”；</span></p><p style=\"margin-left:28px;text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:Wingdings;font-size:16px\">l&nbsp;</span><span style=\";font-family:宋体;font-size:16px\">赶海是个讲究天时地利的技术活，它的乐趣就在于发现和探索的过程。</span></p><p style=\";text-autospace:ideograph-numeric;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362750783494.jpg\" title=\"\" alt=\"640 (2)\"/></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">每逢退潮时，便是赶海人</span><span style=\"font-family:宋体\">“淘宝”的日子，虽已入冬，天气渐凉，但依然阻挡不住赶海人的热情。</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362764702571.jpg\" title=\"\" alt=\"640 (3)\"/></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">冬天在连岛苏马湾，退潮后，岸边大片金黄色的沙滩裸露出来，靠近海水的沙滩上，赶海踏浪的人们在用自己勤劳的双手和敏锐的双眼，搜寻着大海里的美味。</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362794418993.jpg\" title=\"\" alt=\"640 (4)\" style=\"font-family: 宋体;\"/></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">三五成群，赶在大海潮起潮落之间收获满满</span><span style=\"font-family:宋体\">~踏浪听风、拾贝，体会赶海的惊喜与乐趣。只有亲身体验，才能乐在其中~</span></span></p><p style=\"text-indent: 32px; text-align: center; line-height: 37px;\"><span style=\"font-size: 18px;\"><strong><span style=\"font-family: 宋体;\">赶海咯</span></strong></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">在苏马湾，我们只需要备好赶海工具，就可以进行拾贝大比拼了。一定要注意涨潮和退潮时间，冬天赶海要穿上厚实的衣服哦</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362881740500.jpg\" title=\"\" alt=\"640 (5)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362890255653.jpg\" title=\"\" alt=\"640 (6)\"/></span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362903418993.jpg\" title=\"\" alt=\"640 (7)\"/></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><span style=\"font-family:宋体\">在这里，赶海的人们趁着潮水走低，穿上水靴，拎着赶海三件套，就开始</span><span style=\"font-family:宋体\">“慧眼识贝”了 ，成为冬日海滩一道别样的风景。</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362920845374.jpg\" title=\"\" alt=\"640 (8)\"/></span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362928957429.jpg\" title=\"\" alt=\"640 (9)\"/></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">为什么我们总是热衷于赶海？或许是因为大海为我们准备了无数的盲盒，每一次，都会收获不一样的惊喜。</span></p><p style=\"text-autospace:ideograph-numeric;text-align:justify;text-justify:inter-ideograph;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362937347616.jpg\" title=\"\" alt=\"640 (10)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362950756699.jpg\" title=\"\" alt=\"640 (12)\"/></span></p><p style=\"text-indent: 32px; text-align: left; line-height: 37px;\"><span style=\";font-family:宋体;font-size:16px\">在海岸边、沙滩上、礁石群里，赶海人手里的小桶个个都满满当当，冬季赶海，首选苏马湾！</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231212/1702362957807653.jpg\" title=\"\" alt=\"640 (11)\" style=\"font-family: 宋体;\"/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">冬日的苏马湾</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">海面上波光粼粼</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">来这沐浴阳光、轻踏细砂</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">蔚蓝色的海面与天空连成一片</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">让人流连忘返</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">趁此美景</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:16px\">来和我一起共赴冬日赶海之约</span></p>', NULL, NULL, NULL, 'system', '2023-12-12 14:31:01', 'system', '2023-12-12 14:31:01');
INSERT INTO `ld_article_content` VALUES (186, 7, '景区动态', '早部署 早行动 早预防 确保森林防火安全！', NULL, 'zh', '2023-11-16', '/profile/liandao_old_data/6555cd29288a9.jpg', NULL, '富文本', '<p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">为确保连岛景区森林防火工作的有序开展，不断提高景区工作人员的森林防火意识，连岛景区安监运营部门认真贯彻“隐患险于明火，防范胜于救火，责任重于泰山”的工作原则，坚持“预防为主、防灭结合、高效扑救、安全第一”的工作方针，严格落实防控责任，全体动员，坚决筑牢冬季森林“防火墙”，努力做到“防患于未燃”。</span></p><p style=\"text-indent: 2em;\"><br/></p><p style=\"text-align: center; text-indent: 0em;\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">一、加强宣传，意识增强到位</span></strong></p><p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">冬季风干物燥，天气寒冷，也到了消防火灾事故多发期，防控工作不容懈怠。景区为营造“全民消防”浓厚宣传氛围，以张贴条幅、安插道旗、微信群、电子屏等方式，提升公众消防安全素质，真正做到“记得住、懂得防”，实现森林防火宣传工作在景区内全覆盖。</span></p><p style=\"text-indent: 0em;\"></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121463553607.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121464545666.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121464570316.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121464942890.jpg\" style=\"\"/></p><p style=\"text-indent: 0em; text-align: center;\"><br/></p><p style=\"text-indent: 0em; text-align: center;\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">二、清除杂草，隐患消除到位</span></strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></p><p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">随着气温降低，景区枯树枝叶纷纷凋落，增添了一抹独特色彩的同时，也存在一定的火灾隐患，需要及时清理枯叶荒草，降低火险等级，预防火灾发生，筑牢冬季防火“安全网”。近日，连岛景区积极开展枯叶荒草清理行动，全力消除安全隐患，为游客营造美丽、整洁的旅游环境。</span></p><p style=\"text-indent: 2em;\"></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121577503825.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121577701986.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121577744269.jpg\" style=\"\"/></p><p style=\"text-indent: 0em; text-align: center;\"><br/></p><p style=\"text-indent: 0em; text-align: center;\"><strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">三、长鸣警钟，值守巡查到位</span></strong></p><p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">景区树木繁多，为了将火灾隐患扼杀于摇篮中，连岛景区积极做好24小时森林消防值守，确保人员在岗在位！坚决杜绝火种进山入林，做到卡点有人守、山头有人看、景区有人巡，确保闻“令”而动、有火即出！<br/></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121768395147.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121769857040.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121769347219.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">加强督导检查，确保各项防控措施落实到位，组织护林员全天候进行火险隐患排查，对重点区域进行拉网式重点巡查；进一步提高员工安全意识，加强内部安全日常管理工作和自检自查力度，及时上传下达护林防火工作信息，时刻保持临战状态。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121847332468.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121847200952.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700121847447469.jpg\" style=\"\"/></p><p style=\"text-indent: 2em;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: justify; text-indent: 31.9998px; text-wrap: wrap; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">下一步，连岛景区将继续加强森林防灭火巡护、宣传工作，管控违规用火现象，严控源头，防患于未燃，进一步完善基础设施建设，坚决把森林防灭火工作抓紧、抓实、抓到位，确保万无一失。</span></p>', NULL, NULL, NULL, 'system', '2023-11-16 15:53:22', 'system', '2023-11-16 15:53:22');
INSERT INTO `ld_article_content` VALUES (187, 7, '景区动态', '赶海大军！冲！冲！冲！冲向苏马湾！', NULL, 'zh', '2023-11-15', '/profile/liandao_old_data/655ea8dbe6f64.jpg', NULL, '富文本', '<p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\">灵魂一问：你今年赶海了吗</span><span style=\";font-family:宋体;font-size:14px\">？</span><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">没有的话，那就现在来！</span><span style=\"font-family:宋体\">“鱼跳了，蟹肥了</span></span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">各种贝类拼着比个头</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">家里的水桶和铲子再也闲不住了</span><span style=\";font-family:宋体;font-size:14px\">。</span><span style=\";font-family:宋体;font-size:14px\">”对赶海心动已久的小伙伴们</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">速来苏马湾赶海</span><span style=\";font-family:宋体;font-size:14px\">！</span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700701972751991.jpg\" title=\"\" alt=\"640\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">赶海，原本是海边渔村特有的生活方式。近几年，在海滨城市悄然盛行，本就生活在海边的我们，自然更应该去海里走一走！在苏马湾沙滩上，在潮起潮落间，到处都充满惊喜哦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700701988710243.jpg\" title=\"\" alt=\"640 (2)\"/></span></span></p><p style=\"text-indent: 2em;\"><br/></p><p><span style=\";font-family:宋体;font-size:14px\">一、赶海时间</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">每天最适合赶海的时间不同，可以提前通过</span><span style=\"font-family:宋体\">“大鱼潮汐表”“潮汐表精灵”小程序等渠道，找到当天退潮的时间，一般在退潮后</span></span><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\">1-2h</span></span><span style=\";font-family:宋体;font-size:14px\">内赶海收获最多啦。</span></p><p style=\"text-indent: 2em;\" dir=\"ltr\"><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p dir=\"ltr\" style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702240479359.jpg\" title=\"\" alt=\"640 (5)\"/></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702250940142.jpg\" title=\"\" alt=\"640 (6)\"/></span></p><p><span style=\";font-family:宋体;font-size:14px\">注意：大潮以后比较适合赶海，因为潮水退得快，贝类行动迟缓，容易被留在海滩上。</span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p><span style=\";font-family:宋体;font-size:14px\">二、赶海地点</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">连岛景区苏马湾沙滩很平坦，沙质也比较细腻，来这里赶海踏浪再合适不过！沙滩上不仅有孔雀东南飞表演，还有机会遇见在悠闲散步的孔雀哦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:Calibri\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702267912034.jpg\" title=\"\" alt=\"640 (1)\"/></span></span></p><p dir=\"ltr\" style=\"text-indent: 0em;\"><br/></p><p><span style=\";font-family:宋体;font-size:14px\"><br/></span></p><p><span style=\";font-family:宋体;font-size:14px\">三、赶海收获</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">当然要去苏马湾体验一次赶海的快乐啦</span><span style=\"font-family:Calibri\">~</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">蛤蜊、小螃蟹、海蛎子、小海螺</span><span style=\"font-family:宋体\">……统统一网打尽，轻松实现海鲜大丰收！</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702342323799.jpg\" title=\"\" alt=\"640 (7)\"/></span></span></p><p><span style=\";font-family:宋体;font-size:14px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702352880136.jpg\" title=\"\" alt=\"640 (8)\"/></span></p><p><br/></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\">紧张？怕挖不到？绝对不可能！！！</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">不过要想</span><span style=\"font-family:宋体\">“满载而归”还是有点小技巧啦</span><span style=\"font-family:Calibri\">~</span></span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702365873838.jpg\" title=\"\" alt=\"640 (4)\"/></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">如果在平缓的沙滩上看到小鼓包或手指宽的洞口，千万别犹豫！直接开挖！多犹豫一秒都是对蛤蜊、螃蟹、螺的不尊重！（主要是怕小海鲜们感受到</span><span style=\"font-family:宋体\">“危险的气息”提前溜走啦</span><span style=\"font-family:Calibri\">~</span><span style=\"font-family:宋体\">）</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702378733747.jpg\" title=\"\" alt=\"640 (9)\"/></span></span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">当然，海滩上还有一个不成文的经验：如果看到一群人都蹲在一个地方不动，那就过去加入他们</span><span style=\"font-family:宋体\">——这里一定是个产量丰富的宝地！</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702394764133.jpg\" title=\"\" alt=\"640 (12)\"/></span></span></p><p><span style=\";font-family:宋体;font-size:14px\">&nbsp;</span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">看着自己赶海的</span><span style=\"font-family:宋体\">“战利品”，这时候一定比买的更有成就感！这种未知的天然开盲盒乐趣，根本就无法抵抗！</span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231123/1700702410657193.jpg\" title=\"\" alt=\"640 (3)\"/></span></span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\"><br/></span></span></p><p style=\"text-indent: 2em;\"><span style=\";font-family:宋体;font-size:14px\">赶海的风吹遍了小小的海岛</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">有人只是听说过赶海</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">却未曾真正的体验过赶海</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\">所以并不知道赶海到底是在干啥呢</span><span style=\";font-family:宋体;font-size:14px\">。</span><span style=\";font-family:宋体;font-size:14px\">趁着开海季，提桶跑向海边</span><span style=\";font-family:宋体;font-size:14px\">，</span><span style=\";font-family:宋体;font-size:14px\"><span style=\"font-family:宋体\">跑向苏马湾，去收</span><span style=\"font-family:宋体\">“货”吧</span><span style=\"font-family:Calibri\">~</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-11-15 08:53:35', 'system', '2023-11-15 08:53:35');
INSERT INTO `ld_article_content` VALUES (188, 7, '景区动态', '迎接2024第一缕阳光，地点我都选好了，就等你来！', NULL, 'zh', '2023-12-23', '/profile/liandao_old_data/65869bbe9bc01.png', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">2023号列车即将到站</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">欢迎乘坐</span>2024号列车</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">从此前路浩浩荡荡</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">万事尽可期待</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320100897465.jpg\" title=\"\" alt=\"613abce2b12da9deb0492592fbc36a06_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span><span style=\"font-family: 宋体; letter-spacing: 2px;\">时光匆匆，转眼新年将至</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">如果你问我怎样迎接新年的到来</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">我想我会告诉你</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">奔赴连岛羊窝头，赏海边日出</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">一缕希望的暖阳</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">会让你幸运一整年</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320125647933.jpg\" title=\"\" alt=\"aa86a304bd70915ef1f90e54b727439e_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">鹰游山的最东端聚集着大量的海蚀礁岩</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">远远的看过去好像羊群聚集在那里</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">因此得名</span><span style=\"font-family:宋体\">“羊窝头”</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">这里没有高耸入云的云峰</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">也没有开阔的平原</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">但也正是</span><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">这</span><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">独特的地理环境</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">让这里的日出显得格外宏伟壮观</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">这里就是观日出的最佳位置！</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320144500465.jpg\" title=\"\" alt=\"072d23d5ceb71b0d05087d53b638ad49_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">要在冬季看日出</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">就要做好凌晨</span><span style=\"font-family:宋体\">5点起床的准备</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">为了记录最美好的画面</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">并赋予迎新更多的仪式感</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320160626979.png\" title=\"\" alt=\"570dcf4f418a80f7ae8cd6ba918a0b6f_640_wx_fmt=png&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"color: rgb(227, 108, 9);\"><strong><span style=\"color: rgb(227, 108, 9); font-family: 宋体; letter-spacing: 2px;\">2024年1月1日 6:00</span></strong></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">日</span><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">出东方</span> <span style=\"font-family:宋体\">万物苏醒</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">新年的第一天</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">我们在羊窝头等你</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">共盼第一缕晨光刺破黑暗</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">为你送上新年的第一杯暖心咖啡</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;color:rgb(126,126,126);letter-spacing:2px;font-size:15px\">（我们不仅有准备新年小礼物，重要的是还有打卡道具哦！）</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">所以</span> <span style=\"font-family:宋体\">快带上你的拍照搭子</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">来羊窝头拍新年第一张</span><span style=\"font-family:宋体\">“人生照片”！</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><span style=\"font-family:宋体\">用山海</span><span style=\"font-family:宋体\">·自由开启新的一年</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320205791417.png\" title=\"\" alt=\"7d7c9c8395d377b42c1669732963de59_640_wx_fmt=png&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">愿所有心怀梦想的</span><span style=\"font-family: 宋体; letter-spacing: 2px;\">“赶路人”</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">在逐梦的路上不畏将来光芒万丈</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320224157855.png\" title=\"\" alt=\"2d19c3bf88144881b86a5990d941863d_640_wx_fmt=png&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">其实值得珍贵的不光是这日出</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">还有能陪你一起等待日出的人</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">和我们一直炙热涌动的心</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">旭日冉冉升起</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">阳光逐渐变为金黄</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">洒在茫茫的海面上</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">新的一年仪式感满满</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320235405709.jpg\" title=\"\" alt=\"8e18ba0d46f6b09f06dc43007a742b69_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">日出总让人觉得</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">充满了朝气与希望</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">当太阳从海平面缓缓升起</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">顷刻间朝霞洒满天际</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">金色的光芒点缀着崭新的一天</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">让我们共同奔赴新的征程</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">追光而行</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320253633793.png\" title=\"\" alt=\"94aac9af5b8cde4a381d6c48d03be1d7_640_wx_fmt=png&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span><span style=\"font-family: 宋体; letter-spacing: 2px;\">海上日出之壮丽</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">人间难得几回见</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">新年的第一缕阳光</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">你准备好了吗</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">准备好和我们一起守候</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">羊窝头最美新年日出了吗</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320270256853.jpg\" title=\"\" alt=\"f2973fe9ee17035295998ca6d8784af9_640_wx_fmt=jpeg&amp;from=appmsg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/>&nbsp;</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><br/></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\"color: rgb(192, 0, 0);\"><strong><span style=\"font-family: 宋体; letter-spacing: 2px; font-size: 19px;\">温馨提示</span></strong></span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">① 提前看好天气以及日出时间，建议提前30分钟到达，静静等待日出，凝视那一缕缕橙红色的光芒渐渐从水平线上升起。</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">② 早晨的海边很冷，建议捂得严实一点，注意保暖。</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">③ 日出虽美，但一定注意安全，不要翻越围栏。</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">④ 别忘了带上你的拍照搭子！</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">⑤ 如有任何疑问，请拨打咨询电话：0518-82600860，</span><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">元旦</span><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">期待您的到来！</span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;letter-spacing:2px;font-size:16px\">&nbsp;<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320406123173.jpg\" title=\"\" alt=\"30d655a2b627411530723171122c65a7_640_wx_fmt=jpeg&amp;wxfrom=5&amp;wx_lazy=1&amp;wx_co=1\"/></span></p><p><span style=\";font-family:宋体;color:rgb(126,126,126);letter-spacing:2px;font-size:15px\">&nbsp;</span></p><p style=\"text-align:justify;text-justify:inter-ideograph\"><span style=\";font-family:宋体;color:rgb(126,126,126);letter-spacing:2px;font-size:15px\"><span style=\"font-family:宋体\">来源|部分图片来自小红书</span><span style=\"font-family:宋体\">“小刘日记”“-ZHAOTONGRUI-”</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-12-23 16:27:34', 'system', '2023-12-23 16:27:34');
INSERT INTO `ld_article_content` VALUES (189, 7, '景区动态', '2024年第一天，在连岛羊窝头一起追光！', NULL, 'zh', '2024-01-01', '/profile/liandao_old_data/65927e1b3d76c.jpg', NULL, '富文本', '<p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">新年新气象，新年的第一缕阳光也总是被赋予很多美好的意义。当新年第一缕阳光点亮苍穹，历史也将开始落笔新的一页。</span></span></p><p style=\"line-height: 24px; text-indent: 0em; text-align: center;\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099121139355.jpg\" title=\"\" alt=\"640\"/></span></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">新年的第一天，与山海相逢，与晨曦相拥便是浪漫的开始。许多人，都以等待一场日出，迎接自己</span><span style=\"font-family:宋体\">2024的到来，今天，就在连岛羊窝头我们一起成为</span></span><strong><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">“追光少年”</span></span></strong><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">啦</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"line-height: 24px; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099188639081.jpg\" title=\"\" alt=\"640 (3)\"/></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">天还没亮，羊窝头附近就站满了期待日出的人，小编也同样期待太阳东升的那一刻，所以也早早地到达现场啦，并且送出了属于我们新年的第一杯暖心奶茶</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"line-height: 24px; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099216662029.jpg\" title=\"\" alt=\"640 (5)\"/></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">怀着对新年到来的喜悦和对美好未来的憧憬和期盼，大家踮起脚尖、翘首以待，等待着那新年的第一缕阳光从海岸线上缓缓升起。</span></span></p><p style=\"line-height: 24px; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099239859451.jpg\" title=\"\" alt=\"640 (6)\"/></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">随着天空逐渐泛起橙色，云彩的颜色越来越鲜艳，白云中隐约出现了一道红光！人群开始兴奋起来，不时传来欢呼声</span><span style=\"font-family:宋体\">“出来了出来了”，人们纷纷拿出相机、手机记录这连岛羊窝头的绝美日出时刻！迎着晨曦，看霞光万丈，2024年的开场，充满期待与想象。</span></span></p><p style=\"line-height: 24px; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099255644606.jpg\" title=\"\" alt=\"640 (7)\"/></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">新年第一天，当曙光穿过云层，与海面相呼应，新年的阳光，洒在你的身上，这样的时刻弥足珍贵，意义非凡，相信与你一同迎接日出的人也会相伴走过未来的时光。</span></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099292570298.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099292448379.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099293678786.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099293387790.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099293469567.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240101/1704099293602379.jpg\" style=\"\"/></p><p style=\"text-indent:40px;text-autospace:ideograph-numeric;line-height:24px\"><span style=\"font-family: 宋体;letter-spacing: 2px;font-size: 16px;background: rgb(255, 255, 255)\"><span style=\"font-family:宋体\">好啦</span><span style=\"font-family:宋体\">~元旦就此告一段落，在这辞旧迎新的时刻，很幸运我们能一同见证这场壮美的元旦日出，让我们一起携手步入充满无限可能的2024年。</span></span></p>', NULL, NULL, NULL, 'system', '2024-01-01 16:51:01', 'system', '2024-01-01 16:51:01');
INSERT INTO `ld_article_content` VALUES (190, 7, '景区动态', '落雪赏美景，扫雪暖人心！', NULL, 'zh', '2024-02-02', '/profile/liandao_old_data/65bc906d75f63.jpg', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">岁末年初</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">，</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">一场大雪飘然而至</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">。</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">雪后的连岛银装素裹</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">，</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">为这个冬日增添了一份美景</span><span style=\";font-family:宋体;line-height:150%;font-size:19px\">。</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706855916118726.jpg\" title=\"\" alt=\"640\"/></p><p style=\"text-indent: 0px; line-height: 150%;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856146739576.jpg\" title=\"\" alt=\"640 (1)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">纷飞的雪花虽带来了美景，但也为市民游客的出行带来了不便。为了保障游客的安全和景区的正常运行，连岛景区第一时间启动应急预案，迅速组织开展扫雪除冰工作。</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856351296821.jpg\" title=\"\" alt=\"640 (2)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">扫雪除冰的号角正式吹响，连岛景区全体职工迅速投入到扫雪除冰工作中，通过</span><span style=\"font-family:宋体\">“机器与人工”相结合的形式，对景区内各道路、栈道、绿道等进行积雪扫除，确保行人、车辆畅通出行。</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856367156287.jpg\" title=\"\" alt=\"640 (3)\"/></span></p><p style=\"line-height: 150%;\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856373511754.jpg\" title=\"\" alt=\"640 (4)\"/></span></p><p style=\"line-height: 150%;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856407752517.jpg\" title=\"\" alt=\"640 (5)\"/></p><p style=\"line-height: 150%;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856416210702.jpg\" title=\"\" alt=\"640 (6)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">连岛最美的不仅是雪，还有迎雪而上的文旅人！此次扫雪除冰行动中，大家手持扫帚、铁锹等工具，扫积雪、铲冰层，对道路进行集中清理。虽然天气寒冷，但大家都热情高涨，配合默契，团结协作，忙碌的身影让严寒的天气显得暖意浓浓。</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856428570643.jpg\" title=\"\" alt=\"640 (7)\"/></span></p><p style=\"line-height: 150%;\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856433378466.jpg\" title=\"\" alt=\"640 (8)\"/></span></p><p style=\"line-height: 150%;\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856440122220.jpg\" title=\"\" alt=\"640 (9)\"/></span></p><p style=\"line-height: 150%;\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856449221698.jpg\" title=\"\" alt=\"640 (11)\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">暖心相伴，贴心守护，扫雪除冰行动让连岛景区更有温度。如约而至的不只有美丽雪景，还有连岛景区全体职工的积极行动！我们将继续密切关注天气变化，持续做好冰雪寒潮天气应对工作，切实把游客的安危冷暖放在心上、扛在肩上，为游客安全出行保驾护航，为景区开园做好保障！</span></p>', NULL, NULL, NULL, 'system', '2024-02-02 14:37:23', 'system', '2024-02-02 14:37:23');
INSERT INTO `ld_article_content` VALUES (191, 7, '景区动态', '小年已至，归家有期！', NULL, 'zh', '2024-02-02', '/profile/liandao_old_data/65bc91f9304d3.jpg', NULL, '富文本', '<p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 0;font-size: 19px\">今天是腊月二十三</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:宋体\">还有</span><span style=\"font-family:宋体\">7天</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">我们就将迎来甲辰龙年</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">在北方，</span><span style=\"font-family: 宋体;letter-spacing: 0;font-size: 19px\">人们称这一天为</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">“小年”</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><br/></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; background: rgb(255, 255, 255); text-align: center;\"><span style=\"font-family: 宋体; font-size: 19px; letter-spacing: 1px;\">部分南方地区</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">明天也将迎来小年</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">尽管时间上有些许差异</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">但小年一到</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">年，就要来了</span></p><p style=\"margin: 0px; text-indent: 0px; padding: 0px; background: rgb(255, 255, 255); text-align: center;\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856862599051.jpg\" title=\"\" alt=\"640 (12)\"/></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体; font-size: 19px; letter-spacing: 1px;\">火红的颜色</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">渐渐回到了大街小巷</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">喜庆和安宁抚慰了</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">这一年所有的奔波</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:宋体\">从这天开始</span><span style=\"font-family:宋体\">‍‍‍‍</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:宋体\">人们正式开启</span><span style=\"font-family:宋体\">“过年模式”</span></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856891591235.jpg\" title=\"\" alt=\"640\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><strong><span style=\"font-family: 宋体;color: rgb(217, 33, 66);letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:宋体\">小年，是甜蜜的一天</span><span style=\"font-family:宋体\">‍‍‍</span></span></strong></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\"><span style=\"font-family:宋体\">这是民间祭灶的日子</span><span style=\"font-family:宋体\">&nbsp;</span></span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">人们用糖瓜来祭灶王爷</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">又甜又粘的糖瓜</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">让灶王爷上天多说好话</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">讨一个来年的甜蜜和欢喜</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856902889203.jpg\" title=\"\" alt=\"640 (1)\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><strong><span style=\"font-family: 宋体;color: rgb(217, 33, 66);letter-spacing: 1px;font-size: 19px\">小年，是热闹的一天</span></strong></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">家家都要开始置办年货</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">喜气洋洋过个好年</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">一派忙忙碌碌、热热闹闹</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856912263357.jpg\" title=\"\" alt=\"640 (2)\"/></p><p style=\";text-align:center\"><strong><span style=\";font-family:宋体;color:rgb(217,33,66);font-size:19px\">小年，是充满仪式感的一天</span></strong></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">家家户户起个大早</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">整理屋子，清扫灰尘</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">“尘”与“陈”谐音</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">除尘，既是清洁屋内的尘垢</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">也寓意着把心中的不快一扫而光</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">&nbsp;</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">剪窗花、写春联</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">家家户户开始新桃换旧符</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">图案精致、书法精湛</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">浓浓的年味藏在红红的纸间</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">寄托人们对新年最好的祝福</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856923688396.jpg\" title=\"\" alt=\"640 (3)\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">火红的灯笼挂起来</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">璀璨的彩灯亮起来</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">春节的装饰点缀着大街小巷</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">过年的气氛开始在周围弥漫</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">&nbsp;</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">让我们挥别过去</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">一起拥抱崭新的一年</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">请继续相信</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">只要努力敢拼</span></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><span style=\"font-family: 宋体;letter-spacing: 1px;font-size: 19px\">新一年的自己就会比去年更好</span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240202/1706856935299120.jpg\" title=\"\" alt=\"640 (4)\"/></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><strong><span style=\"font-family: 宋体;color: rgb(217, 33, 66);letter-spacing: 1px;font-size: 19px\">今日小年</span></strong></p><p style=\"margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;text-indent:0;padding:0 0 0 0 ;text-align:center;background:rgb(255,255,255)\"><strong><span style=\"font-family: 宋体;color: rgb(217, 33, 66);letter-spacing: 1px;font-size: 19px\">愿你和家人幸福平安</span></strong></p><p><br/></p><p><span style=\"font-family: &#39;Microsoft YaHei UI&#39;;color: rgb(136, 136, 136);letter-spacing: 1px;font-size: 14px;background: rgb(255, 255, 255)\"><span style=\"font-family:Microsoft YaHei UI\">来源</span>|人民日报</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2024-02-02 14:52:01', 'system', '2024-02-02 14:52:01');
INSERT INTO `ld_article_content` VALUES (192, 7, '景区动态', '以雪为令！连岛景区全力以赴扫雪除冰保出行！', NULL, 'zh', '2024-02-06', '/profile/liandao_old_data/65c1a9fdc872c.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">2月4日</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">连岛再次迎来雨雪天气</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一场纷纷扬扬的雪花给美丽的连岛</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">披上了银色的盛装</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">给予了这座岛独特的韵味</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190695276813.jpg\" title=\"\" alt=\"640\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190710854892.jpg\" title=\"\" alt=\"640 (10)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190719269572.jpg\" title=\"\" alt=\"640 (1)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">在感受瑞雪美景的同时，也给游客出行造成一定不便。雪情就是命令，保障就是责任，面对大雪这场严峻考验，2月5日一早，景区全体工作人员以雪为令、全力出动，及时消除安全隐患，全力保障畅通出行！</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190729456501.png\" title=\"\" alt=\"dbb49f5f09a168c12b43585a2ea3f11\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">虽然天气寒冷，路面积雪清理工作量大面宽，但大家干劲十足，铁锹、扫帚、雪铲等清扫工具，清雪车、除雪机、吹风机等机械齐上阵，聚焦景区各出入口、阶梯、环岛路、停车场等重点区域，同心聚力、默契配合，将原本布满积雪的道路清扫干净展露新颜。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190737183143.jpg\" title=\"\" alt=\"640 (2)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190744283405.jpg\" title=\"\" alt=\"640 (3)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190749855662.jpg\" title=\"\" alt=\"640 (4)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190755323540.jpg\" title=\"\" alt=\"640 (6)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190762571529.jpg\" title=\"\" alt=\"640 (7)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707190770765961.jpg\" title=\"\" alt=\"640 (5)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">道路安全为首要！下一步，连岛景区将加大对安全隐患的排查力度，及时清理积雪，以实际行动为市民游客传递温暖。</span></p>', NULL, NULL, NULL, 'system', '2024-02-06 11:37:37', 'system', '2024-02-06 11:37:37');
INSERT INTO `ld_article_content` VALUES (193, 7, '景区动态', '今天开园！连岛景区的雪，只想和你分享！', NULL, 'zh', '2024-02-06', '/profile/liandao_old_data/65c18444821aa.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">经过景区全体员工风雪兼程的奋战</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">现景区道路基本畅通</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">连岛景区于</span><span style=\"font-family:宋体\">2024年2月6日恢复开园</span></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181003786438.jpg\" title=\"\" alt=\"640\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">小编先带你</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">云赏连岛雪景</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">这是家门口的</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">“北国风光”</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181015203864.jpg\" title=\"\" alt=\"640 (1)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">放眼望去</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一片玉树琼枝</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">尽显盛洁之美</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">凝霜挂雪</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">宛如唯美梦幻的童话世界</span></p><p><span style=\"font-family: 宋体; font-size: 19px;\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181035927441.jpg\" title=\"\" alt=\"640 (2)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">一朝落雪</span> <span style=\"font-family:宋体\">半梦醉人间</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一场大雪为连岛景区</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">平添了几分诗意与美好</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">树枝、沙滩、栈道</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">所有斑斓都被雪花覆盖</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181059763805.jpg\" title=\"\" alt=\"640 (3)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181081695834.jpg\" title=\"\" alt=\"640 (4)\"/></span></p><p style=\"text-align: center;\"><span style=\";font-family:宋体;font-size:19px\">雪后的连岛</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">银装素裹</span> <span style=\"font-family:宋体\">分外妖娆</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">青山、绿树点缀其间</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">黑白灰的色彩交相辉映</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">宛如一幅铺开的水墨画卷</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181096540917.jpg\" title=\"\" alt=\"640 (5)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181103223082.jpg\" title=\"\" alt=\"640 (6)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181110128099.jpg\" title=\"\" alt=\"640 (7)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181116251870.jpg\" title=\"\" alt=\"640 (8)\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240206/1707181122580918.jpg\" title=\"\" alt=\"640 (9)\"/></p>', NULL, NULL, NULL, 'system', '2024-02-06 08:56:06', 'system', '2024-02-06 08:56:06');
INSERT INTO `ld_article_content` VALUES (194, 7, '景区动态', '今日立春 | 一切美好，向春而生！', NULL, 'zh', '2024-02-04', '/profile/liandao_old_data/65bee6e5e17ac.jpg', NULL, '富文本', '<section data-role=\"outer\" class=\"article135\" label=\"edit by 135editor\"><p style=\"text-align:center;\" data-mpa-powered-by=\"yiban.io\"><span style=\"font-size: 18px; letter-spacing: 0.034em;\">四季轮转</span></p><p line=\"SIXt\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">岁月不停</span></p><p line=\"UbWw\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">二十四节气</span></p><p line=\"ADdP\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">又开始一轮新的循环</span></p><p line=\"MW8Y\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"fvmB\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">今天16时27分</span></p><p line=\"0V2d\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">我们迎来春季的第一个节气</span></p><p line=\"DkE5\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">立春</span></strong></p><p line=\"DkE5\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><section class=\"_135editor\"><p style=\"text-align:center;\"></p></section><p line=\"B6Z6\" ql-global-para=\"true\" style=\"text-align:center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240204/1707009649723882.jpg\" title=\"\" alt=\"640\"/></p><p line=\"B6Z6\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\"><br/></span></strong></p><p line=\"B6Z6\" ql-global-para=\"true\" style=\"text-align: center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">立春始</span></strong></p><p line=\"aBhX\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">万物含新意</span></strong><span style=\"font-size: 18px;\"></span></p><p line=\"CtjU\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"wqTs\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">此时节</span></p><p line=\"wIVK\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">虽然入目仍是冬天的雪白与素雅</span></p><p line=\"JomT\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">但风和日暖、鸟语花香的日子</span></p><p line=\"uXtg\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">就要到来</span></p><p line=\"6wHx\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"dGlg\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">春的气息</span></p><p line=\"wKpB\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">潜藏在日渐温润的空气里</span></p><p line=\"init\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">孕育在等待返青的草木中</span></p><p line=\"init\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><p line=\"X2dE\" ql-global-para=\"true\" style=\"text-align:center;\"></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240204/1707009671116891.jpg\" title=\"\" alt=\"640 (1)\"/></p><p line=\"mmSM\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\"><br/></span></p><p line=\"mmSM\" ql-global-para=\"true\" style=\"text-align: center;\"><span style=\"font-size: 18px;\">东风轻拂</span></p><p line=\"I2wY\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">送来久违的温暖</span></p><p line=\"WABE\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">世间万物</span></p><p line=\"hEnx\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">纷纷从冰冷的冬日中醒来</span></p><p line=\"Peuj\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"0nAd\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">蛰虫始振、鱼陟负冰</span></p><p line=\"LHRr\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">每一处生机勃勃的景象</span></p><p line=\"WcLo\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">都踏着温暖的旋律</span></p><p line=\"dNzn\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"UHYI\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">林木初萌、花枝孕蕾</span></p><p line=\"X5ts\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">一点点呼之欲出的新意</span></p><p line=\"nu4I\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">都会让人眼前一亮</span></p><p line=\"nu4I\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><p line=\"ePiL\" ql-global-para=\"true\" style=\"text-align:center;\"></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240204/1707009695561000.jpg\" title=\"\" alt=\"640 (2)\"/></p><p line=\"oQZO\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\"><br/></span></strong></p><p line=\"oQZO\" ql-global-para=\"true\" style=\"text-align: center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">立春</span></strong></p><p line=\"8GI3\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">也意味着耕耘播种的时节</span></strong></p><p line=\"7GAp\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">就要开始</span></strong><span style=\"font-size: 18px;\"></span></p><p line=\"1rHc\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"Vpef\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">正是大地解冻的时候</span></p><p line=\"tixE\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">只有珍惜时光、早做谋划</span></p><p line=\"fu4V\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">才能盼得一年的五谷丰登</span></p><p line=\"UAd0\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"fVv1\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">一年之计在于春</span></p><p line=\"RmVE\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">刚起头儿</span></p><p line=\"2tvA\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">下得好工夫，有的是希望</span></p><p line=\"2tvA\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><p line=\"r7Bh\" ql-global-para=\"true\" style=\"text-align:center;\"></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240204/1707009718688610.jpg\" title=\"\" alt=\"640 (3)\"/></p><p line=\"n2Jm\" ql-global-para=\"true\" style=\"text-align:center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\"><br/></span></strong></p><p line=\"n2Jm\" ql-global-para=\"true\" style=\"text-align: center;\"><strong><span style=\"font-size: 18px;color: rgb(248, 173, 25);\">当然，立春还只是一番“立意”</span></strong><span style=\"font-size: 18px;\"></span></p><p line=\"M6fZ\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">此后一段时间</span></p><p line=\"6v2N\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">天气仍会冷暖不定</span></p><p line=\"Wdz6\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">请继续做好保暖，切勿过早减衣</span></p><p line=\"H3QQ\" ql-global-para=\"true\" ql-global=\"true\" style=\"text-align:center;\"><br/></p><p line=\"9Le9\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">刚过小年，就迎立春</span></p><p line=\"ZfVt\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">写福字、挂灯笼</span></p><p line=\"MIId\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">浓郁的年味儿已经开始弥漫</span></p><p line=\"ZhMg\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">让我们怀揣对新年的期待</span></p><p line=\"Zse8\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"font-size: 18px;\">一起出发远航</span></p><p line=\"Zse8\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><p line=\"w1mk\" ql-global-para=\"true\" style=\"text-align:center;\"></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240204/1707009739801929.jpg\" title=\"\" alt=\"640 (4)\"/></p><p line=\"8Ps2\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"color: rgb(217, 33, 66);\"><strong><span style=\"font-size: 18px;\"><br/></span></strong></span></p><p line=\"8Ps2\" ql-global-para=\"true\" style=\"text-align: center;\"><span style=\"color: rgb(217, 33, 66);\"><strong><span style=\"font-size: 18px;\">愿你乘着和煦的春风</span></strong></span></p><p line=\"8Ps2\" ql-global-para=\"true\" style=\"text-align:center;\"><span style=\"color: rgb(217, 33, 66);\"><strong><span style=\"font-size: 18px;\">欢快自信地</span></strong></span><strong style=\"color: rgb(217, 33, 66);font-size: var(--articleFontsize);letter-spacing: 0.034em;\"><span style=\"font-size: 18px;\">向着新年</span></strong></p><p line=\"8Ps2\" ql-global-para=\"true\" style=\"text-align:center;\"><strong style=\"color: rgb(217, 33, 66);font-size: var(--articleFontsize);letter-spacing: 0.034em;\"><span style=\"font-size: 18px;\">启程！</span></strong></p><p line=\"L6hW\" ql-global-para=\"true\" style=\"text-align:center;\"><br/></p><hr style=\"border-style: solid; border-right-width: 0px; border-bottom-width: 0px; border-left-width: 0px; border-color: rgba(0, 0, 0, 0.1); transform-origin: 0px 0px; transform: scale(1, 0.5);\"/><p style=\"margin-bottom: 0px; outline: 0px; letter-spacing: 0.544px; text-wrap: wrap; background-color: rgb(255, 255, 255); font-family: -apple-system-font, system-ui, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: left;\"><span style=\"outline: 0px; font-size: 15px; color: rgb(127, 127, 127);\">来源|人民日报</span></p></section>', NULL, NULL, NULL, 'system', '2024-02-04 09:19:48', 'system', '2024-02-04 09:19:48');
INSERT INTO `ld_article_content` VALUES (195, 7, '景区动态', '春节氛围年味浓，游人如织过大年！连岛景区2024年春节假期完美收官！', NULL, 'zh', '2024-02-18', '/profile/liandao_old_data/65d1723711091.jpg', NULL, '富文本', '<p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">春节假期已接近尾声</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">连岛景区</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">吸引了众多游人纷至沓来</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">他们怀揣对平安、幸福的期待</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">尽享冬日怡人风光</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">景区一派新年新气象</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">接下来和小编一起去看看吧</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224532261356.jpg\" title=\"\" alt=\"640\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224538156576.jpg\" title=\"\" alt=\"640 (1)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">一盏盏红灯笼</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">象征着喜气盈盈</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">团团圆圆、吉祥如意</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">点亮浓郁喜庆的</span><span style=\"font-family:宋体\">“中国年味&quot;</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">就连我们的小火车</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">都穿上了新衣服</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">喜迎八方来客</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224552946906.jpg\" title=\"\" alt=\"640 (2)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224558714340.jpg\" title=\"\" alt=\"640 (3)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">全员在岗重服务，游客更温馨</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">景区坚持</span><span style=\"font-family:宋体\">“以游客服务为中心”的宗旨</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">始终坚守在自己的岗位上</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">维护景区秩序，提供热心帮助</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">引导游客文明旅游</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">他们以饱满的热情、贴心的服务</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">为广大游客营造一个舒适的旅游环境</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">带来更好的旅游体验</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">获得众多游客的好评点赞</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224579916501.jpg\" title=\"\" alt=\"640 (4)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224586933672.jpg\" title=\"\" alt=\"640 (5)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224591703513.jpg\" title=\"\" alt=\"640 (6)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">伴随冬日温暖的阳光</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">满怀幸福喜悦的心情</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">春节黄金周</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">连岛景区受到了各地游客的青睐</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">入园游客络绎不绝</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">停车场车辆井然有序</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">一派热闹景象</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224621519752.jpg\" title=\"\" alt=\"640 (9)\" style=\"font-family: 宋体; font-size: 19px;\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224633233656.png\" title=\"\" alt=\"640\" style=\"font-family: 宋体; font-size: 19px;\"/><span style=\"font-family: 宋体; font-size: 19px;\">春节期间景区布置了龙年打卡点</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">吸引众多游客打卡拍照</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">留下美好</span><span style=\";font-family:宋体;font-size:19px\">回忆</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224648137255.jpg\" title=\"\" alt=\"640 (11)\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224653909928.jpg\" title=\"\" alt=\"640 (12)\"/>&nbsp;</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">游客中心两台中国鼓</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">引来了游客前来敲打</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">激昂有力的节奏</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">告别过去一年的烦恼</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">迎接新年美好生活的期许</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224666479108.jpg\" title=\"\" alt=\"640 (13)\"/></span><span style=\"font-family: 宋体; font-size: 19px;\">这个假期，连岛景区活力全开</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">新春活动</span><span style=\"font-family:宋体\">“龙”重登场</span></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">景区内充满了游客的欢声笑语</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">让我们一起来重温一下</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">这段幸福的新春活动之旅吧</span><span style=\"font-family:宋体\">~</span></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224681195585.jpg\" title=\"\" alt=\"640 (15)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">连岛景区第一天迎来了一场充满欢乐与活力的开心跑活动，欢乐启航新征程，他们以奔跑的方式迎接龙年的到来。景区准备了可爱的龙宝和羊窝头观日打卡道具，让跑步爱好者尽情感受节日的氛围。</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224699265557.jpg\" title=\"\" alt=\"640 (16)\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">游艇俱乐部在春节期间开展</span><span style=\"font-family:宋体\">“龙年行大运 红包纳新福”活动，游客们纷纷停下脚步抽红包，感受游艇的热情。</span></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224714584183.jpg\" title=\"\" alt=\"640 (17)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">“游轮龙年送福利 &nbsp;属龙游客免费游”活动，吸引了众多属龙的游客前来体验，对此活动游客纷纷点赞，没想到还能乘船旅游还能免费。同时针对帆船、快艇也推出了新春特惠活动，为广大游客和市民提供了一次独特的旅游体验。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224725599733.jpg\" title=\"\" alt=\"640 (18)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">过年的意义，无非就是一家人坐在一起，备上一桌好菜，洗去一年的风尘。腊月二十八至正月初八，连岛景区特别举办了温馨团圆的春节年夜饭活动。就餐环境张灯结彩，充满了浓厚的节日氛围，让他们在旅游中感受浓浓的年味，留下美好的回忆。</span></p><p style=\"text-align:center\"><span style=\"font-family: 宋体; font-size: 19px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224736431034.jpg\" title=\"\" alt=\"640 (20)\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">“住一间面海的房，看一场海上新年日出”，春节期间入住大沙湾天际酒店的游客，以迎接新年的第一缕阳光，共同开启充满希望和活力的一年！</span></p><p style=\"text-indent: 0em;\"><span style=\"font-family: 宋体; font-size: 19px;\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224759786137.jpg\" title=\"\" alt=\"640 (22)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">“齐乐龙龙 赶个年味集”！连岛景区春节好活动精彩纷呈，游客尽享浓浓年味。大沙湾海洋广场热闹非凡，充满年味的文旅活动让游客们流连忘返。棉花糖、糖画、关东煮、爆米花等各类琳琅满目的美食摊位围满了游客，个个脸上洋溢着幸福的笑容；此外，广场上还设置了钓红包、幸运拉拉乐、套大鹅等游戏环节，游客们纷纷参与其中，带走属于自己的新年“战利品”，尽情享受互动游戏的乐趣。</span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224789929615.jpg\" title=\"\" alt=\"640 (23)\"/></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224808563454.jpg\" title=\"\" alt=\"640 (24)\"/></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224819570646.jpg\" title=\"\" alt=\"640 (25)\"/></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224836653942.jpg\" title=\"\" alt=\"640 (26)\"/></span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224846490688.jpg\" title=\"\" alt=\"640 (27)\"/></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">正月初五财神到，红包送不停。活动现场，装扮成财神爷的工作人员穿着可爱的财神古装，手捧装着满满红包的金色元宝，向过往的游客送上祝福；财神爷光是站在那就吸引着众多大小朋友们蜂拥而至，他们接过财神爷手中的红包并合影留念，希望这些祝福为大家带来更多的好运和幸福。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224862453052.jpg\" title=\"\" alt=\"640 (28)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">我们的</span><span style=\"font-family:宋体\">“老朋友”之抖音寻宝“龙龙历险记”来咯，我们在景区连续7天开展寻宝探索之旅，增加与游客互动，送出新年礼物，让我们看看到底是哪些朋友找到了宝藏吧~</span></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224873536274.jpg\" title=\"\" alt=\"640 (29)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">新年怎么能少得了祈福呢，景区在春节期间通过直播间不仅向游客送福袋，还提供在线祈福，让未到场的游客也能感受节日氛围和温暖。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224885525210.jpg\" title=\"\" alt=\"640 (30)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\">新春赶海乐，提着小桶，带上铲子，我们一起到苏马湾赶海。游客们在退潮后沙滩上捡小螃蟹、贝类、海螺等丰富的海产品兴奋不已；大人们一边帮忙，一边教孩子们赶海的技巧和乐趣，场面热闹非凡，尽情嬉戏。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224897874860.jpg\" title=\"\" alt=\"640 (31)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">春节期间，连岛景区特别准备了</span><span style=\"font-family:宋体\">“孔雀东南飞”实境放飞表演活动，一群色彩斑斓的孔雀在音乐的伴奏下，展开美丽的翅膀，纷纷飞向沙滩，与舞姿轻盈的舞蹈演员相和谐，游客们纷纷拿出手机、相机，记录下这精彩的瞬间。</span></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224917625783.jpg\" title=\"\" alt=\"640 (33)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">春节假期马上告一段落</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">新年的喜庆和热闹还萦绕于心</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">但新的征程已经开启</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">感谢游客朋友们一直以来的关注与支持</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">我们将以全新的姿态和饱满的热情</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">书写更加精彩的篇章！</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240218/1708224926902545.jpg\" title=\"\" alt=\"640 (35)\"/></p>', NULL, NULL, NULL, 'system', '2024-02-18 10:47:47', 'system', '2024-02-18 10:47:47');
INSERT INTO `ld_article_content` VALUES (196, 7, '景区动态', '活动报名 | 花灯亲子DIY，名额有限，手慢无！', NULL, 'zh', '2024-02-19', '/profile/liandao_old_data/65d448506d16f.png', NULL, '富文本', '<p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">俗话说得好</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">不出十五都是年</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">每年的元宵节花灯</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">是否也是你记忆中</span><span style=\"font-family:宋体\">“年味”的一部分呢</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">红红火火、流光溢彩的光影交叠中</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">是吉祥、团圆的最美代表</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">龙年元宵节</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">想不想亲手制作一个</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">既漂亮又有创意的手工龙灯呢</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">别划走请往下看</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">惊喜在后头呢</span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><br/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\"color: rgb(255, 0, 0);\"><strong><span style=\"font-family: 宋体; font-size: 19px;\"><span style=\"font-family: 宋体;\">龙年巧手做花灯</span> &nbsp;<span style=\"font-family: 宋体;\">欣欣向“龙”闹元宵</span></span></strong></span></p><p style=\"line-height: 37px; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240220/1708410683645085.jpg\" title=\"\" alt=\"微信图片_20240219095513\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">元宵节习俗自古以来就以热烈喜庆的观灯习俗为主。</span><span style=\"font-family:宋体\">“花灯”起源于中国的一种传统民间手工艺品，它与流传中国民间的元宵赏灯习俗密切相连。为深入挖掘传统文化内涵，让孩子感受传统文化的魅力，景区现开展“龙年巧手做花灯”亲子活动。</span></span></p><p style=\"line-height: 37px; text-indent: 0em; text-align: center;\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240220/1708410794892311.jpg\" title=\"\" alt=\"微信图片_20240219094813\"/></span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">活动时间</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">2024年2月24日 上午9:00</span><span style=\"font-family: 宋体; font-size: 19px;\">&nbsp;</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">活动地点</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">连岛大沙湾商业中心一层</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">报名时间</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">2月19日—2月23日17:00</span><span style=\"font-family: 宋体; font-size: 19px;\">&nbsp;</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">活动对象</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">35组亲子家庭</span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">（每组家庭</span><span style=\"font-family:宋体\">1个大人+1个小孩）</span></span></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">活动内容</span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">手工</span><span style=\"font-family:宋体\">DIY制作元宵节花灯，感受元宵节的快乐氛围，给孩子身临其境的节日体验，亲子共创花灯之美，此次活动不收取任何费用，无需自带材料和工具，制作成品花灯可免费带走！</span></span></p><p style=\"line-height: 37px; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240220/1708410905129296.jpg\" title=\"\" alt=\"微信图片_20240219095519\"/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">报名方式</span></strong></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><span style=\";font-family:宋体;font-size:19px\">扫描下方二维码进行报名</span></p><p style=\"line-height: 37px; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240220/1708410918926488.jpg\" title=\"\" alt=\"元宵花灯制作报名群\"/></p><p style=\"text-autospace:ideograph-numeric;text-align:center;line-height:37px\"><strong><span style=\"font-family: 宋体;color: rgb(192, 80, 77);font-size: 19px\">活动须知</span></strong></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:宋体;font-size:19px\">①&nbsp;</span><span style=\";font-family:宋体;font-size:19px\">小朋友建议穿汉服参加活动（拍照更出片哦）；</span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:宋体;font-size:19px\">②&nbsp;</span><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">活动限定</span><span style=\"font-family:宋体\">35组家庭（每组家庭2人），名额有限，先到先得，报满即止；</span></span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:宋体;font-size:19px\">③&nbsp;</span><span style=\";font-family:宋体;font-size:19px\">本次活动无需报名费，免费参加，请提前十分钟到达活动现场签到。</span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:宋体;font-size:19px\">④&nbsp;</span><span style=\";font-family:宋体;font-size:19px\">已报名参加活动的家庭，如有特殊情况无法参加，请提前一天和景区沟通；</span></p><p style=\"text-autospace:ideograph-numeric;line-height:37px\"><span style=\"font-family:宋体;font-size:19px\">⑤&nbsp;</span><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">咨询电话：</span><span style=\"font-family:宋体\">0518-82600860。</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2024-02-19 17:29:52', 'system', '2024-02-19 17:29:52');
INSERT INTO `ld_article_content` VALUES (197, 7, '景区动态', '连岛景区扫雪除冰进行时！', NULL, 'zh', '2024-02-21', '/profile/upload/2024/04/17/交通出行_20240417152537A039.jpg', '2月20日下午连云港下起了冻雨+雪可以说集齐了冬季所有的降水相态受雨雪天气影景区道路结冰严重', '富文本', '<p class=\"ql-align-center\">2月20日下午</p><p class=\"ql-align-center\">连云港下起了</p><p class=\"ql-align-center\">冻雨+雪</p><p class=\"ql-align-center\">可以说集齐了冬季</p><p class=\"ql-align-center\">所有的降水相态</p><p class=\"ql-align-center\">受雨雪天气影响</p><p class=\"ql-align-center\">景区道路结冰严重</p><p class=\"ql-align-center\">接下来我们走进景区</p><p class=\"ql-align-center\">替大家看看道路积雪情况</p><p class=\"ql-align-center\">也拍下了真实的一幕幕</p><p>&nbsp;</p><p class=\"ql-align-center\"><strong style=\"color: rgb(47, 84, 150);\">扫雪除冰保畅通</strong></p><p>&nbsp;</p><p>	为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早，连岛景区组织全体部门员工做好扫雪除冰工作，确保景区道路安全与畅通。</p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568075478150.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568075880461.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568075538716.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568076868995.jpg\"></p><p>	面对持续低温降雪天气，以雪为令，闻雪而动，连岛景区全体员工克服困难，全力应战！扛起铁锹、拿上扫帚，就近就便、扫雪铲冰！让行动成为冬日最好的“融雪剂”，让安全成为寒冬最暖的“防寒衣”！清雪除冰工作让服务更有温度！</p><p><br></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568138660673.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568138465880.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568138201811.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568138474358.jpg\"></p><p>	尽管风吹得有些刺骨，脸上不经意间泛着通红，双手、双脚也有些许麻木，但是他们默默值守、无私奉献，用实际行动“温暖”着这个寒冷的冬日。这样一幕幕温暖坚守的画面值得被记录、被点赞，最美不是下雪天，而是景区所有员工坚守的身影，让我们对他们说一声“辛苦了”！</p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568195195574.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568195134163.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568195593387.jpg\"></p><p class=\"ql-align-center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240222/1708568195973327.jpg\"></p><p class=\"ql-align-center\"><strong style=\"color: rgb(255, 0, 0);\">连岛景区提醒您</strong></p><p class=\"ql-align-center\"><strong style=\"color: rgb(255, 0, 0);\">注意出行安全</strong></p>', NULL, '2024-04-16', NULL, 'system', '2024-02-21 17:12:35', 'admin', '2024-04-17 15:25:44');
INSERT INTO `ld_article_content` VALUES (198, 7, '景区动态', '2019 scenic spot staff ', NULL, 'en', '2019-06-17', '/profile/liandao_old_data/5db7fba6a7d47.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On January 28, 2019, it was a small year. In this happy day, the company welcomed the New Year celebrations organized by Liandao Tourism Development Co., Ltd.</p><p><br/></p><p style=\"text-indent: 2em;\">The units of the competition include the agency team, the Dashawan team, the Suma Bay team, the passenger company representative team, the urban management team, the yacht team, and the commercial representative team. Each team consists of male and female players.</p><p style=\"white-space: normal; text-align: center;\">　　<img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572338455827546.png\" title=\"\" alt=\"image\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 16:37:06', 'system', '2019-06-17 16:37:06');
INSERT INTO `ld_article_content` VALUES (199, 7, '景区动态', 'Island 12-hour Super Marathon', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db808d8c587f.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">In 2019, the 12-hour Super Marathon in Lianda Island fired in front of the Dashawan Square in the scenic spot of Liandao. More than 900 players used their footsteps to measure the enthusiasm and vitality of the stadium. The event has the largest scale and the largest number. Nearly 1,000 players from Malaysia, Australia and Beijing, Shanghai, Jiangsu, etc. gathered in the island. They experienced a different super horse event with passion and speed, and used the running to feel the new scenery of Liandao. A new attitude of high-spirited year.</p><p style=\"text-indent: 2em;\">The event was guided by the Jiangsu Sports Competition Management Center, Lianyungang Sports Association, Lianyungang District Office of Lianyun District, Jiangsu Haizhou Bay Group, and Jiangsu Liran Sports Development Co., Ltd.</p><p style=\"text-align: center;\"><img src=\"/en/profile/liandao_old_data/image/20191029/1572338833805782.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:45:37', 'system', '2019-10-29 16:45:37');
INSERT INTO `ld_article_content` VALUES (200, 7, '景区动态', 'March 8th to complete the group\'s March 8 Women\'s Day fun event', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db7ff41f26ee.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On the arrival of the &quot;March 8&quot; International Women&#39;s Day, all the female workers of Jiangsu Haizhou Bay Development Group Co., Ltd. and Haizhou Bay Cultural Tourism Development Group Co., Ltd. gathered in the Island Visitor Center to celebrate the &quot;March 8 Women&#39;s Day&quot; and celebrate &quot;March 8&quot; women&#39;s fun activities.</p><p style=\"text-indent: 2em;\">The participating units include Haifa Group, Wenlv Group, Liandao Tourism, Haizhou Bay Tourism, Qiandao Island Tourism, Yuntai Mountain, Lianyungang Old Street, Haizhou Bay Commercial Development, Golden Ocean Small Loan, and even poster tax. More than 300 people formed 10 teams to participate in the event.</p><p style=\"text-indent: 2em;\">Wang Bo, deputy secretary of the Party Committee of Jiangsu Haizhou Bay Development Group Co., Ltd., Chairman of the Women&#39;s Federation of Jiangsu Haizhou Bay Development Group Co., Ltd., Chief Financial Officer Xu Min, and Wang Jiangang, General Manager of Liandao Tourism Development Co., Ltd. attended the event.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572339513703650.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:47:55', 'system', '2019-10-29 16:47:55');
INSERT INTO `ld_article_content` VALUES (201, 7, '景区动态', 'Mountain Sea Riding Edge 2019. Liandao Cup. Marathon Cycling Conference', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db801c3b76c8.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On May 19th, we completed the “One Belt and One Road” mountain sea riding edge 2019. The Liandao Cup. Marathon Cycling Conference and the event docking, event promotion, and the promotion of the vibrating, Weibo and WeChat public numbers.</p><p style=\"text-indent: 2em;\">This cycling conference attracted more than 1,200 cycling enthusiasts from Fujian, Zhejiang, Anhui, Hebei, Hubei, Tianjin, Shandong, Jiangsu and other places across the country to gather in Liandao.</p><p style=\"text-indent: 2em;\">The “Liandao Cup” Marathon Cycling Conference at Shanhai Riding has selected the most popular human and natural scenery in Lianyungang. The starting point and the ending point are located in the tourist center of Liandao Scenic Area, passing through Dasha Bay Scenic Area, Suma Bay Scenic Area, Haibin Avenue, Strawberry Town, Crescent Island, Ashoka Tower, Huaguo Mountain, Cross-sea Bridge, Gaogong Island, Port, The Asia-Europe Continental Bridge East Bridgehead, the sea Yuntai Mountain, Lianyun Old Street, and the Haibin Seaside Park, the entire riding distance of 200 kilometers, and strive to create the most beautiful cycling route for Lianyungang for the riders, the event is divided into half-way group and the whole process group.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340152661663.jpg\" title=\"\" alt=\"11\" style=\"white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:06:48', 'system', '2019-10-29 17:06:48');
INSERT INTO `ld_article_content` VALUES (202, 7, '景区动态', '2019 Lianyungang Triathlon Asian Cup', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db807ba2c043.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">From June 1st to June 2nd, we will cooperate with and promote the &quot;Tongke Cup&quot; 2019 Lianyungang Triathlon Asian Cup and the Belt and Road Triathlon, and promote the event in Weiyin, Weibo and WeChat public account;</p><p style=\"text-indent: 2em;\">On June 1, &quot;Tongke Cup&quot; 2019 Lianyungang Triathlon Asian Cup and the Belt and Road Triathlon race started in Dasha Bay, Liandao. The event was hosted by China Triathlon Sports Association, Jiangsu Provincial Sports Bureau and Lianyungang Municipal People&#39;s Government; Jiangsu Sports Competition Management Center, Lianyungang Sports Bureau and Lianyungang People&#39;s Government jointly organized.</p><p style=\"text-indent: 2em;\">The competition is divided into Asian Cup professional group (1.5 km swimming, 44 km riding, 10 km running), amateur group, attracting nearly 800 countries including Ukraine, New Zealand, Russia, Japan, Korea, Australia, Singapore, Thailand, etc. The top players compete on the same field. They are also the most foreign players since the match held in Liandao. Players can fully appreciate the unique charm of the island, feel the spirit of the island, believe in the beautiful stadium, the hospitable audience, professional The meticulous event organization allows all the contestants to experience a unique “big iron tour”.<img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340497781879.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:09:27', 'system', '2019-10-29 17:09:27');
INSERT INTO `ld_article_content` VALUES (203, 7, '景区动态', 'Dragon Boat Festival Series will be held from June 7th to June 9th.', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db8043ccb551.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">From June 7th to June 9th, the planning and organization of the Dragon Boat Festival Cultural Activities will be held in the Chaoyin, Weibo and WeChat public accounts.</p><p style=\"text-indent: 2em;\">Another year at noon! In the Dasha Bay area of Liandao, a series of Dragon Boat Festival folklore experiences were held in the “Taste of the Dragon Boat Festival Heritage Culture”, including “Pictures of the Leaves and Leaves, Who is the Best”, Baozizi, “Longxing Tianxia, Lexiang Dragon Boat Festival”, Parent-child Dryland Dragon Boat Race, etc. The series of interactive experience activities allows visitors to learn about folklore knowledge while enjoying sightseeing and experience the different Dragon Boat Festivals.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340785943094.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:15:12', 'system', '2019-10-29 17:15:12');
INSERT INTO `ld_article_content` VALUES (204, 7, '景区动态', 'Shanhai 100 International Off-Road Challenge', NULL, 'en', '2019-10-29', '/profile/liandao_old_data/5db806fbc5d29.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On June 15-16, the Group completed the “Shanhai 100 International Off-Road Challenge” and promoted it on the WeChat public account.</p><p style=\"text-indent: 2em;\">Culture and sports are the most character and attraction of a city and a region. At 8 o&#39;clock on the morning of June 15, the first 100-kilometer cross-country race in Northern Jiangsu - 2019 Lianyungang Shanhai 100 International Off-Road Challenge was started at Qiyi Square, Lianyungang Old Street.</p><p style=\"text-indent: 2em;\">The event was named by Jiangsu Haizhou Bay Cultural Tourism Development Group, sponsored by Lianyungang Sports Association, Lianyun District Sports Federation, Lianyungang Sports Industry Association, Lianyun Sub-district Office, Liandao Sub-district Office, and Sucheng The street office, Gaogongdao Sub-district Office, Liandao Scenic Area, Haiyun Yuntai Mountain Scenic Area and Lianyungang Old Street are co-organized for the event. Shanhai 100 attracted more than 800 contestants, including over 230 in the 100km group, over 200 in the 70km group, and over 300 in the 35km group. Players from South Africa, Germany, Australia and Singapore Participate in the event.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572341488834630.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:20:00', 'system', '2019-10-29 17:20:00');
INSERT INTO `ld_article_content` VALUES (205, 7, '景区动态', 'The first flight ceremony of the Liandao Helicopter Sightseeing Tour Project', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db932c9445a0.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On June 16th, the first flight ceremony of the Liandao Helicopter Sightseeing Tour Project was held in the Chaoyin, Weibo and WeChat public accounts;</p><p style=\"text-indent: 2em;\">At 9:30 on June 16th, an R44II helicopter took off over the scenic spot of Liandao. This was the first flight of the Helicopter Tour and Navigation Project in Liandao, marking the official launch of the Helicopter Navigation Project in Liandao.</p><p style=\"text-indent: 2em;\">Helicopter sightseeing tour is an emerging tourism project in Lianyungang City. It is a high-end tourism product. The air is reading the mountains and seas, and the beautiful and new clouds are connected. The navigation of the project not only satisfies the needs of the tourists and flight enthusiasts.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418233650417.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:47:13', 'system', '2019-10-30 14:47:13');
INSERT INTO `ld_article_content` VALUES (206, 7, '景区动态', '2019 Beach Music Carnival Opening Ceremony', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db9338c36e51.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">July 1st and 5th, together with Lianyungang TV, completed the opening ceremony of the 2019 Beach Music Carnival;</p><p style=\"text-indent: 2em;\">The Liandao Beach Music Carnival will last until August 25th. From 17:00 to 22:00 every night, there will be live performances such as band singing, cultural performances, beer gourmet barbecue, starry camping, parent-child interaction, and lottery. It not only provides a mouth-watering gourmet meal for the citizens and tourists, but also a &quot;cultural feast&quot; with a seaside style.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418430158955.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:50:52', 'system', '2019-10-30 14:50:52');
INSERT INTO `ld_article_content` VALUES (207, 7, '景区动态', 'The third consecutive island of thousands of people fluorescent night run is about to strike', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93460c6a42.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">From July 28th to August 2nd, it will be linked to Liran Sports on August 3rd, which will be related to the fluorescent night running activities in Liandao.</p><p style=\"text-indent: 2em;\">The third consecutive thousand people fluorescent night run is coming soon! Take a big step and wake up the body to show the vitality and passion of the fluorescent night run!</p><p style=\"text-indent: 2em;\">This time, the island&#39;s fluorescent night running is different from the previous &quot;family running&quot; is one of the highlights of this time to bring your family to light this summer!</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418642699096.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:54:07', 'system', '2019-10-30 14:54:07');
INSERT INTO `ld_article_content` VALUES (208, 7, '景区动态', 'The company held a scavenging jogging, a high-burning party, a fluorescent night run, and a glorious carnival feast has kicked off.', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db935623d275.png', NULL, '富文本', '<p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418895364652.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:57:40', 'system', '2019-10-30 14:57:40');
INSERT INTO `ld_article_content` VALUES (209, 7, '景区动态', '\"Peacock flying southeast\" live performance', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db9366e176ea.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">From August 2nd to August 31st, the dancers will be invited to perform with the &quot;Peacock Flying Southeast&quot; live performance, three times a day, in the vibrating, Weibo and WeChat public numbers to promote the event;</p><p style=\"text-indent: 2em;\">Liandao Scenic Spot launches the &quot;Peacock Southeast Fly&quot; live performance, which will continue until August 30, and take you into the beautiful Suma Bay, where you can get close to the beautiful peacocks and interact with each other to experience the theme culture of the scenic spot. .</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419167316405.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:01:57', 'system', '2019-10-30 15:01:57');
INSERT INTO `ld_article_content` VALUES (210, 7, '景区动态', 'On August 18th, together with Jiangsu Sports Competition Co., Ltd., held the Yuntaishan Cup on the sea.', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db9376504fd1.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">On August 18th, Jiangsu Sports Competition Co., Ltd. was held to hold the Haiyun Yuntaishan Cup. 2019 Liandao International Open Water Swimming Challenge and Star Music Carnival, to do the official WeChat, Weibo and Weiming propaganda in the early and late stages of the event;</p><p style=\"text-indent: 2em;\">The highly anticipated Ocean Yuntaishan Cup·2019 Liandao International Open Water Swimming Challenge was held in Liandao. The event was hosted by the Lianyungang People&#39;s Government, Lianyungang Sports Bureau, Jiangsu Sports Industry Group Co., Ltd., Lianyun District Culture, Sports and Tourism Bureau, Jiangsu Haizhou Bay Cultural Travel Group and Jiangsu Sports Competition Co., Ltd.</p><p style=\"text-indent: 2em;\">The event attracted more than 1,000 athletes from various provinces and cities such as Xuzhou, Huai&#39;an, Nanjing, Shanghai and Qingdao to gather in Dasha Bay to showcase their competitive style and show their charm.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419380312820.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:06:25', 'system', '2019-10-30 15:06:25');
INSERT INTO `ld_article_content` VALUES (211, 7, '景区动态', '2019 년 관광 명소 스탭 「새 봄을 맞이하다」문화 및 스포츠 활동', NULL, 'ko', '2019-06-17', '/profile/liandao_old_data/5db7fbafa7c64.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">2019 년 1 월 28 일은 작은 해였으며이 날에는 Liandao Tourism Development Co., Ltd.가 주최하는 새해 축하 행사를 환영했습니다.</p><p><br/></p><p style=\"text-indent: 2em;\">대행 팀은 대행사 팀, Dashawan 팀, Suma Bay 팀, 여객 회사 대표 팀, 도시 관리 팀, 요트 팀 및 상업 대표 팀으로 구성되며 각 팀은 남녀 선수로 구성됩니다.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572338455827546.png\" title=\"\" alt=\"image\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-06-17 16:37:06', 'system', '2019-06-17 16:37:06');
INSERT INTO `ld_article_content` VALUES (212, 7, '景区动态', '섬 12 시간 슈퍼 마라톤', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db808ee0174e.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">2019 년 Liandao의 12 시간 수퍼 마라톤이 Liandao의 경치가 좋은 곳에있는 Dashawan Square 앞에서 발사되었으며 900 명 이상의 선수들이 발자취를 사용하여 경기장의 열정과 활력을 측정했습니다. 말레이시아, 호주, 베이징, 상하이, 장쑤성 등 약 1,000여 명의 선수들이 섬에 모여 열렬한 속도로 다른 슈퍼 호스 이벤트를 경험하고 달리는 Liandao의 새로운 풍경을 느끼기 위해 달리기를 사용했습니다. 성실한 해의 새로운 태도.</p><p style=\"text-indent: 2em;\">이 행사는 강소 스포츠 경쟁 관리 센터, 연운항 스포츠 협회, 연 운구 연운항 지구 사무소, 강소 하이 저우 베이 그룹 및 강소 리란 스포츠 개발 유한 회사가 안내했습니다.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/en/profile/liandao_old_data/image/20191029/1572338833805782.png\" title=\"\" alt=\"image\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:46:20', 'system', '2019-10-29 16:46:20');
INSERT INTO `ld_article_content` VALUES (213, 7, '景区动态', '그룹의 3 월 8 일 여성의 날 재미있는 이벤트를 완료하기 위해 3 월 8 일', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db7ff47eb67d.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">&quot;3 월 8 일&quot;국제 여성의 날이 다가 오자 장쑤성 하이 저우 베이 개발 그룹 유한 회사와 하이 저우 베이 문화 관광 개발 그룹 유한 회사의 모든 여성 노동자들이 &quot;3 월 8 일 여성의 날&quot;을 축하하고 축하하기 위해 섬 방문객 센터에 모였습니다. &quot;3 월 8 일&quot;여성의 재미있는 활동.</p><p style=\"text-indent: 2em;\">참여 단위에는 하이파 그룹, Wenlv 그룹, Liandao Tourism, Haizhou Bay Tourism, Qiandao Island Tourism, Yuntai Mountain, Lianyungang Old Street, Haizhou Bay Commercial Development, Golden Ocean Small Loan 및 포스터 세금이 포함됩니다. 300 명 이상의 사람들이이 행사에 참여하기 위해 10 개의 팀을 구성했습니다.</p><p style=\"text-indent: 2em;\">강소 하이 저우 만 개발 그룹 당위원회 차장 보보, 강소 하이 저우 만 개발 그룹 여성 회장 쑤민 최고 회장, 리안도 관광 개발 유한 회사 총장 인 장강 앙이이 행사에 참석했다.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572339513703650.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:47:45', 'system', '2019-10-29 16:47:45');
INSERT INTO `ld_article_content` VALUES (214, 7, '景区动态', 'Mountain Sea Riding Edge 2019. Liandao Cup. 마라톤 사이클링 컨퍼런스', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db801c825aac.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">5 월 19 일, 우리는 2019 년“One Belt and One Road”산 해상 엣지 인 Liandao Cup, 마라톤 사이클링 컨퍼런스 및 이벤트 도킹, 이벤트 프로모션 및 진동, Weibo 및 WeChat 공개 번호 홍보를 완료했습니다.</p><p style=\"text-indent: 2em;\">이 사이클링 컨퍼런스는 복건, 절강, 안후이, 허베이, 후베이, 톈진, 산동, 장쑤 및 기타 지역에서 Liandao에 모이는 1,200 명이 넘는 사이클 애호가들을 모았습니다.</p><p style=\"text-indent: 2em;\">Shanhai Riding의“Liandao Cup”마라톤 사이클링 컨퍼런스는 롄 윈강 (Lianyungang)에서 가장 인기있는 인간과 자연 경관을 선택했습니다. 출발지와 도착지는 Liandao Scenic Area의 관광 센터에 있으며 Dasha Bay Scenic Area, Suma Bay Scenic Area, Haibin Avenue, Strawberry Town, Crescent Island, Ashoka Tower, Huaguo Mountain, Cross-sea Bridge, Gaogong Island, Port, 아시아-유럽 대륙 다리 이스트 브리지 헤드, 바다 윤 타이 산, 롄윈 구 거리 및 하이 빈 해변 공원, 전체 주행 거리 200km, 라이더를위한 롄 윈강 (Lianyungang)을위한 가장 아름다운 자전거 루트를 만들기 위해 노력하며,이 이벤트는 중간 그룹과 전체 과정으로 나뉩니다. 그룹.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340152661663.jpg\" title=\"\" alt=\"11\" style=\"white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:06:32', 'system', '2019-10-29 17:06:32');
INSERT INTO `ld_article_content` VALUES (215, 7, '景区动态', '2019 연운항 트라이 애슬론 아시안 컵', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db8084fc11ee.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6 월 1 일부터 6 월 2 일까지 우리는 2019 년 &quot;운케 컵&quot;연운항 트라이 애슬론 아시안 컵 및 벨트 앤로드 트라이 애슬론과 협력하고 홍보하며, Weiyin, Weibo 및 WeChat 공개 계정에서 이벤트를 홍보합니다.</p><p style=\"text-indent: 2em;\">6 월 1 일, 2019 년 롄 윈강 (Lianyungang) 트라이 애슬론 아시안 컵 (Tiankeang Triathlon Asian Cup)과 벨트 앤로드 트라이 애슬론 (Little and Road Triathlon) 레이스가 Liandao Dasha Bay에서 시작되었습니다. 이 행사는 중국 트라이 애슬론 스포츠 협회, 장쑤성 지방 스포츠 국 및 연운항시 인민 정부, 강소 스포츠 경쟁 관리 센터, 연운항 스포츠 국 및 연운항 인민 정부가 공동 주최했습니다.</p><p style=\"text-indent: 2em;\">대회는 아시안 컵 프로 그룹 (1.5km 수영, 44km 승차, 10km 달리기), 아마추어 그룹으로 나뉘며 우크라이나, 뉴질랜드, 러시아, 일본, 한국, 호주, 싱가포르, 태국 등 거의 800 개국을 유치합니다. Liandao에서 개최 된 이래로 최고의 선수들이 같은 분야에서 경쟁하고 있으며, 플레이어는 섬의 독특한 매력을 충분히 감상하고 섬의 정신을 느끼며 아름다운 경기장, 친절한 관중, 프로를 믿습니다 세심한 이벤트 조직을 통해 모든 참가자는 독특한 &quot;큰 철 투어&quot;를 경험할 수 있습니다.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340497781879.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:09:31', 'system', '2019-10-29 17:09:31');
INSERT INTO `ld_article_content` VALUES (216, 7, '景区动态', '드래곤 보트 페스티벌 시리즈는 6 월 7 일부터 6 월 9 일까지 개최됩니다.', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db804405f27a.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6 월 7 일부터 6 월 9 일까지 Chaoyin, Weibo 및 WeChat 공개 계정에서 Dragon Boat Festival 문화 활동 계획 및 조직이 진행됩니다.</p><p style=\"text-indent: 2em;\">정오에 또 다른 해! Liandao의 Dasha Bay 지역에서는“드래곤 보트 축제의 문화 유산 문화”에서 일련의 드래곤 보트 축제 민속 체험이 이루어졌습니다. 일련의 대화식 체험 활동을 통해 방문객들은 관광을 즐기면서 민속 지식에 대해 배우고 다양한 드래곤 보트 축제를 경험할 수 있습니다.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340785943094.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:15:25', 'system', '2019-10-29 17:15:25');
INSERT INTO `ld_article_content` VALUES (217, 7, '景区动态', '샹하이 100 국제 오프로드 챌린지', NULL, 'ko', '2019-10-29', '/profile/liandao_old_data/5db80700d4ac5.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6 월 15-16 일, 그룹은“Shanhai 100 International Off-Road Challenge”를 완료하고이를 WeChat 공개 계정에서 홍보했습니다.</p><p style=\"text-indent: 2em;\">문화와 스포츠는 도시와 지역에서 가장 개성과 매력이 있습니다. 2019 년 6 월 15 일 오전 8시, 장쑤성 북부에서 2019 년 첫 번째 100km 크로스 컨트리 경주-Lianyungang Shanhai 100 국제 오프로드 챌린지가 Lianyungang Old Street의 Qiyi Square에서 시작되었습니다.</p><p style=\"text-indent: 2em;\">이 행사는 롄 윈강 스포츠 협회, 롄윈 지구 스포츠 연맹, 롄 윈강 스포츠 산업 협회, 롄윈 하위 지구 사무소, 랴오 다우 지방 사무소 및 Sucheng이 후원하는 Jiangsu Haizhou Bay Cultural Tourism Development Group이 지명했습니다. 거리 사무실, Gaogongdao 지역 사무소, Liandao 경치 지역, Haiyun Yuntai Mountain 경치 지역 및 연운항 구 거리가 행사를 위해 구성되었습니다. Shanhai 100은 100km 그룹에서 230 명 이상, 70km 그룹에서 200 명 이상, 35km 그룹에서 300 명 이상을 포함하여 800 명 이상의 참가자를 유치했습니다. 남아프리카, 독일, 호주 및 싱가포르 선수 행사에 참여하십시오.</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572341488834630.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:20:03', 'system', '2019-10-29 17:20:03');
INSERT INTO `ld_article_content` VALUES (218, 7, '景区动态', 'Liandao 헬리콥터 관광 투어 프로젝트의 첫 비행 행사', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db932c3af004.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6 월 16 일, Liandao 헬리콥터 관광 투어 프로젝트의 첫 비행 행사가 Chaoyin, Weibo 및 WeChat 공개 계정에서 열렸습니다.</p><p style=\"text-indent: 2em;\">6 월 16 일 9:30에 R44II 헬리콥터가 Liandao의 경치 좋은 장소를 점령했으며, Liandao에서 헬리콥터 투어 및 내비게이션 프로젝트의 첫 비행으로 Liandao에서 헬리콥터 내비게이션 프로젝트가 공식적으로 시작되었습니다.</p><p style=\"text-indent: 2em;\">헬리콥터 관광 투어는 롄 윈강 (Lianyungang)시에서 떠오르는 관광 프로젝트로, 고급 관광 상품으로, 산과 바다를 읽으며 아름답고 새로운 구름이 연결되어 있습니다.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418233650417.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:47:59', 'system', '2019-10-30 14:47:59');
INSERT INTO `ld_article_content` VALUES (219, 7, '景区动态', '2019 비치 음악 카니발 개회식', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db933869640b.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">7 월 1 일과 5 일은 연운항 TV와 함께 2019 년 해변 음악 카니발의 개회식을 마쳤습니다.</p><p style=\"text-indent: 2em;\">Liandao Beach Music Carnival은 8 월 25 일까지 지속되며 매일 밤 17 : 00 ~ 22 : 00에는 밴드 노래, 문화 공연, 맥주 미식가 바베큐, 별이 빛나는 캠핑, 부모-자식 상호 작용 및 복권과 같은 라이브 공연이 있습니다. 그것은 시민과 관광객을 위해 군침이 도는 미식가 식사뿐만 아니라 해변 스타일의 &quot;문화 축제&quot;를 제공합니다.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418430158955.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:50:47', 'system', '2019-10-30 14:50:47');
INSERT INTO `ld_article_content` VALUES (220, 7, '景区动态', '수천 명의 사람들이 밤새 형광등을 맞이하는 세 번째 섬', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93459bbd86.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">7 월 28 일부터 8 월 2 일까지 8 월 3 일에 Liran Sports와 연결되며 Liandao의 형광등 야간 활동과 관련됩니다.</p><p style=\"text-indent: 2em;\">세 번째 연속 천명 형광 야간 실행이 곧 온다! 큰 발걸음을 내딛고 몸을 깨워 형광등 밤의 활력과 열정을 보여주세요!</p><p style=\"text-indent: 2em;\">이번에는 섬의 형광등 야간 달리기와 이전의 &quot;가족 달리기&quot;가 이번 여름의 하이라이트 중 하나입니다.</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418642699096.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:54:02', 'system', '2019-10-30 14:54:02');
INSERT INTO `ld_article_content` VALUES (221, 7, '景区动态', '이 회사는 청소 조깅, 고 연소 파티, 형광등 야간 공연을 열었으며 화려한 카니발 축제가 시작되었습니다.', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93558e3b25.png', NULL, '富文本', '<p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418895364652.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:57:33', 'system', '2019-10-30 14:57:33');
INSERT INTO `ld_article_content` VALUES (222, 7, '景区动态', '8 월 18 일, 장쑤 스포츠 경쟁사와 함께 바다에서 Yuntaishan Cup을 개최했습니다.', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93667344b5.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">8 월 2 일부터 8 월 31 일까지, 무용수들은 이벤트를 홍보하기 위해 진동, Weibo 및 WeChat 공개 번호에서 &quot;Peacock Flying Southeast&quot;라이브 공연으로 하루에 세 번 공연하도록 초대됩니다.</p><p style=\"text-indent: 2em;\">Liandao Scenic Spot은 8 월 30 일까지 계속되는 &quot;Peacock Southeast Fly&quot;라이브 공연을 시작하고 아름다운 수마 베이 (Suma Bay)로 안내합니다. 아름다운 수마 베이 (Suma Bay)는 아름다운 공작과 가까워지고 서로 교류하여 경치가 아름다운 곳의 테마 문화를 경험할 수 있습니다. .</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419167316405.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:01:48', 'system', '2019-10-30 15:01:48');
INSERT INTO `ld_article_content` VALUES (223, 7, '景区动态', '8 월 18 일, 장쑤 스포츠 경쟁사와 함께 바다에서 Yuntaishan Cup을 개최했습니다.', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db9373c8640e.png', NULL, '富文本', '<p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419380312820.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:06:19', 'system', '2019-10-30 15:06:19');
INSERT INTO `ld_article_content` VALUES (224, 7, '景区动态', '2019年景勝地スタッフ「新春を迎える」文化・スポーツ活動', NULL, 'jp', '2019-06-17', '/profile/liandao_old_data/5db7fbb695b4b.png', NULL, '富文本', '<p style=\"text-align: left; text-indent: 2em;\">2019年1月28日は小さな年でしたが、この幸せな日に、同社はLiandao Tourism Development Co.、Ltdが主催する新年のお祝いを歓迎しました。</p><p><br/></p><p style=\"text-align: left; text-indent: 2em;\">競技の単位には、エージェンシーチーム、ダシャワンチーム、スマベイチーム、旅客会社代表チーム、都市管理チーム、ヨットチーム、商業代表チームが含まれ、各チームは男女の選手で構成されています。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572338455827546.png\" title=\"\" alt=\"image\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-06-17 16:37:06', 'system', '2019-06-17 16:37:06');
INSERT INTO `ld_article_content` VALUES (225, 7, '景区动态', 'アイランド12時間スーパーマラソン', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db808f8c8de6.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">2019年、リアンダ島の12時間のスーパーマラソンは、リアンダオの景勝地であるダシャワン広場の前で行われ、900人以上のプレイヤーが足音を使ってスタジアムの熱意と活力を測定しました。 このイベントの規模と規模は最大で、マレーシア、オーストラリア、北京、上海、江蘇などから1,000人近くのプレイヤーが島に集まりました。 元気な年の新しい態度。</p><p style=\"text-indent: 2em;\">このイベントは、江蘇省スポーツ競争管理センター、連雲港スポーツ協会、連雲港連雲港区事務所、江蘇省海州湾グループ、および江蘇省ran蘭スポーツ開発有限公司によって導かれました。</p><p><br/></p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/en/profile/liandao_old_data/image/20191029/1572338833805782.png\" title=\"\" alt=\"image\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:46:28', 'system', '2019-10-29 16:46:28');
INSERT INTO `ld_article_content` VALUES (226, 7, '景区动态', '그룹의 3 월 8 일 여성의 날 재미있는 이벤트를 완료하기 위해 3 월 8 일', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db7ff4c31ebc.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">「3月8日」の国際女性の日が到来すると、江蘇省海州湾開発集団有限公司と海州湾文化観光開発集団有限公司の女性労働者全員が「3月8日」の女性の日を祝って祝うために島ビジターセンターに集まりました 「3月8日」の女性の楽しいアクティビティ。</p><p style=\"text-indent: 2em;\">参加ユニットには、ハイファグループ、ウェンルブグループ、Li島観光、海州湾観光、,島島観光、雲台山、連雲港老街、海州湾商業開発、ゴールデンオーシャンスモールローン、さらにはポスター税が含まれます。 300人を超える人々がイベントに参加するために10のチームを形成しました。</p><p style=\"text-indent: 2em;\">江蘇省海州湾開発グループ有限公司の党委員会副長官、江蘇省海州湾開発グループ株式会社女性連合会会長、徐財務最高責任者、王建港、Li島観光開発有限公司の部長である王建港が出席しました。</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572339513703650.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 16:47:36', 'system', '2019-10-29 16:47:36');
INSERT INTO `ld_article_content` VALUES (227, 7, '景区动态', 'Mountain Sea Riding Edge 2019. Liandao Cup。マラソンサイクリングカンファレンス', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db801cc64e0d.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">5月19日に、2019年の山海ライディングエッジ「ワンベルトアンドワンロード」を完了しました。Liandaoカップ、マラソンサイクリングカンファレンス、イベントドッキング、イベントプロモーション、および振動、Weibo、WeChatパブリックナンバーのプロモーション。</p><p style=\"text-indent: 2em;\">このサイクリング会議には、福建、Z江、安hu、河北、湖北、天津、山東、江蘇など全国の1,200人以上のサイクリング愛好家が連Liに集まりました。</p><p style=\"text-indent: 2em;\">Shanhai Ridingの「Liandao Cup」マラソンサイクリングカンファレンスは、連雲港で最も人気のある人間と自然の風景を選択しました。 開始点と終了点は、大沙湾景勝地、須磨湾景勝地、海bin街道、Str町、三日月島、アショカタワー、華国山、クロスブリッジ、高公島、港、 アジアヨーロピアンブリッジイーストブリッジヘッド、海雲台山、連雲老街、海浜海浜公園、200キロメートルの全走行距離、そしてライダーのための連雲港の最も美しいサイクリングルートの作成に努めており、イベントはハーフウェイグループとプロセス全体に分けられます グループ。</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340152661663.jpg\" title=\"\" alt=\"11\" style=\"white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:06:05', 'system', '2019-10-29 17:06:05');
INSERT INTO `ld_article_content` VALUES (228, 7, '景区动态', '2019連雲港トライアスロンアジアカップ', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db80871aed68.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6月1日から6月2日まで、2019年連雲港トライアスロンアジアカップとベルトアンドロードトライアスロン「トンケカップ」に協力して推進し、Weiyin、Weibo、WeChatのパブリックアカウントでイベントを推進します。</p><p style=\"text-indent: 2em;\">6月1日、2019年連雲港トライアスロンアジアカップ「トンケカップ」とベルトアンドロードトライアスロンレースが連帯の大沙湾で始まりました。このイベントは、中国トライアスロンスポーツ協会、江蘇省スポーツ局、連雲港市人民政府、江蘇市スポーツ競争管理センター、連雲港スポーツ局、連雲港人民政府が共同で主催しました。</p><p style=\"text-indent: 2em;\">競技会は、アジアカップのプログループ（水泳1.5 km、乗馬44 km、ランニング10 km）、アマチュアグループに分かれており、ウクライナ、ニュージーランド、ロシア、日本、韓国、オーストラリア、シンガポール、タイなど約800か国を集めています。トッププレイヤーは同じフィールドで競い合い、彼らはまた、Liandaoで開催された試合以来、最も外国人プレイヤーです。プレイヤーは島のユニークな魅力を十分に理解し、島の精神を感じ、美しいスタジアムを信じ、親切な観客、プロ入念なイベント構成により、すべての参加者がユニークな「ビッグアイアンツアー」を体験できます。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340497781879.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:09:35', 'system', '2019-10-29 17:09:35');
INSERT INTO `ld_article_content` VALUES (229, 7, '景区动态', 'ドラゴンボートフェスティバルシリーズは、6月7日から6月9日まで開催されます。', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db80446e658c.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6月7日から6月9日まで、ドラゴンボートフェスティバルの文化活動の計画と組織は、朝陽、Weibo、WeChatの公開アカウントで行われます。</p><p style=\"text-indent: 2em;\">正午にもう1年！ LiandaoのDasha湾地域では、「葉と葉の写真、誰が最高か」、宝子子、「龍星天夏、レシャンドラゴンボートフェスティバル」、親子ドラゴンボートレースなど、ドラゴンボートフェスティバルの伝統伝承体験が「ドラゴンボートフェスティバルの文化遺産」で開催されました。 一連のインタラクティブエクスペリエンスアクティビティにより、訪問者は観光を楽しみながら民俗知識について学び、さまざまなドラゴンボートフェスティバルを体験できます。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572340785943094.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:15:29', 'system', '2019-10-29 17:15:29');
INSERT INTO `ld_article_content` VALUES (230, 7, '景区动态', '山海100国際チャレンジ試合', NULL, 'jp', '2019-10-29', '/profile/liandao_old_data/5db8070569bff.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6月15〜16日、グループは「上海100国際オフロードチャレンジ」を完了し、WeChatパブリックアカウントで宣伝しました。</p><p style=\"text-indent: 2em;\">文化とスポーツは、都市と地域の最も個性と魅力です。 6月15日午前8時、江蘇省北部での最初の100キロメートルのクロスカントリーレース-2019連雲港山海100国際オフロードチャレンジが連雲港老街のチーイースクエアで開始されました。</p><p style=\"text-indent: 2em;\">このイベントの名称は、江蘇省海州湾文化観光開発グループが命名し、連雲港体育協会、連雲区体育連盟、連雲港体育産業協会、連雲区区、連島区区、小城が後援しました 通りの事務所、高公道区、,島風景区、海雲雲台山景区、連雲港老街がイベントのために共催されます。 Shanhai 100には、100kmのグループで230人以上、70kmのグループで200人以上、35kmのグループで300人以上を含む800人以上の出場者が集まりました。 イベントに参加してください。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191029/1572341488834630.jpg\" title=\"\" alt=\"11\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-29 17:20:10', 'system', '2019-10-29 17:20:10');
INSERT INTO `ld_article_content` VALUES (231, 7, '景区动态', 'anda島ヘリコプター観光ツアープロジェクトの最初の飛行式', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db932c67828f.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">6月16日、Liandaoヘリコプター観光ツアープロジェクトの最初の飛行式がChaoyin、Weibo、およびWeChatの公開アカウントで開催されました。</p><p style=\"text-indent: 2em;\">6月16日9時30分に、R44IIヘリコプターがLiandaoの景勝地を離陸しました。</p><p style=\"text-indent: 2em;\">ヘリコプター観光ツアーは連雲港市の新興観光プロジェクトです。ハイエンドの観光製品です。空気は山と海を読んでおり、美しい雲と新しい雲がつながっています。プロジェクトのナビゲーションは、観光客と飛行機愛好家のニーズを満たすだけではありません。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418233650417.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:47:34', 'system', '2019-10-30 14:47:34');
INSERT INTO `ld_article_content` VALUES (232, 7, '景区动态', '2019ビーチミュージックカーニバルオープニングセレモニー', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9338935b1a.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">7月1日と5日、連雲港テレビと共同で、2019年のビーチミュージックカーニバルの開会式を完了しました。</p><p style=\"text-indent: 2em;\">Liandao Beach Music Carnivalは8月25日まで続き、毎晩17:00から22:00まで、バンドの歌、文化パフォーマンス、ビールグルメバーベキュー、星空のキャンプ、親子の交流、宝くじなどのライブパフォーマンスが行われます。 市民や観光客においしい食事を提供するだけでなく、海辺のスタイルの「文化的なごちそう」も提供します。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418430158955.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:50:50', 'system', '2019-10-30 14:50:50');
INSERT INTO `ld_article_content` VALUES (233, 7, '景区动态', '数千人の蛍光ナイトランの3番目の連続した島は、ストライキをしようとしています', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9345d2a56d.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">7月28日から8月2日までは、8月3日にLiran Sportsにリンクされ、Liandaoでの蛍光ナイトランニングアクティビティに関連します。</p><p style=\"text-indent: 2em;\">3人連続の蛍光ナイトランが間もなく始まります！ 大きな一歩を踏み出して体を起こし、蛍光ナイトランの活力と情熱を示しましょう！</p><p style=\"text-indent: 2em;\">今回、この島の蛍光灯の夜のランニングは、以前の「家族のランニング」とは異なります。この夏のハイライトの1つは、この夏あなたの家族を明るくすることです！</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418642699096.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:54:05', 'system', '2019-10-30 14:54:05');
INSERT INTO `ld_article_content` VALUES (234, 7, '景区动态', '同社はジョギング、高熱パーティー、蛍光夜間走行掃気開催され、実行のごちそうは、明るい色とカーニバルが開幕しました', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9355c41b9d.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">8月3日、ジョギング、熱烈なパーティー、蛍光ナイトランニングをピックアップして1日のアクティビティを完了し、Weiyin、Weibo、およびWeChatパブリックアカウントでイベントを宣伝しました。</p><p style=\"text-indent: 2em;\">最もクールで人気のある運動方法である「スコアリングとジョギング」は、新しいフィットネス方法です。つまり、ゴミをこすりながら走ることを意味します。新しいスポーツとして、パーソナライズされたパーソナライズされたランニングと公共福祉を組み合わせて、ランニングに新しい意味を与え、環境を保護し、周囲の小さなものから始め、自分のものから始め、ゼロから始めて、より鮮やかにしましょう。厚生の色。</p><p style=\"text-indent: 2em;\">「何百人もの人々がフラッシュ」は美しい景色のラインになり、若々しいフラッシュがダシャワンのビーチで元気に上演され、島の景勝地の100人以上のスタッフとDNダンサーがシーンを振りまきました！訪問者に新しい視覚体験をもたらします！</p><p style=\"text-indent: 2em;\">夏の夜の「ハイバーニングパーティー」ダンス、セクシージャズ、ダイナミックポピン、クールブレイキング、その他のダンスは、ダンサーと一緒に踊り、ダシャワンのビーチで一緒にスイングしてリズムを取ります！</p><p style=\"text-indent: 2em;\">千人近くのエネルギッシュな人々の間で情熱的なナイトランをリリースしようとしましたか？ダイナミックで眩しい蛍光と音楽のナイトランを体験したことがありますか？これは、ランキングや速度のないフィットネスエクササイズです。夜になると、空は蛍光でいっぱいになり、楽しい夏が元気な子供に出会うと、信仰の信念が走り回る情熱的な友人のグループに会うと、輝くカーニバルのごちそうが始まります。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572418895364652.jpg\" title=\"\" alt=\"228\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 14:57:37', 'system', '2019-10-30 14:57:37');
INSERT INTO `ld_article_content` VALUES (235, 7, '景区动态', '「孔雀が南東を飛ぶ」ライブパフォーマンス', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9366b97d21.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">8月2日から8月31日まで、ダンサーは1日3回、「Peacock Flying Southeast」ライブパフォーマンスで、イベントを促進するために、WeiboおよびWeChatの公開番号で公演します。</p><p style=\"text-indent: 2em;\">Liandao Scenic Spotは、「Peacock Southeast Fly」ライブパフォーマンスを開始します。このライブパフォーマンスは8月30日まで続き、美しい須磨湾に連れて行かれます。 。</p><p><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419167316405.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:01:52', 'system', '2019-10-30 15:01:52');
INSERT INTO `ld_article_content` VALUES (236, 7, '景区动态', '8月18日、江蘇省スポーツ競争有限公司と一緒に、雲台山カップを海で開催しました。', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9373fc6cd9.png', NULL, '富文本', '<p style=\"text-indent: 2em;\">8月18日、江蘇スポーツコンペティションが開催され、海雲雲台山カップが開催されました。2019Liandao Internationalオープンウォータースイミングチャレンジとスターミュージックカーニバル。</p><p style=\"text-indent: 2em;\">待望のオーシャンユンタイシャンカップ・2019 anda島国際オープンウォータースイミングチャレンジがLi島で開催されました。 このイベントは連雲港人民政府、連雲港スポーツ局、江蘇スポーツ産業集団有限公司、連雲区文化スポーツ観光局、江蘇省海州湾文化旅行グループ、江蘇スポーツ競争有限公司が主催しました。</p><p style=\"text-indent: 2em;\">このイベントには、徐州、Hu安、南京、上海、青島などのさまざまな省と都市から1,000人以上のアスリートが集まり、ダーシャ湾に集まり、彼らの競争スタイルと魅力を示しました。</p><p style=\"text-indent: 2em;\"><img src=\"http://lygld.bce19.czqingzhifeng.com/profile/liandao_old_data/image/20191030/1572419380312820.jpg\" title=\"\" alt=\"22\" style=\"text-align: center; white-space: normal;\"/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:06:23', 'system', '2019-10-30 15:06:23');
INSERT INTO `ld_article_content` VALUES (237, 8, '景区公告', '【精彩活动】悦跑悦轻松 悦跑悦健康', NULL, 'zh', '2022-10-24', '/profile/liandao_old_data/635631120546b.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221024/1666589787758746.jpg\" title=\"\" alt=\"健康跑图片\" width=\"600\" height=\"1364\" border=\"0\" vspace=\"0\" style=\"width: 600px; height: 1364px;\"/></p>', NULL, NULL, NULL, 'system', '2022-10-24 13:35:59', 'system', '2022-10-24 13:35:59');
INSERT INTO `ld_article_content` VALUES (238, 8, '景区公告', '【精彩活动】魅力苏马湾', NULL, 'zh', '2022-10-24', '/profile/liandao_old_data/635630fdc3eda.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221027/1666851011772784.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2022-10-24 13:37:16', 'system', '2022-10-24 13:37:16');
INSERT INTO `ld_article_content` VALUES (239, 8, '景区公告', '【精彩活动】金秋垂钓季', NULL, 'zh', '2022-10-24', '/profile/liandao_old_data/635630d913d54.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221024/1666591106993927.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2022-10-24 13:38:51', 'system', '2022-10-24 13:38:51');
INSERT INTO `ld_article_content` VALUES (240, 8, '景区公告', '众志成城，共抗疫情，连岛景区人在行动', NULL, 'zh', '2020-02-02', '/profile/liandao_old_data/5f2901f14f6db.png', NULL, '富文本', '<p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 65); letter-spacing: 1px; font-size: 16px;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596098473410309.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596098473605255.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200730/1596098473718674.jpg\" style=\"\"/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 65); letter-spacing: 1px; font-size: 16px;\"><br/></span><br/></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 65); letter-spacing: 1px; font-size: 16px;\"><br/></span></p><p style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 65); letter-spacing: 1px; font-size: 16px;\">2020年01月24日（大年三十）</span><strong style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px; margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区</strong><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">第一时间启动应急方案</span><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">在微博、微信等官公众网络平台上发出公告：</span></p><p></p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(255, 76, 65); letter-spacing: 1px;\">&quot;景区闭园，游艇俱乐部暂停运营&quot;</span></strong></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">严阵以待，扎实做好防控工作</span><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">坚决把游客和工作人员的</span><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">生命安全和身体健康放在首位</span><span style=\"color: rgb(255, 76, 65); font-size: 16px; letter-spacing: 1px;\">为疫情防控贡献力量！</span></section><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-02-02 16:13:10', 'system', '2020-02-02 16:13:10');
INSERT INTO `ld_article_content` VALUES (241, 8, '景区公告', '致敬 志哀', NULL, 'zh', '2020-04-04', '/profile/liandao_old_data/5f25357be750b.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200801/1596266923490769.jpg\" alt=\"微信图片_20200801152821\"/></p><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">为表达全国各族人民</strong></span></section><p><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">对抗击新冠肺炎疫情斗争</strong></span></section><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">牺牲烈士和逝世同胞的深切哀悼</strong></span></section><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">国务院发布公告</strong></span></section><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">决定2020年4月4日</strong></span></section><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">举行全国性哀悼活动</strong></span></section><section style=\"margin: 0px; padding: 0px 0.5em; max-width: 100%; color: rgb(62, 62, 62); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; white-space: normal; widows: 1; background-color: rgb(255, 255, 255); min-height: 1em; letter-spacing: 0.5px; text-align: center; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; font-size: 15px; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; overflow-wrap: break-word !important;\">共悼逝者，寄托哀思！</strong></span></section></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-04-04 15:14:36', 'system', '2020-04-04 15:14:36');
INSERT INTO `ld_article_content` VALUES (242, 8, '景区公告', '连岛景区推进食堂“6S”标准化建设', NULL, 'zh', '2020-04-04', '/profile/liandao_old_data/5f2611e7e8d24.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596330396578205.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596330396479686.jpg\" style=\"\"/></p><p><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(254, 254, 254);\">连岛景区自3月8日恢复运营后，景区在防控防疫管理工作上狠下功夫。同时，针对景区游客服务中心食堂进行</span><span style=\"background-color: rgb(254, 254, 254); color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px;\">“6S”标准化建设，确保员工的食品安全，进一步提高连岛景区食品安全保障能力和水平。</span></p><p><span style=\"background-color: rgb(254, 254, 254); color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px;\"><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(254, 254, 254);\">经过近二十天的规范、整理、整改、推进，连岛景区游客服务中心食堂工作人员对用水用电、安全通道、环境卫生、食品卫生、员工餐饮操作等方面进行细致、全面的提升。近日，江苏海州湾文化旅游发展集团有限公司纪委书记陈晨一行至连岛景区游客中心食堂的洗消间、切菜间、面点间以及食品库房等工作场所进行“</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(254, 254, 254); box-sizing: border-box !important; overflow-wrap: break-word !important;\">6S</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(254, 254, 254); text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\">”标准化建设工作督查，总结工作实践中好的经验，查找薄弱环节，责任到人，狠抓落实，不疏漏任何一个细节，不放松任何一个操作过程，严防病从口入，确保员工饮食卫生安全。</span></span></p><p><span style=\"background-color: rgb(254, 254, 254); color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; background-color: rgb(254, 254, 254); text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(254, 254, 254); box-sizing: border-box !important; overflow-wrap: break-word !important;\">食堂全体工作人员高度重视</span><span style=\"color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 15px; letter-spacing: 0.544px; text-align: justify; text-indent: 34px; background-color: rgb(254, 254, 254);\">“6S”标准化建设，并迅速执行。各项工作制度上墙，取餐口贴上菜谱等标识牌，餐桌餐椅按规定摆放到位、干净整洁，真正改善了员工就餐的各个环节环境，取得了良好的成效。同时也引导员工养成良好的卫生习惯，提升综合素养，优化提升文明就餐环境，不断提高食品安全保障水平，确保员工“舌尖上的安全”！</span></span></span></p>', NULL, NULL, NULL, 'system', '2020-04-04 08:48:01', 'system', '2020-04-04 08:48:01');
INSERT INTO `ld_article_content` VALUES (243, 8, '景区公告', '【5·19免票】解锁不一样的海滨之旅', NULL, 'zh', '2020-05-19', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200802/1596337259789746.jpg\" style=\"float:left;\" alt=\"微信图片_20200802110022\"/></p>', NULL, NULL, NULL, 'system', '2020-05-19 10:59:59', 'system', '2020-05-19 10:59:59');
INSERT INTO `ld_article_content` VALUES (244, 8, '景区公告', '【温馨提示】连岛景区游客瞬时人数达到最大承载量100%，请广大游客合理安排好游览时间和行程！ ​​​', NULL, 'zh', '2023-04-30', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230430/1682849176858847.jpg\" title=\"\" alt=\"微信图片_20230430155151\"/></p>', NULL, NULL, NULL, 'system', '2023-04-30 16:05:00', 'system', '2023-04-30 16:05:00');
INSERT INTO `ld_article_content` VALUES (245, 8, '景区公告', '关于连岛景区限流预约接待公告', NULL, 'zh', '2023-05-01', '', NULL, '富文本', '<section data-role=\"outer\" label=\"edit by 135editor\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section data-role=\"outer\" label=\"edit by 135editor\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><section data-role=\"paragraph\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682903384406378.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><section data-role=\"outer\" label=\"edit by 135editor\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><section data-role=\"paragraph\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); letter-spacing: 0.544px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">尊敬的游客朋友们：</section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; line-height: 2em; visibility: visible;\">为了给您提供良好的游览环境和参观体验，提前向您告知连岛景区<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(0, 0, 0); caret-color: rgb(255, 0, 0); font-family: 微软雅黑, sans-serif; visibility: visible;\">最大日承载量为80000人，最佳日承载量为36000人，瞬时最大承载量为25000人，</span>核定瞬时最佳承载量为15000人。</section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; line-height: 2em; visibility: visible;\">请广大游客朋友们及时关注景区公众号，了解最新动态，提醒游客朋友们合理安排5月1日-5月3日的假期行程，<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; caret-color: red; visibility: visible;\">感谢您的理解与支持，祝您旅途愉快。</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; line-height: 2em; visibility: visible;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); letter-spacing: 0.544px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; color: rgb(34, 34, 34); letter-spacing: 0.544px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; color: rgb(34, 34, 34); letter-spacing: 0.544px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2023年5月1日</p></section></section></section></section></section><section style=\"margin: 10px 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(43, 36, 24); font-size: 16px; letter-spacing: 0.544px; text-align: center; line-height: 0; font-family: Optima-Regular, PingFangTC-light; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section></section><p><br/></p>', NULL, NULL, NULL, 'system', '2023-05-01 09:07:15', 'system', '2023-05-01 09:07:15');
INSERT INTO `ld_article_content` VALUES (246, 8, '景区公告', '关于连岛景区、游艇俱乐部暂停营运的公告', NULL, 'zh', '2022-11-17', '/profile/liandao_old_data/63758f876b0ae.jpg', NULL, '富文本', '<p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221117/1668648748667503.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\" width=\"700\" height=\"298\" border=\"0\" vspace=\"0\" style=\"width: 700px; height: 298px;\"/></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><br/></strong></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">关于连岛景区、游艇俱乐部</strong></span><strong style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">暂停营运的公告</strong></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; vertical-align: inherit; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong data-brushtype=\"text\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: left; vertical-align: inherit; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: left; vertical-align: inherit; line-height: 2em; visibility: visible;\">各位游客朋友：</section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: left; vertical-align: inherit; text-indent: 2em; line-height: 2em; visibility: visible;\">根据连云区关于加强社会全面管控的通告，<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-color: transparent; caret-color: red; visibility: visible;\">自2022年11月17日（周四）起连云港连岛景区（大沙湾、苏马湾、天际酒店）、游艇俱乐部均暂停运营，恢复运营时间另行通知。等待重启时，再赴一场关于连岛的浪漫约会。</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: left; vertical-align: inherit; text-indent: 2em; line-height: 2em; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-color: transparent; caret-color: red; visibility: visible;\">感谢您对连岛景区的支持和厚爱。</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: left; vertical-align: inherit; text-indent: 2em; line-height: 2em; visibility: visible;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: left; vertical-align: inherit; text-indent: 2em; line-height: 2em; visibility: visible;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: right; vertical-align: inherit; line-height: 2em; visibility: visible;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 连岛景区&nbsp; &nbsp;</section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: right; vertical-align: inherit; line-height: 2em; visibility: visible;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; 2022年11月17日</section></strong></span></section><p><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-11-17 09:31:19', 'system', '2022-11-17 09:31:19');
INSERT INTO `ld_article_content` VALUES (247, 8, '景区公告', '【公告】关于连岛景区淡季免费入园的通知', NULL, 'zh', '2022-10-28', '/profile/liandao_old_data/635b83895a388.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(0, 2, 0); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 18px; letter-spacing: 1.5px; text-align: center; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">关于淡季免费入园的通知</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; font-size: 16px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">为拉动旅游消费,提升城市旅游综合竞争力,经市旅游工作<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible;\">领导小组研究,决定在全市范围内实施国有 4A级 (含 )以上售票旅游景区淡季免首道门票政策,免票时间为2022年11月1日至次年2月底。</span></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 15px; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">景<span style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible;\">区游览实施“分时、限流、预约”的措施，</span></span><span style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">请游客提前拨打景区咨询电话，了解最新景区疫情防控政策，避免行程受阻。</span></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; font-size: 16px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">另11月1日起，连岛景区景交车（全线车票）执行20元/人：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">1.持本市旅游年卡人群景交车执行10元/人；</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2.60-69周岁老人景交车执行10元/人；</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"font-size: 16px; margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">3.1.4米以下儿童、70周岁以上老人景交车免费；</span></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">景区咨询电话：400-828-2898</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">让我们共同努力，营造健康、文明、有序的游览环境，感谢您的支持与配合。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; font-size: 16px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp; &nbsp;连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(77, 69, 67); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; background-color: transparent; caret-color: red; visibility: visible; font-size: 16px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2022年10月28日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-10-28 15:21:52', 'system', '2022-10-28 15:21:52');
INSERT INTO `ld_article_content` VALUES (248, 8, '景区公告', '【精彩活动】2022连岛景区全年活动表', NULL, 'zh', '2022-10-24', '/profile/liandao_old_data/6356312006087.jpg', '2022连岛景区全年活动计划表', '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221024/1666589743979929.png\" title=\"\" alt=\"image\"/></p>', NULL, NULL, NULL, 'system', '2022-10-24 13:33:37', 'system', '2022-10-24 13:33:37');
INSERT INTO `ld_article_content` VALUES (249, 8, '景区公告', '【非遗进景区 文化润连岛】', NULL, 'zh', '2022-10-20', '/profile/liandao_old_data/6356316acdd8c.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637542527253160.jpg\" title=\"\" alt=\"微信图片_20211122085156\"/></p><p style=\"text-align: center; line-height: 1.75em;\">体验非遗，是一种传承自过去、成长于现在的生活方式。</p><p style=\"text-align: center; line-height: 1.75em;\">11月连岛景区游客中心推出非遗主题活动，为大家带来一场“沉浸式”的非遗体验。</p><p style=\"text-align: center; line-height: 1.75em;\">快来了解一下吧！<br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>刺绣、剪纸、贝雕</strong></span></p><p><span style=\"font-size: 20px;\"><strong><br/></strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 16px;\"><strong>精美刺绣，新颖别致</strong></span></p><p><span style=\"font-size: 16px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637542715329401.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637542715510082.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">传统布饰品制作技艺代表性传承人刘玉兰老师，将带领她的两个徒弟，来到连岛景区游客中心，在向游客们展示连云港非遗的同时，倾囊相授刺绣技艺。因为她深深懂得，只有人人“绣”非遗，非遗才会更美丽。</p><p style=\"text-align: center; text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637542741284682.jpg\" title=\"\" alt=\"微信图片_20211122085404\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">刺绣是因人类对美的追求而产生，被人们称之为指尖上的艺术。引针穿线，纹身绣样，丝丝缕缕，栩栩如生，绣品的选材多来源于生活，取材多样，内容丰富，山水树木、虫鱼鸟兽，人物花草皆可入绣。</p><p><br/></p><p style=\"text-align: center;\"><strong>剪纸艺术，美不胜收</strong></p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637543057644287.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637543057919334.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">剪纸艺术是古老的中国民间艺术之一，作为一种镂空艺术，它能给人以视觉上以透空的感觉和艺术享受，一张张普普通通的纸，在一双灵巧的手下用一把剪刀，可以创作出一副副惟妙惟肖的作品。</p><p><br/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">这些精美的刺绣、剪纸，只是连云港众多非遗项目中的一个缩影，却精彩和生动地展示了港城人民的智慧和创造，为游客们了解和亲近多彩港城，提供了一个精彩的视窗。</p><p style=\"text-align: center;\"><strong><br/></strong><strong>刻贝为宝，巧琢成珍</strong></p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637543169790620.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637543169409309.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">贝雕是我国一种古老的艺术品，以有色贝壳为原料，巧用其天然色泽、纹理和形状，经过剪取、车磨、抛光、堆砌、粘贴等工序精心雕琢而成。</p><p><br/></p><p style=\"text-indent: 2em; line-height: 1.75em;\">连云港贝雕艺术历史悠久。20世纪70年代，“花果山牌”贝雕画行销全国，连云港也成为了全国四大贝雕生产基地之一。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211122/1637543196923783.jpg\" title=\"\" alt=\"微信图片_20211122085451\"/></p><p style=\"line-height: 1.75em; text-indent: 2em;\">连岛景区本次非遗展示，让游客能够近距离、沉浸式体验连云港非遗，让更多的游客通过体验来认识和喜欢连云港非遗，体现非遗保护传承“无限定”，让连云港非遗能够“看得见”“摸得着”“学得来”“带得走”“站得高”“飞得远”。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-10-20 08:41:39', 'system', '2022-10-20 08:41:39');
INSERT INTO `ld_article_content` VALUES (250, 8, '景区公告', '旅游攻略', NULL, 'zh', '2021-11-16', '/profile/liandao_old_data/61936fc3ec3c2.png', NULL, '富文本', '<h3><strong><span style=\"font-family: 等线; font-size: 21px;\">连岛景区</span></strong></h3><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连云港连岛风景区，是国家AAAA级风景区。连岛与连云港港口隔海相望，形状狭长，东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18公里，最高峰大桅尖海拔357.8米，面积7.57平方公里，森林覆盖面积达80%。山势曲折，峰连岭涌，折列如画屏，俨然一座美丽的海上屏风。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><h3><strong><span style=\"font-family: 等线; font-size: 21px;\">出发前准备</span></strong></h3><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">俗话说：有备无患，出发前做好了准备，不仅可以节省时间和金钱，更能保护自己，游玩体验也才能更好。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; text-align: justify; background: rgb(255, 255, 255);\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\">费用：</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连岛景区门票当前价格50元/人，持连云港旅游年票可刷卡免费入园。景区内交通25元/人（全程交通，往返13公里，每个站点可上下一次），持连云港旅游年卡享受车票15元/人。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连云港旅游年卡，17个景区一卡通用，可以直接在“连云港旅游年票”微信公众号菜单栏“年票中心”-“在线办理”中办理。（连云港旅游年票A版88元/人，B版168元/人）</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">衣：</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">防晒！防晒！防晒！重要的事情说三遍！永远不要小瞧海边的太阳，永远不要高估自己的抗晒能力。如果不想玩了一天，晒得又黑又红，一定要做好防晒！防晒霜、帽子、防晒衣，在不造成困扰的前提下，一定要记得带上哦！帽子建议选择有固定绳的，海风把帽子吹飞的能力可是杠杠的。其实帽子、拖鞋、泳衣、游泳圈和玩沙的小玩具，大沙湾旁边有很多商超都有卖，价格自然高于景区外的价格，大家可以根据自己的情况选择自己携带，还是到时候在景区买。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636957914254335.png\" title=\"\" alt=\"连1\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">食：</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">景区内，特别是大沙湾景点附近有很多饭馆，饮料自动售卖机每个乘车点也都会有。自带食物可以感受野餐的乐趣，景区购买可以品尝当地风味，大家可以根据自己的情况选择自带还是到地之后购买哦。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">住：</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连岛景区内民宿酒店可以提供住宿，主要集中在大沙湾景点附近。谁不想感受一把门外就是大海美景的神奇体验呢？夏季是连岛旅游旺季，如果考虑住在连岛景区内，可以提前预约。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636957927554512.png\" title=\"\" alt=\"连2\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">行：</span></strong></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">高速</span></strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">：G15（沈海高速）-G30（连霍高速）-北疏港隧道出口-连岛景区；</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\"><br/></span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp; &nbsp; G25（长深高速）-G30（连霍高速）-北疏港隧道出口-连岛景区；&nbsp;</span></p><p style=\"text-indent: 64px; text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">其他高速都可转连霍高速到达连岛景区。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">机场</span></strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">：白塔埠机场大巴-龙河广场-乘坐B1或B1K（往墟沟方向）-到达“在海一方站”-乘坐游3或游6公交-连岛</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">景区</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\"><br/></span><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">高铁</span></strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">：乘坐B1K（往墟沟方向）-到达“在海一方站”-乘坐游3或游6公交-连岛浴场。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">公交</span></strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">：新浦地区：乘坐B1或B1K（往墟沟方向）-到达“在海一方站”-乘坐游3或游6公交-连岛浴场；墟沟地区：乘坐游3或游6公交-连岛</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">景区</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958457813719.png\" title=\"\" alt=\"连3\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">卫生间：</span></strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">每个景点旁边都有卫生间，路旁都会有标识，不用担心找不到。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">注意事项：</span></strong><span style=\"font-family: 宋体;\"><br/></span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">购买景区门票请走正规通道，不要相信任何拉客黄牛，以免上当受骗。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><h3><strong><span style=\"font-family: 等线; font-size: 21px;\">出发吧去连岛</span></strong></h3><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 等线;\">来到连岛</span></strong><span style=\"font-family: 宋体;\"><br/></span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">根据导航，沿着西大堤笔直向前，根据提示右转，就来到了连岛游客中心。游客中心前的停车场可以免费停车。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958596111767.png\" title=\"\" alt=\"连4\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">1、</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">远远望去，游客中心起伏有致，如同波涛。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958660224323.png\" title=\"\" alt=\"连5\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">2、</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">进入游客中心，屋顶有万千游鱼盘旋而上，此时此刻，仿佛已置身海底。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958710285253.png\" title=\"\" alt=\"连6\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958725172312.png\" title=\"\" alt=\"连7\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">3、</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">根据提示右转，便是售票大厅，在这里可以购买景区门票和小火车票，小火车票一定要保存好，之后转乘其他交通都要刷这张票哦。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958780790870.png\" title=\"\" alt=\"连8\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958793670566.png\" title=\"\" alt=\"连9\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958894122304.png\" title=\"\" alt=\"连10\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">4、</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连云港旅游年票用户，可以直接在检票处刷年票进入景区，出了检票口，乘坐上小火车，你的连岛之旅，也就正式开始了。</span></p><p style=\"padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958906445276.png\" title=\"\" alt=\"连11\"/><span style=\"font-family: 等线;\">&nbsp;</span></p><p style=\"padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958986431896.png\" title=\"\" alt=\"连12\"/><span style=\"font-family: 等线;\">&nbsp;</span></p><p style=\"padding: 0px; line-height: 25px;\"><strong><span style=\"font-family: \" times=\"\" new=\"\">&nbsp;</span></strong></p><p style=\"padding: 0px; line-height: 25px;\"><strong><span style=\"font-family: \" times=\"\" new=\"\"><span style=\"font-family: 宋体;\">海滨浴场</span>-<span style=\"font-family: 宋体;\">大沙湾</span></span></strong></p><p style=\"padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636958996976114.png\" title=\"\" alt=\"连13\"/><strong><span style=\"font-family: 宋体;\">&nbsp;</span></strong></p><p style=\"padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">乘坐着小火车吹着海风一路前行，左右两侧风景如画，港口渔船清晰可见。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959008982568.png\" title=\"\" alt=\"连14\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959067906791.png\" title=\"\" alt=\"连15\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959085109624.png\" title=\"\" alt=\"连16\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">乘坐小火车在转乘中心下车，沿着山坡向上，便是大沙湾游乐园，进入大沙湾需要再检一次票哦，连云港旅游年票用户依旧直接刷年卡就可以。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959101519694.png\" title=\"\" alt=\"连18\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959119541360.png\" title=\"\" alt=\"连19\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">大沙湾是拥有优质沙滩的天然浴场，它位于连岛的中部、是东西连岛的分界处，大自然的造化形成了这处天然的金沙滩。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959136512280.png\" title=\"\" alt=\"连20\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959229223124.png\" title=\"\" alt=\"连21\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">在这里，你可以放任自己的天性，追波踏浪、玩沙戏水。细软的沙滩，咸湿的海风，远处，快艇飞驰而过，扯出一道水波，盛夏的气息一下子扑面而来。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; text-align: center;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959362574281.png\" title=\"\" alt=\"连23\" style=\"text-align: justify;\"/><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959382836226.png\" title=\"\" alt=\"连22\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; text-align: center;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">大沙湾的摩托艇可以个人租赁，</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">150元/人</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;<img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959589137178.png\" title=\"\" alt=\"连23\"/></span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">在大沙湾游玩结束，就可以拿着之前的小火车票，检票乘坐景观车出发到下一个景点了。景观车的终点站是苏马湾，中间会在孔雀园停靠一次，如果游玩的时间紧，可以直接去苏马湾，如果时间充裕的话，可以在孔雀园停下游玩。无论是小火车还是景观车，都是间隔15分钟发一辆车。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">（乘坐景观车小tips：坐在景观车行进过程中的左边，可以观赏一望无际的大海；坐在右边，可以欣赏连绵的连岛风光~）</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">&nbsp;</span></strong></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">孔雀园&nbsp;</span></strong></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959618710046.png\" title=\"\" alt=\"连24\"/><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">&nbsp;</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">乘坐景观车到达孔雀园之后，司机师傅会提醒是否在孔雀园下车。下车沿着山路上山，走不久，就会到达孔雀园。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959824281560.png\" title=\"\" alt=\"连25\"/><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></strong></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959839363093.png\" title=\"\" alt=\"连26\"/><strong><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">我们去的时候，孔雀并没有放出来，只能透过隔网互动，蓝孔雀高贵优雅，尾羽在阳光下熠熠生辉，就是叫声有些出乎意料，大家去的话可以自己感受一下</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959858448111.png\" title=\"\" alt=\"连27\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959873472609.png\" title=\"\" alt=\"连28\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959911978597.png\" title=\"\" alt=\"连29\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">游览完成之后，原路返回到山下，在之前下车处等待，司机师傅会再次对小火车票检票，之后就可以乘坐景观车继续旅程了，下一站，苏马湾！</span></p><p style=\"text-align: justify;\"><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">海天一线-苏马湾</span></strong></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959970819485.png\" title=\"\" alt=\"1\"/><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">&nbsp;</span></strong></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">乘坐景观车前往苏马湾，左边大海依旧是碧波万顷，让人心驰神往，感叹天地广阔。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959979363662.png\" title=\"\" alt=\"2\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">到达苏马湾下车之后，会有一个位置极佳的观景台，站在这里整个苏马湾尽收眼底，打卡拍照千万不要错过！</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636959988745517.png\" title=\"\" alt=\"3\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960003500655.png\" title=\"\" alt=\"4\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">顺着观景台左边台阶向下走，就能到达苏马湾海边，山路陡峭，路上小心，不要走神玩手机~</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960026601934.png\" title=\"\" alt=\"5\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960038321948.png\" title=\"\" alt=\"6\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">运气好的话，还会在树林里遇到散养的孔雀~大家请文明观赏，不要投喂抚摸。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" font-size:=\"\" background:=\"\">&nbsp;<img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960088254887.png\" title=\"\" alt=\"8\"/></span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">走过山路，穿过森林，青山、碧海、金滩、奇石……一瞬间，所有美景都涌入眼中。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960088254887.png\" title=\"\" alt=\"8\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960103711046.png\" title=\"\" alt=\"9\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960115365337.png\" title=\"\" alt=\"10\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">可能由于苏马湾地处连岛深处，沙滩面积不如大沙湾广阔，游人较大沙湾更少一些，但个人感觉水好像更清一些。海滩上，海浪冲上来各种各样的贝壳，所以赤脚走在路上一定要小心，不要让贝壳硌到脚。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960127998861.png\" title=\"\" alt=\"11\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960144450889.png\" title=\"\" alt=\"12\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">在苏马湾，还有一处“海天一色”的景观，如果大家时间比较充裕，可以走过去，蓝天碧海在这里相交，天气晴朗的时候，海面还有粼粼波光，真的分外美丽。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">苏马湾游览结束，如果不想继续游览，可以乘坐之前的景观车原路返回了。想要继续前行，可以换乘紫色中巴，下一站，“邓小平和人民在一起”雕塑公园！</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">（乘车依旧是由工作人员检小火车的票~）</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">“邓小平和人民在一起”雕塑公园</span></strong></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960160260419.png\" title=\"\" alt=\"13\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">乘坐中巴出了苏马湾东门，也就到达“邓小平和人民在一起”雕塑公园。雕塑公园已经是在景区外了，游览之后只能环岛结束旅程，不能回头游览了哦，大家需要注意一下。</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960188590689.png\" title=\"\" alt=\"14\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960205924406.png\" title=\"\" alt=\"15\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">雕塑公园对面有一个非常好的观景处：观日台。在这里或凭栏远眺，或坐下休憩，凉凉的风从海面吹来，一路的疲倦都得到了排解。</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960222476196.png\" title=\"\" alt=\"16\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960233158644.png\" title=\"\" alt=\"17\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960252465601.png\" title=\"\" alt=\"18\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">“邓小平和人民在一起”雕塑公园作为连云港著名爱国主义教育基地，是为纪念中国改革开放总设计师邓小平同志建立的，展示了邓小平同志波澜壮阔而又极富传奇色彩的一生。</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960266932598.png\" title=\"\" alt=\"19\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960279733144.png\" title=\"\" alt=\"20\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">环岛游览</span></strong></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960293921930.png\" title=\"\" alt=\"21\"/><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">&nbsp;</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">游览雕塑公园结束后，回到山脚下就可以继续乘坐紫色中巴继续前行了，之后没有大的景点，中巴车会一路将游客带到换乘中心。之后就可以乘坐小火车返回游客中心了。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960310480584.png\" title=\"\" alt=\"22\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">环岛游览的时候，尽量选择左侧座位哦，左侧可以看到大海，以及海对面的港口船只。</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960320907995.png\" title=\"\" alt=\"23\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960335660222.png\" title=\"\" alt=\"连23\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960348711493.png\" title=\"\" alt=\"23\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960368959976.png\" title=\"\" alt=\"24\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-bottom: 16px; text-align: justify;\"><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">回程</span></strong></p><p style=\"margin-bottom: 16px; text-align: justify;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960387117528.png\" title=\"\" alt=\"25\"/><strong><span style=\"font-family: \" microsoft=\"\" yahei=\"\" color:=\"\" letter-spacing:=\"\" background:=\"\">&nbsp;</span></strong></p><p><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">在换乘中心检票就可以乘坐小火车回到游客中心了，所以说，出发的时候买的&nbsp;小火车票千万不要弄丢，这一路上乘坐景区交通工具都要检小火车的票才能上车。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px;\"><span style=\"font-family: 等线;\">&nbsp;</span></p><p style=\"text-align: justify;\"><strong><span style=\"font-family: 宋体;\">其他</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">这次由于时间原因，很多连岛景点都没有详细为大家介绍，如需要步行的海边栈道：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960401466620.png\" title=\"\" alt=\"26\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连接大沙湾和苏马湾景区的是一条2.5公里长的海边栈道，它时而平缓时而蜿蜒，像一条卧龙，把两个景点连成一体，行走在上面，沿途的海景一览无遗。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">如连岛游艇俱乐部：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960415623942.png\" title=\"\" alt=\"27\"/><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960432268632.png\" title=\"\" alt=\"28\"/><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211115/1636960443178299.png\" title=\"\" alt=\"29\"/><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">&nbsp;</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">连岛游艇俱乐部占地50亩，总投资4.2亿元，是江苏省规模最大、设施最完善、并且是唯一取得“水上运输许可证”的专业从事海上旅游的游轮公司。现拥有豪华游艇5艘、游轮5艘、快艇5艘、摩托艇9艘、帆船7艘，共计31艘船艇。项目开辟了多条海上旅游特色航线：远游前三岛；近游港口、核电；夜游港池等。这些就交给大家去探索了。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; line-height: 25px;\"><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\"><br/></span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">找一个明媚的</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">日子</span><span style=\"font-family: 宋体; letter-spacing: 1px; font-size: 14px;\">，和朋友一起来连岛吧！</span></p><p><br style=\"white-space: normal;\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-11-16 16:38:08', 'system', '2021-11-16 16:38:08');
INSERT INTO `ld_article_content` VALUES (251, 8, '景区公告', '便民设施及相关规定', NULL, 'zh', '2021-11-25', '/profile/liandao_old_data/61d661337ce43.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">为加强景区便民服务设施管理，提高便民服务设施的使用率，使其能够最大化服务于广大游客，达到方便游客游览参观的目的，结合景区实际情况，经研究制定本办法。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">服务宗旨：以人为本、游客至上、服务第一。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">便民项目：景区介绍、旅游咨询、导游服务、便民服务、通讯、休息、投诉处理、安全提示等项目</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">一、便民服务设施管理和借用规定</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">1、便民服务设施按种类进行编号，并在设施的显著位置标注景区内专用字样。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">2、游客借用免费类便民服务设施时需凭有效证件并交纳相应押金，交纳押金后工作人员需给游客开据收据并填写借用登记表，游客归还时凭收据及相关登记信息即可退还押金。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">3、出借轮椅、婴儿车，游客只限于在景区内使用，每次借用时间最长不超过当日工作时间，逾期不送还物品，押金不予退还，游客不得转借所借用的服务设施。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">4、借用前，请游客检查确认便民服务设施是否完好；使用时，游客须妥善保管及使用借用的便民服务设施，如因游客使用或操作不当造成自身或者他人人身伤害的，责任由借用人负责；退还时，如发现便民服务设施有破损，按照损坏程度进行赔偿，如发现有污物，须赔偿清洗费，如丢失，则按原价赔偿。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">二、免费类便民服务设施押金收取费用标准：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">1．轮椅500元/辆&nbsp; &nbsp; &nbsp; &nbsp; 2.婴儿推车300元/辆</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><span style=\"font-size: 16px;\">3．拐杖50元/个&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 4.雨伞50元/把</span></p><p><strong style=\"font-family: tahoma, arial, 宋体, sans-serif; font-size: 18px; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">购买景区门票进入景区可免费使用游泳圈、太阳伞和沙滩椅</strong></p><p><strong style=\"font-family: tahoma, arial, 宋体, sans-serif; font-size: 18px; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211125/1637822704926720.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211125/1637822704266442.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211125/1637822704614753.png\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211125/1637822704644179.png\" style=\"\"/></p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>寄存柜使用须知</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">1.游客根据寄存提示自行设置密码并牢记（不要设置太过简单的密码，例如：111111），离开时请确认柜门是否锁好。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">2.请将贵重物品随身携带（现金、证件、通讯工具等），切勿放入柜中寄存。&nbsp;&nbsp;</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">3.请勿将易燃、易爆、易腐蚀性物品放入柜中。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">4.若忘记所设密码，请与工作人员联系，须说明所寄物品详细情况，核对无误方可取走。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">5．所存物品，需当天取走，如逾期者（工作人员每日会在结束营业前对寄存柜进行检查清理）可在3天内前往游客中心出示相关证明，并说明所寄物品详细情况，核对无误方可取走，如若超过3天（含3天），将做无主物品处理，交于有关部门处理。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">6.存放时间：</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">旺季（4月28日-10月27日） 8：30—17:30</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px 0px 8px; overflow-wrap: break-word; font-size: 14px; line-height: 28px; font-family: tahoma, arial, 宋体, sans-serif; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\">淡季（10月28日-次年4月27日） 8：30—16:30</p><p><strong style=\"font-family: tahoma, arial, 宋体, sans-serif; font-size: 18px; white-space: normal; background-color: rgba(255, 255, 255, 0.6);\"><br/></strong><br/></p>', NULL, NULL, NULL, 'system', '2021-11-25 14:40:56', 'system', '2021-11-25 14:40:56');
INSERT INTO `ld_article_content` VALUES (252, 8, '景区公告', '连云戏曲走进连岛景区巡演', NULL, 'zh', '2021-12-22', '/profile/liandao_old_data/61c2e7fa20511.png', NULL, '富文本', '<p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640163292159700.png\" alt=\"QQ图片20211222165507\"/></p><p style=\"text-align: center;\">连云戏曲走进连岛景区巡演</p><p style=\"text-align: center;\">演出时间：上午9:30，下午14:00</p>', NULL, NULL, NULL, 'system', '2021-12-22 16:01:29', 'system', '2021-12-22 16:01:29');
INSERT INTO `ld_article_content` VALUES (253, 8, '景区公告', '孔雀东南飞表演', NULL, 'zh', '2021-12-22', '/profile/liandao_old_data/61c2e01366ff8.png', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211222/1640161246800389.png\" title=\"\" alt=\"QQ图片20211222161707\"/></p><p>为保护孔雀，当日气温达到零下3度以下或遇大风等恶劣天气情况，孔雀东南飞表演暂停。</p>', NULL, NULL, NULL, 'system', '2021-12-22 16:19:05', 'system', '2021-12-22 16:19:05');
INSERT INTO `ld_article_content` VALUES (254, 8, '景区公告', '【停演公告】由于天气原因，连云戏曲演出暂停。', NULL, 'zh', '2022-01-06', '/profile/liandao_old_data/61d6610f16b52.jpg', NULL, '富文本', '<p style=\"text-align: center;\">公　告</p><p><br/></p><p>&nbsp; &nbsp; 根据气象部门预报，我市最近气温较低，天气情况不利于举行户外演出活动。连云戏曲为室外演出，观演效果及安全受天气情况影响较大。为确保观众的观演体验和安全健康，因此演出暂停。</p><p>&nbsp; &nbsp; 特此公告。</p><p><br/></p><p style=\"text-align: right;\">连岛景区&nbsp; &nbsp; &nbsp; &nbsp;&nbsp;</p><p style=\"text-align: right;\">2022年1月6日&nbsp; &nbsp;&nbsp;</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-01-06 11:20:14', 'system', '2022-01-06 11:20:14');
INSERT INTO `ld_article_content` VALUES (255, 8, '景区公告', '即日起，“孔雀东南飞”恢复正常演出。', NULL, 'zh', '2022-03-04', '/profile/liandao_old_data/6221d77d1cc0d.jpg', NULL, '富文本', '<p style=\"text-align: center;\">公告</p><p><br/></p><p>&nbsp; &nbsp; &nbsp; &nbsp; 即日起，“孔雀东南飞”恢复正常演出。期待大家的光临！</p><p>&nbsp; &nbsp; &nbsp; &nbsp; 特此公告。</p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: right;\">连岛景区&nbsp; &nbsp;</p><p style=\"text-align: right;\">2022年3月4日</p>', NULL, NULL, NULL, 'system', '2022-03-04 17:03:22', 'system', '2022-03-04 17:03:22');
INSERT INTO `ld_article_content` VALUES (256, 8, '景区公告', '【公告】连岛景区2022年4月28日起执行旺季票价', NULL, 'zh', '2022-05-09', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652060959164427.jpg\" title=\"\" alt=\"微信图片_20220509094452\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>连岛景区</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>将于2022年4月28日起</strong></span></p><p style=\"text-align: center;\"><span style=\"font-size: 18px;\"><strong>执行旺季门票价格！</strong></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220509/1652060975831165.jpg\" title=\"\" alt=\"微信图片_20220509094635\"/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 18px;\">连岛景区旺季售票公告</span></strong></p><p><br/></p><p><span style=\"font-size: 18px;\">亲爱的游客朋友们：</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">2022年4月28日—2022年10月27日期间，连岛景区执行旺季票价，游览景区将继续凭票凭卡进入。</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">望广大游客知悉相告，安排出行。</span></p><p style=\"text-indent: 2em;\"><span style=\"font-size: 18px;\">特此公告</span></p><p><br/></p><p style=\"text-align: right;\"><span style=\"font-size: 18px;\">连岛景区</span></p><p style=\"text-align: right;\"><span style=\"font-size: 18px;\">2022年4月27日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-05-09 09:44:11', 'system', '2022-05-09 09:44:11');
INSERT INTO `ld_article_content` VALUES (257, 8, '景区公告', '【最新消息】事关中秋假期游玩提醒', NULL, 'zh', '2022-09-10', '', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><br/></strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220910/1662799490723388.jpg\" title=\"\" alt=\"11\"/>&nbsp; &nbsp; &nbsp;</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">根据上级部门最新要求，9月10日起，旅游景区需对入园游客在验码、测温基础上，<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(255, 0, 0); visibility: visible;\">增加查验72小时核酸检测阴性证明</span>。</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">请各位游客提前做好行程安排，配合防疫工作！</strong></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-09-10 16:44:21', 'system', '2022-09-10 16:44:21');
INSERT INTO `ld_article_content` VALUES (258, 8, '景区公告', '“连岛杯”2022年连云港全国铁人三项冠军杯赛将在连岛景区举行！', NULL, 'zh', '2022-06-19', '/profile/liandao_old_data/62aeb470c144f.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220619/1655616605501031.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p><p>尊敬的游客朋友们：</p><p>&nbsp; &nbsp; &nbsp; “连岛杯”2022年连云港全国铁人三项冠军杯系列赛暨U系列冠军杯赛将在连岛景区举行。</p><p>&nbsp; &nbsp; &nbsp; 因赛事场地搭建要求，6月22日至6月26日，连岛景区交通实行24小时全封闭管理，6月27日起恢复正常管控，全封闭管理期间，请计划至羊窝头观赏日出的游客合理安排出行时间。</p><p>&nbsp; &nbsp; &nbsp; 赛事期间，给您游览带来不便，敬请谅解。</p><p><br/></p><p><br/></p><p style=\"text-align: right;\">连岛景区</p><p style=\"text-align: right;\">2022年6月19日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-19 13:26:05', 'system', '2022-06-19 13:26:05');
INSERT INTO `ld_article_content` VALUES (259, 8, '景区公告', '连岛景区苏马湾淋浴间免费开放中', NULL, 'zh', '2022-06-19', '/profile/liandao_old_data/62aeb4bb50424.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220619/1655616667510798.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p><p>尊敬的游客朋友们：</p><p>&nbsp; &nbsp; &nbsp; 因大沙湾淋浴间设备升级改造，如需冲淋，可至苏马湾淋浴间（淋浴免费）。</p><p>&nbsp; &nbsp; &nbsp; 改造期间，给您造成的不便敬请谅解！</p><p><br/></p><p><br/></p><p><br/></p><p style=\"text-align: right;\">连岛景区</p><p style=\"text-align: right;\">2022年6月19日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-06-19 13:30:34', 'system', '2022-06-19 13:30:34');
INSERT INTO `ld_article_content` VALUES (260, 8, '景区公告', '公告｜第23届连云港之夏旅游节开幕式将在连岛景区举行', NULL, 'zh', '2022-08-05', '/profile/liandao_old_data/634e4d4673a43.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); font-size: 17px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; line-height: 1.75em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220805/1659675027115140.jpg\" title=\"\" alt=\"公告\"/>尊敬的游客朋友们：</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">第23届连云港之夏旅游节暨第18届西游记文化节开幕式将于8月6日在连岛景区举行。因安全管理需要，开幕式当日大沙湾景点不开放。</p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; caret-color: red; visibility: visible;\">苏马湾景点正常开放，游客需提前网上预约错峰游览，并提前关注相关交通管控信息。</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; caret-color: red; visibility: visible;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">由此给您游览带来不便，敬请谅解。</p><p></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; font-size: 17px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; font-size: 17px; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2022年8月4日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-08-05 12:49:31', 'system', '2022-08-05 12:49:31');
INSERT INTO `ld_article_content` VALUES (261, 8, '景区公告', '2022首届连岛景区文化艺术节即将开幕', NULL, 'zh', '2022-08-01', '/profile/liandao_old_data/6356318c90897.jpg', NULL, '富文本', '<p style=\"text-indent: 2em; line-height: 1.75em;\"><span style=\"font-size: 18px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221018/1666076604626615.png\" title=\"\" alt=\"image\"/></span></p><p style=\"text-indent: 2em; line-height: 1.75em;\"><span style=\"font-size: 18px;\">近年来，连岛景区通过全方位、多元化、多层次、互动式夜游场所体验旅游核心目的地，全力打造“旅游+”多模式的“连岛沙滩音乐狂欢节”已成为海滨旅游、文化融合品牌产品。</span></p><p style=\"text-indent: 2em; line-height: 1.75em;\"><span style=\"font-size: 18px;\">搭乘着“文旅清风”，为期三天的 “<strong><span style=\"font-size: 18px; color: rgb(0, 176, 240);\">2022首届连岛文化艺术节</span></strong>”于<strong><span style=\"font-size: 18px; color: rgb(0, 176, 240);\">8月20日</span></strong>在大沙湾激情开幕，大沙湾现场再次欢腾燃烧起来！</span></p>', NULL, NULL, NULL, 'system', '2022-08-01 15:00:34', 'system', '2022-08-01 15:00:34');
INSERT INTO `ld_article_content` VALUES (262, 8, '景区公告', '连岛景区关于8月5日、8月6日沙滩音乐节暂停演出的公告', NULL, 'zh', '2022-08-05', '/profile/liandao_old_data/634e4d3161859.jpg', NULL, '富文本', '<section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; line-height: 1.75em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220805/1659675565870122.jpg\" title=\"\" alt=\"公告\"/>尊敬的游客朋友们：</section><p></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); color: rgb(51, 51, 51); font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">第23届连云港之夏旅游节暨第18届西游记文化节开幕式将于8月6日在连岛景区举行。因活动需要，8月5日和8月6日两晚连岛沙滩音乐节演出暂停，8月7日晚恢复正常。<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; caret-color: red; text-indent: 2em; visibility: visible;\"></span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); color: rgb(51, 51, 51); font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(25, 25, 25); font-family: \" pingfang=\"\" text-align:=\"\" text-indent:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\">请广大游客相互转告，由此给您带来的不便，敬请谅解。</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); color: rgb(51, 51, 51); font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); color: rgb(51, 51, 51); font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" clear:=\"\" min-height:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2022年8月5日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-08-05 12:50:52', 'system', '2022-08-05 12:50:52');
INSERT INTO `ld_article_content` VALUES (263, 8, '景区公告', '紧急通知｜受台风影响，景区暂停开放', NULL, 'zh', '2022-09-14', '', NULL, '富文本', '<p></p><section powered-by=\"xiumi.us\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" justify-content:=\"\" display:=\"\" flex-flow:=\"\" row=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; display: inline-block; width: 677px; vertical-align: top; align-self: flex-start; flex: 0 0 auto;\"><section powered-by=\"xiumi.us\" style=\"margin: -100px 0px 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; text-align: center; color: rgb(255, 255, 255); font-size: 22px; letter-spacing: 8px; line-height: 1.8; text-shadow: rgb(4, 68, 121) 1px 1px, rgb(4, 68, 121) 1px -1px, rgb(4, 68, 121) -1px 1px, rgb(4, 68, 121) -1px -1px, rgb(4, 68, 121) 0px 1.4px, rgb(4, 68, 121) 0px -1.4px, rgb(4, 68, 121) -1.4px 0px, rgb(4, 68, 121) 1.4px 0px;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\">受台风影响景区临时闭园</strong></p></section></section></section></section><section powered-by=\"xiumi.us\" style=\"margin: 10px 0px -50px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" white-space:=\"\" text-align:=\"\" justify-content:=\"\" isolation:=\"\" display:=\"\" flex-flow:=\"\" row=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; display: inline-block; width: 70px; vertical-align: top; flex: 0 0 auto; height: auto; align-self: flex-start;\"><section powered-by=\"xiumi.us\" style=\"margin: 0px 0px -10px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; font-size: 0px; transform: translate3d(-10px, 0px, 0px);\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; vertical-align: middle; display: inline-block; line-height: 0; width: 56px; height: auto;\"></section></section></section></section><p></p><p powered-by=\"xiumi.us\" style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"/></p><p></p><section powered-by=\"xiumi.us\" style=\"margin: 0px 0px 10px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" white-space:=\"\" text-align:=\"\" justify-content:=\"\" display:=\"\" flex-flow:=\"\" row=\"\" overflow-wrap:=\"\" break-word=\"\"><section style=\"margin: 0px; padding: 10px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; display: inline-block; width: 609.297px; vertical-align: top; box-shadow: rgb(147, 210, 255) 0px 0px 8px; flex: 0 0 auto; height: auto; border-width: 0px; border-radius: 5px; border-style: none; border-color: rgb(62, 62, 62); overflow: hidden; background-color: rgb(255, 255, 255); align-self: flex-start;\"><section powered-by=\"xiumi.us\" style=\"margin: 10px 0px 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px 15px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; font-size: 14px; color: rgb(4, 68, 121); line-height: 2; letter-spacing: 1px; text-align: justify;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20220914/1663116099741096.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">尊敬的各位游客：</span></p></section></section><section powered-by=\"xiumi.us\" style=\"margin: 10px 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px 15px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important; font-size: 14px; color: rgb(4, 68, 121); line-height: 2; letter-spacing: 1px; text-align: justify;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">&nbsp; &nbsp; 受台风“梅花”影响，为保障广大游客的人身安全，连岛景区、连岛游艇俱乐部于2022年9月14日、9月15日实施闭园管理。<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">&nbsp; &nbsp; 已购票的游客可在原购票渠道进行退款。景区临时闭园给您带来不便之处，敬请谅解，望大家相互转告。如有疑问，请拨打景区咨询电话：400-828-2898。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; text-align: right; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; text-align: right; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">连云港连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box; clear: both; min-height: 1em; text-align: right; overflow-wrap: break-word !important;\"><span style=\"font-size: 16px;\">2022年9月13日</span></p></section></section></section></section><p></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-09-14 08:39:33', 'system', '2022-09-14 08:39:33');
INSERT INTO `ld_article_content` VALUES (264, 8, '景区公告', '【精彩活动】“鱼”乐无限  连岛休闲垂钓活动', NULL, 'zh', '2023-04-07', '/profile/liandao_old_data/642fbd185e55b.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230407/1680850027518789.jpg\" title=\"\" alt=\"立牌\"/></p>', NULL, NULL, NULL, 'system', '2023-04-07 14:46:41', 'system', '2023-04-07 14:46:41');
INSERT INTO `ld_article_content` VALUES (265, 8, '景区公告', '【精彩活动】拥抱大海 春旋律文艺演出', NULL, 'zh', '2023-04-07', '/profile/liandao_old_data/642fbd0ad8dcd.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230407/1680850077795746.jpg\" title=\"\" alt=\"定稿 竖版（改尺寸）\"/></p>', NULL, NULL, NULL, 'system', '2023-04-07 14:47:45', 'system', '2023-04-07 14:47:45');
INSERT INTO `ld_article_content` VALUES (266, 8, '景区公告', '连岛杯”2023年连云港铁人三项亚洲杯赛暨“一带一路”铁人三项赛将在连岛景区举行！', NULL, 'zh', '2023-06-08', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230608/1686194235232982.jpg\" title=\"\" alt=\"图怪兽_f975ca7de0e44d05ea8fe4cc368a3618_93204\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">尊敬的游客朋友们：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;2023年</span>6月9日-11日期间，连岛景区举办“连岛杯”2023年连云港铁人三项亚洲杯赛暨“一带一路”铁人三项赛。因赛事需要，<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">6月8日-10日</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">阅海楼卡口实行24小时</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">管控</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">；</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">6月9日-11日期间</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; letter-spacing: 0.578px; visibility: visible;\">大沙湾正常开放（栈道关闭）；</span>苏马湾闭园；羊窝头早上观日点暂停开放。<span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">请计划至羊窝头观赏日出的游客合理安排出行时间。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;&nbsp;赛事期间：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(255, 76, 65); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">1.景区门票25元/人（原价50元/人）；</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(255, 76, 65); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;2.车票10元/人（原价20元/人）；</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(255, 76, 65); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;3.景交车接泊路线：游客中心--海底世界（往返）。</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(255, 76, 65); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(255, 76, 65); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp;<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; &nbsp; 赛事期间，给您游览带来不便，敬请谅解。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; max-inline-size: 100%; cursor: text; font-family: -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; max-inline-size: 100%; cursor: text; font-family: -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; max-inline-size: 100%; cursor: text; font-family: -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgba(0, 0, 0, 0.9); font-size: 17px; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: right; max-inline-size: 100%; cursor: text; font-family: -apple-system, BlinkMacSystemFont, Arial, sans-serif; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2023年6月5日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-06-08 11:11:59', 'system', '2023-06-08 11:11:59');
INSERT INTO `ld_article_content` VALUES (267, 8, '景区公告', '连岛音乐节｜想要带你奔赴山海', NULL, 'zh', '2023-06-08', '/profile/liandao_old_data/648173c7af0d2.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2023-06-08 12:31:23', 'system', '2023-06-08 12:31:23');
INSERT INTO `ld_article_content` VALUES (268, 8, '景区公告', '连岛景区端午小长假温馨提示', NULL, 'zh', '2023-06-23', '/profile/liandao_old_data/64954e73bb2dd.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 17px; visibility: visible;\">连岛景区端午小长假温馨提示</span></strong></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 17px; visibility: visible;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></strong></p><p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 0em; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">尊敬的游客朋友：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">随着气温的攀升，连岛景区提前进入旅游旺季。昨日端午小长假首日景区的接待游客量为3.1万人，同比2019年增长了2.5倍。期间部分游客因留恋海边风景，忽略了返程时间，在返程时出现公共交通已停运无法离岛的情况。针对此情况，为解决游客出岛问题的后顾之忧，景区在端午期间每晚21点在大沙湾公交站和游客中心旅游专线车站将安排免费接驳车到在海一方公交站。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">祝各位游客旅途愉快！温馨提示，请各位游客朋友合理规划返程时间。</span></p></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; text-align: right; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em; text-align: right; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">2023年6月23日</p></section></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-06-23 15:48:22', 'system', '2023-06-23 15:48:22');
INSERT INTO `ld_article_content` VALUES (269, 8, '景区公告', '关于连岛音乐节期间交通管理的公告', NULL, 'zh', '2023-07-13', '/profile/liandao_old_data/64afa48b525a5.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230713/1689232512178435.jpg\" title=\"\" alt=\"公告7.13\"/></p>', NULL, NULL, NULL, 'system', '2023-07-13 15:14:54', 'system', '2023-07-13 15:14:54');
INSERT INTO `ld_article_content` VALUES (270, 8, '景区公告', '关于应对特殊天气暂停售票的公告', NULL, 'zh', '2023-08-06', '/profile/liandao_old_data/64cf107d29cd7.jpg', NULL, '富文本', '<section data-role=\"outer\" label=\"edit by 135editor\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><section data-tools=\"135编辑器\" data-id=\"105457\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 10px auto; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><section style=\"margin: 0px 15px; padding: 25px 0px 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-color: rgb(248, 251, 255);\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; display: flex; justify-content: center; align-items: center; transform: rotate(0deg);\"><section data-brushtype=\"text\" style=\"margin: 0px 12px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 18px; letter-spacing: 1.5px; color: rgb(43, 143, 255);\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">关于应对特殊天气暂停售票的公告</strong></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; width: 7px; height: 7px; background-color: rgb(255, 241, 104); border-radius: 50%; overflow: hidden;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></section></section><section data-brushtype=\"text\" style=\"margin: -30px 0px 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 35px; letter-spacing: 1.5px; color: rgb(255, 239, 239);\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\">NOTICE</strong></section><section data-autoskip=\"1\" style=\"margin: 0px; padding: 5px 25px 30px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; font-size: 14px; color: rgb(73, 74, 73); background: transparent;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">尊敬的游客朋友们：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; line-height: 2em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">接连云港市气象台的通知，2023年08月06日10时28分发布雷暴大风黄色预警信号：预计未来3小时我区各街道（乡）、港区和近海将有雷电活动，并伴有短时强降水、8级左右阵风等强对流天气。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; line-height: 2em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">现连岛景区停止售票入园，请广大游客朋友们合理安排行程，给您带来不便，敬请谅解，谢谢配合。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; vertical-align: inherit; line-height: 2em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; vertical-align: inherit; line-height: 2em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px;\">连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; vertical-align: inherit; line-height: 2em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px;\">2023年8月6日</span></p><p><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px;\"><br/></span></p></section></section></section></section></section><p><br/></p>', NULL, NULL, NULL, 'system', '2023-08-06 11:09:36', 'system', '2023-08-06 11:09:36');
INSERT INTO `ld_article_content` VALUES (271, 8, '景区公告', '关于连岛景区恢复开园的公告', NULL, 'zh', '2023-08-06', '/profile/liandao_old_data/64cf25691e39f.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; display: inline-block;\"><section style=\"margin: 0px; padding: 6px 25px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-image: linear-gradient(to right, rgb(80, 127, 255), rgb(103, 160, 255)); border-radius: 20px;\"><section data-brushtype=\"text\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 1.5px; color: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">关于连岛景区恢复开园的公告<br/></section></section></section></p><section data-autoskip=\"1\" style=\"margin: 14px 0px 0px; padding: 0px; outline: 0px; max-width: 100%; text-align: justify; line-height: 1.75em; letter-spacing: 1.5px; font-size: 14px; color: rgb(73, 73, 74); background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">尊敬的游客朋友们：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; text-indent: 2em; caret-color: red; font-size: 16px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">根据天气情况，强降雨天气影响已解除，连岛景区经过全面安全排查后，恢复开园，正常接待游客。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">请各位游客密切关注天气状况，合理安排出行。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-align: right; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">2023年8月6日</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; white-space: normal; background-color: rgb(243, 245, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></p></section><p><br/></p>', NULL, NULL, NULL, 'system', '2023-08-06 12:44:27', 'system', '2023-08-06 12:44:27');
INSERT INTO `ld_article_content` VALUES (272, 8, '景区公告', '连岛景区关于试行分时预约限流的通告', NULL, 'zh', '2023-08-12', '/profile/liandao_old_data/64d710985bcab.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(242, 247, 250); text-align: center; line-height: 2.5em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 17px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">关于连岛景区试行分时预约限流的通告</strong></span></p><p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">三年疫情冰封解冻，文旅市场强劲复苏，连岛景区近期持续出现景区瞬时接待、最大承载量双双临近接待量最高值，出现长时间排队拥堵现象，降低了游客游览体验感和舒适度。为了保障广大游客高质量旅游的体验感，连岛景区将自2023年8月12日起<strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">节假日试行线上分时段预约入园机制</strong>。</span></section></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">一、最大预约售票量</strong></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; background-color: transparent; visibility: visible;\"></span></p><p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">每日最大预约售票量为4.5万张，其中2万张用于现场售卖，2.5万张用于线上预约。达到最大预约售票量时，将关闭当日所有售票通道。</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; background-color: transparent; visibility: visible;\"></span></section></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">二、预约订票方式</strong></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">散</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">客：提前通过</span><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">“玩转连岛”微信小程序、“连岛景区”微信公众号</span></strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">和</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">美团、携程、同程等</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">OTA</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">平</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">台实名预约订票。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">团队：</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">需提前在景区</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">TA</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">平台上提前</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">1</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">天预约订票。</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-color: transparent; font-size: 15px; text-indent: 2em; visibility: visible;\"></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; visibility: visible;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\">三、预约时段</strong></span></p><p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">景</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">区每</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">日将分</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">9</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">个时段提供预约售票（目前暂定为</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">8:30-9:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">9:30-10:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">10:30-11:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">11:30-12:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">12:30-13:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">13:30-14:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">14:30-15:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">15:30-16:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">、</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">16:30-17:30</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">）。</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">请根据您的实际行程安排，合理选择预约订票的入园日期和时段，并按照当天预约时间段入园，请勿提前或推迟入园。</span></section></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\">四</span></strong><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\"><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\">、现场售票</strong></span></p><p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">现场开放少量人工窗口和自助售票机，在2万张范围内满足到场游客的购票需求，超过2万张即时停止售卖。</span><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; visibility: visible;\"></strong></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">试行全面预约分时入园期间，连岛景区将根据实际运营情况进行完善提升。若给您带来不便，敬请谅解。</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\"></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\">衷心感谢您的支持与配合！</span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px; text-indent: 2em; visibility: visible;\"></span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; background-color: transparent; font-size: 15px; text-indent: 2em; visibility: visible;\">愿每一位游客朋友在连岛景区遇见更好的自己！</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-indent: 2em; visibility: visible;\"></span></section><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(242, 247, 250); text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"/></section></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(242, 247, 250); text-align: right; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px;\">连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(242, 247, 250); text-align: right; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 15px;\">2023年8月12日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-08-12 12:47:15', 'system', '2023-08-12 12:47:15');
INSERT INTO `ld_article_content` VALUES (273, 8, '景区公告', '公告 | 景区游客人数接近饱和，在今天15:50停止售票', NULL, 'zh', '2023-08-12', '/profile/liandao_old_data/64d7363b8dbc6.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230812/1691825717292928.png\" title=\"\" alt=\"停票公告8.12\"/></p>', NULL, NULL, NULL, 'system', '2023-08-12 15:33:57', 'system', '2023-08-12 15:33:57');
INSERT INTO `ld_article_content` VALUES (274, 8, '景区公告', '关于连岛景区游客量达到饱和暂停销售今日门票的公告', NULL, 'zh', '2023-08-19', '', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230819/1692431213538163.png\" title=\"\" alt=\"8.19\"/></p>', NULL, NULL, NULL, 'system', '2023-08-19 15:46:12', 'system', '2023-08-19 15:46:12');
INSERT INTO `ld_article_content` VALUES (275, 8, '景区公告', '连岛景区闭园公告', NULL, 'zh', '2023-08-27', '/profile/liandao_old_data/64eaa2a943212.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230827/1693098660473835.png\" title=\"\" alt=\"公告8.27新\"/></p>', NULL, NULL, NULL, 'system', '2023-08-27 09:10:38', 'system', '2023-08-27 09:10:38');
INSERT INTO `ld_article_content` VALUES (276, 8, '景区公告', '连岛景区暂缓开园公告', NULL, 'zh', '2023-08-28', '/profile/liandao_old_data/64ebef69034a1.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><span style=\"color: rgb(102, 105, 169); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" background-color:=\"\">连岛景区暂缓开园公告</span></p><p><br/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">尊敬的各位游客：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">&nbsp; &nbsp; 因受强降雨天气影响，景区部分设施设备损坏，为了保障广大游客的人身及财产安全，提供更好的游览体验。景区于8月28日暂缓开园，积极开展设施设备抢修和安全隐患排查工作，</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">景区开园时间另行通知。</span></p><p></p><section style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" text-indent:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">由此给您带来不便，敬请谅解！如有疑问，请拨打</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">景区咨询电话：</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">400-828-2898。</span></section><p></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">连云港连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-align:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; caret-color: red; visibility: visible;\">2023年8月28日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-08-28 08:49:24', 'system', '2023-08-28 08:49:24');
INSERT INTO `ld_article_content` VALUES (277, 8, '景区公告', '连岛景区临时闭园公告', NULL, 'zh', '2023-09-19', '/profile/liandao_old_data/65093c2342eac.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">尊敬的各位游客：</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">&nbsp; &nbsp; 根据气象台预报，今日我市将出现强降雨天气，为保障广大游客的安全，连岛景区于9月19日15:00起临时闭园，恢复时间另行通知。由此带来不便，敬请谅解！</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); line-height: 2em; visibility: visible; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">如有疑问，请拨打景区咨询电话：400-828-2898。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; text-align: justify; white-space: normal; background-color: rgb(240, 249, 255); visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(240, 249, 255); text-align: right; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; visibility: visible;\">连云港连岛景区</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(68, 68, 68); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 1.5px; white-space: normal; background-color: rgb(240, 249, 255); text-align: right; line-height: 2em; visibility: visible; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px; caret-color: red; visibility: visible;\">2023年9月19日</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-09-19 14:12:41', 'system', '2023-09-19 14:12:41');
INSERT INTO `ld_article_content` VALUES (278, 8, '景区公告', '连岛景区恢复开园公告', NULL, 'zh', '2023-08-29', '/profile/liandao_old_data/64ed3d59c7330.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230829/1693269275933194.png\" title=\"\" alt=\"8.29公告\"/></p>', NULL, NULL, NULL, 'system', '2023-08-29 08:33:40', 'system', '2023-08-29 08:33:40');
INSERT INTO `ld_article_content` VALUES (279, 8, '景区公告', '连岛景区恢复开园公告', NULL, 'zh', '2023-09-21', '/profile/liandao_old_data/650b91d24f6d9.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230921/1695256994554424.png\" title=\"\" alt=\"9.21公告\"/></p>', NULL, NULL, NULL, 'system', '2023-09-21 08:43:04', 'system', '2023-09-21 08:43:04');
INSERT INTO `ld_article_content` VALUES (280, 8, '景区公告', '国庆假期出游温馨提示', NULL, 'zh', '2023-10-02', '/profile/liandao_old_data/651a5976b041e.jpg', NULL, '富文本', '<p><br/></p><p style=\"line-height: 2em;\">尊敬的游客朋友：</p><p style=\"line-height: 2em;\">&nbsp; &nbsp; &nbsp; &nbsp;景区将于下午16:30到达返程高峰，为了不让拥堵影响您的心情，建议您合理安排游览时间，避开车流高峰点，规划好行程，错峰返程。</p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: right;\"><br/></p><p style=\"text-align: right; line-height: 2em;\">连岛景区</p><p style=\"text-align: right; line-height: 2em;\">2023年10月2日</p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-10-02 13:44:39', 'system', '2023-10-02 13:44:39');
INSERT INTO `ld_article_content` VALUES (281, 8, '景区公告', '最新通知', NULL, 'zh', '2024-01-31', '/profile/liandao_old_data/65ba09973c98d.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240131/1706690962972661.png\" title=\"\" alt=\"羊窝头开放通知\"/></p>', NULL, NULL, NULL, 'system', '2024-01-31 16:48:59', 'system', '2024-01-31 16:48:59');
INSERT INTO `ld_article_content` VALUES (282, 8, '景区公告', '连岛景区临时闭园公告', NULL, 'zh', '2024-02-01', '/profile/liandao_old_data/65baece30eee5.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240201/1706749135732061.png\" title=\"\" alt=\"公告\"/></p>', NULL, NULL, NULL, 'system', '2024-02-01 08:57:22', 'system', '2024-02-01 08:57:22');
INSERT INTO `ld_article_content` VALUES (283, 8, '景区公告', '关于“邓小平和人民在一起”雕塑公园的温馨提示', NULL, 'zh', '2023-11-30', '/profile/liandao_old_data/6568497d007ef.jpg', NULL, '富文本', '<p style=\"text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\">尊敬的各位游客朋友：</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\">&nbsp;</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\"><span style=\"font-family:黑体\">为给广大游客带来更好的游览体验，连岛景区即日起对</span><span style=\"font-family:黑体\">“邓小平和人民在一起”雕塑公园内部设施设备进行维护修缮，暂停对外开放，具体开放时间另行通知。</span></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\"><span style=\"font-family:黑体\">敬请关注连岛景区公众号随时掌握景区最新动态，及时做好行程调整，由此带来的不便请您谅解。景区咨询电话：</span><span style=\"font-family:黑体\">400-828-2898。</span></span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\">&nbsp;</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:right;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\">连云港连岛景区</span></p><p style=\"text-indent:32px;text-autospace:ideograph-numeric;text-align:right;line-height:150%\"><span style=\";font-family:黑体;line-height:150%;font-size:16px\">2023年11月30日</span></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231130/1701333317585556.jpg\" title=\"\" alt=\"640 (3)\"/></p>', NULL, NULL, NULL, 'system', '2023-11-30 16:34:55', 'system', '2023-11-30 16:34:55');
INSERT INTO `ld_article_content` VALUES (284, 8, '景区公告', '“邓小平和人民在一起”雕塑公园恢复对外开放的温馨提示', NULL, 'zh', '2023-12-23', '/profile/liandao_old_data/658699e7a15d9.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231223/1703320031365831.png\" title=\"\" alt=\"7818bcb1f3f48fb6dc507d8bba60997\"/></p>', NULL, NULL, NULL, 'system', '2023-12-23 16:26:22', 'system', '2023-12-23 16:26:22');
INSERT INTO `ld_article_content` VALUES (285, 8, '景区公告', '@游客朋友们，有一份温馨提示请您查收！', NULL, 'zh', '2024-01-13', '/profile/liandao_old_data/65a215fd65cf0.jpg', NULL, '富文本', '<p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240113/1705121273275178.jpg\" title=\"\" alt=\"微信图片_20240113124158\"/></p>', NULL, NULL, NULL, 'system', '2024-01-13 12:41:47', 'system', '2024-01-13 12:41:47');
INSERT INTO `ld_article_content` VALUES (286, 8, '景区公告', '免票！连岛景区实力“宠粉”！', NULL, 'zh', '2024-01-24', '/profile/liandao_old_data/65b0c58c73125.jpg', NULL, '富文本', '<p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240124/1706084449806674.png\" title=\"\" alt=\"免门票\"/></p>', NULL, NULL, NULL, 'system', '2024-01-24 16:04:37', 'system', '2024-01-24 16:04:37');
INSERT INTO `ld_article_content` VALUES (287, 8, '景区公告', '连岛景区临时闭园公告', NULL, 'zh', '2024-02-20', '/profile/liandao_old_data/65d425adab9e4.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240220/1708402047712421.png\" title=\"\" alt=\"微信图片_20240220120415\"/></p>', NULL, NULL, NULL, 'system', '2024-02-20 12:06:57', 'system', '2024-02-20 12:06:57');
INSERT INTO `ld_article_content` VALUES (288, 8, '景区公告', '连岛景区全面恢复开园公告', NULL, 'zh', '2024-02-23', '/profile/liandao_old_data/65d938dfe9e00.jpg', NULL, '富文本', '<p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240224/1708734679802374.png\" title=\"\" alt=\"2.24开园公告\"/></p>', NULL, NULL, NULL, 'system', '2024-02-23 19:30:42', 'system', '2024-02-23 19:30:42');
INSERT INTO `ld_article_content` VALUES (289, 9, '文明旅游', '寒冬送暖 集团领导走访慰问困难职工', NULL, 'zh', '2020-12-24', '/profile/liandao_old_data/5f290db3b0cba.jpg', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; letter-spacing: 0px; font-size: 15px;\">春节临近，困难职工的冷暖牵系着集团上下的心。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-size: 15px; font-family: 仿宋_GB2312; letter-spacing: 0px;\">近日，集团党委领导班子分别对困难职工进行走访慰问。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596525972862406.jpg\" style=\"float:right;\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200804/1596525973749270.jpg\" style=\"float:right;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-size: 15px; font-family: 仿宋_GB2312; letter-spacing: 0px;\"></span><br/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-size: 15px; font-family: 仿宋_GB2312; letter-spacing: 0px;\"></span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; letter-spacing: 0px; font-size: 15px;\">每到一户，集团领导都详细询问困难职工生活境况，并要求相关人员及时掌握困难职工生活、工作情况，尽最大努力落实和解决他们的实际困难。</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; letter-spacing: 0px; font-size: 15px;\">声声问候、份份祝福，饱含着关爱与关怀，让困难职工真切感受到了来自集团大家庭的温暖。</span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-family: 仿宋_GB2312; letter-spacing: 0px; font-size: 15px;\"><br/></span></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; text-align: left; text-indent: 43px; font-size: 15px; font-family: 仿宋_GB2312; letter-spacing: 0px;\"><br/></span><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-12-24 15:24:40', 'system', '2020-12-24 15:24:40');
INSERT INTO `ld_article_content` VALUES (290, 9, '文明旅游', '中国公民文明旅游公约', NULL, 'zh', '2022-01-26', '', NULL, '富文本', '<p style=\"text-align: center; line-height: 1.5em;\"><span style=\"font-size: 24px;\"><span style=\"color: rgb(0, 0, 0);\"><strong>中国公民</strong></span><strong style=\"font-size: 20px;\">文明旅游公约</strong></span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">重安全，讲礼仪；</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">不喧哗，杜陋习；</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">守良俗，明事理；</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">爱环境，护古迹；</span></p><p style=\"text-align: center; line-height: 2em;\"><span style=\"font-size: 18px;\">文明行，最得体</span>。</p><p style=\"line-height: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445466883973.jpg\" title=\"\" alt=\"微信图片_20221126144620\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445390606915.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391389034.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391457626.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391566596.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391116719.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391717415.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391215682.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669445391687078.jpg\" style=\"\"/></p><p><br/></p><p>来源：国家旅游局</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-01-26 14:42:20', 'system', '2022-01-26 14:42:20');
INSERT INTO `ld_article_content` VALUES (291, 9, '文明旅游', '海州湾集团开展“八一”走访慰问活动，践行社会主义核心价值观。', NULL, 'zh', '2020-08-02', '/profile/liandao_old_data/5f2f5a29c3144.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200809/1596938760891101.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200809/1596938760566067.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20200809/1596938760453132.jpg\" style=\"\"/></p><p><span style=\"margin: 0px; padding: 0px; max-width: 100%; text-align: justify; font-size: 14px; letter-spacing: 0px; text-indent: 34px; font-family: 仿宋_GB2312; background: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">7月31日，在“八一”建军节来临之际，海州湾集团对连云公安分局、港公安局、边防大</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(63, 63, 63); text-align: justify; font-size: 14px; letter-spacing: 0px; text-indent: 34px; font-family: 仿宋_GB2312; background: rgb(255, 255, 255); box-sizing: border-box !important; overflow-wrap: break-word !important;\">队、消防大队、交警二大队、大桅尖海军等13家单位进行走访慰问，向他们致以节日的祝福和崇高的敬意。</span></p>', NULL, NULL, NULL, 'system', '2020-08-02 10:04:01', 'system', '2020-08-02 10:04:01');
INSERT INTO `ld_article_content` VALUES (292, 9, '文明旅游', '创文进行时，连岛在行动', NULL, 'zh', '2020-09-07', '/profile/liandao_old_data/5f98cf2bb066c.png', NULL, '富文本', '<section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); white-space: normal; line-height: 2em; letter-spacing: 0.54px; background-color: rgb(255, 255, 255); text-indent: 2em; font-family: -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; line-height: 1.75em;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); letter-spacing: 1px; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛景区</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">山海相拥，以其独特的地理优势和自然资源，使其成为全国各地游客</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">和本市市民</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">游览观光，</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">休闲度假的好去处。也是彰显城市文明的地方，在这里你能看到</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">茂密的</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">植被错落有致、干净整洁的道路清洁如新，整齐划一的标识标牌规范到位……主干道、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">游步道</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">绿化带、</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">休息区等，随处可见景区借创建全国文明城市契机，推动景区质量提</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">升，充分</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">体现社会主义核心价值观、讲文明、树新风、中国梦等文明新高点。</span></span></section></section><p><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; color: rgb(0, 0, 0); letter-spacing: 1px; font-family: 微软雅黑, sans-serif; font-size: 15px; box-sizing: border-box !important; overflow-wrap: break-word !important;\">&nbsp; &nbsp; 连日来，连岛景区统筹安排，景区上下持续加强创</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); letter-spacing: 1px; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">文宣传力度，动员全体职工积极参与，各负其责，让创建文明城市工作深入人心！</span></span></section><section style=\"margin: 0px; padding: 0px; max-width: 100%; color: rgb(51, 51, 51); font-family: -apple-system-font, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 17px; letter-spacing: 0.544px; text-align: justify; white-space: normal; background-color: rgb(255, 255, 255); line-height: 1.75em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; box-sizing: border-box !important; word-wrap: break-word !important; color: rgb(0, 0, 0); letter-spacing: 1px; font-size: 15px;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; background-image: initial; background-position: initial; background-size: initial; background-repeat: initial; background-attachment: initial; background-origin: initial; background-clip: initial; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; text-align: justify; background: white; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span class=\"Apple-converted-space\">&nbsp;</span>各部门、岗位</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; text-align: justify; background-color: rgb(255, 255, 255); font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">认真做好接待服务，使用文明用语、礼貌待客，把景区文明建设贯穿到每一个工作和服务环节，特别是一线工作人员，必须做到举止文明、语言谦和、耐心回答游客咨询，同时做好对特殊人群的服务</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; text-align: justify; background: white; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">。加强志愿者的服务，游客中心、售票口、检票口等区域为游客提供温馨服务、发放景区宣传资料和游览图，为游客排忧解难。对购票和入园游客进行引导并维持购票和入园秩序、对不文明行为进行提醒、劝导、耐心回答游客咨询。按照创文工作部署，在景区主要区域和醒目位置完善各项宣传展板和创文标识160</span><span style=\"margin: 0px; padding: 0px; max-width: 100%; font-size: 15px; letter-spacing: 1px; text-align: justify; background: white; font-family: 微软雅黑, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">多块。基建部对东门厕所进行升级改造，并对邓小平公园栏杆进行更换。</span></span></span></section></p><p><span style=\"font-family: Helvetica, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-indent: 28px; background-color: rgb(255, 255, 255);\"><span class=\"Apple-converted-space\">&nbsp;</span>通过营造创城氛围，景区全体员工纷纷表示将以身作则，积极引导游客做文明人、说文明话、办文明事，倡导大家共同参与到文明城市创建活动中，为景区“提颜提档提质提优”，为全市争创全国文明城市作出绵薄之力，全面推动创城工作真正落到实处。</span></p><p><span style=\"font-family: Helvetica, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-indent: 28px; background-color: rgb(255, 255, 255);\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603850004516644.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603850018751427.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603850019830109.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603850019453248.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20201028/1603850019590467.jpg\" style=\"\"/></p><p><span style=\"font-family: Helvetica, Arial, sans-serif; font-size: 15px; letter-spacing: 1px; text-indent: 28px; background-color: rgb(255, 255, 255);\"><br/></span><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2020-09-07 09:50:44', 'system', '2020-09-07 09:50:44');
INSERT INTO `ld_article_content` VALUES (293, 9, '文明旅游', '海州湾文旅集团开展党史学习教育宣讲报告会', NULL, 'zh', '2021-05-17', '/profile/liandao_old_data/60a20a1f24a78.jpg', NULL, '富文本', '<p style=\"text-align: justify;\">为进一步扎实开展党史学习教育，5月8日上午，海州湾文旅集团党史学习教育宣讲报告会在海上云台山景区会议室举行。区委宣讲团成员、连云区人民政协秘书长周永刚作党史学习专题宣讲，海州湾文旅集团副总经理胡洁君主持，集团党委班子成员、本部全体人员和各支部党员以及连岛游艇俱乐部、在海一方公园员工代表，100余人聆听宣讲。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232020408823.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232020989058.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">宣讲会上，周永刚老师从“为什么要学习党史”“党史的基本脉络”“党史学习教育的重点”以及“四个历史时期、四件大事”等方面进行宣讲，对中国共产党的百年历程进行了全面解读，结合连云区旅游开发现状和集团发展实际，进行深入浅出地分析，抛砖引玉、高屋建瓴，引导参会人员从百年党史学习中汲取智慧和力量，树牢唯物主义史观，提高思想理论水平，筑牢马克思主义信仰，用党的奋斗历程和伟大成就鼓舞斗志、明确方向，用党的光荣传统和优良作风坚定信念、凝聚力量，弘扬革命传统，传承红色基因。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232047195617.jpg\" title=\"\" alt=\"微信图片_20210517141147\"/></p><p style=\"text-align: justify;\">1921-2021年，中国共产党走过百年历程。这是用鲜血、汗水、泪水、勇气、智慧、力量写就的百年；是筚路蓝缕、披荆斩棘、艰苦创业、砥砺前行、充满艰险、充满神奇的百年；是苦难中铸就辉煌、挫折后毅然奋起、探索中收获成功、失误后拨乱反正、转折中开创新局、奋斗后赢得未来的百年。历经新民主主义革命时期、社会主义革命和建设时期、改革开放和社会主义现代化建设新时期、中国特色社会主义新时代这四个历史时期，中国共产党完成和推进了四件大事，从开天辟地、改天换地到翻天覆地、惊天动地，铸就了中国共产党百年辉煌。</p><p style=\"text-align: justify;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232069812805.jpg\" title=\"\" alt=\"微信图片_20210517141156\" style=\"text-align: center;\"/></p><p style=\"text-align: justify;\">他强调党员干部要坚持党性原则，要坚持实事求是，坚持党性原则是共产党人的根本政治品格，是衡量党员立场和觉悟的基本准绳，是党员立身、立业、立言、立德的基石；实事求是是党的胜利法宝，干实事、说实话是对党员的基本要求，是最基本的党性、品格。要做到心中有党，心中有你，心中有我。他要求文旅集团的党员干部要做到“长、宽、高”，长：要有独当一面的特长，要有专业特长，要有通盘考虑的专长，要有处事擅长，要成为文旅开发的行家能手，要懂开发、会开发、善开发，要实事求是弹钢琴，要成为全面手，各司其职；宽：眼界要宽、知识面要宽，心胸要宽，要不断学习，“君子坦荡荡，小人长戚戚”；高：素质要高、道德情操要高。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20210517/1621232104715742.png\" title=\"\" alt=\"微信图片_20210517141205\"/></p><p style=\"text-align: justify;\">听完报告后，大家纷纷表示，报告生动有趣、发人深省、催人奋进，对开展党史学习教育具有重要启发和指导意义，将以本次宣讲报告会为契机，切实把学习成果转化为前进动力，推动文旅工作扎实高效开展，积极谋划旅游发展新思路，多措并举推动管理升级，全面提高集团发展质效。</p><p><br/></p><p style=\"text-align: center;\">报告会现场气氛热烈</p><p style=\"text-align: center;\">引起参会党员代表强烈反响</p><p><br/></p><p style=\"text-align: justify;\">集团党委班子成员代表：</p><p style=\"text-align: justify;\">&nbsp; &nbsp; 党史就是一部生动的教科书，通过学习党史，让我们更能体会到共产党的初心和使命，要“潜心笃志”学党史，用党的奋斗历程和伟大成就鼓舞斗志、明确方向；要“勤学笃思”学党史，用党的实践创造和历史经验启迪智慧、砥砺品格；要“守正笃行”学党史，用党的光荣传统和优良作风坚定信念、凝聚力量。开拓创新，以优异的成绩向建党100周年献礼。</p><p style=\"text-align: justify;\"><br/></p><p style=\"text-align: justify;\">景区党员代表：</p><p style=\"text-align: justify;\">&nbsp; &nbsp; 党史学习教育宣讲报告让人振奋，报告深入浅出、内容丰富，加深了我对开展党史学习教育意义的认识。作为一名党员，我将努力学党史、悟思想，在服务游客方面不断探索创新。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-05-17 14:12:44', 'system', '2021-05-17 14:12:44');
INSERT INTO `ld_article_content` VALUES (294, 9, '文明旅游', '点赞！连岛景区国庆暖心服务，让游客收获温情旅程！', NULL, 'zh', '2021-10-05', '/profile/liandao_old_data/615bfadf9d886.jpg', NULL, '富文本', '<p style=\"text-align: center;\">当我们沉浸于旅游狂欢时</p><p style=\"text-align: center;\">有这么一群人</p><p style=\"text-align: center;\">他们没有感受到节日带来的悠闲</p><p style=\"text-align: center;\">相反</p><p style=\"text-align: center;\">他们承受的</p><p style=\"text-align: center;\">是相较于平时更重大的责任</p><p style=\"text-align: center;\">他们</p><p style=\"text-align: center;\">就是时刻坚守在岗位上的</p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>【旅游从业者】</strong></span></p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417684249235.jpg\" title=\"\" alt=\"微信图片_20211005150612\"/></p><p style=\"text-align: center;\"><strong>强化假日工作制度，树牢安全运营理念</strong></p><p>9月29日、30日连岛景区召开十一国庆黄金周旅游筹备会，要求各分公司、各部门、各岗位加强工作纪律，压实工作责任；各部门相互协调合作，采取有力工作措施，解决工作中的问题；严格按照“预约、限流、错峰”的要求，加强对游客的疏导和管理，第一时间了解景区安全、交通等多方面信息，提高服务质量和效率。</p><p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417730966436.jpg\" title=\"\" alt=\"微信图片_20211005150642\"/></p><p><br/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417749471306.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417749397424.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong>假日里的坚守，是我们的本职工作</strong></p><p>良好的旅游体验离不开景区优质的服务和高效的管理。连岛景区内部正在提档升级，时值全力创建5A旅游景区特殊阶段，持续提升景观旅游设施，虽部分游览区域暂未开放，但是在节日期间，景区做足了各项准备工作，为游客提供免费景交车、免费停车、矿泉水等服务，让游客切实感受到景区工作人员的暖心情义。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417787251191.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417788902297.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417788978689.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417788412824.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417788386431.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><strong>镜头下不为人知的暖心瞬间</strong></p><p>整个假期中各运营部门各司其职：帮助走失儿童找家长、搀扶老人上下车、为游客找回丢失的手机、帮助游客车辆搭电、为受伤游客处理伤口……细致贴心的服务让游客纷纷点赞：“连岛不仅风景美，服务也让人宾至如归。”</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839710055.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839559342.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839201412.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839692911.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839329620.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839452929.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417839892906.jpg\" style=\"\"/></p><p></p><p style=\"text-align: center;\"><strong>文旅活动添魅力，景区志愿者服务别样“红”</strong></p><p>国庆假期，景区游客中心、大沙湾、换乘中心、防疫通道等，从进入景区开始，志愿者的身影随处可见，他们的用心、贴心、细心服务贯穿着每一环节，为游客答疑解惑，帮助游客解决困难。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417884762596.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417884214216.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417884991029.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417884261682.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417884207388.jpg\" style=\"\"/></p><p>国庆游客是平时的数倍，接待工作比平时更忙碌，他们用优质贴心的旅游服务，获得了游客的广泛认可和好评。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417911916843.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417912224722.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417912320477.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417912837238.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211005/1633417912983901.jpg\" style=\"\"/></p><p style=\"text-align: center;\">用真诚书写着工作的精彩</p><p style=\"text-align: center;\">用努力描绘着人生的绚烂</p><p style=\"text-align: center;\">他们没有折戟沉沙的豪迈</p><p style=\"text-align: center;\">有的只是一颗默默为您服务的心</p><p style=\"text-align: center;\"><span style=\"color: rgb(255, 0, 0);\"><strong>向国庆假期还战斗在一线的景区工作人员致敬！</strong></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2021-10-05 15:03:59', 'system', '2021-10-05 15:03:59');
INSERT INTO `ld_article_content` VALUES (295, 9, '文明旅游', '速看！连岛景区游客中心文旅展厅全新亮相！', NULL, 'zh', '2021-11-11', '/profile/liandao_old_data/618c883aecb46.jpg', NULL, '富文本', '<p style=\"text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599157145949.jpg\" title=\"\" alt=\"微信图片_20211105152537\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px; color: rgb(255, 0, 0);\"><strong>游客中心全新文旅展厅大放异彩</strong></span></p><p style=\"text-align: center;\">喜讯！</p><p style=\"text-align: center;\">自连岛景区创建国家5A级旅游景区工作开展以来</p><p style=\"text-align: center;\">各项工作有序推进</p><p style=\"text-align: center;\">近日</p><p style=\"text-align: center;\">连岛景区游客中心各个展厅全新亮相</p><p style=\"text-align: center;\">创建工作再上一个新台阶</p><p style=\"text-align: center;\">快跟小编一起来看看吧！</p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\">↓↓↓</span></p><p><br/></p><p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\">01 非遗展厅</span></strong></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599466749261.jpg\" style=\"\"/></p><p>游客中心一进门右手边便是“匠心传承 岛忆非遗”非物质文化遗产展示厅，经过调整布展，非遗展厅重磅亮相，贝饰、贝雕、剪纸、手工艺品等琳琅满目的展品，让游客们感受传统文化的魅力。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599466856542.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599466507527.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599466243547.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599466536396.jpg\" style=\"\"/></p><p><br/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>02 拾光邮局</strong></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599512977841.jpg\" style=\"\"/></p><p>接下来看到的便是拾光邮局，在游客中心大厅内开设主题邮局，其目的是为了方便各地游客在连岛景区办理邮政业务、特色邮品、邮资信封、风光明信片、盖景区邮戳，供游客留念。</p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211111/1636599512280937.jpg\" style=\"text-align: center; white-space: normal;\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599512622490.jpg\" style=\"\"/></p><p>拾光邮局内还有许多书籍可供游客们免费阅读哦！旅行途中感到疲惫的时候，来游客中心歇歇脚、读读书，也是不错的选择！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599512478013.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599512462009.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><strong><br/></strong><span style=\"font-size: 20px;\"><strong>03 拾光奶茶</strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599595217044.jpg\" style=\"\"/></p><p>相比一般的奶茶，拾光奶茶不仅有颜值、有分量、有味道，还有文化、有创意、有格调，价格也是非常的实惠，引来无数游客打卡。</p><p><br/></p><p>更重要的是，拾光奶茶吧内安装了景区打卡点地图，文化与饮食结合，传统与时尚“混搭”，令人耳目一新，为游客中心增添了仪式感和体验感。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599595190645.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599595538633.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span><span style=\"font-size: 20px;\"><strong>04 体育展厅</strong></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599644683196.jpg\" style=\"\"/></p><p style=\"text-align: justify;\">游客中心体育展厅以“爱运动 爱连岛”为主题，展厅内包含了连岛景区历年举办的主要大型体育赛事的简介，展厅左侧为各项赛事的奖牌、奖杯，右侧为各届赛事活动参赛号码簿及赛事服装展示，意在展示连岛景区文化和旅游产业融合发展的新成就。<br/></p><p><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20211111/1636599644430244.jpg\" style=\"text-align: center; white-space: normal;\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599644261867.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599644175900.jpg\" style=\"\"/></p><p>展厅内的主题展板图文并茂，各项奖杯、奖牌琳琅满目，健身比赛参与性强，互动体验轻松有趣，释放着属于连岛的“体育+文旅”的独特魅力。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599644214472.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599644802736.jpg\" style=\"\"/></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><br/></strong></span><span style=\"font-size: 20px;\"><strong>05 连云有礼</strong></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599707451305.jpg\" style=\"\"/></p><p>连云游礼展厅简约又耐看，场景营造美学在这里被充分诠释，隔间内平铺着各式各样的连岛文创产品及连云港特产，全部明码标价，你想要的这里都有！</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599707429991.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599707148031.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599707841213.jpg\" style=\"\"/></p><p><span style=\"font-size: 16px;\">来连岛的时候，也别忘了带一些旅游伴手礼回去品尝喔！</span><br/></p><p><span style=\"font-size: 16px;\"><br/></span></p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong>06 影像空间</strong></span><span style=\"font-size: 16px;\"><br/></span></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764431479.jpg\" style=\"\"/></p><p>影像空间是游客中心的一大亮点，进入宽敞明亮的游客中心大厅之后，抬眼望去，正前方便是醒目的标牌。影像空间内左侧悬挂着连岛景区海蚀地貌的图文介绍，同时摆放着来自苏马湾的海蚀礁石，生动形象地展示了连岛的海蚀地貌景象。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764357963.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764199245.jpg\" style=\"\"/></p><p>影像空间前方两台75寸的液晶电视循环播放着连岛景区的介绍视频，后方是供游客休憩使用的桌椅，茂密的绿植让人仿佛置身于热带丛林中，是一个艺术与功能兼具的休憩空间。</p><p><br/></p><p>如果你旅行逛累了，来这里小憩一下，随手再拍一张照片或者视频发发朋友圈也是不错的选择。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764831919.jpg\" style=\"\"/></p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764487389.jpg\" style=\"\"/></p><p>拐角处“印象连岛”四个大字，简单又美观。</p><p style=\"text-align: center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599764777473.jpg\" style=\"\"/></p><p></p><p><span style=\"font-size: 20px;\"></span></p><p style=\"text-align: center;\">以国家5A级旅游景区创建为契机</p><p style=\"text-align: center;\">连岛景区游客中心软硬件设施</p><p style=\"text-align: center;\">均得到了全面提档升级</p><p style=\"text-align: center;\">将为游客提供更加舒适、贴心的服务体验</p><p style=\"text-align: center;\">欢迎广大游客朋友们前来打卡！</p><p style=\"text-align: center;\"><span style=\"font-size: 20px;\"><strong><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20211111/1636599840832842.gif\" title=\"\" alt=\"微信图片_20210805165801\"/></strong></span><br/></p>', NULL, NULL, NULL, 'system', '2021-11-11 10:52:04', 'system', '2021-11-11 10:52:04');
INSERT INTO `ld_article_content` VALUES (296, 9, '文明旅游', '2022年10月16日连岛景区组织党员群众观看党的二十大直播，践行社会主义核心价值观。', NULL, 'zh', '2022-10-16', '', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20221028/1666945893561430.png\" title=\"\" alt=\"image\" width=\"700\" height=\"542\" border=\"0\" vspace=\"0\" style=\"border: 0px; display: block !important; vertical-align: middle; margin-top: 5px !important; margin-right: auto; margin-bottom: 5px !important; margin-left: auto; padding: 0px; max-width: 100%; width: 700px; height: 542px;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); font-size: 14px; white-space: normal; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important; line-height: 32px !important;\"><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20221028/1666945926421164.png\" title=\"\" alt=\"image\" width=\"700\" height=\"393\" border=\"0\" vspace=\"0\" style=\"border: 0px; display: block !important; vertical-align: middle; margin-top: 5px !important; margin-right: auto; margin-bottom: 5px !important; margin-left: auto; padding: 0px; max-width: 100%; width: 700px; height: 393px;\"/><img src=\"http://www.liandaojq.com/profile/liandao_old_data/image/20221028/1666945953503890.png\" title=\"\" alt=\"image\" width=\"700\" height=\"520\" border=\"0\" vspace=\"0\" style=\"border: 0px; display: block !important; vertical-align: middle; margin-top: 5px !important; margin-right: auto; margin-bottom: 5px !important; margin-left: auto; padding: 0px; max-width: 100%; width: 700px; height: 520px;\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; -webkit-tap-highlight-color: rgba(0, 0, 0, 0); font-family: &quot;SF Pro SC&quot;, &quot;HanHei SC&quot;, &quot;SF Pro Text&quot;, &quot;Myriad Set Pro&quot;, &quot;PingFang SC&quot;, &quot;Helvetica Neue&quot;, &quot;microsoft yahei&quot;, &quot;Microsoft YaHei&quot;, SimHei, sans-serif; background-color: rgb(255, 255, 255); line-height: 2em; font-size: 14px; white-space: normal; text-indent: 2em; background-image: none !important; background-position: initial !important; background-size: initial !important; background-repeat: initial !important; background-attachment: initial !important; background-origin: initial !important; background-clip: initial !important;\"><span style=\"margin: 0px; padding: 0px; font-size: 16px;\">2022年10月16日上午10时，中国共产党第二十次全国代表大会在北京人民大会堂隆重召开。 连岛景区全部党员干部群众怀着无比喜悦的心情，通过电视、网络等形式收听收看党的二十大开幕会直播，认真聆听习近平代表第十九届中央委员会向大会所作的报告。</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-10-16 15:23:16', 'system', '2022-10-16 15:23:16');
INSERT INTO `ld_article_content` VALUES (297, 9, '文明旅游', '2022年9月12日开展中秋活动，体现社会主义核心价值观', NULL, 'zh', '2022-09-12', '', NULL, '富文本', '<p><br/></p><h1 class=\"rich_media_title \" id=\"activity-name\" style=\"margin: 0px 0px 14px; padding: 0px; outline: 0px; font-weight: 400; font-size: 22px; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">有月，有酒，有情，有义，有书，有力，有文明，共团圆，中秋假期圆满收官。</span></h1><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221121/1669015593848124.jpg\" style=\"width: 800px; height: 643px;\" width=\"800\" height=\"643\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221121/1669015593298115.jpg\" style=\"width: 800px; height: 600px;\" width=\"800\" height=\"600\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221121/1669015593541917.jpg\" style=\"width: 800px; height: 667px;\" width=\"800\" height=\"667\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, Arial, sans-serif; font-size: 15px; letter-spacing: 2px; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">小长假期间，连岛景区践行文明旅游，开展文明旅游宣传活动，倡导文明旅游新风尚，全力营造人人支持文明旅游、参与文明旅游的浓厚氛围，全面提升景区良好的文明旅游环境。</span></p>', NULL, NULL, NULL, 'system', '2022-09-12 15:24:07', 'system', '2022-09-12 15:24:07');
INSERT INTO `ld_article_content` VALUES (298, 9, '文明旅游', '【公益广告】文明旅游', NULL, 'zh', '2022-11-08', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446555878133.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446555149853.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446555460710.jpg\" style=\"\"/></p><p>来源：市文明办</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-11-08 15:08:45', 'system', '2022-11-08 15:08:45');
INSERT INTO `ld_article_content` VALUES (299, 9, '文明旅游', '【公益广告】文明交通', NULL, 'zh', '2022-11-15', '', NULL, '富文本', '<p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\">讲文明树新风公益广告</span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446810899876.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446810806916.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669446810256742.png\" style=\"\"/></p><p>来源：市文明办</p><p><br/></p>', NULL, NULL, NULL, 'system', '2022-11-15 15:13:00', 'system', '2022-11-15 15:13:00');
INSERT INTO `ld_article_content` VALUES (300, 9, '文明旅游', '【公益广告】勤俭节约，传统美德', NULL, 'zh', '2022-10-26', '', NULL, '富文本', '<p style=\"text-align: center;\"><strong><span style=\"font-size: 20px;\">弘扬中华民族传统美德</span></strong></p><p><strong><span style=\"font-size: 20px;\"></span></strong></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669447054471638.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669447054766656.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669447054805261.jpg\" style=\"\"/></p><p>来源：市文明办<strong><span style=\"font-size: 20px;\"><br/></span></strong><br/></p>', NULL, NULL, NULL, 'system', '2022-10-26 15:16:50', 'system', '2022-10-26 15:16:50');
INSERT INTO `ld_article_content` VALUES (301, 9, '文明旅游', '【公益广告】诚信', NULL, 'zh', '2022-09-26', '', NULL, '富文本', '<p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\">党的十八大提出，倡导富强、民主、文明、和谐，倡导自由、平等、公正、法治，倡导爱国、敬业、诚信、友善，积极培育和践行社会主义核心价值观。富强、民主、文明、和谐是国家层面的价值目标，自由、平等、公正、法治是社会层面的价值取向，爱国、敬业、诚信、友善是公民个人层面的价值准则，这24个字是社会主义核心价值观的基本内容。</span></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669447352675029.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669447352835237.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-size: 18px;\"><br/></span>来源：市文明办</p>', NULL, NULL, NULL, 'system', '2022-09-26 15:20:54', 'system', '2022-09-26 15:20:54');
INSERT INTO `ld_article_content` VALUES (302, 9, '文明旅游', '【文明餐桌 光盘行动 】一起行动吧', NULL, 'zh', '2022-08-06', '', NULL, '富文本', '<p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">餐桌文明是社会文明的重要体现。小餐桌，大文明，承载的不仅是人类的生生不息，更传承了中华民族的优秀文化和尊重劳动、珍惜粮食、勤俭节约的传统美德。</span></p><p style=\"line-height: 2em; text-indent: 2em;\"><span style=\"font-size: 18px;\">一粥一饭，当思来之不易；半丝半缕，恒念物力维艰。“光盘”不仅是一句口号，还是一种厉行节约、倡导珍惜的生活态度。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380160336.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380278767.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380540661.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380161022.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380455039.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448380630479.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448381899361.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20221126/1669448381901144.jpg\" style=\"\"/></p><p>来源：人民日报<br/></p>', NULL, NULL, NULL, 'system', '2022-08-06 05:08:00', 'system', '2022-08-06 05:08:00');
INSERT INTO `ld_article_content` VALUES (303, 9, '文明旅游', '公益广告｜文明行为 为城梳妆', NULL, 'zh', '2023-01-14', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356004856705.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356004481721.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356004667342.png\" style=\"\"/></p><p>来源：市文明办<br/></p>', NULL, NULL, NULL, 'system', '2023-01-14 14:26:14', 'system', '2023-01-14 14:26:14');
INSERT INTO `ld_article_content` VALUES (304, 9, '文明旅游', '公益广告｜垃圾分类 守护家园', NULL, 'zh', '2023-02-14', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356099914702.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356099634799.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676356099576121.png\" style=\"\"/></p><p>来源：市文明办<br/></p>', NULL, NULL, NULL, 'system', '2023-02-14 14:27:07', 'system', '2023-02-14 14:27:07');
INSERT INTO `ld_article_content` VALUES (305, 9, '文明旅游', '海岛书屋：文旅深度融合带来美丽风景线', NULL, 'zh', '2023-03-10', '', '海岛书屋：文旅深度融合带来美丽风景线', '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409651373173.jpg\" title=\"\" alt=\"DSC_6014_副本\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" line-height:=\"\" visibility:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(133, 98, 75); font-size: 15px; text-shadow: none; letter-spacing: 1.5px; visibility: visible;\">连岛书房位于江苏省连云港市连云区连岛游客中心，由江苏省文化和旅游厅指导，南京图书馆、连云港市文化广电和旅游局主办，连云港市图书馆联合连云区文体旅局、江苏海州湾文旅集团、连岛街道共同建设。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" white-space:=\"\" background-color:=\"\" text-indent:=\"\" line-height:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(133, 98, 75); font-size: 15px; text-shadow: none; letter-spacing: 1.5px;\">连岛书房面积约40平方米，目前有图书2000册，书籍种类涵盖人文社科、海洋文化、地方文献、历史地理、中外军事、党政建设、少儿等。设立电子图书视听角、电子图书借阅机，结合休闲茶吧一起打造，可接待30位读者同时阅读。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409698565466.jpg\" title=\"\" alt=\"DSC_5995_副本\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409728639516.jpg\" title=\"\" alt=\"DSC_5999_副本\"/><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409741871980.jpg\" title=\"\" alt=\"DSC_5996_副本\"/></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-size: 15px; color: rgb(151, 72, 6); box-sizing: border-box !important; overflow-wrap: break-word !important;\">连岛书房作为江苏省唯一AAAA级海滨旅游景区书房，具有得天独厚的海洋文化和休闲旅游资源，通过“景区+图书馆”实践创新，实现与市图书馆通借通还，服务海岛居民和广大游客，力图打造成为最美公共文化空间、新晋网红打卡地。</span></p><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409891272702.jpg\" title=\"\" alt=\"微信图片_20230310085742\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409977459806.jpg\" title=\"\" alt=\"微信图片_20230310085923\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230310/1678409989159987.jpg\" title=\"\" alt=\"微信图片_20230310085757\"/></p><p>&nbsp; &nbsp; &nbsp; &nbsp;<strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(34, 34, 34); font-family: system-ui, -apple-system, BlinkMacSystemFont, \" helvetica=\"\" pingfang=\"\" hiragino=\"\" sans=\"\" microsoft=\"\" yahei=\"\" font-size:=\"\" letter-spacing:=\"\" text-align:=\"\" text-indent:=\"\" white-space:=\"\" background-color:=\"\" box-sizing:=\"\" border-box=\"\" overflow-wrap:=\"\" break-word=\"\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; color: rgb(133, 98, 75); font-size: 15px; text-shadow: none; letter-spacing: 1.5px;\">连岛书屋结合自身特色文化，为驻岛工作人员、边防警察、渔民和游客等群体提供公共阅读空间，实现全省有人居住、工作的基岩海岛书房全覆盖，从而健全公共文化服务网络、推动文化和旅游深度融合，打造新型文旅阅读空间。</span></strong></p>', NULL, NULL, NULL, 'system', '2023-03-10 08:47:14', 'system', '2023-03-10 08:47:14');
INSERT INTO `ld_article_content` VALUES (306, 9, '文明旅游', '公益广告｜环境保洁', NULL, 'zh', '2022-12-10', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676355288198535.jpg\" style=\"width: 611px; height: 1000px;\" width=\"611\" height=\"1000\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676355288194216.jpg\" style=\"width: 611px; height: 1000px;\" width=\"611\" height=\"1000\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230214/1676355288532212.png\" style=\"width: 611px; height: 997px;\" width=\"611\" height=\"997\" border=\"0\" vspace=\"0\" alt=\"\"/></p><p>来源：市文明办<br/></p>', NULL, NULL, NULL, 'system', '2022-12-10 14:14:17', 'system', '2022-12-10 14:14:17');
INSERT INTO `ld_article_content` VALUES (307, 9, '文明旅游', '文明旅游   安全出行', NULL, 'zh', '2023-05-01', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682920871176151.jpg\" title=\"\" alt=\"微信图片_20230501140141\"/></p>', NULL, NULL, NULL, 'system', '2023-05-01 14:00:11', 'system', '2023-05-01 14:00:11');
INSERT INTO `ld_article_content` VALUES (308, 9, '文明旅游', '公益广告｜文明旅游', NULL, 'zh', '2023-04-25', '', NULL, '富文本', '<p><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 0.544px; caret-color: rgba(0, 0, 0, 0); background-color: rgb(255, 255, 255); color: rgb(136, 136, 136); font-size: 14px; text-align: justify; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><br/></span></p><p><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 0.544px; caret-color: rgba(0, 0, 0, 0); background-color: rgb(255, 255, 255); color: rgb(136, 136, 136); font-size: 14px; text-align: justify; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\"></span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682920993329125.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682920993112691.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682920993194224.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230501/1682920993830842.jpg\" style=\"\"/></p><p><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 0.544px; caret-color: rgba(0, 0, 0, 0); background-color: rgb(255, 255, 255); color: rgb(136, 136, 136); font-size: 14px; text-align: justify; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">来源</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 0.544px; caret-color: rgba(0, 0, 0, 0); background-color: rgb(255, 255, 255); color: rgb(136, 136, 136); font-size: 14px; text-align: justify; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">：</span><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; letter-spacing: 0.544px; caret-color: rgba(0, 0, 0, 0); background-color: rgb(255, 255, 255); color: rgb(136, 136, 136); font-size: 14px; text-align: justify; font-family: mp-quote, -apple-system-font, BlinkMacSystemFont, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">市文明办</span><br/></p>', NULL, NULL, NULL, 'system', '2023-04-25 14:01:21', 'system', '2023-04-25 14:01:21');
INSERT INTO `ld_article_content` VALUES (309, 9, '文明旅游', '【公益广告】文明旅游', NULL, 'zh', '2023-06-15', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686791438746180.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686791442966706.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686791445366029.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686791450160134.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230615/1686791455448196.png\" style=\"\"/></p><p><strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgb(136, 136, 136); font-size: 14px; letter-spacing: 0.5px; white-space: normal; widows: 1; caret-color: rgb(0, 0, 0); background-color: rgb(255, 255, 255); font-family: -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; box-sizing: border-box !important; overflow-wrap: break-word !important;\">来源：<strong style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-decoration-style: solid; text-decoration-color: rgb(136, 136, 136);\">济宁日报</span></strong></strong></p>', NULL, NULL, NULL, 'system', '2023-06-15 09:09:50', 'system', '2023-06-15 09:09:50');
INSERT INTO `ld_article_content` VALUES (310, 9, '文明旅游', '公益广告 | 绿色环保 洁净宜居', NULL, 'zh', '2023-07-26', '', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690353193972948.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690353193361172.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690353193863574.jpg\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230726/1690353194618684.jpg\" style=\"\"/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2023-07-26 14:21:28', 'system', '2023-07-26 14:21:28');
INSERT INTO `ld_article_content` VALUES (311, 9, '文明旅游', '文明旅行，从我做起！', NULL, 'zh', '2023-08-23', '', NULL, '富文本', '<p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: center; white-space: normal; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">每个人都想有一场说走就走的旅行，</span></p><p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 14px; letter-spacing: 2px; text-align: center; white-space: normal; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">背上行囊带上相机，</span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-size-adjust: inherit; visibility: visible; font-size: 16px;\">假期大家都是怎么安排的?<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-size-adjust: inherit; visibility: visible; font-size: 16px;\">有出门拥抱诗和远方吗？<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-size-adjust: inherit; visibility: visible; font-size: 16px;\">但无论去哪里，<br style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; visibility: visible;\"/></span></p><p style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; visibility: visible; line-height: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: center;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-size-adjust: inherit; visibility: visible; font-size: 16px;\">请带上文明去旅行！</span></p></p><p>、<img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754854589511.jpg\" style=\"\"/><br/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255); font-size: 16px;\">“从你我做起、从点滴做起、从现在做起”，发挥每一个社会公民、旅游爱好者文明礼让的正能量，做文明旅游的输出者、维护者，以文明的举止言行为您的风采加分，建设文明和谐的旅游环境。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754854511199.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">不随地吐痰，不在禁烟场所吸烟，不乱扔杂物，不在公众场所喧哗吵闹，不长时间占用公共设施，旅行过程中按秩序排队，不拥挤、不插队。</span></p><p style=\"text-indent: 2em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754854344900.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">出游前，要了解旅游目的地气象信息，科学规划旅游行程，做好防暑、防雷、防汛、防泥石流等准备，避免选择在恶劣天气外出旅游。雷雨天气不要前往山岳型、峡谷型、涉水型旅游景区景点。严格遵守有关防火规定，听从工作人员指挥，严禁携带易燃易爆物品和火种上山，不在林草区吸烟、烧烤、野炊。消除火灾隐患，严防火灾事故发生。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754854988397.jpg\" style=\"\"/></p><p style=\"text-indent: 2em; line-height: 2em;\"><span style=\"font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; text-align: justify; text-indent: 28px; background-color: rgb(255, 255, 255);\">旅游从业者要文明规范开展业务，自觉维护旅游市场秩序，为游客提供优质服务，保障游客的合法权益，坚决杜绝虚假广告、欺客宰客、“黑导黑车”等违法违规经营行为。积极宣传“12345”旅游投诉服务热线，自觉接受广大游客的监督。</span></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754854637015.jpg\" style=\"\"/></p><p style=\"line-height: 2em;\"><section powered-by=\"xiumi.us\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; color: rgba(0, 0, 0, 0.9); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; letter-spacing: 0.544px; white-space: normal; background-color: rgb(255, 255, 255); text-align: center; justify-content: center; display: flex; flex-flow: row; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><section style=\"margin: 0px; padding: 10px 20px 20px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; display: inline-block; width: 609.297px; vertical-align: top; align-self: flex-start; flex: 0 0 auto; height: auto; border-style: solid; border-width: 1px; border-color: rgb(195, 166, 127);\"><section powered-by=\"xiumi.us\" style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; text-align: justify; font-size: 14px; color: rgb(0, 0, 0); line-height: 2; letter-spacing: 0px;\"><p style=\"margin-top: 0px; margin-bottom: 0px; padding: 0px; outline: 0px; max-width: 100%; clear: both; min-height: 1em; text-indent: 2em; box-sizing: border-box !important; overflow-wrap: break-word !important;\"><span style=\"margin: 0px; padding: 0px; outline: 0px; max-width: 100%; box-sizing: border-box !important; overflow-wrap: break-word !important; font-size: 16px;\">请大家自觉遵守《中国公民国内旅游文明行为公约》，践行“公筷公勺”“光盘行动”，拒食野生动物，让文明旅游成为一种新风尚。</span></p></section></section></section></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20230823/1692754855284731.jpg\" style=\"\"/></p><p><span style=\"font-size: 14px;\">来源：文旅海州</span></p>', NULL, NULL, NULL, 'system', '2023-08-23 09:37:39', 'system', '2023-08-23 09:37:39');
INSERT INTO `ld_article_content` VALUES (312, 9, '文明旅游', '文明旅游｜你我同行', NULL, 'zh', '2023-09-16', '/profile/liandao_old_data/6555c2ef7a96a.png', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119247681586.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119247162650.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119247516051.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119248526996.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119248398841.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119248996273.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119248979506.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119248796386.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119250643498.png\" style=\"\"/></p><p><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231116/1700119250272585.png\" style=\"\"/></p><p><span style=\"font-family: 楷体, 楷体_GB2312, SimKai; font-size: 14px;\">来源：和田地区文化体育广播电视和旅游局</span></p>', NULL, NULL, NULL, 'system', '2023-09-16 15:20:04', 'system', '2023-09-16 15:20:04');
INSERT INTO `ld_article_content` VALUES (313, 9, '文明旅游', '文明旅游，我们应该这样做！', NULL, 'zh', '2023-10-11', '/profile/liandao_old_data/656a8330cbe35.png', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游是一项发现美、欣赏美的活动，更是一项创造美的活动。广大游客在旅游中的一言一行，不仅体现了个人的文明素养，更展示了城市的文明程度。假期出游，如何在快乐旅游的同时，做到文明、安全、绿色旅游呢？一起来了解一下。</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><br/></span></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">1.</span><span style=\";font-family:宋体;font-size:19px\">爱护环境</span></strong></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479086141510.png\" title=\"\" alt=\"640\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">2.</span><span style=\";font-family:宋体;font-size:19px\">文明出行</span></strong></p><p style=\"text-align: center;\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479097777531.png\" title=\"\" alt=\"640 (1)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">3.</span><span style=\";font-family:宋体;font-size:19px\">文明用语</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479115540686.png\" title=\"\" alt=\"640 (2)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">4.</span><span style=\";font-family:宋体;font-size:19px\">轻声细语</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479128276790.png\" title=\"\" alt=\"640 (3)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">5.</span><span style=\";font-family:宋体;font-size:19px\">文明出游</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479138737547.png\" title=\"\" alt=\"640 (4)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">6.</span><span style=\";font-family:宋体;font-size:19px\">文明游园</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479153736147.png\" title=\"\" alt=\"640 (5)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">7.</span><span style=\";font-family:宋体;font-size:19px\">文明交通</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479166924081.png\" title=\"\" alt=\"640 (6)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">8.</span><span style=\";font-family:宋体;font-size:19px\">遵守禁烟</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479174555693.png\" title=\"\" alt=\"640 (7)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">9.</span><span style=\";font-family:宋体;font-size:19px\">文明礼仪</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479187161694.png\" title=\"\" alt=\"640 (8)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">10.</span><span style=\";font-family:宋体;font-size:19px\">文明观赏</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479195656727.png\" title=\"\" alt=\"640 (9)\"/></span></strong></p><p style=\"text-align: center;\"><strong><span style=\"font-family:宋体;font-size:19px\">11.</span><span style=\";font-family:宋体;font-size:19px\">文明旅游我们应该这样做</span></strong></p><p style=\"text-align:center\"><strong><span style=\";font-family:宋体;font-size:19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701479205163627.jpg\" title=\"\" alt=\"640\"/></span></strong></p><p style=\"text-align: left;\"><span style=\"font-family: 宋体, SimSun; font-size: 14px;\"><strong><span style=\"font-family: 宋体, SimSun; color: rgb(136, 136, 136); letter-spacing: 0.544px; text-align: justify; text-wrap: wrap; background-color: rgb(255, 255, 255);\">来源：文明泾川</span></strong></span></p>', NULL, NULL, NULL, 'system', '2023-10-11 09:03:22', 'system', '2023-10-11 09:03:22');
INSERT INTO `ld_article_content` VALUES (314, 9, '文明旅游', '文明旅游 | 十大文明旅游提示语，文明旅游公约，你知道吗？', NULL, 'zh', '2023-11-23', '/profile/liandao_old_data/656a8905e843a.jpg', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">以目观山海，以行践文明。为了营造健康舒适的旅游环境，我们要做爱护环境、守护美好的维护者、践行者。这就要求我们文明行为不能丢，请跟我一起来了解一下吧！</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">1.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">旅途漫漫</span> <span style=\"font-family:宋体\">文明相伴</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480521190792.jpg\" title=\"\" alt=\"640 (1)\"/></span></span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">旅游小贴士：举手投足得体大方，谈吐交流文雅礼貌，避免不文明的语言和行为；旅途中，多用</span><span style=\"font-family:宋体\">“请”、“谢谢”、“打扰了”、“对不起”、“请原谅”等文明语言，谦让长者、照顾妇女儿童和残障人士。</span></span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">2.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">旅游美时美刻</span> <span style=\"font-family:宋体\">文明随时随地</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480509777975.jpg\" title=\"\" alt=\"640\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：参观博物馆、教堂、艺术殿堂、寺庙等景点时，要遵守禁烟、禁食、禁饮、禁用闪光灯拍照等规定，不随意触摸展品、文物和其他器物。</span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">3.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">文明出游</span> <span style=\"font-family:宋体\">健康生活</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480536343012.jpg\" title=\"\" alt=\"640 (2)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">旅游小贴士：戴口罩，勤洗手，打喷嚏掩口鼻，加强个人防护，随身携带口罩、消毒剂等防护用品。排队等候时，与他人保持</span><span style=\"font-family:宋体\">1米以上的社交距离。</span></span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">4.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">用餐讲卫生</span> <span style=\"font-family:宋体\">文明有礼仪</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480546325964.jpg\" title=\"\" alt=\"640 (3)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">旅游小贴士：就餐时提倡使用公筷公勺，实行分餐制；提倡科学点餐，按需取餐，自觉践行</span><span style=\"font-family:宋体\">“光盘行动”，抵制浪费陋习。</span></span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">5.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">垃圾不乱扔</span> <span style=\"font-family:宋体\">举止显文明</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480557397571.jpg\" title=\"\" alt=\"640 (4)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：要把果皮、纸屑、杂物等废弃物丢进垃圾桶，不要随便丢弃，并注意将垃圾分类投放。</span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">6.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">无烟世界</span> <span style=\"font-family:宋体\">清新一片</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480567684468.jpg\" title=\"\" alt=\"640 (5)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：不在禁烟场所和冷气开放的场所吸烟，在可以吸烟的区域吸烟时应该注意他人的感受，不乱扔烟头。</span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">7.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">游遍天下山川</span> <span style=\"font-family:宋体\">只留脚印一串</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480620344662.jpg\" title=\"\" alt=\"640 (6)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：注意保护生态环境，在世界任何地方旅游，都不要抓取和带走当地生物。</span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">8.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">出游讲礼仪</span> <span style=\"font-family:宋体\">入乡要随俗</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480635609012.jpg\" title=\"\" alt=\"640 (7)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">旅游小贴士：理解和尊重目的地国家和地区的宗教信仰、生活习惯、风俗禁忌，</span><span style=\"font-family:宋体\">“入乡”尽量“随俗”。</span></span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">9.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">多看美景</span> <span style=\"font-family:宋体\">不留美名</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480645705052.jpg\" title=\"\" alt=\"640 (8)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：尊重生命，爱护花草树木，爱护文物古迹，不随意涂刻、攀爬、触摸文物。</span></p><p style=\"margin-left:0;text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">10.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\">平安是福</span> <span style=\"font-family:宋体\">文明是金</span></span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><span style=\"font-family:宋体\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701480666324493.jpg\" title=\"\" alt=\"640 (9)\"/></span></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游小贴士：遵守交通规则，不闯红灯，不随意横穿马路，不在人行道上停留交谈；乘坐扶梯时靠右侧站立，让左侧供行人通行。</span></p><p style=\"line-height: 150%; text-indent: 0em;\"><span style=\"font-family: 宋体; line-height: 150%; font-size: 14px;\">来源：文明徐汇</span></p>', NULL, NULL, NULL, 'system', '2023-11-23 09:27:09', 'system', '2023-11-23 09:27:09');
INSERT INTO `ld_article_content` VALUES (315, 9, '文明旅游', '文明旅游丨文明尽享旅行之美，勿忘文明随行', NULL, 'zh', '2023-12-02', '/profile/liandao_old_data/656a8bca1209e.jpg', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;<span style=\"font-family:宋体\">旅游是一项发现美、欣赏美的活动，更是一项创造美的活动。广大游客在旅游中的一言一行，不仅体现了个人的文明素养，更展示了城市的文明程度。那么如何在快乐旅游的同时，做到文明、安全、绿色旅游呢？</span></span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">1.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">爱护环境</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481357635337.jpg\" title=\"\" alt=\"640\"/></span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">在外旅行，舒适干净的环境需要大家共同维护。我们须注意保护环境，不乱扔垃圾；不破坏生态环境，不践踏草坪、攀折花木；不随地乱扔垃圾，做好垃圾分类；要坚持低碳旅行，多多尝试徒步、骑行、铁道旅行。</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">2.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">遵守秩序</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481367695932.jpg\" title=\"\" alt=\"640 (1)\"/></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">遵守交通规则，不随意横穿马路；在景点游玩时，不并行挡道，不乱插队，在游客较为拥挤时，要谦让回避，保证安全；在景区游览时不要大声喧哗，尤其是在博物馆、美术馆等场所，控制好自己说话的音量，以免破坏在场其他人游览的兴致。</span></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">3.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">以礼待人</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481375264104.jpg\" title=\"\" alt=\"640 (2)\"/></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">衣着整洁得体，不在公共场所袒胸赤膊，不蓬头垢面；行为有礼貌，不辱骂殴打服务人员；主动为老弱妇孺让道，不争先抢行；尊重他人权利，关爱老弱病残，对他人释放善意是一种本能。</span></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">4.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">保护文物</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481384124966.jpg\" title=\"\" alt=\"640 (3)\"/></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">爱护花草树木，爱护文物古迹，禁止在文物古迹上乱刻乱画、随意攀爬、触摸文物，拍照摄像遵守规定。遵守禁烟规定，垃圾分类投放，爱惜公共设施。</span></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">5.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">文明食宿</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481393386517.jpg\" title=\"\" alt=\"640 (4)\"/></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">入住酒店时注意秩序，不争抢，不大声喧哗，不在禁烟大堂吸烟；尊重服务员，注意维护客房和公用空间的设施、设备及整洁卫生；就餐时注意文明礼貌，谦让老人、残疾人和妇女，照顾儿童；吃自助餐选用食品适量，尽可能将所取餐品用完。</span></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\"font-family:宋体;font-weight:bold;font-size:19px\">6.&nbsp;</span><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">入乡随俗</span></strong></p><p style=\"text-align:center\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20231202/1701481402908828.jpg\" title=\"\" alt=\"640 (5)\"/></span></strong></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">提前了解当地的风土人情，尊重和融入当地的风俗文化；在教堂、寺庙等宗教场所，不能嬉戏打闹、玩笑；按照所在国家和地区的习惯消费。</span></p><p style=\";text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\";text-indent:0;text-autospace:ideograph-numeric;line-height:150%\"><span style=\"font-family: Helvetica;line-height: 150%;color: rgb(136, 136, 136);letter-spacing: 1px;font-size: 14px;background: rgb(255, 255, 255)\"><span style=\"font-family:Helvetica\">来源：中国文明网</span></span></p>', NULL, NULL, NULL, 'system', '2023-12-02 09:41:44', 'system', '2023-12-02 09:41:44');
INSERT INTO `ld_article_content` VALUES (316, 9, '文明旅游', '【文明倡导】文明旅游 快乐同行', NULL, 'zh', '2024-01-26', '/profile/liandao_old_data/65b311e6a8720.jpg', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">旅游是身体与心灵的双重享受，有了文明的氛围，体验会更完美。文明旅游公约需要每一位游客共同遵守，才能营造最轻松舒适的旅游环境。出行之前，让我们好好了解一下公民文明旅游公约吧！</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">中国公民文明旅游公约</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">重安全，讲礼仪；</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">不喧哗，杜陋习；</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">守良俗，明事理；</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">爱环境，护古迹；</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">文明行，最得体。</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234183347019.jpg\" title=\"\" alt=\"1\" style=\"font-family: 宋体; font-size: 19px; text-align: justify; text-indent: 37px;\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">践行文明旅游是每个游客应尽的义务，在不同情景下，又有哪些需要注意的文明旅游行为呢？文明旅游十大提醒语，告诉您文明旅游需要注意的方方面面。</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:0;text-autospace:ideograph-numeric;text-align:center;line-height:150%\"><strong><span style=\"font-family: 宋体;line-height: 150%;font-size: 19px\">文明旅游十大提醒语</span></strong></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">1、文明是最美的风景</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">举手投足得体大方，谈吐交流文雅礼貌，避免不文明的语言和行为；就餐注意用餐礼仪、谦让长者、照顾妇女和儿童。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234220172818.jpg\" title=\"\" alt=\"2\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">2、旅途漫漫，文明相伴</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">多用</span><span style=\"font-family:宋体\">“请”、“谢谢”、“打扰了”、“对不起”、“请原谅”等文明语言。</span></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><span style=\"font-family: 宋体; font-size: 19px; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234240688406.jpg\" title=\"\" alt=\"3\"/>&nbsp;</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">3、旅游美时美刻，文明随时随地</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">参观博物馆、教堂、艺术殿堂、寺庙等景点时，要遵守禁烟、禁食、禁饮、禁用闪光灯拍照等规定，不随意触摸展品、文物和其它器物。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234250424272.jpg\" title=\"\" alt=\"4\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">4、文明游天下，快乐你我他</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">走出国门，咱们就是客人，对待主人要有礼貌，早晨说</span><span style=\"font-family:宋体\">morning，出错说sorry，世界通用。</span></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><span style=\"font-family: 宋体; font-size: 19px; text-indent: 0em;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234261408441.jpg\" title=\"\" alt=\"5\"/>&nbsp;</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">5、一花一木皆是景，一言一行要文明</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">尊重生命，不随意攀折花木和果实。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234271547119.jpg\" title=\"\" alt=\"6\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">6、游遍天下山川，只留脚印一串</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">注意保护生态环境，在世界任何地方旅游，都不要抓取和带走当地生物。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234279616990.jpg\" title=\"\" alt=\"7\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">7、出游讲礼仪，入乡要随俗</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">理解和尊重目的地国家和地区的宗教信仰、生活习惯、风俗禁忌，</span><span style=\"font-family:宋体\">“入乡”尽量“随俗”。</span></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><span style=\"font-family: 宋体; font-size: 19px;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234288952435.jpg\" title=\"\" alt=\"8\"/>&nbsp;</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">8、垃圾不乱扔，举止显文明</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">要把果皮、纸屑、杂物等废弃物丢进垃圾桶，不要随便丢弃，并注意将垃圾分类投放。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234298563841.jpg\" title=\"\" alt=\"9\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">9、多看美景，不刻美名</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">爱护花草树木，爱护文物古迹，不随意涂刻、攀爬，触摸文物。</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234306376388.jpg\" title=\"\" alt=\"10\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">10、平安是福，文明是金</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\"><span style=\"font-family:宋体\">遵守交通规则，不穿红灯，不随意横穿马路，不在人行道上停留交谈</span><span style=\"font-family:宋体\">;乘坐扶梯时应靠右侧站立，让出左侧供人通行。</span></span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: center;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234316473703.jpg\" title=\"\" alt=\"11\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric;line-height:150%\"><span style=\";font-family:宋体;line-height:150%;font-size:19px\">请大家牢记文明旅游公约，把风景拍下来，把文明留下来，争当文明旅游人，成为彼此的新风景！</span></p><p style=\"line-height: 150%; text-indent: 0em; text-align: left;\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240126/1706234327695539.jpg\" title=\"\" alt=\"12\"/><span style=\"font-family: 宋体; font-size: 19px; text-indent: 37px;\">来源：静安文旅</span></p>', NULL, NULL, NULL, 'system', '2024-01-26 09:55:39', 'system', '2024-01-26 09:55:39');
INSERT INTO `ld_article_content` VALUES (317, 9, '文明旅游', '文明旅游，从我做起！', NULL, 'zh', '2024-02-17', '/profile/liandao_old_data/65d013e61b46a.jpg', NULL, '富文本', '<p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">旅游，是发现美的一路走走停停；文明，是成为美的一程点缀风景。这个假期，如果选择在旅行中度过，请带上文明</span><span style=\"font-family:宋体\">——珍惜爱护沿途的一物一景，尊重理解他人的风俗习惯，注意留心自身的言行举止。</span></span></p><p><span style=\";font-family:宋体;font-size:19px\">&nbsp;</span></p><p><span style=\";font-family:宋体;color:rgb(255,0,0);font-size:19px\">旅游小贴士</span></p><p><span style=\";font-family:宋体;font-size:19px\">&nbsp;</span></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><strong><span style=\"font-family: 宋体;font-size: 19px\">文明游览。</span></strong><span style=\";font-family:宋体;font-size:19px\">在景点游玩时应树立文明意识，遵守公共秩序，不并行挡道，不乱插队，爱惜公共设施，尊重他人权利。遵守禁烟规定，垃圾分类投放，自觉减少一次性物品使用。尊重旅游目的地的风俗习惯，遵守游览地相关规章制度。</span><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240217/1708135319574590.jpg\" title=\"\" alt=\"640\" style=\"text-align: center;\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><strong><span style=\"font-family: 宋体;font-size: 19px\">文明用餐。</span></strong><span style=\";font-family:宋体;font-size:19px\"><span style=\"font-family:宋体\">践行</span><span style=\"font-family:宋体\">“光盘行动”，按需点餐、剩菜打包，做到拒食野味。使用公勺公筷，尽量采用分餐制、小份餐。</span></span></p><p style=\"text-indent: 0em;\"><span style=\"font-family: 宋体; font-size: 19px;\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240217/1708135340987948.jpg\" title=\"\" alt=\"640 (1)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><strong><span style=\"font-family: 宋体;font-size: 19px\">文明参团。</span></strong><span style=\";font-family:宋体;font-size:19px\">提高辨识能力，不购买不合理的低价旅游产品。选择具有合法资质的旅行社，签订规范的旅游合同。旅游过程中发生纠纷不要冲动，注意保留证据、理性维权。</span></p><p style=\"text-indent: 0em;\"><span style=\";font-family:宋体;font-size:19px\"></span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240217/1708135356640697.jpg\" title=\"\" alt=\"640 (2)\"/></p><p style=\"text-indent:37px;text-autospace:ideograph-numeric\"><strong><span style=\"font-family: 宋体;font-size: 19px\">文明参观。</span></strong><span style=\";font-family:宋体;font-size:19px\">关爱自然生态，不践踏绿地花丛，不刻划攀折树木，不破坏山石景观，不随意投喂、伤害动物，不购买濒危野生动植物及其制品，不攀爬、踩踏、触摸展品，遵守禁止摄影摄像的规定。在游客较为拥挤时，更要谦让回避，保证安全。</span></p><p style=\"text-align:center\"><img src=\"http://192.168.3.11:8080/profile/liandao_old_data/image/20240217/1708135372410876.jpg\" title=\"\" alt=\"640 (3)\"/></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">文明是一种积淀</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">也是一种传承</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">它就藏在我们身边</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">看见文明、践行文明</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">让生活更加美好</span></p><p style=\"text-align:center\"><span style=\";font-family:宋体;font-size:19px\">&nbsp;</span></p><p><span style=\"color: rgb(79, 79, 79); font-family: system-ui, -apple-system, BlinkMacSystemFont, &quot;Helvetica Neue&quot;, &quot;PingFang SC&quot;, &quot;Hiragino Sans GB&quot;, &quot;Microsoft YaHei UI&quot;, &quot;Microsoft YaHei&quot;, Arial, sans-serif; font-size: 12px; letter-spacing: 0.544px; text-align: justify; text-wrap: wrap; background-color: rgb(255, 255, 255);\">来源：文明河西</span></p>', NULL, NULL, NULL, 'system', '2024-02-17 10:01:08', 'system', '2024-02-17 10:01:08');
INSERT INTO `ld_article_content` VALUES (318, 9, '文明旅游', '\"Deng Xiaoping and the people together\" group sculpture park', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db9397f466d9.jpg', NULL, '富文本', '<p style=\"text-indent: 2em;\">Comrade Xiaoping’s life and Lianyungang had an indissoluble bond and followed his wishes. In 1997, under the personal escort of General Secretary Hu Jintao, Comrade Deng Xiaoping’s ashes were scattered in the waters outside the Pineapple Mountain in Liandao. To commemorate the great men, in 2007, in Liandao The construction of Deng Xiaoping Sculpture Park has become a well-known red education base in China, such as party education, patriotism education and clean government education. It has received 350,000 visitors a year.</p><p style=\"text-indent: 2em;\">&quot;Deng Xiaoping and the People Together&quot; Sculpture Park is located in Pineapple Hill, Liandao, covering an area of 50,000 square meters, including &quot;Deng Xiaoping and the People Together&quot; group sculpture, Huaihai Campaign Frontier Command Exhibition Hall, supporting green garden, lighting facilities, Background music, etc. The sculpture was designed by Professor Li Xiangqun of Tsinghua University. The theme of the work is: The great people are together with the people represented by the soldiers, laborers, intellectuals, young women and children, reflecting Comrade Xiaoping. &quot;I am the son of the Chinese people. I am affectionate. The spiritual connotation of loving my motherland and the people; reflecting the flesh-and-blood ties between the leaders of the party and the people; reflecting the indissoluble bond between Comrade Xiaoping and Lianyungang.</p><p style=\"text-indent: 2em;\">The &quot;Deng Xiaoping and the People Together&quot; sculpture park is of great significance after the completion of the sculpture park, so that the people can better remember the great achievements of the great leaders. At the same time, Comrade Xiaoping’s ardent hope for Lianyungang will be transformed into stimulating the people of the city to unite, struggle, and leapfrog. The powerful driving force to accelerate the pace of development of the port city. The completion of the sculpture park makes it together with the Deng Xiaoping of Sichuan Guang&#39;an Cloth and the Deng Xiaoping Statue of Shenzhen Lianhuashan Park to form a three-step process of great men&#39;s life.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:18:36', 'system', '2019-10-30 15:18:36');
INSERT INTO `ld_article_content` VALUES (319, 9, '文明旅游', 'Carry out the theme education of Do not forget the initial heart, keep in mind the mission, and express condolences to the Kaishan Island militia', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddcc5c5d.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:04', 'system', '2019-10-30 15:38:04');
INSERT INTO `ld_article_content` VALUES (320, 9, '文明旅游', 'Group party committee revisited the party’s oath', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddce85cf.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:04', 'system', '2019-10-30 15:38:04');
INSERT INTO `ld_article_content` VALUES (321, 9, '文明旅游', 'Carry out the theme education of not forgetting the original heart, remembering the mission and revisit the oath of entering the party', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddd24060.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (322, 9, '文明旅游', 'National Day volunteer service for party members, free hand-held national flag, sticker', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddd48704.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (323, 9, '文明旅游', 'Park sunrise', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddd6afb5.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (324, 9, '文明旅游', 'Huaihai Campaign Front Refers to the Exhibition Hall', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddd8ec69.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (325, 9, '文明旅游', 'Party building with group building, the party branch of Liandao Tourism Company and the branch of Donggang Primary School carried out the educational activities of “guarding the coastline and youth in', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93dddb2390.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (326, 9, '文明旅游', 'Party members and cadres revisit the party’s oath', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93dddd478d.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:05', 'system', '2019-10-30 15:38:05');
INSERT INTO `ld_article_content` VALUES (327, 9, '文明旅游', 'The Party Branch of Liandao Tourism Company held the July 1 theme party day event at the exhibition hall before the Battle of Huihai', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93dde789e9.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:06', 'system', '2019-10-30 15:38:06');
INSERT INTO `ld_article_content` VALUES (328, 9, '文明旅游', 'The party committee of the group held an event to commemorate the 115th anniversary of Deng Xiaoping’s birthday', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93dde9b76a.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:06', 'system', '2019-10-30 15:38:06');
INSERT INTO `ld_article_content` VALUES (329, 9, '文明旅游', 'Welcoming the National Day Long Dyke', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddebb9e5.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:06', 'system', '2019-10-30 15:38:06');
INSERT INTO `ld_article_content` VALUES (330, 9, '文明旅游', 'Zhang Huaixi, former vice chairman of the CPPCC', NULL, 'en', '2019-10-30', '/profile/liandao_old_data/5db93ddedde05.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:38:06', 'system', '2019-10-30 15:38:06');
INSERT INTO `ld_article_content` VALUES (331, 9, '文明旅游', '\"덩 샤오핑과 사람들이 함께\"그룹 조각 공원', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db9399d12d96.jpg', NULL, '富文本', '<p style=\"text-indent: 2em;\">Xiaoping 동지와 Lianyungang은 불용의 유대를 가지고 있었고 그의 소원을 따랐다 1997 년 Hu Jintao 사무 총장의 호위로 덩 샤오핑 동지의 유골이 Liandao의 파인애플 산 외부 물에 흩어져 있었다 2007 년 Liandao에서 위대한 사람들을 기념하기 위해 Deng Xiaoping Sculpture Park의 건설은 중국에서 파티 교육, 애국심 교육 및 청정 정부 교육과 같은 잘 알려진 빨간 교육 기지가되었으며 매년 35 만 명의 방문객이 방문했습니다.</p><p style=\"text-indent: 2em;\">&quot;덩 샤오핑과 함께 사람들이.&quot;파크가 위치한 다오 파인애플 힐 조각이 포함 50,000m2의 영역을 다룹니다 &quot;덩 샤오핑과 함께 사람들을,&quot;조각, 화이 캠페인 국경 본부 갤러리, 그린 파크, 조명 시설 지원 배경 음악 등 개인적으로 리 교수 청화 대학 코끼리 디자인, 테마의 업무 수행 의장 조각 : 함께 표현 된 사람과 군인, 노동자, 지식인, 젊은 여성과 어린이의 큰 질량, 내가 애정, 중국 사람들의 아들입니다 &quot;동지 샤오핑 (鄧小平)을 반영 내 조국과 사람들을 사랑한다는 영적 의미, 당의 지도자들과 사람들 사이의 살과 피의 유대를 반영하고, 샤오핑 동지와 연운항 사이의 불멸의 유대를 반영합니다.</p><p style=\"text-indent: 2em;\">&quot;덩 샤오핑과 함께하는 사람들&quot;조각 공원은 조각 공원이 완성 된 후 사람들이 위대한 지도자의 위대한 업적을 더 잘 기억할 수 있도록 큰 의미를 지니고 있으며, 동시에 랴오 낭 (Lianyungang)에 대한 샤오핑 동지의 열렬한 희망은 도시 사람들을 자극하고 투쟁하며 도약하도록 자극 할 것입니다. 항구 도시의 개발 속도를 가속화하는 강력한 원동력. 조각 공원의 완성은 사천 광안 천의 덩 샤오핑과 선전 리안 후 아산 공원의 덩 샤오핑 동상과 함께 훌륭한 남성 생활의 3 단계 과정을 형성합니다.</p><p style=\"text-indent: 2em;\"><br/></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:17:29', 'system', '2019-10-30 15:17:29');
INSERT INTO `ld_article_content` VALUES (332, 9, '文明旅游', 'CPPCC 전 부회장 Zhang Huaixi', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dba290bd.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (333, 9, '文明旅游', '공원 일출', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dba4c393.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (334, 9, '文明旅游', 'Huaihai Campaign Front는 전시장을 말합니다', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dba6dcc9.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (335, 9, '文明旅游', '국경일 긴 제방을 환영합니다', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dba908f3.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (336, 9, '文明旅游', '그룹 당위원회는 덩 샤오핑 탄생 115 주년을 기념하는 행사를 개최했습니다', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbaba8c6.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (337, 9, '文明旅游', '그룹 빌딩이있는 파티 빌딩, 랴오 다오 관광 회사의 파티 지점 및 동강 초등학교 지사는“해안과 청소년의 보호”교육 활동을 수행', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbadcb55.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:30', 'system', '2019-10-30 15:37:30');
INSERT INTO `ld_article_content` VALUES (338, 9, '文明旅游', '단체 당위원회는 당의 맹세를 재검토', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbb0afae.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (339, 9, '文明旅游', '당원과 간부는 당의 맹세를 다시 방문', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbb2ca3e.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (340, 9, '文明旅游', '바다 - 전투의 앞에 다오 여행 회사의 분기 박물관은 월테마 파티 일 활동 개최 말합', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbb4df0b.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (341, 9, '文明旅游', '원래의 마음을 잊지 말고, 미션을 기억하는테마 교육을 수행하고 파티에 들어가는 선서를 다시 방문하십시오.', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbb6f7c4.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (342, 9, '文明旅游', '최초의 마음을 잊지 말고, 임무를 명심하라, 카이 산 섬 민병대에 애도를 표현하는 주제 교육을 수행하십시오.', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbb92f4d.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (343, 9, '文明旅游', '파티 회원을위한 국경일 자원 봉사 서비스, 무료 휴대용 국기, 스티커', NULL, 'ko', '2019-10-30', '/profile/liandao_old_data/5db93dbbb8658.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:31', 'system', '2019-10-30 15:37:31');
INSERT INTO `ld_article_content` VALUES (344, 9, '文明旅游', '「D小平と人々が一緒に」グループ彫刻公園', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db9399f6c779.jpg', NULL, '富文本', '<p style=\"text-indent: 2em;\">小平同志の生涯と連雲港は不和の絆を持ち、彼の希望に従った。1997年、胡錦int書記官の個人的な護衛の下、D小平同志の遺灰は連帯のパイナップル山の外の海に散らばった。 Deng Xiaoping Sculpture Parkの建設は、党教育、愛国心教育、きれいな政府教育など、中国で有名な赤い教育基地になり、年間35万人の訪問者を受け入れています。</p><p style=\"text-indent: 2em;\">「D小平と人々が一緒に」彫刻公園はLi島パイナップルヒルにあり、「小小平と人々が一緒に」グループ彫刻、Hu海キャンペーンフロンティアコマンド展示ホール、緑豊かな庭園、照明設備を含む50,000平方メートルの面積をカバーしています。バックグラウンドミュージックなど彫刻は、清華大学の李翔泉教授によって設計されました。作品のテーマは次のとおりです。偉大な人々は、兵士、労働者、知識人、若い女性、子供たちによって代表される人々と一緒になり、小平同志を反映しています。私の祖国と人々を愛することの精神的な意味合い;党の指導者と人々の間の肉と血のつながりを反映している;小平同志と連雲港の間の不可解な絆を反映している。</p><p style=\"text-indent: 2em;\">「D小平と人々が一緒に」彫刻公園は、彫刻公園が完成した後、人々が偉大な指導者の偉大な功績をよりよく思い出すことができるように、非常に重要です。港湾都市の発展のペースを加速する強力な原動力。彫刻公園の完成は、四川省広安布のX小平と深L蓮花山公園の小小平像とともに、偉大な男性の人生の3段階のプロセスを形成します。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-10-30 15:18:17', 'system', '2019-10-30 15:18:17');
INSERT INTO `ld_article_content` VALUES (345, 9, '文明旅游', '「最初の心を忘れず、使命に留意してください」というテーマの教育を実施し、海山島民兵に哀toの意を表します', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcb4a44c.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:47', 'system', '2019-10-30 15:37:47');
INSERT INTO `ld_article_content` VALUES (346, 9, '文明旅游', '「元の心を忘れず、使命を思い出す」というテーマの教育を実施し、パーティーへの参加の誓いを再確認する', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcb6c935.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:47', 'system', '2019-10-30 15:37:47');
INSERT INTO `ld_article_content` VALUES (347, 9, '文明旅游', 'ai海キャンペーン戦線は展示場を指す', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcb8e152.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:47', 'system', '2019-10-30 15:37:47');
INSERT INTO `ld_article_content` VALUES (348, 9, '文明旅游', 'CPPCCの元副会長であるZhang Huaixi', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcbb2917.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:47', 'system', '2019-10-30 15:37:47');
INSERT INTO `ld_article_content` VALUES (349, 9, '文明旅游', 'Liandao Tourism Companyの党支部は、Hu海の戦いの前に展示ホールで「7月1日」のテーマパーティーの日イベントを開催しました。', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcbe45ec.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:47', 'system', '2019-10-30 15:37:47');
INSERT INTO `ld_article_content` VALUES (350, 9, '文明旅游', 'グループビルディングを備えたパーティビルディング、Liandao Tourism Companyのパーティブランチ、および東港小学校のブランチは、「活動中の海岸線と若者を守る」という教育活動を実施しました。', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcc12462.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (351, 9, '文明旅游', 'グループ党委員会は党の宣誓を再訪した', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcc488f2.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (352, 9, '文明旅游', 'ナショナルデイロングダイクを迎える', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcc6b517.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (353, 9, '文明旅游', 'グループの党委員会は、X小平生誕115周年を記念するイベントを開催しました', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dcc905b8.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (354, 9, '文明旅游', 'パーティーメンバー向けのナショナルデイボランティアサービス、無料の携帯国旗、ステッカー', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dccbb57d.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (355, 9, '文明旅游', '党員と幹部は党の誓いを再訪する', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dccdfd43.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:48', 'system', '2019-10-30 15:37:48');
INSERT INTO `ld_article_content` VALUES (356, 9, '文明旅游', '公園の日の出', NULL, 'jp', '2019-10-30', '/profile/liandao_old_data/5db93dce4ae9d.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-10-30 15:37:50', 'system', '2019-10-30 15:37:50');
INSERT INTO `ld_article_content` VALUES (357, 10, '酒店预订', '天际酒店', NULL, 'zh', '2019-06-14', '/profile/liandao_old_data/6177befa4132a.jpg', NULL, '富文本', '<p style=\"margin-top: 0;margin-right: 0;margin-bottom: 0;text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">天际</span>·<span style=\"font-family:宋体\">大沙湾共有</span><span style=\"font-family:Calibri\">26</span><span style=\"font-family:宋体\">间房，海景大床房</span><span style=\"font-family:Calibri\">13</span><span style=\"font-family:宋体\">间，豪华海景套房</span><span style=\"font-family:Calibri\">3</span><span style=\"font-family:宋体\">间，标准双人房</span><span style=\"font-family:Calibri\">10</span><span style=\"font-family:宋体\">间，拥有依窗看海的一线海景房，房间宽敞明亮，设施齐全，舒适洁净，格调高雅，是居家旅行、外埠商旅停泊的理想港湾。</span></span></p><p style=\"margin-top: 0;margin-right: 0;margin-bottom: 0;text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">天际</span>·<span style=\"font-family:宋体\">苏马湾民宿分为木屋和民宿两种风格，木屋风格共有</span><span style=\"font-family:Calibri\">12</span><span style=\"font-family:宋体\">间，民宿风格共有</span><span style=\"font-family:Calibri\">24</span><span style=\"font-family:宋体\">间，湾内环境静谧幽雅，山清水秀，带您远避喧嚣，恍隔世外桃源，是休闲、度假的理想之地。</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-14 15:55:03', 'system', '2019-06-14 15:55:03');
INSERT INTO `ld_article_content` VALUES (358, 10, '酒店预订', '天际·大沙湾', NULL, 'zh', '2019-06-21', '/profile/liandao_old_data/61556f7a5e7c2.jpg', NULL, '富文本', '<p style=\";text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">天际</span></span><span style=\";font-family:宋体;font-size:14px\">·大沙湾</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">是连岛景区直营</span></span><span style=\";font-family:宋体;font-size:14px\">的酒店</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">，位于连岛大沙湾天然浴场内，西接拦海大堤，南连港口港湾，酒店位置极佳，环境幽静，安逸悠闲，乐此不疲。</span></span></p><p style=\";text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">拥有推窗看海的一线海景，清晨观海上日出，夜晚赏阑珊的渔家船景，连岛美在海中央！因酒店建在沙滩海边，一眼望去海平面与天空衔为一体，故得名</span></span><span style=\";font-family:宋体;font-size:14px\">“</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">天际酒店</span></span><span style=\";font-family:宋体;font-size:14px\">”——</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">传说海的远方，海天相接。</span></span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-21 15:04:14', 'system', '2019-06-21 15:04:14');
INSERT INTO `ld_article_content` VALUES (359, 10, '酒店预订', '天际·苏马湾', NULL, 'zh', '2019-06-21', '/profile/liandao_old_data/6177bf182460e.jpg', NULL, '富文本', '<p style=\";text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在诗人的意境中，苏马湾的空气，是</span></span><span style=\";font-family:宋体;font-size:14px\">“</span><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">三月的柔思，十月的秋空；是细雨林烟，月色朦胧；是凌波仙子，清水芙蓉</span></span><span style=\";font-family:宋体;font-size:14px\">”……</span><span style=\";font-family:Calibri;font-size:14px\">　　</span></p><p style=\";text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">在画家笔下，苏马湾的画面，远眺，波晃一山翠，碧海晚照红。行云映白雪，金滩落银河；近观，波波笑春风，树树皆秋色。百鸟枝头闹，木屋月中疏</span></span><span style=\";font-family:宋体;font-size:14px\">……</span><span style=\";font-family:Calibri;font-size:14px\">　</span></p><p style=\";text-indent: 28px;padding: 0;line-height: 30px;background: rgb(255, 255, 255)\"><span style=\";font-family:Calibri;font-size:14px\"><span style=\"font-family:宋体\">幸入苏马湾，入住望海山庄，吸着灵气游仙境，枕着海涛入梦乡</span></span><span style=\";font-family:宋体;font-size:14px\">……</span></p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-21 15:05:35', 'system', '2019-06-21 15:05:35');
INSERT INTO `ld_article_content` VALUES (360, 10, '酒店预订', 'Suma Bay Room', NULL, 'en', '2019-06-14', '/profile/liandao_old_data/5d0c811eab0c0.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-14 15:55:03', 'system', '2019-06-14 15:55:03');
INSERT INTO `ld_article_content` VALUES (361, 10, '酒店预订', 'Suma Bay Wanghai Villa', NULL, 'en', '2019-06-21', '/profile/liandao_old_data/616939565060b.jpg', NULL, '富文本', '<p>In the poet&#39;s artistic conception, the air in Suma Bay is &quot;the March of the retreat, the autumn of October; it is the rain of the rainforest, the moonlight ; it is the Lingbo fairy, the clear water hibiscus&quot;...</p><p><br/></p><p>Under the painter&#39;s pen, the picture of Suma Bay is far away, and it is a wave of mountains and greenery. The clouds reflect the snow, the golden beach falls into the Milky Way; the near view, the waves wave the spring breeze, the trees are autumn. A hundred birds are in trouble, and the wooden house is in the middle of the moon...</p><p><br/></p><p>Fortunately, I entered the Suma Bay and stayed at the Wanghai Mountain Villa. I was attracted to the wonderland and dreamed of Haitao...</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-21 15:04:14', 'system', '2019-06-21 15:04:14');
INSERT INTO `ld_article_content` VALUES (362, 10, '酒店预订', 'Dashawan Holiday Room', NULL, 'en', '2019-06-21', '/profile/liandao_old_data/5d0c820a78626.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-21 15:05:35', 'system', '2019-06-21 15:05:35');
INSERT INTO `ld_article_content` VALUES (363, 10, '酒店预订', '수마 베이 룸', NULL, 'ko', '2019-06-14', '/profile/liandao_old_data/5d0c811eab0c0.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-14 15:55:03', 'system', '2019-06-14 15:55:03');
INSERT INTO `ld_article_content` VALUES (364, 10, '酒店预订', '수마 베이 왕 하이 빌라', NULL, 'ko', '2019-06-21', '/profile/liandao_old_data/6169398fe68ce.jpg', NULL, '富文本', '<p>시인의 예술적 개념에서, 수마 베이의 공기는 &quot;10 월의 가을, 3 월의 후퇴; 열대 우림의 비, 달빛 it; 그것은 Lingbo 요정, 맑은 물 히비스커스입니다 ...&quot;</p><p><br/></p><p>화가의 펜 아래에서 수마 베이의 그림은 멀리 떨어져 있으며 산과 녹지의 물결입니다. 구름은 눈을 반영하고, 황금빛 해변은 은하수로 떨어지고, 가까운 전망, 파도는 봄 바람을 흔들고, 나무는 가을입니다. 백 마리의 새가 곤경에 처해 있으며 목조 주택은 달의 한가운데 있습니다.</p><p><br/></p><p>운 좋게도 수마 만에 들어 와서 왕 해산 빌라에 머물면서 원더 랜드에 매료되어 하이 타오를 꿈 꾸었습니다 ...</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-21 15:04:14', 'system', '2019-06-21 15:04:14');
INSERT INTO `ld_article_content` VALUES (365, 10, '酒店预订', '다샤 완 홀리데이 룸', NULL, 'ko', '2019-06-21', '/profile/liandao_old_data/5d0c820a78626.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-21 15:05:35', 'system', '2019-06-21 15:05:35');
INSERT INTO `ld_article_content` VALUES (366, 10, '酒店预订', 'スマベイルーム', NULL, 'jp', '2019-06-14', '/profile/liandao_old_data/5d0c811eab0c0.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-14 15:55:03', 'system', '2019-06-14 15:55:03');
INSERT INTO `ld_article_content` VALUES (367, 10, '酒店预订', 'スマベイワンハイヴィラ', NULL, 'jp', '2019-06-21', '/profile/liandao_old_data/616939b9dfab1.jpg', NULL, '富文本', '<p>詩人の芸術的発想では、須磨湾の空気は「隠れ家の3月、10月の秋、雨林の雨、月明かり朦胧、Lingboの妖精、澄んだ水のハイビスカス」です...</p><p><br/></p><p>画家のペンの下で、須磨湾の写真は遠く、山と緑の波です。 雲は雪を反映し、金色のビーチは天の川に落ちます;近くの景色、波は春の風を揺らし、木は秋です。 百羽の鳥が困っており、木造の家は月の真ん中にあります...</p><p><br/></p><p>幸い、須磨湾に入って望海山荘に泊まり、不思議の国に惹かれて海Haを夢見ました...</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-21 15:04:14', 'system', '2019-06-21 15:04:14');
INSERT INTO `ld_article_content` VALUES (368, 10, '酒店预订', 'ダシャワンホリデールーム', NULL, 'jp', '2019-06-21', '/profile/liandao_old_data/5d0c820a78626.jpg', NULL, '富文本', NULL, NULL, NULL, NULL, 'system', '2019-06-21 15:05:35', 'system', '2019-06-21 15:05:35');
INSERT INTO `ld_article_content` VALUES (369, 11, '连岛美食', '红烧鲈鱼', NULL, 'zh', '2019-06-17', '/profile/liandao_old_data/5d075d5adceb9.jpg', NULL, '富文本', '<p>1.鲈鱼洗净、沥干水分，两面鱼身分别打上花刀，抹上少许盐，腌30分钟&nbsp;&nbsp;</p><p>2.姜、蒜切丝待用&nbsp;&nbsp;</p><p>3.锅烧热，先用生姜擦一下锅底，煎鱼时候鱼皮不会粘锅&nbsp;&nbsp;</p><p>4.倒入油适量，油热后把鱼放入油锅，略煎一下，盛出&nbsp;&nbsp;</p><p>5.锅中放入切好的葱、姜、蒜，八宝豆豉酱炒香，然后放入煎过的鲈鱼。倒入黄酒少许，酱油、香叶、糖，加适量的水，烧至汤汁微微收干，撒上香葱，出锅即可</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:27:18', 'system', '2019-06-17 17:27:18');
INSERT INTO `ld_article_content` VALUES (370, 11, '连岛美食', '酥炸小黄鱼', NULL, 'zh', '2019-06-17', '/profile/liandao_old_data/5d075e6d5e61d.jpg', NULL, '富文本', '<p>1.准备好材料&nbsp;&nbsp;</p><p>2.小黄鱼洗净后用厨房纸吸干水份&nbsp;&nbsp;</p><p>3.然后再放入筛中放到阳台通风处风干&nbsp;&nbsp;</p><p>4.然后在风干的小黄鱼上撒盐抓匀&nbsp;&nbsp;</p><p>5.再撒上生粉&nbsp;&nbsp;</p><p>6.抓拌均匀&nbsp;&nbsp;</p><p>7.锅里热油至八分熟&nbsp;&nbsp;</p><p>8.然后放入小黄鱼煎炸&nbsp;&nbsp;</p><p>9.放入姜片一起煎炸&nbsp;&nbsp;</p><p>10.家里有油锅的可以放入油锅中炸&nbsp;&nbsp;</p><p>11.完成&nbsp;&nbsp;</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:31:50', 'system', '2019-06-17 17:31:50');
INSERT INTO `ld_article_content` VALUES (371, 11, '连岛美食', '烤鳗鱼', NULL, 'zh', '2019-06-17', '/profile/liandao_old_data/5d076024605ca.jpg', NULL, '富文本', '<p>1.海鳗鱼清洗干净，片下鱼肉。&nbsp;&nbsp;</p><p>2.用1勺生抽、1勺老抽、半勺白酒、半勺糖、半小勺胡椒粉、半小勺咖喱粉、半小勺孜冉淹一下。&nbsp;&nbsp;</p><p>3.烧热锅子，涂一薄层油，放入淹好的肉片。&nbsp;&nbsp;</p><p>4.中火2分钟，翻一面。&nbsp;&nbsp;</p><p>5.重复这个过程2~3次，鱼肉煎香煎透就可以了（整个过程也可以用烤箱来做，200度烤15~20分钟）。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:33:37', 'system', '2019-06-17 17:33:37');
INSERT INTO `ld_article_content` VALUES (372, 11, '连岛美食', '干炸带鱼', NULL, 'zh', '2019-06-17', '/profile/liandao_old_data/5d082fe47aa9d.jpg', NULL, '富文本', '<p>1.带鱼洗净切段，加盐、料酒、胡椒粉、姜丝抓匀腌制一晚。&nbsp;&nbsp;</p><p>2.腌制好的带鱼倒去汁水，裹一层玉米淀粉。&nbsp;&nbsp;</p><p>3.温油入锅，中火炸制。&nbsp;&nbsp;</p><p>4.等炸到一面焦黄后翻面。&nbsp;&nbsp;</p><p>5.成品。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:40:56', 'system', '2019-06-17 17:40:56');
INSERT INTO `ld_article_content` VALUES (373, 11, '连岛美食', '梭子蟹', NULL, 'zh', '2019-06-18', '/profile/liandao_old_data/5d0831cf7aed9.jpg', NULL, '富文本', '<p>1.准备好食材&nbsp;&nbsp;</p><p>2.香葱切段，准备姜片，蒜片，梭子蟹揭盖，&nbsp;&nbsp;</p><p>3.锅中倒入食用油，姜片，葱段，蒜片，花椒，八角，大火翻炒&nbsp;&nbsp;</p><p>4.加入生抽，醋，水，倒入梭子蟹，大火&nbsp;&nbsp;</p><p>5.加入盐，白砂糖，大火收汁</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:27:20', 'system', '2019-06-18 08:27:20');
INSERT INTO `ld_article_content` VALUES (374, 11, '连岛美食', '葱姜帝王蟹', NULL, 'zh', '2019-06-18', '/profile/liandao_old_data/5d08350ec73bd.jpg', NULL, '富文本', '<p>1.石蟹解冻，清洗干净，用剪刀将蟹腿剪下，并将蟹子分成小段，也可以提前剪掉刺&nbsp;&nbsp;</p><p>2.锅内加植物油，5成热放入葱姜蒜爆锅，再加入石蟹翻炒，继续加入盐翻炒10分钟左右，炒出香味，再加入料酒、生抽、白糖、盐、胡椒和适量的水，中小火焖10分钟左右，汤汁慢慢收干即可，最后用香菜做装饰</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:48:26', 'system', '2019-06-18 08:48:26');
INSERT INTO `ld_article_content` VALUES (375, 11, '连岛美食', '蒜香烤虾', NULL, 'zh', '2019-06-18', '/profile/liandao_old_data/5d0837b677200.jpg', NULL, '富文本', '<p>1.准备好原材料&nbsp;&nbsp;</p><p>2.剪掉长须，清洗干净，挑出虾线&nbsp;&nbsp;</p><p>3.为了更好入味，在虾的背部切条小口&nbsp;&nbsp;</p><p>4.生姜、大蒜瓣切成末&nbsp;&nbsp;</p><p>5.虾里放入少许盐、蚝油，加入姜蒜末、适量黑胡椒粉，抓匀，腌制十来分钟&nbsp;&nbsp;</p><p>6.电饼铛预热刷上一层油&nbsp;&nbsp;</p><p>7.倒入虾及腌制调料&nbsp;&nbsp;</p><p>8.烤五六分钟即可</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:49:22', 'system', '2019-06-18 08:49:22');
INSERT INTO `ld_article_content` VALUES (376, 11, '连岛美食', '蚝汁鲍鱼', NULL, 'zh', '2019-06-18', '/profile/liandao_old_data/5d0838297a70b.jpg', NULL, '富文本', '<p>1.材料准备好；用刷子将鲍鱼两边的沉污刷洗干净&nbsp;&nbsp;</p><p>2.用小刀或勺子柄将鲍鱼肉挖出，去除内脏，冲洗干净，鲍鱼壳也同样刷洗干净备用，接着在鲍鱼肉上划一些花刀&nbsp;&nbsp;</p><p>3.将处理好的鲍鱼肉放入鲍鱼壳里，摆上蒸锅，大火蒸8-10分钟左右；蒸好的鲍鱼拿出，摆入盘中&nbsp;&nbsp;</p><p>4.葱、蒜切碎，锅里热油，爆香蒜蓉&nbsp;&nbsp;</p><p>5.接着将蚝油、淀粉、水倒入，煮开，煮至浓稠后淋在鲍鱼上，撒上葱花即可</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:00:42', 'system', '2019-06-18 09:00:42');
INSERT INTO `ld_article_content` VALUES (377, 11, '连岛美食', '清蒸扇贝', NULL, 'zh', '2019-06-18', '/profile/upload/2024/04/17/蒜蓉生蚝3_20240417164429A070.jpg', NULL, '富文本', '<p>1.生姜、大蒜、葱切碎备用；&nbsp;&nbsp;</p><p>2.扇贝放清水中浸泡会；&nbsp;&nbsp;</p><p>3.生抽、酱油、盐、醋、香油、糖调成酱汁备用；&nbsp;&nbsp;</p><p>4.将扇贝上撒上姜、蒜末，放入少许酱汁；&nbsp;&nbsp;</p><p>5.放上蒸锅，水开蒸十分钟&nbsp;&nbsp;</p>', NULL, NULL, NULL, 'system', '2019-06-18 09:02:37', 'admin', '2024-04-17 16:44:31');
INSERT INTO `ld_article_content` VALUES (378, 11, '连岛美食', '红烧鲈鱼', NULL, 'en', '2019-06-17', '/profile/liandao_old_data/5d075d5adceb9.jpg', NULL, '富文本', '<p>1.鲈鱼洗净、沥干水分，两面鱼身分别打上花刀，抹上少许盐，腌30分钟&nbsp;&nbsp;</p><p>2.姜、蒜切丝待用&nbsp;&nbsp;</p><p>3.锅烧热，先用生姜擦一下锅底，煎鱼时候鱼皮不会粘锅&nbsp;&nbsp;</p><p>4.倒入油适量，油热后把鱼放入油锅，略煎一下，盛出&nbsp;&nbsp;</p><p>5.锅中放入切好的葱、姜、蒜，八宝豆豉酱炒香，然后放入煎过的鲈鱼。倒入黄酒少许，酱油、香叶、糖，加适量的水，烧至汤汁微微收干，撒上香葱，出锅即可</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:27:18', 'system', '2019-06-17 17:27:18');
INSERT INTO `ld_article_content` VALUES (379, 11, '连岛美食', 'Fried small yellow croaker', NULL, 'en', '2019-06-17', '/profile/liandao_old_data/5d075e6d5e61d.jpg', NULL, '富文本', '<p>1. Prepare the materials</p><p><br/></p><p>2. Wash the small yellow croaker with kitchen paper and dry it.</p><p><br/></p><p>3. Then put it in the sieve and put it in the ventilation of the balcony.</p><p><br/></p><p>4. Then spread the salt on the air-dried small yellow croaker.</p><p><br/></p><p>5. Sprinkle with raw powder</p><p><br/></p><p>6. Grab evenly</p><p><br/></p><p>7. Hot oil in the pot until 8 minutes</p><p><br/></p><p>8. Then add the small yellow croaker to fry</p><p><br/></p><p>9. Add ginger slices and fry together</p><p><br/></p><p>10. If you have a pan at home, you can put it in a frying pan.</p><p><br/></p><p>11. Complete</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:31:50', 'system', '2019-06-17 17:31:50');
INSERT INTO `ld_article_content` VALUES (380, 11, '连岛美食', 'Grilled squid', NULL, 'en', '2019-06-17', '/profile/liandao_old_data/5d076024605ca.jpg', NULL, '富文本', '<p>1. The sea bass is cleaned and the fish is sliced.</p><p><br/></p><p>2. Use 1 scoop of soy sauce, 1 scoop of soy sauce, half a spoonful of white wine, half a spoonful of sugar, half a teaspoon of pepper, half a teaspoon of curry powder, and a half spoonful of water.</p><p><br/></p><p>3. Heat the pot, apply a thin layer of oil, and place the fried meat.</p><p><br/></p><p>4. In the middle of the fire for 2 minutes, turn over one side.</p><p><br/></p><p>5. Repeat this process 2~3 times, the fish can be fried and fried. (The whole process can also be done in the oven, baking at 200 degrees for 15~20 minutes).</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:33:37', 'system', '2019-06-17 17:33:37');
INSERT INTO `ld_article_content` VALUES (381, 11, '连岛美食', 'Dry fried fish', NULL, 'en', '2019-06-17', '/profile/liandao_old_data/5d082fe47aa9d.jpg', NULL, '富文本', '<p>1. Wash the fish with cut pieces, add salt, cooking wine, pepper, ginger and pickle and marinate for one night.</p><p><br/></p><p>2. Marinated fish with pour water and wrap a layer of cornstarch.</p><p><br/></p><p>3. Warm oil into the pot and fry in medium heat.</p><p><br/></p><p>4. Wait until the one side is browned and then turn over.</p><p><br/></p><p>5. Finished product.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:40:56', 'system', '2019-06-17 17:40:56');
INSERT INTO `ld_article_content` VALUES (382, 11, '连岛美食', 'Swimming crab', NULL, 'en', '2019-06-18', '/profile/liandao_old_data/5d0831cf7aed9.jpg', NULL, '富文本', '<p>1. Prepare ingredients</p><p><br/></p><p>2. Cut the shallots, prepare ginger slices, garlic slices, and remove the crabs.</p><p><br/></p><p>3. Pour the cooking oil into the pot, ginger, onion, garlic, pepper, star anise, stir fry</p><p><br/></p><p>4. Add soy sauce, vinegar, water, pour crab, fire</p><p><br/></p><p>5. Add salt, white sugar, and fire</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:27:20', 'system', '2019-06-18 08:27:20');
INSERT INTO `ld_article_content` VALUES (383, 11, '连岛美食', 'Onion ginger king crab', NULL, 'en', '2019-06-18', '/profile/liandao_old_data/5d08350ec73bd.jpg', NULL, '富文本', '<p>1. Thaw the stone crab, clean it, cut the crab leg with scissors, and divide the crab into small pieces. You can also cut the thorn in advance.</p><p><br/></p><p>2. Add vegetable oil to the pot, add 50% hot to the onion ginger garlic pot, add stone crab stir fry, continue to add salt and stir fry for about 10 minutes, stir fry, then add cooking wine, soy sauce, sugar, salt, pepper and Appropriate amount of water, medium and small fire for about 10 minutes, the soup can be slowly dried, and finally decorated with parsley</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:48:26', 'system', '2019-06-18 08:48:26');
INSERT INTO `ld_article_content` VALUES (384, 11, '连岛美食', 'Garlic grilled shrimp', NULL, 'en', '2019-06-18', '/profile/liandao_old_data/5d0837b677200.jpg', NULL, '富文本', '<p>1. Prepare raw materials</p><p><br/></p><p>2. Cut off the long beard, clean it, and pick out the shrimp line</p><p><br/></p><p>3. In order to better taste, cut a small mouth on the back of the shrimp</p><p><br/></p><p>4. Ginger and garlic cut into the end</p><p><br/></p><p>5. Put a little salt and oyster sauce in the shrimp, add ginger and minced garlic, add some black pepper powder, grab evenly, and marinate for ten minutes.</p><p><br/></p><p>6. Electric baking pan preheating brush with a layer of oil</p><p><br/></p><p>7. Pour the shrimp and marinated seasoning</p><p><br/></p><p>8. Bake for five or six minutes</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:49:22', 'system', '2019-06-18 08:49:22');
INSERT INTO `ld_article_content` VALUES (385, 11, '连岛美食', 'Scallion abalone', NULL, 'en', '2019-06-18', '/profile/liandao_old_data/5d0838297a70b.jpg', NULL, '富文本', '<p>1. The material is ready; use a brush to clean the abalone on both sides.</p><p><br/></p><p>2. Use a knife or spoon handle to dig out the abalone meat, remove the internal organs, rinse off, and abalone shells are also cleaned and spared, then draw some flowers on the abalone meat.</p><p><br/></p><p>3. Put the processed abalone meat into the abalone shell, put it on the steamer, steam for about 8-10 minutes on the fire; steamed abalone is taken out and placed in the dish.</p><p><br/></p><p>4. Onion, garlic chopped, hot oil in the pot, sauteed garlic</p><p><br/></p><p>5. Then pour the oyster sauce, starch, and water, boil, boil until thick, pour over the abalone, sprinkle with chopped green onion</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:00:42', 'system', '2019-06-18 09:00:42');
INSERT INTO `ld_article_content` VALUES (386, 11, '连岛美食', 'Steamed scallop', NULL, 'en', '2019-06-18', '/profile/liandao_old_data/5d08388b557a0.jpg', NULL, '富文本', '<p>1. Ginger, garlic and shallots are chopped for use;</p><p><br/></p><p>2. The scallops will be soaked in clear water;</p><p><br/></p><p>3. soy sauce, soy sauce, salt, vinegar, sesame oil, sugar and tune into sauce for use;</p><p><br/></p><p>4. Sprinkle ginger and minced garlic on the scallops and add a little sauce;</p><p><br/></p><p>5. Put in the steamer and steam for 10 minutes.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:02:37', 'system', '2019-06-18 09:02:37');
INSERT INTO `ld_article_content` VALUES (387, 11, '连岛美食', '찐 오징어', NULL, 'ko', '2019-06-17', '/profile/liandao_old_data/5d075d5adceb9.jpg', NULL, '富文本', '<p>1. 오징어를 씻고 물기를 빼고 양쪽 물고기에 칼을 바르고 약간의 소금을 바르고 30 분 동안 담그십시오.</p><p><br/></p><p>2. 생강과 마늘은 절단에 사용됩니다</p><p><br/></p><p>3. 냄비에 열을 가하면 먼저 생강을 사용하여 냄비 바닥을 닦습니다 생선을 튀길 때 피부가 달라 붙지 않습니다.</p><p><br/></p><p>4. 적당량의 기름을 붓고 기름이 뜨거워 진 후 기름 팬에 생선을 넣고 살짝 볶습니다.</p><p><br/></p><p>5. 다진 파, 생강, 마늘, 콩 두부 소스를 냄비에 넣고 튀긴 오징어를 넣습니다. 약간의 옐로우 와인, 간장, 향기로운 잎, 설탕을 부어 물을 넣고 수프가 약간 건조 될 때까지 요리하고 샬롯을 뿌려 봉사하십시오.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:27:18', 'system', '2019-06-17 17:27:18');
INSERT INTO `ld_article_content` VALUES (388, 11, '连岛美食', '작은 노란색 크로커 튀김', NULL, 'ko', '2019-06-17', '/profile/liandao_old_data/5d075e6d5e61d.jpg', NULL, '富文本', '<p>1. 재료 준비</p><p><br/></p><p>2. 작은 노란 크로커를 주방용 종이로 씻고 말리십시오.</p><p><br/></p><p>3. 체에 넣고 발코니 환기구에 넣습니다.</p><p><br/></p><p>4. 그런 다음 공기 건조 된 작은 노란색 크로커에 소금을 뿌립니다.</p><p><br/></p><p>5. 익지 않는 분말을 뿌리십시오</p><p><br/></p><p>6. 균일하게 잡아</p><p><br/></p><p>7. 냄비에 뜨거운 기름을 8 분까지 넣습니다.</p><p><br/></p><p>8. 작은 노란색 크로커를 넣고 볶습니다</p><p><br/></p><p>9. 생강 조각을 넣고 함께 볶습니다</p><p><br/></p><p>10. 집에 팬이 있으면 프라이팬에 넣을 수 있습니다.</p><p><br/></p><p>11. 완료</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:31:50', 'system', '2019-06-17 17:31:50');
INSERT INTO `ld_article_content` VALUES (389, 11, '连岛美食', '오징어 구이', NULL, 'ko', '2019-06-17', '/profile/liandao_old_data/5d076024605ca.jpg', NULL, '富文本', '<p>1. 농어가 청소되고 물고기가 얇게 썬다.</p><p><br/></p><p>2. 간장 1 스푼, 간장 1 스푼, 화이트 와인 반 스푼, 설탕 반 스푼, 후추 반 스푼, 카레 가루 반 스푼, 물 반 스푼을 사용하십시오.</p><p><br/></p><p>3. 냄비를 데우고 기름을 얇게 바르고 튀긴 고기를 넣습니다.</p><p><br/></p><p>4. 불의 중간에 2 분 동안 한쪽을 뒤집습니다.</p><p><br/></p><p>5.이 과정을 2 ~ 3 회 반복하면 생선을 튀겨서 볶을 수 있습니다 (전체 과정은 오븐에서 15도 ~ 20 분 동안 200도에서 굽는 것도 가능합니다).</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:33:37', 'system', '2019-06-17 17:33:37');
INSERT INTO `ld_article_content` VALUES (390, 11, '连岛美食', '마른 생선 튀김', NULL, 'ko', '2019-06-17', '/profile/liandao_old_data/5d082fe47aa9d.jpg', NULL, '富文本', '<p>1. 생선을 잘게 썰어 소금, 요리 와인, 후추, 생강, 피클을 넣고 하룻밤 동안 담그십시오.</p><p><br/></p><p>2. 물을 붓고 절인 생선을 옥수수 전분 층으로 감싼다.</p><p><br/></p><p>3. 냄비에 기름을 넣고 중간 불로 볶습니다.</p><p><br/></p><p>4. 한쪽이 갈색으로 변할 때까지 기다린 다음 뒤집습니다.</p><p><br/></p><p>5. 완제품.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:40:56', 'system', '2019-06-17 17:40:56');
INSERT INTO `ld_article_content` VALUES (391, 11, '连岛美食', '수영 게', NULL, 'ko', '2019-06-18', '/profile/liandao_old_data/5d0831cf7aed9.jpg', NULL, '富文本', '<p>1. 재료 준비</p><p><br/></p><p>2. 샬롯을 자르고 생강 조각, 마늘 조각을 준비하고 게를 제거하십시오.</p><p><br/></p><p>3. 냄비, 생강, 양파, 마늘, 후추, 스타 아니스, 볶음에 식용유를 붓습니다.</p><p><br/></p><p>4. 간장, 식초, 물을 넣고 게를 부어 불</p><p><br/></p><p>5. 소금, 백설탕 및 불을 첨가하십시오</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:27:20', 'system', '2019-06-18 08:27:20');
INSERT INTO `ld_article_content` VALUES (392, 11, '连岛美食', '양파 생강 왕게', NULL, 'ko', '2019-06-18', '/profile/liandao_old_data/5d08350ec73bd.jpg', NULL, '富文本', '<p>1. 돌게를 잘라서 깨끗이 닦고 게 다리를 가위로 자르고 게를 작은 조각으로 나눈 다음 가시를 미리자를 수 있습니다.</p><p><br/></p><p>2. 냄비에 식물성 기름을 넣고 양파 생강 마늘 냄비에 50 % 더운 물을 넣고 돌게 볶음 튀김을 넣고 소금을 넣고 약 10 분간 볶습니다. 볶음 후 요리 와인, 간장, 설탕, 소금, 후추 및 적절한 양의 물, 중간 및 작은 불을 약 10 분 동안, 수프를 천천히 건조시키고 파슬리로 장식합니다.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:48:26', 'system', '2019-06-18 08:48:26');
INSERT INTO `ld_article_content` VALUES (393, 11, '连岛美食', '마늘 구이 새우', NULL, 'ko', '2019-06-18', '/profile/liandao_old_data/5d0837b677200.jpg', NULL, '富文本', '<p>1. 원료 준비</p><p><br/></p><p>2. 긴 수염을 잘라내어 깨끗이 씻어 새 우선을 꺼냅니다.</p><p><br/></p><p>3. 맛을 더 좋게하려면 새우 뒷면에 작은 입을 자르십시오</p><p><br/></p><p>4. 생강과 마늘은 끝으로 자른다</p><p><br/></p><p>5. 새우에 소금과 굴 소스를 넣고 생강과 다진 마늘을 넣고 후추 가루를 넣고 골고루 10 분간 담그십시오.</p><p><br/></p><p>6. 기름 층을 가진 전기 굽기 팬 예열 솔</p><p><br/></p><p>7. 새우와 절인 양념을 부어</p><p><br/></p><p>8. 5-6 분 동안 굽습니다.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:49:22', 'system', '2019-06-18 08:49:22');
INSERT INTO `ld_article_content` VALUES (394, 11, '连岛美食', '가리비 전복', NULL, 'ko', '2019-06-18', '/profile/liandao_old_data/5d0838297a70b.jpg', NULL, '富文本', '<p>1. 재료가 준비되었습니다. 브러시를 사용하여 양면의 전복을 청소하십시오.</p><p><br/></p><p>2. 나이프 또는 숟가락 손잡이를 사용하여 전복 고기를 파 내고, 내장 기관을 제거하고, 헹구고, 전복 껍질도 청소하고 절약 한 다음 전복 고기에 약간의 꽃을 그립니다.</p><p><br/></p><p>3. 가공 된 전복 고기를 전복 껍질에 넣고 찜통에 넣고 약 8-10 분간 불에 steam 서 찐 전복을 꺼내 접시에 넣습니다.</p><p><br/></p><p>4. 양파, 다진 마늘, 냄비에 뜨거운 기름, 볶은 마늘</p><p><br/></p><p>5. 굴 소스, 전분, 물을 붓고 끓여 두껍게 끓인 다음 전복에 부어 다진 파를 뿌린다.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:00:42', 'system', '2019-06-18 09:00:42');
INSERT INTO `ld_article_content` VALUES (395, 11, '连岛美食', '가리비 찜', NULL, 'ko', '2019-06-18', '/profile/liandao_old_data/5d08388b557a0.jpg', NULL, '富文本', '<p>1. 생강, 마늘, 샬롯은 잘게 썬다.</p><p><br/></p><p>2. 가리비는 맑은 물에 담 가질 것입니다.</p><p><br/></p><p>3. 간장, 간장, 소금, 식초, 참기름, 설탕 및 사용을위한 소스로 조율;</p><p><br/></p><p>4. 가리비에 생강과 다진 마늘을 뿌려 소스를 조금 넣습니다.</p><p><br/></p><p>5. 찜통에 넣고 10 분간 찐다.</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:02:37', 'system', '2019-06-18 09:02:37');
INSERT INTO `ld_article_content` VALUES (396, 11, '连岛美食', 'イカの蒸し煮', NULL, 'jp', '2019-06-17', '/profile/liandao_old_data/5d075d5adceb9.jpg', NULL, '富文本', '<p>1.イカを洗って水気を切り、両側の魚にナイフを当て、少量の塩を塗り、30分間マリネします。</p><p><br/></p><p>2.しょうがとにんにくを切る</p><p><br/></p><p>3.鍋を加熱し、最初に生ingerを使って鍋の底を拭きます魚を揚げるとき、皮はくっつきません。</p><p><br/></p><p>4.適量のオイルを注ぎ、オイルが熱くなったら魚をオイルパンに入れ、少し炒めてから出す</p><p><br/></p><p>5.刻んだネギ、生inger、ニンニク、豆腐ソースを鍋に入れ、揚げたイカを加えます。 少し黄色のワイン、醤油、香ばしい葉、砂糖を注ぎ、水を少し加え、スープがわずかに乾くまで調理し、エシャロットを振りかけます。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:27:18', 'system', '2019-06-17 17:27:18');
INSERT INTO `ld_article_content` VALUES (397, 11, '连岛美食', '揚げ小黄色いニベ', NULL, 'jp', '2019-06-17', '/profile/liandao_old_data/5d075e6d5e61d.jpg', NULL, '富文本', '<p>1.材料を準備する</p><p><br/></p><p>2.小さな黄色いニベをキッチンペーパーで洗って乾かします。</p><p><br/></p><p>3.次に、ふるいに入れて、バルコニーの換気口に入れます。</p><p><br/></p><p>4.次に、風乾した小さな黄色いニベに塩を塗ります。</p><p><br/></p><p>5.生の粉末を振りかける</p><p><br/></p><p>6.均等につかむ</p><p><br/></p><p>7. 8分まで鍋に熱いオイル</p><p><br/></p><p>8.次に、小さな黄色いニベ科魚を炒めます</p><p><br/></p><p>9.生ingerスライスを追加して一緒に炒める</p><p><br/></p><p>10.家に鍋がある場合は、フライパンに入れることができます。</p><p><br/></p><p>11.完了</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:31:50', 'system', '2019-06-17 17:31:50');
INSERT INTO `ld_article_content` VALUES (398, 11, '连岛美食', 'イカのグリル', NULL, 'jp', '2019-06-17', '/profile/liandao_old_data/5d076024605ca.jpg', NULL, '富文本', '<p>1.スズキをきれいにし、魚をスライスします。</p><p><br/></p><p>2.醤油1杯、醤油1杯、白ワイン1杯、砂糖1杯、砂糖1杯、コショウ小さじ1杯、カレー粉小さじ1杯、水1杯を使用します。</p><p><br/></p><p>3.鍋を加熱し、油の薄い層を塗り、揚げた肉を置きます。</p><p><br/></p><p>4.火の真ん中で2分間、片側を裏返します。</p><p><br/></p><p>5.このプロセスを2〜3回繰り返し、魚を揚げて揚げます（プロセス全体をオーブンで行い、200度で15〜20分間焼くことができます）。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:33:37', 'system', '2019-06-17 17:33:37');
INSERT INTO `ld_article_content` VALUES (399, 11, '连岛美食', '魚のフライ', NULL, 'jp', '2019-06-17', '/profile/liandao_old_data/5d082fe47aa9d.jpg', NULL, '富文本', '<p>1.切り身で魚を洗い、塩、調理用ワイン、コショウ、生inger、漬物を加えて一晩マリネします。</p><p><br/></p><p>2.魚をマリネし、水を注ぎ、コーンスターチの層を包みます。</p><p><br/></p><p>3.鍋にオイルを温め、中火で炒める。</p><p><br/></p><p>4.片面が茶色になるまで待ってから裏返します。</p><p><br/></p><p>5.完成品。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-17 17:40:56', 'system', '2019-06-17 17:40:56');
INSERT INTO `ld_article_content` VALUES (400, 11, '连岛美食', '泳ぐカニ', NULL, 'jp', '2019-06-18', '/profile/liandao_old_data/5d0831cf7aed9.jpg', NULL, '富文本', '<p>1.材料を準備する</p><p><br/></p><p>2.エシャロットを切り、生ingerのスライス、ニンニクのスライスを準備し、カニを取り除きます。</p><p><br/></p><p>3.鍋、生inger、タマネギ、ニンニク、コショウ、スターアニス、炒め物に食用油を注ぎます</p><p><br/></p><p>4.醤油、酢、水を加え、カニを注ぎ、火をかける</p><p><br/></p><p>5.塩、白砂糖、火を追加します</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:27:20', 'system', '2019-06-18 08:27:20');
INSERT INTO `ld_article_content` VALUES (401, 11, '连岛美食', 'オニオンジンジャータラバかに', NULL, 'jp', '2019-06-18', '/profile/liandao_old_data/5d08350ec73bd.jpg', NULL, '富文本', '<p>1.石のカニを解凍し、きれいにし、はさみでカニの脚を切り、カニを小片に分けます。</p><p><br/></p><p>2.鍋に植物油を加え、玉ねぎ生ingerにんにく鍋に50％の熱い鍋を加え、石cの炒め物を加え、塩を加えて約10分間炒め、炒め、料理用ワイン、醤油、砂糖、塩、コショウを加え、 適切な量の水、中火、小火で約10分間、スープをゆっくり乾燥させ、最後にパセリで飾ります</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:48:26', 'system', '2019-06-18 08:48:26');
INSERT INTO `ld_article_content` VALUES (402, 11, '连岛美食', 'エビのガーリック焼き', NULL, 'jp', '2019-06-18', '/profile/liandao_old_data/5d0837b677200.jpg', NULL, '富文本', '<p>1.原材料を準備する</p><p><br/></p><p>2.長いひげを切り取り、きれいにし、エビのラインを取り出します</p><p><br/></p><p>3.味を良くするために、エビの背に小さな口を切ります</p><p><br/></p><p>4.しょうがとにんにくの切り口</p><p><br/></p><p>5.少々の塩とオイスターソースをエビに入れ、生ingerとニンニクのみじん切りを加え、黒胡pepperの粉末を加え、均等につかみ、10分間マリネします。</p><p><br/></p><p>6.オイルの層が付いている電気ベーキングパンの予熱ブラシ</p><p><br/></p><p>7.エビとマリネした調味料を注ぎます</p><p><br/></p><p>8. 5〜6分間焼く</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 08:49:22', 'system', '2019-06-18 08:49:22');
INSERT INTO `ld_article_content` VALUES (403, 11, '连岛美食', 'ねぎあわび', NULL, 'jp', '2019-06-18', '/profile/liandao_old_data/5d0838297a70b.jpg', NULL, '富文本', '<p>1.材料の準備ができているので、ブラシを使用して両側のアワビをきれいにします。</p><p><br/></p><p>2.ナイフまたはスプーンのハンドルを使用して、アワビの肉を掘り出し、内臓を取り除き、洗い流します。また、アワビの殻もきれいになり、温めてから、アワビの肉に花を描きます。</p><p><br/></p><p>3.加工したアワビの肉をアワビの殻に入れ、蒸し器に乗せ、火で約8〜10分間蒸します；蒸したアワビを取り出して皿に置きます。</p><p><br/></p><p>4.タマネギ、ニンニクのみじん切り、鍋に熱い油、ニンニクのソテー</p><p><br/></p><p>5.次に、オイスターソース、でんぷん、水を注ぎ、沸騰させ、濃くなるまで煮込み、アワビの上に注ぎ、刻んだネギを振りかける</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:00:42', 'system', '2019-06-18 09:00:42');
INSERT INTO `ld_article_content` VALUES (404, 11, '连岛美食', 'ホタテ蒸し', NULL, 'jp', '2019-06-18', '/profile/liandao_old_data/5d08388b557a0.jpg', NULL, '富文本', '<p>1.ショウガ、ニンニク、エシャロットは、使用のために切り刻まれます。</p><p><br/></p><p>2.ホタテは澄んだ水に浸されます。</p><p><br/></p><p>3.醤油、醤油、塩、酢、ごま油、砂糖を入れてソースに合わせて使用します。</p><p><br/></p><p>4.ホタテに生ingerとみじん切りのニンニクを振りかけ、少量のソースを加える。</p><p><br/></p><p>5.蒸し器に入れ、10分間蒸します。</p><p><br/></p>', NULL, NULL, NULL, 'system', '2019-06-18 09:02:37', 'system', '2019-06-18 09:02:37');
INSERT INTO `ld_article_content` VALUES (405, 1, '印象连岛', '大沙湾', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/大沙湾_20240417145532A001.jpg', NULL, '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-09 15:50:35', 'admin', '2024-04-17 14:55:34');
INSERT INTO `ld_article_content` VALUES (406, 1, '印象连岛', '海滨栈道', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/海滨栈道_20240417145604A004.jpg', NULL, '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-09 15:51:40', 'admin', '2024-04-17 14:56:06');
INSERT INTO `ld_article_content` VALUES (407, 1, '印象连岛', '羊窝头', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/羊窝头_20240417145555A003.jpg', NULL, '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-09 15:52:21', 'admin', '2024-04-17 14:55:57');
INSERT INTO `ld_article_content` VALUES (408, 1, '印象连岛', '游艇俱乐部', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/游艇俱乐部_20240417145543A002.jpg', NULL, '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/upload/2024/04/10/微信图片_20220613144109_20240410153139A001.jpg\">121</p>', NULL, NULL, NULL, 'admin', '2024-04-09 15:54:54', 'admin', '2024-04-17 14:55:46');
INSERT INTO `ld_article_content` VALUES (409, 2, '连岛资讯', '连岛景区扫雪除冰进行时！', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/09/IMG_6391_20240409160831A005.JPG', '2月20日下午，连云港下起了冻雨+雪，可以说集齐了冬季所有的降水 相态受雨雪天气影响月20日下午，连云港下起了冻雨+雪，可以说集齐了冬季所有的降水 相态受雨雪天气影', '富文本', '<p>2323</p>', NULL, NULL, NULL, 'admin', '2024-04-09 16:09:00', 'admin', '2024-04-09 16:09:00');
INSERT INTO `ld_article_content` VALUES (410, 2, '连岛资讯', '活动报名 | 花灯亲子DIY，名额有限，手慢无！', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/09/49780422_20240409161016A006.jpg', NULL, '富文本', '<p>232</p>', NULL, NULL, NULL, 'admin', '2024-04-09 16:12:01', 'admin', '2024-04-09 16:12:01');
INSERT INTO `ld_article_content` VALUES (411, 2, '连岛资讯', '活动报名 | 花灯亲子DIY，名额有限，手慢无！', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/09/1695540945536_20240409161317A007.jpg', NULL, '富文本', '<p>112</p>', NULL, NULL, NULL, 'admin', '2024-04-09 16:13:27', 'admin', '2024-04-09 16:13:27');
INSERT INTO `ld_article_content` VALUES (412, 2, '连岛资讯', '活动报名 | 花灯亲子DIY，名额有限，手慢无！', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/09/47367609_20240409161422A008.jpg', NULL, '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-09 16:14:39', 'admin', '2024-04-09 16:14:39');
INSERT INTO `ld_article_content` VALUES (413, 2, '连岛资讯', '灯亲子DIY，名额有限，手慢无！活动活动报名 | 花灯活动报名 | 花灯亲子DIY，名额有限，手慢无！活动亲子DIY，名额有限，手慢无！活动活动报名 | 花灯亲子DIY，名额有限，手慢无！活动', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/09/100799605334364_20240409161543A009.jpg', NULL, '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-09 16:17:15', 'admin', '2024-04-09 17:18:50');
INSERT INTO `ld_article_content` VALUES (414, 3, '玩转连岛', '路线推荐', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/路线推荐_20240417145957A005.jpg', '/tourismTourism/routes', '富文本', '<p>122</p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:28:54', 'admin', '2024-04-17 14:59:59');
INSERT INTO `ld_article_content` VALUES (415, 3, '玩转连岛', '交通出行', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/交通出行_20240417150008A006.jpg', '/tourismTourism/traffic', '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:31:08', 'admin', '2024-04-17 15:00:11');
INSERT INTO `ld_article_content` VALUES (416, 3, '玩转连岛', '欢乐购物', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/购在连岛_20240417150020A007.jpg', '/tourismTourism/shopping', '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:31:45', 'admin', '2024-04-17 15:00:21');
INSERT INTO `ld_article_content` VALUES (417, 3, '玩转连岛', '住宿指南', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/住在连岛_20240417150031A008.jpg', '/tourismTourism/accommodation', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:32:03', 'admin', '2024-04-17 15:00:33');
INSERT INTO `ld_article_content` VALUES (418, 3, '玩转连岛', '美食攻略', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/吃在连岛_20240417150052A010.jpg', '/tourismTourism/food', '富文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:32:18', 'admin', '2024-04-17 15:00:53');
INSERT INTO `ld_article_content` VALUES (419, 3, '玩转连岛', '娱乐休闲', NULL, 'zh', '2024-04-09', '/profile/upload/2024/04/17/娱在连岛_20240417150041A009.jpg', '/tourismTourism/entertainment', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-09 17:32:49', 'admin', '2024-04-17 15:00:42');
INSERT INTO `ld_article_content` VALUES (421, 15, '连岛人文', '连岛景区扫雪除冰进行时！连岛景区扫雪除冰', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/路线推荐_20240417153733A043.jpg', '为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早', '富文本', '<p><br></p><p class=\"ql-align-center\"><strong class=\"ql-size-large\">今日立春|一切美好，向春而生!</strong></p><p>为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早<img src=\"http://192.168.3.11:8080/profile/upload/2024/04/15/休闲娱乐_20240415140602A030.png\"></p><p class=\"ql-align-center\"><br></p>', NULL, NULL, NULL, 'admin', '2024-04-11 09:46:55', 'admin', '2024-04-17 15:37:36');
INSERT INTO `ld_article_content` VALUES (422, 15, '连岛人文', '此例是一个完整的用例此例是一个完整的用例此例是一个完整的用例此例是一个完整的用例', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/羊窝头_20240417153747A044.jpg', 'Swiper提供了丰富的配置选项，你可以根据项目需求自定义这些选项。例如，你可以设置轮播图的响应式断点、懒加载图片、自定义导航按钮等。', '富文本', '<p><span style=\"color: rgb(94, 109, 130);\">此例是一个完整的用例，使用了</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">size-change</code><span style=\"color: rgb(94, 109, 130);\">和</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">current-change</code><span style=\"color: rgb(94, 109, 130);\">事件来处理页码大小和当前页变动时候触发的事件。</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">page-sizes</code><span style=\"color: rgb(94, 109, 130);\">接受一个整型数组，数组元素为展示的选择每页显示个数的选项，</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">[100, 200, 300, 400]</code><span style=\"color: rgb(94, 109, 130);\">表示四个选项，每页显示 100 个，此例是一个完整的用例</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">nt-change</code><span style=\"color: rgb(94, 109, 130);\">事件来处理页码大小和当前页变动时候触发的事件。</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">page-sizes</code><span style=\"color: rgb(94, 109, 130);\">接受一个整型数组，数组元素为展示的选择每页显示个数的选项，</span><code style=\"color: rgb(94, 109, 130); background-color: rgb(230, 239, 251);\">[100, 200, 300, 400]</code><span style=\"color: rgb(94, 109, 130);\">表示四个选项，每页显示 100 个，200 个，300 个或者 400 个。</span><img src=\"http://192.168.3.11:8080/profile/upload/2024/04/11/IMG_0038(20220822-100532)_20240411095441A005.JPG\"></p>', NULL, NULL, NULL, 'admin', '2024-04-11 09:54:55', 'admin', '2024-04-17 15:37:50');
INSERT INTO `ld_article_content` VALUES (423, 19, '通知公告', '小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！', NULL, 'zh', '2024-04-11', NULL, '连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长1连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长1', '富文本', '<p>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江<img src=\"http://192.168.3.11:8080/profile/upload/2024/04/11/主页-03_20240411160104A001.jpg\">苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span>	<span style=\"color: rgb(102, 102, 102);\">连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里，南北直线距离0.9公里，海岸线长18...</span></p>', NULL, '2024-01-23', NULL, 'admin', '2024-04-11 16:01:41', 'admin', '2024-04-11 16:01:41');
INSERT INTO `ld_article_content` VALUES (424, 19, '通知公告', '小年已至，归家有期！', NULL, 'zh', '2024-04-11', NULL, '连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里连岛，古称鹰游山，位于公里，海岸线长18公里，最高峰大桅尖海拔357.8米。黄海之滨海州湾畔，与雄峻的北云台山相峙，与连云港港口隔海相望。景区面积8.85平方公里，为江苏省最大的基岩质海岛，其形状狭长，呈东南、西北走向，东西直线距离5.5公里', '富文本', '<p><strong style=\"color: rgb(51, 51, 51);\">小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！小年已至，归家有期！</strong></p>', NULL, '2024-04-26', NULL, 'admin', '2024-04-11 16:02:17', 'admin', '2024-04-17 17:22:32');
INSERT INTO `ld_article_content` VALUES (425, 7, '景区动态', '连岛景区扫雪除冰进行时！连岛景区扫雪除冰连岛景区扫雪除冰进行时！连岛景区扫雪除冰连岛景区扫雪除冰进行时！连岛景区扫雪除冰', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/娱在连岛_20240417152657A041.jpg', '为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早，连岛景...为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保出行安全，21日一早，连岛景...', '富文本', '<p>43442344444444444444444444444444</p>', NULL, '2024-04-15', NULL, 'admin', '2024-04-11 16:26:05', 'admin', '2024-04-17 15:26:58');
INSERT INTO `ld_article_content` VALUES (426, 7, '景区动态', '连岛景区扫雪除冰进行时！', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/游艇俱乐部_20240417152730A042.jpg', '为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除', '富文本', '<p>3455<span style=\"color: rgb(102, 102, 102);\">为尽快清除路面冰雪，消除安全隐患，确保出行安全，2为尽快清除路面冰雪，消除安全隐患，确保</span></p>', NULL, '2024-04-01', NULL, 'admin', '2024-04-11 16:26:48', 'admin', '2024-04-17 15:27:32');
INSERT INTO `ld_article_content` VALUES (427, 21, '最新活动', '风筝节', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/IMG_3352_20240417164205A067.JPG', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋...', '富文本', '<p>龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋<img src=\"http://192.168.3.11:8080/profile/upload/2024/04/17/IMG_3341_20240417164217A068.JPG\"><img src=\"http://192.168.3.11:8080/profile/upload/2024/04/17/IMG_3353_20240417164224A069.JPG\"></p>', 'aaaa', '2024-04-15', '连岛景区', 'admin', '2024-04-11 16:51:37', 'admin', '2024-04-17 17:22:15');
INSERT INTO `ld_article_content` VALUES (428, 21, '最新活动', '星空露营', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/55965f34e67f56d1664a6145467b282_20240417164149A066.jpg', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘', '富文本', '<p>3243434</p>', NULL, '2024-04-23', '连岛景区', 'admin', '2024-04-11 16:52:41', 'admin', '2024-04-17 16:41:51');
INSERT INTO `ld_article_content` VALUES (429, 21, '最新活动', '连岛沙滩音乐狂欢节', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/DSC_5135_20240417164112A063.jpg', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋...龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋...', '富文本', '<p>2434234</p>', NULL, '2024-02-06', '连岛景区', 'admin', '2024-04-11 16:53:26', 'admin', '2024-04-17 16:41:14');
INSERT INTO `ld_article_content` VALUES (430, 21, '最新活动', '彩虹跑', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/IMG_0486_20240417164137A065.JPG', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋...', '富文本', '<p><img src=\"http://192.168.3.11:8080/profile/upload/2024/04/11/IMG_0486_20240411165350A011.JPG\"></p>', NULL, '2024-04-24', '连岛景区', 'admin', '2024-04-11 16:54:12', 'admin', '2024-04-17 16:41:40');
INSERT INTO `ld_article_content` VALUES (431, 21, '最新活动', '连云港之夏', NULL, 'zh', '2024-04-11', '/profile/upload/2024/04/17/59d885569a79e6e0a94f909a74ea04e_20240417164124A064.jpg', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演 ，成群的孔雀在苏马湾上空飞用盘旋...', '富文本', '<p>132323</p>', NULL, '2024-08-26', '连岛景区', 'admin', '2024-04-11 16:56:38', 'admin', '2024-04-17 16:41:26');
INSERT INTO `ld_article_content` VALUES (436, 22, '幕后故事', '庆国庆，百人环岛赛助力连岛5A景区创建!', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/AZ3I1448_20240412085253A001.JPG', '2今年国庆整个江苏的天气都不太好，5号早上一看天气放睛，立刻冲向连岛。自驾如何上岛?我们没有乘坐小火车，门口有当地人会问你要不要去吃饭，吃饭可以免费带上岛，我们不在里面吃饭2今年国庆整个江苏的天气都不太好，5号早上一看天气放睛，立刻冲向连岛。自驾如何上岛?我们没有乘坐小火车，门口有当地人会问你要不要去吃饭，吃饭可以免费带上岛，...', '富文本', '<p>232</p>', NULL, NULL, NULL, 'admin', '2024-04-12 08:53:11', 'admin', '2024-04-12 08:53:11');
INSERT INTO `ld_article_content` VALUES (437, 22, '幕后故事', '嗨，秋天!秋日海边别样美，快来打卡连岛！', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/IMG_0035(20220822-100445)_20240412085338A002.JPG', '建议停留时间:1~2天连岛，应该说是除了花果山以外港城的又一个标志性地标。它坐落在海州湾内，与雄峻的云台山相对，曾荣获过“全国十大最美海岛”之一的称号。这其中，最出名的当属大沙湾。', '富文本', '<p>33</p>', NULL, NULL, NULL, 'admin', '2024-04-12 08:53:45', 'admin', '2024-04-12 08:53:45');
INSERT INTO `ld_article_content` VALUES (438, 22, '幕后故事', '连岛游艇俱乐部“海上山3”、“海上山5“。', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/IMG_0485_20240412085404A003.JPG', '春末夏初，又拖着先生出发到城伴海生，依港而兴的连云港 登山观海，看城逛街。作为江苏 省唯--个拥有海滨风光的城市，这里几乎每一处都能游山玩水宿城中，休闲娱乐配套活动也一应俱全。', '富文本', '<p>24</p>', NULL, NULL, NULL, 'admin', '2024-04-12 08:54:13', 'admin', '2024-04-12 08:54:13');
INSERT INTO `ld_article_content` VALUES (439, 22, '幕后故事', '连云港苍梧小学师生走进连岛景区“学党史”连云港苍梧小学师生走进连岛景区“学党史”', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/IMG_0486_20240412085426A004.JPG', '总的来说，整体的游玩体验还是相当不错的，花费也是按照工作人员的指示而来，所以没有花销过多的不必要费用。期待下次再来游玩。', '富文本', '<p>24</p>', NULL, NULL, NULL, 'admin', '2024-04-12 08:54:33', 'admin', '2024-04-12 08:59:50');
INSERT INTO `ld_article_content` VALUES (440, 22, '幕后故事', '海道第一程”的历史', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/大沙湾店3_20240412085503A005.JPG', '暑假将至，夏日炎炎，碧海蓝天是出游的好去处，带着一家老小自驾出游，提前做好攻略将能为出游减少很多不必要的麻烦。', '富文本', '<p>234</p>', NULL, NULL, NULL, 'admin', '2024-04-12 08:55:10', 'admin', '2024-04-12 08:55:10');
INSERT INTO `ld_article_content` VALUES (441, 25, '景区地图', '景区地图', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/连岛地图_20240417160232A050.jpg', NULL, '富文本', '<p>地图</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:05:13', 'admin', '2024-04-17 16:02:34');
INSERT INTO `ld_article_content` VALUES (442, 26, '线路推荐', '景交车观光路线', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/路线推荐_20240417160344A053.jpg,/profile/upload/2024/04/12/组 58 (1)_20240412091612A004.png', NULL, '富文本', '<p>111</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:16:21', 'admin', '2024-04-17 16:03:48');
INSERT INTO `ld_article_content` VALUES (443, 26, '线路推荐', '徒步观光路线', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/8孔雀园_20240417160313A052.jpg,/profile/upload/2024/04/12/组 58 (2)_20240412091641A006.png', NULL, '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:16:44', 'admin', '2024-04-17 16:03:16');
INSERT INTO `ld_article_content` VALUES (444, 26, '线路推荐', '游轮观光路线', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/7海滨栈道_20240417160257A051.jpg,/profile/upload/2024/04/12/组 58 (3)_20240412091812A008.png', NULL, '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:18:18', 'admin', '2024-04-17 16:03:01');
INSERT INTO `ld_article_content` VALUES (445, 27, '交通指南', '列车指南', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/列车_20240412094212A015.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:35:51', 'admin', '2024-04-12 10:13:28');
INSERT INTO `ld_article_content` VALUES (446, 27, '交通指南', '高铁指南', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/高铁_20240412093630A009.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:36:53', 'admin', '2024-04-12 10:15:50');
INSERT INTO `ld_article_content` VALUES (447, 27, '交通指南', '飞机指南', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/飞机_20240412093707A010.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:37:22', 'admin', '2024-04-12 10:15:03');
INSERT INTO `ld_article_content` VALUES (448, 27, '交通指南', '公交车指南', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/公交车_20240412093741A011.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:37:54', 'admin', '2024-04-12 10:14:48');
INSERT INTO `ld_article_content` VALUES (449, 27, '交通指南', '自驾游指南', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/自驾_20240412093850A012.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:39:07', 'admin', '2024-04-12 10:15:08');
INSERT INTO `ld_article_content` VALUES (450, 27, '交通指南', '研学路线', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/路线查询_20240412094011A013.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:40:25', 'admin', '2024-04-12 10:14:30');
INSERT INTO `ld_article_content` VALUES (451, 27, '交通指南', '长途汽车', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/交通-32_20240412094104A014.png', NULL, '富文本', '<p>乘高铁、火车来连岛旅游的游客请注意： &nbsp; </p><p>1、在连云港火车东站下车的游客，在连云港火车东站下车后，可乘坐游3公交车即可到达连岛景区，游3路公交车终点站是连岛景区。</p><p>2、在连云港站下车的游客，到连云港火车站后，距连岛约35公里，可以乘坐B1K或B1公交车到达在海一方下车，马路对面乘坐游3或游6即可到达连岛景区。 </p><p> 3、火车站-连岛景区旅游专线：经停连云港火车站、市民广场、神州宾馆、连岛景区游客中心4个站点，单程约90分钟。连云港火车站发车时间为8:00-17:00。 连岛景区游客中心    发车时间为10:00-19:00，班次间隔30分钟，全程票10元。</p><p> 热门城市： </p><p> 连云港—北京 G2580 07:53发车 连云港—上海 G8389 06:42发车</p><p> 连云港—北京 G1100 16:40发车 连云港—上海 G7539 09:56发车</p><p> 连云港—广州 G1314 08:53发车 连云港—杭州 G7461 06:23发车</p><p> 连云港—广州 G1553 12:27发车 连云港—杭州 G7315 10:17发车</p><p>连云港—成都 G1998 10:16发车 连云港—西安 G2262 09:57发车 </p><p> 连云港—成都 G1838 11:58发车 连云港—西安 G2684 13:37发车</p>', NULL, NULL, NULL, 'admin', '2024-04-12 09:41:31', 'admin', '2024-04-12 10:14:57');
INSERT INTO `ld_article_content` VALUES (452, 28, '住宿指南', '大沙湾天际酒店', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/住在连岛_20240417182225A004.jpg', NULL, '富文本', '<p>111</p>', NULL, NULL, NULL, 'admin', '2024-04-12 10:59:19', 'admin', '2024-04-17 18:22:26');
INSERT INTO `ld_article_content` VALUES (453, 28, '住宿指南', '苏马湾天际酒店', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/大沙湾_20240417182210A003.jpg', NULL, '富文本', '<p>222</p>', NULL, NULL, NULL, 'admin', '2024-04-12 10:59:45', 'admin', '2024-04-17 18:22:11');
INSERT INTO `ld_article_content` VALUES (454, 28, '住宿指南', '岛遇民宿', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/游艇俱乐部_20240417182203A002.jpg', NULL, '富文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:00:22', 'admin', '2024-04-17 18:22:04');
INSERT INTO `ld_article_content` VALUES (455, 28, '住宿指南', '连岛在家海景民宿', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/海滨栈道_20240417182152A001.jpg', NULL, '富文本', '<p>12312</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:00:41', 'admin', '2024-04-17 18:21:55');
INSERT INTO `ld_article_content` VALUES (456, 30, '欢购指南', '水晶挂坠', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/海苔_20240412111605A005.jpg', '文创产品', '富文本', '<p>11212</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:16:13', 'admin', '2024-04-12 11:16:13');
INSERT INTO `ld_article_content` VALUES (457, 30, '欢购指南', '水晶项链', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/海苔1_20240412111629A006.jpg', '水晶产品', '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:16:32', 'admin', '2024-04-12 11:16:32');
INSERT INTO `ld_article_content` VALUES (458, 30, '欢购指南', '贝雕', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/鱼干1_20240412111707A007.jpg', '贝雕产品', '富文本', '<p>2323</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:17:11', 'admin', '2024-04-12 11:17:11');
INSERT INTO `ld_article_content` VALUES (459, 30, '欢购指南', '海州湾酒', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/鱼干2_20240412111730A008.jpg', '自身食品', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:17:33', 'admin', '2024-04-12 11:17:33');
INSERT INTO `ld_article_content` VALUES (460, 30, '欢购指南', '晒鱼干', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/鱼干3_20240412111749A009.jpg', '海干货', '富文本', '<p>232</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:17:59', 'admin', '2024-04-12 11:17:59');
INSERT INTO `ld_article_content` VALUES (461, 30, '欢购指南', '带鱼', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/景区小火车_20240412111842A010.jpg', '文创产品', '富文本', '<p>2234</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:18:51', 'admin', '2024-04-12 11:18:51');
INSERT INTO `ld_article_content` VALUES (462, 30, '欢购指南', '海州湾酒 ', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/沙光鱼汤_20240417164524A072.jpg', '水晶产品', '富文本', '<p>2323</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:19:34', 'admin', '2024-04-17 16:45:26');
INSERT INTO `ld_article_content` VALUES (463, 30, '欢购指南', '虾婆婆', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/水煮虾婆_20240417164511A071.jpg', '特产美食', '富文本', '<p>2334</p>', NULL, NULL, NULL, 'admin', '2024-04-12 11:20:11', 'admin', '2024-04-17 16:45:13');
INSERT INTO `ld_article_content` VALUES (464, 31, '休闲娱乐', '大沙湾天际酒店', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/住在连岛_20240417164812A077.jpg', '好玩项目|体验度3颗星|热度15698', '富文本', '<p>111</p>', NULL, NULL, NULL, 'admin', '2024-04-12 14:17:21', 'admin', '2024-04-17 16:48:14');
INSERT INTO `ld_article_content` VALUES (465, 31, '休闲娱乐', '乘风破浪', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/IMG_3674(20230416-132408)_20240417164913A079.JPG', '网红项目|体验度 5颗星|热度 15698', '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-12 14:18:50', 'admin', '2024-04-17 16:49:15');
INSERT INTO `ld_article_content` VALUES (466, 31, '休闲娱乐', '扬帆起航', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/娱在连岛_20240417164802A076.jpg', '好玩项目|体验度4颗星|热度15698', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-12 14:19:31', 'admin', '2024-04-17 16:48:03');
INSERT INTO `ld_article_content` VALUES (467, 31, '休闲娱乐', '动感摩托', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/17684fe15a6c20687b224a23ff58f0c_20240417164859A078.jpg', '水上冲浪|体验度5颗星|热度15698', '富文本', '<p>121</p>', NULL, NULL, NULL, 'admin', '2024-04-12 14:21:18', 'admin', '2024-04-17 16:49:02');
INSERT INTO `ld_article_content` VALUES (468, 32, '游客分享', '大江苏也有很漂亮的海滩哦!连岛苏马湾打卡。', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/12海蚀奇观_20240417164644A074.jpg', '今年国庆整个江苏的天气都不太好，5号早上一看天气放睛，立刻冲向连岛。自驾如何上岛?我们没有乘坐小火车，门口有当地人会问你要不要去吃饭，吃饭可以免费带上岛，我们不在里面吃饭今年国庆整个江苏的天气都不太好，5号早上一看天气放睛，立刻冲向连岛。自驾如何上岛?我们没有乘...', '富文本', '<p><span style=\"background-color: rgb(247, 249, 252); color: rgb(47, 46, 63);\">今年国庆整个江苏的天气都不太好，5号早上一看天气放睛，立刻冲向连岛。自驾如何上岛?我们没有乘坐小火车，门口有当地人会问你要不要去吃饭，吃饭可以免费带上岛，我们不在里面吃饭...</span></p>', NULL, '2024-02-10', NULL, 'admin', '2024-04-12 14:40:18', 'admin', '2024-04-17 16:46:45');
INSERT INTO `ld_article_content` VALUES (469, 32, '游客分享', '连岛是除了花果山以外，港城的又一个标志性地标', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/13海天一色_20240417164651A075.jpg', '建议停留时间:1~2天连岛，应该说是除了花果山以外港城的又一个标志性地标。它坐落在海州湾内，与雄峻的云台山相对，曾荣获过“全国十大最美海岛”之一的称号。这其中，最出名的当属大沙湾。', '富文本', '<p><br></p>', NULL, '2024-02-10', NULL, 'admin', '2024-04-12 14:40:45', 'admin', '2024-04-17 16:46:52');
INSERT INTO `ld_article_content` VALUES (470, 32, '游客分享', '连云港三日，拨云见日，流连忘返', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/11后红崖_20240417164635A073.jpg', '春末夏初，又拖着先生出发到城伴海生，依港而兴的连云港 登山观海，看城逛街。作为江苏 省唯--个拥有海滨风光的城市，这里几乎每一处都能游山玩水宿城中，休闲娱乐配套活动也一应俱全。', '富文本', '<p>223</p>', NULL, '2024-02-10', NULL, 'admin', '2024-04-12 14:41:33', 'admin', '2024-04-17 16:46:37');
INSERT INTO `ld_article_content` VALUES (471, 34, '游览须知', '浏览须知', NULL, 'zh', '2024-04-12', NULL, NULL, '文本', '<div class=\"content\">\n          <div class=\"title\">一、景区门票价格</div>\n          <div class=\"content-text\">\n            <span class=\"child-title\">旺季票：</span>\n            <span class=\"text\">4月28日-10月27日全票：50元/人；半价：25元/人 。入园时间：8:30-17:20；停止售票时间：17:00。</span>\n          </div>\n          <div class=\"content-text\">\n            <span class=\"child-title\">淡季票：</span>\n            <span class=\"text\">10月28日-次年4月27日全票30元/人；半价：15元/人。入园时间：8:30-17:00；停止售票时间：16:40。</span>\n          </div>\n        </div>\n        <div class=\"content\">\n          <div class=\"title\">二、景交车票价格</div>\n          <span class=\"text\">全线车票（往返）20元/人。</span>\n          <div class=\"content-text\">\n            <span class=\"child-title\">旺季：</span>\n            <span class=\"text\">车辆停运时间（大沙湾—苏马湾）：17:20。返程加班车辆时间为15分钟一班。</span>\n          </div>\n          <div class=\"content-text\">\n            <span class=\"child-title\">淡季：</span>\n            <span class=\"text\">车辆停运时间（大沙湾—苏马湾）：17:00。返程加班车辆时间为15分钟一班。</span>\n          </div>\n        </div>\n        <div class=\"content\">\n          <div class=\"title\">三、推荐游览线路</div>\n          <div class=\"child-title\">全线车票（最佳线路）</div>\n          <div class=\"text\">\n            全线路线：游客中心站（乘坐小火车）→大沙湾游客中心站下车（可游览游艇俱乐部，乘坐游轮或帆船海上观光）→大沙湾→孔雀园（在大沙湾内乘观光车或步行海边栈道）→苏马湾（观光车或步行海边栈道）→邓小平和人民在一起雕塑公园（乘观光车）→大沙湾游客中心站下车（换乘小火车）→游客中心站（结束愉快旅程）。\n          </div>\n        </div>\n        <div class=\"content\">\n          <div class=\"title\">四、其他事项</div>\n          <div class=\"text\">\n            ① 购买景区门票进入景区可免费使用游泳圈、太阳伞和沙滩椅。\n          </div>\n          <div class=\"text\">\n            ② 禁止携带宠物入园。  \n          </div>\n          <div class=\"text\">\n            ③ 为防止火灾发生，景区内禁止使用明火，禁止吸烟及燃放烟花爆竹。\n          </div>\n          <div class=\"text\">\n            ④ 在欣赏美景的同时，注意保管好随身携带的物品。\n          </div>\n        </div>\n        <div class=\"content\">\n          <div class=\"title\">五、游客中心寄存柜使用须知</div>\n          <div class=\"text\">\n            ① 游客根据寄存提示自行设置密码并牢记（不要设置太过简单的密码，例如：111111），离开时请确认柜门是否锁好。 \n          </div>\n          <div class=\"text\">\n            ② 请将贵重物品随身携带（现金、证件、通讯工具等），切勿放入柜中寄存。 \n          </div>\n          <div class=\"text\">\n            ③ 请勿将易燃、易爆、易腐蚀性物品放入柜中。\n          </div>\n          <div class=\"text\">\n            ④ 若忘记所设密码，请与工作人员联系，须说明所寄物品详细情况，核对无误方可取走。 \n          </div>\n          <div class=\"text\">\n            ⑤ 所存物品，需当天取走，如逾期者（工作人员每日会在结束营业前对寄存柜进行检查清理）可在3天内前往游客中心出示相关证明，并说明所寄物品详细情况，核对无误方可取走，如若超过3天（含3天），将做无主物品处理，交于有关部门处理。 \n          </div>\n          <div class=\"text\">\n            ⑤ 所存物品，需当天取走，如逾期者（工作人员每日会在结束营业前对寄存柜进行检查清理）可在3天内前往游客中心出示相关证明，并说明所寄物品详细情况，核对无误方可取走，如若超过3天（含3天），将做无主物品处理，交于有关部门处理。 \n          </div>\n          <div class=\"text\">\n            ⑥ 存放时间： \n          </div>\n          <div class=\"text\">\n            旺季（4月28日-10月27日） 8：30—17:20 \n          </div>\n          <div class=\"text\">\n            淡季（10月28日-次年4月27日） 8：30—16:40\n          </div>\n        </div>', NULL, NULL, NULL, 'admin', '2024-04-12 15:00:56', 'admin', '2024-04-12 16:35:10');
INSERT INTO `ld_article_content` VALUES (472, 35, '导游服务', '张彩霞', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/12/观日亭2_20240412160038A004.jpg', '18351935775|高级导游|普通话|￥200/2小时', '富文本', '<p>1212</p>', NULL, NULL, NULL, 'admin', '2024-04-12 16:01:18', 'admin', '2024-04-12 16:01:18');
INSERT INTO `ld_article_content` VALUES (473, 36, '景交车服务', '景交车', NULL, 'zh', '2024-04-12', '/profile/upload/2024/04/17/路线推荐_20240417165016A080.jpg', NULL, '富文本', '<p>全线车票（往返）<span style=\"color: rgb(0, 102, 204);\">20元/人</span></p><p>旺季： 车辆停运时间（大沙湾—苏马湾）：17:20</p><p>返程加班车辆时间为15分钟一班</p><p><br></p><p>淡季：</p><p>车辆停运时间（大沙湾—苏马湾）：17:00</p><p>返程加班车辆时间为15分钟一班</p>', NULL, NULL, NULL, 'admin', '2024-04-12 16:46:14', 'admin', '2024-04-17 16:50:18');
INSERT INTO `ld_article_content` VALUES (474, 37, '景区预订', '景区门票信息', NULL, 'zh', '2024-04-15', '/profile/upload/2024/04/17/组 55_20240417154144A047.jpg,/profile/upload/2024/04/15/图层 224_20240415170659A037.png,/profile/upload/2024/04/15/微博二维码_20240415170709A038.jpg', '选择游玩时间|\n淡季时间:10月28日-次年4月27日<br>营\n业时间:8:30-16:40<br> \n旺季时间:4月28日-10月27日<br> \n营业时间:8:30-17:30<br>\n旺季门票：50元，淡季门票：30元', '富文本', '<p>1212112</p>', NULL, NULL, NULL, 'admin', '2024-04-15 09:13:50', 'admin', '2024-04-17 15:41:49');
INSERT INTO `ld_article_content` VALUES (475, 37, '景区预订', '文创特产购买时间', NULL, 'zh', '2024-04-15', '/profile/upload/2024/04/17/组 57_20240417154211A049.jpg,/profile/upload/2024/04/15/购物_20240415171955A046.png,/profile/upload/2024/04/15/微信订阅号二维码_20240415171959A047.jpg', '选择购买时间|\n淡季时间:10月28日-次年4月27日<br>\n营业时间:8:30-16:40<br>\n旺季时间:4月28日-10月27日<br>\n营业时间:8:30-17:30<br>\n电话:400-828-2898<br>', '富文本', '<p>232</p>', NULL, NULL, NULL, 'admin', '2024-04-15 09:15:16', 'admin', '2024-04-17 15:42:16');
INSERT INTO `ld_article_content` VALUES (476, 37, '景区预订', '景区住宿时间', NULL, 'zh', '2024-04-15', '/profile/upload/2024/04/17/组 56_20240417154156A048.jpg,/profile/upload/2024/04/15/booking-icon_20240415171548A043.png,/profile/upload/2024/04/15/微信订阅号二维码_20240415171554A044.jpg', '选择入住时间|\n淡季时间:10月28日-次年4月27日<br>\n营业时间:8:30-16:40<br>\n旺季时间:4月28日-10月27日<br>\n营业时间:8:30-17:30<br>\n电话:400-828-2898', '富文本', '<p>121</p>', NULL, NULL, NULL, 'admin', '2024-04-15 09:16:13', 'admin', '2024-04-17 15:42:00');
INSERT INTO `ld_article_content` VALUES (477, 37, '景区预订', '美食广场点单时间', NULL, 'zh', '2024-04-15', '/profile/upload/2024/04/17/组 60_20240417154111A046.jpg,/profile/upload/2024/04/15/图层 226_20240415171306A040.png,/profile/upload/2024/04/15/微信订阅号二维码_20240415171316A041.jpg', '选择下单时间|\n淡季时间:10月28日-次年4月27日<br>\n营业时间:8:30-16:40<br> \n旺季时间:4月28日-10月27日<br>\n营业时间:8:30-17:30<br>\n电话:400-828-2898', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-15 09:16:53', 'admin', '2024-04-17 15:41:19');
INSERT INTO `ld_article_content` VALUES (478, 38, '联系我们', '联系我们', NULL, 'zh', '2024-04-15', NULL, NULL, '富文本', '<p>咨询电话</p><p>400-828-2898</p><p><br></p><p>投诉电话</p><p>400-888-2297</p><p><br></p><p>救援电话</p><p>400-888-9223 （服务时间：24小时）</p><p><br></p><p>游艇俱乐部咨询电话</p><p>0518-82601166</p><p><br></p><p>天际酒店咨询电话</p><p>0518-80528988、0518-82600992</p><p><br></p><p>联系地址：连云港市连岛街道</p><p>邮编：222042</p><p><br></p><p>淡季时间：10月28日-次年4月27日</p><p>接听时间：8:30 - 16:40</p><p>旺季时间：4月28日-10月27日</p><p>接听时间：8:30 - 17:30</p>', NULL, NULL, NULL, 'admin', '2024-04-15 09:24:26', 'admin', '2024-04-16 10:16:57');
INSERT INTO `ld_article_content` VALUES (479, 5, '旅游服务预订', '门票预定', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 57_20240416102425A002.png,/profile/upload/2024/04/16/组 56 拷贝 3_20240416102440A003.png,/profile/upload/2024/04/17/1_20240417150138A011.jpg', '/booking', '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:24:56', 'admin', '2024-04-17 15:01:40');
INSERT INTO `ld_article_content` VALUES (480, 5, '旅游服务预订', '住宿预定', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 58_20240416102524A005.png,/profile/upload/2024/04/16/组 56 拷贝 2_20240416102540A006.png,/profile/upload/2024/04/17/2_20240417150152A012.jpg', '/booking', '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:25:48', 'admin', '2024-04-17 15:01:54');
INSERT INTO `ld_article_content` VALUES (481, 5, '旅游服务预订', '美食预定', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 59_20240416102631A010.png,/profile/upload/2024/04/16/组 56 拷贝 4_20240416102628A009.png,/profile/upload/2024/04/17/3_20240417150209A013.jpg', '/booking', '富文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:26:38', 'admin', '2024-04-17 15:02:12');
INSERT INTO `ld_article_content` VALUES (482, 5, '旅游服务预订', '文创特产', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 60_20240416103149A012.png,/profile/upload/2024/04/16/组 56 拷贝 5_20240416103159A013.png,/profile/upload/2024/04/17/4_20240417150224A014.jpg', '/booking', '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:32:09', 'admin', '2024-04-17 15:02:26');
INSERT INTO `ld_article_content` VALUES (483, 5, '旅游服务预订', '浏览须知', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 64_20240416103311A015.png,/profile/upload/2024/04/16/组 56 拷贝 9_20240416103314A016.png,/profile/upload/2024/04/17/5_20240417150236A015.jpg', '/services/travelNotice', '文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:33:24', 'admin', '2024-04-17 15:02:38');
INSERT INTO `ld_article_content` VALUES (484, 5, '旅游服务预订', '语音导览', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 63_20240416103544A023.png,/profile/upload/2024/04/16/组 56 拷贝 8_20240416103549A024.png,/profile/upload/2024/04/17/6_20240417150249A016.jpg', '/services/audioGuide', '富文本', '<p>232</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:36:04', 'admin', '2024-04-17 15:02:50');
INSERT INTO `ld_article_content` VALUES (485, 5, '旅游服务预订', '讲解员服务', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 62_20240416103630A026.png,/profile/upload/2024/04/16/组 56 拷贝 7_20240416103637A027.png,/profile/upload/2024/04/17/7_20240417150300A017.jpg', '/services/tourGuideServices', '富文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:36:53', 'admin', '2024-04-17 15:03:01');
INSERT INTO `ld_article_content` VALUES (486, 12, '景区介绍', '测试图片顺序', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/微信图片_20240126135159_20240416103702A030.jpg,/profile/upload/2024/04/16/微信图片_20220613144109_20240416103659A029.jpg', NULL, '富文本', '<p>asdadsas</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:37:11', 'admin', '2024-04-16 10:43:07');
INSERT INTO `ld_article_content` VALUES (487, 5, '旅游服务预订', '调查问卷', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/组 61_20240416103720A032.png,/profile/upload/2024/04/16/组 56 拷贝 6_20240416103725A033.png,/profile/upload/2024/04/17/8_20240417150309A018.jpg', '/services/surveyQuestionnaire', '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-16 10:37:36', 'admin', '2024-04-17 15:03:10');
INSERT INTO `ld_article_content` VALUES (488, 39, '底部二维码', '玩转连岛小程序', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/玩转连岛小程序_20240416160006A001.jpg', NULL, '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-16 16:00:14', 'admin', '2024-04-16 16:00:14');
INSERT INTO `ld_article_content` VALUES (489, 39, '底部二维码', '微博', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/微博二维码_20240416160027A002.jpg', NULL, '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 16:00:31', 'admin', '2024-04-16 16:00:31');
INSERT INTO `ld_article_content` VALUES (490, 39, '底部二维码', '微信订阅号', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/微信订阅号二维码_20240416160053A003.jpg', NULL, '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 16:00:57', 'admin', '2024-04-16 16:00:57');
INSERT INTO `ld_article_content` VALUES (491, 39, '底部二维码', '微信服务号', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/微信服务号二维码_20240416160110A004.jpg', NULL, '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 16:01:13', 'admin', '2024-04-16 16:01:13');
INSERT INTO `ld_article_content` VALUES (492, 39, '底部二维码', '抖音号', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/16/抖音_20240416160150A005.jpg', NULL, '富文本', '<p>11</p>', NULL, NULL, NULL, 'admin', '2024-04-16 16:01:57', 'admin', '2024-04-16 16:01:57');
INSERT INTO `ld_article_content` VALUES (493, 40, '游客中心', '从这里，开始您与大海的邂逅！', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/1游客中心_20240417150750A019.jpg', '    连岛山势曲折，峰连岭涌，山青树碧，自然风光秀丽、文化底蕴深厚、生态环境优良、渔村民风淳朴，俨然一座美丽的海上画屏！连岛景区集山、海、岛、林、石、滩及人文景观于一体，有“春看雾，夏看海，秋看树，冬看路”之说，其“山水之美、自然之美、绿色之美”成为我国沿海地区有较大影响力的海滨旅游度假胜地。', '富文本', '<p class=\"ql-align-center\">11</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:19:04', 'admin', '2024-04-17 15:07:52');
INSERT INTO `ld_article_content` VALUES (494, 40, '游客中心', '游艇俱乐部', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/2游艇俱乐部_20240417150822A020.jpg', NULL, '富文本', '<p>123</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:35:41', 'admin', '2024-04-17 15:08:24');
INSERT INTO `ld_article_content` VALUES (495, 40, '游客中心', '羊窝头', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/4羊窝头_20240417150832A021.jpg', NULL, '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:36:00', 'admin', '2024-04-17 15:08:33');
INSERT INTO `ld_article_content` VALUES (496, 40, '游客中心', '环岛路', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/3环岛路_20240417150843A022.jpg', NULL, '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:36:13', 'admin', '2024-04-17 15:08:44');
INSERT INTO `ld_article_content` VALUES (497, 40, '游客中心', '拦海大堤', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/5拦海大堤_20240417150852A023.jpg', NULL, '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:36:29', 'admin', '2024-04-17 15:08:54');
INSERT INTO `ld_article_content` VALUES (498, 41, '精彩景点', '大沙湾', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/6大沙湾_20240417150948A024.jpg', NULL, '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:40:01', 'admin', '2024-04-17 15:09:50');
INSERT INTO `ld_article_content` VALUES (499, 41, '精彩景点', '海滨栈道', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/7海滨栈道_20240417151000A025.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:40:17', 'admin', '2024-04-17 15:10:01');
INSERT INTO `ld_article_content` VALUES (500, 41, '精彩景点', '孔雀园', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/8孔雀园_20240417151009A026.jpg', NULL, '富文本', '<p>1</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:40:42', 'admin', '2024-04-17 15:10:11');
INSERT INTO `ld_article_content` VALUES (501, 41, '精彩景点', '邓小平和人民在一起雕塑公园', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/9邓小平公园_20240417151021A027.jpg', NULL, '富文本', '<p><br></p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:40:55', 'admin', '2024-04-17 15:10:22');
INSERT INTO `ld_article_content` VALUES (502, 41, '精彩景点', '苏马湾', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/10苏马湾_20240417151031A028.jpg', NULL, '富文本', '<p>12</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:41:09', 'admin', '2024-04-17 15:10:32');
INSERT INTO `ld_article_content` VALUES (503, 42, '更多景点', '后红崖', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/11后红崖_20240417151108A029.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:46:00', 'admin', '2024-04-17 15:11:10');
INSERT INTO `ld_article_content` VALUES (504, 42, '更多景点', '海蚀奇观', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/12海蚀奇观_20240417151120A030.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:46:41', 'admin', '2024-04-17 15:11:22');
INSERT INTO `ld_article_content` VALUES (505, 42, '更多景点', '海天一色', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/13海天一色_20240417151130A031.jpg', NULL, '富文本', '<p>23</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:46:53', 'admin', '2024-04-17 15:11:31');
INSERT INTO `ld_article_content` VALUES (506, 42, '更多景点', '海洋文化墙', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/14海洋文化墙_20240417151137A032.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:47:04', 'admin', '2024-04-17 15:11:38');
INSERT INTO `ld_article_content` VALUES (507, 42, '更多景点', '探海神龟', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/15探海神龟_20240417151143A033.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:47:21', 'admin', '2024-04-17 15:11:45');
INSERT INTO `ld_article_content` VALUES (508, 42, '更多景点', '海上明月', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/16海上明月_20240417151151A034.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:47:36', 'admin', '2024-04-17 15:11:53');
INSERT INTO `ld_article_content` VALUES (509, 42, '更多景点', '海誓山盟', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/17海誓山盟_20240417151159A035.jpg', NULL, '富文本', '<p>2</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:47:48', 'admin', '2024-04-17 15:12:01');
INSERT INTO `ld_article_content` VALUES (510, 42, '更多景点', '观日亭', NULL, 'zh', '2024-04-16', '/profile/upload/2024/04/17/18观日亭_20240417151205A036.jpg', NULL, '富文本', '<p>3</p>', NULL, NULL, NULL, 'admin', '2024-04-16 17:48:04', 'admin', '2024-04-17 15:12:06');
INSERT INTO `ld_article_content` VALUES (511, 21, '最新活动', '铁人三项', NULL, 'zh', '2024-04-17', '/profile/upload/2024/04/17/2f9091571805330a971a940e07ab70e_20240417165809A089.jpg', '龙年贺新春，春节期间苏马湾继续推出《孔雀东南飞》实境表演，邀请专业舞蹈演员配合孔雀放飞进行表演', '富文本', '<p><span style=\"background-color: rgb(245, 247, 250);\">铁人三项</span></p>', '8：00-12：00', '2024-04-15', '连岛景区', 'admin', '2024-04-17 16:59:08', 'admin', '2024-04-17 17:25:48');

-- ----------------------------
-- Table structure for ld_article_type
-- ----------------------------
DROP TABLE IF EXISTS `ld_article_type`;
CREATE TABLE `ld_article_type`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父id',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '显示顺序',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 43 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '文章类型配置' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_article_type
-- ----------------------------
INSERT INTO `ld_article_type` VALUES (1, 0, '印象连岛', 0, 'admin', '2024-04-09 15:42:29', 'admin', '2024-04-09 15:42:29');
INSERT INTO `ld_article_type` VALUES (2, 0, '连岛资讯', 10, 'admin', '2024-04-09 16:06:24', 'admin', '2024-04-09 16:06:24');
INSERT INTO `ld_article_type` VALUES (3, 0, '玩转连岛', 20, 'admin', '2024-04-09 16:06:34', 'admin', '2024-04-09 16:06:34');
INSERT INTO `ld_article_type` VALUES (4, 0, '活动专栏', 30, 'admin', '2024-04-09 16:06:44', 'admin', '2024-04-09 16:06:44');
INSERT INTO `ld_article_type` VALUES (5, 0, '旅游服务预订', 40, 'admin', '2024-04-09 16:06:53', 'admin', '2024-04-16 10:46:00');
INSERT INTO `ld_article_type` VALUES (6, 0, '在线预定', 50, 'admin', '2024-04-10 10:59:28', 'admin', '2024-04-10 10:59:28');
INSERT INTO `ld_article_type` VALUES (7, 18, '景区动态', 2, 'admin', '2024-04-10 13:57:38', 'admin', '2024-04-10 13:57:38');
INSERT INTO `ld_article_type` VALUES (8, 0, '景区公告', 70, 'admin', '2024-04-10 13:58:02', 'admin', '2024-04-10 13:58:02');
INSERT INTO `ld_article_type` VALUES (9, 0, '文明旅游', 80, 'admin', '2024-04-10 13:58:10', 'admin', '2024-04-10 13:58:10');
INSERT INTO `ld_article_type` VALUES (10, 0, '酒店预订', 90, 'admin', '2024-04-10 13:58:18', 'admin', '2024-04-10 13:58:18');
INSERT INTO `ld_article_type` VALUES (11, 0, '连岛美食', 100, 'admin', '2024-04-10 13:58:28', 'admin', '2024-04-10 13:58:28');
INSERT INTO `ld_article_type` VALUES (12, 0, '景区介绍', 1, 'admin', '2024-04-11 09:40:59', 'admin', '2024-04-11 09:40:59');
INSERT INTO `ld_article_type` VALUES (13, 12, '连岛概况', 1, 'admin', '2024-04-11 09:41:13', 'admin', '2024-04-11 09:41:13');
INSERT INTO `ld_article_type` VALUES (14, 12, '连岛美景', 2, 'admin', '2024-04-11 09:41:20', 'admin', '2024-04-16 17:16:27');
INSERT INTO `ld_article_type` VALUES (15, 12, '连岛人文', 5, 'admin', '2024-04-11 09:41:27', 'admin', '2024-04-16 17:16:03');
INSERT INTO `ld_article_type` VALUES (17, 12, '连岛荣誉', 5, 'admin', '2024-04-11 09:41:47', 'admin', '2024-04-11 09:41:47');
INSERT INTO `ld_article_type` VALUES (18, 0, '动态资讯', 2, 'admin', '2024-04-11 15:59:08', 'admin', '2024-04-11 15:59:08');
INSERT INTO `ld_article_type` VALUES (19, 18, '通知公告', 1, 'admin', '2024-04-11 15:59:38', 'admin', '2024-04-11 15:59:38');
INSERT INTO `ld_article_type` VALUES (21, 18, '最新活动', 3, 'admin', '2024-04-11 15:59:51', 'admin', '2024-04-11 15:59:51');
INSERT INTO `ld_article_type` VALUES (22, 18, '幕后故事', 4, 'admin', '2024-04-11 15:59:57', 'admin', '2024-04-11 15:59:57');
INSERT INTO `ld_article_type` VALUES (23, 18, '文明旅游', 5, 'admin', '2024-04-11 16:00:05', 'admin', '2024-04-11 16:00:05');
INSERT INTO `ld_article_type` VALUES (24, 0, '旅游攻略', 3, 'admin', '2024-04-12 09:02:18', 'admin', '2024-04-12 09:02:18');
INSERT INTO `ld_article_type` VALUES (25, 24, '景区地图', 1, 'admin', '2024-04-12 09:03:04', 'admin', '2024-04-12 09:03:04');
INSERT INTO `ld_article_type` VALUES (26, 24, '线路推荐', 2, 'admin', '2024-04-12 09:03:16', 'admin', '2024-04-12 09:03:16');
INSERT INTO `ld_article_type` VALUES (27, 24, '交通指南', 3, 'admin', '2024-04-12 09:03:24', 'admin', '2024-04-12 09:03:24');
INSERT INTO `ld_article_type` VALUES (28, 24, '住宿指南', 4, 'admin', '2024-04-12 09:03:31', 'admin', '2024-04-12 09:03:31');
INSERT INTO `ld_article_type` VALUES (29, 24, '美食指南', 5, 'admin', '2024-04-12 09:03:40', 'admin', '2024-04-12 09:03:40');
INSERT INTO `ld_article_type` VALUES (30, 24, '欢购指南', 6, 'admin', '2024-04-12 09:03:48', 'admin', '2024-04-12 09:03:48');
INSERT INTO `ld_article_type` VALUES (31, 24, '休闲娱乐', 7, 'admin', '2024-04-12 09:03:55', 'admin', '2024-04-12 09:03:55');
INSERT INTO `ld_article_type` VALUES (32, 24, '游客分享', 8, 'admin', '2024-04-12 09:04:07', 'admin', '2024-04-12 09:04:07');
INSERT INTO `ld_article_type` VALUES (33, 0, '旅游服务', 4, 'admin', '2024-04-12 14:58:37', 'admin', '2024-04-12 14:58:37');
INSERT INTO `ld_article_type` VALUES (34, 33, '游览须知', 1, 'admin', '2024-04-12 14:58:47', 'admin', '2024-04-12 14:58:47');
INSERT INTO `ld_article_type` VALUES (35, 33, '导游服务', 2, 'admin', '2024-04-12 14:58:55', 'admin', '2024-04-12 14:58:55');
INSERT INTO `ld_article_type` VALUES (36, 33, '景交车服务', 3, 'admin', '2024-04-12 14:59:03', 'admin', '2024-04-12 14:59:03');
INSERT INTO `ld_article_type` VALUES (37, 0, '景区预订', 5, 'admin', '2024-04-15 09:10:23', 'admin', '2024-04-15 09:10:23');
INSERT INTO `ld_article_type` VALUES (38, 0, '联系我们', 6, 'admin', '2024-04-15 09:22:45', 'admin', '2024-04-15 09:22:45');
INSERT INTO `ld_article_type` VALUES (39, 0, '底部二维码', 7, 'admin', '2024-04-16 15:59:24', 'admin', '2024-04-16 15:59:24');
INSERT INTO `ld_article_type` VALUES (40, 14, '游客中心', 1, 'admin', '2024-04-16 17:16:37', 'admin', '2024-04-16 17:16:37');
INSERT INTO `ld_article_type` VALUES (41, 14, '精彩景点', 2, 'admin', '2024-04-16 17:16:45', 'admin', '2024-04-16 17:16:45');
INSERT INTO `ld_article_type` VALUES (42, 14, '更多景点', 3, 'admin', '2024-04-16 17:16:52', 'admin', '2024-04-16 17:16:52');

-- ----------------------------
-- Table structure for ld_complaint_suggestions
-- ----------------------------
DROP TABLE IF EXISTS `ld_complaint_suggestions`;
CREATE TABLE `ld_complaint_suggestions`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `phone` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `content` text CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL COMMENT '内容',
  `username` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系人',
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类型',
  `file` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '上传附件',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '投诉建议表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_complaint_suggestions
-- ----------------------------

-- ----------------------------
-- Table structure for ld_questionnaire_config
-- ----------------------------
DROP TABLE IF EXISTS `ld_questionnaire_config`;
CREATE TABLE `ld_questionnaire_config`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `question` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '问题',
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类型 单选、地点、打分、文本、富文本、日期',
  `is_required` tinyint(4) NULL DEFAULT NULL COMMENT '是否必填',
  `order_num` int(11) NULL DEFAULT NULL COMMENT '显示顺序',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '问卷配置' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_questionnaire_config
-- ----------------------------
INSERT INTO `ld_questionnaire_config` VALUES (21, '您来自？', '地点', 0, 1, 'admin', '2024-04-17 09:09:28', 'admin', '2024-04-17 09:09:28');
INSERT INTO `ld_questionnaire_config` VALUES (22, '您的性别?', '单选', 0, 2, 'admin', '2024-04-17 09:10:03', 'admin', '2024-04-17 09:10:03');
INSERT INTO `ld_questionnaire_config` VALUES (23, '您的出游方式', '单选', 0, 3, 'admin', '2024-04-17 09:11:52', 'admin', '2024-04-17 09:11:52');
INSERT INTO `ld_questionnaire_config` VALUES (24, '您是通过什么方式知道，了解本景区', '多选', 0, 4, 'admin', '2024-04-17 09:14:25', 'admin', '2024-04-25 10:13:31');
INSERT INTO `ld_questionnaire_config` VALUES (25, '您在连云港游览准备游览哪些景点', '单选', 0, 5, 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_config` VALUES (26, '您在连云港想购买什么地方产品', '单选', 0, 6, 'admin', '2024-04-17 09:18:33', 'admin', '2024-04-17 09:23:15');
INSERT INTO `ld_questionnaire_config` VALUES (27, '您来连岛游览哪些景点最让你满意', '单选', 0, 7, 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_config` VALUES (28, '您对景区工作人员的形象、服务、卫生等是否满意', '单选', 0, 8, 'admin', '2024-04-17 09:21:48', 'admin', '2024-04-17 09:21:48');
INSERT INTO `ld_questionnaire_config` VALUES (29, '希望您写下对本景区发展的意见和建议', '富文本', 0, 9, 'admin', '2024-04-17 09:22:31', 'admin', '2024-04-17 09:22:31');

-- ----------------------------
-- Table structure for ld_questionnaire_option
-- ----------------------------
DROP TABLE IF EXISTS `ld_questionnaire_option`;
CREATE TABLE `ld_questionnaire_option`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `config_id` bigint(20) NULL DEFAULT NULL COMMENT '配置表id',
  `questionnaire_option` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '选项',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 154 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '问卷选项' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_questionnaire_option
-- ----------------------------
INSERT INTO `ld_questionnaire_option` VALUES (46, 6, 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx1', 'admin', '2024-03-19 17:13:04', 'admin', '2024-03-19 17:13:04');
INSERT INTO `ld_questionnaire_option` VALUES (47, 6, 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx2', 'admin', '2024-03-19 17:13:04', 'admin', '2024-03-19 17:13:04');
INSERT INTO `ld_questionnaire_option` VALUES (48, 6, 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx3', 'admin', '2024-03-19 17:13:04', 'admin', '2024-03-19 17:13:04');
INSERT INTO `ld_questionnaire_option` VALUES (49, 6, 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx4', 'admin', '2024-03-19 17:13:04', 'admin', '2024-03-19 17:13:04');
INSERT INTO `ld_questionnaire_option` VALUES (50, 6, 'xxxxxxxxxxxxxxxxxxxxxxxxxxxxxx5', 'admin', '2024-03-19 17:13:04', 'admin', '2024-03-19 17:13:04');
INSERT INTO `ld_questionnaire_option` VALUES (96, 12, '20岁以下', 'admin', '2024-04-10 10:38:21', 'admin', '2024-04-10 10:38:21');
INSERT INTO `ld_questionnaire_option` VALUES (97, 12, '20-40岁', 'admin', '2024-04-10 10:38:21', 'admin', '2024-04-10 10:38:21');
INSERT INTO `ld_questionnaire_option` VALUES (98, 12, '40-60岁', 'admin', '2024-04-10 10:38:21', 'admin', '2024-04-10 10:38:21');
INSERT INTO `ld_questionnaire_option` VALUES (99, 12, '60岁以上', 'admin', '2024-04-10 10:38:21', 'admin', '2024-04-10 10:38:21');
INSERT INTO `ld_questionnaire_option` VALUES (100, 13, '男', 'admin', '2024-04-10 10:38:25', 'admin', '2024-04-10 10:38:25');
INSERT INTO `ld_questionnaire_option` VALUES (101, 13, '女', 'admin', '2024-04-10 10:38:25', 'admin', '2024-04-10 10:38:25');
INSERT INTO `ld_questionnaire_option` VALUES (102, 14, '学生', 'admin', '2024-04-10 10:38:29', 'admin', '2024-04-10 10:38:29');
INSERT INTO `ld_questionnaire_option` VALUES (103, 14, '科教文卫', 'admin', '2024-04-10 10:38:29', 'admin', '2024-04-10 10:38:29');
INSERT INTO `ld_questionnaire_option` VALUES (104, 14, '国家机关', 'admin', '2024-04-10 10:38:29', 'admin', '2024-04-10 10:38:29');
INSERT INTO `ld_questionnaire_option` VALUES (105, 14, '离退休人员', 'admin', '2024-04-10 10:38:29', 'admin', '2024-04-10 10:38:29');
INSERT INTO `ld_questionnaire_option` VALUES (106, 14, '其他', 'admin', '2024-04-10 10:38:29', 'admin', '2024-04-10 10:38:29');
INSERT INTO `ld_questionnaire_option` VALUES (107, 16, '0次', 'admin', '2024-04-10 10:41:49', 'admin', '2024-04-10 10:41:49');
INSERT INTO `ld_questionnaire_option` VALUES (108, 16, '1-2次', 'admin', '2024-04-10 10:41:49', 'admin', '2024-04-10 10:41:49');
INSERT INTO `ld_questionnaire_option` VALUES (109, 16, '3-6次', 'admin', '2024-04-10 10:41:49', 'admin', '2024-04-10 10:41:49');
INSERT INTO `ld_questionnaire_option` VALUES (110, 16, '6次以上', 'admin', '2024-04-10 10:41:49', 'admin', '2024-04-10 10:41:49');
INSERT INTO `ld_questionnaire_option` VALUES (111, 22, '男', 'admin', '2024-04-17 09:10:03', 'admin', '2024-04-17 09:10:03');
INSERT INTO `ld_questionnaire_option` VALUES (112, 22, '女', 'admin', '2024-04-17 09:10:03', 'admin', '2024-04-17 09:10:03');
INSERT INTO `ld_questionnaire_option` VALUES (113, 23, '自驾出游', 'admin', '2024-04-17 09:11:52', 'admin', '2024-04-17 09:11:52');
INSERT INTO `ld_questionnaire_option` VALUES (114, 23, '团队（跟旅行团来的）', 'admin', '2024-04-17 09:11:52', 'admin', '2024-04-17 09:11:52');
INSERT INTO `ld_questionnaire_option` VALUES (115, 23, '自己坐公交车', 'admin', '2024-04-17 09:11:52', 'admin', '2024-04-17 09:11:52');
INSERT INTO `ld_questionnaire_option` VALUES (124, 25, '连岛景区', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (125, 25, '花果山景区', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (126, 25, '渔湾景区', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (127, 25, '乘游轮海上观光', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (128, 25, '孔望山，海州古城', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (129, 25, '东海温泉', 'admin', '2024-04-17 09:16:53', 'admin', '2024-04-17 09:16:53');
INSERT INTO `ld_questionnaire_option` VALUES (134, 27, '大沙湾', 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_option` VALUES (135, 27, '苏马湾', 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_option` VALUES (136, 27, '游轮海上观光', 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_option` VALUES (137, 27, '连岛渔家风情', 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_option` VALUES (138, 27, '海底世界', 'admin', '2024-04-17 09:20:33', 'admin', '2024-04-17 09:20:33');
INSERT INTO `ld_questionnaire_option` VALUES (139, 28, '很满意', 'admin', '2024-04-17 09:21:48', 'admin', '2024-04-17 09:21:48');
INSERT INTO `ld_questionnaire_option` VALUES (140, 28, '较满意', 'admin', '2024-04-17 09:21:48', 'admin', '2024-04-17 09:21:48');
INSERT INTO `ld_questionnaire_option` VALUES (141, 28, '一般', 'admin', '2024-04-17 09:21:48', 'admin', '2024-04-17 09:21:48');
INSERT INTO `ld_questionnaire_option` VALUES (142, 28, '不满意', 'admin', '2024-04-17 09:21:48', 'admin', '2024-04-17 09:21:48');
INSERT INTO `ld_questionnaire_option` VALUES (143, 26, '本地海产品', 'admin', '2024-04-17 09:23:15', 'admin', '2024-04-17 09:23:15');
INSERT INTO `ld_questionnaire_option` VALUES (144, 26, '东海水晶', 'admin', '2024-04-17 09:23:15', 'admin', '2024-04-17 09:23:15');
INSERT INTO `ld_questionnaire_option` VALUES (145, 26, '海岛贝壳工艺品', 'admin', '2024-04-17 09:23:15', 'admin', '2024-04-17 09:23:15');
INSERT INTO `ld_questionnaire_option` VALUES (146, 24, '电视，电台媒体', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (147, 24, '报纸', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (148, 24, '旅行社', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (149, 24, '抖音公众号', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (150, 24, '亲朋好友介绍', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (151, 24, '网站', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (152, 24, '微信公众号', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');
INSERT INTO `ld_questionnaire_option` VALUES (153, 24, '其他渠道', 'admin', '2024-04-25 10:13:32', 'admin', '2024-04-25 10:13:32');

-- ----------------------------
-- Table structure for ld_questionnaire_result
-- ----------------------------
DROP TABLE IF EXISTS `ld_questionnaire_result`;
CREATE TABLE `ld_questionnaire_result`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `submit_id` bigint(20) NULL DEFAULT NULL COMMENT '提交表id',
  `question_id` bigint(20) NULL DEFAULT NULL COMMENT '问题id',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '提交时间',
  `question_content` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '问题内容',
  `result` varchar(5000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '结果',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '问卷填写结果' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_questionnaire_result
-- ----------------------------

-- ----------------------------
-- Table structure for ld_questionnaire_submit
-- ----------------------------
DROP TABLE IF EXISTS `ld_questionnaire_submit`;
CREATE TABLE `ld_questionnaire_submit`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `submit_time` datetime NULL DEFAULT NULL COMMENT '提交日期',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '问卷填写提交' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_questionnaire_submit
-- ----------------------------

-- ----------------------------
-- Table structure for ld_resources_config
-- ----------------------------
DROP TABLE IF EXISTS `ld_resources_config`;
CREATE TABLE `ld_resources_config`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '类型 视频、图片、语音',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '名称',
  `path` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路径',
  `url` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '跳转链接',
  `category` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '所属类别',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 367 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '资源配置' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_resources_config
-- ----------------------------
INSERT INTO `ld_resources_config` VALUES (1, '视频', '导航大图-景区首页', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417084150A001.mp4', NULL, NULL, 'admin', '2024-04-09 14:30:52', 'admin', '2024-04-17 08:41:52');
INSERT INTO `ld_resources_config` VALUES (2, '图片', '导航大图-景区介绍', '/profile/upload/2024/04/17/图1_20240417161136A057.jpg', NULL, NULL, 'admin', '2024-04-09 14:32:35', 'admin', '2024-04-17 16:11:37');
INSERT INTO `ld_resources_config` VALUES (3, '图片', '导航大图-动态资讯', '/profile/upload/2024/04/17/图2_20240417161146A058.jpg', NULL, NULL, 'admin', '2024-04-09 14:33:09', 'admin', '2024-04-17 16:11:48');
INSERT INTO `ld_resources_config` VALUES (4, '图片', '导航大图-旅游攻略', '/profile/upload/2024/04/17/图3_20240417161159A059.jpg', NULL, NULL, 'admin', '2024-04-09 14:33:47', 'admin', '2024-04-17 16:12:00');
INSERT INTO `ld_resources_config` VALUES (5, '图片', '导航大图-旅游服务', '/profile/upload/2024/04/17/图4_20240417161211A060.jpg', NULL, NULL, 'admin', '2024-04-09 14:34:16', 'admin', '2024-04-17 16:12:12');
INSERT INTO `ld_resources_config` VALUES (6, '图片', '导航大图-联系我们', '/profile/upload/2024/04/17/图6_20240417161237A062.jpg', NULL, NULL, 'admin', '2024-04-09 14:35:50', 'admin', '2024-04-17 16:12:39');
INSERT INTO `ld_resources_config` VALUES (7, '图片', '印象连岛', '/profile/upload/2024/04/09/2fa2657891ccb93c7a217632246589c_20240409154008A001.jpg', NULL, NULL, 'admin', '2024-04-09 15:40:28', 'admin', '2024-04-09 15:40:28');
INSERT INTO `ld_resources_config` VALUES (8, '图片', '导航大图-在线预定', '/profile/upload/2024/04/17/图5_20240417161225A061.jpg', NULL, NULL, 'admin', '2024-04-10 11:10:01', 'admin', '2024-04-17 16:12:26');
INSERT INTO `ld_resources_config` VALUES (9, '语音', '羊窝头站', '/profile/upload/2024/04/11/30.【羊窝头】加音乐 _20240411091352A001.mp3', NULL, NULL, 'admin', '2024-04-10 15:04:33', 'admin', '2024-04-11 09:13:54');
INSERT INTO `ld_resources_config` VALUES (10, '语音', '梅园', '/profile/upload/2024/04/11/28.【梅园】加音乐_20240411091824A018.mp3', NULL, NULL, 'admin', '2024-04-10 15:05:03', 'admin', '2024-04-11 09:18:25');
INSERT INTO `ld_resources_config` VALUES (11, '语音', '邓小平和人名在一起雕塑公园', '/profile/upload/2024/04/11/29.【邓小平和人民在一起雕塑公园】加音乐 _20240411091758A017.mp3', NULL, NULL, 'admin', '2024-04-10 15:06:28', 'admin', '2024-04-11 09:17:59');
INSERT INTO `ld_resources_config` VALUES (12, '语音', '龙后宫', '/profile/upload/2024/04/11/22.【龙后宫】  加音乐_20240411091746A016.mp3', NULL, NULL, 'admin', '2024-04-10 15:06:52', 'admin', '2024-04-11 09:17:48');
INSERT INTO `ld_resources_config` VALUES (13, '语音', '观日亭', '/profile/upload/2024/04/11/18.【观日亭】加音乐 _20240411091727A015.mp3', NULL, NULL, 'admin', '2024-04-10 15:07:21', 'admin', '2024-04-11 09:17:29');
INSERT INTO `ld_resources_config` VALUES (14, '语音', '苏马湾', '/profile/upload/2024/04/11/23.【苏马湾】加音乐 _20240411091719A014.mp3', NULL, NULL, 'admin', '2024-04-10 15:07:42', 'admin', '2024-04-11 09:17:20');
INSERT INTO `ld_resources_config` VALUES (15, '语音', '海天一色', '/profile/upload/2024/04/11/17.【海天一色】加音乐 _20240411091705A013.mp3', NULL, NULL, 'admin', '2024-04-10 15:09:17', 'admin', '2024-04-11 09:17:06');
INSERT INTO `ld_resources_config` VALUES (16, '语音', '环岛路', '/profile/upload/2024/04/11/13.【环岛路】加音乐_20240411091657A012.mp3', NULL, NULL, 'admin', '2024-04-10 15:09:36', 'admin', '2024-04-11 09:16:58');
INSERT INTO `ld_resources_config` VALUES (17, '语音', '孔雀瀑布', '/profile/upload/2024/04/11/24.【瀑布】加音乐 _20240411091644A011.mp3', NULL, NULL, 'admin', '2024-04-10 15:10:15', 'admin', '2024-04-11 09:16:45');
INSERT INTO `ld_resources_config` VALUES (18, '语音', '饮马井', '/profile/upload/2024/04/11/25.【饮马井】加音乐_20240411091612A010.mp3', NULL, NULL, 'admin', '2024-04-10 15:10:33', 'admin', '2024-04-11 09:16:13');
INSERT INTO `ld_resources_config` VALUES (19, '语音', '天际苏马湾酒店', '/profile/upload/2024/04/11/26.【天际苏马湾酒店】加音乐_20240411091602A009.mp3', NULL, NULL, 'admin', '2024-04-10 15:11:09', 'admin', '2024-04-11 09:16:04');
INSERT INTO `ld_resources_config` VALUES (20, '语音', '孔雀园', '/profile/upload/2024/04/11/12.【孔雀园】加音乐 _20240411091551A008.mp3', NULL, NULL, 'admin', '2024-04-10 15:11:25', 'admin', '2024-04-11 09:15:53');
INSERT INTO `ld_resources_config` VALUES (21, '语音', '海滨栈道', '/profile/upload/2024/04/11/9.【海滨栈道】加音乐 - 输出 - Stereo Out_20240411091530A006.mp3', NULL, NULL, 'admin', '2024-04-10 15:11:45', 'admin', '2024-04-11 09:15:32');
INSERT INTO `ld_resources_config` VALUES (22, '语音', '大沙湾', '/profile/upload/2024/04/11/4.【大沙湾】加音乐 - 输出 - Stereo Out_20240411091513A005.mp3', NULL, NULL, 'admin', '2024-04-10 15:12:00', 'admin', '2024-04-11 09:15:15');
INSERT INTO `ld_resources_config` VALUES (23, '语音', '海洋文化墙', '/profile/upload/2024/04/11/8.【海洋文化墙】加音乐 - 输出 - Stereo Out_20240411091541A007.mp3', NULL, NULL, 'admin', '2024-04-10 15:12:13', 'admin', '2024-04-11 09:15:43');
INSERT INTO `ld_resources_config` VALUES (24, '语音', '钟楼', '/profile/upload/2024/04/11/5.【钟楼】加音乐 - 输出 - Stereo Out_20240411091457A004.mp3', NULL, NULL, 'admin', '2024-04-10 15:12:25', 'admin', '2024-04-11 09:14:59');
INSERT INTO `ld_resources_config` VALUES (25, '语音', '天际大沙湾酒店', '/profile/upload/2024/04/11/7.【天际大沙湾酒店】加音乐 - 输出 - Stereo Out_20240411091425A003.mp3', NULL, NULL, 'admin', '2024-04-10 15:12:40', 'admin', '2024-04-11 09:14:28');
INSERT INTO `ld_resources_config` VALUES (26, '语音', '游艇俱乐部', '/profile/upload/2024/04/11/31.【游艇俱乐部】加音乐_20240411091404A002.mp3', NULL, NULL, 'admin', '2024-04-10 15:13:03', 'admin', '2024-04-11 09:14:05');
INSERT INTO `ld_resources_config` VALUES (27, '图片', '图片_游艇俱乐部_63520bf781a97.jpg', '/profile/liandao_old_data/63520bf781a97.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:19', 'system', '2022-10-21 11:03:19');
INSERT INTO `ld_resources_config` VALUES (28, '图片', '图片_游艇俱乐部_63520bf6417bb.jpg', '/profile/liandao_old_data/63520bf6417bb.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (29, '图片', '图片_游艇俱乐部_63520bf67cdab.jpg', '/profile/liandao_old_data/63520bf67cdab.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (30, '图片', '图片_游艇俱乐部_63520bf6a0a95.jpg', '/profile/liandao_old_data/63520bf6a0a95.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (31, '图片', '图片_游艇俱乐部_63520bf763973.jpg', '/profile/liandao_old_data/63520bf763973.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:19', 'system', '2022-10-21 11:03:19');
INSERT INTO `ld_resources_config` VALUES (32, '图片', '图片_游艇俱乐部_63520bf65eec1.jpg', '/profile/liandao_old_data/63520bf65eec1.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (33, '图片', '图片_游艇俱乐部_63520bf6c0315.jpg', '/profile/liandao_old_data/63520bf6c0315.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (34, '图片', '图片_游艇俱乐部_63520bf6deab2.jpg', '/profile/liandao_old_data/63520bf6deab2.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:18', 'system', '2022-10-21 11:03:18');
INSERT INTO `ld_resources_config` VALUES (35, '图片', '图片_游艇俱乐部_63520bf709247.jpg', '/profile/liandao_old_data/63520bf709247.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:19', 'system', '2022-10-21 11:03:19');
INSERT INTO `ld_resources_config` VALUES (36, '图片', '图片_游艇俱乐部_63520bf7278e9.jpg', '/profile/liandao_old_data/63520bf7278e9.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:19', 'system', '2022-10-21 11:03:19');
INSERT INTO `ld_resources_config` VALUES (37, '图片', '图片_游艇俱乐部_63520bf745efb.jpg', '/profile/liandao_old_data/63520bf745efb.jpg', NULL, '游艇俱乐部', 'system', '2022-10-21 11:03:19', 'system', '2022-10-21 11:03:19');
INSERT INTO `ld_resources_config` VALUES (38, '图片', '图片_体育赛事_63520b86b0095.jpg', '/profile/liandao_old_data/63520b86b0095.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (39, '图片', '图片_体育赛事_63520b86832c2.jpg', '/profile/liandao_old_data/63520b86832c2.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (40, '图片', '图片_体育赛事_63520b8664ab8.jpg', '/profile/liandao_old_data/63520b8664ab8.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (41, '图片', '图片_体育赛事_63520b86475f9.jpg', '/profile/liandao_old_data/63520b86475f9.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (42, '图片', '图片_体育赛事_63520b8629bfb.jpg', '/profile/liandao_old_data/63520b8629bfb.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (43, '图片', '图片_体育赛事_63520b860b7d1.jpg', '/profile/liandao_old_data/63520b860b7d1.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (44, '图片', '图片_体育赛事_63520b85e1779.jpg', '/profile/liandao_old_data/63520b85e1779.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (45, '图片', '图片_体育赛事_63520b85c22cf.jpg', '/profile/liandao_old_data/63520b85c22cf.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (46, '图片', '图片_体育赛事_63520b85a3cd9.jpg', '/profile/liandao_old_data/63520b85a3cd9.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (47, '图片', '图片_体育赛事_63520b875c91e.jpg', '/profile/liandao_old_data/63520b875c91e.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:27', 'system', '2022-10-21 11:01:27');
INSERT INTO `ld_resources_config` VALUES (48, '图片', '图片_体育赛事_63520b8544b5e.jpg', '/profile/liandao_old_data/63520b8544b5e.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (49, '图片', '图片_体育赛事_63520b871f9f2.jpg', '/profile/liandao_old_data/63520b871f9f2.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:27', 'system', '2022-10-21 11:01:27');
INSERT INTO `ld_resources_config` VALUES (50, '图片', '图片_体育赛事_63520b870173e.jpg', '/profile/liandao_old_data/63520b870173e.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:27', 'system', '2022-10-21 11:01:27');
INSERT INTO `ld_resources_config` VALUES (51, '图片', '图片_体育赛事_63520b8525b52.jpg', '/profile/liandao_old_data/63520b8525b52.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (52, '图片', '图片_体育赛事_63520b873d4cc.jpg', '/profile/liandao_old_data/63520b873d4cc.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:27', 'system', '2022-10-21 11:01:27');
INSERT INTO `ld_resources_config` VALUES (53, '图片', '图片_体育赛事_63520b8584a83.jpg', '/profile/liandao_old_data/63520b8584a83.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (54, '图片', '图片_体育赛事_63520b85665e6.jpg', '/profile/liandao_old_data/63520b85665e6.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:25', 'system', '2022-10-21 11:01:25');
INSERT INTO `ld_resources_config` VALUES (55, '图片', '图片_体育赛事_63520b877a3e1.jpg', '/profile/liandao_old_data/63520b877a3e1.jpg', NULL, '体育赛事', 'system', '2022-10-21 11:01:27', 'system', '2022-10-21 11:01:27');
INSERT INTO `ld_resources_config` VALUES (56, '图片', '图片_体育赛事_63520b86cdfe8.png', '/profile/liandao_old_data/63520b86cdfe8.png', NULL, '体育赛事', 'system', '2022-10-21 11:01:26', 'system', '2022-10-21 11:01:26');
INSERT INTO `ld_resources_config` VALUES (57, '图片', '图片_北固山健康步道_5d01f2655afd7.jpg', '/profile/liandao_old_data/5d01f2655afd7.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:17', 'system', '2019-06-13 14:51:17');
INSERT INTO `ld_resources_config` VALUES (58, '图片', '图片_北固山健康步道_5d01f2659e9ef.jpg', '/profile/liandao_old_data/5d01f2659e9ef.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:17', 'system', '2019-06-13 14:51:17');
INSERT INTO `ld_resources_config` VALUES (59, '图片', '图片_北固山健康步道_5d01f265e2bd7.jpg', '/profile/liandao_old_data/5d01f265e2bd7.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:18', 'system', '2019-06-13 14:51:18');
INSERT INTO `ld_resources_config` VALUES (60, '图片', '图片_北固山健康步道_5d01f2663140f.jpg', '/profile/liandao_old_data/5d01f2663140f.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:18', 'system', '2019-06-13 14:51:18');
INSERT INTO `ld_resources_config` VALUES (61, '图片', '图片_北固山健康步道_5d01f26676597.jpg', '/profile/liandao_old_data/5d01f26676597.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:18', 'system', '2019-06-13 14:51:18');
INSERT INTO `ld_resources_config` VALUES (62, '图片', '图片_北固山健康步道_5d01f26480937.jpg', '/profile/liandao_old_data/5d01f26480937.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:16', 'system', '2019-06-13 14:51:16');
INSERT INTO `ld_resources_config` VALUES (63, '图片', '图片_北固山健康步道_5d01f264c3b7f.jpg', '/profile/liandao_old_data/5d01f264c3b7f.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:16', 'system', '2019-06-13 14:51:16');
INSERT INTO `ld_resources_config` VALUES (64, '图片', '图片_北固山健康步道_5d01f265171d8.jpg', '/profile/liandao_old_data/5d01f265171d8.jpg', NULL, '北固山健康步道', 'system', '2019-06-13 14:51:17', 'system', '2019-06-13 14:51:17');
INSERT INTO `ld_resources_config` VALUES (65, '图片', '图片_港口_5d01f2d40a811.jpg', '/profile/liandao_old_data/5d01f2d40a811.jpg', NULL, '港口', 'system', '2019-06-13 14:53:08', 'system', '2019-06-13 14:53:08');
INSERT INTO `ld_resources_config` VALUES (66, '图片', '图片_港口_5d01f2d436f0c.jpg', '/profile/liandao_old_data/5d01f2d436f0c.jpg', NULL, '港口', 'system', '2019-06-13 14:53:08', 'system', '2019-06-13 14:53:08');
INSERT INTO `ld_resources_config` VALUES (67, '图片', '图片_港口_5d01f2d396a29.jpg', '/profile/liandao_old_data/5d01f2d396a29.jpg', NULL, '港口', 'system', '2019-06-13 14:53:07', 'system', '2019-06-13 14:53:07');
INSERT INTO `ld_resources_config` VALUES (68, '图片', '图片_港口_5d01f2d3d002f.jpg', '/profile/liandao_old_data/5d01f2d3d002f.jpg', NULL, '港口', 'system', '2019-06-13 14:53:07', 'system', '2019-06-13 14:53:07');
INSERT INTO `ld_resources_config` VALUES (69, '图片', '图片_港口_5d01f2d1ebd13.jpg', '/profile/liandao_old_data/5d01f2d1ebd13.jpg', NULL, '港口', 'system', '2019-06-13 14:53:06', 'system', '2019-06-13 14:53:06');
INSERT INTO `ld_resources_config` VALUES (70, '图片', '图片_港口_5d01f2d235729.jpg', '/profile/liandao_old_data/5d01f2d235729.jpg', NULL, '港口', 'system', '2019-06-13 14:53:06', 'system', '2019-06-13 14:53:06');
INSERT INTO `ld_resources_config` VALUES (71, '图片', '图片_港口_5d01f2d26e176.jpg', '/profile/liandao_old_data/5d01f2d26e176.jpg', NULL, '港口', 'system', '2019-06-13 14:53:06', 'system', '2019-06-13 14:53:06');
INSERT INTO `ld_resources_config` VALUES (72, '图片', '图片_港口_5d01f2d29e30a.jpg', '/profile/liandao_old_data/5d01f2d29e30a.jpg', NULL, '港口', 'system', '2019-06-13 14:53:06', 'system', '2019-06-13 14:53:06');
INSERT INTO `ld_resources_config` VALUES (73, '图片', '图片_港口_5d01f2d2d51ff.jpg', '/profile/liandao_old_data/5d01f2d2d51ff.jpg', NULL, '港口', 'system', '2019-06-13 14:53:06', 'system', '2019-06-13 14:53:06');
INSERT INTO `ld_resources_config` VALUES (74, '图片', '图片_港口_5d01f2d319624.jpg', '/profile/liandao_old_data/5d01f2d319624.jpg', NULL, '港口', 'system', '2019-06-13 14:53:07', 'system', '2019-06-13 14:53:07');
INSERT INTO `ld_resources_config` VALUES (75, '图片', '图片_港口_5d01f2d353bc9.jpg', '/profile/liandao_old_data/5d01f2d353bc9.jpg', NULL, '港口', 'system', '2019-06-13 14:53:07', 'system', '2019-06-13 14:53:07');
INSERT INTO `ld_resources_config` VALUES (76, '图片', '图片_港口_5d01f2d03ef11.jpg', '/profile/liandao_old_data/5d01f2d03ef11.jpg', NULL, '港口', 'system', '2019-06-13 14:53:04', 'system', '2019-06-13 14:53:04');
INSERT INTO `ld_resources_config` VALUES (77, '图片', '图片_港口_5d01f2d07795e.jpg', '/profile/liandao_old_data/5d01f2d07795e.jpg', NULL, '港口', 'system', '2019-06-13 14:53:04', 'system', '2019-06-13 14:53:04');
INSERT INTO `ld_resources_config` VALUES (78, '图片', '图片_港口_5d01f2d0b0f64.jpg', '/profile/liandao_old_data/5d01f2d0b0f64.jpg', NULL, '港口', 'system', '2019-06-13 14:53:04', 'system', '2019-06-13 14:53:04');
INSERT INTO `ld_resources_config` VALUES (79, '图片', '图片_港口_5d01f2d0e91e1.jpg', '/profile/liandao_old_data/5d01f2d0e91e1.jpg', NULL, '港口', 'system', '2019-06-13 14:53:05', 'system', '2019-06-13 14:53:05');
INSERT INTO `ld_resources_config` VALUES (80, '图片', '图片_港口_5d01f2d1308cf.jpg', '/profile/liandao_old_data/5d01f2d1308cf.jpg', NULL, '港口', 'system', '2019-06-13 14:53:05', 'system', '2019-06-13 14:53:05');
INSERT INTO `ld_resources_config` VALUES (81, '图片', '图片_港口_5d01f2d172b76.jpg', '/profile/liandao_old_data/5d01f2d172b76.jpg', NULL, '港口', 'system', '2019-06-13 14:53:05', 'system', '2019-06-13 14:53:05');
INSERT INTO `ld_resources_config` VALUES (82, '图片', '图片_港口_5d01f2d1b0f9d.jpg', '/profile/liandao_old_data/5d01f2d1b0f9d.jpg', NULL, '港口', 'system', '2019-06-13 14:53:05', 'system', '2019-06-13 14:53:05');
INSERT INTO `ld_resources_config` VALUES (83, '图片', '图片_海滨城市风光_5d01f36f337d5.jpg', '/profile/liandao_old_data/5d01f36f337d5.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:43', 'system', '2019-06-13 14:55:43');
INSERT INTO `ld_resources_config` VALUES (84, '图片', '图片_海滨城市风光_5d01f36f6f103.jpg', '/profile/liandao_old_data/5d01f36f6f103.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:43', 'system', '2019-06-13 14:55:43');
INSERT INTO `ld_resources_config` VALUES (85, '图片', '图片_海滨城市风光_5d01f36eedc3f.jpg', '/profile/liandao_old_data/5d01f36eedc3f.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:43', 'system', '2019-06-13 14:55:43');
INSERT INTO `ld_resources_config` VALUES (86, '图片', '图片_海滨城市风光_5d01f36ead108.jpg', '/profile/liandao_old_data/5d01f36ead108.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:42', 'system', '2019-06-13 14:55:42');
INSERT INTO `ld_resources_config` VALUES (87, '图片', '图片_海滨城市风光_5d01f36e6d959.jpg', '/profile/liandao_old_data/5d01f36e6d959.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:42', 'system', '2019-06-13 14:55:42');
INSERT INTO `ld_resources_config` VALUES (88, '图片', '图片_海滨城市风光_5d01f36e2aaf9.jpg', '/profile/liandao_old_data/5d01f36e2aaf9.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:42', 'system', '2019-06-13 14:55:42');
INSERT INTO `ld_resources_config` VALUES (89, '图片', '图片_海滨城市风光_5d01f36de8615.jpg', '/profile/liandao_old_data/5d01f36de8615.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:42', 'system', '2019-06-13 14:55:42');
INSERT INTO `ld_resources_config` VALUES (90, '图片', '图片_海滨城市风光_5d01f36d7cb53.jpg', '/profile/liandao_old_data/5d01f36d7cb53.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:41', 'system', '2019-06-13 14:55:41');
INSERT INTO `ld_resources_config` VALUES (91, '图片', '图片_海滨城市风光_5d01f36db1338.jpg', '/profile/liandao_old_data/5d01f36db1338.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:41', 'system', '2019-06-13 14:55:41');
INSERT INTO `ld_resources_config` VALUES (92, '图片', '图片_海滨城市风光_5d01f364c3249.jpg', '/profile/liandao_old_data/5d01f364c3249.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:32', 'system', '2019-06-13 14:55:32');
INSERT INTO `ld_resources_config` VALUES (93, '图片', '图片_海滨城市风光_5d01f3650dfe8.jpg', '/profile/liandao_old_data/5d01f3650dfe8.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:33', 'system', '2019-06-13 14:55:33');
INSERT INTO `ld_resources_config` VALUES (94, '图片', '图片_海滨城市风光_5d01f36545e7d.jpg', '/profile/liandao_old_data/5d01f36545e7d.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:33', 'system', '2019-06-13 14:55:33');
INSERT INTO `ld_resources_config` VALUES (95, '图片', '图片_海滨城市风光_5d01f3657b601.jpg', '/profile/liandao_old_data/5d01f3657b601.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:33', 'system', '2019-06-13 14:55:33');
INSERT INTO `ld_resources_config` VALUES (96, '图片', '图片_海滨城市风光_5d01f365bf401.jpg', '/profile/liandao_old_data/5d01f365bf401.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:33', 'system', '2019-06-13 14:55:33');
INSERT INTO `ld_resources_config` VALUES (97, '图片', '图片_海滨城市风光_5d01f3610b022.jpg', '/profile/liandao_old_data/5d01f3610b022.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:29', 'system', '2019-06-13 14:55:29');
INSERT INTO `ld_resources_config` VALUES (98, '图片', '图片_海滨城市风光_5d01f3614e26a.jpg', '/profile/liandao_old_data/5d01f3614e26a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:29', 'system', '2019-06-13 14:55:29');
INSERT INTO `ld_resources_config` VALUES (99, '图片', '图片_海滨城市风光_5d01f361908fa.jpg', '/profile/liandao_old_data/5d01f361908fa.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:29', 'system', '2019-06-13 14:55:29');
INSERT INTO `ld_resources_config` VALUES (100, '图片', '图片_海滨城市风光_5d01f361d0879.jpg', '/profile/liandao_old_data/5d01f361d0879.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:29', 'system', '2019-06-13 14:55:29');
INSERT INTO `ld_resources_config` VALUES (101, '图片', '图片_海滨城市风光_5d01f36213cfe.jpg', '/profile/liandao_old_data/5d01f36213cfe.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:30', 'system', '2019-06-13 14:55:30');
INSERT INTO `ld_resources_config` VALUES (102, '图片', '图片_海滨城市风光_5d01f3624bf7b.jpg', '/profile/liandao_old_data/5d01f3624bf7b.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:30', 'system', '2019-06-13 14:55:30');
INSERT INTO `ld_resources_config` VALUES (103, '图片', '图片_海滨城市风光_5d01f3628befa.jpg', '/profile/liandao_old_data/5d01f3628befa.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:30', 'system', '2019-06-13 14:55:30');
INSERT INTO `ld_resources_config` VALUES (104, '图片', '图片_海滨城市风光_5d01f362d146a.jpg', '/profile/liandao_old_data/5d01f362d146a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:30', 'system', '2019-06-13 14:55:30');
INSERT INTO `ld_resources_config` VALUES (105, '图片', '图片_海滨城市风光_5d01f36317bb8.jpg', '/profile/liandao_old_data/5d01f36317bb8.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:31', 'system', '2019-06-13 14:55:31');
INSERT INTO `ld_resources_config` VALUES (106, '图片', '图片_海滨城市风光_5d01f363534e6.jpg', '/profile/liandao_old_data/5d01f363534e6.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:31', 'system', '2019-06-13 14:55:31');
INSERT INTO `ld_resources_config` VALUES (107, '图片', '图片_海滨城市风光_5d01f3639401d.jpg', '/profile/liandao_old_data/5d01f3639401d.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:31', 'system', '2019-06-13 14:55:31');
INSERT INTO `ld_resources_config` VALUES (108, '图片', '图片_海滨城市风光_5d01f363d4b54.jpg', '/profile/liandao_old_data/5d01f363d4b54.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:31', 'system', '2019-06-13 14:55:31');
INSERT INTO `ld_resources_config` VALUES (109, '图片', '图片_海滨城市风光_5d01f364131b8.jpg', '/profile/liandao_old_data/5d01f364131b8.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:32', 'system', '2019-06-13 14:55:32');
INSERT INTO `ld_resources_config` VALUES (110, '图片', '图片_海滨城市风光_5d01f36446de4.jpg', '/profile/liandao_old_data/5d01f36446de4.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:32', 'system', '2019-06-13 14:55:32');
INSERT INTO `ld_resources_config` VALUES (111, '图片', '图片_海滨城市风光_5d01f36488ca3.jpg', '/profile/liandao_old_data/5d01f36488ca3.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:32', 'system', '2019-06-13 14:55:32');
INSERT INTO `ld_resources_config` VALUES (112, '图片', '图片_海滨城市风光_5d01f360bfab3.jpg', '/profile/liandao_old_data/5d01f360bfab3.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:28', 'system', '2019-06-13 14:55:28');
INSERT INTO `ld_resources_config` VALUES (113, '图片', '图片_海滨城市风光_5d01f360839b5.jpg', '/profile/liandao_old_data/5d01f360839b5.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:28', 'system', '2019-06-13 14:55:28');
INSERT INTO `ld_resources_config` VALUES (114, '图片', '图片_海滨城市风光_5d01f3603e445.jpg', '/profile/liandao_old_data/5d01f3603e445.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:28', 'system', '2019-06-13 14:55:28');
INSERT INTO `ld_resources_config` VALUES (115, '图片', '图片_海滨城市风光_5d01f360032e7.jpg', '/profile/liandao_old_data/5d01f360032e7.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:28', 'system', '2019-06-13 14:55:28');
INSERT INTO `ld_resources_config` VALUES (116, '图片', '图片_海滨城市风光_5d01f35f85ca5.jpg', '/profile/liandao_old_data/5d01f35f85ca5.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:27', 'system', '2019-06-13 14:55:27');
INSERT INTO `ld_resources_config` VALUES (117, '图片', '图片_海滨城市风光_5d01f35fc024a.jpg', '/profile/liandao_old_data/5d01f35fc024a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:27', 'system', '2019-06-13 14:55:27');
INSERT INTO `ld_resources_config` VALUES (118, '图片', '图片_海滨城市风光_5d01f35f1480a.jpg', '/profile/liandao_old_data/5d01f35f1480a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:27', 'system', '2019-06-13 14:55:27');
INSERT INTO `ld_resources_config` VALUES (119, '图片', '图片_海滨城市风光_5d01f35f4e1f8.jpg', '/profile/liandao_old_data/5d01f35f4e1f8.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:27', 'system', '2019-06-13 14:55:27');
INSERT INTO `ld_resources_config` VALUES (120, '图片', '图片_海滨城市风光_5d01f35e84ccb.jpg', '/profile/liandao_old_data/5d01f35e84ccb.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:26', 'system', '2019-06-13 14:55:26');
INSERT INTO `ld_resources_config` VALUES (121, '图片', '图片_海滨城市风光_5d01f35ec735b.jpg', '/profile/liandao_old_data/5d01f35ec735b.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:26', 'system', '2019-06-13 14:55:26');
INSERT INTO `ld_resources_config` VALUES (122, '图片', '图片_海滨城市风光_5d01f35e12c79.jpg', '/profile/liandao_old_data/5d01f35e12c79.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:26', 'system', '2019-06-13 14:55:26');
INSERT INTO `ld_resources_config` VALUES (123, '图片', '图片_海滨城市风光_5d01f35e4be96.jpg', '/profile/liandao_old_data/5d01f35e4be96.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:26', 'system', '2019-06-13 14:55:26');
INSERT INTO `ld_resources_config` VALUES (124, '图片', '图片_海滨城市风光_5d01f36fb4673.jpg', '/profile/liandao_old_data/5d01f36fb4673.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:43', 'system', '2019-06-13 14:55:43');
INSERT INTO `ld_resources_config` VALUES (125, '图片', '图片_海滨城市风光_5d01f36fef000.jpg', '/profile/liandao_old_data/5d01f36fef000.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:44', 'system', '2019-06-13 14:55:44');
INSERT INTO `ld_resources_config` VALUES (126, '图片', '图片_海滨城市风光_5d01f37150d0e.jpg', '/profile/liandao_old_data/5d01f37150d0e.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:45', 'system', '2019-06-13 14:55:45');
INSERT INTO `ld_resources_config` VALUES (127, '图片', '图片_海滨城市风光_5d01f371ad1b3.jpg', '/profile/liandao_old_data/5d01f371ad1b3.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:45', 'system', '2019-06-13 14:55:45');
INSERT INTO `ld_resources_config` VALUES (128, '图片', '图片_海滨城市风光_5d01f371da466.jpg', '/profile/liandao_old_data/5d01f371da466.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:45', 'system', '2019-06-13 14:55:45');
INSERT INTO `ld_resources_config` VALUES (129, '图片', '图片_海滨城市风光_5d01f3721aa0a.jpg', '/profile/liandao_old_data/5d01f3721aa0a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:46', 'system', '2019-06-13 14:55:46');
INSERT INTO `ld_resources_config` VALUES (130, '图片', '图片_海滨城市风光_5d01f37251517.jpg', '/profile/liandao_old_data/5d01f37251517.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:46', 'system', '2019-06-13 14:55:46');
INSERT INTO `ld_resources_config` VALUES (131, '图片', '图片_海滨城市风光_5d01f3727ad31.jpg', '/profile/liandao_old_data/5d01f3727ad31.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:46', 'system', '2019-06-13 14:55:46');
INSERT INTO `ld_resources_config` VALUES (132, '图片', '图片_海滨城市风光_5d01f372ad9bd.jpg', '/profile/liandao_old_data/5d01f372ad9bd.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:46', 'system', '2019-06-13 14:55:46');
INSERT INTO `ld_resources_config` VALUES (133, '图片', '图片_海滨城市风光_5d01f372db057.jpg', '/profile/liandao_old_data/5d01f372db057.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:46', 'system', '2019-06-13 14:55:46');
INSERT INTO `ld_resources_config` VALUES (134, '图片', '图片_海滨城市风光_5d01f3731506a.jpg', '/profile/liandao_old_data/5d01f3731506a.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:47', 'system', '2019-06-13 14:55:47');
INSERT INTO `ld_resources_config` VALUES (135, '图片', '图片_海滨城市风光_5d01f3734696e.jpg', '/profile/liandao_old_data/5d01f3734696e.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:47', 'system', '2019-06-13 14:55:47');
INSERT INTO `ld_resources_config` VALUES (136, '图片', '图片_海滨城市风光_5d01f3737d47b.jpg', '/profile/liandao_old_data/5d01f3737d47b.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:47', 'system', '2019-06-13 14:55:47');
INSERT INTO `ld_resources_config` VALUES (137, '图片', '图片_海滨城市风光_5d01f373ae5ae.jpg', '/profile/liandao_old_data/5d01f373ae5ae.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:47', 'system', '2019-06-13 14:55:47');
INSERT INTO `ld_resources_config` VALUES (138, '图片', '图片_海滨城市风光_5d01f373db091.jpg', '/profile/liandao_old_data/5d01f373db091.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:47', 'system', '2019-06-13 14:55:47');
INSERT INTO `ld_resources_config` VALUES (139, '图片', '图片_海滨城市风光_5d01f37418b3c.jpg', '/profile/liandao_old_data/5d01f37418b3c.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:48', 'system', '2019-06-13 14:55:48');
INSERT INTO `ld_resources_config` VALUES (140, '图片', '图片_海滨城市风光_5d01f3745928b.jpg', '/profile/liandao_old_data/5d01f3745928b.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:48', 'system', '2019-06-13 14:55:48');
INSERT INTO `ld_resources_config` VALUES (141, '图片', '图片_海滨城市风光_5d01f3749b533.jpg', '/profile/liandao_old_data/5d01f3749b533.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:48', 'system', '2019-06-13 14:55:48');
INSERT INTO `ld_resources_config` VALUES (142, '图片', '图片_海滨城市风光_5d01f374d4b38.jpg', '/profile/liandao_old_data/5d01f374d4b38.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:48', 'system', '2019-06-13 14:55:48');
INSERT INTO `ld_resources_config` VALUES (143, '图片', '图片_海滨城市风光_5d01f37513584.jpg', '/profile/liandao_old_data/5d01f37513584.jpg', NULL, '海滨城市风光', 'system', '2019-06-13 14:55:49', 'system', '2019-06-13 14:55:49');
INSERT INTO `ld_resources_config` VALUES (144, '图片', '图片_海滨大道_5d01f3a47b85d.jpg', '/profile/liandao_old_data/5d01f3a47b85d.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:36', 'system', '2019-06-13 14:56:36');
INSERT INTO `ld_resources_config` VALUES (145, '图片', '图片_海滨大道_5d01f3a4bbfac.jpg', '/profile/liandao_old_data/5d01f3a4bbfac.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:36', 'system', '2019-06-13 14:56:36');
INSERT INTO `ld_resources_config` VALUES (146, '图片', '图片_海滨大道_5d01f3a4efbd8.jpg', '/profile/liandao_old_data/5d01f3a4efbd8.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:37', 'system', '2019-06-13 14:56:37');
INSERT INTO `ld_resources_config` VALUES (147, '图片', '图片_海滨大道_5d01f3a526d0a.jpg', '/profile/liandao_old_data/5d01f3a526d0a.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:37', 'system', '2019-06-13 14:56:37');
INSERT INTO `ld_resources_config` VALUES (148, '图片', '图片_海滨大道_5d01f3a559996.jpg', '/profile/liandao_old_data/5d01f3a559996.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:37', 'system', '2019-06-13 14:56:37');
INSERT INTO `ld_resources_config` VALUES (149, '图片', '图片_海滨大道_5d01f3a587801.jpg', '/profile/liandao_old_data/5d01f3a587801.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:37', 'system', '2019-06-13 14:56:37');
INSERT INTO `ld_resources_config` VALUES (150, '图片', '图片_海滨大道_5d01f3a5c2d47.jpg', '/profile/liandao_old_data/5d01f3a5c2d47.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:37', 'system', '2019-06-13 14:56:37');
INSERT INTO `ld_resources_config` VALUES (151, '图片', '图片_海滨大道_5d01f3a5eb9a8.jpg', '/profile/liandao_old_data/5d01f3a5eb9a8.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:38', 'system', '2019-06-13 14:56:38');
INSERT INTO `ld_resources_config` VALUES (152, '图片', '图片_海滨大道_5d01f3a625da3.jpg', '/profile/liandao_old_data/5d01f3a625da3.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:38', 'system', '2019-06-13 14:56:38');
INSERT INTO `ld_resources_config` VALUES (153, '图片', '图片_海滨大道_5d01f3a65825f.jpg', '/profile/liandao_old_data/5d01f3a65825f.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:38', 'system', '2019-06-13 14:56:38');
INSERT INTO `ld_resources_config` VALUES (154, '图片', '图片_海滨大道_5d01f3a692bed.jpg', '/profile/liandao_old_data/5d01f3a692bed.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:38', 'system', '2019-06-13 14:56:38');
INSERT INTO `ld_resources_config` VALUES (155, '图片', '图片_海滨大道_5d01f3a6ccdaa.jpg', '/profile/liandao_old_data/5d01f3a6ccdaa.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:38', 'system', '2019-06-13 14:56:38');
INSERT INTO `ld_resources_config` VALUES (156, '图片', '图片_海滨大道_5d01f3a718319.jpg', '/profile/liandao_old_data/5d01f3a718319.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:39', 'system', '2019-06-13 14:56:39');
INSERT INTO `ld_resources_config` VALUES (157, '图片', '图片_海滨大道_5d01f3a757ac8.jpg', '/profile/liandao_old_data/5d01f3a757ac8.jpg', NULL, '海滨大道', 'system', '2019-06-13 14:56:39', 'system', '2019-06-13 14:56:39');
INSERT INTO `ld_resources_config` VALUES (158, '图片', '图片_连岛_5d01f3db05633.jpg', '/profile/liandao_old_data/5d01f3db05633.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:31', 'system', '2019-06-13 14:57:31');
INSERT INTO `ld_resources_config` VALUES (159, '图片', '图片_连岛_5d01f3db41b19.jpg', '/profile/liandao_old_data/5d01f3db41b19.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:31', 'system', '2019-06-13 14:57:31');
INSERT INTO `ld_resources_config` VALUES (160, '图片', '图片_连岛_5d01f3db83208.jpg', '/profile/liandao_old_data/5d01f3db83208.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:31', 'system', '2019-06-13 14:57:31');
INSERT INTO `ld_resources_config` VALUES (161, '图片', '图片_连岛_5d01f3dbbc426.jpg', '/profile/liandao_old_data/5d01f3dbbc426.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:31', 'system', '2019-06-13 14:57:31');
INSERT INTO `ld_resources_config` VALUES (162, '图片', '图片_连岛_5d01f3dc0a875.jpg', '/profile/liandao_old_data/5d01f3dc0a875.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:32', 'system', '2019-06-13 14:57:32');
INSERT INTO `ld_resources_config` VALUES (163, '图片', '图片_连岛_5d01f3dc43a93.jpg', '/profile/liandao_old_data/5d01f3dc43a93.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:32', 'system', '2019-06-13 14:57:32');
INSERT INTO `ld_resources_config` VALUES (164, '图片', '图片_连岛_5d01f3dc870c3.jpg', '/profile/liandao_old_data/5d01f3dc870c3.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:32', 'system', '2019-06-13 14:57:32');
INSERT INTO `ld_resources_config` VALUES (165, '图片', '图片_连岛_5d01f3dcc3991.jpg', '/profile/liandao_old_data/5d01f3dcc3991.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:32', 'system', '2019-06-13 14:57:32');
INSERT INTO `ld_resources_config` VALUES (166, '图片', '图片_连岛_5d01f3dd0fab8.jpg', '/profile/liandao_old_data/5d01f3dd0fab8.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:33', 'system', '2019-06-13 14:57:33');
INSERT INTO `ld_resources_config` VALUES (167, '图片', '图片_连岛_5d01f3dd46d95.jpg', '/profile/liandao_old_data/5d01f3dd46d95.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:33', 'system', '2019-06-13 14:57:33');
INSERT INTO `ld_resources_config` VALUES (168, '图片', '图片_连岛_5d01f3dd8b365.jpg', '/profile/liandao_old_data/5d01f3dd8b365.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:33', 'system', '2019-06-13 14:57:33');
INSERT INTO `ld_resources_config` VALUES (169, '图片', '图片_连岛_5d01f3ddb9d88.jpg', '/profile/liandao_old_data/5d01f3ddb9d88.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:33', 'system', '2019-06-13 14:57:33');
INSERT INTO `ld_resources_config` VALUES (170, '图片', '图片_连岛_5d01f3ddeb68b.jpg', '/profile/liandao_old_data/5d01f3ddeb68b.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:34', 'system', '2019-06-13 14:57:34');
INSERT INTO `ld_resources_config` VALUES (171, '图片', '图片_连岛_5d01f3de3a693.jpg', '/profile/liandao_old_data/5d01f3de3a693.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:34', 'system', '2019-06-13 14:57:34');
INSERT INTO `ld_resources_config` VALUES (172, '图片', '图片_连岛_5d01f3de70200.jpg', '/profile/liandao_old_data/5d01f3de70200.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:34', 'system', '2019-06-13 14:57:34');
INSERT INTO `ld_resources_config` VALUES (173, '图片', '图片_连岛_5d01f3deade56.jpg', '/profile/liandao_old_data/5d01f3deade56.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:34', 'system', '2019-06-13 14:57:34');
INSERT INTO `ld_resources_config` VALUES (174, '图片', '图片_连岛_5d01f3dee68a3.jpg', '/profile/liandao_old_data/5d01f3dee68a3.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:35', 'system', '2019-06-13 14:57:35');
INSERT INTO `ld_resources_config` VALUES (175, '图片', '图片_连岛_5d01f3df2b499.jpg', '/profile/liandao_old_data/5d01f3df2b499.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:35', 'system', '2019-06-13 14:57:35');
INSERT INTO `ld_resources_config` VALUES (176, '图片', '图片_连岛_5d01f3df6526e.jpg', '/profile/liandao_old_data/5d01f3df6526e.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:35', 'system', '2019-06-13 14:57:35');
INSERT INTO `ld_resources_config` VALUES (177, '图片', '图片_连岛_5d01f3df938a9.jpg', '/profile/liandao_old_data/5d01f3df938a9.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:35', 'system', '2019-06-13 14:57:35');
INSERT INTO `ld_resources_config` VALUES (178, '图片', '图片_连岛_5d01f3dfc6d05.jpg', '/profile/liandao_old_data/5d01f3dfc6d05.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:35', 'system', '2019-06-13 14:57:35');
INSERT INTO `ld_resources_config` VALUES (179, '图片', '图片_连岛_5d01f3e00b12a.jpg', '/profile/liandao_old_data/5d01f3e00b12a.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:36', 'system', '2019-06-13 14:57:36');
INSERT INTO `ld_resources_config` VALUES (180, '图片', '图片_连岛_5d01f3e043790.jpg', '/profile/liandao_old_data/5d01f3e043790.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:36', 'system', '2019-06-13 14:57:36');
INSERT INTO `ld_resources_config` VALUES (181, '图片', '图片_连岛_5d01f3e07d17d.jpg', '/profile/liandao_old_data/5d01f3e07d17d.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:36', 'system', '2019-06-13 14:57:36');
INSERT INTO `ld_resources_config` VALUES (182, '图片', '图片_连岛_5d01f3e0b7ef3.jpg', '/profile/liandao_old_data/5d01f3e0b7ef3.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:36', 'system', '2019-06-13 14:57:36');
INSERT INTO `ld_resources_config` VALUES (183, '图片', '图片_连岛_5d01f3e0e4dbd.jpg', '/profile/liandao_old_data/5d01f3e0e4dbd.jpg', NULL, '连岛', 'system', '2019-06-13 14:57:37', 'system', '2019-06-13 14:57:37');
INSERT INTO `ld_resources_config` VALUES (184, '图片', '图片_连云老街_5d01f3f6770d6.jpg', '/profile/liandao_old_data/5d01f3f6770d6.jpg', NULL, '连云老街', 'system', '2019-06-13 14:57:58', 'system', '2019-06-13 14:57:58');
INSERT INTO `ld_resources_config` VALUES (185, '图片', '图片_连云老街_5d01f3f6adbe3.jpg', '/profile/liandao_old_data/5d01f3f6adbe3.jpg', NULL, '连云老街', 'system', '2019-06-13 14:57:58', 'system', '2019-06-13 14:57:58');
INSERT INTO `ld_resources_config` VALUES (186, '图片', '图片_连云老街_5d01f3f6e4ec0.jpg', '/profile/liandao_old_data/5d01f3f6e4ec0.jpg', NULL, '连云老街', 'system', '2019-06-13 14:57:59', 'system', '2019-06-13 14:57:59');
INSERT INTO `ld_resources_config` VALUES (187, '图片', '图片_连云老街_5d01f3f72e106.jpg', '/profile/liandao_old_data/5d01f3f72e106.jpg', NULL, '连云老街', 'system', '2019-06-13 14:57:59', 'system', '2019-06-13 14:57:59');
INSERT INTO `ld_resources_config` VALUES (188, '图片', '图片_连云新城_5d01f416312ec.jpg', '/profile/liandao_old_data/5d01f416312ec.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:30', 'system', '2019-06-13 14:58:30');
INSERT INTO `ld_resources_config` VALUES (189, '图片', '图片_连云新城_5d01f4166b892.jpg', '/profile/liandao_old_data/5d01f4166b892.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:30', 'system', '2019-06-13 14:58:30');
INSERT INTO `ld_resources_config` VALUES (190, '图片', '图片_连云新城_5d01f4169d57d.jpg', '/profile/liandao_old_data/5d01f4169d57d.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:30', 'system', '2019-06-13 14:58:30');
INSERT INTO `ld_resources_config` VALUES (191, '图片', '图片_连云新城_5d01f416cb7d0.jpg', '/profile/liandao_old_data/5d01f416cb7d0.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:30', 'system', '2019-06-13 14:58:30');
INSERT INTO `ld_resources_config` VALUES (192, '图片', '图片_连云新城_5d01f4170d0fd.jpg', '/profile/liandao_old_data/5d01f4170d0fd.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:31', 'system', '2019-06-13 14:58:31');
INSERT INTO `ld_resources_config` VALUES (193, '图片', '图片_连云新城_5d01f4174b90b.jpg', '/profile/liandao_old_data/5d01f4174b90b.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:31', 'system', '2019-06-13 14:58:31');
INSERT INTO `ld_resources_config` VALUES (194, '图片', '图片_连云新城_5d01f41786681.jpg', '/profile/liandao_old_data/5d01f41786681.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:31', 'system', '2019-06-13 14:58:31');
INSERT INTO `ld_resources_config` VALUES (195, '图片', '图片_连云新城_5d01f417c9cb1.jpg', '/profile/liandao_old_data/5d01f417c9cb1.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:31', 'system', '2019-06-13 14:58:31');
INSERT INTO `ld_resources_config` VALUES (196, '图片', '图片_连云新城_5d01f418103ff.jpg', '/profile/liandao_old_data/5d01f418103ff.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:32', 'system', '2019-06-13 14:58:32');
INSERT INTO `ld_resources_config` VALUES (197, '图片', '图片_连云新城_5d01f4184e055.jpg', '/profile/liandao_old_data/5d01f4184e055.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:32', 'system', '2019-06-13 14:58:32');
INSERT INTO `ld_resources_config` VALUES (198, '图片', '图片_连云新城_5d01f4189aedf.jpg', '/profile/liandao_old_data/5d01f4189aedf.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:32', 'system', '2019-06-13 14:58:32');
INSERT INTO `ld_resources_config` VALUES (199, '图片', '图片_连云新城_5d01f418d6fdd.jpg', '/profile/liandao_old_data/5d01f418d6fdd.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:33', 'system', '2019-06-13 14:58:33');
INSERT INTO `ld_resources_config` VALUES (200, '图片', '图片_连云新城_5d01f4192254c.jpg', '/profile/liandao_old_data/5d01f4192254c.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:33', 'system', '2019-06-13 14:58:33');
INSERT INTO `ld_resources_config` VALUES (201, '图片', '图片_连云新城_5d01f419620e3.jpg', '/profile/liandao_old_data/5d01f419620e3.jpg', NULL, '连云新城', 'system', '2019-06-13 14:58:33', 'system', '2019-06-13 14:58:33');
INSERT INTO `ld_resources_config` VALUES (202, '图片', '图片_新丝路公园_5d01f44695f4d.jpg', '/profile/liandao_old_data/5d01f44695f4d.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:18', 'system', '2019-06-13 14:59:18');
INSERT INTO `ld_resources_config` VALUES (203, '图片', '图片_新丝路公园_5d01f446d475c.jpg', '/profile/liandao_old_data/5d01f446d475c.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:18', 'system', '2019-06-13 14:59:18');
INSERT INTO `ld_resources_config` VALUES (204, '图片', '图片_新丝路公园_5d01f447183b1.jpg', '/profile/liandao_old_data/5d01f447183b1.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:19', 'system', '2019-06-13 14:59:19');
INSERT INTO `ld_resources_config` VALUES (205, '图片', '图片_新丝路公园_5d01f4475d151.jpg', '/profile/liandao_old_data/5d01f4475d151.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:19', 'system', '2019-06-13 14:59:19');
INSERT INTO `ld_resources_config` VALUES (206, '图片', '图片_新丝路公园_5d01f4479c518.jpg', '/profile/liandao_old_data/5d01f4479c518.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:19', 'system', '2019-06-13 14:59:19');
INSERT INTO `ld_resources_config` VALUES (207, '图片', '图片_新丝路公园_5d01f44814d39.jpg', '/profile/liandao_old_data/5d01f44814d39.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:20', 'system', '2019-06-13 14:59:20');
INSERT INTO `ld_resources_config` VALUES (208, '图片', '图片_新丝路公园_5d01f44854cb8.jpg', '/profile/liandao_old_data/5d01f44854cb8.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:20', 'system', '2019-06-13 14:59:20');
INSERT INTO `ld_resources_config` VALUES (209, '图片', '图片_新丝路公园_5d01f4489ade0.jpg', '/profile/liandao_old_data/5d01f4489ade0.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:20', 'system', '2019-06-13 14:59:20');
INSERT INTO `ld_resources_config` VALUES (210, '图片', '图片_新丝路公园_5d01f448cd29c.jpg', '/profile/liandao_old_data/5d01f448cd29c.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:20', 'system', '2019-06-13 14:59:20');
INSERT INTO `ld_resources_config` VALUES (211, '图片', '图片_新丝路公园_5d01f4491bebc.jpg', '/profile/liandao_old_data/5d01f4491bebc.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:21', 'system', '2019-06-13 14:59:21');
INSERT INTO `ld_resources_config` VALUES (212, '图片', '图片_新丝路公园_5d01f4495e54b.jpg', '/profile/liandao_old_data/5d01f4495e54b.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:21', 'system', '2019-06-13 14:59:21');
INSERT INTO `ld_resources_config` VALUES (213, '图片', '图片_新丝路公园_5d01f44999a91.jpg', '/profile/liandao_old_data/5d01f44999a91.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:21', 'system', '2019-06-13 14:59:21');
INSERT INTO `ld_resources_config` VALUES (214, '图片', '图片_新丝路公园_5d01f449db181.jpg', '/profile/liandao_old_data/5d01f449db181.jpg', NULL, '新丝路公园', 'system', '2019-06-13 14:59:22', 'system', '2019-06-13 14:59:22');
INSERT INTO `ld_resources_config` VALUES (215, '图片', '图片_宿城_5d01f47497934.jpg', '/profile/liandao_old_data/5d01f47497934.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:04', 'system', '2019-06-13 15:00:04');
INSERT INTO `ld_resources_config` VALUES (216, '图片', '图片_宿城_5d01f474cbd31.jpg', '/profile/liandao_old_data/5d01f474cbd31.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:04', 'system', '2019-06-13 15:00:04');
INSERT INTO `ld_resources_config` VALUES (217, '图片', '图片_宿城_5d01f4751c4a9.jpg', '/profile/liandao_old_data/5d01f4751c4a9.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:05', 'system', '2019-06-13 15:00:05');
INSERT INTO `ld_resources_config` VALUES (218, '图片', '图片_宿城_5d01f4756ae8b.jpg', '/profile/liandao_old_data/5d01f4756ae8b.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:05', 'system', '2019-06-13 15:00:05');
INSERT INTO `ld_resources_config` VALUES (219, '图片', '图片_宿城_5d01f47598526.jpg', '/profile/liandao_old_data/5d01f47598526.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:05', 'system', '2019-06-13 15:00:05');
INSERT INTO `ld_resources_config` VALUES (220, '图片', '图片_宿城_5d01f475cf803.jpg', '/profile/liandao_old_data/5d01f475cf803.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:05', 'system', '2019-06-13 15:00:05');
INSERT INTO `ld_resources_config` VALUES (221, '图片', '图片_宿城_5d01f4761fb93.jpg', '/profile/liandao_old_data/5d01f4761fb93.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:06', 'system', '2019-06-13 15:00:06');
INSERT INTO `ld_resources_config` VALUES (222, '图片', '图片_宿城_5d01f4765b8a9.jpg', '/profile/liandao_old_data/5d01f4765b8a9.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:06', 'system', '2019-06-13 15:00:06');
INSERT INTO `ld_resources_config` VALUES (223, '图片', '图片_宿城_5d01f476a0649.jpg', '/profile/liandao_old_data/5d01f476a0649.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:06', 'system', '2019-06-13 15:00:06');
INSERT INTO `ld_resources_config` VALUES (224, '图片', '图片_宿城_5d01f476db3bf.jpg', '/profile/liandao_old_data/5d01f476db3bf.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (225, '图片', '图片_宿城_5d01f4772903e.jpg', '/profile/liandao_old_data/5d01f4772903e.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (226, '图片', '图片_宿城_5d01f47768bd5.jpg', '/profile/liandao_old_data/5d01f47768bd5.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (227, '图片', '图片_宿城_5d01f477add5d.jpg', '/profile/liandao_old_data/5d01f477add5d.jpg', NULL, '宿城', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (228, '图片', '图片_苏马湾_63648627e8c41.jpg', '/profile/liandao_old_data/63648627e8c41.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (229, '图片', '图片_苏马湾_636485abc204c.jpg', '/profile/liandao_old_data/636485abc204c.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (230, '图片', '图片_苏马湾_636485b61284d.jpg', '/profile/liandao_old_data/636485b61284d.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (231, '图片', '图片_苏马湾_6364865356c2a.jpg', '/profile/liandao_old_data/6364865356c2a.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:15', 'system', '2022-10-21 11:12:15');
INSERT INTO `ld_resources_config` VALUES (232, '图片', '图片_苏马湾_6364861ea3eda.jpg', '/profile/liandao_old_data/6364861ea3eda.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (233, '图片', '图片_苏马湾_636486338aa2f.jpg', '/profile/liandao_old_data/636486338aa2f.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (234, '图片', '图片_苏马湾_63648648cf479.jpg', '/profile/liandao_old_data/63648648cf479.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (235, '图片', '图片_苏马湾_636485de7fe9a.jpg', '/profile/liandao_old_data/636485de7fe9a.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (236, '图片', '图片_苏马湾_6364863ebab31.jpg', '/profile/liandao_old_data/6364863ebab31.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (237, '图片', '图片_苏马湾_636485c8af13c.jpg', '/profile/liandao_old_data/636485c8af13c.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (238, '图片', '图片_苏马湾_636485d374309.jpg', '/profile/liandao_old_data/636485d374309.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (239, '图片', '图片_苏马湾_636485bfd2f6b.jpg', '/profile/liandao_old_data/636485bfd2f6b.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:17', 'system', '2022-10-21 11:12:17');
INSERT INTO `ld_resources_config` VALUES (240, '图片', '图片_苏马湾_63648604a8833.jpg', '/profile/liandao_old_data/63648604a8833.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (241, '图片', '图片_苏马湾_636485fb5e345.jpg', '/profile/liandao_old_data/636485fb5e345.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (242, '图片', '图片_苏马湾_636485e91bac8.jpg', '/profile/liandao_old_data/636485e91bac8.jpg', NULL, '苏马湾', 'system', '2022-10-21 11:12:16', 'system', '2022-10-21 11:12:16');
INSERT INTO `ld_resources_config` VALUES (243, '图片', '图片_内环岛路_63520ad27fd9a.jpg', '/profile/liandao_old_data/63520ad27fd9a.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:26', 'system', '2022-10-21 10:58:26');
INSERT INTO `ld_resources_config` VALUES (244, '图片', '图片_内环岛路_63520ad29e8ae.jpg', '/profile/liandao_old_data/63520ad29e8ae.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:26', 'system', '2022-10-21 10:58:26');
INSERT INTO `ld_resources_config` VALUES (245, '图片', '图片_内环岛路_63520ad2bd1a4.jpg', '/profile/liandao_old_data/63520ad2bd1a4.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:26', 'system', '2022-10-21 10:58:26');
INSERT INTO `ld_resources_config` VALUES (246, '图片', '图片_内环岛路_63520ad2db01a.jpg', '/profile/liandao_old_data/63520ad2db01a.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:26', 'system', '2022-10-21 10:58:26');
INSERT INTO `ld_resources_config` VALUES (247, '图片', '图片_内环岛路_63520ad342585.jpg', '/profile/liandao_old_data/63520ad342585.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:27', 'system', '2022-10-21 10:58:27');
INSERT INTO `ld_resources_config` VALUES (248, '图片', '图片_内环岛路_63520ad32409e.jpg', '/profile/liandao_old_data/63520ad32409e.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:27', 'system', '2022-10-21 10:58:27');
INSERT INTO `ld_resources_config` VALUES (249, '图片', '图片_内环岛路_63520ad3059be.jpg', '/profile/liandao_old_data/63520ad3059be.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:27', 'system', '2022-10-21 10:58:27');
INSERT INTO `ld_resources_config` VALUES (250, '图片', '图片_内环岛路_63520ad2610ea.jpg', '/profile/liandao_old_data/63520ad2610ea.jpg', NULL, '内环岛路', 'system', '2022-10-21 10:58:26', 'system', '2022-10-21 10:58:26');
INSERT INTO `ld_resources_config` VALUES (251, '图片', '图片_连岛全景_5d0317026ebd8.jpg', '/profile/liandao_old_data/5d0317026ebd8.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:46', 'system', '2019-06-14 11:39:46');
INSERT INTO `ld_resources_config` VALUES (252, '图片', '图片_连岛全景_5d03170295ce1.jpg', '/profile/liandao_old_data/5d03170295ce1.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:46', 'system', '2019-06-14 11:39:46');
INSERT INTO `ld_resources_config` VALUES (253, '图片', '图片_连岛全景_5d031702c143c.jpg', '/profile/liandao_old_data/5d031702c143c.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:46', 'system', '2019-06-14 11:39:46');
INSERT INTO `ld_resources_config` VALUES (254, '图片', '图片_连岛全景_5d031702f19b7.jpg', '/profile/liandao_old_data/5d031702f19b7.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:47', 'system', '2019-06-14 11:39:47');
INSERT INTO `ld_resources_config` VALUES (255, '图片', '图片_连岛全景_5d0317032fc33.jpg', '/profile/liandao_old_data/5d0317032fc33.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:47', 'system', '2019-06-14 11:39:47');
INSERT INTO `ld_resources_config` VALUES (256, '图片', '图片_连岛全景_5d031703584ac.jpg', '/profile/liandao_old_data/5d031703584ac.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:47', 'system', '2019-06-14 11:39:47');
INSERT INTO `ld_resources_config` VALUES (257, '图片', '图片_连岛全景_5d03170496524.jpg', '/profile/liandao_old_data/5d03170496524.jpg', NULL, '连岛全景', 'system', '2019-06-14 11:39:48', 'system', '2019-06-14 11:39:48');
INSERT INTO `ld_resources_config` VALUES (258, '图片', '图片_孔雀园_642a960310dbf.jpg', '/profile/liandao_old_data/642a960310dbf.jpg', NULL, '孔雀园', 'system', '2023-04-03 17:01:55', 'system', '2023-04-03 17:01:55');
INSERT INTO `ld_resources_config` VALUES (259, '图片', '图片_孔雀园_63520e8f48bf4.jpg', '/profile/liandao_old_data/63520e8f48bf4.jpg', NULL, '孔雀园', 'system', '2022-10-21 11:14:23', 'system', '2022-10-21 11:14:23');
INSERT INTO `ld_resources_config` VALUES (260, '图片', '图片_孔雀园_63520e8edf2ee.jpg', '/profile/liandao_old_data/63520e8edf2ee.jpg', NULL, '孔雀园', 'system', '2022-10-21 11:14:22', 'system', '2022-10-21 11:14:22');
INSERT INTO `ld_resources_config` VALUES (261, '图片', '图片_孔雀园_63520e8f0ad07.jpg', '/profile/liandao_old_data/63520e8f0ad07.jpg', NULL, '孔雀园', 'system', '2022-10-21 11:14:23', 'system', '2022-10-21 11:14:23');
INSERT INTO `ld_resources_config` VALUES (262, '图片', '图片_孔雀园_63520e8f29eda.jpg', '/profile/liandao_old_data/63520e8f29eda.jpg', NULL, '孔雀园', 'system', '2022-10-21 11:14:23', 'system', '2022-10-21 11:14:23');
INSERT INTO `ld_resources_config` VALUES (263, '图片', '图片_孔雀园_63520e8e91025.jpg', '/profile/liandao_old_data/63520e8e91025.jpg', NULL, '孔雀园', 'system', '2022-10-21 11:14:22', 'system', '2022-10-21 11:14:22');
INSERT INTO `ld_resources_config` VALUES (264, '图片', '图片_孔雀园_642a960335567.jpg', '/profile/liandao_old_data/642a960335567.jpg', NULL, '孔雀园', 'system', '2023-04-03 17:01:55', 'system', '2023-04-03 17:01:55');
INSERT INTO `ld_resources_config` VALUES (265, '图片', '图片_孔雀园_642a960351614.jpg', '/profile/liandao_old_data/642a960351614.jpg', NULL, '孔雀园', 'system', '2023-04-03 17:01:55', 'system', '2023-04-03 17:01:55');
INSERT INTO `ld_resources_config` VALUES (266, '图片', '图片_孔雀园_642a96036cb20.jpg', '/profile/liandao_old_data/642a96036cb20.jpg', NULL, '孔雀园', 'system', '2023-04-03 17:01:55', 'system', '2023-04-03 17:01:55');
INSERT INTO `ld_resources_config` VALUES (267, '图片', '图片_海滨栈道_63647b9a774df.jpg', '/profile/liandao_old_data/63647b9a774df.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:08', 'system', '2022-10-21 10:55:08');
INSERT INTO `ld_resources_config` VALUES (268, '图片', '图片_海滨栈道_63647b8962da1.jpg', '/profile/liandao_old_data/63647b8962da1.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:36', 'system', '2022-10-21 10:55:36');
INSERT INTO `ld_resources_config` VALUES (269, '图片', '图片_海滨栈道_63647b1f6cce7.jpg', '/profile/liandao_old_data/63647b1f6cce7.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:56:35', 'system', '2022-10-21 10:56:35');
INSERT INTO `ld_resources_config` VALUES (270, '图片', '图片_海滨栈道_63647b606d1ca.jpg', '/profile/liandao_old_data/63647b606d1ca.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:36', 'system', '2022-10-21 10:55:36');
INSERT INTO `ld_resources_config` VALUES (271, '图片', '图片_海滨栈道_63647bdedb760.jpg', '/profile/liandao_old_data/63647bdedb760.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:08', 'system', '2022-10-21 10:55:08');
INSERT INTO `ld_resources_config` VALUES (272, '图片', '图片_海滨栈道_63647bc888e4f.jpg', '/profile/liandao_old_data/63647bc888e4f.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:08', 'system', '2022-10-21 10:55:08');
INSERT INTO `ld_resources_config` VALUES (273, '图片', '图片_海滨栈道_63647ba947afe.jpg', '/profile/liandao_old_data/63647ba947afe.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:08', 'system', '2022-10-21 10:55:08');
INSERT INTO `ld_resources_config` VALUES (274, '图片', '图片_海滨栈道_63647b6e96c78.jpg', '/profile/liandao_old_data/63647b6e96c78.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:36', 'system', '2022-10-21 10:55:36');
INSERT INTO `ld_resources_config` VALUES (275, '图片', '图片_海滨栈道_63647b53b4af6.jpg', '/profile/liandao_old_data/63647b53b4af6.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:36', 'system', '2022-10-21 10:55:36');
INSERT INTO `ld_resources_config` VALUES (276, '图片', '图片_海滨栈道_63647b428ce8d.jpg', '/profile/liandao_old_data/63647b428ce8d.jpg', NULL, '海滨栈道', 'system', '2022-10-21 10:55:37', 'system', '2022-10-21 10:55:37');
INSERT INTO `ld_resources_config` VALUES (277, '图片', '图片_天际酒店_5d0332efe2b07.jpg', '/profile/liandao_old_data/5d0332efe2b07.jpg', NULL, '天际酒店', 'system', '2019-06-14 13:38:55', 'system', '2019-06-14 13:38:55');
INSERT INTO `ld_resources_config` VALUES (278, '图片', '图片_天际酒店_5d0332f0180e0.jpg', '/profile/liandao_old_data/5d0332f0180e0.jpg', NULL, '天际酒店', 'system', '2019-06-14 13:38:56', 'system', '2019-06-14 13:38:56');
INSERT INTO `ld_resources_config` VALUES (279, '图片', '图片_天际酒店_5d0332f07f551.jpg', '/profile/liandao_old_data/5d0332f07f551.jpg', NULL, '天际酒店', 'system', '2019-06-14 13:38:56', 'system', '2019-06-14 13:38:56');
INSERT INTO `ld_resources_config` VALUES (280, '图片', '图片_天际酒店_5d0332f0ac803.jpg', '/profile/liandao_old_data/5d0332f0ac803.jpg', NULL, '天际酒店', 'system', '2019-06-14 13:38:56', 'system', '2019-06-14 13:38:56');
INSERT INTO `ld_resources_config` VALUES (281, '图片', '图片_天际酒店_5d0332f0d8efe.jpg', '/profile/liandao_old_data/5d0332f0d8efe.jpg', NULL, '天际酒店', 'system', '2019-06-14 13:38:56', 'system', '2019-06-14 13:38:56');
INSERT INTO `ld_resources_config` VALUES (282, '图片', '图片_天际酒店_6179f6c355f7e.jpg', '/profile/liandao_old_data/6179f6c355f7e.jpg', NULL, '天际酒店', 'system', '2021-10-28 09:02:59', 'system', '2021-10-28 09:02:59');
INSERT INTO `ld_resources_config` VALUES (283, '图片', '图片_天际酒店_6179f6c32d37a.jpg', '/profile/liandao_old_data/6179f6c32d37a.jpg', NULL, '天际酒店', 'system', '2021-10-28 09:02:59', 'system', '2021-10-28 09:02:59');
INSERT INTO `ld_resources_config` VALUES (284, '图片', '图片_天际酒店_6179f6c3763dc.jpg', '/profile/liandao_old_data/6179f6c3763dc.jpg', NULL, '天际酒店', 'system', '2021-10-28 09:02:59', 'system', '2021-10-28 09:02:59');
INSERT INTO `ld_resources_config` VALUES (285, '图片', '图片_天际酒店_6179f6c395ccd.jpg', '/profile/liandao_old_data/6179f6c395ccd.jpg', NULL, '天际酒店', 'system', '2021-10-28 09:02:59', 'system', '2021-10-28 09:02:59');
INSERT INTO `ld_resources_config` VALUES (286, '图片', '图片_天际酒店_6179f6c3bfa60.jpg', '/profile/liandao_old_data/6179f6c3bfa60.jpg', NULL, '天际酒店', 'system', '2021-10-28 09:02:59', 'system', '2021-10-28 09:02:59');
INSERT INTO `ld_resources_config` VALUES (287, '图片', '图片_大沙湾_5d033b7d3cba5.jpg', '/profile/liandao_old_data/5d033b7d3cba5.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:25', 'system', '2019-06-14 14:15:25');
INSERT INTO `ld_resources_config` VALUES (288, '图片', '图片_大沙湾_5d033b7d6159d.jpg', '/profile/liandao_old_data/5d033b7d6159d.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:25', 'system', '2019-06-14 14:15:25');
INSERT INTO `ld_resources_config` VALUES (289, '图片', '图片_大沙湾_5d033b7d8ccf7.jpg', '/profile/liandao_old_data/5d033b7d8ccf7.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:25', 'system', '2019-06-14 14:15:25');
INSERT INTO `ld_resources_config` VALUES (290, '图片', '图片_大沙湾_5d033b7db97da.jpg', '/profile/liandao_old_data/5d033b7db97da.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:25', 'system', '2019-06-14 14:15:25');
INSERT INTO `ld_resources_config` VALUES (291, '图片', '图片_大沙湾_5d033b7de531c.jpg', '/profile/liandao_old_data/5d033b7de531c.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:25', 'system', '2019-06-14 14:15:25');
INSERT INTO `ld_resources_config` VALUES (292, '图片', '图片_大沙湾_5d033b7e1d7d7.jpg', '/profile/liandao_old_data/5d033b7e1d7d7.jpg', NULL, '大沙湾', 'system', '2019-06-14 14:15:26', 'system', '2019-06-14 14:15:26');
INSERT INTO `ld_resources_config` VALUES (293, '图片', '图片_大沙湾_617a01b9f30e6.jpg', '/profile/liandao_old_data/617a01b9f30e6.jpg', NULL, '大沙湾', 'system', '2021-10-28 09:49:46', 'system', '2021-10-28 09:49:46');
INSERT INTO `ld_resources_config` VALUES (294, '图片', '图片_大沙湾_617a12b5ea29f.jpg', '/profile/liandao_old_data/617a12b5ea29f.jpg', NULL, '大沙湾', 'system', '2021-10-28 11:02:13', 'system', '2021-10-28 11:02:13');
INSERT INTO `ld_resources_config` VALUES (295, '图片', '图片_婚纱摄影基地_6352102f63196.jpg', '/profile/liandao_old_data/6352102f63196.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:19', 'system', '2022-10-21 11:21:19');
INSERT INTO `ld_resources_config` VALUES (296, '图片', '图片_婚纱摄影基地_6352102f44822.jpg', '/profile/liandao_old_data/6352102f44822.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:19', 'system', '2022-10-21 11:21:19');
INSERT INTO `ld_resources_config` VALUES (297, '图片', '图片_婚纱摄影基地_6352102f2556f.jpg', '/profile/liandao_old_data/6352102f2556f.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:19', 'system', '2022-10-21 11:21:19');
INSERT INTO `ld_resources_config` VALUES (298, '图片', '图片_婚纱摄影基地_6352102f069c9.jpg', '/profile/liandao_old_data/6352102f069c9.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:19', 'system', '2022-10-21 11:21:19');
INSERT INTO `ld_resources_config` VALUES (299, '图片', '图片_婚纱摄影基地_63647959a1595.jpg', '/profile/liandao_old_data/63647959a1595.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:18', 'system', '2022-10-21 11:21:18');
INSERT INTO `ld_resources_config` VALUES (300, '图片', '图片_婚纱摄影基地_6352102f81354.jpg', '/profile/liandao_old_data/6352102f81354.jpg', NULL, '婚纱摄影基地', 'system', '2022-10-21 11:21:19', 'system', '2022-10-21 11:21:19');
INSERT INTO `ld_resources_config` VALUES (301, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e5d98b6.jpg', '/profile/liandao_old_data/635207e5d98b6.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:57', 'system', '2022-10-21 10:45:57');
INSERT INTO `ld_resources_config` VALUES (302, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e604d21.jpg', '/profile/liandao_old_data/635207e604d21.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:58', 'system', '2022-10-21 10:45:58');
INSERT INTO `ld_resources_config` VALUES (303, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e62a0eb.jpg', '/profile/liandao_old_data/635207e62a0eb.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:58', 'system', '2022-10-21 10:45:58');
INSERT INTO `ld_resources_config` VALUES (304, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e648324.jpg', '/profile/liandao_old_data/635207e648324.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:58', 'system', '2022-10-21 10:45:58');
INSERT INTO `ld_resources_config` VALUES (305, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e665d94.jpg', '/profile/liandao_old_data/635207e665d94.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:58', 'system', '2022-10-21 10:45:58');
INSERT INTO `ld_resources_config` VALUES (306, '图片', '图片_《邓小平和人民在一起》雕塑公园_635207e6c0a04.jpg', '/profile/liandao_old_data/635207e6c0a04.jpg', NULL, '《邓小平和人民在一起》雕塑公园', 'system', '2022-10-21 10:45:58', 'system', '2022-10-21 10:45:58');
INSERT INTO `ld_resources_config` VALUES (307, '图片', '图片_大沙湾_617a1b2bc4158.jpg', '/profile/liandao_old_data/617a1b2bc4158.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:19', 'admin', '2021-10-28 11:38:19');
INSERT INTO `ld_resources_config` VALUES (308, '图片', '图片_邓小平和人民在一起雕塑公园_617a1b2be8607.jpg', '/profile/liandao_old_data/617a1b2be8607.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:19', 'admin', '2021-10-28 11:38:19');
INSERT INTO `ld_resources_config` VALUES (309, '图片', '图片_海滨栈道_617a1b2c12238.jpg', '/profile/liandao_old_data/617a1b2c12238.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (310, '图片', '图片_观日亭_617a1b2c32390.jpg', '/profile/liandao_old_data/617a1b2c32390.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (311, '图片', '图片_海誓山盟_617a1b2c50dcb.jpg', '/profile/liandao_old_data/617a1b2c50dcb.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (312, '图片', '图片_海天一色_617a1b2c717b3.jpg', '/profile/liandao_old_data/617a1b2c717b3.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (313, '图片', '图片_海洋文化墙_617a1b2c91a80.jpg', '/profile/liandao_old_data/617a1b2c91a80.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (314, '图片', '图片_海洋文化墙+人物_617a1b2cb0e8c.jpg', '/profile/liandao_old_data/617a1b2cb0e8c.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (315, '图片', '图片_海韵广场_617a1b2cd38bf.jpg', '/profile/liandao_old_data/617a1b2cd38bf.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:20', 'system', '2021-10-28 11:38:20');
INSERT INTO `ld_resources_config` VALUES (316, '图片', '图片_海之恋、海之韵、海在等你_617a1b2d0574c.jpg', '/profile/liandao_old_data/617a1b2d0574c.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (317, '图片', '图片_环岛路1_617a1b2d24d98.jpg', '/profile/liandao_old_data/617a1b2d24d98.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (318, '图片', '图片_神龟探海_617a1b2d46c0a.jpg', '/profile/liandao_old_data/617a1b2d46c0a.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (319, '图片', '图片_苏马湾_617a1b2d650e8.jpg', '/profile/liandao_old_data/617a1b2d650e8.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (320, '图片', '图片_羊窝头观日_617a1b2d8208d.jpg', '/profile/liandao_old_data/617a1b2d8208d.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (321, '图片', '图片_悬索桥_617a1b2da0fdb.jpg', '/profile/liandao_old_data/617a1b2da0fdb.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (322, '图片', '图片_饮马井_617a1b2dc2b5c.jpg', '/profile/liandao_old_data/617a1b2dc2b5c.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (323, '图片', '图片_钟楼_617a1b2de9877.jpg', '/profile/liandao_old_data/617a1b2de9877.jpg', NULL, '连岛美景', 'system', '2021-10-28 11:38:21', 'system', '2021-10-28 11:38:21');
INSERT INTO `ld_resources_config` VALUES (324, '图片', '图片_户外研学_636482c86515a.jpg', '/profile/liandao_old_data/636482c86515a.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:00', 'system', '2022-10-21 11:09:00');
INSERT INTO `ld_resources_config` VALUES (325, '图片', '图片_户外研学_63648284ccaae.jpg', '/profile/liandao_old_data/63648284ccaae.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:01', 'system', '2022-10-21 11:09:01');
INSERT INTO `ld_resources_config` VALUES (326, '图片', '图片_户外研学_636482b0f23c9.jpg', '/profile/liandao_old_data/636482b0f23c9.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:01', 'system', '2022-10-21 11:09:01');
INSERT INTO `ld_resources_config` VALUES (327, '图片', '图片_户外研学_6364829ad08b5.jpg', '/profile/liandao_old_data/6364829ad08b5.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:01', 'system', '2022-10-21 11:09:01');
INSERT INTO `ld_resources_config` VALUES (328, '图片', '图片_户外研学_63648275588b9.jpg', '/profile/liandao_old_data/63648275588b9.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:01', 'system', '2022-10-21 11:09:01');
INSERT INTO `ld_resources_config` VALUES (329, '图片', '图片_户外研学_636482e0995ff.jpg', '/profile/liandao_old_data/636482e0995ff.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:00', 'system', '2022-10-21 11:09:00');
INSERT INTO `ld_resources_config` VALUES (330, '图片', '图片_户外研学_636483280e46d.jpg', '/profile/liandao_old_data/636483280e46d.jpg', NULL, '户外研学', 'system', '2021-11-17 11:12:59', 'system', '2021-11-17 11:12:59');
INSERT INTO `ld_resources_config` VALUES (331, '图片', '图片_户外研学_6194733ad0239.jpg', '/profile/liandao_old_data/6194733ad0239.jpg', NULL, '户外研学', 'system', '2021-11-17 11:12:58', 'system', '2021-11-17 11:12:58');
INSERT INTO `ld_resources_config` VALUES (332, '图片', '图片_户外研学_6194733ab143d.jpg', '/profile/liandao_old_data/6194733ab143d.jpg', NULL, '户外研学', 'system', '2021-11-17 11:12:58', 'system', '2021-11-17 11:12:58');
INSERT INTO `ld_resources_config` VALUES (333, '图片', '图片_户外研学_6194733a8b461.jpg', '/profile/liandao_old_data/6194733a8b461.jpg', NULL, '户外研学', 'system', '2021-11-17 11:12:58', 'system', '2021-11-17 11:12:58');
INSERT INTO `ld_resources_config` VALUES (334, '图片', '图片_户外研学_636482d3a4d28.jpg', '/profile/liandao_old_data/636482d3a4d28.jpg', NULL, '户外研学', 'system', '2022-10-21 11:09:00', 'system', '2022-10-21 11:09:00');
INSERT INTO `ld_resources_config` VALUES (335, '图片', '图片_户外研学_61947299be612.jpg', '/profile/liandao_old_data/61947299be612.jpg', NULL, '户外研学', 'system', '2021-11-17 11:10:17', 'system', '2021-11-17 11:10:17');
INSERT INTO `ld_resources_config` VALUES (336, '图片', '图片_旧轮播图_6351fe18e39ea.jpg', '/profile/liandao_old_data/6351fe18e39ea.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (337, '图片', '图片_旧轮播图_6351fe0d0d044.jpg', '/profile/liandao_old_data/6351fe0d0d044.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (338, '图片', '图片_旧轮播图_5d10405d60644.jpg', '/profile/liandao_old_data/5d10405d60644.jpg', 'https://www.bilibili.com/video/av56269201/', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (339, '图片', '图片_旧轮播图_5d10406e62cdd.jpg', '/profile/liandao_old_data/5d10406e62cdd.jpg', 'https://www.bilibili.com/video/BV1Cs4y1274v/?spm_id_from=333.999.0.0&vd_source=781ee239c84bebcdb8e24', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (340, '图片', '图片_旧轮播图_65b34f40a6e83.jpg', '/profile/liandao_old_data/65b34f40a6e83.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (341, '图片', '图片_旧轮播图_615524600d3b5.jpg', '/profile/liandao_old_data/615524600d3b5.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (342, '图片', '图片_旧轮播图_64365ae7dcfa6.png', '/profile/liandao_old_data/64365ae7dcfa6.png', 'https://www.bilibili.com/video/BV12M411N7aW/?vd_source=fb584329706ba716768dfd88341bd94e', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (343, '图片', '图片_旧轮播图_635630c2bf937.jpg', '/profile/liandao_old_data/635630c2bf937.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (344, '图片', '图片_旧轮播图_635630b8bcee5.jpg', '/profile/liandao_old_data/635630b8bcee5.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (345, '图片', '图片_旧轮播图_615d0cab3c2dd.jpg', '/profile/liandao_old_data/615d0cab3c2dd.jpg', 'https://www.bilibili.com/video/BV1cx4y1C7Ra/?vd_source=781ee239c84bebcdb8e241d183cec399', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (346, '图片', '图片_旧轮播图_6164f422be1e7.jpg', '/profile/liandao_old_data/6164f422be1e7.jpg', 'https://www.douyin.com/user/MS4wLjABAAAASGUFj0RCbrEVQPN8PLRUupZPzGFDv7fPKrk2P7pX-_U?enter_from=searc', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (347, '图片', '图片_旧轮播图_65d17e6f8cd3e.jpg', '/profile/liandao_old_data/65d17e6f8cd3e.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (348, '图片', '图片_旧轮播图_65b34f57e8d33.jpg', '/profile/liandao_old_data/65b34f57e8d33.jpg', NULL, '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (349, '图片', '图片_旧轮播图_6433aaef51280.jpg', '/profile/liandao_old_data/6433aaef51280.jpg', 'https://www.bilibili.com/video/BV1E54y1F7R4/?vd_source=781ee239c84bebcdb8e241d183cec399', '旧轮播图', 'system', '2019-06-13 15:00:07', 'system', '2019-06-13 15:00:07');
INSERT INTO `ld_resources_config` VALUES (350, '语音', '神龟探海', '/profile/upload/2024/04/11/19.【神龟探海】加音乐 _20240411092033A019.mp3', NULL, NULL, 'admin', '2024-04-11 09:20:35', 'admin', '2024-04-11 09:20:35');
INSERT INTO `ld_resources_config` VALUES (351, '语音', '古炮台', '/profile/upload/2024/04/11/11.【古炮台】加音乐 - 输出 - Stereo Out_20240411092046A020.mp3', NULL, NULL, 'admin', '2024-04-11 09:20:47', 'admin', '2024-04-11 09:20:47');
INSERT INTO `ld_resources_config` VALUES (352, '语音', '后红崖', '/profile/upload/2024/04/11/14.【后红崖】加音乐_20240411092059A021.mp3', NULL, NULL, 'admin', '2024-04-11 09:21:01', 'admin', '2024-04-11 09:21:01');
INSERT INTO `ld_resources_config` VALUES (353, '语音', '海蚀奇观', '/profile/upload/2024/04/11/15.【海蚀奇观】加音乐_20240411092115A022.mp3', NULL, NULL, 'admin', '2024-04-11 09:21:19', 'admin', '2024-04-11 09:21:19');
INSERT INTO `ld_resources_config` VALUES (354, '语音', '鲲鹏展翅', '/profile/upload/2024/04/11/16.【鲲鹏展翅】加音乐 _20240411092127A023.mp3', NULL, NULL, 'admin', '2024-04-11 09:21:29', 'admin', '2024-04-11 09:21:29');
INSERT INTO `ld_resources_config` VALUES (355, '语音', '海誓山盟', '/profile/upload/2024/04/11/27.【海誓山盟】加音乐 _20240411092142A024.mp3', NULL, NULL, 'admin', '2024-04-11 09:21:44', 'admin', '2024-04-11 09:21:44');
INSERT INTO `ld_resources_config` VALUES (356, '语音', '燕窝岩', '/profile/upload/2024/04/11/20.【燕窝岩】加音乐 _20240411092202A025.mp3', NULL, NULL, 'admin', '2024-04-11 09:22:04', 'admin', '2024-04-11 09:22:04');
INSERT INTO `ld_resources_config` VALUES (357, '语音', '拦海大堤', '/profile/upload/2024/04/11/3.【拦海大堤】加音乐 - 输出 - Stereo Out_20240411092221A026.mp3', NULL, NULL, 'admin', '2024-04-11 09:22:22', 'admin', '2024-04-11 09:22:22');
INSERT INTO `ld_resources_config` VALUES (358, '语音', '游客中心', '/profile/upload/2024/04/11/2.【游客中心】加音乐 - 输出 - Stereo Out_20240411092231A027.mp3', NULL, NULL, 'admin', '2024-04-11 09:22:32', 'admin', '2024-04-11 09:22:32');
INSERT INTO `ld_resources_config` VALUES (359, '视频', '连岛影音1', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165401A086.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:06:13', 'admin', '2024-04-17 16:54:02');
INSERT INTO `ld_resources_config` VALUES (360, '视频', '连岛影音2', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165354A085.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:06:33', 'admin', '2024-04-17 16:53:55');
INSERT INTO `ld_resources_config` VALUES (361, '视频', '连岛影音3', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165348A084.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:06:44', 'admin', '2024-04-17 16:53:49');
INSERT INTO `ld_resources_config` VALUES (362, '视频', '连岛影音4', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165339A083.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:06:56', 'admin', '2024-04-17 16:53:41');
INSERT INTO `ld_resources_config` VALUES (363, '视频', '连岛影音5', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165333A082.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:07:13', 'admin', '2024-04-17 16:53:34');
INSERT INTO `ld_resources_config` VALUES (364, '视频', '连岛影音6', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165324A081.mp4', NULL, '连岛影音', 'admin', '2024-04-11 11:07:34', 'admin', '2024-04-17 16:53:26');
INSERT INTO `ld_resources_config` VALUES (365, '视频', '连岛影音7', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165418A087.mp4', NULL, '连岛影音', 'admin', '2024-04-17 16:54:20', 'admin', '2024-04-17 16:55:30');
INSERT INTO `ld_resources_config` VALUES (366, '视频', '连岛影音8', '/profile/upload/2024/04/17/ba4a985035bbc18584bc62d7c9b8ef7d_20240417165435A088.mp4', NULL, '连岛影音', 'admin', '2024-04-17 16:54:36', 'admin', '2024-04-17 16:55:22');

-- ----------------------------
-- Table structure for ld_tour_guide_appointment
-- ----------------------------
DROP TABLE IF EXISTS `ld_tour_guide_appointment`;
CREATE TABLE `ld_tour_guide_appointment`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `tour_guide_id` bigint(20) NULL DEFAULT NULL COMMENT '导游id',
  `tour_guide_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '导游姓名',
  `start_time` datetime NULL DEFAULT NULL COMMENT '开始时间',
  `end_time` datetime NULL DEFAULT NULL COMMENT '结束时间',
  `phone` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '导游预约' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_tour_guide_appointment
-- ----------------------------

-- ----------------------------
-- Table structure for ld_tour_guide_info
-- ----------------------------
DROP TABLE IF EXISTS `ld_tour_guide_info`;
CREATE TABLE `ld_tour_guide_info`  (
  `id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '主键id',
  `name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '姓名',
  `photo` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '照片',
  `phone` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `description` varchar(1000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '描述',
  `level` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '级别',
  `language` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '语言',
  `cost` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '费用',
  `create_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '创建人',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '更新人',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '导游信息配置' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of ld_tour_guide_info
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_blob_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_blob_triggers`;
CREATE TABLE `qrtz_blob_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `blob_data` blob NULL COMMENT '存放持久化Trigger对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_blob_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Blob类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_blob_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_calendars
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_calendars`;
CREATE TABLE `qrtz_calendars`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '日历名称',
  `calendar` blob NOT NULL COMMENT '存放持久化calendar对象',
  PRIMARY KEY (`sched_name`, `calendar_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '日历信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_calendars
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_cron_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_cron_triggers`;
CREATE TABLE `qrtz_cron_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `cron_expression` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'cron表达式',
  `time_zone_id` varchar(80) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '时区',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_cron_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = 'Cron类型的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_cron_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_fired_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_fired_triggers`;
CREATE TABLE `qrtz_fired_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `entry_id` varchar(95) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例id',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度器实例名',
  `fired_time` bigint(13) NOT NULL COMMENT '触发的时间',
  `sched_time` bigint(13) NOT NULL COMMENT '定时器制定的时间',
  `priority` int(11) NOT NULL COMMENT '优先级',
  `state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '任务组名',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否并发',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '是否接受恢复执行',
  PRIMARY KEY (`sched_name`, `entry_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '已触发的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_fired_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_job_details
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_job_details`;
CREATE TABLE `qrtz_job_details`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `job_class_name` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '执行任务类名称',
  `is_durable` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否持久化',
  `is_nonconcurrent` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否并发',
  `is_update_data` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否更新数据',
  `requests_recovery` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '是否接受恢复执行',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '任务详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_job_details
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_locks
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_locks`;
CREATE TABLE `qrtz_locks`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `lock_name` varchar(40) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '悲观锁名称',
  PRIMARY KEY (`sched_name`, `lock_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '存储的悲观锁信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_locks
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_paused_trigger_grps
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_paused_trigger_grps`;
CREATE TABLE `qrtz_paused_trigger_grps`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  PRIMARY KEY (`sched_name`, `trigger_group`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '暂停的触发器表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_paused_trigger_grps
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_scheduler_state
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_scheduler_state`;
CREATE TABLE `qrtz_scheduler_state`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `instance_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '实例名称',
  `last_checkin_time` bigint(13) NOT NULL COMMENT '上次检查时间',
  `checkin_interval` bigint(13) NOT NULL COMMENT '检查间隔时间',
  PRIMARY KEY (`sched_name`, `instance_name`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '调度器状态表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_scheduler_state
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simple_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simple_triggers`;
CREATE TABLE `qrtz_simple_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `repeat_count` bigint(7) NOT NULL COMMENT '重复的次数统计',
  `repeat_interval` bigint(12) NOT NULL COMMENT '重复的间隔时间',
  `times_triggered` bigint(10) NOT NULL COMMENT '已经触发的次数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simple_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '简单触发器的信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simple_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_simprop_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_simprop_triggers`;
CREATE TABLE `qrtz_simprop_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_name的外键',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_triggers表trigger_group的外键',
  `str_prop_1` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第一个参数',
  `str_prop_2` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第二个参数',
  `str_prop_3` varchar(512) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'String类型的trigger的第三个参数',
  `int_prop_1` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第一个参数',
  `int_prop_2` int(11) NULL DEFAULT NULL COMMENT 'int类型的trigger的第二个参数',
  `long_prop_1` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第一个参数',
  `long_prop_2` bigint(20) NULL DEFAULT NULL COMMENT 'long类型的trigger的第二个参数',
  `dec_prop_1` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第一个参数',
  `dec_prop_2` decimal(13, 4) NULL DEFAULT NULL COMMENT 'decimal类型的trigger的第二个参数',
  `bool_prop_1` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第一个参数',
  `bool_prop_2` varchar(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT 'Boolean类型的trigger的第二个参数',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  CONSTRAINT `qrtz_simprop_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `trigger_name`, `trigger_group`) REFERENCES `qrtz_triggers` (`sched_name`, `trigger_name`, `trigger_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '同步机制的行锁表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_simprop_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for qrtz_triggers
-- ----------------------------
DROP TABLE IF EXISTS `qrtz_triggers`;
CREATE TABLE `qrtz_triggers`  (
  `sched_name` varchar(120) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调度名称',
  `trigger_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的名字',
  `trigger_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器所属组的名字',
  `job_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_name的外键',
  `job_group` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT 'qrtz_job_details表job_group的外键',
  `description` varchar(250) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '相关介绍',
  `next_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '上一次触发时间（毫秒）',
  `prev_fire_time` bigint(13) NULL DEFAULT NULL COMMENT '下一次触发时间（默认为-1表示不触发）',
  `priority` int(11) NULL DEFAULT NULL COMMENT '优先级',
  `trigger_state` varchar(16) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器状态',
  `trigger_type` varchar(8) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '触发器的类型',
  `start_time` bigint(13) NOT NULL COMMENT '开始时间',
  `end_time` bigint(13) NULL DEFAULT NULL COMMENT '结束时间',
  `calendar_name` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日程表名称',
  `misfire_instr` smallint(2) NULL DEFAULT NULL COMMENT '补偿执行的策略',
  `job_data` blob NULL COMMENT '存放持久化job对象',
  PRIMARY KEY (`sched_name`, `trigger_name`, `trigger_group`) USING BTREE,
  INDEX `sched_name`(`sched_name`, `job_name`, `job_group`) USING BTREE,
  CONSTRAINT `qrtz_triggers_ibfk_1` FOREIGN KEY (`sched_name`, `job_name`, `job_group`) REFERENCES `qrtz_job_details` (`sched_name`, `job_name`, `job_group`) ON DELETE RESTRICT ON UPDATE RESTRICT
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '触发器详细信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of qrtz_triggers
-- ----------------------------

-- ----------------------------
-- Table structure for sys_config
-- ----------------------------
DROP TABLE IF EXISTS `sys_config`;
CREATE TABLE `sys_config`  (
  `config_id` int(5) NOT NULL AUTO_INCREMENT COMMENT '参数主键',
  `config_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数名称',
  `config_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键名',
  `config_value` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '参数键值',
  `config_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '系统内置（Y是 N否）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`config_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '参数配置表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_config
-- ----------------------------
INSERT INTO `sys_config` VALUES (1, '主框架页-默认皮肤样式名称', 'sys.index.skinName', 'skin-blue', 'Y', 'admin', '2024-03-13 13:48:01', 'admin', '2024-04-11 10:07:35', '蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow');
INSERT INTO `sys_config` VALUES (2, '用户管理-账号初始密码', 'sys.user.initPassword', '123456', 'Y', 'admin', '2024-03-13 13:48:01', '', NULL, '初始化密码 123456');
INSERT INTO `sys_config` VALUES (3, '主框架页-侧边栏主题', 'sys.index.sideTheme', 'theme-dark', 'Y', 'admin', '2024-03-13 13:48:01', '', NULL, '深色主题theme-dark，浅色主题theme-light');
INSERT INTO `sys_config` VALUES (4, '账号自助-验证码开关', 'sys.account.captchaEnabled', 'false', 'Y', 'admin', '2024-03-13 13:48:01', 'admin', '2024-03-14 14:18:05', '是否开启验证码功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (5, '账号自助-是否开启用户注册功能', 'sys.account.registerUser', 'false', 'Y', 'admin', '2024-03-13 13:48:01', '', NULL, '是否开启注册用户功能（true开启，false关闭）');
INSERT INTO `sys_config` VALUES (6, '用户登录-黑名单列表', 'sys.login.blackIPList', '', 'Y', 'admin', '2024-03-13 13:48:01', '', NULL, '设置登录IP黑名单限制，多个匹配项以;分隔，支持匹配（*通配、网段）');
INSERT INTO `sys_config` VALUES (8, '景区最大承载量', 'max_carrying_capacity', '18977', 'N', 'admin', '2024-04-16 11:01:57', '', NULL, '天气页面配置');
INSERT INTO `sys_config` VALUES (9, '景区瞬时最大承载量', 'max_carrying_instantaneous', '214732', 'N', 'admin', '2024-04-16 11:03:08', '', NULL, '天气配置');

-- ----------------------------
-- Table structure for sys_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_dept`;
CREATE TABLE `sys_dept`  (
  `dept_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '部门id',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父部门id',
  `ancestors` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '祖级列表',
  `dept_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `leader` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '负责人',
  `phone` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '联系电话',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '邮箱',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '部门状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  PRIMARY KEY (`dept_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 110 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '部门表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dept
-- ----------------------------
INSERT INTO `sys_dept` VALUES (100, 0, '0', '若依科技', 0, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (101, 100, '0,100', '深圳总公司', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (102, 100, '0,100', '长沙分公司', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (103, 101, '0,100,101', '研发部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (104, 101, '0,100,101', '市场部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (105, 101, '0,100,101', '测试部门', 3, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (106, 101, '0,100,101', '财务部门', 4, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (107, 101, '0,100,101', '运维部门', 5, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (108, 102, '0,100,102', '市场部门', 1, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);
INSERT INTO `sys_dept` VALUES (109, 102, '0,100,102', '财务部门', 2, '若依', '15888888888', 'ry@qq.com', '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL);

-- ----------------------------
-- Table structure for sys_dict_data
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_data`;
CREATE TABLE `sys_dict_data`  (
  `dict_code` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典编码',
  `dict_sort` int(4) NULL DEFAULT 0 COMMENT '字典排序',
  `dict_label` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典标签',
  `dict_value` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典键值',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `css_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '样式属性（其他样式扩展）',
  `list_class` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '表格回显样式',
  `is_default` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT 'N' COMMENT '是否默认（Y是 N否）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_code`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 30 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典数据表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_data
-- ----------------------------
INSERT INTO `sys_dict_data` VALUES (1, 1, '男', '0', 'sys_user_sex', '', '', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '性别男');
INSERT INTO `sys_dict_data` VALUES (2, 2, '女', '1', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '性别女');
INSERT INTO `sys_dict_data` VALUES (3, 3, '未知', '2', 'sys_user_sex', '', '', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '性别未知');
INSERT INTO `sys_dict_data` VALUES (4, 1, '显示', '0', 'sys_show_hide', '', 'primary', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '显示菜单');
INSERT INTO `sys_dict_data` VALUES (5, 2, '隐藏', '1', 'sys_show_hide', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '隐藏菜单');
INSERT INTO `sys_dict_data` VALUES (6, 1, '正常', '0', 'sys_normal_disable', '', 'primary', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (7, 2, '停用', '1', 'sys_normal_disable', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (8, 1, '正常', '0', 'sys_job_status', '', 'primary', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (9, 2, '暂停', '1', 'sys_job_status', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '停用状态');
INSERT INTO `sys_dict_data` VALUES (10, 1, '默认', 'DEFAULT', 'sys_job_group', '', '', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '默认分组');
INSERT INTO `sys_dict_data` VALUES (11, 2, '系统', 'SYSTEM', 'sys_job_group', '', '', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '系统分组');
INSERT INTO `sys_dict_data` VALUES (12, 1, '是', 'Y', 'sys_yes_no', '', 'primary', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '系统默认是');
INSERT INTO `sys_dict_data` VALUES (13, 2, '否', 'N', 'sys_yes_no', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '系统默认否');
INSERT INTO `sys_dict_data` VALUES (14, 1, '通知', '1', 'sys_notice_type', '', 'warning', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '通知');
INSERT INTO `sys_dict_data` VALUES (15, 2, '公告', '2', 'sys_notice_type', '', 'success', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '公告');
INSERT INTO `sys_dict_data` VALUES (16, 1, '正常', '0', 'sys_notice_status', '', 'primary', 'Y', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (17, 2, '关闭', '1', 'sys_notice_status', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '关闭状态');
INSERT INTO `sys_dict_data` VALUES (18, 99, '其他', '0', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '其他操作');
INSERT INTO `sys_dict_data` VALUES (19, 1, '新增', '1', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '新增操作');
INSERT INTO `sys_dict_data` VALUES (20, 2, '修改', '2', 'sys_oper_type', '', 'info', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '修改操作');
INSERT INTO `sys_dict_data` VALUES (21, 3, '删除', '3', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '删除操作');
INSERT INTO `sys_dict_data` VALUES (22, 4, '授权', '4', 'sys_oper_type', '', 'primary', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '授权操作');
INSERT INTO `sys_dict_data` VALUES (23, 5, '导出', '5', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '导出操作');
INSERT INTO `sys_dict_data` VALUES (24, 6, '导入', '6', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '导入操作');
INSERT INTO `sys_dict_data` VALUES (25, 7, '强退', '7', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '强退操作');
INSERT INTO `sys_dict_data` VALUES (26, 8, '生成代码', '8', 'sys_oper_type', '', 'warning', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '生成操作');
INSERT INTO `sys_dict_data` VALUES (27, 9, '清空数据', '9', 'sys_oper_type', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '清空操作');
INSERT INTO `sys_dict_data` VALUES (28, 1, '成功', '0', 'sys_common_status', '', 'primary', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '正常状态');
INSERT INTO `sys_dict_data` VALUES (29, 2, '失败', '1', 'sys_common_status', '', 'danger', 'N', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '停用状态');

-- ----------------------------
-- Table structure for sys_dict_type
-- ----------------------------
DROP TABLE IF EXISTS `sys_dict_type`;
CREATE TABLE `sys_dict_type`  (
  `dict_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '字典主键',
  `dict_name` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典名称',
  `dict_type` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '字典类型',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`dict_id`) USING BTREE,
  UNIQUE INDEX `dict_type`(`dict_type`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 11 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '字典类型表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_dict_type
-- ----------------------------
INSERT INTO `sys_dict_type` VALUES (1, '用户性别', 'sys_user_sex', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '用户性别列表');
INSERT INTO `sys_dict_type` VALUES (2, '菜单状态', 'sys_show_hide', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '菜单状态列表');
INSERT INTO `sys_dict_type` VALUES (3, '系统开关', 'sys_normal_disable', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '系统开关列表');
INSERT INTO `sys_dict_type` VALUES (4, '任务状态', 'sys_job_status', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '任务状态列表');
INSERT INTO `sys_dict_type` VALUES (5, '任务分组', 'sys_job_group', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '任务分组列表');
INSERT INTO `sys_dict_type` VALUES (6, '系统是否', 'sys_yes_no', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '系统是否列表');
INSERT INTO `sys_dict_type` VALUES (7, '通知类型', 'sys_notice_type', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '通知类型列表');
INSERT INTO `sys_dict_type` VALUES (8, '通知状态', 'sys_notice_status', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '通知状态列表');
INSERT INTO `sys_dict_type` VALUES (9, '操作类型', 'sys_oper_type', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '操作类型列表');
INSERT INTO `sys_dict_type` VALUES (10, '系统状态', 'sys_common_status', '0', 'admin', '2024-03-13 13:48:01', '', NULL, '登录状态列表');

-- ----------------------------
-- Table structure for sys_job
-- ----------------------------
DROP TABLE IF EXISTS `sys_job`;
CREATE TABLE `sys_job`  (
  `job_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT '' COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL DEFAULT 'DEFAULT' COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `cron_expression` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT 'cron执行表达式',
  `misfire_policy` varchar(20) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '3' COMMENT '计划执行错误策略（1立即执行 2执行一次 3放弃执行）',
  `concurrent` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '是否并发执行（0允许 1禁止）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '状态（0正常 1暂停）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注信息',
  PRIMARY KEY (`job_id`, `job_name`, `job_group`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 4 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job
-- ----------------------------
INSERT INTO `sys_job` VALUES (1, '系统默认（无参）', 'DEFAULT', 'ryTask.ryNoParams', '0/10 * * * * ?', '3', '1', '1', 'admin', '2024-03-13 13:48:01', '', NULL, '');
INSERT INTO `sys_job` VALUES (2, '系统默认（有参）', 'DEFAULT', 'ryTask.ryParams(\'ry\')', '0/15 * * * * ?', '3', '1', '1', 'admin', '2024-03-13 13:48:01', '', NULL, '');
INSERT INTO `sys_job` VALUES (3, '系统默认（多参）', 'DEFAULT', 'ryTask.ryMultipleParams(\'ry\', true, 2000L, 316.50D, 100)', '0/20 * * * * ?', '3', '1', '1', 'admin', '2024-03-13 13:48:01', '', NULL, '');

-- ----------------------------
-- Table structure for sys_job_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_job_log`;
CREATE TABLE `sys_job_log`  (
  `job_log_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '任务日志ID',
  `job_name` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务名称',
  `job_group` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '任务组名',
  `invoke_target` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '调用目标字符串',
  `job_message` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '日志信息',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '执行状态（0正常 1失败）',
  `exception_info` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '异常信息',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  PRIMARY KEY (`job_log_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '定时任务调度日志表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_job_log
-- ----------------------------

-- ----------------------------
-- Table structure for sys_logininfor
-- ----------------------------
DROP TABLE IF EXISTS `sys_logininfor`;
CREATE TABLE `sys_logininfor`  (
  `info_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '访问ID',
  `user_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户账号',
  `ipaddr` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录IP地址',
  `login_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '登录地点',
  `browser` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '浏览器类型',
  `os` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作系统',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '登录状态（0成功 1失败）',
  `msg` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '提示消息',
  `login_time` datetime NULL DEFAULT NULL COMMENT '访问时间',
  PRIMARY KEY (`info_id`) USING BTREE,
  INDEX `idx_sys_logininfor_s`(`status`) USING BTREE,
  INDEX `idx_sys_logininfor_lt`(`login_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 40 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '系统访问记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_logininfor
-- ----------------------------
INSERT INTO `sys_logininfor` VALUES (1, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 10:53:05');
INSERT INTO `sys_logininfor` VALUES (2, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 11:04:22');
INSERT INTO `sys_logininfor` VALUES (3, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 14:05:40');
INSERT INTO `sys_logininfor` VALUES (4, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 15:01:16');
INSERT INTO `sys_logininfor` VALUES (5, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 15:58:40');
INSERT INTO `sys_logininfor` VALUES (6, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-11 16:28:48');
INSERT INTO `sys_logininfor` VALUES (7, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 08:49:31');
INSERT INTO `sys_logininfor` VALUES (8, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 08:54:14');
INSERT INTO `sys_logininfor` VALUES (9, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 09:28:22');
INSERT INTO `sys_logininfor` VALUES (10, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 10:58:32');
INSERT INTO `sys_logininfor` VALUES (11, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 14:14:13');
INSERT INTO `sys_logininfor` VALUES (12, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-12 15:53:00');
INSERT INTO `sys_logininfor` VALUES (13, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-15 09:10:04');
INSERT INTO `sys_logininfor` VALUES (14, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-15 10:21:04');
INSERT INTO `sys_logininfor` VALUES (15, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-15 13:59:45');
INSERT INTO `sys_logininfor` VALUES (16, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-15 14:50:05');
INSERT INTO `sys_logininfor` VALUES (17, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-15 16:58:16');
INSERT INTO `sys_logininfor` VALUES (18, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 09:09:34');
INSERT INTO `sys_logininfor` VALUES (19, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 09:11:58');
INSERT INTO `sys_logininfor` VALUES (20, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 09:43:10');
INSERT INTO `sys_logininfor` VALUES (21, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 09:55:50');
INSERT INTO `sys_logininfor` VALUES (22, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 10:22:52');
INSERT INTO `sys_logininfor` VALUES (23, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 11:34:59');
INSERT INTO `sys_logininfor` VALUES (24, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 15:59:05');
INSERT INTO `sys_logininfor` VALUES (25, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 16:41:57');
INSERT INTO `sys_logininfor` VALUES (26, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 17:15:27');
INSERT INTO `sys_logininfor` VALUES (27, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-16 17:26:46');
INSERT INTO `sys_logininfor` VALUES (28, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 08:41:28');
INSERT INTO `sys_logininfor` VALUES (29, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 09:08:29');
INSERT INTO `sys_logininfor` VALUES (30, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 09:31:49');
INSERT INTO `sys_logininfor` VALUES (31, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 09:55:02');
INSERT INTO `sys_logininfor` VALUES (32, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 11:02:02');
INSERT INTO `sys_logininfor` VALUES (33, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 11:02:09');
INSERT INTO `sys_logininfor` VALUES (34, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 14:53:07');
INSERT INTO `sys_logininfor` VALUES (35, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 16:40:25');
INSERT INTO `sys_logininfor` VALUES (36, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 17:03:10');
INSERT INTO `sys_logininfor` VALUES (37, 'admin', '192.168.3.43', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-17 18:21:05');
INSERT INTO `sys_logininfor` VALUES (38, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-24 17:50:41');
INSERT INTO `sys_logininfor` VALUES (39, 'admin', '127.0.0.1', '内网IP', 'Chrome 12', 'Windows 10', '0', '登录成功', '2024-04-25 08:44:54');

-- ----------------------------
-- Table structure for sys_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_menu`;
CREATE TABLE `sys_menu`  (
  `menu_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '菜单ID',
  `menu_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '菜单名称',
  `parent_id` bigint(20) NULL DEFAULT 0 COMMENT '父菜单ID',
  `order_num` int(4) NULL DEFAULT 0 COMMENT '显示顺序',
  `path` varchar(200) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '路由地址',
  `component` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '组件路径',
  `query` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '路由参数',
  `is_frame` int(1) NULL DEFAULT 1 COMMENT '是否为外链（0是 1否）',
  `is_cache` int(1) NULL DEFAULT 0 COMMENT '是否缓存（0缓存 1不缓存）',
  `menu_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '菜单类型（M目录 C菜单 F按钮）',
  `visible` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0显示 1隐藏）',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '菜单状态（0正常 1停用）',
  `perms` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '权限标识',
  `icon` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '#' COMMENT '菜单图标',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '备注',
  PRIMARY KEY (`menu_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 1073 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '菜单权限表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_menu
-- ----------------------------
INSERT INTO `sys_menu` VALUES (1, '系统管理', 0, 50, 'system', NULL, '', 1, 0, 'M', '0', '0', '', 'system', 'admin', '2024-03-13 13:48:00', 'admin', '2024-03-14 14:18:49', '系统管理目录');
INSERT INTO `sys_menu` VALUES (2, '系统监控', 0, 60, 'monitor', NULL, '', 1, 0, 'M', '0', '1', '', 'monitor', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:05', '系统监控目录');
INSERT INTO `sys_menu` VALUES (3, '系统工具', 0, 70, 'tool', NULL, '', 1, 0, 'M', '0', '1', '', 'tool', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:50:39', '系统工具目录');
INSERT INTO `sys_menu` VALUES (100, '用户管理', 1, 1, 'user', 'system/user/index', '', 1, 0, 'C', '0', '0', 'system:user:list', 'user', 'admin', '2024-03-13 13:48:00', '', NULL, '用户管理菜单');
INSERT INTO `sys_menu` VALUES (101, '角色管理', 1, 2, 'role', 'system/role/index', '', 1, 0, 'C', '1', '0', 'system:role:list', 'peoples', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:43', '角色管理菜单');
INSERT INTO `sys_menu` VALUES (102, '菜单管理', 1, 3, 'menu', 'system/menu/index', '', 1, 0, 'C', '0', '0', 'system:menu:list', 'tree-table', 'admin', '2024-03-13 13:48:00', '', NULL, '菜单管理菜单');
INSERT INTO `sys_menu` VALUES (103, '部门管理', 1, 4, 'dept', 'system/dept/index', '', 1, 0, 'C', '0', '1', 'system:dept:list', 'tree', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:51', '部门管理菜单');
INSERT INTO `sys_menu` VALUES (104, '岗位管理', 1, 5, 'post', 'system/post/index', '', 1, 0, 'C', '0', '1', 'system:post:list', 'post', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:38', '岗位管理菜单');
INSERT INTO `sys_menu` VALUES (105, '字典管理', 1, 6, 'dict', 'system/dict/index', '', 1, 0, 'C', '1', '0', 'system:dict:list', 'dict', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:35', '字典管理菜单');
INSERT INTO `sys_menu` VALUES (106, '参数设置', 1, 7, 'config', 'system/config/index', '', 1, 0, 'C', '0', '0', 'system:config:list', 'edit', 'admin', '2024-03-13 13:48:00', '', NULL, '参数设置菜单');
INSERT INTO `sys_menu` VALUES (107, '通知公告', 1, 8, 'notice', 'system/notice/index', '', 1, 0, 'C', '0', '1', 'system:notice:list', 'message', 'admin', '2024-03-13 13:48:00', 'admin', '2024-04-11 09:51:24', '通知公告菜单');
INSERT INTO `sys_menu` VALUES (108, '日志管理', 1, 9, 'log', '', '', 1, 0, 'M', '0', '0', '', 'log', 'admin', '2024-03-13 13:48:00', '', NULL, '日志管理菜单');
INSERT INTO `sys_menu` VALUES (109, '在线用户', 2, 1, 'online', 'monitor/online/index', '', 1, 0, 'C', '0', '0', 'monitor:online:list', 'online', 'admin', '2024-03-13 13:48:00', '', NULL, '在线用户菜单');
INSERT INTO `sys_menu` VALUES (110, '定时任务', 2, 2, 'job', 'monitor/job/index', '', 1, 0, 'C', '0', '0', 'monitor:job:list', 'job', 'admin', '2024-03-13 13:48:00', '', NULL, '定时任务菜单');
INSERT INTO `sys_menu` VALUES (111, '数据监控', 2, 3, 'druid', 'monitor/druid/index', '', 1, 0, 'C', '0', '0', 'monitor:druid:list', 'druid', 'admin', '2024-03-13 13:48:00', '', NULL, '数据监控菜单');
INSERT INTO `sys_menu` VALUES (112, '服务监控', 2, 4, 'server', 'monitor/server/index', '', 1, 0, 'C', '0', '0', 'monitor:server:list', 'server', 'admin', '2024-03-13 13:48:00', '', NULL, '服务监控菜单');
INSERT INTO `sys_menu` VALUES (113, '缓存监控', 2, 5, 'cache', 'monitor/cache/index', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis', 'admin', '2024-03-13 13:48:00', '', NULL, '缓存监控菜单');
INSERT INTO `sys_menu` VALUES (114, '缓存列表', 2, 6, 'cacheList', 'monitor/cache/list', '', 1, 0, 'C', '0', '0', 'monitor:cache:list', 'redis-list', 'admin', '2024-03-13 13:48:00', '', NULL, '缓存列表菜单');
INSERT INTO `sys_menu` VALUES (115, '表单构建', 3, 1, 'build', 'tool/build/index', '', 1, 0, 'C', '0', '0', 'tool:build:list', 'build', 'admin', '2024-03-13 13:48:00', '', NULL, '表单构建菜单');
INSERT INTO `sys_menu` VALUES (116, '代码生成', 3, 2, 'gen', 'tool/gen/index', '', 1, 0, 'C', '0', '0', 'tool:gen:list', 'code', 'admin', '2024-03-13 13:48:00', '', NULL, '代码生成菜单');
INSERT INTO `sys_menu` VALUES (117, '系统接口', 3, 3, 'swagger', 'tool/swagger/index', '', 1, 0, 'C', '0', '0', 'tool:swagger:list', 'swagger', 'admin', '2024-03-13 13:48:00', '', NULL, '系统接口菜单');
INSERT INTO `sys_menu` VALUES (500, '操作日志', 108, 1, 'operlog', 'monitor/operlog/index', '', 1, 0, 'C', '0', '0', 'monitor:operlog:list', 'form', 'admin', '2024-03-13 13:48:00', '', NULL, '操作日志菜单');
INSERT INTO `sys_menu` VALUES (501, '登录日志', 108, 2, 'logininfor', 'monitor/logininfor/index', '', 1, 0, 'C', '0', '0', 'monitor:logininfor:list', 'logininfor', 'admin', '2024-03-13 13:48:00', '', NULL, '登录日志菜单');
INSERT INTO `sys_menu` VALUES (1000, '用户查询', 100, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:user:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1001, '用户新增', 100, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:user:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1002, '用户修改', 100, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:user:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1003, '用户删除', 100, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:user:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1004, '用户导出', 100, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:user:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1005, '用户导入', 100, 6, '', '', '', 1, 0, 'F', '0', '0', 'system:user:import', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1006, '重置密码', 100, 7, '', '', '', 1, 0, 'F', '0', '0', 'system:user:resetPwd', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1007, '角色查询', 101, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:role:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1008, '角色新增', 101, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:role:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1009, '角色修改', 101, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:role:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1010, '角色删除', 101, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:role:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1011, '角色导出', 101, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:role:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1012, '菜单查询', 102, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1013, '菜单新增', 102, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1014, '菜单修改', 102, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1015, '菜单删除', 102, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:menu:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1016, '部门查询', 103, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1017, '部门新增', 103, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1018, '部门修改', 103, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1019, '部门删除', 103, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:dept:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1020, '岗位查询', 104, 1, '', '', '', 1, 0, 'F', '0', '0', 'system:post:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1021, '岗位新增', 104, 2, '', '', '', 1, 0, 'F', '0', '0', 'system:post:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1022, '岗位修改', 104, 3, '', '', '', 1, 0, 'F', '0', '0', 'system:post:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1023, '岗位删除', 104, 4, '', '', '', 1, 0, 'F', '0', '0', 'system:post:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1024, '岗位导出', 104, 5, '', '', '', 1, 0, 'F', '0', '0', 'system:post:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1025, '字典查询', 105, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1026, '字典新增', 105, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1027, '字典修改', 105, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1028, '字典删除', 105, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1029, '字典导出', 105, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:dict:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1030, '参数查询', 106, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1031, '参数新增', 106, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1032, '参数修改', 106, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1033, '参数删除', 106, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1034, '参数导出', 106, 5, '#', '', '', 1, 0, 'F', '0', '0', 'system:config:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1035, '公告查询', 107, 1, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1036, '公告新增', 107, 2, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1037, '公告修改', 107, 3, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1038, '公告删除', 107, 4, '#', '', '', 1, 0, 'F', '0', '0', 'system:notice:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1039, '操作查询', 500, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1040, '操作删除', 500, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1041, '日志导出', 500, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:operlog:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1042, '登录查询', 501, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1043, '登录删除', 501, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1044, '日志导出', 501, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1045, '账户解锁', 501, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:logininfor:unlock', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1046, '在线查询', 109, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1047, '批量强退', 109, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:batchLogout', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1048, '单条强退', 109, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:online:forceLogout', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1049, '任务查询', 110, 1, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1050, '任务新增', 110, 2, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:add', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1051, '任务修改', 110, 3, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1052, '任务删除', 110, 4, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1053, '状态修改', 110, 5, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:changeStatus', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1054, '任务导出', 110, 6, '#', '', '', 1, 0, 'F', '0', '0', 'monitor:job:export', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1055, '生成查询', 116, 1, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:query', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1056, '生成修改', 116, 2, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:edit', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1057, '生成删除', 116, 3, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:remove', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1058, '导入代码', 116, 4, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:import', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1059, '预览代码', 116, 5, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:preview', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1060, '生成代码', 116, 6, '#', '', '', 1, 0, 'F', '0', '0', 'tool:gen:code', '#', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1061, '网站配置', 0, 10, 'home', NULL, NULL, 1, 0, 'M', '0', '0', '', 'build', 'admin', '2024-03-14 14:20:12', 'admin', '2024-03-14 14:21:51', '');
INSERT INTO `sys_menu` VALUES (1062, '网站资源配置', 1061, 10, 'resources', 'liandao/resources/index', NULL, 1, 0, 'C', '0', '0', '', 'clipboard', 'admin', '2024-03-14 14:21:40', 'admin', '2024-03-14 14:23:04', '');
INSERT INTO `sys_menu` VALUES (1063, '文章管理', 0, 20, 'article', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'education', 'admin', '2024-03-15 14:08:36', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1064, '文章类型管理', 1063, 10, 'type', 'liandao/articleType/index', NULL, 1, 0, 'C', '0', '0', '', 'cascader', 'admin', '2024-03-15 14:09:10', 'admin', '2024-03-15 14:09:31', '');
INSERT INTO `sys_menu` VALUES (1065, '文章内容管理', 1063, 20, 'content', 'liandao/articleContent/index', NULL, 1, 0, 'C', '0', '0', NULL, 'edit', 'admin', '2024-03-15 14:10:15', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1066, '导游管理', 0, 30, 'tour/guide', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'people', 'admin', '2024-03-18 14:13:56', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1067, '导游信息', 1066, 10, 'info', 'liandao/tourGuide/info/index', NULL, 1, 0, 'C', '0', '0', NULL, 'user', 'admin', '2024-03-18 14:15:04', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1068, '导游预约', 1066, 20, 'appointment', 'liandao/tourGuide/appointment/index', NULL, 1, 0, 'C', '0', '0', NULL, 'peoples', 'admin', '2024-03-18 14:16:14', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1069, '问卷管理', 0, 40, 'questionnaire', NULL, NULL, 1, 0, 'M', '0', '0', NULL, 'documentation', 'admin', '2024-03-19 14:09:52', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1070, '问卷配置', 1069, 10, 'config', 'liandao/questionnaire/config/index', NULL, 1, 0, 'C', '0', '0', NULL, 'question', 'admin', '2024-03-19 14:10:55', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1071, '问卷结果', 1069, 20, 'result', 'liandao/questionnaire/result/index', NULL, 1, 0, 'C', '0', '0', NULL, 'education', 'admin', '2024-03-19 14:11:42', '', NULL, '');
INSERT INTO `sys_menu` VALUES (1072, '投诉建议', 1069, 30, 'complaint', 'liandao/complaintSuggestions/index', NULL, 1, 0, 'C', '0', '0', NULL, 'build', 'admin', '2024-03-20 15:15:35', '', NULL, '');

-- ----------------------------
-- Table structure for sys_notice
-- ----------------------------
DROP TABLE IF EXISTS `sys_notice`;
CREATE TABLE `sys_notice`  (
  `notice_id` int(4) NOT NULL AUTO_INCREMENT COMMENT '公告ID',
  `notice_title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告标题',
  `notice_type` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '公告类型（1通知 2公告）',
  `notice_content` longblob NULL COMMENT '公告内容',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '公告状态（0正常 1关闭）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`notice_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '通知公告表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_notice
-- ----------------------------
INSERT INTO `sys_notice` VALUES (1, '温馨提醒：2018-07-01 若依新版本发布啦', '2', 0xE696B0E78988E69CACE58685E5AEB9, '0', 'admin', '2024-03-13 13:48:01', '', NULL, '管理员');
INSERT INTO `sys_notice` VALUES (2, '维护通知：2018-07-01 若依系统凌晨维护', '1', 0xE7BBB4E68AA4E58685E5AEB9, '0', 'admin', '2024-03-13 13:48:01', '', NULL, '管理员');

-- ----------------------------
-- Table structure for sys_oper_log
-- ----------------------------
DROP TABLE IF EXISTS `sys_oper_log`;
CREATE TABLE `sys_oper_log`  (
  `oper_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '日志主键',
  `title` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '模块标题',
  `business_type` int(2) NULL DEFAULT 0 COMMENT '业务类型（0其它 1新增 2修改 3删除）',
  `method` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '方法名称',
  `request_method` varchar(10) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求方式',
  `operator_type` int(1) NULL DEFAULT 0 COMMENT '操作类别（0其它 1后台用户 2手机端用户）',
  `oper_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作人员',
  `dept_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '部门名称',
  `oper_url` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求URL',
  `oper_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '主机地址',
  `oper_location` varchar(255) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '操作地点',
  `oper_param` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '请求参数',
  `json_result` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '返回参数',
  `status` int(1) NULL DEFAULT 0 COMMENT '操作状态（0正常 1异常）',
  `error_msg` varchar(2000) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '错误消息',
  `oper_time` datetime NULL DEFAULT NULL COMMENT '操作时间',
  `cost_time` bigint(20) NULL DEFAULT 0 COMMENT '消耗时间',
  PRIMARY KEY (`oper_id`) USING BTREE,
  INDEX `idx_sys_oper_log_bt`(`business_type`) USING BTREE,
  INDEX `idx_sys_oper_log_s`(`status`) USING BTREE,
  INDEX `idx_sys_oper_log_ot`(`oper_time`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 10 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '操作日志记录' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_oper_log
-- ----------------------------
INSERT INTO `sys_oper_log` VALUES (1, '操作日志', 9, 'com.ruoyi.web.controller.monitor.SysOperlogController.clean()', 'DELETE', 1, 'admin', NULL, '/monitor/operlog/clean', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-11 09:53:33', 30);
INSERT INTO `sys_oper_log` VALUES (2, '登录日志', 9, 'com.ruoyi.web.controller.monitor.SysLogininforController.clean()', 'DELETE', 1, 'admin', NULL, '/monitor/logininfor/clean', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-11 09:53:39', 30);
INSERT INTO `sys_oper_log` VALUES (3, '参数管理', 2, 'com.ruoyi.web.controller.system.SysConfigController.edit()', 'PUT', 1, 'admin', NULL, '/system/config', '127.0.0.1', '内网IP', '{\"configId\":1,\"configKey\":\"sys.index.skinName\",\"configName\":\"主框架页-默认皮肤样式名称\",\"configType\":\"Y\",\"configValue\":\"skin-blue\",\"createBy\":\"admin\",\"createTime\":\"2024-03-13 13:48:01\",\"params\":{},\"remark\":\"蓝色 skin-blue、绿色 skin-green、紫色 skin-purple、红色 skin-red、黄色 skin-yellow\",\"updateBy\":\"admin\",\"updateTime\":\"2024-03-20 16:59:55\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-11 10:07:35', 13);
INSERT INTO `sys_oper_log` VALUES (4, '参数管理', 9, 'com.ruoyi.web.controller.system.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-11 10:07:37', 6);
INSERT INTO `sys_oper_log` VALUES (5, '参数管理', 9, 'com.ruoyi.web.controller.system.SysConfigController.refreshCache()', 'DELETE', 1, 'admin', NULL, '/system/config/refreshCache', '127.0.0.1', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-16 10:24:01', 38);
INSERT INTO `sys_oper_log` VALUES (6, '参数管理', 1, 'com.ruoyi.web.controller.system.SysConfigController.add()', 'POST', 1, 'admin', NULL, '/system/config', '192.168.3.43', '内网IP', '{\"configKey\":\"real_time_tourists\",\"configName\":\"景区游客实时流量\",\"configType\":\"N\",\"configValue\":\"13463\",\"createBy\":\"admin\",\"params\":{},\"remark\":\"天气页面参数配置\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-16 11:00:43', 159);
INSERT INTO `sys_oper_log` VALUES (7, '参数管理', 1, 'com.ruoyi.web.controller.system.SysConfigController.add()', 'POST', 1, 'admin', NULL, '/system/config', '192.168.3.43', '内网IP', '{\"configKey\":\"max_carrying_capacity\",\"configName\":\"景区最大承载量\",\"configType\":\"N\",\"configValue\":\"18977\",\"createBy\":\"admin\",\"params\":{},\"remark\":\"天气页面配置\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-16 11:01:57', 13);
INSERT INTO `sys_oper_log` VALUES (8, '参数管理', 1, 'com.ruoyi.web.controller.system.SysConfigController.add()', 'POST', 1, 'admin', NULL, '/system/config', '192.168.3.43', '内网IP', '{\"configKey\":\"max_carrying_instantaneous\",\"configName\":\"景区瞬时最大承载量\",\"configType\":\"N\",\"configValue\":\"214732\",\"createBy\":\"admin\",\"params\":{},\"remark\":\"天气配置\"}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-16 11:03:08', 15);
INSERT INTO `sys_oper_log` VALUES (9, '参数管理', 3, 'com.ruoyi.web.controller.system.SysConfigController.remove()', 'DELETE', 1, 'admin', NULL, '/system/config/7', '192.168.3.43', '内网IP', '{}', '{\"msg\":\"操作成功\",\"code\":200}', 0, NULL, '2024-04-16 11:04:32', 38);

-- ----------------------------
-- Table structure for sys_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_post`;
CREATE TABLE `sys_post`  (
  `post_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '岗位ID',
  `post_code` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位编码',
  `post_name` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '岗位名称',
  `post_sort` int(4) NOT NULL COMMENT '显示顺序',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '状态（0正常 1停用）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`post_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 5 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '岗位信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_post
-- ----------------------------
INSERT INTO `sys_post` VALUES (1, 'ceo', '董事长', 1, '0', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_post` VALUES (2, 'se', '项目经理', 2, '0', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_post` VALUES (3, 'hr', '人力资源', 3, '0', 'admin', '2024-03-13 13:48:00', '', NULL, '');
INSERT INTO `sys_post` VALUES (4, 'user', '普通员工', 4, '0', 'admin', '2024-03-13 13:48:00', '', NULL, '');

-- ----------------------------
-- Table structure for sys_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_role`;
CREATE TABLE `sys_role`  (
  `role_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '角色ID',
  `role_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色名称',
  `role_key` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色权限字符串',
  `role_sort` int(4) NOT NULL COMMENT '显示顺序',
  `data_scope` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '1' COMMENT '数据范围（1：全部数据权限 2：自定数据权限 3：本部门数据权限 4：本部门及以下数据权限）',
  `menu_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '菜单树选择项是否关联显示',
  `dept_check_strictly` tinyint(1) NULL DEFAULT 1 COMMENT '部门树选择项是否关联显示',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '角色状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`role_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role
-- ----------------------------
INSERT INTO `sys_role` VALUES (1, '超级管理员', 'admin', 1, '1', 1, 1, '0', '0', 'admin', '2024-03-13 13:48:00', '', NULL, '超级管理员');
INSERT INTO `sys_role` VALUES (2, '普通角色', 'common', 2, '2', 1, 1, '0', '0', 'admin', '2024-03-13 13:48:00', 'admin', '2024-03-14 14:17:13', '普通角色');

-- ----------------------------
-- Table structure for sys_role_dept
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_dept`;
CREATE TABLE `sys_role_dept`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `dept_id` bigint(20) NOT NULL COMMENT '部门ID',
  PRIMARY KEY (`role_id`, `dept_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和部门关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_dept
-- ----------------------------
INSERT INTO `sys_role_dept` VALUES (2, 100);
INSERT INTO `sys_role_dept` VALUES (2, 101);
INSERT INTO `sys_role_dept` VALUES (2, 105);

-- ----------------------------
-- Table structure for sys_role_menu
-- ----------------------------
DROP TABLE IF EXISTS `sys_role_menu`;
CREATE TABLE `sys_role_menu`  (
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  `menu_id` bigint(20) NOT NULL COMMENT '菜单ID',
  PRIMARY KEY (`role_id`, `menu_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '角色和菜单关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_role_menu
-- ----------------------------

-- ----------------------------
-- Table structure for sys_user
-- ----------------------------
DROP TABLE IF EXISTS `sys_user`;
CREATE TABLE `sys_user`  (
  `user_id` bigint(20) NOT NULL AUTO_INCREMENT COMMENT '用户ID',
  `dept_id` bigint(20) NULL DEFAULT NULL COMMENT '部门ID',
  `user_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户账号',
  `nick_name` varchar(30) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NOT NULL COMMENT '用户昵称',
  `user_type` varchar(2) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '00' COMMENT '用户类型（00系统用户）',
  `email` varchar(50) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '用户邮箱',
  `phonenumber` varchar(11) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '手机号码',
  `sex` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '用户性别（0男 1女 2未知）',
  `avatar` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '头像地址',
  `password` varchar(100) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '密码',
  `status` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '帐号状态（0正常 1停用）',
  `del_flag` char(1) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '0' COMMENT '删除标志（0代表存在 2代表删除）',
  `login_ip` varchar(128) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '最后登录IP',
  `login_date` datetime NULL DEFAULT NULL COMMENT '最后登录时间',
  `create_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '创建者',
  `create_time` datetime NULL DEFAULT NULL COMMENT '创建时间',
  `update_by` varchar(64) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT '' COMMENT '更新者',
  `update_time` datetime NULL DEFAULT NULL COMMENT '更新时间',
  `remark` varchar(500) CHARACTER SET utf8mb4 COLLATE utf8mb4_general_ci NULL DEFAULT NULL COMMENT '备注',
  PRIMARY KEY (`user_id`) USING BTREE
) ENGINE = InnoDB AUTO_INCREMENT = 3 CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户信息表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user
-- ----------------------------
INSERT INTO `sys_user` VALUES (1, 103, 'admin', '若依', '00', 'ry@163.com', '15888888888', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '0', '127.0.0.1', '2024-04-25 08:44:54', 'admin', '2024-03-13 13:48:00', '', '2024-04-25 08:44:54', '管理员');
INSERT INTO `sys_user` VALUES (2, 105, 'ry', '若依', '00', 'ry@qq.com', '15666666666', '1', '', '$2a$10$7JB720yubVSZvUI0rEqK/.VqGOZTH.ulu33dHOiBE8ByOhJIrdAu2', '0', '2', '127.0.0.1', '2024-03-13 13:48:00', 'admin', '2024-03-13 13:48:00', '', NULL, '测试员');

-- ----------------------------
-- Table structure for sys_user_post
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_post`;
CREATE TABLE `sys_user_post`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `post_id` bigint(20) NOT NULL COMMENT '岗位ID',
  PRIMARY KEY (`user_id`, `post_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户与岗位关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_post
-- ----------------------------
INSERT INTO `sys_user_post` VALUES (1, 1);

-- ----------------------------
-- Table structure for sys_user_role
-- ----------------------------
DROP TABLE IF EXISTS `sys_user_role`;
CREATE TABLE `sys_user_role`  (
  `user_id` bigint(20) NOT NULL COMMENT '用户ID',
  `role_id` bigint(20) NOT NULL COMMENT '角色ID',
  PRIMARY KEY (`user_id`, `role_id`) USING BTREE
) ENGINE = InnoDB CHARACTER SET = utf8mb4 COLLATE = utf8mb4_general_ci COMMENT = '用户和角色关联表' ROW_FORMAT = Dynamic;

-- ----------------------------
-- Records of sys_user_role
-- ----------------------------
INSERT INTO `sys_user_role` VALUES (1, 1);

SET FOREIGN_KEY_CHECKS = 1;
